Introduction

The Agilent V2901A SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit is a PC-based software tool that allows you to easily create and analyze complex signals used in advanced wireless transmission protocols.

SignalMeister™ software works seamlessly with Agilent's Series V2900 Vector Signal Generators, Series V2800 Vector Signal Analyzers, and MIMO test systems.

Using a waveform file created with SignalMeister software requires one or more Series V2900 VSGs equipped with an arbitrary waveform generator (ARB) option and a SignalMeister license option that matches the waveform signal standard of the file being used.

Analyzing the signals created by the waveform files requires a Series V2800 VSA equipped with the appropriate license options, or a SignalMeister Signal Analysis license. There are two SignalMeister signal analysis software licenses available: The WLAN Analysis license (V2901A-WLN) and the WiMAX Analysis License (V2901A-WMX).

SignalMeister supports these wireless transmission formats

WLAN | 802.11a/g/j/p 802.11b 802.11n MIMO 802.11n SISO
WiMAX® | 802.16e OFDMA
3GPP | W-CDMA HSDPA HSUPA HSPA+
3GPP2 | cdma2000® cdmaOne® 1xEV-DV
DVB | DVB-T DVB-H

Note: All Agilent Series V2900 vector signal generators require firmware revision 3.11 or later to be compatible with the Agilent V2901A SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit.


Key features and applications

Key features

  • Intuitive, easy-to-use, PC-based graphical user interface
  • Logical grouping of related signals for specific tests
  • Supports WiMAX®, WLAN, 3GPP, and 3GPP2 signal formats
  • Robust analysis tools for WiMAX® and WLAN signal formats
  • Full MIMO support
  • Supports both uplink and downlink signals
  • Supports physical and transport channels
  • Simple configuration of all reference measurement channels per current industry standards
  • Fully flexible custom configuration of channels and parameters
  • Preconfigured setups for Reference Measurement Channel (RMC) and Fixed Reference Channel (FRC)
  • Adjustable baseband filtering
  • Adjustable additive white Gaussian noise
  • Seamless integration with Agilent Series V2900 Vector Signal Generators and Series V2800 Vector Signal Analyzers

Applications

  • Handset production test
  • Handset research and development and design verification
  • Base station / infrastructure test
  • RFIC testing
  • Research and education

Performance specifications/characteristics

Refer to the Agilent website (www.agilent.com) for a complete list of performance specifications and characteristics for Series V2900 Vector Signal Generators, Series V2800 Vector Signal Analyzers, and the V2901A SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit.


Contacting Agilent Technologies, Inc.

For additional information on this and other Agilent products, go to www.agilent.com


Recommended websites

The following websites provide useful information about the different test and measurement standards:

3GPP Global Initiative

This site is for 3GPP (Third Generation Partnership Project) working members that are contributing to the 3GPP global initiative.

http://www.3gpp.org/

3GPP2 Global Initiative

This site is for 3GPP2 (Third Generation Partnership Project 2) working members that are contributing to the next phase of the 3GPP global initiative.

http://www.3gpp2.org/

IEEE Standards Association

This site is for members and interested parties that are contributing to the standardization of wireless telecommunications, along with traditional and other emerging technologies.

http://standards.ieee.org/

UMTS World

This site provides free news and information about the Universal Mobile Telecommunications System (UMTS) and related W-CDMA, CDMA, 3GPP, 3GPP2, and other wireless technologies.

http://www.umtsworld.com

WiMAX Forum®

The WiMAX Forum® is an industry-led, not-for-profit organization formed to certify and promote the compatibility and interoperability of broadband wireless products based upon the harmonized IEEE 802.16/ETSI HiperMAN standard.

http://www.wimaxforum.org/


Installation

Agilent V2901A SignalMeister™ software is easily installed on a computer by using either of the following methods:

  • Run the program installation from the Agilent V2901A SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit CD-ROM.
  • Download the latest software version from the Agilent website (www.agilent.com/find/V2901A) and run the program installation. See Software updates for instructions. ______

_______

NOTE: You must have Administrator privileges for the PC on which you are installing SignalMeister™.

_______

The following installation topics describe some possible equipment configurations and how to ensure the equipment has all necessary option licenses installed. See the following topics for detailed information:

  • Software updates
  • PC and software requirements
  • System configuration
  • Instrument option licenses


Software updates

You can obtain updates for your SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit from the Agilent website (www.agilent.com/find/V2901A) at no charge.

  1. From a web browser, go to www.agilent.com/find/V2901A.
  2. Select the Technical Support tab.
  3. From the Drivers and Software window, select the latest software update.

_____

NOTE: You must have Administrator privileges for the PC on which you are installing SignalMeister™.

_______


System requirements

PC Requirements

  • 2.4 GHz Intel® Pentium® processor or better
  • Minimum 2.0 GB RAM
  • 200 GB free disk space
  • Minimum 1024 x 768 screen resolution
  • Microsoft® Windows® XP Professional (Service Pack 2 or later)
  • Microsoft® Windows® Vista Business or Vista Business 64-bit
  • Microsoft® .NET Framework 2.0 Service Pack 2 (this is automatically installed when you install SignalMeister™ [run setup.exe])

______

NOTE: The program installation, with Agilent VISA runtime, requires approximately 240 MB of free disk space. Moreover, running SignalMeister™ software can consume large amounts of disk space depending upon the type of generated waveform. For example, each 3GPP or 3GPP2 waveform could possibly be 150 MB in size. For this reason we recommend using a minimum 200 GB high-speed hard drive (serial ATA or high-RPM SCSI).

______

NOTE: You must have Administrator privileges for the PC on which you are installing SignalMeister™.

_______

VISA Runtime Required

SignalMeister™ requires that you install a VISA Runtime to communicate with the RF instruments.

  • The Agilent VISA Runtime engine is included in the Agilent IO Libraries Suite, available on the SignalMeister™ CD. Refer also to www.agilent.com/find/iosuite for the latest version of the suite, as well as the VISA User's Guide and other product support materials.
  • As an alternative, you can use the NI-VISA™ Runtime 4.1 engine (or higher), available from National Instruments.

NOTE: If a VISA runtime is not installed, you will receive the following error message when you launch SignalMeister™:

VISA error on SignalMeister™ startup

_____
Instrument Firmware Requirements

  • Series V2800 VSAs must have firmware revision 6.0 or higher.
  • Series V2900 VSGs must have firmware revision 4.0 or higher.


System configuration

SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit supports a variety of system configurations. See a few of the examples below to determine which equipment configuration best meets your needs, or contact Agilent for more information.

  • Example configuration #1
  • Example configuration #2
  • Example configuration #3
  • Example configuration #4

Example configuration #1

This configuration allows you to generate and play back waveforms with the following scenario:

  • Generate waveforms from the SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit running on your computer.
  • Use a USB memory device to download the waveform files to several licensed Series V2900 vector signal generators.
  • Play the waveforms back in multiple locations.

Example configuration #1

Example configuration #2

This configuration allows you to generate and play back waveforms with the following scenario:

  • Generate waveforms from the SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit running on your computer.
  • Connect to a licensed Series V2900 signal generator over GPIB, LAN, or USB to download the waveform files.
  • Play the waveforms back and apply them to a device under test.

Example configuration #2

Example configuration #3

This configuration allows you to generate and play back waveforms with the following scenario:

  • Generate waveforms from the SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit running on your computer.
  • Connect to a licensed Series V2900 vector signal generator over GPIB, LAN, or USB to download the waveform files.
  • Play the waveforms back and apply them to a device under test.
  • Capture the test results on a Series V2800 vector signal analyzer.

Example configuration #3

Example configuration #4

This configuration allows you to generate and play back waveforms with the following scenario:

  • Generate 802.11n WLAN and 802.16e WiMAX® waveforms from the SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit running on your computer.
  • Connect to a licensed MIMO test system over GPIB, LAN, or USB to download the waveform files.
  • Play the waveforms back and apply them to a device under test.
  • Capture the test results.
  • Download the captured test results to your computer for further analysis.

Example configuration #4


Getting Started

This section explains the details of the main features in the software user interface.

  • Application interface overview
  • User interface options
  • Basic SignalMeister tasks
  • Waveform generation overview
  • Waveform analysis overview
  • Waveform generation process overview
    _


Application interface overview

When the Agilent V2901A SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit is first launched, the user interface displays the default docking layout shown below:

SignalMeister application initial view

Each of the windows has a docking menu allowing each of the windows to be docked in a new location, hidden from view, or "floating" allowing them to be moved to any convenient location on the screen.

Window docking menu

_____

NOTE: To restore the default docking layout to the application interface, select View > Restore Docking Layout from the Menu Bar. You can also restore the layout for individual windows from the View menu.

_____

The illustration below identifies each of the areas of the user interface.

______

main window with callouts

You can also refer to the following topics to learn more about the SignalMeister™ user interface:

Menu bar

Toolbars

Toolbox

Projects

Status window

Pan and Zoom

Options

_______

NOTE: SignalMeister's analysis features cannot be operated using remote computer access tools (for example, Desktop Control Panel).

_______


Menu bar

SignalMeister Menu Bar

The menu bar has the following drop-down menu choices.

Select a link below to navigate directly to that topic:

  • File Menu
  • View Menu
  • Project Menu
  • Worksheets Menu
  • Elements Menu
  • Help Menu


File Menu

File menu

Select a link below to navigate directly to that topic:

  • New Project
  • Open Project...
  • Recent Projects
  • Add Template to Project...
  • Close Project
  • Close All Projects
  • Save Project...
  • Save Project As...
  • Save All Projects
  • Save Project As Template...
  • Print Preview...
  • Print Worksheet...
  • Manage Licenses...
  • Options...
  • Exit

_____

New Project

Adds a blank project to the Projects window. The new project is added to the existing projects, with the tab showing <unnamed project>.

SignalMeister New Projects tab

Open Project...

Displays the Open Project dialog window, that allows you to navigate to a previously saved SignalMeister™ project file (*.ksmp). The default location is the My Documents folder.

Open Project dialog

Recent Projects

Displays a list of the six projects that were recently used in SignalMeister™. You can easily open any of the displayed projects by clicking the desired file name.

SignalMeister Recent Projects menu

Add Template to Project...

Opens a dialog that allows you to navigate to a previously saved SignalMeister™ template file (*.ksmt), then add it to your current project.

Add Template to Project dialog

See Also:

  • My Templates

Close Project

Closes the currently selected project. If it has not been recently saved, a dialog is displayed prompting you to save the project with a unique file name.

Save Project Prompt

SignalMeister Save Project Prompt

Close Project Dialog

Save Project dialog

Close All Projects

Closes all of the projects currently open.

Save Project

Saves the current project. If the project is being saved for the first time, the Save Project dialog window is displayed that allows you to select a name and location for the SignalMeister™ project file (*.ksmp). The default location is the My Documents folder.

Save Project dialog

See Also:

  • Managing Project Files

Save All Projects

Opens the Save Project dialog window that allows you to save the current project to a new location, or save the file with a different file name.

Save Project dialog

See Also:

  • Managing Project Files

Save All Projects

Saves all of the projects open in the current session. If any of the projects have not been previously saved, the [image] Save Project dialog window is displayed that allows you to select a name and location for the SignalMeister™ project file (*.ksmp). The default location is the My Documents folder.

Save Project dialog

See Also:

  • Managing Project Files

Save Project As Template...

Opens the Save Project As Template dialog window, that allows you to save the current project as a project template file (*.ksmt).

NOTE: The default location is C:\Program Files\Agilent Technologies\Agilent SignalMeister\Item Templates\User Templates. When you save a template file to this location, it will show up in the My Templates toolbox group in the SignalMeister™ user interface, where you can then drag and drop the template into a project worksheet. Template files saved in any other location will not appear in the My Templates toolbox, but you can still add the template to a project by using the File > Add Template to Project command.

Save Project As Template dialog

See Also:

  • My Templates

Print Preview...

Opens the Print Preview window that allows you to preview the print job prior to sending it to the printer.

Print Preview dialog

Print Worksheet...

Print the active (currently selected) worksheet. If there are several worksheets in the project, you must individually select each worksheet you want print.

Manage Licenses...

Opens the Manage SignalMeister™ Licenses dialog where you can view current licenses stored on the license key.

Manage License dialog

Options...

Opens the Options dialog window where you can set the displayed frequency to the unit of your choice at the application level, configure the worksheet layout, select either landscape or portrait view, select paper types for printing, and choose different color schemes to alter the visual appearance of the user interface.

You may also enable viewing of the Event Log and specify a port that an external application can use to communicate SCPI commands with SignalMeister™ software.

SignalMeister Options Dialog

See also:

  • Options Topic

Exit...

Closes the SignalMeister™ software.


View Menu

SM2 view menu

Toolbox (menu)

Select this menu item to make the Toolbox window the active window.

Projects

Select this menu item to make the Projects window the active window.

Status (menu)

Select this menu item to make the Status window the active window.

Pan & Zoom

Select this menu item to make the Pan & Zoom window the active window.

Restore Docking Layout

Select Restore Docking Layout to return SignalMeister™ to its default layout. This command is especially useful if you have hidden or moved any of the individual windows and want to return them to their original location.


Project Menu

Project Menu

Show Project Manifest

Opens the Project Manifest dialog window of the active project, that displays pertinent information about the elements contained in that project. An example of the Project Manifest is shown below.

Project Manifest Example

See also:

:PROJect<index>:MANifest

Project Manifest

Run Conflict Analyzer

Select Project > Run Conflict Analyzer to run the conflict analyzer on the current project configuration. The conflict analyzer displays any errors or conflicts in the current active project configuration in the Status area.

SignalMeister Status Window

Build All

Select Project > Build All to build an ARB file that contains all of the elements of the project including the elements on multiple worksheets. The ARB file is created and stored on your PC. See Creating an arbitrary waveform (ARB) file for more information.

Force Rebuild All

Select Project > Force Rebuild All to rebuild all of the elements of the project, including the elements on multiple worksheets.

Download All

Select Project > Download All to download the ARB files from your PC to the signal generator memory.

Force Download All

Select Project > Force Download All to download the ARB files again.

Load All

Select Project > Load All to load all of the ARB files in the current project to the signal generator that is configured in your project. This selection makes the ARB file ready to play in the signal generator. See Downloading a waveform file to a Series V2900 VSG for more information.

Force Load All

Select Project > Force Load All to load the ARB file to the signal generator again.

Save Project as Template

Select Project > Save Project As Template to open a [image] dialog window that allows you to save your current project, with all of its settings, as a template for future use. The template is stored in the My Templates toolbox, and is identified by the green template icon.

Save Project As Template dialog


Project Manifest

The Project Manifest lists the elements contained in the active project shown in the SignalMeister™ Projects window. The active project is the project currently in view, that is, the one in view when that tab is selected. Making a project active makes it the focus of the Project Manifest (See below.)

The project index number is displayed in the upper-left corner of the dialog header, the category types of all elements are added to the project manifest in the Category column, the index numbers for each category is displayed in the Index column, and the corresponding SCPI address index numbers, needed to pass SCPI commands through to the desired project elements and instruments, are shown in the SCPI Address column.

To view the Project Manifest for a particular project, click the project tab for that project, then click Project > Show Project Manifest from the menu bar.

When the first project is opened in SignalMeister™, it is assigned project index number 1, and is identified in the Project Manifest as :PROJ1. As each subsequent project is opened, the project index number is incremented by 1, so the second project opened would show :PROJ2, and so on.

In the illustration below, the active project is test project2.ksmp, and since it was the third project opened, it is assigned project index number 3 (:PROJ3). However, the project index numbers are not static, in that when SignalMeister™ is closed, all open projects with assigned project index numbers revert to a non-numbered state. This means that when a new instance of SignalMeister™ is opened, the first project opened is assigned project index 1, regardless of the project index number assigned to that project in a previous session.

Unlike the project index numbers the element index numbers are static, and remain assigned to a particular element unless it is deleted from the project. For example, the first WiMAX analysis element added to the project is assigned index number 1, and is identified in the SCPI Address column as WIM1 with the description of the element in the Label column. Likewise, the second and third WiMAX analysis elements are identified as WIM2 and WIM3. If the project is saved and then re-opened, these elements keep their assigned SCPI address. However, if WIM1 is deleted leaving WIM2 and WIM3 remaining in the project, and another WiMAX analysis element is added, it is assigned index 1 (WIM1) as that is the lowest integer that does not conflict with an existing element.

______

For further information select a link below.

  • Category
  • Index
  • SCPI Address
  • Label

See also:

  • :PROJect<index>

    The Project index number is used to identify the active project of the SignalMeister™ Projects window, to which you want to send SCPI commands.

    See Project Manifest for an explanation of how the Project index number is assigned and handled across multiple projects.

    Select a link below to view further command details:

    • :PROJect<index>:AWGN[:SENSe]:POWer
    • :PROJect<index>:BALL
    • :PROJect<index>:CLOSe
    • :PROJect<index>:CANalyzer
    • :PROJect<index>:DELay[:SENSe]:TIMe
    • :PROJect<index>:DALL
    • :PROJect<index>:FBALl
    • :PROJect<index>:FDALl
    • :PROJect<index>:FILename
    • :PROJect<index>:FLALl
    • :PROJect<index>:GIMBalance[:SENSe]:SCALe
    • :PROJect<index>:GPANalysis<index>
    • :PROJect<index>:GIMBalance[:SENSe]:SCALe
    • :PROJect<index>:LALL
    • :PROJect<index>:IQOFfset[:SENSe]:I
    • :PROJect<index>:IQOFfset[:SENSe]:Q
    • :PROJect<index>:MANifest
    • :PROJect<index>:SANalyzers<index>:COMMand<index>
    • :PROJect<index>:SAVE
    • :PROJect<index>:SGENerators<index>:COMMand<index>
    • :PROJect<index>:SHIFt[:SENSe]:FREQuency
    • :PROJect<index>:TFILes<index>
    • :PROJect<index>:USOurce<index>
    • :PROJect<index>:WIMAx<index>
    • :PROJect<index>:WLAN<index>
    • :PROJect<index>:WORKsheet<index>

    See also:

    • Project Manifest

    ______

  • :PROJect<index>:MANifest

Index

The Index cell displays the index number of the project element, assigned in order as the element is added to the project. This number is necessary when directing SCPI commands to the individual instruments.

NOTE: Changing the Index value updates the SCPI address with the new value.

Category

Category displays the element type as defined in the Toolbox. Category types are:

  • Modulation formats:
    • WiMAX
    • WLAN
    • 3GPP UL
    • 3GPP DL
    • 3GPP2 FL
    • 3GPP2 RL
  • Digital Video
  • Operations
  • Files
  • Signal Generators
  • Signal Analyzers
  • General Purpose Analysis
  • Standard Templates

See also:

Toolbox

SCPI Address

Displays the SCPI address of a device. SCPI addresses are automatically assigned to any element with which SignalMeister™ can communicate. For example, Signal Analyzers, Signal Generators modulation formats and saved files.

Label

Displays the element name from the Project worksheet. For example, 2900 Nx MIMO VSG is the default name of one of the signal generator elements available in the Toolbox that could be used to build your project.

NOTE: If you have changed the default name of an element on the Project worksheet, that name is displayed in the Label column.


Worksheets Menu

Delete Worksheet

Select Worksheets > Delete Worksheet to open a confirmation dialog asking if you want to delete the currently selected worksheet. Select Yes to permanently remove the worksheet, or select No to cancel the request.

Rename Worksheet...

Select Worksheets > Rename Worksheet to rename the currently selected worksheet. You can also rename the worksheet by double-clicking the worksheet tab to highlight the name then enter a new name, or you can right-click the worksheet tab and select Rename Worksheet from the popup menu.

Add Worksheet

Select Worksheets > Add Worksheet to add a new worksheet to your currently selected (active) project.

Paste as New

Select Worksheets > Paste as New to paste the selected element, or group of elements, on the clipboard to the selected worksheet as new elements.

Paste as Shortcut

A Shortcut element shares the same properties as as the original element. That is, when you make changes to the configuration in either the original element or the shortcut element the changes are mirrored in the other element.

Select Worksheets > Paste as Shortcut to paste the selected element, or group of elements, on the clipboard to the selected worksheet as shortcuts. The icon changes appearance to show it is a shortcut. The element now has a yellow border with a small shortcut icon. This selection is particularly useful when creating projects across multiple worksheets as you can define the element once and use the same element multiple times.

NOTE: You must select the element then press CTRL+C or right-click on the element and select Copy from the shortcut menu to place the element on the clipboard before the Paste as New or Paste as Shortcut functions will work. See the Elements Menu for more information.

Align Vertical

Select Worksheets > Align Vertical to align the selected elements in an upright position (vertically) across the workspace.

Align Horizontal

Select Worksheets > Align Horizontal to align the selected elements horizontally across the worksheet.


Elements Menu

Elements menu

Select a link below to navigate directly to that topic:

  • Connect Elements
  • Edit Element Configuration
  • Rename Element
  • Save Element as User Template
  • Add Text Block
  • Add Element
  • Delete User Template
  • Cut
  • Copy
  • Delete

Connect Elements

After you have added elements to your project worksheet from the toolbox, select Elements > Connect Elements to begin the sequence of connecting the elements together. When Connect Elements is active, begin by selecting the sink element, then select the source element to connect the two items. You can drag and drop multiple elements onto your worksheet, then connect them all as one step.

Keyboard shortcut: Ctrl+Shift+C

See also:

Connecting Elements

Edit Element Configuration

Select Elements > Edit Element Configuration to open the configuration dialog for the selected element. You can also right-click the element and select Edit Element Configuration from the popup menu.

NOTE: Each element can be reconfigured from the default settings for your particular needs. Simply change the parameters as desired, then save either the individual element or the entire project with the changes made.

See also:

Working with Elements

Rename Element

NOTE: The elements provided in the toolboxes are samples that you can use as they are, or customize for your particular needs. When viewing elements in the toolbox, remember that an element's label only indicates its present configuration. You can place an element on your worksheet and modify its properties as you see fit. If you modify an element, we suggest you edit the element's label so that it more accurately indicates how you have customized it or its relevance to your project.

___
Select Rename Element to assign a unique, easy to remember name for your element. This is particularly useful after you have customized the settings for any element, and want to save those changes for future use.

Rename Element dialog

Save Element as User Template

Opens a [image] dialog window that allows you to save the selected element as a user template. The template is stored in the My Templates toolbox. The default location of the file is C:\Program Files\Agilent Technologies\Agilent SignalMeister\Item Templates\User Templates\<file name>.

Save element as template dialog

Add Text Block

Select Elements > Add Text Block to insert an editable text block anywhere on your project worksheet. This is particularly useful after you have customized the settings for any element, and want to note those changes for others to see, or as a list of remaining tasks, and so on.

______

Text Block Editor window

Add Element

Select Elements > Add Element then choose an element to add to your project from the fly-out menu.

______

Add Element fly-out menu

Add Element menu

Delete User Template

Select Elements > Delete User Template, then choose a template to delete from the fly-out menu.

______

Delete User Template fly-out menu

SignalMeister Delete Templates menu

Cut

Cuts, or removes, the selected element from the project worksheet and places it on the PC's clipboard.

Copy

Copies an element, or group of elements, to the PC's clipboard for a future paste action.

Delete

Deletes the selected element, or elements, from the project. To select multiple elements, hold the CTRL key and click each element with the mouse, or click and drag the cursor to draw a "box" around the elements you want to select.


Help Menu

Search

Opens the SignalMeister™ online documentation to the Search page.

Contents

Opens the SignalMeister™ online documentation to the Contents page.

About Agilent SignalMeister™

Opens the SignalMeister™ splash screen showing the software version and build number.


Toolbars

The Main Toolbar, Project Toolbar and Help Toolbar provide typical, useful user interface actions such as Open and Save, as well as project specific tools such as Run Conflict Analyzer, Build Project and Download.

To show or hide any of the toolbars, right-click in the toolbar area and then select the toolbar from the popup menu, shown below. The check mark indicates the toolbar is available on the user interface.

Select Customize to open a [image] dialog window that allows you to create custom toolbars, or to customize your existing toolbars.

Customize toolbar dialog

Toolbar popup menu


Main Toolbar

SM2 Shortcut bar

  • New project icon Select the New Project button to create a new project file.
  • Open project icon Select the Open Project button to display a dialog box that allows you to open a previously saved project file.
  • Save icon Select the Save button to save the active project file (the file that you are currently viewing).
  • Save all icon Select the Save All button to save all project files that are open.
  • Connect Element icon Select the Connect Element button to connect the elements on the worksheet.

    Connect Elements button

  • align vertical icon Select the Align Vertical button to align the selected elements in an upright position (vertically) across the workspace.
  • align horizontal icon Select the Align Horizontal button to align the selected elements horizontally across the workspace.
  • Cut icon Select the Cut button to cut, or remove, the selected element from the project.
  • Copy icon Select the Copy button to copy an element, or group of elements, to the clipboard for a future paste action.
  • Paste icon Select the Paste button to paste or place the copied element to the desired location in the project.
  • Delete icon Select the Delete button to delete the selected element from the project.
  • sm2 shortcut menu change Allows you to add, remove, or rearrange buttons from the shortcut menu bar.

_____
See also:

  • File Menu
  • View Menu
  • Project Menu
  • Worksheets Menu
  • Element Menu
  • Help Menu
  • Connecting Elements


Project Toolbar

  • Project Toolbar Conflict Analyzer Button Select the Run Conflict Analyzer button to run the conflict analyzer on the current project configuration. The conflict analyzer displays any errors or conflicts in the current configuration in the Status area.
  • Project Toolbar Build All Button Select the Build All button to build an ARB file that contains all of the elements of the project including the elements in multiple worksheets. The ARB file is created and stored on your PC.
  • Project Toolbar Rebuild All Button Select the Force Rebuild All button to rebuild all of the elements of the project, including the elements in multiple worksheets.
  • Project Toolbar Download All Button Select the Download All button to download the ARB files from the PC to the signal generator memory.
  • Project Toolbar Re-download All Button Select the Force Download All button to download the ARB files again.
  • Project Toolbar Load All Button Select the Load All button to load all of the ARB files in the current project to the signal generator that is configured in your project. This button makes the ARB file ready to play in the signal generator.
  • Project Toolbar Reload All Button Select the Force Load All button to to load the ARB to the signal generator again.
  • Project Toolbar Add Worksheet to Project Button Select the Add Worksheet button to add a blank worksheet to the current project.
  • Project Toolbar Remove Current Worksheet Button Select the Delete Worksheet button to delete the currently selected worksheet from the project.
  • sm2 shortcut menu change Allows you to add, remove, or rearrange buttons from the shortcut menu bar.

_____
See also:

  • File Menu
  • View Menu
  • Project Menu
  • Worksheets Menu
  • Element Menu
  • Help Menu
  • Connecting Elements


Help Toolbar

SignalMeister Help Toolbar

  • Help Toolbar Search Button Select the Search button to open the online help to the Search function.
  • Help Toolbar Contents Button Select the Contents button to open the online help to the Contents page.
  • Select the About Agilent SignalMeister button to display the online help About dialog.
  • sm2 shortcut menu change Allows you to add, remove, or rearrange buttons in the Help Toolbar.

_____
See also:

  • File Menu
  • View Menu
  • Project Menu
  • Worksheets Menu
  • Element Menu
  • Help Menu
  • Connecting Elements


Toolbox

The Toolbox has all the elements needed to build your project, from preconfigured test setups to channel models and analysis tools. Begin building your project by dragging the elements from the toolbox onto the worksheet.

As you select the individual tool sets, the elements for the selected tool are displayed in the window with the name at the top, and the tab changes color to indicate the active tool set. Use the up and down arrows to navigate through the available element choices, or drag the scroll bar to resize the window to view all of the elements at once.
___

NOTE: The elements provided in the Toolbox groups are samples that you can use as they are, or customize for your particular testing needs. When viewing elements in the toolbox, remember that an element's label only indicates its present configuration. You can place an element on your worksheet and modify its properties as you see fit. If you modify an element, we suggest you edit the element's label so that it more accurately indicates how you have customized it or its relevance to your project.

______

Toolbox

The Toolbox has the following choices available:

  • WiMAX
  • WLAN
  • 3GPP UL
  • 3GPP DL
  • 3GPP2 FL
  • 3GPP2 RL
  • Digital Video
  • Operations
  • Channel Models
  • Files
  • Signal Generators
  • Signal Analyzers
  • General Purpose Analysis
  • Standard Templates
  • My Templates

_____

WiMAX

WiMAX Tool Set

The WiMAX® tool set has several types of pre-configured elements ready for use. You can use these sample elements "as is", or you can modify them for your particular test purposes, and save those changes for future testing.

The WiMAX tool set contains the following elements:

WiMAX elements flyout menu

See also:

  • WiMAX signal creation
  • WiMAX signal analysis Select an Analysis element from the WiMAX® Toolbox, then drag and drop it onto the Projects window. Once the Analysis element is in the project window, it can be connected to the other elements to make measurements.

___

WLAN

WLAN Tool Set

The WLAN tool set has several types of pre-configured elements ready for use. You can use the elements "as is", or you can modify them for your particular test purposes, and save those changes for future testing.

The WLAN tool set contains the following elements:

WLAN elements flyout menu

See also:

  • WLAN signal creation
  • WLAN signal analysis window

___

3GPP UL

3GPP UL Tool Set

The 3GPP UL tool set has several types of pre-configured elements ready for use. You can use these sample elements "as is", or you can modify them for your particular test purposes, and save those changes for future testing.

The 3GPP UL tool set contains the following elements:

3GPP UL elements flyout menu

See also:

  • W-CDMA 3GPP Signal Format

___

3GPP DL

3GPP DL Tool Set

The 3GPP DL tool set has several types of pre-configured elements ready for use. You can use these sample elements "as is", or you can modify them for your particular test purposes, and save those changes for future testing.

The 3GPP tool set contains the following elements:

3GPP DL elements flyout menu

See also:

  • W-CDMA 3GPP Signal Format

___

3GPP2 FL

3GPP2 FL Tool Set

The 3GPP2 FL tool set has several types of pre-configured elements ready for use. You can use these sample elements "as is", or you can modify them for your particular test purposes, and save those changes for future testing.

The 3GPP2 FL tool set contains the following elements:

3GPP2 FL element flyout menu

See also:

  • 3GPP2 Signal Format

___

3GPP2 RL

3GPP2 RL Tool Set

The 3GPP2 RL tool set has several types of pre-configured elements ready for use. You can use these samples "as is", or you can modify them for your particular test purposes, and save those changes for future testing.

The 3GPP2 RL tool set contains the following elements:

3GPP2 RL element flyout menu

See also:

  • 3GPP2 Signal Format

___

Digital Video

Digital Video Toolbox

The Digital Video tool set has several types of pre-configured elements ready for use. You can use these samples "as is", or you can modify them for your particular test purposes, and save those changes for future testing.

The Digital Video tool set contains the following elements:

Digital Video elements flyout menu

______

See also:

  • Digital Video DVB-T/ DVB-H Waveform Generator

___

Operations

Operations Tool Set

The Operations tool set has several types of pre-configured elements ready for use. You can use these samples "as is", or you can modify them for your particular test purposes, and save those changes for future testing.

You can select various signal conditions that you can apply during the generation of the arbitrary waveform file. For example, signal impairments such as additive white Gaussian noise (AWGN) or the inversion of IQ signals can be added to your signal.

The Operations tool set contains the following elements:

Operations Element Flyout Menu

___

See also:

  • Operations Topic

___

Channel Models

Channel Models Tool Set

The Channel Models tool set has several types of pre-configured elements ready for use. You can use these samples "as is", or you can modify them for your particular test purposes, and save those changes for future testing.

The Channel Models tool set contains the following elements:

Channel Models Element Flyout Menu

___

See also:

  • Channel Models Configuration

___

Files

Files Tool Set

The Files tool set has several types of pre-configured elements ready for use. You can use these samples "as is", or you can modify them for your particular test purposes, and save those changes for future testing. You can create Bit Reference files, import IQ and ARB files, and configure ARB files and WiMAX map files, and so on.

The Files tool set contains the following elements:

Files Elements Flyout Menu

___

See also:

  • Files Topic

___

Signal Generators

Signal Generators Tool Set

The Signal Generators tool set allows you to add one or more signal generators to your projects, and specify the signal generator(s) that the output waveform file will be downloaded to after it is generated.

______

See also:

  • Model 2910 and Model 2920 - SISO Configuration
  • Model 2920 - MIMO Configuration

___

Signal Analyzers

Signal Analyzers Tool Set

The Signal Analyzers tool set allows you to add one or more signal analyzers to your projects, and specify the signal analyzer(s) used in your system configuration.

The Signal Analyzers tool set contains the following elements:

Signal Analyzers Elements Flyout Menu

___

See also:

  • Model 2810 and Model 2820 - SISO Configuration
  • Model 2820 - MIMO Configuration
  • VSA Simulator

___

General Purpose Analysis

General Purpose Analysis Tool Set

The General Purpose Analysis tool set has several types of pre-configured elements ready for use. You can use these samples "as is", or you can modify them for your particular test purposes, and save those changes for future testing.

The General Purpose Analysis tool set contains the following elements:

General Purpose Analysis Element Flyout Menu

___

See also:

  • Signal Analysis

___

Standard Templates

Standard Templates Tool Set

The Standard Templates tool set has several types of pre-configured elements ready for use. You can use these samples "as is", or you can modify them for your particular test purposes, and save those changes for future testing. They are a convenient starting point for building your project.

The Standard Templates tool set contains the following elements:

Standard Templates Elements Flyout Menu

___

See also:

  • Standard Templates Topic

___

My Templates

My Templates Tool set

The My Templates toolbox allows you to use any saved element, group of elements or complete project as a template. When you first open SignalMeister™ the My Templates category is not immediately available in the Toolbox. As soon as you save either a project or an element as a template (*.ksmt file) to C:\Program Files\Agilent Technologies\Agilent Technologies\Item Templates\User Templates, the My Templates toolbox is displayed with the saved template available to use in your projects. Template files saved in any other location will not appear in the My Templates toolbox, but you can still add them to a project by using the File > Add Template to Project command.

The My Templates tool set only contains user-saved templates.

NOTE: Individual elements are saved with the *.ksmt file extension, and project templates are saved with the *.ksmp file extension.

___

See also:

  • My Templates Topic

___

Return to top

___


Projects Window

The Projects window displays the worksheets that you use to build your projects. By dragging elements from the toolbox, dropping them on the worksheet and connecting them together, you can define the various aspects of an arbitrary waveform and the signal generator that will play back the waveform.

You can have multiple worksheets in a single project, each with different ARB file configurations and signal formats. As each worksheet is added to a project, a new tab is displayed that can be renamed for easy identification of the signal types and ARB file configurations. You can rename each worksheet by double-clicking the tab and typing the desired name or by right-clicking the worksheet tab and selecting Rename Worksheet from the popup menu.

SignalMeister™ allows you to have multiple projects open in the same instance of the user interface. The project tabs show the names of the corresponding projects and allow you to easily switch between them.

See Waveform generation process overview


Status Window

Conflicts tab

The Conflicts tab displays the warnings, errors, and other status information regarding the configured project. The information displayed here shows the severity and source of the conflict, along with a description, to help you quickly identify and resolve any issues with your project.

The Projects window and the Status window work together in such a way that as the project build progresses and the elements in the project change color, the corresponding rows in the status window change color as well. The background color of the icon on the Projects worksheet can change to:

  • Green - There are no errors or warnings
  • Yellow - There are conflicts or warnings that need resolved
  • Red - There are errors that halted the build

The numbered rows in the status window that correspond to the element on the worksheet change color to correspond with the color of the icon (see above).

To quickly identify the element on the project worksheet related to the warning or error message, click inside the numbered row containing the error or warning message and the corresponding element becomes active. This is helpful if you have more than one project open or if your project has several worksheets.

Messages tab (Event Log)

The Messages area shows a history of the actions taken while building your projects. It shows when elements have been added or removed, connected together using the Connect Elements functions, moved between worksheets and so on. To enable the Event Log, go to File > Options, then select Show Event Log.


Pan and Zoom Window

The Pan and Zoom view provides a high-level view of your project and workflow, and allows you to navigate easily to a specific region by moving the preview window, or to zoom into a specific region by changing the size of the preview window.

Overview Control Window


Options

The Options dialog has Application, VISA/SCPI and Preferences tabs that allow you to configure the worksheet layout, specify print settings, and select the technologies that you want to use in the toolbox. You may also specify the displayed frequency units, VISA configuration, and enable or disable overwrite dialogs.

SignalMeister Options Dialog

For further information, select a link below.

  • Application tab
  • VISA/SCPI tab
  • Preferences tab


Application tab

SignalMeister Options Dialog, Application tab

Select a link below to navigate directly to that topic:

  • Show Technologies in Toolbox
  • Diagram Layout
  • Show Event Log

_____
See Also:

  • VISA/SCPI tab
  • Preferences tab

Show Technologies in Toolbox

Select the technologies that you want available in the Toolbox. If the technology is not selected in the Options dialog, then it will not be loaded in the Toolbox the next time that the SignalMeister™ application is started.

______

NOTE: Selecting only the technologies that you need decreases the start-up time for SignalMeister™.

_____

Select a link below to navigate directly to that topic:

  • WiMAX 802.16e
  • WLAN 802.11a,g,j,b, and n
  • 3GPP WCDMA
  • 3GPP2 cdma2000
  • Digital Video

Diagram Layout

Paper type

Select either A4 or Letter size for printing purposes.

Orientation

Portrait is used to configure the worksheet layout using the Portrait view (vertical).

Landscape is used to configure the worksheet layout using the Landscape view (horizontal).

Show Event Log

Show Event Log

When selected, displays the event log in the Status area of the SignalMeister™ main window.


VISA/SCPI tab

SignalMeister Options Dialog VISA/SCPI Tab

Select a link below to navigate directly to that topic:

  • VISA Settings
  • VISA Defaults
  • Enable SCPI

_____
See Also:

  • Application tab
  • Preferences tab
  • Configure Default VISA Resources dialog
  • VISA Runtime is required -- see System requirements for details

VISA Settings

Open Timeout:

Minimum value: 100 ms
Maximum value: 60000 ms

Sets the length of time to wait for connection to a VISA resource. After the specified time has expired without connection, the message "Unable to connect to the VISA resource" is displayed.

______

NOTE: You may need to specify a longer time in this cell if you are experiencing slow Internet connections.

______

I/O Timeout:

Minimum value: 15000 ms
Maximum value: 60000 ms

Sets the length of time to wait for a connection to an I/O port. After the specified time has expired without connection, the message "Unable to connect to the I/O resource" is displayed.

VISA Defaults

Use default VISA resources for new instrument objects

Select this check-box to have any new instruments you drag from the Toolbox, or load from a project, use the VISA resources listed in here.

Use default VISA resources for recalled instrument objects

Select this check-box to have any instruments that have been saved and then re-opened use the VISA resources listed here.

Configure Default VISA Resources...

Select this button to open the VISA resources configuration dialog, which allows you to control the default VISA settings for any new instruments added to your project. When you access the VISA configuration dialog from this button, the display provides controls for individual instruments, or SISO/MIMO configurations for up to 8 instruments.

Click [image] here to view the Default VISA Resource Configuration dialog window.

Default VISA Configuration Dialog

See Also:

Default VISA Resources

Enable SCPI

When selected, allows you to specify the port address, which an external application can use to communicate with SignalMeister™.

Listen on port

The SCPI port is a "listener" port. That is, SignalMeister™ will "listen" on this port for incoming commands from an external application.

Minimum Value: 0
Maximum Value: 65535
Default: 8221

For more information about the SCPI listen port values see, Socket Port #


Default VISA Resources (Series V2800 and Series V2900)

You can set the default VISA resources for all of the Agilent Series V2900 VSGs and Series V2800 VSAs at one time, from a single location.

Select the Configure Default VISA Resources button to open the VISA resources configuration dialog (shown below), which allows you to control the default VISA settings for any instruments saved with your current project(s) or any new instruments added to your project(s) . When you access the VISA configuration dialog from this button, the display provides controls for individual instruments, or SISO/MIMO configurations for up to 8 instruments.

When a project is opened that has the default VISA resources configured, a message is displayed showing that the the default setting are being used.

Default VISA Configuration Dialog
_____

NOTE: You can also setup your instruments in a MIMO configuration, then run them in a SISO application by temporarily making all configured instruments inactive but one.

_____
If you selected Use default VISA resources for new instrument objects in the VISA Configuration dialog, any new instruments you drag from the Toolbox or load from a project will use the VISA resources listed in here.

If you selected Use default VISA resources for recalled instrument objects in the VISA Configuration dialog, any instruments that have been saved and then opened will use the VISA resources listed here.

See also:

  • Options configuration dialog
  • VISA Configuration
    • LAN/TCPIP Interface Setup
    • GPIB Interface Setup
    • Serial (USB) Setup
  • Instrument Configuration Series V2800
  • Instrument Configuration Series V2900


VISA Resource Configuration dialog

VISA Resource Dialog
_____

NOTE: SignalMeister™ will not be able to access the instrument (via TCP/IP or GPIB) while the instrument is being controlled by the Desktop Control Panel. To gain access, you must shut down the Desktop Control Panel. (This is applicable only to the V2820A VSG and V2920A VSG instruments.)

_____

Select one of the links below to learn more about:

  • LAN/TCPIP Interface Setup
  • GPIB Interface Setup
  • Serial (USB) Setup
  • VISA Resource String Preview
  • Default VISA Resources
  • VISA Configuration (Options)

_____
See also:

  • Series V2900 instrument configuration
  • Series V2800 instrument configuration

_____

LAN/TCPIP Interface Setup

______

Select the LAN/TCPIP tab to access the LAN/TCPIP Interface Setup. The LAN/TCPIP Interface Setup is used to configure the communications settings for the selected instrument if LAN/TCPIP is the communications type used.

______

NOTE: The connection to the instrument requires a network connection that is fast enough to transfer data packets with a latency of less than 2 seconds.

______

See Also

  • VISA Resource Configuration (overview)
  • GPIB Interface Setup
  • Serial (USB) Setup
  • VISA Resource String Preview

______

NIC # (Network Interface Card)

Highlight this cell and enter a value, or use the up and down arrows to enter the desired network interface card number (NIC #).

Minimum value: 0
Maximum value: 31

_____
LAN Communication Type

Use the drop-down menu to select the desired LAN communication type. The available choices are:

  • Socket
  • Instrument

_____
Socket Port #

Sets and displays the socket port number.

Minimum value: 0
Maximum value: 65535

Note icon The first instrument connected to your PC is always assigned port number 5025, as that is the default Registered Port assigned for the SCPI listen port. To avoid conflicts, any additional instruments added to the PC are automatically assigned available Dynamic port numbers in the range of 49152 to 49251 as defined by the Internet Assigned Numbers Authority (IANA) in [RFC4340], Section 19.9. The port numbers assigned as Well Known Ports (0 through 1023) and Registered Ports (1024 through 49151) should not be used without IANA registration.

_____
TCPIP Address

Enter the TCPIP address of the instrument. The LAN/GPIB addresses for the instrument are viewed or set from the instrument's Utilities menu. From the front panel of the instrument, select Menu > Utilities > Ethernet Settings... to view the IP address.

Note icon When using Agilent SignalMeister™ to control an instrument connected to a USB port, the IP address of the instrument is the same as that of the PC to which it is connected. The Socket Port # is assigned automatically.

GPIB Interface Setup

GPIB Interface Setup

______

Select the GPIB tab to access the GPIB Interface Setup. The GPIB Interface Setup is used to configure the communications settings for the selected instrument if GPIB is the communications type used.

_____
See Also

  • VISA Resource Configuration (overview)
  • LAN/TCPIP Interface Setup
  • Serial (USB) Setup
  • VISA Resource String Preview

______

GPIB Board Number

Highlight this cell and enter a value or use the up and down arrows to enter the desired GPIB (General Purpose Interface Bus) Board number.

Minimum value: 0
Maximum value: 31

_____
GPIB Primary Address

Highlight this cell and enter a value or use the up and down arrows to set the GPIB Primary address.

Minimum value: 0
Maximum value: 31

Serial (USB) Setup

Serial (USB) Interface Setup

Select the Serial (USB) tab to access the Serial (USB) Interface Setup. The Serial (USB) setup is used to configure the communications settings for the selected instrument if connected to the computer via USB.

_____
Serial (USB) Board #

Minimum value: 0
Maximum value: 99
Default: 0

For compatibility with VISA, any Agilent Series V2800 VSAs and Series V2900 VSGs that support a USB connection use a virtual com port (VCP) driver, that appears as a serial port. The Board # field is an identifier that Windows automatically assigns to specific connections, so that value must be retrieved from the Windows Device Manager.

Note in the example above that the Serial (USB) Board # is 14 and the VISA Resource String displays ASRL14::INSTR.

To find this number, look in the Device Manager under Ports (COM & LPT) and notice that the Agilent Vector Signal Analyzer has been assigned COM14. Therefore, 14 is the number entered in the Serial (USB) Board # field.

Windows Device Manager

Serial (USB) Device Manager Settingss

____

See Also

  • VISA Resource Configuration (overview)
  • LAN/TCPIP Interface Setup
  • GPIB Interface Setup
  • VISA Resource String Preview

______

VISA Resource String Preview

At the bottom on the VISA Resource Configuration dialog, you see a text string confirming the present LAN/TCPIP, GPIB or Serial (USB) configuration.

LAN/TCPIP VISA Resource String

LAN/TCPIP VISA Resource String

GPIB VISA Resource String

GPIB VISA Resource String

Serial (USB) Resource String

Serial (USB) VISA Resourcr String


Preferences tab

SignalMeister Options Dilaog Preferences Tab

Select a link below to navigate directly to that topic:

  • Show overwrite confirmation dialogs
  • Appearance
  • Displayed Units

_____
See Also:

  • Application tab
  • SCPI/VISA tab

Show overwrite confirmation dialogs for

Select the check-box to show a confirmation dialog each time you are about to overwrite any of the following file types:

  • Creating Files
  • Loading ARB Files To VSG
  • Loading MAP Files To VSA

Uncheck the box to avoid showing any confirmation dialogs.

______

This confirmation dialog applies to loading or overwriting the ARB files in both the file system as well as the digital signal processor (DSP)

______

Appearance

Visual Theme

Allows you to select different color schemes to alter the visual appearance of the user interface. You can choose from black, blue, or silver.

Displayed Units

Use the drop-down menu to select the desired units in which to display the frequency. This is a global setting for the entire application, however, you can still adjust the frequency units "on the fly" in each of the specific application areas. Select from the following choices:

  • Hz (default)
  • KHz
  • MHz
  • GHz


Basic SignalMeister Tasks

  • Working with Elements
    • Connecting Elements
    • Renaming Elements
    • Creating an Element Shortcut
    • Using the Frequency Shift Element
  • Managing Project Files
  • Renaming Project Worksheets
  • Creating Project Templates
  • Printing a Worksheet
  • Generating ARB Files
  • Importing ARB and IQ File (user-provided files)
  • Downloading ARB files to a Series V2900 VSG
  • Adding Modifications and Impairments to ARB Files
  • Communicating with Signal Generators and Signal Analyzers
    • USB memory device
    • Using the LXI Web Interface
  • Working with analysis elements
    • Printing/copying/saving analysis displays
    • Setting up analysis windows


Working with Elements

NOTE: The elements provided in the Toolbox groups are samples that you can use as they are, or you can customize them for your particular testing needs. When viewing elements in the toolbox, remember that an element's label only indicates its present configuration. You can place an element on your worksheet and modify its properties as you see fit. If you modify an element, we suggest you edit the element's label so that it more accurately indicates how you have customized it or its relevance to your project.

______

The elements in the SignalMeister™ toolbox are the building blocks used to:

  • Define and process an arbitrary waveform file in one of the several available signal formats
  • create a waveform file based on your configuration;
  • download that waveform file to a signal generator to be played back and analyzed.

Each element, or icon, represents a specific function, or portion, of the waveform creation and playback process, and has a configuration dialog associated with it that allows you to set the parameters for that particular element, based on what the element represents. For example, the FFT size, bandwidth, guard interval, and so on, in a WiMAX® waveform can be configured for your specific waveform design, renamed to easily identify that particular configuration, and then saved to be used again to create other ARB files using a WiMAX element from the Toolbox.

To access the configuration dialog of any element, either double-click the element icon or right-click the element icon then select Edit Element Configuration... from the pop-up menu (below).

Element Configuration menu

Edit Element Configuration...

Opens the configuration dialog window of the selected element.

Save Element as User Template...

Opens a [image] dialog window that allows you to save the selected element as a user template. The dialog window provides you the opportunity to specify a template name and location for the saved element. The template is displayed in the My Templates toolbox with the icon of the selected element.

Save element as template dialog

NOTE: If the user template is stored in any location other than C:\Program Files\Agilent Technologies\Agilent SignalMeister\Item Templates\User Templates, it will function as a template, but will not be shown in the My Templates toolbox.

Rename Element...

Opens the [image] Rename dialog that allows you to change the name of the selected element.

Rename Element dialog

Cut

Removes the selected element from the worksheet and places it on the system clipboard.

Copy

Places a copy of the selected element on the system clipboard.

Delete

Deletes the selected element.

Run Conflict Analyzer

Runs the conflict analyzer only on the selected element, not the entire worksheet. This is particularly valuable when checking for channel and code conflicts.

_____
See also:

  • Connecting Elements
  • Renaming Elements
  • Creating an Element Shortcut
  • Using the Frequency Shift Element
  • Basic SignalMeister Tasks
  • Working with Analysis Elements


Connecting Elements

Select the Connect Elements icon Connect Element icon in the tool bar to begin the sequence of connecting one or more elements together in your project. When Connect Elements is active Active Connect Elements Icon, begin by selecting the sink element, then select the source element to connect the two items. You can drag and drop multiple elements onto your worksheet, then connect them all as one step.

For example, to connect a WiMAX® signal element, an ARB File element and a 2900 VSG element together you would:

  1. Drag and drop the elements from the Toolbox to the Projects worksheet.
    ______
    Connecting Elements Step 1
    ______
  2. Select the Connect Elements button to make it active.
    ______
    Connecting Elements Step 2
    ______
  3. Click the WiMAX® element.
  4. Click the ARB file element (these are now connected).
    ______
    Connecting Elements Step 3 and 4
    ______
  5. Click the ARB file element again.
  6. Click the signal generator element (all three elements are now connected).
    ______
    Connecting Elements Step 5 and 6

_____
See also:

  • Working with Elements
  • Basic SignalMeister Techniques


Renaming Elements

NOTE: The elements provided in the toolboxes are samples that you can use as they are, or customize for your particular needs. When viewing elements in the toolbox, remember that an element's label only indicates its present configuration. You can place an element on your worksheet and modify its properties as you see fit. If you modify an element, we suggest you edit the element's label so that it more accurately indicates how you have customized it or its relevance to your project.

___
Select Rename Element to assign a unique, easy to remember name for your element. This is particularly useful after you have customized the settings for any element, and want to save those changes for future use.

Rename Element dialog


Creating an Element Shortcut

  1. In the Worksheet, click on a element or a group of elements to highlight.
  2. Right-click on the element and select Copy from the shortcut menu.
  3. From the main menu, click Worksheets > Paste as Shortcut.

    Notice that the new element or group of elements has a yellow border identifying it as a shortcut.

See also:

  • Working with Elements
  • Worksheets Menu
  • Basic SignalMeister Tasks


Using the Frequency Shift Element

SignalMeister™ generates signals at the baseband frequency. When they are played back on the Series V2900 Vector Signal Generator (VSG), their frequency spectrum is centered on the carrier frequency of the VSG.

Ideally, to generate interferer or jamming signals, you would use multiple VSG instruments. However, if you have only a single VSG you can generate a single ARB file with both a desired signal and an interferer, with some limitations. The jamming signal can only be a maximum of half the ARB generation bandwidth away from the carrier frequency. Additionally, you will run into resolution issues of the DAC, impairing the signal quality.

Example Project

The following example uses an 802.11 WLAN signal in the presence of an identical 802.11 WLAN signal on an adjacent channel 50 MHz away.

Start with an 802.11a,g signal object that is shifting by 20 MHz. This signal must be unsampled, because at the default 50 Msample/s rate used for two 802.11 signals, you are limited to a 40 MHz bandwidth. Shifting a 20 MHz wide 802.11 waveform by 20 MHz would not be possible, because you would be bandwidth limited (20 MHz offset + 20 MHz BW/2 = 50 MHz). Unsampling to 100 Msamples/s allows you to generate waveforms with bandwidth up to 80 MHz total. (That is, 40 MHz offset from each side of the carrier.

Next, the interferer is generated. A frequency shift element with a 20 MHz value is inserted. The output of the resampler is connected to both the frequency shift element and to the channel model element. The channel model element allows you to combine both the frequency-shifted and original 802.11 a,g signals into a single ARB file.

Step 1

Build the project using an 802.11a,g 54Mbps signal with the other elements as shown below.

sm frequency shift config

Step 2

Use the Channel Model Configuration to combine main signal with the frequency shift module (3 dB down).

sm channel model config

Step 3

Add a VSA Simulator and General Purpose Analysis elements to the project as shown below.

Step 4

Use the General Purpose Analysis element to view the results.

Frequency shift general purpose analysis screen capture


Managing Project Files

SignalMeister™ uses various file types when creating and executing projects. For example:

  • Project files (*.ksmp)
  • Component files, such as ARB files, map files, IQ files, bit reference files, and other data files. These can be a combination of files generated or referenced relative to the project directory, or referenced from an external source (for example, residing on another part of the hard drive, on a network drive, etc.).

_____

IMPORTANT: If you intend to share or move your SignalMeister™ projects (for example, email or move them to another computer), be sure to keep all the files located in the same directory as the project (*.ksmp) file, or a subdirectory of the project.

Regardless of how a project is saved or the component files are specified, if all the files are in the same directory as the project, or in a subdirectory of the project, then you can copy that directory (and subdirectory) to any other location and successfully open and use the project from the new location, including a different computer.

However, if a SignalMeister™ project uses any component file (ARB file, map file, etc.) that is specified in a location other than the project's directory (or subdirectory), then that file must exist in that exact absolute path for that project to be opened and used successfully.

For example, if you save a project in C:\MyProject and it specifies that the component files also reside in C:\MyProject\components, you can compress/zip the entire MyProject directory and move/send it to another computer, where it can be uncompressed/unzipped and used in any location.

Conversely, if you save a project in C:\MyProject and it specifies a user file in your computer's My Documents directory (for example, c:\documents and settings\johndoe\My Documents\) and you send all the files to another computer, the project will report a conflict because the specified user file cannot be found (c:\documents and settings\johndoe\My Documents\ does not exist on the other computer).


Renaming Project Worksheets

There are three ways available to rename the project worksheets; from the Worksheets menu in the menu bar, double-click the worksheet tab to highlight the worksheet name and type in the new name, or right-click the worksheet tab and select Rename Worksheet from the drop-down menu. The following steps explain how to rename a worksheet from the menu bar.

  1. From the main menu, select Worksheets > Rename Worksheets.
  2. In the Rename dialog box, enter a new name for the current worksheet.
  3. Select OK.

_____
See also:

  • Printing a Worksheet
  • Renaming Elements
  • Basic SignalMeister Tasks


Printing a Worksheet

  1. From the main menu, select File > Print Worksheet... .
  2. From the Print dialog box, select the printer name and specify the Properties if needed.
  3. Select OK.

Tip: You can add descriptive text to a worksheet prior to printing.

  1. From the main menu, select Elements > Add Text Block.
  2. An editable text box appears in the center of the worksheet.
  3. Double-click inside the text box to open the Text Block Editor.
  4. Enter the desired text and then select OK.
  5. In the Worksheet, click and drag the text box to the desired location.

_____
See also:

  • Basic SignalMeister Tasks


Creating Project Templates

Any portion of a SignalMeister project can be saved as a user template allowing easy reuse of project elements. For example, after you have entered the communication addresses for the signal generator and signal analyzer, you could save this to reuse in future projects.

As you configure different test setups, you can save any element, group of elements or complete project as a template. When you first open the SignalMeister software, the My Templates category is not immediately available in the Toolbox, and there are no templates available for use. As soon as you save either a project or an element as a template, the My Templates category is displayed with the saved template available to use in your project.

There are two types of templates for use in SignalMeister; a project template (*.ksmp), and an element template (*ksmt):

  • A project template is made up of two or more individual elements, and is identified by a green, template icon, as shown in the figure below.
  • An element template is a single element that has been configured for your specific needs, and has been saved with that configuration. It is identified by the element icon from which it was created, as shown in the figure below.

    NOTE: Only single elements can be saved as an element template. If you want to save more than one element as a template, it must be saved as a project template with the project (*.ksmp) file extension.

Saving a template

  1. To save an existing project as a template, right-click anywhere in the Projects worksheet and select Save Project as Template… from the context menu.

    Alternately, from the main menu select Projects > Save Project as Template....

  2. To save an existing element (configured for future use), right-click on the element and select Save Element as User Template… from the context menu.

    Alternately, from the main menu select Elements > Save element as User Template....

  3. After the template is saved, SignalMeister automatically creates a "My Templates" group in the Toolbox and places the template in it. In the Toolbox select My Templates to view the new user-saved project template or element template.

Adding a template to a project

User template elements can be added to projects like any other elements. Once the user template is placed in a project, it will expand into all of the individual elements included in the template. To demonstrate this feature:

  1. From the main menu, select Worksheets > Add Worksheet to add a new worksheet into the existing project.
  2. Right-click on the Sheet 2 tab and select Rename Worksheet. You rename the worksheet for easy identification of the signal types and ARB file configurations.
  3. In the Toolbox, select the template element from the My Templates folder and click and drag it across to the new worksheet.

    Notice how the project element expands back into the three individual elements that were saved as the project template.

Deleting a template

To delete a user template, perform the following steps:

  1. From the main menu bar, select Elements > Delete User Templates.
  2. From the submenu, select the name of the user template you want to delete.
  3. As soon as you click the name of the template you want to delete, it will be removed from the My Template category.

_____
See also:

  • Basic SignalMeister Techniques


Generating ARB Files

The basic process for creating ARB waveforms is described below.

  1. Drag and drop a signal generation element from the Toolbox onto the Projects worksheet. Choose from one of the available technologies, such as WLAN, WiMAX, 3GPP, 3GPP2, Digital Video, and so on.

    For this example, the WLAN 802.11a,g 54 Mbps element is used.
    ______

    ______

  2. Double-click the element or right-click on the element and select Edit Element Configuration… from the context menu to set the waveform parameters. The 802.11a,g,j,p Configuration dialog is displayed.
    ______

    ARB generation step 2
    ______

  3. From the Files section of the Toolbox, click and drag a ARB File element onto the worksheet.
    ______

    ARB file step 3
    ______

  4. Use the Connect Elements icon Connect Element icon (shown in the tool bar as a line with arrow heads on both ends) to connect the output of the waveform element to the input of the ARB file element. To do this, first click the source element then click the sink element to automatically connect them. In this step the source element is the WLAN element, and the sink element is the ARB File.
    ______

    ARB file genertion step 4

    ______

  5. Double-click the ARB File element to open the ARB File Configuration dialog and enter the ARB file name and storage location on the PC.
    ______

    ARB file generation step 5
    ______

  6. From the main menu, select Project > Build All to build the ARB file. When the build is complete, the Status area displays a results message, and the elements on the worksheet change color depending upon the status. In this case, the background color changes to green, indicating that the element configured without any errors or warnings. Yellow indicates that the element ran with warnings; Red indicates that the element had errors and the build was halted.
    ______

    ARB file generation step 6
    ______

    At this point, the ARB file is generated and can be loaded into the Series V2900 vector signal generator (VSG). The file can be manually moved using a USB memory device or you can use SignalMeister™ to copy the ARB file to the signal generator.

  7. To save the project select File > Save Project As. You can reload saved projects into SignalMeister™ at a later time.

_____
See also:

  • Importing ARB and IQ Files
  • Downloading ARB files to a Series V2900 VSG
  • Adding Modifications and Impairments to ARB Files
  • Managing Project Files
  • Communicating with Signal Generators and Signal Analyzers
  • USB memory device
  • Using the LXI Web Interface
  • Basic SignalMeister Techniques


Importing ARB and IQ Files (User-provided files)

SignalMeister™ can import a double- or single-precision IQ file and convert it into an ARB file for use with the Agilent Series V2900 Vector Signal Generators, as well as importing ARB files that were previously created and saved. The following instructions show how to import an IQ file, convert it to an ARB file that is saved to a file for future use, then import that ARB file into a project.

______

IMPORTANT: To play the ARB files created in this process, you must have a V2920A-Bxx ARB file playback license, either V2920A B20, V2920A B40 or V2920A B80, based on the sample rate. Less than 50 Msps requires a 20 MHz license, 50 Msps to 99 Msps requires a 40 MHz license and 100 Msps or greater requires an 80 MHz license. See Managing Licenses for more information on obtaining and installing licenses.

______

  1. Drag and drop the elements shown in the diagram below onto a project worksheet and connect them as shown. See Connecting Elements.

    IQ Import Example
  2. Double-click the DP IQ Import element to open the dialog, then enter the information about the file you want to import. See IQ Importer for information about the File Name, Sample Rate, Data Type and so on.

    IQ Data Importer Dialog
  3. Right-click on the first instance of the ARB File element, select Edit Element Configuration from the popup menu, then enter a name for the ARB file and the location where you would like to save the file in the Arb File Name field. Click OK.

    ARB File Configuration dialog
  4. Right-click on the first instance of the ARB File element and select Build from the popup menu.

    SignalMeister Element Popup Menu
  5. When the build is finished, the IQ Import and ARB File elements become green in color, indicating the .bin file has been converted into an .arb file without errors.

    ARB File Import Step 5
  6. Double-click the ARB File Importer to open the dialog, then enter the Arb File Name and location of the ARB file you saved in Step 3.

    ARB File Importer Dialog
  7. Right-click on the second instance of the ARB File element, select Edit Element Configuration from the popup menu, then enter a name for the ARB file and the location where you would like to save the file in the Arb File Name field. Click OK.

    ARB File Configuration dialog
  8. Right-click on the second instance of the ARB File element and select Build from the popup menu.

    SignalMeister Element Popup Menu
  9. When the build is finished, the ARB File Importer and ARB File elements become green in color, indicating the .arb file was imported without errors.

    ARB File Importer
  10. The ARB file is now ready to use in other projects.

See also:

  • Managing Project Files
  • Managing SignalMeister™ Licenses
  • Generating ARB Files
  • Downloading ARB files to a Series V2900 VSG


Downloading ARB files to a Series V2900 VSG

The Agilent V2901A SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit allows you to create arbitrary waveform files (ARB) for Agilent Series V2900 signal generators and play them on Series V2900 vector signal generators.

  1. To copy the arb file automatically, add a signal generator element to your project by dragging and dropping a signal generator element from the Toolbox to the Project worksheet.
  2. Enter the LAN or GPIB address for the instrument. To open the configuration dialog window, use either of the two methods below:
    1. Right-click the signal generator element and select Edit Element Configuration from the context menu.
    2. Double-click the selected signal generator element.
  3. Select the VISA Resource tab, and then select the Configure button. If you are using a LAN connection, select the LAN/TCPIP tab. If you are using a GPIB connection, select the GPIB tab.
  4. Enter the TCP/IP address of the signal generator. The LAN/GPIB addresses for the Series V2900 Vector Signal Generators are viewed or set from the Utilities menu of the signal generator. From the front panel of the signal generator select Menu > Utilities > Ethernet Settings... to view the IP address.
  5. After the IP address has been configured, connect the Signal Generator element by selecting the Connect Element icon in the toolbar, then select the arb file and the signal generator on the worksheet.
  6. The arb file can now be downloaded and played by the signal generator using one of the methods shown below.
    1. Select Project > Load All from the main menu
    2. Select the Load All button from the Project toolbar
    3. Right-click the signal generator element and then select Load Arb File from the context menu. This method allows you to update only one arb file if you have several configured in a large project.

See also:

  • Generating ARB Files
  • Importing ARB and IQ Files (User-provided files)


Adding Modifications and Impairments to ARB Files

Modifications and impairments can be added to any type of ARB file by sending the output or the waveform generation element to an operation element before sending it to the ARB file element. Multiple modifications can be added to the same signal. Modification and impairment elements are contained in the Operations section of the toolbox. The available waveform operations include:

  • AWGN
  • IQ gain imbalance
  • IQ offset
  • Invert Q signal
  • Resample to a different sample rate
  • Apply a channel matrix to a MIMO signal

As an example, an AWGN will be added to the signal in the existing WLAN project.

  1. From the Toolbox, select the Operations tab and click and drag the AWGN element to the project.
    ______

    ARB modifications1
    ______

  2. Use the Connect Elements icon to connect the 802.11 signal element to the AWGN element.
  3. Double-click on the AWGN element to set the noise level.
    ______

    AWGN configuration
    ______

    At this point, there are two options.

    • First you can disconnect the output of the 802.11 signal generation element from the ARB file element and connect the output of the AWGN element to the ARB file input.
    • Or, you can create a second ARB file for the impaired waveform. The ARB file and signal generator elements can be added to the project from the toolbox, as shown earlier, or you can select the existing ARB file and signal generator elements in the project and copy them.
  4. To do this, on the worksheet click and drag a rectangle over the ARB file and signal generator elements to select.
  5. From the main menu, select Elements > Copy then Worksheet > Paste as New.
    ______

    modifications and impair 3
    ______

  6. Use the Connect Elements icon to connect the output of the AWGN element to the new ARB file as shown in the figure above.
  7. Double click on the new Agilent ARB File element to open the ARB File Configuration dialog, and then enter a file name.
    ______

    mod and impairments 4
    ______

  8. Double-click on the signal generator element and configure the communications settings for the signal generator communications type used.
  9. The project now illustrates the two methods for generating and downloading the ARB files. If you select Project > Force Load All, both files will be generated and loaded. If you right click on the new source element and select Load ARB File, only this file will be downloaded.


Communicating with Signal Generators and Signal Analyzers

  1. To Copy an ARB file automatically, add a signal generator to the project. Note this topic continues with the 802.11a,g 54Mbps setup described in the previous topic, Generating ARB Files.
    ______

    Adding a VSG
    ______

  2. Either double-click on the signal generator element, or right-click and select Edit Element Configuration, to open a dialog window where you enter the LAN or GPIB address, configure the Arb file, or start the LXI Web Interface for that signal generator.
    _____

    communicte with vsg step2
    ______

  3. Select the VISA Resource tab, then click Configure.
    ______

    Communicating with VSG

    ______

  4. Select either the LAN/TCPIP or GPIB tab as applicable, then configure your interface setup. Click OK when you have finished.

    The GPIB and LAN addresses for the Series V2900 Vector Signal Generator or the Series V2800 Vector Signal Analyzer are obtained from the Utilities menu of the instrument to which you want to connect. The following screen capture shows the LAN setup screen for the instrument.You would use the IP address shown in this field. The instruments allow static and dynamically allocated LAN addresses.
    ______

    communicate with vsg step 4

    ______

  5. Now that the communications address is configured, use the Connect Elements icon to connect the Signal Generator element to the output of the ARB file.
    ______

    communication with vsg step 5
    ______

    The ARB file can now be downloaded and played by the VSG using two different methods:

    • From the main menu, select Project > Reload All. This will regenerate the ARB files and then load them to the VSG.
    • Right-click on the Signal Generator element and select Load ARB File from the context sensitive menu.

    For this simple project, there is no difference between these methods. However, SignalMeister allows the creation of a large project that can produce multiple ARB files. For these projects, the second method allows you to update one file without regenerating all of the files in the project.

  6. When you select either method a dialog will be presented asking you to load or overwrite the existing files. Select OK to these dialogs to load the new file. The Signal Generator element will also turn color after the above process. A green background indicates that the operation completed successfully.

_____
See also:

  • Basic SignalMeister Tasks

USB memory device

Use the following steps to copy an ARB waveform file from your PC to a Series V2900 Vector Signal Generator:

  1. Insert a USB memory device into a USB port on your computer.
  2. Copy the generated waveform file (*.arb) to the memory device from the storage location of your PC.
  3. Remove the USB memory device from the computer and insert it into the Series V2900 VSG front panel USB port.
  4. From the Series V2900 VSG front panel, choose Select Modulation > Arb > Add Arb > Add Arb File.
  5. In the Open Arb dialog box, select the Look in: drop-down arrow and select USB.
  6. Select the *.arb file from the scroll list and select Open. The file is now loaded in the arbitrary waveform playback table.
  7. Select the row of the playback table containing the file that you just downloaded, then select Load Row#.
  8. Select RF: On to switch on the RF output.

For more information on signal control and playback, refer to the Series V2900 VSG help topics. See Arbitrary waveforms > Arbitrary waveform procedures for detailed information.


Using the LXI Web Interface

SignalMeister also allows a convenient method to access the LXI Web Interface for Agilent RF instruments. To access the LXI interface, double-click the signal generator or signal analyzer source element (refer to Communicating with Signal Generators and Signal Analyzers), select the LXI Web Interface tab and then click the Start LXI Web Interface button.

LXI interface step 1

The Agilent Series LXI interface has two very useful operations in this mode. First you can select a live display of the instrument. The following figure shows the vector signal analyzer welcome screen .

LXI web interface step 2
_____

TIP: The LXI interface screen capture can also be useful to copy the vector signal generator or vector signal analyzer display for report and data sheet generation.


Working with Analysis Elements

Following are common facets of working with the analysis elements:

  • Printing/copying/saving analysis displays
  • Setting up analysis windows

___
See Also:

  • Basic SignalMeister™ tasks
  • Signal analysis overview


Print/Copy/Save Analysis Displays

Analysis Window Print/Copy/Save Displays menu

This menu is specific to the analysis elements (Displays > Print/Copy/Save Displays), and provides access to the Print/Copy/Save commands for each of the active displays.

As displays are made active or are disabled, such as the parameters table, burst data table, and graph or strip chart displays, the list of Current Displays is updated as each is added or removed. Use the check-box(es) to select the items you wish to Print/Copy/Save.

_____
See Also:

  • Working with Analysis Elements
  • Basic SignalMeister Tasks

Copy Each To Clipboard

Copy each of the selected displays to the clipboard.

______

NOTE: When the contents of the Parameters Table is copied to the clipboard, it can be pasted as tab delimited text into applications such as Notepad®, or it can be pasted as comma separated values (CSV) into applications such as Excel®.

Print

Choose this to print the selected displays.

Save to PDF

Select this to save the selected displays to a PDF file.

Monochrome

Select this check-box to have each selected display shown in monochrome (black and white). De-select this check-box to show the displays in color.

Print Preview

Select this to preview the current print job.


Setting Up Analysis Windows

From the Analysis Window, individual windows can be selected from both the Displays Menu and the Settings Menu. Once selected, the positioning and some properties of the window can be set up using the View Menu.

_____
See also:

  • Working with Analysis Elements
  • Basic SignalMeister Techniques

Set Up Windows

To set up a window in Analysis Window element, do the following:

  1. Launch the Analysis Window.
  2. Select either Displays Menu or Settings Menu.
  3. Select a window from the menu.

    Example: Displays > Graphs > Constellation, or Settings > Instrument Control

    NOTE: The selected window opens in accordance to the settings in the View Menu with regard to position and size.

Arranging Windows

Docked Windows

If the windows are docked, there are several methods of arranging them.

Docking Windows

To dock a window:

  1. Right-click the graphical area of the display below the title bar.
  2. Select Dock to.
  3. Select either Left, Right, Top, or Bottom as the edge of the graph to dock to.

In this example the left edge of the window was selected to dock to.

Un-Docking Windows

To Un-Dock a window:

  1. Right-Click the graphical area of the display below the title bar.
  2. Clear the Docking selection.
  3. The window is now free to be moved by dragging.

Hiding Windows

To Hide a window:

  1. Right-click the graphical area of the display below the title bar.
  2. Select Hide.
  3. The window now disappears from view.


Signal Generation

The input parameter requirements for different communication standards vary significantly. As such, the displays for inputting this data in SignalMeister also vary significantly. The SignalMeister waveform parameter input screens are formatted in a manner that allows data entry consistent with the format and terminology of the standards.

  • Waveform generation process overview
  • WiMAX
  • WLAN
  • 8 x MIMO Signal Generation - IQ Files
  • 3GPP and 3GPP2


Waveform generation process overview

SignalMeister allows you to define an arbitrary waveform and specify where it gets downloaded and played back, using a project-element approach. By selecting and defining each element, you create a waveform generation process that you can save for later use or modification, either as an individual element template or as an entire project.

In a basic project configuration, shown below, the flow of the process is indicated by the elements that are connected and processed in a left-to-right order.

  1. The signal format is defined.
  2. Any processing operations are performed.
  3. An arbitrary waveform file (*.arb) is generated.
  4. Specify the signal generator where the *.arb file will be downloaded and played back.
  5. Generate the arbitrary waveform file and download it.

To generate a waveform file project, you can use either of the following processes:

  • Building a project with individual elements
  • Building a project with a template


WiMAX

The 802.16e WiMAX® standard allows for a very high degree of flexibility. The SignalMeister™ parameter window for WiMAX® also allows this level of flexibility. There are three major sections of the WiMAX setup:

  • Common Parameters - specifies the input parameters such as FFT size, number of symbols, length of frame, It also allows you to create the uplink or downlink signal.
  • DL subframe - Specifies the zone and burst parameters for the downlink subframe.
  • UL subframe - Specifies the zone and burst parameters for the uplink subframe.

Because of the complexity of the WiMAX® map configuration, SignalMeister™ can save the map configuration into a file that can be loaded into the signal analyzer. The WiMAX® Map file element is located in the Files folder of the toolbox. The output of the Map File element can be connected to a signal analyzer element and is loaded into the VSA WiMAX measurement when the project is run. The following examples show this setup.

Generating a WiMAX SISO Signal

Put Elements in the Project View

  1. In the SignalMeister Toolbox, select the WiMAX folder to display the list of WiMAX elements.
  2. Drag and drop DL 10 MHz, 1024 FFT into the Projects view.
  3. In the Toolbox, select the Files folder to display the list of Files elements.
  4. Drag and drop the ARB File and WiMAX Map File elements into the Projects view.
  5. In the Toolbox, select the Signal Generators folder to display the list of signal generator elements.
  6. Drag and drop a 2900 VSG element into the Projects view.
  7. In the Toolbox, select the Signal Analyzers folder to display the list of signal analyzer elements.
  8. Drag and drop a 2800 VSA element into the Projects view.

Connect the Elements and Run the Project

  1. Use the Connect Elements icon to connect the output of the DL 10 MHZ, 1024 FFT element to the ARB File input.
  2. Connect the output of the ARB File element to the input of the 2900 VSG element.
  3. Connect the output of the DL 10 MHZ, 1024 FFT element to the input of the WiMAX Map File element.
  4. Connect the output of the WiMAX Map File element to the input of the 2800 VSA element.
  5. From the main menu, select File > Save Project As... and save the project.
    ______

Verify the Signals On the VSA

  1. Connect the output of the VSG to the input of the VSA.
  2. On the VSA, select Preset > Spectrum > Standards > 802.16x to view the constellation diagram and other parameters.

Generating WiMAX MIMO Signals

WiMAX MIMO, also known as Wave 2, supports space-time coding (STC) and spatial multiplexing (SM) in WiMAX signals. STC uses Alamouti scheme (Matrix A) to provide transmit diversity as shown in Figure 1. Spatial multiplexing is also referred to as MIMO and uses Matrix B, it is shown in Figure 2. STC/MIMO is often used to indicate WiMAX MIMO mode.

In WiMAX downlink, both STC and SM are used. In WiMAX uplink, collaborative spatial multiplexing is used. Two users, each with only one antenna, can transmit collaboratively in the same slot as if two streams are spatially multiplexed from two antennas of the same user.

Figure 1: Space-Time Coding Diagram

Figure 2: Spatial Multiplexing

Figure 3: Collaborative Spatial Multiplexing for Uplink

In SignalMeister, the MIMO mode offers WiMAX MIMO selection. There are two options: 2x Matrix A (STC) and 2x Matrix B (SM) in the downlink. MIMO mode is found in DL Subframe >Zone.

In uplink, the MIMO mode configuration is found in UL Subframe > Zone > Burst.

Generating WiMAX MIMO signals follows the same steps as in Generating WLAN MIMO Signals and Analyzing Them on a VSA. Here, WiMAX downlink MIMO is used as an example. However, the WiMAX files are not downloaded into Series V2800s because the Series V2800s will be used for data collection in MIMO mode and the analysis will be done on the PC in SignalMeister™. This is different from WiMAX SISO signal analysis which can be done in the embedded WiMAX analysis of the <SeriesVSAs.

Put Elements into the Projects View and Connect the Elements

  1. In the SignalMeister Toolbox, select the WiMAX folder to display the list of WiMAX elements.
  2. Drag and drop the DL 10 MHz, 1024 FFT 2x MIMO element into the Projects view.
  3. In the Toolbox, select the Files folder to display the list of Files elements.
  4. Drag and drop the 2x ARB File and WiMAX Map File elements into the Projects view.
  5. In the Toolbox, select the Signal Generators folder to display the list of signal generator elements.
  6. Drag and drop the signal generator 2900 Nx MIMO VSG element into the Projects view.
  7. Double-click the element to open the How Many Instruments dialog.
  8. Select the number of instruments in your configuration (in this example it is 2).
  9. Connect the elements as shown below.

    WiMAX MIMO Setup

Run the Project

  1. Configure each element appropriately by double-clicking on the element.
  2. From the main menu, select File > Save Project As... and save the project.
  3. Select Projects > Load All to download the file to the specified location in the VSA, and load it into the ARB memory.

    The elements will turn green to show a successful build.

Verify Signals On the VSAs

  1. Place both the Series V2800s and Series V2900s into MIMO mode.
  2. Load the corresponding ARB file into the Series V2900 ARB memory.
  3. Configure the frequency and power level, then turn the RF to On.
  4. On the Series V2900s
    • Set the master to Trigger Now.
    • Set the slave to Trigger Now.
  5. On the Series V2800s
    • Set the Frequency and Reference Level as appropriate.
    • Place both Series V2800s into Zero-Span mode.
    • Set the Sweep Time appropriately.
    • Set the Trigger Source to either Free Run or Video Trigger. If Video Trigger is selected, set the Trigger Level as well.

By now, waveforms should be displayed on the analyzers. If not,

  1. Connect the output of the VSG to the input of the VSA.
  2. On the VSA, select Preset > Spectrum > Standards > 802.16x to view the constellation diagram and other parameters.
  3. Then load the testing signals again for verification.

Successfully Triggering WiMAX MIMO Signals

WiMAX MIMO signals pose an interesting challenge to video triggering. Most OFDM MIMO standards have all of the transmitters come on synchronously, so you can choose a specific transmitter and successfully trigger a signal.

WiMAX, however, only uses MIMO as part of the data region. When the signal first comes on, only the master transmitter sends out the header information. Shown below is an example of a 2x2 WiMax MIMO transmission:

______

Trigger WiMAX MIMO Signals

______

Note that the master transmitter (Channel 1) comes on approximately 500 µsec prior to the slave transmitter (Channel 2). The problem can be described as such; a MIMO system must choose a single input from which to derive the video trigger. By convention, the master receiver is used. If you cable the slave transmitter to the master receiver, you get the situation shown below:

______

Trigger WiMAX Slave to Master

______

Channel 1 (the blue trace) is the signal received at the master receiver. The video trigger from the blue trace did not occur until 500 µsec after Channel 2 (the white trace) became active (you can only see about 200 µsec in this graph). Since the trigger was so late, the WiMax header was missed, and the signal was not demodulated.

Knowing that this situation exists, you have to decrease the video trigger delay by 500 µsec, so acquisition begins in time to capture both pulses in their entirety, as is shown in the figure below:

______

Trigger WiMAX MIMO 500 usec delay

______

In this case, the trigger delay was reduce from 322 µsec to -20 µsec. Determining the required trigger delay can be done from the SignalMeister™ analysis window. If you place SignalMeister™ in a Continuous sweep, display the IQ Amplitude graph, and begin reducing the video trigger delay, you can see when you are capturing enough of the signal to successfully demodulate.

In summary, there are 3 choices to get reliable acquisitions of WiMAX MIMO:

  • Always ensure that the master transmit goes to the master receive
  • Look for the case where the video trigger needs negative delay and add the delay when needed.
  • Use free run trigger, and an acquisition time long enough to always get a complete burst. This is typically twice the WiMAX frame time.

Optimizing WiMAX MIMO Signals

The SignalMeister™ optimize function assumes that the master transmitter is cabled to the master receiver. The Optimize function will fail in any other configuration, as it attempts to use video triggering. In order to use the Optimize function, you must ensure that the master transmitter output is connected to the master MIMO receiver. If the device being measured does not have the transmitter outputs labeled, it may take some trial and error to find the right connections.


WLAN

The configuration dialog windows for 802.11a/b/g/j all have a similar format. There are a relatively small number of parameters required for these standards. The basic parameters are entered on the following screen. These parameters either have a valid range of numbers from which to choose or an item to select from a drop down list.

WLAN signal generation1

The specific payload data can be entered by clicking the Configure PSDU button (see the figure above) and entering values in the WLAN PSDU Configuration dialog (see figure below).

Signal Generation WLAN2

Generating a WLAN SISO Signal

In this section, a SISO 802.11a/g signal is generated step by step. Then the Series V2800 embedded WLAN option is used to analyze and verify the generated signal.

Put Elements into the Projects View

  1. In the SignalMeister™ Toolbox, select the WLAN folder to display the list of WLAN elements.
  2. Drag and drop a WLAN element (for example, the 802.11a,g 54 Mbps) onto the Projects page.
  3. In the Toolbox, select the Files folder to display the list of File elements.
  4. Drag and drop the ARB File element onto the Projects page.
  5. In the Toolbox, select the Signal Generators folder to display the list of signal generator elements.
  6. Drag and drop the 2900 VSG element onto the Projects page.
  7. The three elements should be configured as shown in the figure below.
    ______

    WLAN Signal Generation3

Connect the Elements

  1. Use the Connect Elements button to connect the output of the 802.11a,g 54 Mbps element to the ARB File input. See Connecting Elements for detailed instructions on how to connect elements in SignalMeister™.
  2. Connect the output of the ARB File element to the input of the 2900 VSG.
  3. Click and drag a rectangle to enclose all three elements.
  4. From the main menu, select Worksheets > Align Horizontal (alternately, you can select the Align Horizontal icon from the toolbar).

    Now the elements are connected together and aligned as shown below.
    ______

    WLAN sig gen4

Configure the Elements

  1. Double-click each element to configure the parameters of each element. Refer to WLAN for more information. If you need more information regarding each individual parameter refer to the SignalMeister™ Help. Refer to Basic SignalMeister Tasks for information on ARB file and instrument configurations.
  2. From the main menu, select File > Save Project... to save the project.

Run the Project

There are four options to run the project from SignalMeister's Projects menu.

  • Run Conflict Analyzer - Displays any errors or conflicts in the current configuration in the Status area.
  • Build All - Builds an ARB file that contains all of the elements of the project including the elements on multiple worksheets. The ARB file is created and stored on your PC.
  • Download All - Downloads the ARB files from your PC to the signal generator memory.
  • Load All - Loads all of the ARB files in the current project to the signal generator that is configured in your project. This selection makes the ARB file ready to play in the signal generator.
  1. From the main menu, select Projects > Build All to build the arb file.

    Or, select Projects > Load All to download the arb file to the specified location in the VSA, and load it into the ARB memory.

Generating WLAN MIMO Signal

The input parameters for 802.11n are similar to Generating a WLAN SISO Signal. However, there is an additional parameter called the MCS (Modulation Coding Scheme) number. The MCS number of an 802.11n signal determines the modulation format, coding scheme, and also the number of MIMO output streams in the waveform data. For example, MCS 15 has two output streams. The following figure shows how to generate the 2x2 MIMO setup for MCS-15.

WLAN Sig Gen5

In this example, the two ARB file elements would have different file names. The 2x2 MIMO signal source object allows the input of communication addresses for both signal sources and configures the MIMO parameters for the system.

WLAN sig gen6

The PSDU configuration for 802.11n also contains additional controls, as shown below.

WLAN sig gen7

There are two default standard templates in the Toolbox under the Standard Templates folder. Use them as an example to customize your own project.

  1. From the Toolbox, select the Standard Template folder and click and drag the 4xMIMO Complex Impairments element to the Projects worksheet. Notice how the element automatically opens when it is placed on the worksheet.

    WLAN sig gen8


8 x MIMO Signal Generation - IQ Files

This procedure shows MIMO signal generation capability for eight Series V2800s. There is no specific supported standard in SignalMeister to generate 8x MIMO signals. In the case that you would like to develop your own 8x MIMO system, user-defined IQ data sources are used as the following example.

Put Elements in Projects View and Connect Them Together

  1. From the Toolbox, open the File folder and drag and drop the IQ Importer element (eight times) onto the Projects view.
  2. Open the Signal Analyzers folder and drag and drop 2800 Nx MIMO VSA to the Projects view.
  3. Connect the IQ Importer elements to the 2800 Nx MIMO VSA elements as shown below.

Configure the Elements and Run the Project

  1. Configure each user-defined data source in the DP IQ Importer appropriately.
  2. The Configuration window of the Series V2800 8X MIMO is similar to other Series V2800 MIMO configurations. It supports eight Series V2800s in VISA Resource, MIMO configuration, ARB configuration, and LXI Web Interface as shown below.


3GPP and 3GPP2

The 3GPP (WCDMA/HSPA) and 3GPP2 (cdmaOne/cdma2000/EV-DV) waveform parameters include a number of general parameters, a list of channels to include, and specific parameters for each channel. This complex data structure is displayed in a tree structure. This provides a quick view of the channel configuration and easy navigation to the specific channel parameters. Several default templates are provided for these standards, covering simple and complicated configurations. In addition, specific parameters (not all parameters) from anywhere in the tree can be defined as "Favorites" giving a quick way to change the most common parameters. This feature is shown in the following screen shots.

Building 3GPP and 3GPP2 signals is the same as building other signals in SignalMeister. Use the following steps to build a 3GPP downlink signal as shown. Default parameters will be used in this example.

  1. Put elements in Project View.
  2. Connect elements.
  3. Configure elements.
  4. Save and Run the Project.

    Refer to Generating WiMAX MIMO Signals and Analyzing them on a VSA for similar steps for the procedures above.

  5. Verify Signals on the VSA and VSG.
  6. After building the ARB file and loading it into the VSG ARB memory, connect the VSG to the VSA.
  7. Use the WCDMA Downlink personality to analyze the signal.


Signal Analysis

SignalMeister™ supports analyzing WiMAX and WLAN signals in both SISO (single-in, single-out) and MIMO (multiple-in, multiple-out) configurations. SISO analysis is similar to the corresponding embedded analysis using a Series V2800 VSA, but it provides more ways of displaying measurement data, reporting more measurement results, and offers easier and quicker transporting of measurement results to the PC. However, SISO analysis in SignalMeister is slower than embedded SISO analysis as it has to go through data collection over GPIB/LAN/USB.

MIMO analysis can only be done using the SignalMeister™ application. In this fashion, VSAs are used to collect IQ data, and all analysis is done in SignalMeister. No specific license is needed on the VSAs. Unlike the license for signal generation residing in a Agilent Series V2900 VSG, the licenses for signal analysis reside in the SignalMeister™ USB license key. With the license key connected to your PC using an available USB port, the valid licenses are displayed from the SignalMeister File > Manage Licenses window (below).

Select one of the links below to learn more about Signal Analysis.

  • WiMAX Analysis
  • WLAN Analysis

______

_______

NOTE: SignalMeister's analysis features cannot be operated using remote computer access tools (for example, Desktop Control Panel).

_______

See also:

  • Basic SignalMeister Tasks


WiMAX® Analysis

WiMAX® signal analysis requires use of the Map file that is generated with the ARB file. The Map file is stored on the PCs hard drive in the My Documents folder, and can be downloaded into the Agilent Series V2800 VSA using the SignalMeister™ application or a USB device.

To open a WiMAX Map file, select Use Map File from the Map Information Decoding drop-down menu, then either type in the location and file name of the Map file in the Map File Name text box, or click the More button SignalMeister More button to open a dialog that allows you to navigate to the Map file location.

______

______

Analyzing a SISO WiMAX Signal in SignalMeister

This tutorial demonstrates how to use SignalMeister's simulation mode to create a WiMAX® SISO downlink signal, add AWGN noise to the signal, and then demodulate the received transmission. The simulated analyzer displays both the graphical data and computed parameters. The final steps of the tutorial show you how to increase the noise power, then view the degraded signal.

______

Hint: This tutorial can be used for signal types other than WiMAX as the steps in building a project and analyzing a waveform are the same for all signal types. Simply follow each of the steps while substituting the appropriate elements for the type of waveform analysis you wish to perform.

______

Part 1 - Build the waveform

  1. Click the WiMAX button on the Toolbox to display the available elements. See Toolbox.
  2. Drag and drop the DL 10 MHz, 1024 FFT signal element from the WiMAX tool set onto the Projects worksheet.
  3. Click the Operations button on the Toolbox, then drag and drop the AWGN (Additive White Gaussian Noise) element to the right-hand side of the WiMAX signal element.
  4. Click the Signal Analyzers button on the Toolbox, then drag and drop the 1x VSA Simulator element to the right-hand side of the AWGN element.
  5. Re-open the WiMAX tool set, then drag and drop the WiMAX 1x Analysis element to the right-hand side of the 1x VSA Simulator.
  6. Your project should look like something like this so far:

  7. Click the Connect Elements button on the Main toolbar to make it active. See Connecting Elements.
  8. Beginning with the DL 10 MHz, 1024 FFT WiMAX element (far left), click on that element then click the AWGN element to connect them.
  9. Click the AWGN element then click the 1x VSA Simulator element to connect them.
  10. Repeat this until all elements are connected and a path exists from the signal element to the analysis function.
  11. Using the mouse (or the touchpad), left-click, hold and drag across all the elements to create a box around the project.

    WiMAX SISO Analysis Tutorial
  12. Click the Align Horizontal icon on the main toolbar to align the elements horizontally.

    WiMAX SISO Analysis Align Horizontally
  13. Your project should now look like this:

  14. On the main toolbar, select Project > Build All from the Project menu. If all of the files are built correctly, and there are no errors or conflicts, then the WiMAX signal, AWGN and VSA Simulator elements all become green in color. The Status window displays a message that no errors or conflicts were found.

    WiMAX SISO Tutorial (no conflicts)
  15. The WiMAX downlink signal has been created, Gaussian white noise has been added to it, and the VSA simulator is set to demodulate, display and compute parameters on the signal.

Part 2 - Analyze the signal

______

NOTE: The waveforms in the toolbox are example waveforms and are starting points for the creation of user-defined waveforms. Numerous parameters are programmable.

______

  1. Double-click the DL 10 MHz 1024 FFT signal element to open the WiMAX configuration dialog.
  2. Select Common from the tree view to see that the default parameters are:
    • FFT Size: 1024
    • Bandwidth: 10 MHz (the subcarriers are less than 10 kHz apart)

    WiMAX SISO Tutorial Common Parameters

  3. Select DCD from the tree view to see that the DCD (Downlink Channel Descriptor), that defines channel structure details, uses QPSK modulation.

    WiMAX SISO Tutorial DCD Coding Rate
  4. Select Burst from the tree view to see that the data is transmitted with 64QAM modulation.

    WiMAX SISO Tutorial Burst Parameters
  5. Now the WiMAX 1x Analysis element can plot, graph and perform computations on the received signal. This tutorial displays the constellation of the signal, the EVM vs. Subcarrier plot, a waveform amplitude plot (power vs. time), a table of computed parameters and a single-sweep/continuous-sweep instrument control function.
  6. Double-click the WiMAX 1x Analysis element to open the 802.16e OFDMA WiMAX Analysis window.
  7. Select Displays > Graphs, then click Constellation. Repeat this to also add the EVM vs. Subcarrier and Waveform Amplitude graphs. The EVM vs. Subcarrier graph shows the EVM for each carrier and the Waveform Amplitude graph shows the power vs. time plot of the 500 µs transmission burst.

    WiMAX SISO Tutorial Constellation menu
  8. Select Displays > 802.16e Parameters Table to display Relative Constellation Error (RCE) parameters, channel power and other computations.

    WiMAX SISO Tutorial Select Parameters Table
  9. Note that the 802.16e Parameters Table shows the number of sweeps and the minimum, maximum and average values for each of the parameters.

    802.16e Paramaters Table
  10. Select Settings > Instrument Control to display the control window for the WiMAX Analysis that allows you to select either a Single Sweep or Continuous Sweep.

    WiMAX Instrument Control (Tutorial)

    WiMAX Instrument Control (Sweep Buttons)

  11. Select View > Tile Vertically to see a display of all the open windows.

    WiMAX Analysis Tile Vertically Option

    WiMAX Analysis View Tiles
  12. Select View > Minimize to return to the SignalMeister project window.
  13. Double-click on the AWGN element, then raise the noise Power to -20 dBc and click OK.

    WiMAX Tutorial AWGN Configuration
  14. Return to the Instrument Control window and click Single Sweep. Note that the Constellation is less precise, the EVM vs. Subcarrier is higher (not as good) and the RCE is higher.

Part 3 - Optional steps for a more dynamic display

Additive White Gaussian Noise (AWGN) can be added to the VSA simulator to display more realistic data even if the AWGN element is not used. The noise in the VSA simulator is randomized so that it changes with each sweep, so using the VSA's internal noise source creates a changing and more realistic display.

  1. Minimize the Analysis window and return to the Projects window.
  2. Remove the AWGN element from your project, and remove one of the connectors.
  3. Connect the DL 10 MHz, 1024 FFT signal element to the 1x VSA Simulator element.
  4. Double-click on the 1x VSA Simulator.
  5. Select the Add Noise check-box and increase the power to -20 dBc, then click OK.

    WiMAX SISO Tutorial VSA Simulator Configuration
  6. Return to the Analysis window and click Continuous Sweep from the Instrument Control panel. Note the changing displays. The update rate is a function of your PC speed.
  7. Now check the 802.16e Parameters table, the Constellation and EVM vs. Subcarrier graphs to view the changes due to the addition of noise at the 1x VSA Simulator element.

Analyzing MIMO WiMAX Signals in SignalMeister

WiMAX MIMO Analysis Simulation
_____

WiMAX MIMO Analysis using an Instrument


WLAN Analysis

  • Analyzing a SISO Signal in SignalMeister
  • Analyzing MIMO 802.11n Signals in SignalMeister

Analyzing a SISO WLAN Signal in SignalMeister

Following the example in Generating a WLAN SISO Signal and Analyzing it on a VSA, now SignalMeister is used to analyze the same signals.

There are two ways to do this:

  • Use the SignalMeister built-in Series V2800 simulator
  • Use the Series V2800 VSA hardware with SignalMeister

The first method does not involve any hardware. It can be used for demonstration purposes and to verify the signal generated from SignalMeister in the baseband (IQ) level. A signal generation element is used as the starting point, which is the same as generating an ARB file. Instead of putting an ARB file element at the output of the signal generation element, a VSA simulator element is connected instead.

Using the Simulation Method

Put Elements in Projects View and Connect Them Together

  1. From the Toolbox, select the WLAN folder and drag and drop the 802.11 a,g 54 Mbps on to the Projects view.
  2. From the Toolbox, select the Signal Analyzer folder and drag and drop the 1x VSA Simulator element on to the Projects view.
  3. From the Toolbox, select the WLAN folder and drag and drop the 802.11 agj element on to the Projects view.
  4. Connect the elements together.

Configure the Elements, Save and Run the Project

  1. Configure 802.11 a,g 54 Mbps for the signal you want to analyze.
  2. Double click 802.11 agj Analysis. The 802.11 agj SISO analysis window is displayed.

    The startup window will be empty if it has never been configured before. The menu bar has four menus: File, View, Displays, and Settings.

    • The File menu is used to exit the Analysis window.
    • The View menu is used to globally maintain the Settings and Displays. You can open all of the windows from Settings and Displays and then rearrange them automatically.
    • The Settings Menu supports instrument control, IQ capture settings, specific settings for the type of to-be-analyzed signal, in this case, WLAN settings.
    • The Displays Menu supports various graphs, charts and a parameters reporting table.

    The following figure shows how analysis window may look like after opening and customizing sub-windows.

  3. Go back to the main SignalMeister window and select Projects > Build All to generate fresh data for analysis.

Using the Hardware Method

The second method uses instruments to do the SISO analysis. This is a little different from simulation mode. Here, it is assumed that a 802.11 a/g signal is fed into a Series V2800 VSA. In our case, such a signal is generated in the previous session of Generating a WLAN SISO Signal and Analyzing it on a VSA. It is output from the Series V2900 VSG and directly fed into the Series V2800. From here, there are only two elements needed as shown below.

Similar to the first example (the Simulation method), you need to configure instrument control and WLAN settings (such as sweep time and type of trigger source). What is different from the simulation method is that the control buttons in the Instrument Control sub-window are activated. The Initialize button allows initialization of the VSA as specified by the settings in this window. Single Sweep or Continuous Sweep offer two types of sweeping for your convenience. The Optimize button offers automatic optimization based on the existing settings.

Analyzing MIMO WLAN Signals in SignalMeister

Analyzing a MIMO 802.11n signal is similar to SISO analysis. Both simulation and non-simulation modes are available.

The following figures show a project that simulates 2x 802.11n MIMO analysis. Refer to Analyzing a SISO Signal in SignalMeister for the steps to build and run the project.


Managing SignalMeister™ Licenses

Displays the licenses available on your SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit. The SignalMeister permanent license key serial number is also displayed. If you are using an evaluation license key, the expiration date of the key is displayed. Contact your Agilent representative about adding other licenses.

Manage License dialog

See Also:

  • License Requirements
  • RF Product Software License Agreement


Licensing

Signal Generation Software Licenses

The Series V2900 Vector Signal Generators can play back waveforms that are generated from the SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit when the correct licenses are installed. To play back a SignalMeister™ software-generated waveform with a specific channel added and "Enabled" in the SignalMeister™ signal definition dialog box, you will need to have both the correct type of waveform playback license and a valid arbitrary waveform generator license loaded on your Series V2900 VSG.

To view the current instrument option licenses on the Agilent Series V2800 VSA and the Series V2900 VSG, select Menu > Utilities > Licensing from the front panel of the instrument.

To view the current SignalMeister licenses select File > Manage Licenses from the SignalMeister main menu.

See the tables below for available licensing options.

WLAN Licensing

License Model Number | License Identifier | Waveform Types | Additional Licenses Required
V2900A-205 | 802.11a/b/g/j Signal Generation | 802.11a, b, g, j | V2920A-B20 *
V2900A-206 | 802.11N Signal Generation (MIMO and SISO) | 802.11n | V2920A-B40 * V2900A-205
V2900A-207 | 802.11N Channel Modules A through F | WLAN | V2920A-B40 *
* Minimum ARB generator bandwidth. The ARB number may be larger, for example, V2920A-B20 may use V2920A-B40 or V2920A-B80.

______

WiMAX® Licensing

License Model Number | License Identifier | Waveform Types | Additional Licenses Required
V2900A-208 | 802.16E Signal Generation | 802.16e-2005 | V2920A-B40 *
V2900A-209 | 802.16E Channel Model Signal Generation | 802.16e-2005 |
* Minimum ARB generator bandwidth. The ARB number may be larger, for example, V2920A-B40 may use V2920A-B80.

______

3GPP Licensing

License Model Number

License Identifier

Waveform Types

Additional Licenses Required

V2900A-202

WCDMA Signal Generation

WCDMA

V2920A-B20 *

V2900A-204

3GPP Channel Model Signal Generation

V2900A-203 **

HSPA Plus Signal Generation (uplink and downlink)

HSDPA
HSDPCCH
HSDPAFRC
HSUPA
HSUPAFRC
EHICH
ERGCH
EAGCH

V2920A-B20 *
V2900A-202
V2900A-105

* Minimum ARB generator bandwidth. The ARB number may be larger, for example, V2920A-B20 may use V2920A-B40 or V2920A_B80.

** If you have the previous HSPA licenses, 2900-HSDPA-PC and 2900-HSUPA-PC, either one of these will enable the same functionality as V2900A-203.

______

3GPP2 Licensing

License Model Number | License Identifier | Waveform Types | Additional Licenses Required
V2900A-201 | CDMA Signal Generation | cdmaOne cdma2000 1xEV-DV | V2920A-B20 * V2900A-104
* Minimum ARB generator bandwidth. The ARB number may be larger, for example, V2920A-B20 may use V2920A-B40 or V2900A_B80.

______

Multi-Purpose Licensing

License Model Number | License Identifier | Waveform Types | Additional Licenses Required
V2900A-213 | DVB Signal Generation | DVB-H DVB-T | V2920A-B20 *
* Minimum ARB generator bandwidth. The ARB number may be larger, for example, V2900A-B20 may use V2900A-B40 or V2920A_B80.

______

Signal Analysis Software Licenses

The V2901A SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit software can be used to perform signal analysis functions when the correct licenses are installed in SignalMeister. The signal analysis licenses reside in the V2901A SignalMeister USB license key.

License Model Number | License Identifier | Waveform Types | Additional Licenses Required
V2901A-WLN | WLAN Analysis | 802.11a,b,g,j,n-SISO 802.11n-MIMO | none
V2901A-WMX | WiMax Analysis | 802.16e-2005 | none

______

For more information about purchasing SignalMeister licenses, please visit the SignalMeister support page at www.agilent.com/find/V2901A.


AGILENT TECHNOLOGIES, INC. SOFTWARE LICENSE TERMS

____

ATTENTION: USE OF THE SOFTWARE IS SUBJECT TO THE LICENSE TERMS SET FORTH BELOW.

IF YOU DO NOT AGREE TO THESE LICENSE TERMS, THEN (A) DO NOT INSTALL OR USE THE SOFTWARE, AND (B) YOU MAY RETURN THE SOFTWARE FOR A FULL REFUND, OR, IF THE SOFTWARE IS SUPPLIED AS PART OF ANOTHER PRODUCT, YOU MAY RETURN THE ENTIRE PRODUCT FOR A FULL REFUND. NOTWITHSTANDING ANYTHING TO THE CONTRARY IN THIS NOTICE, INSTALLING OR OTHERWISE USING THE SOFTWARE INDICATES YOUR ACCEPTANCE OF THESE TERMS.

____

AGILENT SOFTWARE LICENSE TERMS

____

Software. "Software" means one or more computer programs in object code format, whether stand-alone or bundled with other products, and related documentation.

License Grant. Agilent grants you a non-exclusive license to use one copy of the Software for internal purposes in accordance with these License Terms and the documentation provided with the Software. Such documentation may include license terms provided by Agilent's third party suppliers, which will apply to the use of the Software and take precedence over these License Terms. In the absence of documentation specifying the applicable license, you may use one copy of the Software on one machine or instrument. If the software is licensed for concurrent or network use, you may not allow more than the maximum number of authorized users to access and use the software concurrently.

License Restrictions. You may make copies or adaptations of the Software only for archival purposes or only when copying or adaptation is an essential step in the authorized use of the Software. You must reproduce all copyright notices in the original Software on all permitted copies or adaptations. You may not copy the Software onto any public or distributed network.

Upgrades. This license does not entitle you to receive upgrades, updates or technical support. Such services may be purchased separately.

Ownership. The Software and all copies thereof are owned and copyrighted by Agilent or its third party suppliers. Agilent and its third party suppliers retain all right, title and interest in the Software. Agilent's third party suppliers may protect their rights in the Software in the event of any violation of these License Terms.

No Disassembly. You may not disassemble or otherwise modify the Software without written authorization from Agilent, except as permitted by law. Upon request, you will provide Agilent with reasonably detailed information regarding any permitted disassembly or modification.

High Risk Activities. The Software is not specifically designed, manufactured or intended for use in the planning, construction, maintenance or direct operation of a nuclear facility, nor for use in on line control or fail safe operation of aircraft navigation, control or communication systems, weapon systems or direct life support systems.

Transfer. You may transfer the license granted to you here provided that you deliver all copies of the Software to the transferee along with these License Terms and pay any applicable fees to the extent permissible under local laws. The transferee must accept these License Terms as a condition to any transfer. Your license to use the Software will terminate upon transfer.

Termination. Agilent may terminate your license upon notice for breach of these License Terms. Upon termination, you must immediately destroy all copies of the Software.

Export Requirements. If you export, re-export or import Software, technology or technical data licensed hereunder, you assume responsibility for complying with applicable laws and regulations and for obtaining required export and import authorizations. Agilent may terminate this license immediately if you are in violation of any applicable laws or regulations.

U.S. Government Restricted Rights. Software and technical data rights granted to the federal government include only those rights customarily provided to end user customers. Agilent provides this customary commercial license in Software and technical data pursuant to FAR 12.211 (Technical Data) and 12.212 (Computer Software) and, for the Department of Defense, DFARS 252.227-7015 (Technical Data - Commercial Items) and DFARS 227.7202-3 (Rights in Commercial Computer Software or Computer Software Documentation).


WiMAX® Signal Creation

WiMAX is a standards-based technology enabling the delivery of last mile wireless broadband access as an alternative to cable or DSL. Mobile WiMAX technology provides you with mobility features and attributes including fixed, nomadic, portable, and mobile wireless broadband connectivity without the need for direct line-of-sight placement with a base station. In a typical cell radius deployment of three to ten kilometers, WiMAX can be expected to deliver capacity of up to 40 Mbps per channel for fixed and portable applications.

_____
See Also:

  • 802.16e OFDMA Signal Configuration Overview
  • Related WiMAX® standards
  • WiMAX® analysis


802.16e OFDMA signal configuration overview

WiMAX is a standards-based technology enabling the delivery of last mile wireless broadband access as an alternative to cable or DSL. Mobile WiMAX technology provides you with mobility features and attributes including fixed, nomadic, portable, and mobile wireless broadband connectivity without the need for direct line-of-sight placement with a base station. In a typical cell radius deployment of three to ten kilometers, WiMAX can be expected to deliver capacity of up to 40 Mbps per channel for fixed and portable applications.

Refer to Waveform generation process overview to learn how to set up and generate a signal. The following information describes the WiMAX signal details.

The WiMAX signal graphical user interface (GUI) has three main dialog windows, Common, DL Subframe, and UL Subframe. Each is described below:

  • Common signal parameters

Controls on this dialog allow you to set the System Configuration, Frame, and Filtering. A graphical view of the frame being set shows the proportions of the DL, TTG, UL, and RTG parameters within the frame.

  • DL Subframe signal parameters

The downlink subframe is configured with this dialog, where you can select the number of symbols and configure burst data for the logical subchannels setup.

  • UL Subframe signal parameters

The uplink subframe is configured with this dialog, where you can select the number of symbols and configure burst data for the logical subchannels setup.

_____
See Also:

  • Related WiMAX® standards
  • Parameter favorites (productivity feature)


Related WiMAX® standards

Standard | Description
802.16 - 2001 | The original WiMAX® Standard. It was completed in 2001 and occupied the frequency band of 10 GHz to 66 GHz.
802.16 - 2004 | Completed in June 2004. It occupies the frequency band of 2 GHz to 11 GHz.
802.16e - 2005 | Occupies the frequency bands of 2 GHz to 11 GHz (fixed), and 2 GHz to 6 GHz (mobile).

_____

NOTE: WiMAX® Standard 802.16 -2001 was combined with WiMAX® Standard 802.16A. WiMAX® Standards 802.16A, 802.16C, 802.16D were rolled into 802.16 - 2004. WiMAX® Standard 802.16 - 2004 has been used to build new WiMAX® Standard 802.16E

______

For more information visit the WiMAX® Forum's website: http://www.wimaxforum.org/

_____
See Also:

  • 802.16e OFDMA Signal Configuration Overview


Parameters - Favorites (WiMAX)

Click Parameters in the tree view to access the Favorites page. By default, this page is blank when first defining your WiMAX parameters.

You can add any of your most often used setup parameters to this page to have easy access to many parameters in one central location. Changes made here are also shown in the original location. To help identify exactly which parameter you are changing, the parameter field is preceded by the parameter name and location. You can also delete or change the order of your favorites on the page, or jump to the page that your favorite came from by right-clicking the parameter and then selecting the desired operation from the drop-down window.


Common signal parameters

The Common drop-down menu allows you to access the following 802.16e OFDMA element parameters:

  • FFT Size
  • Bandwidth
  • Guard Interval
  • Preamble Index
  • Sampling Factor
  • Baseband Sample Rate
  • Subchannels
  • Segment
  • Frame Length
  • Subframe Type
  • DL Symbols
  • UL Symbols
  • Frame Number
  • OFDMA Frame Overview
    • DL
    • TTG
    • UL
    • RTG

______

FFT Size

Fast Fourier Transform (FFT) Size

Use the FFT Size drop-down menu arrows to select the number of subcarriers (including active, inactive, and guard band) in the signal. Increasing the FFT size increases the OFDM symbol duration. Therefore, the FFT size may only be increased if the frame duration is large enough to support the number of defined DL and UL symbols corresponding to the new FFT size. Decreasing the FFT size decreases the number of available subchannels. Therefore, the FFT size may only be decreased if the subchannels being removed do not have bursts assigned to them.

Choice: 128 | 512 | 1024 | 2048
Default: 1024

Bandwidth

Use the Bandwidth drop-down menu arrows to select the signal's bandwidth. The bandwidth size may always be increased, but may not always be decreased. A warning can be generated when decreasing the bandwidth.

For example: "Cannot change the bandwidth to the value requested. Requested bandwidth would result in extended OFDM times where the total number of symbols would exceed the frame duration. Increase the frame duration or decrease the number of symbols."

Choice: 1.25 MHz | 3.5 MHz | 4.375 MHz | 5.0 MHz | 7.0 MHz | 8.75 MHz | 10.0 MHz | 14.0 MHz | 15.0 MHz | 17.5 MHz | 20.0 MHz | 28.0 MHz
Default: 10.0 MHz

Guard Interval (G)

To overcome inter-symbol interference resulting from multipath, OFDM employs the use of a guard interval that cyclically extends a portion of the OFDM symbol. The amount of cyclic extension beyond the fundamental OFDM FFT period is the Guard Interval. For example, a 1/8 Guard Interval with an FFT size of 1024 indicates that the cyclic extension is 128 (1024 / 8).

Use the Guard Interval drop-down menu arrows to select the desired Guard Interval.

Choice: 1/32 | 1/16 | 1/8 | 1/4
Default: 1/8

Preamble Index

Use this cell to set the desired Preamble Index value.

The Preamble Index is coupled to the Subchannel Groups and Segment parameters. Valid Preamble Index values are a function of the Subchannel Groups states, and may only be set to a value that is within one of the Subchannel Groups that is enabled (On).

Segment 0 corresponds to Preamble Index values 0 through 31, 96, 99, 102, 105, 108, and 111, and requires Subchannel Group 0 be selected.

Segment 1 corresponds to Preamble Index values 32 through 63, 97, 100, 103, 106, 109, and 112, and requires Subchannel Group 2 be selected.

Segment 2 corresponds to Preamble Index values 64 through 95, 98, 101, 104, 107, 110, and 113, and requires that Subchannel Group 4 be selected.

Minimum value: 0
Maximum value: 113

_____

NOTE: If an incompatible Preamble Index value and Segment parameter pair are selected, an error is displayed indicating what the error is and how to correct it, as shown in the illustration below.

______

Preamble Index and Segment Pair Error

See Also:

Segment

Sampling Factor

The sampling factor is used as a multiplier in determining Baseband Sample Rate. See the following table for details:

Bandwidth | Sampling Factor | Baseband Sample Rate
1.25 MHz | 28.25 | 1.4 Msps
3.5 MHz | 8/7 | 4.0 Msps
4.375 MHz | 8/7 | 5.0 Msps
5 MHz | 28/25 | 5.6 Msps
7 MHz | 8/7 | 8.0 Msps
8.75 MHz | 8/7 | 10.0 Msps
10 MHz | 28/25 | 11.2 Msps
14 MHz | 8/7 | 16.0 Msps
15 MHz | 28/25 | 16.8 Msps
17.5 MHz | 8/7 | 20.0 Msps
20 MHz | 28/25 | 22.4 Msps
28 MHz | 8/7 | 32.0 Msps

NOTE: If you make a change to the Bandwidth drop-down menu, the Sampling Factor and the Baseband Sampling Rate are updated when you click Apply Changes or when you leave the Common menu.

Baseband Sample Rate

The baseband sample rate indicates the number of samples taken per given unit of time. It identifies the rate at which signals are sampled for subsequent modulation, coding, or quantization. For more information, see Sampling Factor.

NOTE: If you make a change to the Bandwidth drop-down menu, the Sampling Factor and the Baseband Sampling Rate are updated when you click Apply Changes or when you leave the Common menu.

Subchannel Groups

Enable or disable Subchannels 0 through 5 by selecting them in the Subchannels area of the Common dialog window. The Subchannel group state is coupled to the Preamble Index, Segments and bursts in the DL PUSC zones.

______

Refer to the following table to determine the number of subchannels in a zone, depending upon the subchannel groups that are on. A subchannel group can be configured to always be On. A group may be turned off if it is not required for the preamble index/segment and if it does not cause a conflict with bursts in DL PUSC zones.

_____

FFT Size | Sub-channels per even-numbered Subchannel Group enabled | Sub-channels per odd-numbered Subchannel Group enabled
128 | 1 | 0
512 | 3 | 0
1024 | 6 | 4
2048 | 12 | 8

Segment

Choose the desired frame Segment by selecting it from the Segment area in the Common dialog. Segment is coupled to the Preamble Index and Subchannel Groups parameters:

  • Segment 0 may be set only if Subchannel 0 is On
  • Segment 1 may be set only if Subchannel 2 in On
  • Segment 2 may be set only if Subchannel 4 is On.

Setting the Segment causes the Preamble Index to automatically adjust to a new value if the new segment number does not correspond to the previous Preamble Index. If an adjustment is made, the new Preamble Index number will be set to the value nearest the old Preamble Index number, so that the new Preamble Index corresponds to the new Segment.

Choice: 0 | 1 | 2
Default: 0

See Also:

Preamble Index

Frame Length

Use the Frame Length drop-down menu arrows to select the desired frame length, in milliseconds (ms). This is the length of the entire frame, including the length of the DL and UL subframes.

Choice: 2.0 ms | 2.5 ms | 4.0 ms | 5.0 ms | 8.0 ms | 10.0 ms | 12.5 ms | 20.0 ms
Default: 5.0 ms

Subframe Type

Use the Subframe Type drop-down menu arrows to select the subframe type to be analyzed.

Choice: UL | DL
Default: DL

DL Symbols

The number of DL Symbols specifies the number of symbols reserved for the DL Subframe. It is not necessary to populate each symbol within the reserved DL subframe space. The number of DL symbols cannot be increased if the total number of DL and UL symbols will result in the sum of the DL and UL subframe length exceeding the frame length. The number of DL symbols cannot be decreased if it will result in one of the defined DL zones having a symbol extending beyond the number of DL symbols.

Use the up and down arrows to select the desired number of downlink symbols. This parameter is active when DL is the selected subframe type.

Minimum value: 0
Maximum value: 48
Default: 10

NOTE: The Preamble occupies one symbol in the downlink subframe.

UL Symbols

The number of UL Symbols specifies the number of symbols reserved for the UL Subframe. It is not necessary to populate each symbol within the reserved UL subframe space. The number of UL symbols cannot be increased if the total number of DL and UL symbols will result in the sum of the DL and UL subframe length exceeding the frame length. The number of UL symbols cannot be decreased if it will result in one of the defined UL zones having a symbol extending beyond the number of UL symbols.

Use the UL Symbols drop-down menu up and down arrows to select the desired number of uplink symbols. This parameter is active when UL is the selected subframe type.

Minimum value: 0
Maximum value: 48
Default: 6

Frame Number

This control determines the number of the frame upon which the transmission or reception starts.

Use the Frame Number drop-down menu up and down arrows to select the desired frame number.

Minimum value: 0
Maximum value: 16777215

Back to top


OFDMA Frame Overview

The OFDMA Frame Overview is a graphic representation of the components in the OFDMA Configuration Frame: DL, TTG, UL, and RTG. As the FFT Size, Bandwidth, and Guard Interval values are changed, the results of those changes can be viewed in the OFDMA Frame Overview graphic.

As a navigational aid, click any area of the OFDMA Frame Overview or the Detailed Overview to navigate to the settings for that parameter.

See Also:

Maps (DL)

Rectangle

Defining the Burst Rectangle

_____

DL

This blue region in the OFDMA Frame Overview graphic represents the downlink (DL) duration of the overall WiMAX signal frame.

This downlink duration gets larger with higher FFT Sizes and larger Guard Intervals, and gets smaller with higher bandwidths.

TTG

The transmit guard period (TTG) is the safety period following the downlink signal portion of the frame length. The larger the downlink signal portion, the smaller the guard period.

NOTE: The transmit guard period (TTG and receive guard period (RTG) do not change when the downlink and uplink signal periods change.

UL

This pink region in the OFDMA Frame graphic represents the uplink (UL) duration of the overall WiMAX signal frame.

The uplink duration gets larger with higher FFT Sizes and larger Guard Intervals, and gets smaller with higher Bandwidths.

RTG

The receive guard period (RTG) is the safety period following the uplink signal portion of the frame length. The larger the uplink signal portion, the smaller the guard period.

NOTE: The transmit guard period (TTG) and receive guard period (RTG) do not change when the downlink and uplink signal periods change.


DL Subframe signal parameters

The DL Subframe dialogs allow you to configure the following 802.16e OFDMA element parameters:

  • Number of zones (up to 8)
  • For each zone:
    • Zone parameters
    • FCH (Frame Control Header) configuration (Zone 1 only)
    • Compressed Maps configuration or Uncompressed Maps configuration (Zone 1 only)
    • DCD (Downlink Channel Descriptor) configuration (Zone 1 only)
    • UCD (Uplink Channel Descriptor) configuration (Zone 1 only)
    • Burst(s) configuration


Number of Zones (DL)

This control sets the number of zones in the DL subframe.

Minimum value: 1
Maximum value: 8


Zone 1 Parameters

Scroll down to see the values that are acceptable for the fields in the above form.

Zone Type

A choice from the Zone Type drop-down menu specifies the type of the selected zone.

Changing zone type may reduce the number of subchannels in the zone. A change is not allowed if there are bursts in the affected subchannels. Additionally, type cannot be changed from FUSC to PUSC if the zone has an odd number of symbols, because PUSC zones must have an even-numbered length.

Enumerated setting:

  • PUSC
  • FUSC

The default setting is PUSC

Perm Base

Use the Perm Base drop-down menu to select the desired downlink permutation base value used for subchannel randomization of the segments in the PUSC downlink zone.

Minimum value: 0
Maximum value: 31

Symbols

This control sets the size of the selected zone.

Numeric setting:

  • Minimum: 0
  • Maximum: One less than the total number of symbols in the subframe (to accommodate the preamble)
  • Default: 2

Resolution:

  • 2 symbols for PUSC zones
  • 1 symbol for FUSC zones

PRBS ID

PRBS (pseudo-random binary sequence) ID is a digital signal having framing information and using pseudo-noise in the individual traffic channels.

MIMO Mode (DL)

STC/MIMO Mode is the addition of the Wave 2 Mobile WiMAX® testing parameters. Use the drop-down menu to select and apply the desired mode to the downlink subframe:

  • None: Does not apply any Space Time Coding (STC) or MIMO modes to the downlink subframe.
  • 2x Matrix A (STC): Enables STC for a 2x system, providing enhanced system coverage by replicating a single data stream transmitted over two antennas.
  • 2x Matrix B (2x SM): Enables Spatial Multiplexing (SM) for a 2x system, increasing channel capacity by splitting the transmitted signal into two spacial streams.

    NOTE: Zone type FUSC is not currently supported in MIMO mode.

Maps (DL)

From the drop-down menu, select either Compressed Maps or Uncompressed Maps, as determined by the receiver or analysis software capability. Compressed Maps are more likely to represent real-world signals.

______

NOTE: When uncompressed maps are used, DL-MAP is displayed on the DL-MAP and UL-MAP is displayed on the UL-MAP (as shown in the illustrations below). When compressed maps are used, and only the DL-MAP is present, COMP DL-MAP is displayed on the map. When compressed maps are in use and both DL and UL maps are present, COMP DL/UL-MAP is displayed on the map.

______

WiMAX uncompressed UL and DL maps

WiMAX compressed DL-MAP

See Also:

Uncompressed Maps

Compressed Maps

Number of Bursts

Use this parameter to set the number of bursts for each DL Subframe or UL Subframe zone.

DL primary zone burst limits:

Minimum value: 0
Maximum value: 64

All other zone burst limits:

Minimum value: 1
Maximum value: 64


FCH - Frame Control Header

The FCH (frame control header) follows the DL preamble, and has a fixed location and duration. The FCH specifies the burst profile and the length of one of more downlink bursts that immediately follow the FCH. The FCH is used for carrying system information, such as the subcarriers used (in the case of segmentation), the ranging subchannels, and the length of the DL Map message. This information is carried on the downlink frame prefix (DLFP) message contained within the FCH. The FCH is always coded with the BPSK 1/2 mode to ensure maximum robustness and reliable performance, even at the cell edge.

NOTE: Frame Control Header (FCH) is coupled with Autodetection, in the WiMAX Analysis settings, in that if the FCH is disabled, missing or corrupt, an error message is displayed in the Status Bar indicating the automatic Map detection failed. To correct this, you must make certain the FCH is enabled and configured correctly, or that you are using a Map File to populate the FFT Size, Bandwidth, Guard Interval and Preamble Index parameters in the WiMAX Settings dialog.

See Also:
Burst Configuration

Burst Configuration

Burst configuration is a read-only representation of the choice made on the tree structure in the left pane. The possible designations are:

  • FCH
  • DLMAP
  • ULMAP
  • DCD
  • Normal (when Burst is selected in the tree structure).


Uncompressed Maps

  • DL-MAP configuration
  • UL-MAP configuration


DL-MAP

WiMAX DL-MAP configuration

Multiple users are allocated data regions within the DL and UL sub-frames, that provide sub-channel allocations and control information. These regions are specified in the uplink and downlink MAP messages (DL-MAP and UL-MAP) that are broadcast following the FCH in the downlink subframe.

MAP messages include the burst profile for each user, which define the modulation and coding scheme used, as well as the frame number, number of zones, and the location and content of all bursts.

The broadcast MAP messages can also be compressed for additional efficiency.

See Also:

  • Compressed Maps
  • FCH - Frame Control Header
  • Maps (DL)

Scroll down to see the values that are acceptable for the fields in the above form.

Burst Configuration

Burst configuration is a read-only representation of the choice made on the tree structure in the left pane. The possible designations are:

  • FCH
  • DLMAP
  • ULMAP
  • DCD
  • Normal (when Burst is selected in the tree structure).

Modulation Coding Rate

Select the Modulation Coding Rate from the drop-down menu.

Modulation Coding Rate sets the modulation type and rate for the selected burst.

Enumerated setting:

  • QPSK (CC) 1/2
  • QPSK (CTC) 1/2

Repetition Coding

Use this control to choose the number of times that the coded or uncoded data is repeated.

The Repetition Coding values are enumeration settings as follows:

  • R = 1
  • R = 2
  • R = 4
  • R = 6
  • Default = 1

BSID (Base Station ID)

Base Station ID (BSID) is a 48-bit unique identifier for the selected base station. Each node in the network possesses a 48-bit MAC address (though in the Base Station this 48-bit unique identifier is called the BSID).

NOTE: Only 16 of the 48 total bits of the BSID are transmitted when the downlink subframe transmits compressed map messages. If Autodetection is used to save a MAP file to a template when Compressed Maps are in use, only the first and fourth bytes of the BSID are valid, corresponding to the portions of the BSID transmitted with compressed MAPS.

See also:

Map Information Decoding

Compressed Maps

Downlink Channel Descriptor (DCD) Count

The Downlink Channel Descriptor (DCD) count, along with the preamble, UCD, FCH and management data bursts, provides information to the mobile station (MS) so that it can begin to determine the DL and UL parameters and obtain the necessary information to begin to transmit on an UL ranging slot.

Minimum value: 0
Maximum value: 255


UL-MAP

WiMAX UL-MAP configuration

Multiple users are allocated data regions within the DL and UL sub-frames, that provide sub-channel allocations and control information. These regions are specified in the uplink and downlink MAP messages (DL-MAP and UL-MAP) that are broadcast following the FCH in the downlink subframe.

MAP messages include the burst profile for each user, which define the modulation and coding scheme used, as well as the frame number, number of zones, and the location and content of all bursts.

The broadcast MAP messages can also be compressed for additional efficiency.

Scroll down to see the values that are acceptable for the fields in the above form.

Burst Configuration

Burst configuration is a read-only representation of the choice made on the tree structure in the left pane. The possible designations are:

  • FCH
  • DLMAP
  • ULMAP
  • DCD
  • Normal (when Burst is selected in the tree structure).

Include First Zone IE (Information Element)

Select this check box to include the first zone information element (First Zone IE) in the DL-MAP or UL-MAP. This check box is selected by default.

The first zone information element assists in determining which DL-MAP or UL-MAP zone(s) are used to transmit, or retransmit, data through the first zone, and triggering a feedback signal with respect to the data on another zone.

Uplink Channel Descriptor (UCD) Count

The Uplink Channel Descriptor (UCD) count, along with the preamble, FCH and management data bursts, and DCD, provides information to the mobile station (MS) so that it can begin to determine the DL and UL parameters and obtain the necessary information to begin to transmit on an UL ranging slot.

Range: 0 to 255

Modulation Coding Rate

Select the Modulation Coding Rate from the drop-down menu. The Modulation Coding Rate sets the modulation type and rate for the selected burst.

The default setting is QPSK (CC) 1/2.

Enumerated setting:

  • QPSK (CC) 1/2
  • QPSK (CC) 3/4
  • 16-QAM (CC) 1/2
  • 16-QAM (CC) 3/4
  • 64-QAM (CC) 1/2
  • 64-QAM (CC) 2/3
  • 64-QAM (CC) 3/4
  • QPSK (CTC) 1/2
  • QPSK (CTC) 3/4
  • 16-QAM (CTC) 1/2
  • 16-QAM (CTC) 3/4
  • 64-QAM (CTC) 1/2
  • 64-QAM (CTC) 2/3
  • 64-QAM (CTC) 3/4
  • 64-QAM (CTC) 5/6

Repetition Coding

Use this control to choose the number of times that the coded or uncoded data is repeated.

The Repetition Coding values are enumeration settings as follows:

  • R = 1
  • R = 2
  • R = 4
  • R = 6
  • Default = 1

Power Boost

Enables power boost settings, in 3 dB steps, for DL bursts and Uncompressed UL-MAP special bursts only. Select the desired value from the drop-down menu.

NOTE: Power boost is not available for UL normal bursts, FCH, DL-MAP, UCD or DCD bursts.

The available choices are:

  • 9.0 dB
  • 6.0 dB
  • 3.0 dB
  • None (default)
  • -3.0 dB
  • -6.0 dB
  • -9.0 dB
  • -12.0 dB

Rectangle

Start Symbol

Set the symbol number that defines the first symbol of the burst region.

Minimum value: 0
Maximum value: 100 (or the number of available symbols)

Start Subchannel

Set the subchannel number that defines the first subchannel of the burst region.

Minimum value: 0
Maximum value: 100 (or the number of available subchannels.

Width

Define the width of the burst region, in symbols.

Minimum value: 0
Maximum value: 100

Height

Define the height of the burst region, in subchannels.

Minimum value: 1
Maximum value: 100 (or the number of available subchannels in the zone)

See Also:

Defining the Burst Rectangle


Defining the Burst Rectangle

The illustrations below show the placement of the Fast Feedback burst in the UL subframe using the following parameters: Start Symbol = 1, Start Subchannel = 10, Width = 3 and Height = 15.

NOTE: All DL burst, UL burst and UL burst special regions are added to the subframe using the same method of entering the Start Symbol, Start Subchannel, Width and Height. The initials of the burst or special region are shown in the upper-left corner of the rectangle. For example, B1 = Burst 1, FF = Fast Feedback region, ACK = ACK region, IR = Initial Ranging region and PR = Periodic Ranging region, and so on.

______

Rectangle Example Settings

______

802.16e Fast Feedback Region Subchannels


Compressed Maps

Scroll down to see the values that are acceptable for the fields in the above form.

Burst Configuration

Burst configuration is a read-only representation of the choice made on the tree structure in the left pane. The possible designations are:

  • FCH
  • DLMAP
  • ULMAP
  • DCD
  • Normal (when Burst is selected in the tree structure).

Include ULMap

This check box is selected by default.

See: UL-MAP

Include First Zone IE (Information Element)

Select this check box to include the first zone information element (First Zone IE) in the DL-MAP or UL-MAP. This check box is selected by default.

The first zone information element assists in determining which DL-MAP or UL-MAP zone(s) are used to transmit, or retransmit, data through the first zone, and triggering a feedback signal with respect to the data on another zone.

Repetition Coding

Use this control to choose the number of times that the coded or uncoded data is repeated.

The Repetition Coding values are enumeration settings as follows:

  • R = 1
  • R = 2
  • R = 4
  • R = 6
  • Default = 1

Modulation Coding Rate

Select the Modulation Coding Rate from the drop-down menu.

Modulation Coding Rate sets the modulation type and rate for the selected burst.

Enumerated setting:

  • QPSK (CC) 1/2
  • QPSK (CTC) 1/2

BSID (Base Station ID)

Base Station ID (BSID) is a 48-bit unique identifier for the selected base station. Each node in the network possesses a 48-bit MAC address (though in the Base Station this 48-bit unique identifier is called the BSID).

NOTE: Only 16 of the 48 total bits of the BSID are transmitted when the downlink subframe transmits compressed map messages. If Autodetection is used to save a MAP file to a template when Compressed Maps are in use, only the first and fourth bytes of the BSID are valid, corresponding to the portions of the BSID transmitted with compressed MAPS.

See also:

Map Information Decoding

Compressed Maps

Downlink Channel Descriptor (DCD) Count

The Downlink Channel Descriptor (DCD) count, along with the preamble, UCD, FCH and management data bursts, provides information to the mobile station (MS) so that it can begin to determine the DL and UL parameters and obtain the necessary information to begin to transmit on an UL ranging slot.

Minimum value: 0
Maximum value: 255

Uplink Channel Descriptor (UCD) Count

The Uplink Channel Descriptor (UCD) count, along with the preamble, FCH and management data bursts, and DCD, provides information to the mobile station (MS) so that it can begin to determine the DL and UL parameters and obtain the necessary information to begin to transmit on an UL ranging slot.

Range: 0 to 255


DCD - Downlink Channel Descriptor

The downlink channel descriptor (DCD) is a medium access control (MAC) message that describes the physical layer (PHY) characteristics of a downlink (DL) channel.

Scroll down to see the values that are acceptable for the fields in the above form.

See Also:

Defining the Burst Rectangle

Maps (DL)

Burst Configuration

Burst configuration is a read-only representation of the choice made on the tree structure in the left pane. The possible designations are:

  • FCH
  • DLMAP
  • ULMAP
  • DCD
  • Normal (when Burst is selected in the tree structure).

Modulation Coding Rate

Select the Modulation Coding Rate from the drop-down menu. The Modulation Coding Rate sets the modulation type and rate for the selected burst.

The default setting is QPSK (CC) 1/2.

Enumerated setting:

  • QPSK (CC) 1/2
  • QPSK (CC) 3/4
  • 16-QAM (CC) 1/2
  • 16-QAM (CC) 3/4
  • 64-QAM (CC) 1/2
  • 64-QAM (CC) 2/3
  • 64-QAM (CC) 3/4
  • QPSK (CTC) 1/2
  • QPSK (CTC) 3/4
  • 16-QAM (CTC) 1/2
  • 16-QAM (CTC) 3/4
  • 64-QAM (CTC) 1/2
  • 64-QAM (CTC) 2/3
  • 64-QAM (CTC) 3/4
  • 64-QAM (CTC) 5/6

Repetition Coding

Use this control to choose the number of times that the coded or uncoded data is repeated.

The Repetition Coding values are enumeration settings as follows:

  • R = 1
  • R = 2
  • R = 4
  • R = 6
  • Default = 1

Start Symbol/Subchannel

Start Symbol

Set the symbol number that defines the first symbol of the burst region.

Minimum value: 0
Maximum value: 100 (or the number of available symbols)

Start Subchannel

Set the subchannel number that defines the first subchannel of the burst region.

Minimum value: 0
Maximum value: 100 (or the number of available subchannels.

See Also:

Defining the Burst Rectangle

Width/Height

Width

Define the width of the burst region, in symbols.

Minimum value: 0
Maximum value: 100

Height

Define the height of the burst region, in subchannels.

Minimum value: 1
Maximum value: 100 (or the number of available subchannels in the zone)

See Also:

Defining the Burst Rectangle

DCD CID

This control allows you to specify the connection ID (CID) for the DCD message.

Enter any valid address from 0000 to FFFF.

DIUC 0 to 12

Allows you to set the different burst profiles available for bits 0 to 12 of the OFDMA DIUC allocation as defined in IEEE 802.16e-2005.

Select from the available choices in the drop-down menu:

DIUC and UIUC burst profiles


UCD - Uplink Channel Descriptor

The UCD (uplink channel descriptor) is a medium access control layer (MAC) message that describes the physical layer (PHY) characteristics of an uplink (UL) channel.

Scroll down to see the values that are acceptable for the fields in the above form.

See Also:

Defining the Burst Rectangle

Burst Configuration

Burst configuration is a read-only representation of the choice made on the tree structure in the left pane. The possible designations are:

  • FCH
  • DLMAP
  • ULMAP
  • DCD
  • Normal (when Burst is selected in the tree structure).

Modulation Coding Rate

Select the Modulation Coding Rate from the drop-down menu. The Modulation Coding Rate sets the modulation type and rate for the selected burst.

The default setting is QPSK (CC) 1/2.

Enumerated setting:

  • QPSK (CC) 1/2
  • QPSK (CC) 3/4
  • 16-QAM (CC) 1/2
  • 16-QAM (CC) 3/4
  • 64-QAM (CC) 1/2
  • 64-QAM (CC) 2/3
  • 64-QAM (CC) 3/4
  • QPSK (CTC) 1/2
  • QPSK (CTC) 3/4
  • 16-QAM (CTC) 1/2
  • 16-QAM (CTC) 3/4
  • 64-QAM (CTC) 1/2
  • 64-QAM (CTC) 2/3
  • 64-QAM (CTC) 3/4
  • 64-QAM (CTC) 5/6

Repetition Coding

Use this control to choose the number of times that the coded or uncoded data is repeated.

The Repetition Coding values are enumeration settings as follows:

  • R = 1
  • R = 2
  • R = 4
  • R = 6
  • Default = 1

Start Symbol/Subchannel

Start Symbol

Set the symbol number that defines the first symbol of the burst region.

Minimum value: 0
Maximum value: 100 (or the number of available symbols)

Start Subchannel

Set the subchannel number that defines the first subchannel of the burst region.

Minimum value: 0
Maximum value: 100 (or the number of available subchannels.

See Also:

Defining the Burst Rectangle

Width/Height

Width

Define the width of the burst region, in symbols.

Minimum value: 0
Maximum value: 100

Height

Define the height of the burst region, in subchannels.

Minimum value: 1
Maximum value: 100 (or the number of available subchannels in the zone)

See Also:

Defining the Burst Rectangle

UCD CID

This control allows you to specify the connection ID (CID) for the uplink channel descriptor (UCD) message. Enter any valid address from 0000 to FFFF.

Ranging Back Off Start

Set the initial back off window size for initial ranging contention, expressed as a power of 2. This is encoded in the UCD message in the MAC layer. Default value is 1.

Range: 0 to 15

Ranging Back Off End

Set the final back off window size for initial ranging contention, expressed as a power of 2. This is encoded in the UCD message in the MAC layer. Default value is 7.

Range: 0 to 15

Request Back Off Start

Set the initial back off window size for contention bandwidth requests, expressed as a power of 2. This is encoded in the UCD message in the MAC layer. Default value is 1.

Range: 0 to 15

Request Back Off End

Set the final back off window size for contention bandwidth requests, expressed as a power of 2. This is encoded in the UCD message in the MAC layer. Default value is 7.

Range: 0 to 15

UIUC 1 to 10

Allows you to set the different burst profiles available for each of the bits 1 to 10 of the OFDMA UIUC allocation as defined in IEEE 802.16e-2005.

Select from the available choices in the drop-down menu:

DIUC and UIUC burst profiles


Burst - Downlink Burst configuration

SignalMeister™ WiMAX DL Burst Configuration Type

Scroll down to see the values that are acceptable for the fields in the above form.

Burst Configuration

Burst configuration is a read-only representation of the choice made on the tree structure in the left pane. The possible designations are:

  • FCH
  • DLMAP
  • ULMAP
  • DCD
  • Normal (when Burst is selected in the tree structure).

Modulation Coding Rate

Select the Modulation Coding Rate from the drop-down menu. The Modulation Coding Rate sets the modulation type and rate for the selected burst.

The default setting is QPSK (CC) 1/2.

Enumerated setting:

  • QPSK (CC) 1/2
  • QPSK (CC) 3/4
  • 16-QAM (CC) 1/2
  • 16-QAM (CC) 3/4
  • 64-QAM (CC) 1/2
  • 64-QAM (CC) 2/3
  • 64-QAM (CC) 3/4
  • QPSK (CTC) 1/2
  • QPSK (CTC) 3/4
  • 16-QAM (CTC) 1/2
  • 16-QAM (CTC) 3/4
  • 64-QAM (CTC) 1/2
  • 64-QAM (CTC) 2/3
  • 64-QAM (CTC) 3/4
  • 64-QAM (CTC) 5/6

Repetition Coding

Use this control to choose the number of times that the coded or uncoded data is repeated.

The Repetition Coding values are enumeration settings as follows:

  • R = 1
  • R = 2
  • R = 4
  • R = 6
  • Default = 1

Power Boost

Enables power boost settings, in 3 dB steps, for DL bursts and Uncompressed UL-MAP special bursts only. Select the desired value from the drop-down menu.

NOTE: Power boost is not available for UL normal bursts, FCH, DL-MAP, UCD or DCD bursts.

The available choices are:

  • 9.0 dB
  • 6.0 dB
  • 3.0 dB
  • None (default)
  • -3.0 dB
  • -6.0 dB
  • -9.0 dB
  • -12.0 dB

Rectangle

Start Symbol

Set the symbol number that defines the first symbol of the burst region.

Minimum value: 0
Maximum value: 100 (or the number of available symbols)

Start Subchannel

Set the subchannel number that defines the first subchannel of the burst region.

Minimum value: 0
Maximum value: 100 (or the number of available subchannels.

Width

Define the width of the burst region, in symbols.

Minimum value: 0
Maximum value: 100

Height

Define the height of the burst region, in subchannels.

Minimum value: 1
Maximum value: 100 (or the number of available subchannels in the zone)

See Also:

Defining the Burst Rectangle

Cyclic Redundancy Check

Cyclic Redundancy Check (CRC), also called "cyclic redundancy code", is a method of insuring data integrity where a calculation is performed using the binary representation of the data itself as the basis of the calculation. The CRC is the numerical result of this calculation and is held separately from the data. The integrity of the data is checked by calculating a new CRC. If the two CRCs match, then there is a high degree of confidence that the data has not changed.

Include MAC

Use this check-box to select whether or not the MAC (medium access control) is included in the burst configuration.

See also:

MAC Header Configuration
Map Information Decoding

MAC Header

Click Edit to open the MAC Header dialog, which allows you to configure the MAC (Medium Access Control) Header to be added to the data payload.

Include Data Source

This check box is selected by default. The data source is included in the uplink burst configuration. See Data Source (w/Edit) and Standard Data Source for further details.

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23


Zone (additional)

Scroll down to see the values that are acceptable for the fields in the above form.

Zone Type

A choice from the Zone Type drop-down menu specifies the type of the selected zone.

Changing zone type may reduce the number of subchannels in the zone. A change is not allowed if there are bursts in the affected subchannels. Additionally, type cannot be changed from FUSC to PUSC if the zone has an odd number of symbols, because PUSC zones must have an even-numbered length.

Enumerated setting:

  • PUSC
  • FUSC

The default setting is PUSC

Perm Base

Use the Perm Base drop-down menu to select the desired downlink permutation base value used for subchannel randomization of the segments in the PUSC downlink zone.

Minimum value: 0
Maximum value: 31

Symbols

This control sets the size of the selected zone.

Numeric setting:

  • Minimum: 0
  • Maximum: One less than the total number of symbols in the subframe (to accommodate the preamble)
  • Default: 2

Resolution:

  • 2 symbols for PUSC zones
  • 1 symbol for FUSC zones

PRBS ID

PRBS (pseudo-random binary sequence) ID is a digital signal having framing information and using pseudo-noise in the individual traffic channels.

MIMO Mode (DL)

STC/MIMO Mode is the addition of the Wave 2 Mobile WiMAX® testing parameters. Use the drop-down menu to select and apply the desired mode to the downlink subframe:

  • None: Does not apply any Space Time Coding (STC) or MIMO modes to the downlink subframe.
  • 2x Matrix A (STC): Enables STC for a 2x system, providing enhanced system coverage by replicating a single data stream transmitted over two antennas.
  • 2x Matrix B (2x SM): Enables Spatial Multiplexing (SM) for a 2x system, increasing channel capacity by splitting the transmitted signal into two spacial streams.

    NOTE: Zone type FUSC is not currently supported in MIMO mode.

Number of Bursts

Use this parameter to set the number of bursts for each DL Subframe or UL Subframe zone.

DL primary zone burst limits:

Minimum value: 0
Maximum value: 64

All other zone burst limits:

Minimum value: 1
Maximum value: 64


UL Subframe signal parameters

The UL Subframe dialogs allow you to configure the following 802.16e OFDMA element parameters:

  • Number of Zones
    • Minimum value: 1
    • Maximum value: 4
  • For each zone:
    • Zone parameters
    • Fast Feedback Region configuration
    • ACK Region configuration
    • Initial Ranging Region configuration (UL Zone 1 only)
    • Periodic Ranging Region configuration (UL Zone 1 only)
    • Burst(s) configuration


Zone

Zone type (UL)

A choice from this drop-down list specifies the type of the selected zone.

Default: PUSC

Since there is only one valid type, the drop-down menu is disabled.

Perm Base (UL)

Use the Perm Base drop-down menu to select the desired uplink permutation base value used for subchannel randomization of the segments in the PUSC uplink zone.

Minimum value: 0
Maximum value: 69

Symbols

The Symbols setting controls the size of the selected zone.

Minimum value: 0
Maximum value: 6
Default: 3

Resolution: 3 symbols for PUSC zones.

Number of Bursts

Use this parameter to set the number of bursts for each DL Subframe or UL Subframe zone.

DL primary zone burst limits:

Minimum value: 0
Maximum value: 64

All other zone burst limits:

Minimum value: 1
Maximum value: 64


Fast Feedback Region

802.16e Fast Feedback Region

The fast feedback region is used for various purposes in situations where the mobile station (MS) needs to send physical layer (PHY) relevant information in a fast response back to the base station (BS).

See Also:

Defining the Burst Rectangle

Enable

Select this check-box to make the region active. You can also right-click on the region in the SignalMeister™ tree-view and select Enable from the popup menu.

Default: Disabled

Rectangle

Start Symbol

Set the symbol number that defines the first symbol of the burst region.

Minimum value: 0
Maximum value: 100 (or the number of available symbols)

Start Subchannel

Set the subchannel number that defines the first subchannel of the burst region.

Minimum value: 0
Maximum value: 100 (or the number of available subchannels.

Width

Define the width of the burst region, in symbols.

Minimum value: 0
Maximum value: 100

Height

Define the height of the burst region, in subchannels.

Minimum value: 1
Maximum value: 100 (or the number of available subchannels in the zone)

See Also:

Defining the Burst Rectangle


ACK Region

802.16e ACK Region

The ACK Region is the space reserved for the acknowledgement (ACK) messages.

See Also:

Defining the Burst Rectangle

Enable

Select this check-box to make the region active. You can also right-click on the region in the SignalMeister™ tree-view and select Enable from the popup menu.

Default: Disabled

Rectangle

Start Symbol

Set the symbol number that defines the first symbol of the burst region.

Minimum value: 0
Maximum value: 100 (or the number of available symbols)

Start Subchannel

Set the subchannel number that defines the first subchannel of the burst region.

Minimum value: 0
Maximum value: 100 (or the number of available subchannels.

Width

Define the width of the burst region, in symbols.

Minimum value: 0
Maximum value: 100

Height

Define the height of the burst region, in subchannels.

Minimum value: 1
Maximum value: 100 (or the number of available subchannels in the zone)

See Also:

Defining the Burst Rectangle


Initial Ranging Region

802.16e Initial Ranging Region

Power adjustment, timing offset estimation, and synchronization between a base station (BS) and all users within a cell are done through the ranging process known as Initial Ranging.

See Also:

Defining the Burst Rectangle

Enable

Select this check-box to make the region active. You can also right-click on the region in the SignalMeister™ tree-view and select Enable from the popup menu.

Default: Disabled

Rectangle

Start Symbol

Set the symbol number that defines the first symbol of the burst region.

Minimum value: 0
Maximum value: 100 (or the number of available symbols)

Start Subchannel

Set the subchannel number that defines the first subchannel of the burst region.

Minimum value: 0
Maximum value: 100 (or the number of available subchannels.

Width

Define the width of the burst region, in symbols.

Minimum value: 0
Maximum value: 100

Height

Define the height of the burst region, in subchannels.

Minimum value: 1
Maximum value: 100 (or the number of available subchannels in the zone)

See Also:

Defining the Burst Rectangle


Periodic Ranging Region

802.16e Periodic Ranging Region

Periodic ranging is the process used by the mobile stations (MSs) during normal operations to adjust transmission parameters, such as time offset and transmit power level so that the mobile stations can properly communicate with the base station (BS).

See Also:

Defining the Burst Rectangle

Enable

Select this check-box to make the region active. You can also right-click on the region in the SignalMeister™ tree-view and select Enable from the popup menu.

Default: Disabled

Rectangle

Start Symbol

Set the symbol number that defines the first symbol of the burst region.

Minimum value: 0
Maximum value: 100 (or the number of available symbols)

Start Subchannel

Set the subchannel number that defines the first subchannel of the burst region.

Minimum value: 0
Maximum value: 100 (or the number of available subchannels.

Width

Define the width of the burst region, in symbols.

Minimum value: 0
Maximum value: 100

Height

Define the height of the burst region, in subchannels.

Minimum value: 1
Maximum value: 100 (or the number of available subchannels in the zone)

See Also:

Defining the Burst Rectangle


Burst - Uplink Burst configuration

Scroll down to see the values that are acceptable for the fields in the above form.

STC/MIMO Mode

MIMO Mode is the addition of the Wave 2 Mobile WiMAX® testing parameters. To set the desired mode, select it with the right-click menu on the symbol graph, or use the drop-down menu to select the following options:

  • None: Does not apply any Space Time Coding (STC) or MIMO modes to the downlink subframe.
  • A Matrix Collaborative Single Antenna SM: Enables Collaborative Spatial Multiplexing for the uplink channel using Matrix A. Used as part of two single transmit antenna subscriber stations, one (antenna 0) using pattern A the other pattern B. Devices must be synchronized in time and frequency.
  • B Matrix Collaborative Single Antenna SM: Enables Collaborative Spatial Multiplexing for the uplink channel using Matrix B. Used as part of two single transmit antenna subscriber stations, one using pattern A the other (antenna 1) pattern B. Devices must be synchronized in time and frequency.

Modulation Coding Rate

Select the Modulation Coding Rate from the drop-down menu. The Modulation Coding Rate sets the modulation type and rate for the selected burst.

The default setting is QPSK (CC) 1/2.

Enumerated setting:

  • QPSK (CC) 1/2
  • QPSK (CC) 3/4
  • 16-QAM (CC) 1/2
  • 16-QAM (CC) 3/4
  • 64-QAM (CC) 1/2
  • 64-QAM (CC) 2/3
  • 64-QAM (CC) 3/4
  • QPSK (CTC) 1/2
  • QPSK (CTC) 3/4
  • 16-QAM (CTC) 1/2
  • 16-QAM (CTC) 3/4
  • 64-QAM (CTC) 1/2
  • 64-QAM (CTC) 2/3
  • 64-QAM (CTC) 3/4
  • 64-QAM (CTC) 5/6

Burst Placement

Start Symbol

Set the Start Symbol where the UL burst is placed. Symbols start with the number 0 at the upper-left and the symbol number increases towards the right.

Minimum value: 0
Maximum value: 100 (or the last symbol of the burst width)

Start Subchannel

Set the Start Subchannel where the UL burst is placed. Subchannels start with the number 0 at the top-left and the channel number increases towards the bottom.

Minimum value: 0
Maximum value: 100 (or the last subchannel of the burst height)

Slots

Minimum value: 1
Maximum value: 10000

Enter the desired number of UL Burst slots.

See Also:

Defining the Burst Rectangle

Repetition Coding

Use this control to choose the number of times that the coded or uncoded data is repeated.

The Repetition Coding values are enumeration settings as follows:

  • R = 1
  • R = 2
  • R = 4
  • R = 6
  • Default = 1

Cyclic Redundancy Check

Cyclic Redundancy Check (CRC), also called "cyclic redundancy code", is a method of insuring data integrity where a calculation is performed using the binary representation of the data itself as the basis of the calculation. The CRC is the numerical result of this calculation and is held separately from the data. The integrity of the data is checked by calculating a new CRC. If the two CRCs match, then there is a high degree of confidence that the data has not changed.

MAC Header

Click Edit to open the MAC Header dialog, which allows you to configure the MAC (Medium Access Control) Header to be added to the data payload.

Include MAC

Use this check-box to select whether or not the MAC (medium access control) is included in the burst configuration.

See also:

MAC Header Configuration
Map Information Decoding

Include Data Source

This check box is selected by default. The data source is included in the uplink burst configuration. See Data Source (w/Edit) and Standard Data Source for further details.

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23


MAC Header Configuration

Use the MAC Header dialog to configure the MAC (Medium Access Control) Header to be added to the data payload.

A MAC PDU header contains a header type, encryption control field, payload type, and error checking code (CRC).

WiMAX MAC Header Configuration Dialog

Use the following links for more detail:

  • EC (Encryption Control)
  • EKS (Encryption Key Sequence)
  • CID (Connection ID)
  • MAC Type

EC (encryption control)

Encryption control (EC) is the transferring of parameters or sending of signaling messages in a data field within the header of the data packet that indicates encryption is used, and possibly the type of encryption used. The 1-bit encryption control field in the header indicates whether or not the payload of the data packet is encrypted.

Minimum value: 0 (payload is not encrypted)
Maximum value: 1 (payload is encrypted)

EKS (Encryption Key Sequence)

Encryption Key Sequence (EKS) is a 2-bit index (counter) value that is used to identify the location of a data packet within a sequence of packets to enable the decryption of the packet. This parameter is meaningful only if EC = 1.

Minimum value: 0
Maximum value: 1

CID (Connection ID)

WiMAX logical channels are identified by a 16-bit connection identifier (CID). A CID is a unique name or number that is used to identify a specific logical connection path in a communications system.

Minimum value: 0
Maximum value: 65535

MAC Type

MAC Type is a 6-bit data field that indicates the subheaders and special payload types present in the message payload.

Minimum Value: 0
Maximum Value: 63

______

The definition of the MAC Type field is shown in the table below.

______

# | MAC Type Bit | Value
5 | Mesh subheader | 0 = absent
 | Most significant bit (MSB) | 1 = present
4 | ARQ feedback payload | 0 = absent
 |  | 1 = present
3 | Extended type | 0 = not extended - Applicable to connections where ARQ is not enabled
 | Indicates whether or not the Packing or Fragmentation subheader is Extended | 1 = extended
2 | Fragmentation subheader | 0 = absent
 |  | 1 = present
1 | Packing subheader | 0 = absent
 |  | 1 = present
0 | Downlink: Fast-feedback allocation subheader | 0 = absent
 | Uplink: Grant manager subheader | 1 = present
 | Least significant bit (LSB) |

______


WiMAX® Signal Analysis

The WiMAX Analysis element allows you to create, analyze and display digital RF waveforms within the SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit, based on the following standards:

  • 802.16e

_____
See Also:

  • WiMAX ® signal creation
  • Related WiMAX® standards


Analysis Window Overview

Select an Analysis element from the WiMAX® Toolbox, then drag and drop it onto the Projects window. Once the Analysis element is in the project window, it can be connected to the other elements to make measurements.

In the project example below, the signal to be analyzed is an 802.11e 10MHz 1024 FFT Downlink sample connected to a VSA 1X Simulator, which is connected to a WiMAX 1X Analysis element.

Double-clicking the WiMAX 1X Analysis element on the project worksheet opens the SignalMeister™ Analysis window. Once it is open, the signals and measurements can be controlled by the menu selections in the Analysis window.

______

Hint: If you have multiple windows open and cannot find Analysis element dialog(s) that are "buried" behind the other open windows, you can either double-click the icon on the project worksheet, or right-click the icon then select Edit Element Configuration from the popup menu, to bring the open windows to the foreground.

______

WiMAX Analysis Element

_______

See also:

  • Analysis Window menus (WiMAX)
  • VSA Simulation
  • Analyzing a SISO WiMAX Signal in SignalMeister


Analysis Window menus

WiMAX Analysis Window

In the WiMAX® Analysis window, the default view is shown here, with the WiMAX Settings page, Instrument Control page and Constellation graph displayed. For more information about using the analysis tools, refer to the following topics:

  • View
  • Displays
  • Settings
  • Sweep


View menu

WLAN Analysis View Menu

These selections are available in the View menu. Select from the following to learn about the individual viewing options:

  • Show When Project Opened
  • Arrange On Tabs
  • Tile Horizontally
  • Tile Vertically
  • Minimize
  • Maximize
  • Open All
  • Close All
  • Open Defaults
  • Exit

Show When Project Opened

Select Show When Project Opened to have the Analysis window open at the same time the SignalMeister™ application opens.

____

Arrange On Tabs

In the View menu, select Arrange On Tabs to keep maximum window size for the selected windows, while still keeping them framed within the Analysis window.

Note in the image below that Arrange On Tabs is selected, and the tabs are at the top of the Analysis Window. In this example the FFT tab is highlighted, and the FFT graph is showing. The status bar at the bottom of the window also shows that the signal was analyzed without errors.

____

Tile Horizontally - Settings

In the View menu, select Tile Horizontally to arrange the settings windows one above the other in the analysis window.

Some windows are long and narrow, or have less information to display, and show well in the Tile Horizontally selection. However, some graphs of other displays, such as the Waveform Amplitude graph, are highly distorted in the Tile Horizontally selection.

____

Tile Vertically

Select Tile Vertically to arrange the settings windows side by side in the analysis window.

____

Minimize

Select Minimize to minimize the window to the task bar.

____

Maximize

Select Maximize to resize the window so as to encompass the entire display. To restore the display to its original size, place the cursor at the top of the page and double-click.

____

Open All

Selecting Open All, opens all windows in both the Settings and Displays menu. The default view is the tabbed format. See also Arrange On Tabs.

This selection is useful if a great number of windows need to be opened. In this case, it might be quicker to open all, and close just the ones that are not needed, as opposed to opening many individual windows.

Once the windows have all been opened, they can be:

  • Tiled Horizontally
  • Tiled Vertically
  • Arranged On Tabs
    _____

    NOTE: When using the Open All feature, it may take several minutes to open all the windows.

____

Close All

Selecting Close All, closes all of the windows open from both the Settings and Displays menu, but leave the Analysis window active.

____

Open Defaults

Select Open Defaults to restore the analysis window to the state it was when SignalMeister™ was first started.

____

Exit

Select Exit to close the Analysis window and the editing session on the selected SignalMeister™ element.

____

Window List

When all of the items from the Displays and Settings menus are open, not all of the tabs can be displayed, so some will be hidden from view. On the right-hand side of the window, is a Window List icon. Select this icon to open a menu that shows all of the open windows. You can easily navigate to any desired display by selecting that item from the menu.

Analysis Window List

____


Displays Menu

WiMAX Analysis Window Displays Menu

Select the Displays menu to view, edit and arrange the windows for the individual displays.

Select from any the following links to navigate to that topic:

Graphs WiMAX Analysis Graphs Menu

Strip Charts

802.16e Parameters Table

Burst Data Table

Error Rate Test

Print/Copy/Save Displays


Graphs

WiMAX Analysis Graphs Menu

Select any of the following links to navigate to that topic:

  • Channel Response
  • Constellation
  • EVM vs. Subcarrier
  • EVM vs. Symbol
  • FFT
  • Matrix Condition
  • Singular Values
  • Spectrum Emissions Mask
  • Subcarrier Flatness
  • Symbol Power
  • Waveform Amplitude
  • Waveform IQ


Graph: Channel Response

The Channel Response display is the same as the Subcarrier Flatness graph, except that the y axis is calibrated in dBm.

To change the controls of this graph, see Customization window

WiMAX Analysis Channel Response


Graph: Constellation

The Constellation graph shows the measured IQ symbol positions for the pilot and data symbols.

A constellation diagram is a representation of a signal modulated by a digital modulation scheme such as quadrature amplitude modulation. It displays the signal as a two-dimensional scatter diagram in the complex plane. The diagram represents the possible symbols that may be selected by a given modulation scheme as points in the complex plane. You can use measured constellation diagrams to recognize the type of interference and distortion in a signal.

In addition to viewing the data symbols and their constellation positions, this display shows the demodulated positions of the pilot symbols in the I/Q plane. For a QPSK constellation, these values appear on the same graph.

In the examples below, the EVM plot allows you to compare constellations for each zone and burst.

  • The size of the cluster around the ideal symbol position shows the noise present.
  • Constellation points that appear to lie on the arc of a circle generally results from symbol clock error when track clock is set to false or phase noise.

To change the controls of this graph, see Customization window

802.16e Constellation Graph

802.16e Constellation without Symbol Randomization

Symbol Randomization

Right-click on the WiMAX Constellation graph to display the popup menu shown below.

WiMAX Constellation Symbol Randomization

The SignalMeister™ WiMAX® analysis library supports two methods of plotting the constellation data:

  • With Symbol Randomization (default)
  • Without Symbol Randomization

If Symbol Randomization is selected, then the pilot and data symbols are plotted with randomization applied. In this case, the pilots will show up centered about both the +1 + j0 (I = 1, Q = 0) and the -1 + j0 (I = -1, Q = 0) point.

If Symbol Randomization is de-selected, then the pilots are plotted after de-randomization and they will only appear about the position +1 + j0 (I=1, Q=0).

How pilots are mapped

All pilots for WiMAX OFDMA are initially mapped to the position +1 + j0 on the constellation map. Prior to modulation, however, the individual subcarriers are randomized according to Section 8.3.9.4.1 of 802.16 Revision 2. At the receiver, the pilot symbols need to have the randomization removed so they can be properly tracked. In this case, all the pilots appear centered about the (I = 1, Q = 0) point on the constellation. If the pilots are plotted with randomization applied, they appear at the typical BPSK positions of +1 + j0 and -1 + j0.


Graph: EVM vs. Subcarrier

The EVM vs Subcarrier graph shows the error vector magnitude (EVM) measured for each of the subcarriers, which is useful when it is necessary to understand why a particular device has a poor overall EVM. You can see if some of the subcarriers are contributing more error than others. A significant deviation in the EVM versus subcarrier indicates poor performance in the RF portion of the transmitter, as opposed to poor performance in the baseband or generation portions of the transmitter. An exception to that are devices that have difficulty passing a 40MHz channel through the analog baseband. Such devices will exhibit higher EVM at the ends of the trace, forming what is called a "smiley" face.

To change the controls of this graph, see Customization window


Graph: EVM vs. Symbol

A transmitter may exhibit degraded performance at either the beginning or end of the packet. The EVM vs Symbol graph helps identify these problems by showing the aggregate error vector magnitude (EVM) measured for each orthogonal frequency-division multiplexing (OFDM) symbol as a function of time for.

  • A transmitter that has turn-on transients will tend to have poor EVM on the symbols at the beginning of the packet.
  • A transmitter that is unable to maintain the transmit frequency and power over the duration of the packet will tend to have poor EVM on the symbols at the end of the packet.

To change the controls of this graph, see Customization window

802.16e EVM vs. Symbol Graph


Graph: FFT

To change the controls of this graph, see Customization window

802.16e WiMAX FFT Graph


Graph: Matrix Condition

The Matrix Condition Number display is shown as a function of subcarrier so that you can identify problems at specific subcarrier frequencies.

The condition number is more a measure of the MIMO channel than of the MIMO transmitter; see Use of the term "channel". In a cabled measurement environment, the condition numbers are generally small unless there is cross-coupling between transmit paths resulting in a loss of orthogonality and unintentional inter stream interference. However, when antennas are measured, or when simulations are created, it is important to monitor the condition number to ensure the MIMO results are valid.

At the center of a MIMO receiver is a solution to the matrix equation that relates the transmitted symbols to the received symbols using the matrix representation of the channel model. The pilots are used to measure the channel model, yet the matrix must be inverted to apply the model.

The matrix condition number is a measure of how accurately the matrix can be inverted. In the language of linear algebra, the condition number is a measure of how accurately the system of linear equations can be solved that relate the received symbols to the transmitted symbols using a linear channel model. If the condition number is small, the solution will be more accurate than if the condition number is large.

The matrix condition number is calculated by deriving the singular values of the channel matrix. The condition number is the ratio of the largest to the smallest singular value. An easy-to-solve matrix has all the same singular values, resulting in a low matrix condition number. A hard-to-solve matrix will tend to have one or more of the singular values near zero, making the condition number very large.

To change the controls of this graph, see Customization window


Graph: Singular Values

For the Singular Values display, there is one singular value calculated for each transmitter at each subcarrier. The results for each transmitter are indicated as one line on the graph, shown as a function of a subcarrier. In a system with four transmitters and four receivers (known as a 4x4 system), the graph may become complex.

The matrix condition number (the ratio of largest singular value to the smallest) is a convenient summary of the singular values. A common measurement approach is to monitor the matrix condition number until there is an unusually large value, and then switch to monitoring the actual singular values to understand the matrix solution.

A MIMO receiver uses a matrix representation of the physical channel between the transmitter and receiver to relate the transmitted symbols to the received symbols:

  • With a single-antenna system, the channel response is applied to an equalizer that inverts the channel response and allows you to directly predict the transmitted symbols based on the symbols measured at the receiver.
  • With multiple antennas in the MIMO system, the problem of removing the effect of the channel is more complex because there is a matrix of channel responses. To predict the transmitted symbols, the matrix has to be inverted.

Calculating the singular values has the advantage of acquiring a measure of how accurately the channel matrix can be inverted. If all the MIMO paths are independent, the singular values will all be the same. If, however, some MIMO paths are linearly dependent, some of the singular values will tend to go to zero, indicating that the final solution will have significant errors.

To change the controls of this graph, see Customization window.


Graph: Spectrum Emissions Mask

The Spectrum Emission Mask (SEM) is a method of measuring the unwanted leakage of carrier signal power into neighboring channels. More power is expected closer to the carrier frequency, so the test limit is expressed as a mask that varies as a function of the distance from the carrier frequency. This is a pass/fail test. If the signal stays below the mask, it is a pass condition.

To change the controls of this graph, see Customization window.

To set the Spectrum Emission Mask parameters, see Spectrum Emission Mask Editor.

NOTE: Spectrum Emission Mask is not available when using a VSA Simulator element and will display "No Data" on the graph.

Spectrum Emission Mask Graph


Graph: Subcarrier Flatness

An OFDM transmitter is expected to apply the same amount of power to each subcarrier used in the channel. In practice, the subcarriers at the edges of the channel tend to get low levels of power. The 802.16 standard specifies how much the power is allowed to degrade for the various subcarriers in the form of a flatness mask. The Subcarrier Flatness graph shows both the measured value and the mask. Each subcarrier is labeled by number.

Subcarrier flatness is displayed with the relative power/subcarrier shown, as defined in the IEEE specification. The upper and lower limit lines are displayed so you can quickly determine if any subcarrier flatness violations occur. This displayed measurement specifies if the signal is compliant with the IEEE subcarrier flatness test.

To change the controls of this graph, see Customization window.

802.16e Subcarrier Flatness Graph


Graph: Symbol Power

This graph provides you with a view of how the OFDM symbol power varies throughout the subframe on each VSA port. This information is helpful because WiMAX OFDMA signals can have a significant amount of power variation from symbol to symbol and between spatial streams.

The symbol powers are calculated within the time domain boundaries of a given OFDM symbol on each antenna port.The first symbol power is the preamble power for downlink subframes or the first symbol of the first zone for uplink subframes.

To illustrate the Symbol Power graph, we consider a MIMO WiMAX OFDMA downlink subframe with the configuration as shown below. The subframe consists of the preamble, a SISO zone and a MIMO zone.

802.16e Symbol Power Zones

The screen capture below shows how the symbol power from symbol to symbol and between the antenna ports. The symbol power graph illustrates that the power of the preamble symbol is noticeably higher than the other symbols as is to be expected. It also shows that the symbol power is insignificant on port 2 until the sixth symbol. This is because the preamble and SISO zone are transmitted on antenna port 1 only in this case.

_____
To change the controls of this graph, see Customization window.

WiMAX Symbol Power Graph


Graph: Waveform Amplitude

To change the controls of this graph, see Customization window. Note that the Start and End indicators show the portion of the waveform that is analyzed.

802.16e Waveform Amplitude Graph


Graph: Waveform IQ

To change the controls of this graph, see Customization window

802.16e Waveform IQ Graph


Strip Charts

WiMAX Analysis Strip Chart Menu

Select any of the following links to learn more about the strip charts:

  • Error Rates
  • Per Channel - Carrier Leakage
  • Per Channel - Channel Power
  • RCE Power
  • Data RCE Power
  • Peak Data RCE Power
  • Peak Data RCE Symbol Number
  • Peak Data RCE Subcarrier Number
  • Pilot RCE Power
  • Peak Pilot RCE Power
  • Peak Pilot RCE Symbol Number
  • Peak Pilot RCE Subcarrier Number
  • Pass Subcarrier Flatness
  • SEM Pass/Fail


Strip Chart: Error Rates

Displays the Cumulative Error Rate (CER), Instantaneous Error Rate (IER) and the Burst Error Rate (BER) of the device under test.

See Error Rate Test for information on how the CER and IER are calculated and the BER is measured.

Error Rate Strip Chart


Strip Chart: Per Channel - Carrier Leakage

The carrier leakage relative to the average energy of the rest of the subcarriers for OFDMA modulations

To change the controls of this graph, see Customization window

Per Channel Carrier Leakage Strip Chart


Strip Chart: Per Channel - Channel Power

The channel power averaged over the subframe

To change the controls of this graph, see Customization window

Per Channel - Channel Power Strip Chart


Strip Chart: RCE

The rms RCE of all symbols in the subframe

To change the controls of this graph, see Customization window

RCE Power Strip Chart


Strip Chart: Data RCE

The rms RCE of all data symbols in bursts

To change the controls of this graph, see Customization window

Data RCE Strip Chart


Strip Chart: Peak Data RCE

The peak RCE of all data symbols in bursts

To change the controls of this graph, see Customization window

Peak Data RCE Power Strip Chart


Strip Chart: Peak Data RCE Symbol Number

The symbol index at which peak Data RCE was measured

To change the controls of this graph, see Customization window

Peak Data RCE Symbol Number Strip Chart


Strip Chart: Peak Data RCE Subcarrier Number

The subcarrier index at which peak Data RCE was measured

To change the controls of this graph, see Customization window

Peak Data RCE Subcarrier Number Strip Chart


Strip Chart: Pilot RCE

The rms RCE of all pilot symbols

To change the controls of this graph, see Customization window

Pilot RCE Power


Strip Chart: Peak Pilot RCE

The peak RCE of all data symbols in bursts

To change the controls of this graph, see Customization window

Peak Pilot RCE Power Strip Chart


Strip Chart: Peak Pilot RCE Symbol Number

The symbol index at which peak Pilot RCE was measured

To change the controls of this graph, see Customization window

Peak Pilot RCE Symbol Number Strip Chart


Strip Chart: Peak Pilot RCE Subcarrier Number

The subcarrier index at which peak Pilot RCE was measured

To change the controls of this graph, see Customization window

Peak Pilot RCE Subcarrier Number


Strip Chart: Pass Subcarrier Flatness

Displays a pass/fail result for the relative power per subcarrier as defined in the IEEE specification for OFDM modulations.

To change the controls of this graph, see Customization window.

Pass Subcarrire Flatness Strip Chart


Strip Chart: SEM Pass/Fail

The Spectrum Emission Mask Pass/Fail strip chart shows, at a glance, the pass or fail status of the spectrum emission mask test for each channel.

To change the controls of this graph, see Customization window

NOTE: If the test is being performed in Simulated mode (no hardware mode) the display shows No Data.

SignalMeister SEM Pass/Fail Strip Chart


Parameters Table - 802.16e

The Parameters Table displays the sweep results, as shown in the illustration below. During a continuous sweep, the display is updated every N sweeps, where N is the number of sweeps set with the Average table over N sweeps parameter. The measurement results include Minimum, Maximum, Average and Last values, where applicable.

______

NOTE: The measurement results taken in the Last (final) sweep are displayed in the column labeled Value.

______

See Results Capture for information about saving this data.

______

802.16e Parameters Table


Burst Data Table

The Burst Data Table displays the decoded burst data of the zones configured in the WiMAX MAP. To fill the table with data, the Decode Burst Data check-box must be checked.

NOTE: The decoded bits for each burst fill the Burst Data Table on the sweep(s) taken after the Decode Burst Data check-box is selected, with the number of total bits in a burst appended to the beginning of the bit sequence, followed by a comma (",").

______

Burst Data Table (WiMAX)

See Also:

Decode Burst Data


Error Rate Test

Bit Error Rate Test
_____

For details:

  • Reference Bits
  • Bit Error Rate Statistics
  • Frame Error Rate

_____

____

Reference Bits

To perform a bit error rate (BER) test, SignalMeister™ uses a set of reference bits that are compared to the bits of the captured frames after a signal analysis is performed. The bits are the "encoded" bits used prior to decoding (decoded bits). The reference bits can come from two different sources:

  • Reference file
  • Captured bits

Use reference file

The WiMAX® and WLAN signal generation elements produce a set of encoded bits that can be input into an appropriate analysis element by using a text file. You can also supply a set of "reference" bits in the form of a text file. Note that if the reference file changes or if you change the reference file you are using, the BER tester resets the reference frame counter then reads the bits file again.

In the Bit Error Rate Test dialog (shown above), select Use reference file: then use the Open... button to navigate to and load the desired reference file.

The reference bits in the file are stored in the following format:

  • tag:(0|1)*

Where the tag element can be:

  • frame,# - where the # is a frame number ID, it is only used to distinguish sets of bits (WiMAX and WLAN).
  • DL,zone#,burst# - where the zone# is the zone ID and the burst# is the burst ID (WiMAX).
  • UL,zone#,burst# - where the zone# is the zone ID and the burst# is the burst ID (WiMAX).

The bits are a string of 0s and 1s, with no separator as shown in the examples below:

  • The following strings represent two WLAN frames, frame 0 and frame 1, with their corresponding bits:
    frame,0:101101111111101101110010011111100100101101111110000001001000000001001001001001001100...
    frame,1:111100000000110110111001001111110010010110111001110000001001000111100010010010010010...
  • The following string represents a WiMAX downlink burst with an ID of 0 from zone 0:
    DL,0,0:101101111111101101110010011111100100101100000000000000001001001001001100...

_____

NOTE: If the file contains "DL,zone#" then it is assumed that there is only one frame of data and that the zone and burst are concatenated and all zones and bursts in either the DL or UL subframe are compared together.

_____

Use captured bits

In a test environment it is possible to generate a signal at high power into the signal analyzer, then capture a set of reference bits. Select Use Captured Bits, then click the Capture Next Sweep button to arm the analysis. Then, on the next valid analyzed sweep, that set of captured bits is loaded as the reference. If you choose to use captured bits as a reference, a captured frame is added to the list of frames only if it is unique.

Reset Reference

The Reset Reference button deletes all frames of reference bits.

Capture Next Sweep

The Capture Next Sweep button arms the BER tester to capture the next frame of bits as a reference.

Reference Frames Loaded

The Reference Frames Loaded box displays the number of distinct (unique) frames of bits.

______

NOTE: If your device under test (DUT) is broadcasting multiple frames of data, this can be used to obtain various frames and only unique frames will be cached as reference bits.

______

_____

Bit Error Rate Statistics

Bit Error Rate Statistics

Measure BER

Once the BER tester has a set of reference frames loaded you can enable the BER measurement by selecting the "Measure BER" check-box. To compute the statistics as each frame is analyzed it will then be matched against the one or more reference frames in the cache. If the length of the encoded bits from the analyzer matched any of those cached, then it will do an exclusive OR (XOR) against the bit sets and find the "best case" frame, and compute statistics over it.

Instantaneous Error Rate

Returns the Instantaneous Error Rate (IER), displayed as a percentage.

The IER is determined by the following formula:
_____

Instantaneous Error Rate

_____

NOTE: If a sweep is made with BER Enabled, and SignalMeister™ cannot compute the Instantaneous Error Rate (IER), Not Available is displayed in the IER field with one of the two following error messages shown in the dialog:
- No reference bits loaded
- No set of reference bits matches the length of last sweep

______

Cumulative Error Rate

This field displays the Cumulative Error Rate (CER), displayed as a percentage.

The CER is determined by the following formula:
______
Cumulative Error Rate formula
______

Sweeps

Displays a running counter of the number of sweeps taken and used to generate the BER.

Reset Statistics

Reset Statistics

You can selectively reset the statistics by pressing the Reset Statistics button. This also resets the BER strip chart.

_____

Frame Error Rate

Frame/Packet errors occur when the frame/subframe/packet can not be demodulated, or, if it demodulated, the Cyclical Redundancy Check (CRC) failed. The CRC32 checks are different for WLAN and WiMAX®:

  • WLAN there is one CRC32 check made across the PSDU
  • WiMAX there is a CRC32 check made in each burst

Frame Error Rate

Frame Errors

Displays the number frames/packets in error.

Total Frames

Displays the number of frames/packets analyzed.

Cumulative Error Rate

Displays the frame/packet Cumulative Error Rate.


How to setup an error rate test

Insert a Bit Refernece file into your project

  1. Drag and drop the element onto the project worksheet.

Add Bit Reference File element to project

Connect the Bit Reference File element.

Connect Bit Reference File element


Print/Copy/Save Analysis Displays

Analysis Window Print/Copy/Save Displays menu

This menu is specific to the analysis elements (Displays > Print/Copy/Save Displays), and provides access to the Print/Copy/Save commands for each of the active displays.

As displays are made active or are disabled, such as the parameters table, burst data table, and graph or strip chart displays, the list of Current Displays is updated as each is added or removed. Use the check-box(es) to select the items you wish to Print/Copy/Save.

_____
See Also:

  • Working with Analysis Elements
  • Basic SignalMeister Tasks

Copy Each To Clipboard

Copy each of the selected displays to the clipboard.

______

NOTE: When the contents of the Parameters Table is copied to the clipboard, it can be pasted as tab delimited text into applications such as Notepad®, or it can be pasted as comma separated values (CSV) into applications such as Excel®.

Print

Choose this to print the selected displays.

Print Preview

Select this to preview the current print job.

Save to PDF

Select this to save the selected displays to a PDF file.

Monochrome

Select this check-box to have each selected display shown in monochrome (black and white). De-select this check-box to show the displays in color.


Settings menu

WiMAX Settings Menu

Select the Settings menu to view or edit the following settings:

  • WiMAX® Settings
  • Instrument Control
  • IQ Capture
  • Results Capture
  • SEM (Spectrum Emission Mask) Editor


WiMAX Settings

Select the Settings menu from the menu bar, then click WiMAX Settings to display the dialog shown below. You can now choose the Demodulation Parameters tab or the Map Parameters tab.

WiMAX Settings Menu

WiMAX Settings tab,

_

See Also:

  • Demodulation Parameters
  • Map Parameters

_


WiMAX Demodulation Parameters

WiMAX Settings tab,

Select a link below to navigate directly to that topic:

  • Apply
  • Decode Burst Data
  • Frequency Correction
  • Track Amplitude
  • Track Clock Offset
  • Track Phase Variation
  • Show EVM in dB
  • Enable SEM
  • Advanced SEM Settings
  • Equalization Method
  • Average table over N sweeps
  • Active Symbol Power Threshold

_____

Apply

Selecting the Apply button will apply any changes to the settings made in the Settings window, at the next sweep.

If the Apply button is pressed on the configuration dialog, this resets the averaging because of changes made to the demodulation and hence the counter restarts at 1 and then increments.

Decode Burst Data

Select this check-box to have SignalMeister™ decode the transmitted burst(s), then display the decoded bits in the Burst Data Table.

NOTE: The decoded bits for each burst fill the Burst Data Table on the sweep(s) taken after this check-box is selected, with the number of total bits in a burst appended to the beginning of the bit sequence, followed by a comma (",").

You must select "Decode Burst Data" in the Demodulation Parameters tab of the WiMAX Analysis Settings when auto-detect is enabled in order for the special burst types to be properly auto-detected. RF parameters such as EVM, power, etc, will still be reported properly if "Decode Burst Data" is disabled, but all special bursts except the FCH and DL-MAP will be configured as normal bursts.

See also:

Burst Data Table

Frequency Correction

The Frequency Correction check-box (On/Off setting) determines if frequency correction will be used or not.

Select this check-box to enable frequency correction.

Track Amplitude

Select Track Amplitude to estimate and remove the symbol-to-symbol gain (amplitude) variation within a packet.

Track Clock Offset

Select Track Clock Offset to specify that the pilot symbols are used to track the clock timing errors.

Track Phase Variation

Select Track Phase Variation to estimate and remove the symbol-to-symbol phase drift that occurs within a burst.

Show EVM in dB

Select this check-box to show the results of the EVM measurement in dB; if it is disabled (unchecked), the EVM is shown in %.

______

NOTE: These results are displayed in the Parameters Table.

______

See Also:

Parameters Table (802.16e)

Enable SEM (Spectrum Emissions Mask)

If this is enabled, the SEM is shown on the graph. If measurement speed is important, leave this control disabled.

NOTE: SEM is not available when using a VSA Simulator.

Advanced SEM Settings

Click the Advanced SEM Settings button to open the advanced settings dialog for spectrum emissions mask.

Equalization Method

Use the drop-down menu to select the type of equalization used to assist in forming channel estimates:

  • Preamble Only
  • Preamble and Pilots
  • Preamble, Pilots and Data

Equalization is used to specify the method of estimating the channel per subcarrier so you can remove the channel phase and gain imposed on that subcarrier prior to forming the symbol estimate.

NOTE: The preamble is only present in DL subframes. For the case of UL subframes, Preamble Only and Preamble and Pilots equalization is treated as pilots only equalization. Preamble, Pilots and Data equalization is treated as Pilots and Data equalization.

Average table over N sweeps

The average value is computed over all measurements if the number of measurements is less than the value specified here. If Average table over 10 sweeps is specified and only 5 sweeps have been completed, for example, the average will be computed over 5 sweeps. If average table over 10 sweeps is specified and 15 sweeps have been completed, the average will be computed over the last 10 sweeps.

The Minimum and Maximum values are taken over all observed measurements and is independent of the value specified by Average table over N sweeps. If Average table over 10 sweeps is specified and 15 sweeps have been completed, the Minimum and Maximum values are taken over all 15 measurements.

Minimum Value: 1
Maximum Value: 100
Default Value: 10

Active Symbol Power Threshold

WiMax signals can have a wide variation in power per OFDM symbol and may have inactive symbols in the case of MIMO configurations. The Active Symbol Power Threshold control is used for computing the per channel signal power. Only symbols that are within the threshold limit relative to the maximum symbol power on that channel will be counted as part of the channel power.

To include only symbols that are within 15 dB of the maximum symbol power as part of the channel power (for example, set Active Symbol Power Threshold equal to -15).

Set Active Symbol Power Threshold equal to -400 to include all symbols within the subframe in the channel power measurement, regardless of whether they are active or inactive.

Related SCPI command(s):

  • :PROJect<index>:WIMax<index>[:SENSe]:ASPThreshold


Advanced SEM Settings

WiMAX Advanced SEM Settings dialog

_____

Spur Cancellation

Select this check-box to enable spur cancellation during spectrum emissions measurements.

Related SCPI commands:

  • WLAN (802.11b):
  • WLAN (802.11a/g/j/p):
  • WLAN (802.11n):
  • WiMAX (802.16e):
  • General Purpose analysis:

Acquisition Interval

Sets the amount of time between the beginning of the previous data acquisition and the start of the current one.
Minimum value: 0 sec
Maximum value: 30 sec

The Spectral Emissions Mask measurement makes repetitive measurements on the input signal to determine the spectral content. The measurements are made synchronous with the WLAN burst, to avoid overlaying burst on/off artifacts on the SEM measurement. To do this, the measurement needs to know the pulse repetition period very accurately. If you press the optimize button, the software will estimate the pulse repetition rate to within about +/- 1 usec. For very short pulses (such as 200 usec on time pulse), this accuracy is not good enough. The pulse will precess out of the measurement window, resulting in inaccurate measurements. In these cases, you have to know the pulse repetition rate with a high degree of accuracy, and modify the Acquisition Interval (found on the Advanced Settings for SEM) to be an integer number of pulse repetitions.

See Also:

  • Recovering from an Optimization Failure

Related SCPI commands:

  • WLAN (802.11b):
  • WLAN (802.11a/g/j/p):
  • WLAN (802.11n):
  • WiMAX (802.16e):
  • General Purpose analysis:

Trigger Delay

Enter a delay, in seconds, that you want the instrument to wait before responding to a trigger event. When the trigger delay is set to zero, the center point of the data window is where the trigger occurred. Changing the trigger delay value allows you to see measurement trace events that occurred before or after the trigger.

Minimum value: -30 sec
Maximum value: 30 sec

Related SCPI commands:

  • WLAN (802.11b):
  • WLAN (802.11a/g/j/p):
  • WLAN (802.11n):
  • WiMAX (802.16e):
  • General Purpose analysis:

Bandwidth

Sets the channel bandwidth for the spectrum emissions mask.

Minimum value: 100 Hz
Maximum value: 40000000 Hz

Related SCPI commands:

  • WLAN (802.11b):
  • WLAN (802.11a/g/j/p):
  • WLAN (802.11n):
  • WiMAX (802.16e):
  • General Purpose analysis:

Sweep Time

Sets the length of time that the SEM sweep measurement takes place.

Minimum value: 0.00001 sec
Maximum value: 30.00 sec

Related SCPI commands:

  • WLAN (802.11b):
  • WLAN (802.11a/g/j/p):
  • WLAN (802.11n):
  • WiMAX (802.16e):
  • General Purpose analysis:


WiMAX Map Parameters

WiMAX Settings - Map Parameters

_____

Map Information Decoding

Select the type of Map Information Decoding from the drop down menu. The available choices are:

  • Autodetect DL Subframe
  • Use Map File

______

NOTE: There are actually 3 different operating states the WiMAX analysis element uses in regards to the map file used to decode the demodulated bit-stream. Even though there are only 2 selections available in the menu, the Use Map File setting also allows map parameters specified by SCPI commands.

______

Use Map File

Use Map File (with a specified map file name) allows you to specify a map file that has been saved to a disk, and has pre-set values for FFT Size, Bandwidth, Guard Interval and Preamble Index.

Use Map File (with map parameters specified by SCPI commands) - allows you to use SCPI commands to specify the map file parameters used for decoding the demodulated bit-stream.

If you want to configure the map file using SCPI commands, the Map File Name field should remain blank, then the subsequent map edit commands can be sent. (You can set a blank Map File Name in SCPI by sending the appropriate command to Load a Map but not specify a file name.)

______

See also:
FCH - Frame Control Header
SCPI commands - SignalMeister and instruments
Compressed Maps
Burst - Dowlink Burst Configuration Type

Autodetect DL Subframe

Autodetect DL Subframe allows you to manually set the FFT Size, Bandwidth, Guard Interval, and Preamble Index parameters in the WiMAX Settings dialog, which is the minimum set of parameters needed to decode the demodulated bit-stream.

______

NOTE: When Autodetect DL Subframe is used and you save the Map information as a template, the VSA stores the MAC header (if present), data fields (if present), and CRC (if present) in one contiguous data set. The Include MAC and Cyclic Redundancy Check parameters are disabled in the auto-generated template and these portions of the message are contained in the data field (if present).

______

NOTE: Autodetection is coupled with the Frame Control Header (FCH), in the WiMAX DL subframe, in that if the FCH is not available, an error message is displayed in the Status Bar indicating automatic Map detection failed. To correct this, you must make certain the FCH is enabled and configured properly, or that you are using a Map File to populate the FFT Size, Bandwidth, Guard Interval, and Preamble Index parameters.

______

FCH Missing Error

Map File Name

When you select Use Map File from the Map Information Decoding menu, the Map File Name text field is active so you can enter the path and file name to a saved, user-defined Map file.

Click the Select button to open the [image] navigation dialog window that allows you to browse to, and then select, the desired file.

Map File Name Navigation Dialog

Map File Name text box

FFT Size

This control specifies the number of subcarriers in the signal. The FFT size may always be increased, but it may be decreased only if the subchannels being removed do not have bursts assigned to them.

Use the drop-down menu to select the FFT size. The available choices are:

  • 128
  • 512
  • 1024
  • 2048

Bandwidth

The bandwidth may always be increased. The maximum number of symbols in a subframe is a function of the bandwidth. The bandwidth may be decreased only if the new maximum number of symbols is greater than the maximum number of symbols assigned to the frame.

Minimum: 1.25 MHz
Maximum: 28.0 MHz

Guard Interval

The guard interval may always be decreased. The maximum number of symbols in a subframe is a function of the guard interval. The guard interval may be increased only if the new maximum number of symbols is greater than the maximum symbol assigned to a zone.

Use the drop-down menu to select the Guard Interval. The available choices are:

  • 1/32
  • 1/16
  • 1/8
  • 1/4

Preamble Index

The Preamble Index is coupled to Subchannel Groups and to Segment. Valid Preamble Index values are a function of the states of Subchannel Groups. The Preamble Index may only be set to a value that is within one of the Subchannel Groups that is on:

  • Segment 0 corresponds to Preamble Index values 0 through 31, 96, 99, 102, 105, 108 and 111 and requires Subchannel Group 0 be On.
  • Segment 1 corresponds to Preamble Index values 32 through 63, 97, 100, 103, 106, 109 and 112 and requires Subchannel Group 2 be On.
  • Segment 2 corresponds to Preamble Index values 64 through 95, 98, 101, 104, 107, 110 and 113 and requires that Subchannel Group 4 be On. Setting the Preamble Index will cause the Segment setting to adjust to the segment that has the Preamble Index value in its range.

Minimum: 0
Maximum: 113
Default: 0

Save Detected Map As Template

Click the Save Detected Map As Template button to open a dialog that allows you to name and save the selected WiMAX Map file as a SignalMeister™ template file (*.ksmt) for future use. By default, it is stored in C:\Program Files\Agilent Technologies\Agilent SignalMeister\Item Templates\User Templates. However, you can save it to any location in your file system where you can share it with other users by selecting File > Add Template to Project.

Capturing the detected WiMAX information as a template allows you to re-create a signal (as a configuration object in SignalMeister™) that was captured using the VSA/WiMAX analysis feature, which can be useful in testing DUTs by capturing and detecting the construction of the signal, then regenerating it in SignalMeister™.

NOTE: The template will appear in the My Templates toolbox ONLY IF it is saved to C:\Program Files\Agilent Technologies\Agilent SignalMeister\Item Templates\User Templates. Template files saved in any other location will not appear in the My Templates toolbox, but you can still add the template to a project by using the File > Add Template To Project command.

See also:

  • Add Template to Project...
  • Save Project As Template...
  • Related SCPI command: :PROJect<index>:WIMax<index>:TEMPlate:SAVE

DIUC Table

The DIUC (Downlink Interval Usage Code) Table allows you to set the different burst profiles available for bits 0 to 12 of the OFDMA DIUC allocation as defined in IEEE 802.16e-2005.

Select from the available choices in the drop-down menu:

DIUC and UIUC burst profiles

UIUC Table

The UIUC (Uplink Interval Usage Code) Table allows you to set the different burst profiles available for bits 1 to 10 of the OFDMA UIUC allocation as defined in IEEE 802.16e-2005.

Select from the available choices in the drop-down menu:

DIUC and UIUC burst profiles


Instrument Control

__

Simulated Mode: If you are analyzing a simulated signal, the Instrument Control window will only display the Single Sweep and Continuous Sweep buttons. Click here for details.

__

Instrument Control window with hardware

In the Settings menu, select Instrument Control.

Select from the following to learn about the individual control settings:

  • General Instrument Settings
  • General Measurement Settings
  • Trigger Settings
  • Individual Instrument Settings
  • Initialize Instruments
  • Single Sweep
  • Continuous Sweep
  • Optimize Setup

NOTE: Optimize Setup and Initialize Instruments controls are not available with General Purpose Analysis or Simulation mode.

______

See Also:

  • Instrument Control - Simulated Mode


General Instrument Settings

General Instrument Settings

Reset Instruments

Choice: On | Off
Default: Off

Select this check-box to reset the instrument(s) to a default state when SignalMeister™ performs an initialization sequence.

When Reset Instruments is enabled (checked), a reset command (*RST) is sent to the instrument(s) the next time SignalMeister™ performs an initialization sequence or otherwise communicates with the instrument(s). That is, this setting does not take effect until another action is performed, such as initializing the instrument, invoking a measurement, and so on.

See Individual Instrument defaults to see how settings can be made to individual instruments.

Display On

Choice: On | Off
Default: On

Select this check-box to enable (turn on), or clear the check-box to disable (turn off), the instrument display(s).

This setting controls turning the instrument display(s) on or off the next time SignalMeister™ communicates with the instrument. This means that the setting does not take effect until another action is performed, such as initializing the instrument, invoking a measurement, performing a sweep, and so on.

NOTE: Turning off the displays speeds up the measurement time as the individual instruments no longer have to update and refresh their individual screens.


General Measurement Settings

General Measurement Settings

Center Frequency

This field is used to set the carrier frequency for each analyzer that is being controlled by this program. The value can be changed by highlighting the value and typing in a new value, or using the up and down arrows.

Sweep Time

This field is used to set the sweep time for each analyzer that is being controlled by this program. The value can be changed by highlighting the value and typing in a new value, or using the up and down arrows.

Bandwidth

Enter a value for the Bandwidth.

Default: 40 MHz

The bandwidth value entered here determines how low a signal amplitude can be, that is close to a larger signal, and still allow you to resolve the two signals.

  • Narrower bandwidths can allow you to measure signals that are close together (or close to the noise floor), yet they can slow down a measurement more than necessary.
  • Wide bandwidths can allow fast measurements, yet they may not provide adequate resolution, and the higher noise may obscure spectral components that are close together.


Trigger Settings

Trigger Settings

Use the links below to navigate directly to a topic:

  • Trigger Level Offset
  • Trigger Source
  • Trigger Prequal Time
  • Trigger Prequal Level
  • Auto Trigger Timeout
  • Trigger Delay

The following fields are used to set the trigger for each analyzer that is being controlled by this program. The values can be changed by making a selection from a drop-down menu, highlighting the value and typing a new value, or by using the up and down arrows associated with that field.

Trigger Level Offset

Sets the power level that the incoming RF signal must reach to cause a trigger event.

Minimum value: 0 dB
Maximum value: 80 dB
Default: 10.0 dB

Trigger Source

Use the drop-down menu to select the trigger source. The available choices are:

  • Immediate: Immediate sets the instrument to a continuous trigger mode.
  • External: External sets the instrument to receive a trigger from the rear panel TRIG IN connector.
  • Video: Video sets the instrument to receive a trigger when the input signal reaches a specified power level. The video trigger is intended for data acquisition of multiple bursted RF signals. The trigger settings help to base the trigger event on the leading edge of a burst even when modulation noise is inside the burst.
  • External Video: External Video sets the instrument to receive a trigger from a combination of sources: an external pulse to arm the trigger, and a video signal to perform the trigger.

Trigger Prequal Time

Trigger Prequalification Time sets a window area, in seconds, at some specified power level that the input signal must avoid before the trigger will be recognized by the instrument.

To ensure that the analyzer performs the measurement when the burst occurs and not when modulation noise occurs, you can set the video trigger pre-qualification. The pre-qualification requires that the input signal stay out of an area you specify that is located before the leading edge of the burst. This pre-qualification area has a level that the RF signal must stay below for a certain length of time. The trigger event is based on the contrast between when there is no burst and when a burst occurs.

Minimum value: 0 Sec
Maximum value: 30 Sec
Default: 0.000003 Sec

Trigger Prequal Level

Trigger Prequal Level sets the power level boundary that the input signal must avoid for some specified time before the trigger will be recognized by the instrument.

Minimum value: 0 dB
Maximum value: 32 dB
Default: 5.0 dB

Auto Trigger Timeout

Sets the time to wait, in seconds, for a trigger before automatically providing an internal trigger to acquire a measurement.

Default: 0.100000 Sec

Trigger Delay

Enter a delay, in seconds, that you want the instrument to wait before responding to a trigger event. When the trigger delay is set to zero, the center point of the data window is where the trigger occurred. Changing the trigger delay value allows you to see measurement trace events that occurred before or after the trigger.

Minimum value: -30 sec
Maximum value: 30 sec

Related SCPI commands:

  • WLAN (802.11b):
  • WLAN (802.11a/g/j/p):
  • WLAN (802.11n):
  • WiMAX (802.16e):
  • General Purpose analysis:


Individual Instrument Settings

Individual Instrument Settings

  • Use Defaults For All Instruments
  • Auto Atten
  • Preamp On
  • Manual Atten
  • Expected Power
  • Low Phase Noise
  • Initialize Instruments
  • Single Sweep
  • Continuous Sweep
  • Optimize Setup
  • Recovering from an SEM Optimization Failure

______

Defaults tab and Instrument tabs

Depending on the project configuration, there can be up to eight signal analyzers controlled by this program. The additional analyzers appear as additional tabs to the right of the Defaults tab, for example, Instrument 1, Instrument 2, Instrument 3 and so on.

There are several defaults that can be shared for all analyzers controlled by this program, or the same defaults can be set to different values for the individual analyzers included in the setup. The available defaults are:

  • Auto Atten
  • Preamp On
  • Manual Atten
  • Expected Power
  • Ultra Low Phase Noise (License V2820A-UPN)

Use Defaults for All Instruments

If this check box is cleared, all instruments controlled by the program will take the values set in the corresponding individual Instrument tabs.

If this check box is selected, all instruments are set to the values of the Defaults tab, shown above.

Auto Atten

Use this check box to control automatic attenuation. When selected, Auto Atten enables the automatic application of input signal attenuation. When you enter an Expected Power value, the VSA automatically adjusts the input attenuation to optimize the power measurement range.

Preamp On

Use this check-box to control the Preamp. Preamp On allows you to add power amplification (approximately 13 dB) to the input signal. This is useful for improving measurement sensitivity when the signal has lower power.

NOTE: If an overload condition occurs when turning the Preamp on, the following error is displayed on the status bar: "Instrument reported Overflow condition during measurement."

Manual Atten

Enter the desired attenuation level that is applied to the signal when Auto Atten is cleared.

Minimum value: 0 dB
Maximum value: 30 dB
Default: 10.0 dB

Expected Power

Sets the main channel expected power.

Minimum value: -170 dBm
Maximum value: 30 dBm
Default: 0.0 dBm

Low Phase Noise

If the Low Phase Noise feature is not applicable to the instrument, the check-box is grayed-out indicating this selection is not available.

_____

This feature is presently available only for instruments equipped with the Ultra Low Phase Noise option: V2820A-UPN.

The Low Phase Noise setting allows you to enable or disable the -UPN option -- if this option is available in the instrument. Enabling Low Phase Noise invokes the following performance improvements:

  • Improved phase noise: < -140 dBc/Hz phase noise at a 300kHz offset with a 2 GHz carrier
  • Improved EVM performance for WLAN signal (WLAN 802.11n EVM floor as low as -48 dBc)
  • Improved ORFS performance for GSM and EDGE signals
  • Typical frequency switching time of 1 ms (with the Low Phase Noise setting disabled, the frequency switching time is 250 µs)

_
The following phase noise plot shows the typical phase noise performance in the V2820A-UPN option.

Phase Noise Plot with and without -UPN

_
See Also:

  • Managing Licenses

Initialize Instruments

Initialize Instruments button

Press the Initialize Instruments button to initialize all instruments controlled from this window.

Single Sweep

Single Sweep button

Press the Single Sweep button to have all instruments controlled from this window perform a single sweep, then stop.

Continuous Sweep

Continuous Sweep button

Press the Continuous Sweep button to have all instruments controlled from this window perform continuous sweeps. While continuous sweeping, all controls on the main window are disabled except the status/message tabs and the main window form itself. The main window may still be viewed, minimized, and maximized, but all menus and other controls are disabled.

Press Stop Sweeping to end the sweep sequence.

Optimize Setup

Optimize Setup button

Optimize Setup is only available when using hardware to make measurements. It is used to set signal type, constellation type, acquisition time and trigger settings for fast data throughput.

Optimize Setup does a complete demodulation by sweeping several times and adjusting the reference levels. If successful, signal type and constellation type are set explicitly and so will not be auto detected on subsequent sweeps.

However, in order to be successful, a map file must be loaded and applied in the WiMAX analysis block before the Optimize Setup can take place. Once the map file is loaded, you can optimize the setup and proceed with analysis.

______

NOTE: Optimize Setup is not available in General Purpose Analysis or Simulated Analysis.

See Also:

  • Recovering from an Optimization Failure


Recovering from an SEM Optimization Failure

One of the settings that is optimized when you press the Optimize Setup button is the acquisition interval for Spectrum Emission Mask (SEM) measurements. This is derived from the burst period of the waveform being measured, and is computed differently for WLAN and WiMAX:

  • WLAN: Acquisition Interval = burst period * ceiling (10 ms / burst period), where the ceiling function results in the next largest integer of the argument.
  • WiMAX: Acquisition Interval = burst period * ceiling (15 ms / burst period), where the ceiling function results in the next largest integer of the argument.

The acquisition interval is set in the Advanced SEM Settings dialog (in the analysis window: Settings > Settings dialog > Advanced SEM Settings button) and is used to ensure proper triggering during the SEM measurement. If it is set incorrectly, measurements may occur in the off time and the SEM measurement results will be invalid.

The likely cause of this failure is a burst period that is larger than 1 ms, or half the Sweep Time that you have set in the Instrument Control settings dialog. The Sweep Time must to be long enough to acquire at least 2 bursts to accurately measure the burst period.

There are two possible solutions to manually force the optimization to succeed.

  • Increase the Sweep Time to more than 2 times the burst period and then try running the optimize settings again. If you optimize again in the future, you will need to repeat this step.
  • Use the Zero Span measurement on the Series V2800 VSA to measure the burst period. Using the relevant SEM acquisition interval formula for WLAN Acquisition Interval = burst period * ceiling(10 ms / burst period), where the ceiling function results in the next largest integer of the argument. or WiMAX Acquisition Interval = burst period * ceiling(15 ms / burst period), where the ceiling function results in the next largest integer of the argument., compute a reasonable acquisition interval and enter it into the Advanced SEM Settings dialog.

When using remote control SCPI commands

If you use optimized setup for WLAN (see [:PROJect<index>]:WLAN<index>[:SENSe]:OPTimize) or WiMAX (see [:PROJect<index>]:WIMax<index>[:SENSe]:OPTimize), the relevant error queue will have the following text string:

Optimization failedNot enough samples after start of packet to demodulate packet

Error queue SCPI commands:

  • WLAN: [:PROJect<index>]:WLAN<index>:SYSTem:ERRor:ALL
  • WiMAX: [:PROJect<index>]:WIMax<index>:SYSTem:ERRor:ALL


Instrument Control - Simulated Mode

When working in simulated mode, the Instrument Control window will only display the Single Sweep and Continuous Sweep buttons. However, there will be status indicators in the Status Bar at the bottom the Analysis Window. The left side of the Status Bar displays error and other information about the project. The right side of the Status Bar displays information about instrument connections.

To stop the sweep, select the Stop Sweeping button.

Simulated Instrument Control

_____
See Also:

  • Instrument Control - Hardware Mode


IQ Capture

Use this selection to setup and capture IQ data from the signal being analyzed, and store them in a file.

The Status Bar at the bottom of the IQ Capture window displays important information regarding the capture status, or any errors during the capture.

Enable IQ Capture

Select this check-box to capture the IQ waveform to the file format and location displayed here.

Capture Format

Use the drop-down menu to select the file format in which to save the captured IQ waveform.

The available choices are:

  • CSV - Comma Separated Value (.csv): Interleaved IQ data.
  • Binary - Double Precision (.bin): 64-bit doubles, little-endian, interleaved IQ data.
  • Binary - Single Precision (.bin): 32-bit singles, little-endian, interleaved IQ data.

IQ File Name

Either type in the path and file name for the captured IQ waveform, or use the Select button to open the navigation dialog window that allows you to navigate to the desired file location then name the file.


Results Capture

To open the Results Capture dialog, from the menu bar go to Settings > Results Capture. This dialog controls whether the results of the analysis that are displayed in the Parameters Table is saved to an ASCII file.

Analysis Results Capture Window

Disable Capture

Select this button to disable the capturing of analysis results.

Overwrite on Each Sweep

Select this button to overwrite the saved analysis data with each sweep.

Append on Each Sweep

Select this button to append to the saved analysis data with each sweep.

File to capture results to:

Type the path and file name of the file where you are saving the Analysis Table results. You can select the Open Dialog button to open the [image] Save As dialog that allows you to navigate to a desired file location.

Capture Results Save As Dialog

Saved analysis results files are ASCII text files with the results listed as one value per line. The following example is a WiMAX SISO sweep, written to a file:

Sweep - 11/6/2008 5:03:38 PM

RCE = -40.94 dB
Pilot RCE = -45.66 dB
Peak Pilot RCE = -35.4 dB
Data RCE = -40.4 dB
Peak Data RCE = -30.86 dB
Peak Pilot RCE Subcarrier = -30.86 dB
Peak Pilot RCE Symbol = 1
Peak Data RCE Subcarrier = 220
Peak Data RCE Symbol = 2
Frequency Offset = 0.36 Hz
Channel 1 Power = -8.05 dBm
Channel 1 Carrier Leakage = -69.02 dBr
Channel 1 Max Adj Subcarrier ? = 0.127
Channel 1 Subcarrier Flatness = Pass
Zone 0 Pilot EVM = -45.66 dB
Zone 0 Burst(s) EVM = -40.28 dB -40.38 dB -40.72 dB -40.18 dB -40.3 dB


SEM (Spectrum Emission Mask) Editor

The spectrum emission mask (SEM) is a method of measuring the unwanted leakage of carrier signal power into neighboring channels. More power is expected closer to the carrier frequency, so the test limit is expressed as a mask that varies as a function of the distance from the carrier frequency. This is a pass/fail test. If the signal stays below the mask, it is a pass condition.

Use this selection to setup and capture SEM settings from the signal being analyzed: Settings > SEM Editor

______

NOTE: SEM is not active in Simulated Mode.

______

______

Load...

Click Load... to select and open an *.xml file.

Save As...

Saves the properties in the SEM Editor window as an *.xml file. The file will be saved with the text that has been put in the Mask Name text box.

Insert Above

Click this button to insert a new row above the row that has the cursor focus.

Insert Below

Click this button to insert a new row below the row that has the cursor focus.

Delete

Click this button to delete the row that has the cursor focus.

Apply

Click this button to apply the window settings to the SEM mask whose name appears in the Mask Name text box.

Mask Name

Enter the name to be given to the settings in the SEM Mask window

Load Current Default Mask

Select this button to load the current default mask.

F Start

Enter the value of the starting frequency.

F Stop

Enter the value of the stop frequency.

Integration Bandwidth

The bandwidth of which power will be integrated across for this segment. This is equivalent to the resolution bandwidth.

Limit Start

Enter the level for the limit start.

Limit Stop

Enter the level for the limit stop.

Limit Type

Choose between dBc and dBm.


Customization window

This window is used for customizing the graph displays.

The Graph Control displays information sequentially left to right along the horizontal axis, and is measured with respect to the vertical axis.

Note: each graph will have its individual customization window from which setting for that graph can be set. In the following examples, the titles of the window will be Constellation, but these can be readily changed.

To edit the window, do one of two things:

  • Double-click the graph of interest.
  • Right-click the graph of interest

The graph in both examples is the Constellation graph, as seen in the Main Title of the windows shown.

Double-click the graph of interest

Select from the following tabs to learn more:

  • General tab
  • Plot tab
  • Subsets tab
  • Font tab
  • Color tab
  • Style tab

Right-click the graph of interest


General Tab

The General tab sets the general look and feel of the particular graph display:

To edit the General Tab features, do one of two things:

  • Double-click the graph of interest, and select General.
  • Right-click the graph of interest, and select one of:
    • Viewing Style
    • Border Style
    • Font Size
    • Numeric Precision
    • Plotting Method
    • Data Shadows
    • Grid Options

The graph in both examples is the Constellation graph, as seen in the Main Title of the windows shown.

Double-click the graph of interest

Main Title / Sub Title

These features allow the user to adjust the Main Title and SubTitle. If a particular title is not provided, the space for that title will not be allocated.

Border Style

The appearance of the border of the graph can be changed by selecting ne of the following:

  • No Border: removes the border
  • Shadow: adds a shadow appearance to the border
  • Line: add a simple line for the border
  • 3D Inset: adds a 3D appearance to the border

Viewing Style

The Viewing Style customization is used to quickly transform the image into color or monochrome. The Graph, Scientific Graph, Polar component, and the scatter mode of the 3D Scientific Graph component have viewing styles of Color, Monochrome, and Monochrome + Symbols. The Pie Chart component has Color and Monochrome viewing styles.

Selections are:

  • Color
  • Monochrome
  • Monochrome + Symbols

Font Size

This feature allows control over the font size used in the components image. The size selected controls the largest possible font size. During image construction the component will reduce this font size in order to make labels and data fit into their designated areas.

  • Large
  • Medium
  • Small

Numeric Precision

The user can adjust the number of decimal positions to include in tables, data labels, and data exported from the Text/Data Export Dialog.

Grid lines

The user can select whether to show, only X, only Y, both X and Y or no grids. In addition, the grids can be positioned behind or in front of the data traces.


Right-Clicking a Graph

The following selections can be made when right -clicking the display graph:

  • Viewing Style
  • Border Style
  • Font Size
  • Numeric Precision
  • Plotting Method
  • Data Shadows
  • Grid Options
Viewing Style

Right-click the graph of interest and select Viewing Style.

Border Style

Right-click the graph of interest and select Border Style.

Font Size

Right-click the graph of interest and select Font Size.

Numeric Precision

Right-click the graph of interest and select Numeric Precision.

Plotting Method

Right-click the graph of interest and select Plotting Method.

Data Shadows

Right-click the graph of interest and select Data Shadows.

Grid Options

Right-click the graph of interest and select Grid Options.


Plot Tab

The Plot tab sets the appearance of the graph traces.

To edit the Plot Tab features, do one of two things:

  • Double-click the graph of interest, and select Plot.
  • Right-click the graph of interest, and select Plotting Method

The graph in both examples is the Constellation graph, as seen in the Main Title of the windows shown.

Double-click the graph of interest.

Right-click the graph of interest and select Plotting Method.


Subsets Tab

The Subsets Tab select the subsets to be displayed on the graph.

To edit the Subsets tab features, double-click the graph of interest, and select Subsets.

The graph in this example is the Constellation graph, as seen in the Main Title of the windows shown.

Double-click the graph of interest.

In this example the following subsets are available:

  • Ideal Symbols
  • HT Pilot Symbol - 0
  • HT Pilot Symbol - 1
  • HT Pilot Symbol
  • HT Data Symbol - 0
  • HT Data Symbol - 1
  • HT Data Symbol
  • Legacy Data Symbol
  • Legacy Data Symbol


Axis Tab

The Axis Tab is used to individually set the Axis format for:

  • Linearity or Logarithmic
  • Min and Max ranges

To edit the Axis Tab features, do one of two things:

  • Double-click the graph of interest, and select Axis.
  • Right-click the graph of interest, and select Grid Options

The graph in both examples is the Constellation graph, as seen in the Main Title of the windows shown.

Double-click the graph of interest and select the Axis tab.

Right-click the graph of interest and select Grid Options.


Font Tab

The Font customization tab allows you to change font attributes for the Main Title, Sub Title,and Subset/Point/Axis labels. Components require True-Type fonts, so non-True-Type fonts will not be displayed in this dialog.


Color Tab

Select this tab to select color schemes for graph backgrounds, foregrounds, and lines.


Style tab

This tab controls subset color, subset point style and subset line style characteristics.


Sweep Menu and Tool Bar

To start a Single or Continuous sweep, select the item from the Sweep menu, use the buttons in the Sweep tool bar, or use the buttons from the Instrument Control tab.

When in hardware mode, the Initialize Instruments and Optimize Setup buttons are active, as shown below.

______

Sweep menu: hardware mode | Sweep tool bar: hardware mode | Sweep menu: simulated mode | Sweep tool bar: simulated mode
Sweep menu (wimax/wlan) | Sweep Tool Bar | Sweep Menu - Simulated Mode | Sweep Tool Bar - Simulated Mode

______

To stop the sweep, click the Stop button on the tool bar, or select Stop Sweeping from the Sweep menu or the Stop Sweeping button from the Instrument Control tab. Shown below are both Simulation and Hardware modes.

______

Instrument Control tab - simulated mode | Instrument Control tab - hardware mode
Stop Sweep Button | Sweep Tool Bar - Hardware Mode

______

See also:

  • Instrument Control - Simulated Mode
  • Instrument Control - Hardware Mode


VSA Simulation

A simulator element is useful when instruments are not available to generate and analyze signals.

In the following screen capture, the 1x VSA Simulator element has been placed between the 802.11a,g signal source and the 802.11agj Analysis element. In this example the simulated signal can be compared with the signal generated by the instruments.

The VSA Simulator element is located in the Signal Analyzers toolbox group in the Toolbox pane.

VSA Simulator Element Setup Procedure

To use a simulator element:

  1. Open the Signal Analyzers area in the SignalMeister™ Toolbox pane.
  2. Drag and drop a VSA Simulator Element onto the worksheet. There are several default simulator elements available in the Toolbox that can be modified for your specific configuration, if needed.
  3. Connect the simulator element between a signal and an analysis window element as shown in the image above.
  4. Double-click the simulator element and set the AWGN level and number of ports as needed for your project.
  5. Double-click the analysis window element.
  6. Select Instrument Control in the Settings menu.
  7. Select the graphs, tables, and strip charts of interest in the Displays menu.
  8. Click either the Single Sweep, or Continuous Sweep button in the Instrument Control window.

The data will become visible in the selected graphs, tables, and strip charts in the analysis window element.

See Also:

  • VSA Simulation Overview
  • VSA Simulator Configuration Element


WLAN Signal Creation

A WLAN (wireless local area network) is a network in which two or more mobile users can connect to a local area network (LAN) through a wireless (radio) connection. WLAN utilizes spread-spectrum, (Orthogonal Frequency Division Multiplexing (OFDM)), modulation technology, based on radio waves to enable communication between devices in a limited area, also known as the basic service set. This gives users the mobility to move around within a broad coverage area and still be connected to the network. The IEEE 802.11 group of standards specify the technologies for wireless LANs. 802.11 standards use the Ethernet protocol and carrier sense multiple access with collision avoidance (CSMA/CA) for path sharing and include the Wired Equivalent Privacy (WEP) algorithm encryption method.

See Also:

  • WLAN signal configuration
  • WLAN signal analysis
  • Related WLAN standards


Related WLAN standards

The following table lists the related WLAN standards. For more information visit the IEEE website: http://standards.ieee.org/

______

Technical Specification | Title | Description
IEEE 802.11, 1999 Edition (ISO/IEC 8802-11: 1999) | IEEE Standards for Information Technology -- Telecommunications and Information Exchange between Systems -- Local and Metropolitan Area Network | Part 11: Wireless LAN Medium Access Control (MAC) and Physical Layer (PHY) Specifications
IEEE 802.11a-1999 | IEEE Standard for Information technology—Telecommunications and information exchange between systems—Local and metropolitan area networks | Part 11: Wireless LAN Medium Access Control (MAC) and Physical Layer (PHY) specifications—Amendment 1: High-speed Physical Layer in the 5 GHz band
IEEE 802.11b-1999 | IEEE Standard for Information technology—Telecommunications and information exchange between systems—Local and metropolitan area networks | Part 11: Wireless LAN Medium Access Control (MAC) and Physical Layer (PHY) specifications: Higher-Speed Physical Layer Extension in the 2.4 GHz Band
IEEE 802.11b-Cor.1-2001 | IEEE Standard for Information technology—Telecommunications and information exchange between systems—Local and metropolitan area networks | Part 11: Wireless LAN Medium Access Control (MAC) and Physical Layer (PHY) specifications Amendment 2: Higher-speed Physical Layer (PHY) extension in the 2.4 GHz band— Corrigendum 1
IEEE 802.11g-2003 | IEEE Standard for Information technology—Telecommunications and information exchange between systems—Local and metropolitan area networks | Part 11: Wireless LAN Medium Access Control (MAC) and Physical Layer (PHY) specifications Amendment 4: Further Higher Data Rate Extension in the 2.4 GHz Band
IEEE 802.11j | IEEE Standard for Information technology—Telecommunications and information exchange between systems—Local and metropolitan area networks | Part 11: Wireless LAN Medium Access Control (MAC) and Physical Layer (PHY) specifications Amendment 7: 4.9 GHz–5 GHz Operation in Japan
IEEE 802.11n | IEEE Standard for Information technology—Telecommunications and information exchange between systems—Local and metropolitan area networks |


WLAN Signal configuration

Refer to Waveform generation process overview to learn how to set up and generate a signal.

The WLAN configuration dialog windows provide the interface to set up waveforms that comply with the following standards:

  • 802.11a/g/j/p
  • 802.11b DSSS/CCK
  • 802.11n (MIMO)


802.11a/g/j Configuration

802.11a,g,j,p Configuration

802.11a/g/j Configuration window

Data Rate (Mbps)

Use the drop-down menu to select the desired data rate for the current 802.11a/b/g/j configuration.

The Data Rate selections available in the drop-down menu are determined by the Nominal Signal Bandwidth selected.

The table below shows the Nominal Signal Bandwidth and corresponding Data Rates.

Bandwidth (MHz) | Data Rate (Mbps)
5 MHz | 1.5 | 2.25 | 3 | 4.5 | 6 | 9 | 12 | 13.5
10 MHz (j/p) | 3 | 4.5 | 6 | 9 | 12 | 18 | 24 | 27
20 MHz (a/g) | 6 | 9 | 12 | 18 | 24 | 36 | 48 | 54
40 MHz (Turbo) | 12 | 18 | 24 | 36 | 48 | 72 | 96 | 108

Duty Cycle (%)

The duty cycle specifies the ratio of packet time to total waveform time (packet time plus idle time). For example, a duty cycle of 50% indicates the idle time is equal to the packet time.

NOTE: The Duty Cycle must be set low enough to ensure there is at least 8 µs of idle time between consecutive packets. Setting the duty cycle too high will result in a conflict error message informing you of the maximum permissible duty cycle.

Minimum value: 1%
Maximum value: 100%

Time Window Transition

To prevent abrupt changes from one OFDM symbol to the next, along with the undesirable spectral characteristics that result from those abrupt changes, time domain windowing can be applied to smooth the transition from one OFDM symbol to the next. Each OFDM symbol is cyclically extended beyond the normal symbol duration into the adjacent OFDM symbols by an amount equal to the time windowing transition period. A raised cosine windowing function is applied to the extended symbol providing a degree of controlled inter-symbol interference. When the resulting symbols overlap, this time-windowing transition period eliminates the abrupt changes and creates a signal with no apparent transition point.

Although the Time Window Transition improves the spectral characteristics of the signal, multi-path immunity is reduced, so the Time Window Transition value used should be just large enough to achieve the desired spectral mask.

Minimum value: 0.001 ns
Maximum value: 100.000 ns

Nominal Signal Bandwidth

Use the drop-down menu to set the Nominal Signal Bandwidth. The available choices are:

  • 10.0 MHz (j/p)
  • 20.0 MHz (a/g)
  • 40.0 MHz (Turbo)

The Nominal Signal Bandwidth parameter is coupled with the Data Rate parameter, in that selecting a particular bandwidth automatically determines the available data rate selections. For example, when selecting the 20 MHz Nominal Signal Bandwidth setting for an 802.11a/g configuration, the available Data Rate selections are from 6 Mbps to 54 Mbps. If selecting a 10 MHz Nominal Signal Bandwidth for an 802.11j configuration, the available Data Rate selections are from 3 Mbps to 27Mbps.

NOTE: Filtering Parameters are automatically set to an optimum value based on the Nominal Signal Bandwidth selection. You can edit these values as needed.

Scrambler Seed

Use this cell to set the initial scrambler seed value. The scrambler generates a repeating 127 bit sequence which is applied to the data. The sequence is always the same, but the Scrambler Seed selects the starting point in the sequence. By the 802.11 specification, the scrambler seed can be set to any number between 1 and 127.

Set the Scrambler Seed value to 0 to disable the data scrambler.

Minimum value: 1
Maximum value: 127

NOTE: Setting the Scrambler Seed value to 0 disables the scrambler allowing high power levels that may potentially cause problems with the analyzer resulting in high EVMs or other questionable measurements.

Increment Scrambler

Select to automatically increment the Scrambler Seed value by 1 at the beginning of the next frame.

Frames

Set the number of Frames available for each arbitrary waveform file.

Minimum value: 1
Maximum value: 65535
HorizontalRule

Filter Type

Use the drop-down menu to select the desired filter type. The available choices are:

  • Bartlett
  • Blackman
  • Hamming
  • Gaussian
  • Hann
  • SRC (Spectrally Raised Cosine)
  • SRRC (Spectrally Raised Root Cosine)

    NOTE: The subcarriers are automatically pre-weighted, such that the post-filtered subcarriers all have equal power. Therefore, the bandpass of the signal will appear unaffected by changing the various filter parameters. The out-of-band characteristics of the signal, however, will be impacted by changing the filter parameters.

Filter Cutoff

Highlight this cell and enter a value, or use the up and down arrows to select the desired filter cutoff frequency. The filter cutoff frequency is the low-pass, 6 dB cutoff frequency applied to the baseband signals. The equivalent RF bandpass filter has a bandwidth that is twice the low-pass cutoff frequency. The filter cutoff frequency defaults to the appropriate value as the Nominal Signal Bandwidth and Duplicate Mode settings are changed, unless manually set. Click [image] here to view a diagram showing the difference between the filter cutoff frequency and filter bandwidth.

Filter Cutoff Frequency Diagram

Minimum value: 0.5 MHz
Maximum value: 25.0 MHz

Filter Width

Use this cell to set the desired Filter Width, in nanoseconds.

Minimum value: 0.01 ns
Maximum value: 5000.00 ns

Filter Parameter

Highlight this cell and enter a value or use the up and down arrows to select the desired Filter Parameter. The Filter Parameter is available when the Filter Type selected is Spectrally Raised Cosine (SRC) or Spectrally Raised Root Cosine (SRRC).

Minimum value: 0.1
Maximum value: 1.00

Duplicate Mode

Select this check box to enable Duplicate Mode.

When this check box is selected, the OFDM packet is duplicated so that there are two identical signals transmitted at the same time. For example, with a 20 MHz bandwidth signal, the two duplicate signals are separated by 20 MHz with each of the signals located +/- 10 MHz from the carrier.

Configure PSDU (Physical Service Data Unit)

Select this button to open the 802.11 PSDU configuration dialog and configure the MAC header parameters and control field parameters.


802.11b DSSS/CCK Configuration

802.11b Configuration Dialog

Data Rate

Use the drop-down menu to select the desired data rate for the current 802.11a/b/g/j configuration. The available 802.11b data rates are:

  • 1 Mbps (DBPSK)
  • 2 Mbps (DQPSK)
  • 5.5 Mbps (CCK)
  • 11 Mbps (CCK)

Duty Cycle (%)

The duty cycle specifies the ratio of packet time to total waveform time (packet time plus idle time). For example, a duty cycle of 50% indicates the idle time is equal to the packet time.

NOTE: The Duty Cycle must be set low enough to ensure there is at least 8 µs of idle time between consecutive packets. Setting the duty cycle too high will result in a conflict error message informing you of the maximum permissible duty cycle.

Minimum value: 1%
Maximum value: 100%

Preamble

Use the drop-down menu to select the desired preamble length. The available choices are:

  • Short (96 µS)
  • Long (192 µS)

Frames

Set the number of Frames available for each arbitrary waveform file.

Minimum value: 1
Maximum value: 65535
HorizontalRule

Filter Type

Use the drop-down menu to select the desired filter type. The available choices are:

  • Bartlett
  • Blackman
  • Hamming
  • Gaussian
  • Hann
  • SRC (Spectrally Raised Cosine)
  • SRRC (Spectrally Raised Root Cosine)

    NOTE: The subcarriers are automatically pre-weighted, such that the post-filtered subcarriers all have equal power. Therefore, the bandpass of the signal will appear unaffected by changing the various filter parameters. The out-of-band characteristics of the signal, however, will be impacted by changing the filter parameters.

Filter Cutoff

Highlight this cell and enter a value, or use the up and down arrows to select the desired filter cutoff frequency. The filter cutoff frequency is the low-pass, 6 dB cutoff frequency applied to the baseband signals. The equivalent RF bandpass filter has a bandwidth that is twice the low-pass cutoff frequency. The filter cutoff frequency defaults to the appropriate value as the Nominal Signal Bandwidth and Duplicate Mode settings are changed, unless manually set. Click [image] here to view a diagram showing the difference between the filter cutoff frequency and filter bandwidth.

Filter Cutoff Frequency Diagram

Minimum value: 0.5 MHz
Maximum value: 25.0 MHz

Filter Width

Use this cell to set the desired Filter Width, in nanoseconds.

Minimum value: 0.01 ns
Maximum value: 5000.00 ns

Filter Parameter

Highlight this cell and enter a value or use the up and down arrows to select the desired Filter Parameter. The Filter Parameter is available when the Filter Type selected is Spectrally Raised Cosine (SRC) or Spectrally Raised Root Cosine (SRRC).

Minimum value: 0.1
Maximum value: 1.00

Configure PSDU (Physical Service Data Unit)

Select this button to open the 802.11 PSDU configuration dialog and configure the MAC header parameters and control field parameters.


802.11n Configuration

802.11n MIMO configuration dialog

MCS (Modulation and Coding Scheme)

Highlight this cell and enter a value, or use the up and down arrows to set the desired MCS index number.

The Modulation and Coding Scheme uses a range of index numbers that correspond to specific, rate dependent parameters used to determine the type of modulation and coding and the number of spatial channels applied to the signal.

The following tables show the MCS index numbers and corresponding rate dependent parameters for the HT modulation and coding schemes from the IEEE 802.11n standards:

Table 1 - MCS Index 0 to 7: 20 MHz Data Rate with 1 Spatial Stream and 1 FEC Encoder

Table 1 - Mandatory 20MHz Data Rate (Mbps) with 1 Spatial Stream and 1 FEC Encoder

MCS Index Number | Modulation Type | Code Rate | Coded Bits/Carrier | Number of Data Subcarriers | Number of Pilot Subcarriers | Coded Bits/OFDM Symbol | Data Bits/OFDM Symbol | Data Rate (Mbps)
 |  |  |  |  |  |  |  | 800ns GI | 400ns GI*
0 | BPSK | 1/2 | 1 | 52 | 4 | 52 | 26 | 6.5 | 7.2
1 | QPSK | 1/2 | 2 | 52 | 4 | 104 | 52 | 13.0 | 14.4
2 | QPSK | 3/4 | 2 | 52 | 4 | 104 | 78 | 19.5 | 21.7
3 | 16-QAM | 1/2 | 4 | 52 | 4 | 208 | 104 | 26.0 | 28.9
4 | 16-QAM | 3/4 | 4 | 52 | 4 | 208 | 156 | 39.0 | 43.3
5 | 64-QAM | 2/3 | 6 | 52 | 4 | 312 | 208 | 52.0 | 57.8
6 | 64-QAM | 3/4 | 6 | 52 | 4 | 312 | 234 | 58.5 | 65.0
7 | 64-QAM | 5/6 | 6 | 52 | 4 | 312 | 260 | 65.0 | 72.2
* 400ns Guard Interval (GI) support is optional on transmit and receive.

Table 2 - MCS Index 8 to 15: 20MHz Data Rate with 2 Spatial Streams and 1 FEC Encoder

Table 2 - Optional 20MHz Data Rate with 2 Spatial Streams and 1 FEC Encoder

______

MCS Index Number | Modulation Type | Code Rate | Coded Bits/Carrier | Number of Data Subcarriers | Number of Pilot Subcarriers | Coded Bits/OFDM Symbol | Data Bits/OFDM Symbol | Data Rate (Mbps)
 |  |  |  |  |  |  |  | 800ns GI | 400ns GI*
8 | BPSK | 1/2 | 1 | 52 | 4 | 104 | 52 | 13.0 | 14.444
9 | QPSK | 1/2 | 2 | 52 | 4 | 208 | 104 | 26.0 | 28.889
10 | QPSK | 3/4 | 2 | 52 | 4 | 208 | 156 | 39.0 | 43.333
11 | 16-QAM | 1/2 | 4 | 52 | 4 | 416 | 208 | 52.0 | 57.778
12 | 16-QAM | 3/4 | 4 | 52 | 4 | 416 | 312 | 78.0 | 86.667
13 | 64-QAM | 2/3 | 6 | 52 | 4 | 624 | 416 | 104.0 | 115.556
14 | 64-QAM | 3/4 | 6 | 52 | 4 | 624 | 468 | 117.0 | 130.000
15 | 64-QAM | 5/6 | 6 | 52 | 4 | 624 | 520 | 130.0 | 144.444
* 400ns Guard Interval (GI) support is optional on transmit and receive.

Table 3 - MCS Index 16 to 23: 20MHz Data Rate with 3 Spatial Streams and 1 FEC Encoder

Table 3 - Optional 20MHz Data Rate with 3 Spatial Streams and 1 FEC Encoder

______

MCS Index Number | Modulation Type | Code Rate | Coded Bits/Carrier | Number of Data Subcarriers | Number of Pilot Subcarriers | Coded Bits/OFDM Symbol | Data Bits/OFDM Symbol | Data Rate (Mbps)
 |  |  |  |  |  |  |  | 800ns GI | 400ns GI
16 | BPSK | 1/2 | 1 | 52 | 4 | 156 | 78 | 19.5 | 21.7
17 | QPSK | 1/2 | 2 | 52 | 4 | 312 | 156 | 39.0 | 43.3
18 | QPSK | 3/4 | 2 | 52 | 4 | 312 | 234 | 58.5 | 65.0
19 | 16-QAM | 1/2 | 4 | 52 | 4 | 624 | 312 | 78.0 | 86.7
20 | 16-QAM | 3/4 | 4 | 52 | 4 | 624 | 468 | 117.0 | 130.0
21 | 64-QAM | 2/3 | 6 | 52 | 4 | 936 | 624 | 156.0 | 173.3
22 | 64-QAM | 3/4 | 6 | 52 | 4 | 936 | 702 | 175.5 | 195.0
23 | 64-QAM | 5/6 | 6 | 52 | 4 | 936 | 780 | 195.0 | 216.7

Table 4 - MCS Index 24 to 31: 20MHz Data Rate with 3 Spatial Streams and 1 FEC Encoder

Table 4 - Optional 20MHz Data Rate with 4 Spatial Streams and 1 FEC Encoder

______

MCS Index Number | Modulation Type | Code Rate | Coded Bits/Carrier | Number of Data Subcarriers | Number of Pilot Subcarriers | Coded Bits/OFDM Symbol | Data Bits/OFDM Symbol | Data Rate (Mbps)
 |  |  |  |  |  |  |  | 800ns GI | 400ns GI
24 | BPSK | 1/2 | 1 | 52 | 4 | 208 | 104 | 26.0 | 28.9
25 | QPSK | 1/2 | 2 | 52 | 4 | 416 | 208 | 52.0 | 57.8
26 | QPSK | 3/4 | 2 | 52 | 4 | 416 | 312 | 78.0 | 86.7
27 | 16-QAM | 1/2 | 4 | 52 | 4 | 832 | 416 | 104.0 | 115.6
28 | 16-QAM | 3/4 | 4 | 52 | 4 | 832 | 624 | 156.0 | 173.3
29 | 64-QAM | 2/3 | 6 | 52 | 4 | 1248 | 832 | 208.0 | 231.1
30 | 64-QAM | 3/4 | 6 | 52 | 4 | 1248 | 936 | 234.0 | 260.0
31 | 64-QAM | 5/6 | 6 | 52 | 4 | 1248 | 1040 | 260.0 | 288.9

Table 5 - MCS Index 0 to 7: 40MHz Data Rate with 1 Spatial Stream and 1 FEC Encoder

Table 5 - Optional 40MHz Data Rate with 1 Spatial Stream and 1 FEC Encoder

______

MCS Index Number | Modulation Type | Code Rate | Coded Bits per Carrier | Number of Data Subcarriers | Number of Pilot Subcarriers | Coded Bits per OFDM Symbol | Data Bits per OFDM Symbol | Data Rate (Mbps)
 |  |  |  |  |  |  |  | 800ns GI | 400ns GI
0 | BPSK | 1/2 | 1 | 108 | 6 | 108 | 54 | 13.5 | 15.0
1 | QPSK | 1/2 | 2 | 108 | 6 | 216 | 108 | 27.0 | 30.0
2 | QPSK | 3/4 | 2 | 108 | 6 | 216 | 162 | 40.5 | 45.0
3 | 16-QAM | 1/2 | 4 | 108 | 6 | 432 | 216 | 54.0 | 60.0
4 | 16-QAM | 3/4 | 4 | 108 | 6 | 432 | 324 | 81.0 | 90.0
5 | 64-QAM | 2/3 | 6 | 108 | 6 | 648 | 432 | 108.0 | 120.0
6 | 64-QAM | 3/4 | 6 | 108 | 6 | 648 | 486 | 121.5 | 135.0
7 | 64-QAM | 5/6 | 6 | 108 | 6 | 648 | 540 | 135.0 | 150.0

Table 6 - MCS Index 8 to 15: 40MHz Data Rate with 2 Spatial Streams and 1 FEC Encoder

Table 6 - Optional 40MHz Data Rate with 2 Spatial Streams and 1 FEC Encoder

MCS Index Number | Modulation Type | Code Rate | Coded Bits per Carrier | Number of Data Subcarriers | Number of Pilot Subcarriers | Coded Bits per OFDM Symbol | Data Bits per OFDM Symbol | Data Rate (Mbps)
 |  |  |  |  |  |  |  | 800ns GI | 400ns GI
8 | BPSK | 1/2 | 1 | 108 | 6 | 216 | 108 | 27.0 | 30.0
9 | QPSK | 1/2 | 2 | 108 | 6 | 432 | 216 | 54.0 | 60.0
10 | QPSK | 3/4 | 2 | 108 | 6 | 432 | 324 | 81.0 | 90.0
11 | 16-QAM | 1/2 | 4 | 108 | 6 | 864 | 432 | 108.0 | 120.0
12 | 16-QAM | 3/4 | 4 | 108 | 6 | 864 | 648 | 162.0 | 180.0
13 | 64-QAM | 2/3 | 6 | 108 | 6 | 1296 | 864 | 216.0 | 240.0
14 | 64-QAM | 3/4 | 6 | 108 | 6 | 1296 | 972 | 243.0 | 270.0
15 | 64-QAM | 5/6 | 6 | 108 | 6 | 1296 | 1080 | 270.0 | 300.0

Table 7 - MCS Index 16 to 23: 40 MHz Data Rate with 3 Spatial Streams and 1 or 2 FEC Encoders

Table 7 - Optional 40MHz Data Rate with 3 Spatial Streams

______

MCS Index Number | Modulation Type | Code Rate | Coded Bits per Carrier | Number of Data Subcarriers | Number of Pilot Subcarriers | Coded Bits per OFDM Symbol | Data Bits per OFDM Symbol | Number of FEC Encoders | Data Rate (Mbps)
 |  |  |  |  |  |  |  |  | 800ns GI | 400ns GI
16 | BPSK | 1/2 | 1 | 108 | 6 | 324 | 162 | 1 | 40.5 | 45.0
17 | QPSK | 1/2 | 2 | 108 | 6 | 648 | 324 | 1 | 81.0 | 90.0
18 | QPSK | 3/4 | 2 | 108 | 6 | 648 | 486 | 1 | 121.5 | 135.0
19 | 16-QAM | 1/2 | 4 | 108 | 6 | 1296 | 648 | 1 | 162.0 | 180.0
20 | 16-QAM | 3/4 | 4 | 108 | 6 | 1296 | 972 | 1 | 243.0 | 270.0
21 | 64-QAM | 2/3 | 6 | 108 | 6 | 1944 | 1296 | 2 | 324.0 | 360.0
22 | 64-QAM | 3/4 | 6 | 108 | 6 | 1944 | 1458 | 2 | 364.5 | 405.0
23 | 64-QAM | 5/6 | 6 | 108 | 6 | 1944 | 1620 | 2 | 405.0 | 450.0

Table 8 - MCS Index 24 to 31: 40MHz Data Rate with 4 Spatial Streams and 1 or 2 FEC Encoders

Table 8 - Optional 40MHz Data Rate with 4 Spatial Streams and 1 or 2 FEC Encoders

______

MCS Index Number | Modulation Type | Code Rate | Coded Bits per Carrier | Number of Data Subcarriers | Number of Pilot Subcarriers | Coded Bits per OFDM Symbol | Data Bits per OFDM Symbol | Number of FEC Encoders | Data Rate (Mbps)
 |  |  |  |  |  |  |  |  | 800ns GI | 400ns GI
24 | BPSK | 1/2 | 1 | 108 | 6 | 432 | 216 | 1 | 54.0 | 60.0
25 | QPSK | 1/2 | 2 | 108 | 6 | 864 | 432 | 1 | 108.0 | 120.0
26 | QPSK | 3/4 | 2 | 108 | 6 | 864 | 648 | 1 | 162.0 | 180.0
27 | 16-QAM | 1/2 | 4 | 108 | 6 | 1728 | 864 | 1 | 216.0 | 240.0
28 | 16-QAM | 3/4 | 4 | 108 | 6 | 1728 | 1296 | 2 | 324.0 | 360.0
29 | 64-QAM | 2/3 | 6 | 108 | 6 | 2592 | 1728 | 2 | 432.0 | 480.0
30 | 64-QAM | 3/4 | 6 | 108 | 6 | 2592 | 1944 | 2 | 486.0 | 540.0
31 | 64-QAM | 5/6 | 6 | 108 | 6 | 2592 | 2160 | 2 | 540.0 | 600.0

Table 9 - MCS Index 32: 40MHz Data Rate, HT Duplicate Format

Table 9 - Optional 40MHz Data Rate, HT Duplicate Format

______

MCS Index Number | Modulation Type | Code Rate | Coded Bits per Carrier | Number of Data Subcarriers | Number of Pilot Subcarriers | Coded Bits per OFDM Symbol | Data Bits per OFDM Symbol | Number of FEC Encoders | Data Rate (Mbps)
 |  |  |  |  |  |  |  |  | 800ns GI | 400ns GI
32 | BPSK | 1/2 | 1 | 96 | 8 | 48 | 24 | 1 | 6.0 | 6.7

Table 10 - MCS Index 33 to 38: 20MHz Data Rate, 2 Spatial Streams with Different Modulation Types

Table 10 - Optional 20MHz Data Rate, 2 Spatial Streams with Different Modulation Types

______

MCS Index | Modulation Type |  | Code Rate | Ntbps | Number of Data Subcarriers | Number of Pilot Subcarriers | Coded Bits per OFDM Symbol | Data Bits per OFDM Symbol | Data Rate (Mbps)
 | Stream 1 | Stream 2 |  |  |  |  |  |  | 800 ns GI | 400 ns GI
33 | 16-QAM | QPSK | 1/2 | 6 | 52 | 4 | 312 | 156 | 39 | 43.3
34 | 64-QAM | QPSK | 1/2 | 8 | 52 | 4 | 416 | 208 | 52 | 57.8
35 | 64-QAM | 16-QAM | 1/2 | 10 | 52 | 4 | 520 | 260 | 65 | 72.2
36 | 16-QAM | QPSK | 3/4 | 6 | 52 | 4 | 312 | 234 | 58.5 | 65.0
37 | 64-QAM | QPSK | 3/4 | 8 | 52 | 4 | 416 | 312 | 78 | 86.7
38 | 64-QAM | 16-QAM | 3/4 | 10 | 52 | 4 | 520 | 390 | 97.5 | 108.3

Table 11 - MCS Index 39 to 52: 20MHz Data Rate, 3 Spatial Streams with Different Modulation Types

Table 11 - Optional 20MHz Data Rate, 3 Spatial Streams with Different Modulation Types

______

MCS Index | Modulation Type |  |  | Code Rate | Coded Bits per Carrier | Number of Data Subcarriers | Number of Pilot Subcarriers | Coded Bits per OFDM Symbol | Data Bits per OFDM Symbol | Number of FEC Encoders | Data Rate (Mbps)
 | Stream 1 | Stream 2 | Stream 3 |  |  |  |  |  |  |  | 800ns GI | 400ns GI
39 | 16-QAM | QPSK | QPSK | 1/2 | 8 | 52 | 4 | 416 | 208 | 1 | 52 | 57.8
40 | 16-QAM | 16-QAM | QPSK | 1/2 | 10 | 52 | 4 | 520 | 260 | 1 | 65 | 72.2
41 | 64-QAM | QPSK | QPSK | 1/2 | 10 | 52 | 4 | 520 | 260 | 1 | 65 | 72.2
42 | 64-QAM | 16-QAM | QPSK | 1/2 | 12 | 52 | 4 | 624 | 312 | 1 | 78 | 86.7
43 | 64-QAM | 16-QAM | 16-QAM | 1/2 | 14 | 52 | 4 | 728 | 364 | 1 | 91 | 101.1
44 | 64-QAM | 64-QAM | QPSK | 1/2 | 14 | 52 | 4 | 728 | 364 | 1 | 91 | 101.1
45 | 64-QAM | 64-QAM | 16-QAM | 1/2 | 16 | 52 | 4 | 832 | 416 | 1 | 104 | 115.6
46 | 16-QAM | QPSK | QPSK | 3/4 | 8 | 52 | 4 | 416 | 312 | 1 | 78 | 86.7
47 | 16-QAM | 16-QAM | QPSK | 3/4 | 10 | 52 | 4 | 520 | 390 | 1 | 97.5 | 108.3
48 | 64-QAM | QPSK | QPSK | 3/4 | 10 | 52 | 4 | 520 | 390 | 1 | 97.5 | 108.3
49 | 64-QAM | 16-QAM | QPSK | 3/4 | 12 | 52 | 4 | 624 | 468 | 1 | 117 | 130.0
50 | 64-QAM | 16-QAM | 16-QAM | 3/4 | 14 | 52 | 4 | 728 | 546 | 1 | 136.5 | 151.7
51 | 64-QAM | 64-QAM | QPSK | 3/4 | 14 | 52 | 4 | 728 | 546 | 1 | 136.5 | 151.7
52 | 64-QAM | 64-QAM | 16-QAM | 3/4 | 16 | 52 | 4 | 832 | 624 | 1 | 156 | 173.3

Table 12 - MCS Index 53 to 76: 20MHz Data Rate, 4 Spatial Streams with Different Modulation Types

Table 12 - Optional 20MHz Data Rate, 4 Spatial Streams with Different Modulation Types

______

MCS Index | Modulation Type |  |  |  | Code Rate | Coded Bits per Carrier | Number of Data Subcarriers | Number of Pilot Subcarriers | Coded Bits per OFDM Symbol | Data Bits per OFDM Symbol | Number of FEC Encoders | Data Rate (Mbps)
 | Stream 1 | Stream 2 | Stream 3 | Stream 4 |  |  |  |  |  |  |  | 800ns GI | 400ns GI
53 | 16-QAM | QPSK | QPSK | QPSK | 1/2 | 10 | 52 | 4 | 520 | 260 | 1 | 65 | 72.2
54 | 16-QAM | 16-QAM | QPSK | QPSK | 1/2 | 12 | 52 | 4 | 624 | 312 | 1 | 78 | 86.7
55 | 16-QAM | 16-QAM | 16-QAM | QPSK | 1/2 | 14 | 52 | 4 | 728 | 364 | 1 | 91 | 101.1
56 | 64-QAM | QPSK | QPSK | QPSK | 1/2 | 12 | 52 | 4 | 624 | 312 | 1 | 78 | 86.7
57 | 64-QAM | 16-QAM | QPSK | QPSK | 1/2 | 14 | 52 | 4 | 728 | 364 | 1 | 91 | 101.1
58 | 64-QAM | 16-QAM | 16-QAM | QPSK | 1/2 | 16 | 52 | 4 | 832 | 416 | 1 | 104 | 115.6
59 | 64-QAM | 16-QAM | 16-QAM | 16-QAM | 1/2 | 18 | 52 | 4 | 936 | 468 | 1 | 117 | 130.0
60 | 64-QAM | 64-QAM | QPSK | QPSK | 1/2 | 16 | 52 | 4 | 832 | 416 | 1 | 104 | 115.6
61 | 64-QAM | 64-QAM | 16-QAM | QPSK | 1/2 | 18 | 52 | 4 | 936 | 468 | 1 | 117 | 130.0
62 | 64-QAM | 64-QAM | 16-QAM | 16-QAM | 1/2 | 20 | 52 | 4 | 1040 | 520 | 1 | 130 | 144.4
63 | 64-QAM | 64-QAM | 64-QAM | QPSK | 1/2 | 20 | 52 | 4 | 1040 | 520 | 1 | 130 | 144.4
64 | 64-QAM | 64-QAM | 64-QAM | 16-QAM | 1/2 | 22 | 52 | 4 | 1144 | 572 | 1 | 143 | 158.9
65 | 16-QAM | QPSK | QPSK | QPSK | 3/4 | 10 | 52 | 4 | 520 | 390 | 1 | 97.5 | 108.3
66 | 16-QAM | 16-QAM | QPSK | QPSK | 3/4 | 12 | 52 | 4 | 624 | 468 | 1 | 117 | 130.0
67 | 16-QAM | 16-QAM | 16-QAM | QPSK | 3/4 | 14 | 52 | 4 | 728 | 546 | 1 | 136.5 | 151.7
68 | 64-QAM | QPSK | QPSK | QPSK | 3/4 | 12 | 52 | 4 | 624 | 468 | 1 | 117 | 130.0
69 | 64-QAM | 16-QAM | QPSK | QPSK | 3/4 | 14 | 52 | 4 | 728 | 546 | 1 | 136.5 | 151.7
70 | 64-QAM | 16-QAM | 16-QAM | QPSK | 3/4 | 16 | 52 | 4 | 832 | 624 | 1 | 156 | 173.3
71 | 64-QAM | 16-QAM | 16-QAM | 16-QAM | 3/4 | 18 | 52 | 4 | 936 | 702 | 1 | 175.5 | 195.0
72 | 64-QAM | 64-QAM | QPSK | QPSK | 3/4 | 16 | 52 | 4 | 832 | 624 | 1 | 156 | 173.3
73 | 64-QAM | 64-QAM | 16-QAM | QPSK | 3/4 | 18 | 52 | 4 | 936 | 702 | 1 | 175.5 | 195.0
74 | 64-QAM | 64-QAM | 16-QAM | 16-QAM | 3/4 | 20 | 52 | 4 | 1040 | 780 | 1 | 195 | 216.7
75 | 64-QAM | 64-QAM | 64-QAM | QPSK | 3/4 | 20 | 52 | 4 | 1040 | 780 | 1 | 195 | 216.7
76 | 64-QAM | 64-QAM | 64-QAM | 16-QAM | 3/4 | 22 | 52 | 4 | 1144 | 858 | 1 | 214.5 | 238.3

Table 13 - MCS Index 33 to 38: 40MHz Data Rate, 2 Spatial Streams with Different Modulation Types

Table 13 - Optional 40MHz Data Rate, 2 Spatial Streams with Different Modulation Types

______

MCS Index | Modulation Type |  | Code Rate | Ntbps | Number of Data Subcarriers | Number of Pilot Subcarriers | Coded Bits per OFDM Symbol | Data Bits per OFDM Symbol | Data Rate
 | Stream 1 | Stream 2 |  |  |  |  |  |  | 800ns GI | 400ns GI
33 | 16-QAM | QPSK | 1/2 | 6 | 108 | 6 | 648 | 324 | 81 | 90
34 | 64-QAM | QPSK | 1/2 | 8 | 108 | 6 | 864 | 432 | 108 | 120
35 | 64-QAM | 16-QAM | 1/2 | 10 | 108 | 6 | 1080 | 540 | 135 | 150
36 | 16-QAM | QPSK | 3/4 | 6 | 108 | 6 | 648 | 486 | 121.5 | 135
37 | 64-QAM | QPSK | 3/4 | 8 | 108 | 6 | 864 | 648 | 162 | 180
38 | 64-QAM | 16-QAM | 3/4 | 10 | 108 | 6 | 1080 | 810 | 202.5 | 225

Table 14 - MCS Index 39 to 52: 40MHz Data Rate, 3 Spatial Streams with Different Modulation Types

Table 14 - Optional 40MHz Data Rate, 3 Spatial Streams with Different Modulation Types

______

MCS Index | Modulation Type |  |  | Code Rate | Coded Bits per Carrier | Number of Data Subcarriers | Number of Pilot Subcarriers | Coded Bits per OFDM Symbol | Data Bits per OFDM Symbol | Number of FEC Encoders | Data Rate (Mbps)
 | Stream 1 | Stream 2 | Stream 3 |  |  |  |  |  |  |  | 800ns GI | 400ns GI
39 | 16-QAM | QPSK | QPSK | 1/2 | 8 | 108 | 6 | 864 | 432 | 1 | 108 | 120
40 | 16-QAM | 16-QAM | QPSK | 1/2 | 10 | 108 | 6 | 1080 | 540 | 1 | 135 | 150
41 | 64-QAM | QPSK | QPSK | 1/2 | 10 | 108 | 6 | 1080 | 540 | 1 | 135 | 150
42 | 64-QAM | 16-QAM | QPSK | 1/2 | 12 | 108 | 6 | 1296 | 648 | 1 | 162 | 180
43 | 64-QAM | 16-QAM | 16-QAM | 1/2 | 14 | 108 | 6 | 1512 | 756 | 1 | 189 | 210
44 | 64-QAM | 64-QAM | QPSK | 1/2 | 14 | 108 | 6 | 1512 | 756 | 1 | 189 | 210
45 | 64-QAM | 64-QAM | 16-QAM | 1/2 | 16 | 108 | 6 | 1728 | 864 | 1 | 216 | 240
46 | 16-QAM | QPSK | QPSK | 3/4 | 8 | 108 | 6 | 864 | 648 | 1 | 162 | 180
47 | 16-QAM | 16-QAM | QPSK | 3/4 | 10 | 108 | 6 | 1080 | 810 | 1 | 202.5 | 225
48 | 64-QAM | QPSK | QPSK | 3/4 | 10 | 108 | 6 | 1080 | 810 | 1 | 202.5 | 225
49 | 64-QAM | 16-QAM | QPSK | 3/4 | 12 | 108 | 6 | 1296 | 972 | 1 | 243 | 270
50 | 64-QAM | 16-QAM | 16-QAM | 3/4 | 14 | 108 | 6 | 1512 | 1134 | 1, 2* | 283.5 | 315
51 | 64-QAM | 64-QAM | QPSK | 3/4 | 14 | 108 | 6 | 1512 | 1134 | 1, 2* | 283.5 | 315
52 | 64-QAM | 64-QAM | 16-QAM | 3/4 | 16 | 108 | 6 | 1728 | 1296 | 2 | 324 | 360
* MCS index numbers 50 and 51 have 1 FEC encoder with the 800ns GI and 2 FEC encoders with the 400ns GI

Table 15 - MCS Index 53 to 76: 40MHz Data Rate, 4 Spatial Streams with Different Modulation Types

Table 15 - Optional 40MHz Data Rate, 4 Spatial Streams with Different Modulation Types

______

MCS Index | Modulation Type |  |  |  | Code Rate | Coded Bits per Carrier | Number of Data Subcarriers | Number of Pilot Subcarriers | Coded Bits per OFDM Symbol | Data Bits per OFDM Symbol | Number of FEC Encoders | Data Rate (Mbps)
 | Stream 1 | Stream 2 | Stream 3 | Stream 4 |  |  |  |  |  |  |  | 800ns GI | 400ns GI
53 | 16-QAM | QPSK | QPSK | QPSK | 1/2 | 10 | 108 | 6 | 1080 | 540 | 1 | 135 | 150
54 | 16-QAM | 16-QAM | QPSK | QPSK | 1/2 | 12 | 108 | 6 | 1296 | 648 | 1 | 162 | 180
55 | 16-QAM | 16-QAM | 16-QAM | QPSK | 1/2 | 14 | 108 | 6 | 1512 | 756 | 1 | 189 | 210
56 | 64-QAM | QPSK | QPSK | QPSK | 1/2 | 12 | 108 | 6 | 1296 | 648 | 1 | 162 | 180
57 | 64-QAM | 16-QAM | QPSK | QPSK | 1/2 | 14 | 108 | 6 | 1512 | 756 | 1 | 189 | 210
58 | 64-QAM | 16-QAM | 16-QAM | QPSK | 1/2 | 16 | 108 | 6 | 1728 | 864 | 1 | 216 | 240
59 | 64-QAM | 16-QAM | 16-QAM | 16-QAM | 1/2 | 18 | 108 | 6 | 1944 | 972 | 1 | 243 | 270
60 | 64-QAM | 64-QAM | QPSK | QPSK | 1/2 | 16 | 108 | 6 | 1728 | 864 | 1 | 216 | 240
61 | 64-QAM | 64-QAM | 16-QAM | QPSK | 1/2 | 18 | 108 | 6 | 1944 | 972 | 1 | 243 | 270
62 | 64-QAM | 64-QAM | 16-QAM | 16-QAM | 1/2 | 20 | 108 | 6 | 2160 | 1080 | 1 | 270 | 300
63 | 64-QAM | 64-QAM | 64-QAM | QPSK | 1/2 | 20 | 108 | 6 | 2160 | 1080 | 1 | 270 | 300
64 | 64-QAM | 64-QAM | 64-QAM | 16-QAM | 1/2 | 22 | 108 | 6 | 2376 | 1188 | 1* | 297 | 330
65 | 16-QAM | QPSK | QPSK | QPSK | 3/4 | 10 | 108 | 6 | 1080 | 810 | 1 | 202.5 | 225
66 | 16-QAM | 16-QAM | QPSK | QPSK | 3/4 | 12 | 108 | 6 | 1296 | 972 | 1 | 243 | 270
67 | 16-QAM | 16-QAM | 16-QAM | QPSK | 3/4 | 14 | 108 | 6 | 1512 | 1134 | 1* | 283.5 | 315
68 | 64-QAM | QPSK | QPSK | QPSK | 3/4 | 12 | 108 | 6 | 1296 | 972 | 1 | 243 | 270
69 | 64-QAM | 16-QAM | QPSK | QPSK | 3/4 | 14 | 108 | 6 | 1512 | 1134 | 1* | 283.5 | 315
70 | 64-QAM | 16-QAM | 16-QAM | QPSK | 3/4 | 16 | 108 | 6 | 1728 | 1296 | 2 | 324 | 360
71 | 64-QAM | 16-QAM | 16-QAM | 16-QAM | 3/4 | 18 | 108 | 6 | 1944 | 1458 | 2 | 364.5 | 405
72 | 64-QAM | 64-QAM | QPSK | QPSK | 3/4 | 16 | 108 | 6 | 1728 | 1296 | 2 | 324 | 360
73 | 64-QAM | 64-QAM | 16-QAM | QPSK | 3/4 | 18 | 108 | 6 | 1944 | 1458 | 2 | 364.5 | 405
74 | 64-QAM | 64-QAM | 16-QAM | 16-QAM | 3/4 | 20 | 108 | 6 | 2160 | 1620 | 2 | 405 | 450
75 | 64-QAM | 64-QAM | 64-QAM | QPSK | 3/4 | 20 | 108 | 6 | 2160 | 1620 | 2 | 405 | 450
76 | 64-QAM | 64-QAM | 64-QAM | 16-QAM | 3/4 | 22 | 108 | 6 | 2376 | 1782 | 2 | 445.5 | 495
* MCS index numbers 64, 67, and 69 have 1 FEC encoder with the 800ns GI and 2 FEC encoders with the 400ns GI

Duty Cycle (%)

The duty cycle specifies the ratio of packet time to total waveform time (packet time plus idle time). For example, a duty cycle of 50% indicates the idle time is equal to the packet time.

NOTE: The Duty Cycle must be set low enough to ensure there is at least 8 µs of idle time between consecutive packets. Setting the duty cycle too high will result in a conflict error message informing you of the maximum permissible duty cycle.

Minimum value: 1%
Maximum value: 100%

Time Window Transition

To prevent abrupt changes from one OFDM symbol to the next, along with the undesirable spectral characteristics that result from those abrupt changes, time domain windowing can be applied to smooth the transition from one OFDM symbol to the next. Each OFDM symbol is cyclically extended beyond the normal symbol duration into the adjacent OFDM symbols by an amount equal to the time windowing transition period. A raised cosine windowing function is applied to the extended symbol providing a degree of controlled inter-symbol interference. When the resulting symbols overlap, this time-windowing transition period eliminates the abrupt changes and creates a signal with no apparent transition point.

Although the Time Window Transition improves the spectral characteristics of the signal, multi-path immunity is reduced, so the Time Window Transition value used should be just large enough to achieve the desired spectral mask.

Minimum value: 0.001 ns
Maximum value: 100.000 ns

Scrambler Seed

Use this cell to set the initial scrambler seed value. The scrambler generates a repeating 127 bit sequence which is applied to the data. The sequence is always the same, but the Scrambler Seed selects the starting point in the sequence. By the 802.11 specification, the scrambler seed can be set to any number between 1 and 127.

Set the Scrambler Seed value to 0 to disable the data scrambler.

Minimum value: 1
Maximum value: 127

NOTE: Setting the Scrambler Seed value to 0 disables the scrambler allowing high power levels that may potentially cause problems with the analyzer resulting in high EVMs or other questionable measurements.

STBC Index

Highlight this cell and enter a value, or use the up and down arrows to select the STBC index.

The STBC Index specifies the degree of space time block coding (STBC). No STBC is applied if STBC Index is set to 0. STBC is applied to the first spatial stream if STBC index is set to 1. STBC is applied to the first 2 spatial streams if STBC index is set to 2.

The number of spatial streams plus the STBC Index corresponds to the number of space time streams which are the number of outputs on the 802.11n SignalMeisterÔ block. Because the number of space time streams is limited to 4 in the 802.11n standard, only certain MCS / STBC Index combinations are valid.

For 1 spatial stream (MCS 0 - 7 and 32), the STBC Index can be 0 or 1. For 2 spatial streams (MCS 8 - 15 and 33 to 38), the STBC Index can be 0, 1, or 2. For 3 spatial streams (MCS 16 - 23 and 39 to 52), the STBC Index can be 0 or 1. For 4 spatial streams (MCS 24 - 31 and 53 - 76), the STBC Index can only be 0.

Minimum value: 0
Maximum value: 2

Increment Scrambler

Select to automatically increment the Scrambler Seed value by 1 at the beginning of the next frame.

Frames

Set the number of Frames available for each arbitrary waveform file.

Minimum value: 1
Maximum value: 65535
HorizontalRule

Bandwidth Mode

Select the desired Bandwidth Mode. The available choices are:

  • 20 MHz
  • 40 MHz

Operating Mode

Select the desired operating mode:

  • Green Field
  • Mixed Mode (default)

Select Green Field mode for the network to ignore all earlier standards, and utilize only IEEE std 802.11n parameters.

Select Mixed Mode to include all earlier 802.11a,g,j parameters.

NOTE: The Agilent V2820A VSA does not support demodulation of the Green Filed operating mode at this time.

NOTE: The Green Field preamble is 12 µS shorter than Mixed Mode preamble.

Guard Interval

Select the desired Guard Interval. The available choices are:

  • 400 ns
  • 800 ns

To overcome inter-symbol interference resulting from multi-path, OFDM uses a Guard Interval in which a portion of the OFDM symbol is cyclically extended. The amount of cyclic extension beyond the fundamental OFDM FFT period is the Guard Interval. The 802.11n standard supports an 800 ns Guard Interval and an optional 400 ns Guard Interval.

NOTE: The Agilent V2820A VSA does not support demodulation of the 400 ns guard interval at this time.

Filter Type

Use the drop-down menu to select the desired filter type. The available choices are:

  • Bartlett
  • Blackman
  • Hamming
  • Gaussian
  • Hann
  • SRC (Spectrally Raised Cosine)
  • SRRC (Spectrally Raised Root Cosine)

    NOTE: The subcarriers are automatically pre-weighted, such that the post-filtered subcarriers all have equal power. Therefore, the bandpass of the signal will appear unaffected by changing the various filter parameters. The out-of-band characteristics of the signal, however, will be impacted by changing the filter parameters.

Filter Cutoff

Highlight this cell and enter a value, or use the up and down arrows to select the desired filter cutoff frequency. The filter cutoff frequency is the low-pass, 6 dB cutoff frequency applied to the baseband signals. The equivalent RF bandpass filter has a bandwidth that is twice the low-pass cutoff frequency. The filter cutoff frequency defaults to the appropriate value as the Nominal Signal Bandwidth and Duplicate Mode settings are changed, unless manually set. Click [image] here to view a diagram showing the difference between the filter cutoff frequency and filter bandwidth.

Filter Cutoff Frequency Diagram

Minimum value: 0.5 MHz
Maximum value: 25.0 MHz

Filter Width

Use this cell to set the desired Filter Width, in nanoseconds.

Minimum value: 0.01 ns
Maximum value: 5000.00 ns

Filter Parameter

Highlight this cell and enter a value or use the up and down arrows to select the desired Filter Parameter. The Filter Parameter is available when the Filter Type selected is Spectrally Raised Cosine (SRC) or Spectrally Raised Root Cosine (SRRC).

Minimum value: 0.1
Maximum value: 1.00

Configure PSDU (Physical Service Data Unit)

Select this button to open the 802.11 PSDU configuration dialog and configure the MAC header parameters and control field parameters.


802.11 PSDU Configuration

802.11 PSDU Configuration

  • Packet Aggregation (802.11n only)
  • MAC Header
  • Frame Control
  • Duration/ID
  • Address 1 to 4 (hex)
  • Sequence Control
  • Frame Control Field
  • Sequence Control Fields
  • Frame Body
  • FCS (Frame Control Sequence)

______

___

802.11n Packet Aggregation

Packet Aggregation check-box

______

NOTE: Packet Aggregation is applicable only to the 802.11n standard.

Packet Aggregation (enable/disable)

Select the the Packet Aggregation check-box to enable, or clear to disable, packet aggregation.

Packet aggregation is an important feature that combines a large number of data packets into one PSDU (Physical Service Data Unit), and when that PSDU is transmitted, an acknowledgement is returned specifying which packets were received correctly and which were not. Only the failed packets need to be retransmitted, resulting in a more efficient use of the transmitted data along with a higher data rate.

However, the total size of the PSDU is 65535 bytes (524280 bits). Since multiple packets are spread across one PSDU when packet aggregation is enabled, It is possible to specify frame bodies that would put the total aggregate size over the limit, and thus create an error displayed in the Status window. To correct this error condition, shorten the Frame Body lengths so the PSDU total size is £ 65535 bytes (524280 bits).

Number of MPDUs

Displays the number of MPDUs (MAC Protocol Data Unit).

Current MPDU

Use the up and down arrows to display the desired MPDU (MAC Protocol Data Unit).

Add MPDU

Select to add an MPDU (MAC Protocol Data Unit) to the setup.

Delete MPDU

Select to delete an MPDU (MAC Protocol Data Unit) from the setup.

MAC Header

MAC Header check-box

Select the check-box to enable, or clear to disable, the MAC Header.

Frame Control

Enter a hex value to set the Frame Control.

Duration/ID

Enter a hex value for the Duration / ID. The duration is the time allocated to send the frame and receive acknowledgement, and the ID is to set the Network Allocation Vector (NAV) or a short ID. This field is used by the station to get buffered information from the AP.

NOTE: When bit 15 is not set, the values in bits 0-14 are the remaining duration for this frame's exchange, and is used to update the NAV.

Address 1 to 4 (hex)

MAC Header Address 1 to 4

Select the Address check box to enable (clear to disable) the address location, then enter a hex value for the MAC header address (1 to 4). Depending upon the Frame Control Type and Subtype selected, the Address fields are automatically selected or grayed-out according to the 802.11 standard.

The MAC addresses are used to send and receive messages, and can include information related to:

  • Source Address (SA) - The MAC address of the station that originated the frame.
  • Destination Address (DA) - The MAC address of the destination or BSSID (Basic Service Set ID).
  • Transmitter Address (TA) - The MAC address of the station that transmitted the frame. This can be different from the SA, as an access point (AP) can distribute this frame.
  • Receiver Address (RA) - The MAC address of the station receiving this frame. This can be different from the destination address.

    NOTE: The MAC Address entered in any of the Address fields should correspond to the examples shown above. MAC Address 1 (123456789ABC) corresponds to this bit sequence: 01001000 00101100 01101010 00011110 01011001 00111101. MAC Address 2 (789ABCDEF123) corresponds to this bit sequence: 00011110 01011001 00111101 01111011 10001111 11000100. Each 16-bit word is transmitted in big-endian order, with the high-order byte at the lowest address and the most-significant-bit transmitted first.

Sequence Control

Enter a hex value for the MAC header sequence control. This value uses a 12-bit Sequence number plus a 4-bit fragment number that identifies and orders the fragments of an MSDU (MAC Service Data Unit).

Select the check box to enable or clear to disable sequence control. When sequence control is disabled, the field is grayed-out. This parameter is coupled with the Sequence Control Field.

Frame Control Field

Frame Control Field

The frame control field allows you to set the following parameters:

Protocol Version

Set this field to identify frames that are not compatible with the station.

Type

The WLAN PSDU Configuration dialog automatically enables and disables the appropriate Address fields (1 to 4) and the Sequence Control field based on the frame Type and Subtype currently selected. For example, in the Control Type and Request to Send (RTS) Subtype frame formats, the 802.11 standard specifies that Address 1 corresponds to the Receiver Address (RA), Address 2 corresponds to the Transmitter Address (TA) and there is no Sequence Control field. If the ACK frame format is selected in the WLAN PSDU Configuration, Address field 1 is enabled and specifies the RA, but Address fields 2-4 and the Sequence Control field are disabled since these fields are not applicable to the ACK frame.

Select a two-bit value from the drop-down menu, or enter the desired value, to set the Type. The available choices are:

  • Management (00)
  • Control (10)
  • Data (01)
  • Reserved (11)

Click [image] here to view the table of valid type and subtype combinations.

The following table provides the Type and Subtype combinations for the Frame Control Field as defined in IEEE Standard 802.11n:

Type value (b3, b2) | Type description | Subtype value (b7, b6, b5, b4) | Subtype description
00 | Management | 0000 | Association request
00 | Management | 0001 | Association response
00 | Management | 0010 | Re-association request
00 | Management | 0011 | Re-association response
00 | Management | 0100 | Probe request
00 | Management | 0101 | Probe response
00 | Management | 0110-0111 | Reserved
00 | Management | 1000 | Beacon
00 | Management | 1001 | Announcement traffic indication message (ATIM)
00 | Management | 1010 | Disassociation
00 | Management | 1011 | Authentication
00 | Management | 1100 | Deauthentication
00 | Management | 1101-1111 | Reserved
01 | Control | 0000-1001 | Reserved
01 | Control | 1010 | Power Save (PS)-Poll
01 | Control | 1011 | Request to send (RTS)
01 | Control | 1100 | Clear to send (CTS)
01 | Control | 1101 | Acknowledgement (ACK)
01 | Control | 1110 | Contention-Free (CF)-End
01 | Control | 1111 | CF-End+CF-Ack
10 | Data | 0000 | Data
10 | Data | 0001 | Data+CF-Ack
10 | Data | 0010 | Data+CF-Poll
10 | Data | 0011 | Data+CF-Ack+CF-Poll
10 | Data | 0100 | Null function (no data)
10 | Data | 0101 | CF-Ack (no data)
10 | Data | 0110 | CF-Poll (no data)
10 | Data | 0111 | CF-Ack+CF-Poll (no data)
10 | Data | 1000-1111 | Reserved
11 | Reserved | 0000-1111 | Reserved

The five possible address designations specified by the IEEE 802.11 standard for Address fields 1 – 4 are the:

  • Basic Service Set Identification (BSSID)
  • Destination Address (DA)
  • Source Address (SA)
  • Receiver Address (RA)
  • Transmitter Address (TA).

Subtype

Enter a four-bit value in the Subtype function as defined by one of types below:

  • Management Subtypes
  • Control Subtypes
  • Data Subtypes
  • Reserved

Each of the frames has several defined subtypes. Click [image] here to view the table of valid Type and Subtype combinations.

The following table provides the Type and Subtype combinations for the Frame Control Field as defined in IEEE Standard 802.11n:

Type value (b3, b2) | Type description | Subtype value (b7, b6, b5, b4) | Subtype description
00 | Management | 0000 | Association request
00 | Management | 0001 | Association response
00 | Management | 0010 | Re-association request
00 | Management | 0011 | Re-association response
00 | Management | 0100 | Probe request
00 | Management | 0101 | Probe response
00 | Management | 0110-0111 | Reserved
00 | Management | 1000 | Beacon
00 | Management | 1001 | Announcement traffic indication message (ATIM)
00 | Management | 1010 | Disassociation
00 | Management | 1011 | Authentication
00 | Management | 1100 | Deauthentication
00 | Management | 1101-1111 | Reserved
01 | Control | 0000-1001 | Reserved
01 | Control | 1010 | Power Save (PS)-Poll
01 | Control | 1011 | Request to send (RTS)
01 | Control | 1100 | Clear to send (CTS)
01 | Control | 1101 | Acknowledgement (ACK)
01 | Control | 1110 | Contention-Free (CF)-End
01 | Control | 1111 | CF-End+CF-Ack
10 | Data | 0000 | Data
10 | Data | 0001 | Data+CF-Ack
10 | Data | 0010 | Data+CF-Poll
10 | Data | 0011 | Data+CF-Ack+CF-Poll
10 | Data | 0100 | Null function (no data)
10 | Data | 0101 | CF-Ack (no data)
10 | Data | 0110 | CF-Poll (no data)
10 | Data | 0111 | CF-Ack+CF-Poll (no data)
10 | Data | 1000-1111 | Reserved
11 | Reserved | 0000-1111 | Reserved

Management Subtypes

For the Management Type frames, the Destination Address (DA) is specified in Address 1, Source Address (SA) is specified in Address 2, BSSID is specified in Address 3, and the Sequence Control field is enabled. The Subtype menu selections are described below.

NOTE: Address field 4 is not applicable to the Management frames.

Announcement traffic indication message (ATIM)

Subtype value: 1001

ATIM is a message type used to notify peers of pending data transfers in an ad-hoc wireless 802.11 network.

Beacon

Subtype value: 1000

The beacon is a periodic frame serves as some sort of "keep-alive" frame. This used to locate and identify the BSS. This frame includes the fields: timestamp, beacon interval and capability information.

The information elements are the SSID, the supported rates, physical parameter sets, IBSS parameter set (optional) and an indicator map (optional).

Probe Request

Subtype value: 0100

When a station wants to connect to a WLAN (a particular one or not), it sends a probe request. This frame holds an SSID (if the station is requesting a particular BSS) and the supported rates.

Probe Response

Subtype value: 0101

If there is a BSS that can answer, a probe response is sent to that station, holding almost all the information like in a beacon. If the BSS is an infrastructure BSS, the AP sends the response and if this network is an IBSS ? the station that sent the last beacon responds.

Authentication

Subtype value: 1011

The authentication frames are sent by any stations joining the network to verify their identity. These frames hold only the challenge text.

De-authentication

Subtype value: 1100

A frame sent by a station wishing to terminate its authentication session. This frame holds one information element, the reason code.

Association Request

Subtype value: 0000

Association request is sent by a station wishes to be associated with a BSS. This request holds the SSID and the supported rates of the requesting station.

Association Response

Subtype value: 0001

The association response is sent by the AP after the request was approved, and holds the capability information, the status code and a unique ID for this association.

Re-association Request

Subtype value: 0010

This frame is used by stations already associated with a BSS, which moved to a BSS with the same SSID. This is common in ESS networks, when a station migrates from one AP to another. This request holds the same information as the association request.

Re-association Response:

Subtype value: 0011

The re-association response frame is identical to the association response frame.

Disassociation

Subtype value: 1010

This frame is used when a station wishes to terminate its association session. IT contains only the reason code.

Reserved

The following Subtype values are reserved for future use:

  • 0110-0111
  • 1101-1111

Control Subtypes

Control Subtype field

For the Control Type frames, the table below specifies which address fields are valid and what they specify. The Sequence Control field is not active with Control frames. The menu selections are described below.

______

Frame Type | Frame Subtype | Address 1 | Address 2 | Address 3 | Address 4
Control | Power-Save Poll (PS-Poll) | BSSID | TA | n/a | n/a
Control | Request to Send (RTS) | RA | TA | n/a | n/a
Control | Clear to Send (CTS) | RA | n/a | n/a | n/a
Control | Acknowledgement (ACK) | RA | n/a | n/a | n/a
Control | Contention-Free End (CF-End) | RA | BSSID | n/a | n/a
Control | CF-End + CF-Ack | RA | BSSID | n/a | n/a

______

Power Save - Poll (PS-Poll)

Subtype value: 0101

This frame is used by stations that were in a power-save mode while another tried to send data to them. The data is buffered by the AP, and when the station wakes-up, it sends this frame, requesting its buffered frames.

RTS

Subtype value: 1101

The request to send (RTS) frame is the first of the four-way handshake process. It is used to transmit the duration of the frame exchange to stations in the neighborhood, so that those stations will update their NAV and will not transmit during that time.

CTS

Subtype value: 0011

This frame is the second of the four-way handshake process. Like the RTS, it is used to inform nearby stations about the duration in which the media is used. Since the CTS is the response for RTS it is sent by the receiving station which is located at a different place from the sender station, thus the range of stations that will hear the message and will update their NAV grows.

ACK

Subtype value: 1011

This frame is the fourth in the four-way handshake process. It is sent from the receiver to the sender to verify the frame was accepted. This helps avoiding unnecessary retransmissions of frames.

Contention-Free End (CF-End)

Subtype value: 0111

When the contention-free period ends, the access point transmits a CF-End frame to release stations from the PCF access rules and begin contention-based service.

CF-End + CF-ACK

Subtype value: 1111

This frame combines both the CF-End and CF-ACK functions and simultaneously ends the contention-free period and acknowledges the previous frame.

Data Subtypes

Data Frame Control Field

For the Data Type frames, the Sequence Control field is always included. Address fields 1 to 4 are populated according to the To DS and From DS bits as shown in the table below. The To DS and From DS bits immediately follow the Type and Subtype fields in the Frame Control Field.

_____

To DS | From DS | Address 1 | Address 2 | Address 3 | Address 4
0 | 0 | DA | SA | BSSID | n/a
0 | 1 | DA | BSSID | SA | n/a
1 | 0 | BSSIS | SA | DA | n/a
1 | 1 | RA | TA | DA | SA

______

Data

Subtype value: 0000

Frames of the Data subtype are transmitted only during the contention-based access periods. They are simple frames with the sole purpose of moving the frame body from one station to another.

Data+CF-ACK

Subtype value: 1000

The Data+CF-Ack frame combines two different functions for transmission efficiency. Data is transmitted in the frame payload, and the frame implicitly acknowledges the receipt of data received one short interframe space previously. Generally, the data and the acknowledgment are intended for two separate stations.

This frame is used only in infrastructure networks because it is transmitted during the contention-free period. It may be transmitted by either the access point or a mobile station. During the contention-free period, however, the access point is responsible for polling, and it is unlikely that it would transmit this frame subtype because it does not include a poll.

Data+CF-Poll

Subtype value: 0100

The Data+CF-Poll frame is used by access points in infrastructure networks during the contention-free period. When the access point does not need to acknowledge any outstanding frames, it sends a Data+CF-Poll to transmit data to the recipient and allows the recipient to send one buffered frame in response. The data in the frame body must be intended for the recipient of the poll; the two operations cannot be "split" across two different receivers.

Data+CF-ACK/CF-Poll

Subtype value: 1100

The Data+CF-Ack+CF-Poll frame is used by access points in infrastructure networks during the contention-free period. When the access point has data to transmit, must acknowledge a frame, and needs to poll a station on the polling list, all the functions can be combined into one frame. As with Data+CF-Ack, the components of the Data+CF-Ack+CF-Poll frame are generally intended for different stations. The data transmission and polling must be intended for the same station, but the acknowledgment is for the previous transmission.

Null

Subtype value:0010

Null frames consist of a MAC header followed by the FCS trailer. In a traditional Ethernet, empty frames would be extraneous overhead; in 802. 11 networks, they are used by mobile stations to inform the access point of changes in power-saving status. When stations enter power saving mode, the access point must begin buffering frames for the station at rest. If the mobile station has no data to send through the distribution system, it can use a Null frame with the Power Management bit in the Frame Control field set.

NOTE: Access points never enter power-saving mode and do not transmit Null frames.

CF-ACK

Subtype value: 1010

When only an acknowledgment is required, a header-only frame with just the CF-Ack function can be transmitted. In Figure 9-4, if MS2 had no data to transmit, it would have responded with a CF-Ack frame.

CF-Poll

Subtype value: 0110

CF-Poll can also be transmitted by itself. Naturally, only access points perform this function, so the CF-Poll frame is transmitted only by access points in infrastructure networks during the contention-free period.

"Naked" CF-Polls are transmitted when the access point has no buffered data for the recipient and does not need to acknowledge the receipt of previous frames. One common situation in which no acknowledgment is necessary is when the access point transmits a CF-Poll and the polled station has no data and does not respond. If the access point has no data for the next station on the polling list, it transmits a CF-Poll.

CF-ACK+CF-Poll

Subtype value: 1110

The final subtype of Data frame is the CF-Ack+CF-Poll, which is also transmitted by access points. Like all CF-Poll frames, it is used only during the contention-free period and only by access points. It incorporates the acknowledgment function and the polling function into a frame with no data.

To DS (Distribution System)

The To DS field is one bit in length. A value of 1 indicates that the data type frames are going to the Distribution System. This includes all data type frames sent by STAs associated with an AP (access point). In all other cases it is set to 0.

The table below shows the valid combinations for To DS and From DS fields.

From DS (Distribution System)

The From DS field is one bit in length. A value of 1 indicates that the frame is coming from, or exists in, the Distribution System. In all other cases it is set to 0.

For the Data Type frames, the Sequence Control field is always included. Address fields 1 -4 are populated according to the To DS and From DS bits as shown in the table below. The To DS and From DS bits immediately follow the Type and Subtype fields in the Frame Control Field.

_____

To DS | From DS | Address 1 | Address 2 | Address 3 | Address 4
0 | 0 | DA | SA | BSSID | n/a
0 | 1 | DA | BSSID | SA | n/a
1 | 0 | BSSIS | SA | DA | n/a
1 | 1 | RA | TA | DA | SA

______

More Fragments

The More Fragments field is one bit in length. It is set to a value of 1 in all data or management type frames that have another fragment of the current MSDU (MAC service data unit) or current MMPDU (MAC management protocol data) to follow.

Retry

A value of 1 in this cell indicates that the previous frame is being sent as a re-transmission.

Power Management

A value of 1 in this cell indicates that the sending station is in power save mode.

More Data

A value of 1 in this cell indicates that the (AP) access point has at least one more frame for the intended destination.

WEP

A value of 1 in this cell indicates that the frame body is encrypted using WEP (Wired Equivalent Privacy) encryption.

Order

A value of 1 indicates that strict ordering is enabled.

Back to top

Sequence Control Field

Sequence Control Fields

The Sequence Control Field of each MAC header is a hexadecimal field allowing the station to avoid duplicate frames. This field has two sub-fields:

  • Fragment number (Frag.)
  • Sequence number (Seq.)

See also:

Sequence Control

Fragment number (Frag.)

Minimum value: 0
Maximum value: 15

The Fragment Number is a hexadecimal field representing the place of this frame-fragment in the complete MSDU. This number starts with 0, and if the MSDU is fragmented and has more frames, they are assigned with incrementing indices.

Sequence number (Seq.)

Minimum value: 0
Maximum value: 4095

The Sequence Number field is a hexadecimal number representing the MSDU. If that MSDU is fragmented, each frame should have the same sequence number.

Frame Body

Frame Body check-box

Select the Frame Body check box to enable, or clear to disable, the frame body, which is the actual payload MSDU (MAC Service Data Unit). Select the Edit button to open the Standard Data Source dialog that allows you to define the payload data and length.

If Packet Aggregation is selected and the total size of the frame body length exceeds 65535 bytes (524280 bits), an error is displayed in the Status window. To correct this error, reduce the aggregate size to £ 65535 bytes.

Edit (Configure Data Source)

Select this button to open the Standard Data Source dialog. The data source of the frame can contain the following data:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Hex Value
  • Value Sequence
  • User File
  • PN9
  • PN9 ITU
  • PN15
  • PN23

For more information about configuring the available data sources, refer to Standard Data Source.

Length (Bytes)

This is a read-only display that shows the length (in bytes) of the payload set using the Standard Data Source dialog. Even though you can set this value in Bits from the Standard Data Source dialog, the value is automatically converted and displayed in Bytes.

FCS

Select this check-box to enable or clear to disable the FCS (Frame Control Sequence), which is a 32-bit CRC (Cyclic Redundancy Counter) code.

Increment Sequence Every n Frames

Enter a value to increment the frame sequence every n number of frames, where n is a value from 0 to 1024. WLAN functionality allows you to generate up to 1024 frames per arbitrary waveform, and you can spread the PN sequence and MAC header information across each frame.

Minimum value: 0
Maximum value: 1024

Increment Fragment Every n Frames

Enter a value to increment the fragment sequence every n number of frames, where n is a value from 0 to 1024. WLAN functionality allows you to generate up to 1024 frames per arbitrary waveform, and you can spread the PN sequence and MAC header information across each frame.

Minimum value: 0
Maximum value: 1024


WLAN Signal Analysis

The WLAN Analysis element allows you to analyze and display digital RF waveforms within the SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit based on the following standards:

  • 802.11 a,g,j,p
  • 802.11 b
  • 802.11 n

_____
See Also:

  • WLAN signal creation
  • Related WLAN standards


Analysis Window Overview

Each Analysis element can be selected from the WLAN Toolbox, then dragged and dropped onto the Projects worksheet. Once the Analysis element is on the project worksheet, it can be connected to other elements to make measurements.

In the project example below, the signal being analyzed is an 802.11a,g 54 Mbps element connected to an Arb File, that is connected to a 2900 VSG signal generator element. The signal produced by the signal generator is cabled into the RF input of a 2800 VSA signal analyzer. As seen in the figure below, the 802.11agj Analysis element that was dragged and dropped onto the Projects worksheet, is now connected to the 2800 VSA Signal Analyzer.

Double-clicking the 802.11agj Analysis element on the project worksheet opens the SignalMeister™ Analysis element. Once it is open, the signals and measurements can be controlled by the menu selections in the Analysis Window.

______

Hint: If you have multiple windows open and cannot find Analysis element dialog(s) that are "buried" behind the other open windows, you can either double-click the icon on the project worksheet, or right-click the icon then select Edit Element Configuration from the popup menu, to bring the open windows to the foreground.

______

______

NOTE: If you are using, for example, 4x4 hardware and only want to make a 2x2 measurement, it is necessary to use the 2800 Nx MIMO and the 4x Analysis elements. Double-click the 4x MIMO element to open the Element Configuration dialog box. In the VISA Resource tab, clear the Active check boxes for Instrument 3 and Instrument 4.

______

See also:

  • Analysis Window menus (WLAN)
  • WLAN Analysis Tutorials
  • VSA Simulation


WLAN Analysis menus

802.11n SISO Analysis Window (default)

The default view of the WLAN Analysis Window is shown here, with the Settings tab, Instrument Control tab, Parameters Table tab and Constellation tab displayed. There are several menus available in the menu bar. Follow the links below to learn more about:

  • View menu
  • Settings menu
  • Displays menu
  • Sweep menu


Displays Menu

WLAN Analysis Displays menu

In the Displays menu, select from any of the following to learn about the individual displays available:

  • Decoded Data Table
  • Error Rate Test
  • Graphs and Strip Charts - 802.11agjp
  • Graphs and Strip Charts - 802.11b
  • Graphs and Strip Charts - 802.11n
  • Parameters Table - 802.11agjp
  • Parameters Table - 802.11b
  • Parameters Table - 802.11n
  • Print/Copy/Save Displays


Decoded Data Table

The Decoded Data Table displays the decoded bits of the WLAN data stream. To fill the table with data, the Decode Packet check-box must be selected for 802.11a,g,j,p and 802.11n configurations. For 802.11b the Decode Packet function is always enabled.

______

NOTE: The decoded bits fill the Decoded Data Table on the sweep(s) taken after the Decode Data check-box is selected, with the number of total bits in that bit stream appended to the beginning of the bit sequence, followed by a comma ",".

______

WLAN Decoded Bits Table

See also:

  • Decode Packet
  • Maximum Length in Chips


Graphs and Strip Charts - 802.11a,g,j,p

Select from the following to learn more:

Graphs

  • Constellation
  • CCDF
  • EVM vs. Subcarrier
  • EVM vs. Symbol
  • Packet Frequency Variation
  • Packet Phase Variation
  • Preamble Frequency Variation
  • Spectrum Emissions Mask
  • Subcarrier Flatness
  • Waveform Amplitude
  • Waveform I/Q

Strip Charts

  • Error Rates
  • Data Rate
  • Packet Length
  • Number of Symbols
  • Frequency Offset
  • RMS EVM
  • Pass Subcarrier Flatness
  • Packet Power
  • SEM Pass/Fail
  • Worst Case Carrier Leakage

802.11agjp Parameter Table

  • 802.11agjp Parameters


Graph: Constellation

A constellation diagram is a representation of a signal modulated by a digital modulation scheme such as quadrature amplitude modulation. It displays the signal as a two-dimensional scatter diagram in the complex plane at symbol sampling instants. The diagram represents the possible symbols that may be selected by a given modulation scheme as points in the complex plane. You can use measured constellation diagrams to recognize the type of interference and distortion in a signal.

In addition to viewing the data symbols and their constellation positions, this display shows the demodulated positions of the signal field and pilot symbols in the I/Q plane. For a QPSK constellation, these values appear on the same graph.

In the example below, the EVM plot allows you to compare constellations for each stream:

  • The size of the cluster shows the noise present.
  • The offset shows the IQ imbalance.
  • The circle shows the phase noise.

For example, if each blue constellation point had a circular formation, then the Tx1 would have a phase problem.

To change the controls of this graph, see Customization window.

______

See Also:

  • Constellation Display (802.11n)
  • Constellation Display (802.11b)


Graph: CCDF

The CCDF display shows the complimentary cumulative distribution function (CCDF), which is the probability of observing a power less than or equal to a given peak to average ratio (PAR) for the packet.

An orthogonal frequency-division multiplexing (OFDM) system tends to have a large PAR because the time domain waveform is the sum of many individual OFDM channels, each independent of the other. In any OFDM system, a common form of distortion occurs when the transmitter "clips" the largest peaks in the transmitted waveform (as observed as a function of time). To allow you to observe how well a transmitter is following the peaks of a signal, the CCDF measurement computes the probability of observing a time sample that has a power greater than a specific PAR value.

  • At low PAR values, the probability of observing a greater power is high.
  • At high PAR values, the probability of observing a greater power is low.

To change the controls of this graph, see Customization window


Graph: EVM vs. Symbol

A transmitter may exhibit degraded performance at either the beginning or end of the packet. The EVM vs Symbol graph helps identify these problems by showing the aggregate error vector magnitude (EVM) measured for each orthogonal frequency-division multiplexing (OFDM) symbol as a function of time for each data stream.

  • A transmitter that has turn-on transients will tend to have poor EVM on the symbols at the beginning of the packet.
  • A transmitter that is unable to maintain the transmit frequency and power over the duration of the packet will tend to have poor EVM on the symbols at the end of the packet.

To change the controls of this graph, see Customization window


Graph: Packet Frequency Variation

The Packet Frequency Variation display shows the symbol-to-symbol frequency variation information that occurs during the data portion of the packet. Each sample point specifies the observed frequency offset per orthogonal frequency-division multiplexing (OFDM) symbol.

To change the controls of this graph, see Customization window.


Graph: Packet Phase Variation

The Packet Phase Variation graph shows the symbol-to-phase variation of the short training sequence symbols in the WLAN preamble. Because these symbols are critical for the power and frequency acquisition of the signal, any variation must be closely monitored.

To change the controls of this graph, see Customization window.

LTE FDD DL Analysis Packet Phase Variation


Graph: Preamble Frequency Variation

The Preamble Frequency Variation display shows the symbol-to-symbol frequency variation of the short training sequence symbols in the WLAN preamble. Because these symbols are critical for the power and frequency acquisition of the signal, any variation must be closely monitored.

To change the controls of this graph, see Customization window.


Graph: Subcarrier Flatness

A WLAN transmitter is expected to apply the same amount of power to each subcarrier used in the channel. In practice, the subcarriers at the edges of the channel tend to get low levels of power. The 802.11n draft 2.0 standard specifies how much the power is allowed to degrade for the various subcarriers in the form of a flatness mask. The Subcarrier Flatness graph shows both the measured value and the mask. Each subcarrier is labeled by number. The number can be converted to frequency by multiplying it by 312.5 kHz, which is the WLAN carrier spacing.

Subcarrier flatness is displayed with the relative power/subcarrier shown, as defined in the IEEE specification. The upper and lower limit lines are displayed so you can quickly determine if any subcarrier flatness violations occur. This displayed measurement specifies if the signal is compliant with the IEEE subcarrier flatness test.

To change the controls of this graph, see Customization window.


Graph: Waveform Amplitude

To change the controls of this graph, see Customization window. Note that the Start and End indicators show the portion of the waveform that is analyzed.


Graph: I/Q Waveform

To change the controls of this graph, see Customization window. Note that the Start and End indicators show the portion of the waveform that is analyzed.


Strip Chart: Data Rate

To change the controls of this graph, see Customization window


Strip Chart: Packet Length

This displays, in bytes, the length of a demodulated burst or packet. To change the controls of this graph, see Customization window.


Strip Chart: Number of Symbols

The number of orthogonal frequency-division multiplexing (OFDM) symbols of a demodulated burst or packet.

To change the controls of this graph, see Customization window.


Strip Chart: Frequency Offset

The frequency offset is determined by the <Series VSA> VSA (implemented in the Menu > Global Settings > Carrier Offsets dialog, or with the [:SENSE]:FREQuency:OFFSet command).

To change the controls of this graph, see Customization window.


Strip Chart: RMS EVM

This measurement returns the average root-mean-square (RMS) error vector magnitude (EVM) for the packet, measured over all of the orthogonal frequency-division multiplexing (OFDM) symbols and subcarriers. SignalMeister™ calculates the difference between each observed symbol and the most likely ideal symbol value, forming an error vector. SignalMeister™ accumulates the magnitudes of the error vectors in the RMS method. The EVM is expressed in dB. The dB value can be converted to a percentage by raising ten to the power of the EVM in dB divided by 20. The EVM is also known as the "constellation error."

NOTE: EVM can be displayed in dB or percent. In the WLAN Settings menu, select the Show EVM in dB check box for dB, or clear for percent.

To change the controls of this graph, see Customization window.


Strip Chart: Packet Power

The packet power is the average power of the packet for each of the paths. Note that there is a separate trace for each channel (path).

To change the controls of this graph, see Customization window


Strip Chart: Worst Case Carrier Leakage

The unwanted transfer of power at the carrier frequency to the information signal is called carrier leakage. This value is reported separately for each antenna and is expressed in dB as relative (dBr) to the average power in the rest of the channels.

Carrier leakage that is less than or equal to +2 dBr is in compliance with the standard. The orthogonal frequency-division multiplexing (OFDM) signals used in WLAN are required to avoid this carrier distortion because it corrupts channels near the carrier frequency.

To change the controls of this graph, see Customization window.


Parameters Table - 802.11a,g,j,p

The Parameters Table displays the sweep results, as shown in the illustration below. During a continuous sweep, the display is updated every N sweeps, where N is the number of sweeps set with the Average table over N sweeps parameter. The measurement results include Minimum, Maximum, Average and Last values, where applicable.

______

NOTE: The measurement results taken in the Last (final) sweep are displayed in the column labeled Value.

______

See Average table over N sweeps for information about how the average value is computed.

See Results Capture for information about saving this data.

______

802.11agj Parameters Table


Graphs and Strip Charts - 802.11b

Select from the following to learn more:

Graphs

  • Constellation
  • EVM vs. Symbol
  • Packet Power Variation
  • Packet Frequency Variation
  • Ramp On Transient
  • Ramp Off Transient
  • Spectrum Emissions Mask

I/Q Graphs

  • Waveform Amplitude
  • I/Q Waveform
  • I Eye Diagram
  • Q Eye Diagram

Strip Charts

  • Error Rates
  • Data Rate
  • Packet Length
  • Number of Symbols
  • Frequency Offset
  • RMS EVM
  • Packet Power
  • Worst Case Carrier Leakage
  • Maximum EVM To change the controls of this graph, see Customization window
  • Ramp On Time
  • Ramp Off Time
  • SEM Pass/Fail

802.11b Parameter Table

  • 802.11b Parameters Table


Graph: Constellation

See Also:

  • Constellation Display (802.11n)
  • Constellation Display (802.11a/g/j)

A constellation diagram is a representation of a signal modulated by a digital modulation scheme such as quadrature amplitude modulation. It displays the signal as a two-dimensional scatter diagram in the complex plane at symbol sampling instants. The diagram represents the possible symbols that may be selected by a given modulation scheme as points in the complex plane. You can use measured constellation diagrams to recognize the type of interference and distortion in a signal.

In addition to viewing the data symbols and their constellation positions, this display shows the demodulated positions of the signal field and pilot symbols in the I/Q plane. For a QPSK constellation, these values appear on the same graph.

In the example below, the EVM plot allows you to compare constellations for each stream:

  • The size of the cluster shows the noise present.
  • The offset shows the IQ imbalance.
  • The circle shows the phase noise.

For example, if each blue constellation point had a circular formation, then the Tx1 would have a phase problem.

To change the controls of this graph, see Customization window

802.11b Constellation Diagram


Graph: Packet Power Variation

The Packet Power Variation display shows the symbol-to-symbol amplitude variation information that occurs during the data portion of the packet. Each sample point signifies the power per orthogonal frequency-division multiplexing (OFDM) symbol relative to the long symbols of the preamble.

To change the controls of this graph, see Customization window


Graph: Ramp On Transient

To change the controls of this graph, see Customization window. Note that the Ramp On Transient graph is only available with the 802.11b signals.

______

See Also:

:PROJect<index>:WLAN<index>[:SENSe]:PORamp:LIMit[:STATe]


Graph: Ramp Off Transient

To change the controls of this graph, see Customization window. Note that the Ramp Off Transient graph is only available with the 802.11b signals.

______

See Also:

:PROJect<index>:WLAN<index>[:SENSe]:PDRamp:LIMit[:STATe]


I/Q Graph: Waveform Amplitude

To change the controls of this graph, see Customization window. Note that the Start and End indicators show the portion of the waveform that is analyzed.

802.11b Waveform Amplitude


I/Q Graph: I/Q Waveform

To change the controls of this graph, see Customization window. Note that the Start and End indicators show the portion of the waveform that is analyzed.


I/Q Graph: I Eye Diagram

To change the controls of this graph, see Customization window. Note that the I Eye Diagram is only for the 802.11b signals.


I/Q Graph: Q Eye Diagram

To change the controls of this graph, see Customization window. Note that the Q Eye Diagram is only for the 802.11b signals.


Strip Chart: Maximum EVM

To change the controls of this graph, see Customization window


Strip Chart: Ramp On Time

To change the controls of this graph, see Customization window.


Strip Chart: Ramp Off Time

To change the controls of this graph, see Customization window.


Parameters Table - 802.11b

The Parameters Table displays the sweep results, as shown in the illustration below. During a continuous sweep, the display is updated every N sweeps, where N is the number of sweeps set with the Average table over N sweeps parameter. The measurement results include Minimum, Maximum, Average and Last values, where applicable.

______

NOTE: The measurement results taken in the Last (final) sweep are displayed in the column labeled Value.

______

See Average table over N sweeps for information about how the average value is computed.

See Results Capture for information about saving this data.

802.11b Parameters Table


Graphs and Strip Charts - 802.11n

Select from the following to learn more:

Graphs

  • Constellation
  • CCDF
  • Channel Response
  • EVM vs. Subcarrier
  • EVM vs. Symbol
  • Matrix Condition
  • Packet Frequency Variation
  • Packet Phase Variation
  • Preamble Frequency Variation
  • Preamble Power Variation
  • Spectrum Emissions Mask
  • Singular Values
  • Subcarrier Flatness
  • Waveform Amplitude
  • Waveform I/Q

Strip Charts

  • Error Rates
  • Data Rate
  • Packet Length
  • Number of Symbols
  • Frequency Offset
  • RMS EVM
  • Pass Subcarrier Flatness
  • Packet Power
  • SEM Pass/Fail
  • Worst Case Carrier Leakage

802.11n Parameter Table

  • 802.11n Parameters Table


Graph: Constellation

See Also:

  • Constellation Display (802.11a/g/j)
  • Constellation Display (802.11b)

The Constellation graph shows the measured IQ symbol positions for the data and pilot symbols of the high-throughput data portion of the packet.

A constellation diagram is a representation of a signal modulated by a digital modulation scheme such as quadrature amplitude modulation. It displays the signal as a two-dimensional scatter diagram in the complex plane at symbol sampling instants. The diagram represents the possible symbols that may be selected by a given modulation scheme as points in the complex plane. You can use measured constellation diagrams to recognize the type of interference and distortion in a signal.

In addition to viewing the data symbols and their constellation positions, this display shows the demodulated positions of the signal field and pilot symbols in the I/Q plane. For a QPSK constellation, these values appear on the same graph.

In the example below, the EVM plot allows you to compare constellations for each stream:

  • The size of the cluster shows the noise present.
  • The offset shows the IQ imbalance.
  • The circle shows the phase noise.

For example, if each blue constellation point had a circular formation, then the Tx1 would have a phase problem.

For more information about the Modulation and Coding Scheme settings, see

To change the controls of this graph, see Customization window.

802.11n Constellation Graph


Graph: Channel Response

The Channel Response display is the same as the Subcarrier Flatness graph, except that the y axis is calibrated in dBm.

To change the controls of this graph, see Customization window


Graph: Matrix Condition

The Matrix Condition Number display is shown as a function of subcarrier so that you can identify problems at specific subcarrier frequencies.

The condition number is more a measure of the MIMO channel than of the MIMO transmitter; see Use of the term "channel". In a cabled measurement environment, the condition numbers are generally small unless there is cross-coupling between transmit paths resulting in a loss of orthogonality and unintentional inter stream interference. However, when antennas are measured, or when simulations are created, it is important to monitor the condition number to ensure the MIMO results are valid.

At the center of a MIMO receiver is a solution to the matrix equation that relates the transmitted symbols to the received symbols using the matrix representation of the channel model. The pilots are used to measure the channel model, yet the matrix must be inverted to apply the model.

The matrix condition number is a measure of how accurately the matrix can be inverted. In the language of linear algebra, the condition number is a measure of how accurately the system of linear equations can be solved that relate the received symbols to the transmitted symbols using a linear channel model. If the condition number is small, the solution will be more accurate than if the condition number is large.

The matrix condition number is calculated by deriving the singular values of the channel matrix. The condition number is the ratio of the largest to the smallest singular value. An easy-to-solve matrix has all the same singular values, resulting in a low matrix condition number. A hard-to-solve matrix will tend to have one or more of the singular values near zero, making the condition number very large.

To change the controls of this graph, see Customization window

Use of the term "channel"

For purposes of describing the matrix condition number, the term "channel" refers to the physical model of the channel between the transmitter and the receiver. In other WLAN contexts, the terms "channel" and "subchannel" refer to a frequency channel (a different use of the term).

Because there is a separate channel model for each subcarrier frequency in use during transmission, confusion may arise. The phrase "per-channel channel model" may also be used when referring to the separate physical channel model for each subcarrier.


Graph: Packet Phase Variation

The Packet Phase Variation graph shows the symbol-to-phase variation of the short training sequence symbols in the WLAN preamble. Because these symbols are critical for the power and frequency acquisition of the signal, any variation must be closely monitored.

For 802.11n, there will be one plot line per transmitted stream.

To change the controls of this graph, see Customization window.

802.11n Packet Phase Variation Graph


Graph: Preamble Power Variation

The Preamble Power Variation display shows the symbol-to-symbol amplitude variation of the short training sequence symbols in the WLAN preamble. Because these symbols are critical for the power and frequency acquisition of the signal, therefore any variation must be closely monitored.

802.11n Preamble Power Variation Graph


Parameters Table - 802.11n

The Parameters Table displays the sweep results, as shown in the illustration below. During a continuous sweep, the display is updated every N sweeps, where N is the number of sweeps set with the Average table over N sweeps parameter. The measurement results include Minimum, Maximum, Average and Last values, where applicable.

______

NOTE: The measurement results taken in the Last (final) sweep are displayed in the column labeled Value.

______

See Average table over N sweeps for information about how the average value is computed.

See Results Capture for information about saving this data.

______

802.11n Parameters Table


Settings menu

WLAN Analysis Window Settings Menu

Select the Settings menu to view and edit the following settings:

  • Use the WLAN Settings Panel
  • 802.11 agjp
  • 802.11b
  • 802.11n
  • Instrument Control
  • IQ Capture
  • Results Capture
  • SEM Editor


WLAN Settings - 802.11agjp

_____

WLAN settings dialog

Select a link to navigate directly to that topic:

  • Apply button
  • Decode Packet
  • Track Amplitude
  • Track Clock Offset
  • Track Phase Variation
  • Invert Spectrum
  • Duplicate Mode
  • Show EVM in dB
  • SEM Mask Setting
  • Advanced SEM Settings
  • Bandwidth Mode
  • Frequency Correction
  • Equalization
  • Demodulate at most N OFDM Symbols
  • Average table over N sweeps

_____

Apply button

Clicking this button will apply any changes made in the Settings window at the next sweep.

Decode Packet

Select this check-box (for 802.11a,g,j,p and 802.11n) to have SignalMeister™ decode the transmitted packet, then display the decoded data bits in the Decoded Data Table. The Decode Packet process takes extra processing time, so, if throughput speed is important, keeping this control disabled will still provide normal analysis of the WLAN signal.

______

NOTE: The Decode Packet function is always active for 802.11b configurations, so the Decode Packet check-box is not shown in that user interface.

______

NOTE: The decoded bits for each burst fill the Burst Data Table on the sweep(s) taken after this check-box is selected, with the number of total bits in a burst appended to the beginning of the bit sequence, followed by a comma (",").

_____

See also:

Decoded Data Table

Maximum Length in Chips

Track Amplitude

Select Track Amplitude to specify that the pilot symbols are used to track the amplitude variation.

See Also:

:PROJect<index>:WLAN<index>[:SENSe]:TAMPlitude

Track Clock Offset

Select Track Clock Offset to specify that the pilot symbols are used to track the clock timing errors.

See Also:

:PROJect<index>:WLAN<index>[:SENSe]:TCLock

Track Phase Variation

Select Track Phase Variation to specify that the pilot symbols are used to track the phase variation.

See Also:

:PROJect<index>:WLAN<index>[:SENSe]:TPHase

Invert Spectrum

If this check box is selected the individual I and Q data bits are inverted.

See Also:

[:PROJect<index>]:WLAN<index>[:SENSe]:ISPectrum

Duplicate Mode

If you are analyzing a WLAN signal generated with the Duplicate Mode enabled, you must select this check box to display the results properly in the Analysis window.

See Also:

Duplicate Mode

Show EVM in dB

If this check-box is selected the EVM is shown in dB: if it is disabled (un-checked), the EVM is shown in %.

NOTE: These results are displayed in the Parameters Table.

See Also:

Parameters Table: 802.11agjp

Parameters Table - 802.11b

Parameters Table - 802.11n

SEM Mask Setting

Use the drop-down menu to select the SEM Mask Setting:

  • Disabled - If measurement speed is important, leave this control disabled.
  • Use Automatic Defaults - When Bandwidth Mode is set to Automatic, the Bandwidth and Duplicate Mode properties already report the requested information. If the Bandwidth Mode is set manually (that is, 10 MHz, 20 MHz, or 40 MHz) the Bandwidth and Duplicate Modes properties will just reflect whatever values were set prior to analysis.
  • Use Mask Specified in SEM Editor - Uses the mask specified in the SEM (Spectrum Emission Mask) Editor.

See Also:

:PROJect<index>:WLAN<index>[:SENSe]:SEMask

Advanced SEM Settings button

Click the Advanced SEM Settings button to open the advanced settings dialog for spectrum emissions mask.

Bandwidth Mode

Use the drop-down menu to select the bandwidth mode.

  • Automatic - enables the program to automatically detect the signal bandwidth
  • 10 MHz - sets the signal bandwidth to 10 MHz (802.11agjp)
  • 20 MHz - sets the signal bandwidth to 20 MHz
  • 40 MHz - sets the signal bandwidth to 40 MHz

Frequency Correction

Specifies what frequency estimation method will be used to correct the samples for the frequency offset detected in the preamble.

Select the desired frequency correction method from the drop-down menu:

  • No Correction - No attempt is made to correct for the frequency offset.
  • Coarse Correction on Short Symbols - Compensate for the coarse frequency offset estimated in the short symbols.
  • Fine Correction on Long Symbols (default) - Compensate for the fine frequency offset estimated in the long symbols.
  • Signal Field Frequency Estimation - Frequency estimation based on Signal Field.

______

NOTE: The No Correction setting should be used if, and only if, the signal source shares a frequency reference with the signal analyzer. Otherwise, this option will degrade performance.

______

Equalization

Use the drop-down menu to select the type of equalization to be applied to the signal:

  • Channel Estimate Sequence (default)
  • Channel Estimate Sequence+Data

See Also:

:PROJect<index>:WLAN<index>[:SENSe]:EQUalization

Demodulate at most N OFDM Symbols

This parameter is used with the Decode Packet control. It essentially allows the number of symbols to be specified for decoding.

Minimum value: 1
Maximum value: 100,000
Default: 10,000

See Also:

:PROJect<index>:WLAN<index>[:SENSe]:OFDM:COUNt

Average table over N sweeps

The average value is computed over all measurements if the number of measurements is less than the value specified here. If Average table over 10 sweeps is specified and only 5 sweeps have been completed, for example, the average will be computed over 5 sweeps. If average table over 10 sweeps is specified and 15 sweeps have been completed, the average will be computed over the last 10 sweeps.

The Minimum and Maximum values are taken over all observed measurements and is independent of the value specified by Average table over N sweeps. If Average table over 10 sweeps is specified and 15 sweeps have been completed, the Minimum and Maximum values are taken over all 15 measurements.

Minimum Value: 1
Maximum Value: 100
Default Value: 10


WLAN Settings - 802.11b

___

802.11b WLAN Settings

Select a link below to navigate directly to that topic:

  • Apply button
  • Power Down Measurement
  • Power On Measurement
  • Invert IQ
  • Remove DC
  • Use Equalization
  • Show EVM in dB
  • Enable SEM
  • Advanced SEM Settings
  • Equalizer Length
  • Maximum Length in Chips
  • Peak Search Start
  • Peak Search End
  • Filter Type
  • Filter Parameter
  • Average table over N sweeps

_____

Apply button

Clicking this button will apply any changes made in the Settings window at the next sweep.

Power Down Measurement

Default checked. Select this parameter to perform a measurement during the power-down cycle.

Power On Measurement

Default checked. Select this parameter to perform a measurement during the power-on cycle.

Invert IQ

If enabled, the individual I and Q data bits are inverted.

Remove DC

Select this check box to remove the DC component from the measurement.

Use Equallization

Select this check box to apply equalization.

Show EVM in dB

If this check-box is selected the EVM is shown in dB: if it is disabled (un-checked), the EVM is shown in %.

NOTE: These results are displayed in the Parameters Table.

See Also:

Parameters Table: 802.11agjp

Parameters Table - 802.11b

Parameters Table - 802.11n

Enable SEM (Spectrum Emission Mask)

If this is enabled, the SEM is shown on the graph. If measurement speed is important, leave this control disabled.

Advanced SEM Settings button

Click the Advanced SEM Settings button to open the advanced settings dialog for spectrum emissions mask.

Equalizer Length

Minimum value: 1
Maximum value: 30
Default: 11

Maximum Length in Chips

Minimum value: 1
Maximum value: 100000
Default: 2048

NOTE: The decode function is always on for the 802.11b analysis. While the default value of 2048 for this parameter is acceptable for fast RF measurements and will accurately demodulate the signal, the Maximum Length in Chips field should be set to 10000, or some other large number, or the packet may not be decoded properly.

Peak Search Start

Minimum value: 1
Maximum value: 10000
Default: 1000

Peak Search End

Minimum value: 1
Maximum value: 10000
Default: 1999

Filter Type

Use the drop-down menu to select the desired filter type. The available choices are:

  • None
  • Bartlett
  • Blackman
  • Hamming
  • Gaussian
  • Hann
  • SRC (Spectrally Raised Cosine)
  • SRRC (Spectrally Raised Root Cosine)

    NOTE: The subcarriers are automatically pre-weighted, such that the post-filtered subcarriers all have equal power. Therefore, the bandpass of the signal will appear unaffected by changing the various filter parameters. The out-of-band characteristics of the signal, however, will be impacted by changing the filter parameters.

Filter Parameter

Highlight this cell and enter a value or use the up and down arrows to select the desired Filter Parameter. The Filter Parameter is available when the Filter Type selected is Spectrally Raised Cosine (SRC) or Spectrally Raised Root Cosine (SRRC).

Minimum value: 0.10
Maximum value: 0.99

Average table over N sweeps

The average value is computed over all measurements if the number of measurements is less than the value specified here. If Average table over 10 sweeps is specified and only 5 sweeps have been completed, for example, the average will be computed over 5 sweeps. If average table over 10 sweeps is specified and 15 sweeps have been completed, the average will be computed over the last 10 sweeps.

The Minimum and Maximum values are taken over all observed measurements and is independent of the value specified by Average table over N sweeps. If Average table over 10 sweeps is specified and 15 sweeps have been completed, the Minimum and Maximum values are taken over all 15 measurements.

Minimum Value: 1
Maximum Value: 100
Default Value: 10


WLAN Settings - 802.11n

802.11n WLAN Analysis dialog

Select a link below to navigate directly to that topic:

  • Apply button
  • Decode Packet
  • Track Amplitude
  • Track Clock Offset
  • Track Phase Variation
  • Common Pilot Tracking
  • Invert Spectrum
  • Show EVM in dB
  • SEM Mask Setting
  • Advanced SEM Settings
  • Bandwidth Mode
  • Frequency Correction
  • Equalization
  • Demodulate at most N OFDM Symbols
  • Average table over N sweeps
  • MIMO channel estimation techniques

Apply button

Clicking this button will apply any changes made in the Settings window at the next sweep.

Decode Packet

Select this check-box (for 802.11a,g,j,p and 802.11n) to have SignalMeister™ decode the transmitted packet, then display the decoded data bits in the Decoded Data Table. The Decode Packet process takes extra processing time, so, if throughput speed is important, keeping this control disabled will still provide normal analysis of the WLAN signal.

______

NOTE: The Decode Packet function is always active for 802.11b configurations, so the Decode Packet check-box is not shown in that user interface.

______

NOTE: The decoded bits for each burst fill the Burst Data Table on the sweep(s) taken after this check-box is selected, with the number of total bits in a burst appended to the beginning of the bit sequence, followed by a comma (",").

_____

See also:

Decoded Data Table

Maximum Length in Chips

Track Amplitude

Select Track Amplitude to specify that the pilot symbols are used to track the amplitude variation.

See Also:

:PROJect<index>:WLAN<index>[:SENSe]:TAMPlitude

Track Clock Offset

Select Track Clock Offset to specify that the pilot symbols are used to track the clock timing errors.

See Also:

:PROJect<index>:WLAN<index>[:SENSe]:TCLock

Track Phase Variation

Select Track Phase Variation to specify that the pilot symbols are used to track the phase variation.

See Also:

:PROJect<index>:WLAN<index>[:SENSe]:TPHase

Common Pilot Tracking

Select this check-box to specify if the pilot tracking is assumed to be common among all paths. Clear this check box to specify if the pilot tracking for each stream is treated independently.

Invert Spectrum

If this check box is selected the individual I and Q data bits are inverted.

See Also:

[:PROJect<index>]:WLAN<index>[:SENSe]:ISPectrum

Show EVM in dB

If this check-box is selected the EVM is shown in dB: if it is disabled (un-checked), the EVM is shown in %.

NOTE: These results are displayed in the Parameters Table.

See Also:

Parameters Table: 802.11agjp

Parameters Table - 802.11b

Parameters Table - 802.11n

SEM Mask Setting

Use the drop-down menu to select the SEM Mask Setting:

  • Disabled - If measurement speed is important, leave this control disabled.
  • Use Automatic Defaults - When Bandwidth Mode is set to Automatic, the Bandwidth and Duplicate Mode properties already report the requested information. If the Bandwidth Mode is set manually (that is, 10 MHz, 20 MHz, or 40 MHz) the Bandwidth and Duplicate Modes properties will just reflect whatever values were set prior to analysis.
  • Use Mask Specified in SEM Editor - Uses the mask specified in the SEM (Spectrum Emission Mask) Editor.

See Also:

:PROJect<index>:WLAN<index>[:SENSe]:SEMask

Advanced SEM Settings button

Click the Advanced SEM Settings button to open the advanced settings dialog for spectrum emissions mask.

Bandwidth Mode

Use the drop-down menu to select the bandwidth mode.

  • Automatic - enables the program to automatically detect the signal bandwidth
  • 10 MHz - sets the signal bandwidth to 10 MHz (802.11agjp)
  • 20 MHz - sets the signal bandwidth to 20 MHz
  • 40 MHz - sets the signal bandwidth to 40 MHz

Frequency Correction

Specifies what frequency estimation method will be used to correct the samples for the frequency offset detected in the preamble.

Select the desired frequency correction method from the drop-down menu:

  • No Correction - No attempt is made to correct for the frequency offset.
  • Coarse Correction on Short Symbols - Compensate for the coarse frequency offset estimated in the short symbols.
  • Fine Correction on Long Symbols (default) - Compensate for the fine frequency offset estimated in the long symbols.
  • Signal Field Frequency Estimation - Frequency estimation based on Signal Field.

______

NOTE: The No Correction setting should be used if, and only if, the signal source shares a frequency reference with the signal analyzer. Otherwise, this option will degrade performance.

______

Equalization

Use the drop-down menu to specify the desired linear detection method from the following choices:

  • Zero Forcing
  • MMSE (Minimum Mean Square Error)
  • Zero Forcing, Channel Estimation Over Entire Packet
  • Direct Mapping
  • Direct Mapping, Channel Estimation Over Entire Packet

See Also:

MIMO Channel Equalization Techniques

Zero Forcing

The IEEE defined method for making EVM measurements. Channel estimates are made on the High-Throughput, Long Training Fields (HT-LTFs) and then a zero-forcing matrix inversion approach is used to separate the individual streams.

Zero Forcing is an algorithm that tries to achieve zero inter-stream interference. It is not an ideal algorithm to use over the air because enforcing zero inter-stream interference may not always be the best approach to minimizing EVM. However, this is a good approach for a cabled environment.

MMSE (Minimum Mean Square Error)

MMSE is a better approach for wireless testing. Channel estimates are formed over the HT-LTFs, but the matrix inversion takes into account the SNR per subcarrier, in addition to the channel, to achieve the minimum mean square error (MMSE) solution.

Zero Forcing, Channel Estimation Over Entire Packet

This is nearly identical to Zero Forcing, but the channel estimation is formed over the entire packet. As expected, you get a much better channel estimate, which improves EVM.

Direct Mapping

Direct Mapping makes the assumption that one spatial stream is mapped to one received channel. If this is true, the channel estimates become more accurate and therefore improves the EVM. This should give an EVM close to the embedded where you have to assume direct mapping.

Direct Mapping, Channel Estimation Over Entire Packet

This is nearly identical to Direct Mapping, but channel estimates are averaged over entire packet. As expected, this provides a better channel estimate which improves EVM.

Demodulate at most N OFDM Symbols

This parameter is used with the Decode Packet control. It essentially allows the number of symbols to be specified for decoding.

Minimum value: 1
Maximum value: 100,000
Default: 10,000

See Also:

:PROJect<index>:WLAN<index>[:SENSe]:OFDM:COUNt

Average table over N sweeps

The average value is computed over all measurements if the number of measurements is less than the value specified here. If Average table over 10 sweeps is specified and only 5 sweeps have been completed, for example, the average will be computed over 5 sweeps. If average table over 10 sweeps is specified and 15 sweeps have been completed, the average will be computed over the last 10 sweeps.

The Minimum and Maximum values are taken over all observed measurements and is independent of the value specified by Average table over N sweeps. If Average table over 10 sweeps is specified and 15 sweeps have been completed, the Minimum and Maximum values are taken over all 15 measurements.

Minimum Value: 1
Maximum Value: 100
Default Value: 10


MIMO Channel Equalization Techniques

The MIMO channel produces components of each spatial stream at each receive antenna. The objective of the MIMO receiver-weighting matrix is to take the multiple symbol estimates at the multiple receive antennas and separate out the individual spatial streams. SignalMeister™ provides these methods for forming the receiver-weighting matrix:

  • Zero Forcing
  • MMSE (Minimum Mean Square Error)
  • Direct Mapping

In the three techniques discussed below, the channel estimates are formed directly from the high-throughput, long training fields in the 802.11n packet as dictated by the draft IEEE 802.11n standard. Inaccuracies in forming the channel estimates will contribute to the EVM, as would be the case for an actual device under test. In some measurement scenarios, however, you may want to know what the EVM would be minus the EVM contribution due to channel estimate inaccuracies.

To support this, SignalMeister™ provides two extended, channel-estimate techniques that attempt to refine the channel estimate beyond what is possible by forming the channel estimate over just the long training field portion of the packet:

  • Zero Forcing, Channel Estimate Over Entire Packet
  • Direct Mapping, Channel Estimate Over Entire Packet

For these two techniques, a post processing step is carried out that makes hard decision symbol estimates to find the closest "ideal" constellation point corresponding to each symbol estimate. Using these hard decision constellation point decisions, the channel estimates are refined and the packet is re-processed using the refined channel estimates. These techniques typically provide a lower EVM measurement because the channel estimates are more accurate. With the exception of the improved channel estimates, the Zero Forcing, Channel Estimates Over Packet is the same as the Zero Forcing equalization technique. Likewise, the Direct Mapping, Channel Estimates Over Packet is the same as the Direct Mapping with the exception of the improved channel estimates.

Zero Forcing

Zero Forcing is the default receiver weighting matrix technique, as this is the method dictated by the IEEE 802.11n standard. It is highly recommended that this technique be used for measuring the EVM of a device in a cabled environment.

The zero-forcing implementation is given by:

(H*H)^-1 H*

where H is the channel estimate, * denotes Hermitian (conjugate transpose), and ^-1 denotes the matrix inverse.

This implementation attempts to find the solution that produces zero inter-stream interference. Finding the solution that produces zero inter-stream interfere works well in a cabled environment where the channel matrix is full rank and the eigenvalues are approximately equal.

This technique is not ideal, however, for over the air situations, or when using a channel model, as it does not take into account signal-to-noise ratio (SNR). You could easily encounter a scenario where the solution that produces zero inter-stream interference can significantly amplify the noise.

MMSE

MMSE (Minimum Mean Square Error) takes both the inter-stream interference and noise into account, and is given by:

(H*H + No I)^-1 H*

where No is the per signal noise estimate and I is an identity matrix.

This equation is very similar to the zero-forcing case, but adds the diagonal term to account for the noise in the system. This solution minimizes the mean square error arising from the combination of both inter-stream interference and noise. While zero-forcing minimizes inter-stream interference, MMSE minimizes the signal to interference plus noise ratio (SINR).

Direct Mapping

A MIMO signal can be treated as a set of SISO signals, with the channel estimates formed individually for each stream, rather than attempting to separate out the individual streams by forming and applying the MIMO receiver-weighting matrix to the following scenarios (all of which are requirements for the embedded solution):

  • Direct mapping is used at the transmitter (each spatial stream directly mapped to each antenna).
  • There is no channel model in the link.
  • A cabled environment is used.

Direct Mapping, although not representative of what an actual device under test could do, does allow you to match test results between a SISO and MIMO measurement. The advantage of this technique over the Zero Forcing and MMSE solutions, when applicable, is that it eliminates the EVM contribution from inter-stream interference caused by inaccuracies in the MIMO channel estimation step.


Instrument Control

__

Simulated Mode: If you are analyzing a simulated signal, the Instrument Control window will only display the Single Sweep and Continuous Sweep buttons. Click here for details.

__

Instrument Control window with hardware

In the Settings menu, select Instrument Control.

Select from the following to learn about the individual control settings:

  • General Instrument Settings
  • General Measurement Settings
  • Trigger Settings
  • Individual Instrument Settings
  • Initialize Instruments
  • Single Sweep
  • Continuous Sweep
  • Optimize Setup

NOTE: Optimize Setup and Initialize Instruments controls are not available with General Purpose Analysis or Simulation mode.

______

__
______

See Also:

  • Instrument Control - Simulated Mode


Individual Instrument Settings

Individual Instrument Settings

  • Use Defaults For All Instruments
  • Auto Atten
  • Preamp On
  • Manual Atten
  • Expected Power
  • Low Phase Noise
  • Initialize Instruments
  • Single Sweep
  • Continuous Sweep
  • Optimize Setup
  • Recovering from an SEM Optimization Failure

______

Defaults tab and Instrument tabs

Depending on the project configuration, there can be up to eight signal analyzers controlled by this program. The additional analyzers appear as additional tabs to the right of the Defaults tab, for example, Instrument 1, Instrument 2, Instrument 3 and so on.

There are several defaults that can be shared for all analyzers controlled by this program, or the same defaults can be set to different values for the individual analyzers included in the setup. The available defaults are:

  • Auto Atten
  • Preamp On
  • Manual Atten
  • Expected Power
  • Ultra Low Phase Noise (License V2820A-UPN)

Use Defaults for All Instruments

If this check box is cleared, all instruments controlled by the program will take the values set in the corresponding individual Instrument tabs.

If this check box is selected, all instruments are set to the values of the Defaults tab, shown above.

Auto Atten

Use this check box to control automatic attenuation. When selected, Auto Atten enables the automatic application of input signal attenuation. When you enter an Expected Power value, the VSA automatically adjusts the input attenuation to optimize the power measurement range.

Preamp On

Select to turn the preamp on clear to turn the preamp off. Preamp allows you to add power amplification (approximately 13 dB) to the input signal. This is useful for improving measurement sensitivity when the signal has lower power.

Manual Atten

Sets the manual attenuation applied to the signal (Auto Atten is de-selected). The manual setting is useful when you want to step the attenuation value to determine if displayed signal spurs are due to the device under test or the analyzer.

Minimum value: 0 dB
Maximum value: 30 dB

Expected Power

Set the expected power to the observed channel power. Slightly better performance can be achieved by reducing the expected power, although there is more risk of a test device overloading the input.

Minimum value: -170 dBm
Maximum value: 30 dBm

Low Phase Noise

If the Low Phase Noise feature is not applicable to the instrument, the check-box is grayed-out indicating this selection is not available.

_____

This feature is presently available only for instruments equipped with the Ultra Low Phase Noise option: V2820A-UPN.

The Low Phase Noise setting allows you to enable or disable the -UPN option -- if this option is available in the instrument. Enabling Low Phase Noise invokes the following performance improvements:

  • Improved phase noise: < -140 dBc/Hz phase noise at a 300kHz offset with a 2 GHz carrier
  • Improved EVM performance for WLAN signal (WLAN 802.11n EVM floor as low as -48 dBc)
  • Improved ORFS performance for GSM and EDGE signals
  • Typical frequency switching time of 1 ms (with the Low Phase Noise setting disabled, the frequency switching time is 250 µs)

_
The following phase noise plot shows the typical phase noise performance in the V2820A-UPN option.

Phase Noise Plot with and without -UPN

_
See Also:

  • Managing Licenses

Initialize Instruments

Initialize Instruments button

Press the Initialize Instruments button to initialize all instruments controlled from this window.

Single Sweep

Single Sweep button

Press the Single Sweep button to have all instruments controlled from this window perform a single sweep, then stop.

Continuous Sweep

Continuous Sweep button

Press the Continuous Sweep button to have all instruments controlled from this window perform continuous sweeps. While continuous sweeping, all controls on the main window are disabled except the status/message tabs and the main window form itself. The main window may still be viewed, minimized, and maximized, but all menus and other controls are disabled.

Press Stop Sweeping to end the sweep sequence.

Optimize Setup

Optimize Setup button

Optimize Setup is only available when using hardware to make measurements. It is used to set signal type, constellation type, acquisition time and trigger settings for fast data throughput.

Optimize Setup does a complete demodulation by sweeping several times and adjusting the reference levels. If successful, signal type and constellation type are set explicitly and so will not be auto detected on subsequent sweeps.

However, in order to be successful, a map file must be loaded and applied in the WiMAX analysis block before the Optimize Setup can take place. Once the map file is loaded, you can optimize the setup and proceed with analysis.

______

NOTE: Optimize Setup is not available in General Purpose Analysis or Simulated Analysis.

See Also:

  • Recovering from an Optimization Failure


Instrument Control - Simulated Mode

When working in simulated mode, the Instrument Control window will only display the Single Sweep and Continuous Sweep buttons. However, there will be status indicators in the Status Bar at the bottom the Analysis Window. The left side of the Status Bar displays error and other information about the project. The right side of the Status Bar displays information about instrument connections.

To stop the sweep, select the Stop Sweeping button.

Simulated Instrument Control

_____
See Also:

  • Instrument Control - Hardware Mode

Instrument control simulated mode (wlan)


Tutorials

Select from the topics below, to learn more:

  • Open an Analysis Window Object
  • Customize an Analysis Window Element
  • Making a Measurement
  • Using the General Purpose Analysis Element


Launch the Analysis Window

To launch an Analysis Window element, do the following:

  1. In the SignalMeister™ Toolbox, select one of the Analysis elements (WiMAX, WLAN or General Purpose Analysis).
  2. Drag the Analysis element onto the Projects worksheet as shown below. In this example, a WLAN Analysis window is used.
    ______

    ______

  3. Double click the Analysis element, or right-click the element and select Edit Element Configuration to open the analysis window.
  4. An Analysis Window element open as shown below. The default display shows the Settings, Instrument Control, Parameters table and Constellation windows.
    ______

    ______

  5. The Analysis Window element menus can be opened, and selections made to edit the various parameters:
    1. View Menu: Allows the windows that have been selected to be arranged in different formats, such as tiled or tabbed view.
    2. Displays menu: Allows you to display selected graphs, strip carts and the parameters table.
    3. Settings menu: Allows you to set up Instrument Control, IQ Capture, WLAN Settings,and the SEM Editor. In the example above, the Analysis element is not connected to an instrument or simulator element, the selections in the Settings menu will therefore not be active.
    4. Sweep menu: Allows you to start a Single or Continuous Sweep (in both Simulated and Hardware modes), Initialize Instruments and Optimize Setups (hardware mode only).


Set Up the Instrument Control Panel

To set up the Instrument Control panel, do the following:

  1. Select Settings > Instrument Control
  2. Resize the panel if necessary so that all controls are in view, (Initialize Instruments, Optimize Setup, Single Sweep and Continuous Sweep buttons are visible).
  3. Change settings as described in the Instrument Control topic.

Instrument Control window with hardware


Use the WLAN Settings Panel

To set up the WLAN Settings panel, do the following:

  1. Select Settings > Instrument Control.
  2. Resize the panel if necessary so that all controls are in view, (Single Sweep and Continuous Sweep buttons are visible).
  3. Change settings as described in the topic WLAN Settings selection.

    NOTE: There are different WLAN settings associated with a,g,j,p, b and n variations of WLAN. The following image shows the settings for the 802.11agjp Analysis WLAN Settings panel.


Customize an Analysis Window Display

The Analysis Window element must be connected to an instrument element or simulator element to be able to use all of its features. Although there are three menus, changes can really only be made to the Displays menu. This is because the File menu and Settings menu are hard coded. Selections can be changed in the Settings menu but it cannot be customized. The graphs and strip charts in the Display menu can be customized.

To become familiar with the Analysis Window element, do the following:

  1. Open an Analysis Window Element.
  2. Connect an instrument element or simulator element to the Analysis Window element.
  3. Double-click the Analysis Window element.
  4. Click the Displays menu to see available menu selections, Graphs, Strip Charts, and the Parameter Table.
  5. Select a particular Graph or a Strip Chart.
  6. Double click the graphical display on the Graph or Strip Chart to display the Customization window.
  7. Edit the following tabs:
    1. General tab
    2. Plot tab
    3. Subsets tab
    4. Axis tab
    5. Font tab
    6. Color tab
    7. Style tab
  8. All changes made to the Graph or Strip Chart using Customization Window will be saved when the Analysis Window is closed.


Making a Measurement

To make a measurement, the Analysis Window element must be connected to a fully integrated project. The following topic can help in making a fully integrated project, Waveform generation process overview.To set up a measurement using the Analysis Window element:

  1. Select the Signal Analyzer section in the SignalMeister Toolbox pane.
  2. Select and drag a Simulator element onto the workspace.
  3. Connect the analysis window element to source and analyzer elements to make a measurement system, (an example is given below).
  4. Double click the analysis window element.
  5. Select Instrument Control in the Settings menu.
  6. Select desired graphs, parameter tables and strip charts in the Displays menu.
  7. Click either the Single sweep, or Continuous sweep button in the Instrument Control window.

The data should become visible in the graphs, strip charts, and parameter table that have been selected.


Using the General Purpose Analysis Element

A General Purpose Analysis element is useful for analyzing signals that don't conform to a specific standard, or when instruments are not available to generate and analyze signals. It is also a useful way of viewing the IQ raw data being transmitted, without the need of a SignalMeister™ license key. One use model is analyzing signals for which there are not specific analysis routines in SignalMeister™.

Tools are available for analyzing the waveform in the time and frequency domains, as well as saving the captured waveform data for future analysis.

In the following simple example, the General Purpose 1x Analysis element is receiving an 802.11 a,g signal from the simulator element.

Double-clicking the General Purpose Analysis element on the project worksheet will open the SignalMeister™ Analysis Window. Once it is open, the signals and measurements can be controlled by the menu selections in the Analysis Window.

Hint: If you have multiple windows open and cannot find Analysis element dialog(s) that are "buried" behind the other open windows, you can either double-click the icon on the project worksheet, or right-click the icon then select Edit Element Configuration from the popup menu, to bring the open windows to the foreground.

______

______

To use a General Purpose Analysis element:

  1. Select the General Purpose Analysis tool set in the Toolbox pane.
  2. Select and drag a General Purpose Analysis element onto the project worksheet.
  3. Add the General Purpose Analysis element to the 1x VSA Simulator element as shown in the image immediately above.
  4. Double-click the analysis window element to open the General Purpose Analysis display. The default display view includes:
    • Settings tab
    • Instrument Control tab
    • Parameters Table tab
    • Waveform Amplitude tab
  5. Select Settings > IQ Capture to add the IQ Capture tab to your display.
  6. Check the Enable IQ Capture check-box in the IQ Capture dialog.
  7. Select any desired graphs to view in the Displays menu.
  8. Click either the Single sweep, or Continuous sweep button in the Instrument Control window.
  9. The data is displayed in the graphs and measured parameters are displayed in the Parameters Table.

    NOTE: If you are using, for example, 4x4 hardware and only want to make a 2x2 measurement, use the 2800 Nx MIMO VSA and the 4x Analysis elements. Double-click the 2800 Nx MIMO VSA element to open the Element Configuration dialog box. In the VISA Resource tab, clear the Active check boxes for Instrument 3 and Instrument 4.

See Also:

  • General Purpose Analysis Menus
  • Analyzing a SISO WiMAX Signal


W-CDMA 3GPP Signal Creation

Wideband Code-Division Multiple-Access (W-CDMA) is one of the main technologies for the implementation of third-generation (3G) cellular systems. It is based on radio access techniques proposed by the ETSI Alpha group, and the specifications were finalized 1999.

The implementation of W-CDMA will be a technical challenge because of it's complexity and versatility. The complexity of W-CDMA systems can be viewed from different angles: the complexity of each single algorithm, the complexity of the overall system and the computational complexity of a receiver. W-CDMA link-level simulations are over 10 times more compute-intensive than current second-generation simulations. In W-CDMA interface different users can simultaneously transmit at different data rates and data rates can even vary in time. UMTS networks need to support all current second generation services and numerous new applications and services.

See Also:

  • Related 3GPP standards
  • 3GPP downlink signal configuration
  • 3GPP uplink signal configuration


Related 3GPP standards

The following table lists the related 3GPP standards. For more information visit the 3GPP website (http://www.3gpp.org/) and the UMTS World website: (http://www.umtsworld.com).

Technical Specification | Title | Description
TS 25.101 | UE Radio Transmission and Reception (FDD) | Establishes the minimum RF characteristics of the FDD mode of UTRA for the user equipment.
TS 25.104 | UTRA (BS) FDD; Radio Transmission and Reception | Establishes the base station minimum RF characteristics of the FDD mode of UTRA.
TS 25.141 | Base Station (BS) Conformance Testing (FDD) | Establishes the minimum RF characteristics of the FDD mode of UTRA for the Base Station (BS).
TS 25.133 | RF Parameters in Support of Radio Resource Management Transmission | Establishes the base station minimum RF characteristics of the FDD mode of UTRA.
TS 25.201 | Physical Layer - General Descripton | Presents a general description of the physical layer of the UTRA radio interface.
TS 25.211 | Physical channels and mapping of transport channels onto physical channels (FDD) | Describes the characterisation of the layer 1 transport channels and physical channels in the FDD mode of UTRA.
TS 25.212 | Multiplexing and channel coding (FDD) | Describes the characteristics of the layer 1 multiplexing and channel coding in the FDD mode of UTRA
TS 25.213 | Spreading and Modulation (FDD) | Describes the spreading a modulation for UTRA physical layer FDD mode.
TS 25.214 | Physical layer procedures | Specifies and establishes the characteristics of the physical layer procedures in the FDD mode of UTRA.
TS 25.302 | Services provided by the physical layer. | Services provided by the physical layer of UTRA to the upper layers.


3GPP Downlink Signal Configuration

3GPP DL Configuration Tree View

Shown here is the main view of the 3GPP Downlink channel configurations interface. The tree view is similar in layout to many other Windows-style user interface setups where you use the tree view to navigate between the available channel setups and other associated parameters and settings for the 3GPP W-CDMA Downlink channels. By selecting an item in the tree view, the parameters and other channel configuration settings are displayed in the parameter view.

You can also right-click any item in the tree view to display available menu selections that allow you to enable or disable specific channels, or to add or delete channels in your current test setup. As each channel is added or deleted, or as parameters are changed, the Conflict Checker, shown at the bottom of the user interface, displays information related to each of the channel setups and whether or not any conflicts between channels are encountered.


Parameters - Favorites (3GPP Downlink)

Click Parameters in the tree view to access the Favorites page. By default, this page is blank when first defining your 3GPP Downlink parameters.

W-CDMA Parameters - Favorites location

You can add any of your most often used setup parameters to this page to have easy access to many parameters in one central location. Changes made here are also shown in the original location. To help identify exactly which parameter you are changing, the parameter field is preceded by the parameter name and location. You can also delete or change the order of your favorites on the page, or jump to the page that your favorite came from by right-clicking the parameter and then selecting the desired operation from the [image] popup menu.

View favorites page popup menu

For example, to add the PCPICH (Primary Common Pilot Channel) power level parameter to the favorites page, you would:

  1. Click PCPICH in the tree view.
  2. Right-click in the Power Level parameter field.
  3. Select Add to Favorites.

    The PCPICH power level is now available on the Parameters - Favorites page.

  4. Change the Power Level as desired from the Parameters - Favorites page.
  5. Select Update Changes to apply the changes and keep the page open, or click OK to apply the changes and close the Parameters window.

See Also

3GPP Downlink Signal Configuration Overview


Modulation and Filtering (3GPP Downlink)

WCDMA Downlink Modulation and Filtering

Filter Coefficient Source

Select Edit to open the Configure Filtering dialog to choose the desired filter coefficient source. The available choices are:

  • None
  • RRC Filter - 3GPP Standard (Root Raised Cosine)
  • RRC Filter - 3GPP ACLR Optimized
  • User Coefficient File
  • Coefficient List

Oversampling Ratio

Set the desired over sampling ratio (OSR). The OSR value should be set according to the filter type being used and their designed sampling rates.

For example, the RRC Filter - 3GPP Standard filter type is adaptive and can have an OSR from 1 to 64. However, the RRC Filter - 3GPP ACLR Optimized filter type is designed for an OSR of 4 and any other setting will produce a conflict error.

Minimum value: 1
Maximum value: 64

Invert Q

Select this check-box to invert the quadrature phase (imaginary) component of the output.


Filtering Configuration (3GPP)

Configure Filtering

WCDMA Downlink Filtering Type

Filtering Type

Use the drop-down menu to select the desired filtering type:

______

3GPP Filtering Type menu

  • None
  • RRC Filter - 3GPP Standard (Raised Root Cosine)
  • RRC Filter - 3GPP ACLR Optimized
  • User Coefficient File
  • Coefficient List

______

None

No filtering is used.

RRC Filter - 3GPP Standard

The RRC Filter - 3GPP Standard filter is the default selection and provides better error vector magnitude (EVM) performance.

RRC Filter - 3GPP ACLR Optimized

The RRC Filter - 3GPP ACLR Optimized filter provides better adjacent channel leakage ratio (ACLR) performance. If this filter is selected, the Over Sampling Ratio must be set to 4 or a conflict warning is displayed.

User Coefficient File

If you select the User Coefficient File filter type, you must enter the full UNC (universal naming convention) path of the coefficient file you wish to use in the File Name text field, or select the Open Dialog button Open Dialog button to open the [image] Choose a Coefficient File dialog window, that allows you to navigate to a saved coefficient file.

Choose a coefficient file dialog

This information is stored and each time a waveform is configured this file name is passed into the waveform construction library and the file is read every time the waveform is produced. This choice is preferable if you want to frequently change the filter configurations in a dynamic model. The Coefficients text field is not available.

Coefficient List

If you select Coefficient List, you can either hand-type a list of coefficients in the Coefficients text field or navigate to a file of saved coefficients using the [image] Choose a Coefficient File dialog window. In this case the static coefficients are stored inside the configuration and passed to the waveform constructor as a vector of double precision values, and is never referred to again. This choice is preferable if you always want the same filter coefficients in the configuration.

Choose a coefficient file dialog

File Name

If you select either the User Coefficient File or the Coefficient List menu selections, you can type the path and file name of a saved coefficient file in the File Name text box, or you can select the Open Dialog button Open Dialog button to open the [image] Choose a Coefficient File dialog that allows you to navigate to a saved coefficient file. Saved coefficient files are ASCII text files with the coefficients listed as one value per line, and are parsed as double precision values.

Choose a coefficient file dialog

Coefficients

When you choose the Coefficient List filtering type, this text entry field is available for you to manually enter coefficients, or you can navigate to a saved coefficient file.


General Settings

Select General Settings in the tree view to access the parameters common for all 3GPP W-CDMA channels.

WCDMA 3GPP General Settings

File Length in Chips

This parameter sets the desired file length (in chips).

The file length should be a multiple of all of the channel transmit time interval periods, which are 10, 20, 40 and 80 ms for a correct wrap point in the ARB file.

Minimum value: 38400
Maximum value: 50000000

Primary Scrambling Code

Sets the Primary Scrambling Code for all downlink channels.

Minimum value: 0
Maximum value: 511

Power Normalization

Use the drop-down menu to select the power normalisation for all channels. The available choices are:

  • None: All channels are generated at the powers specified by their Power Level parameters.
  • Noise Fill to 0 dB: The total transmit power is made 0 dB by scaling the power of the OCNS channel to achieve 0 dB total. An OCNS channel must be present and active in the configuration. If the total transmit power given by the channels, excluding OCNS, already exceeds 0 dB (i.e. 0 dB cannot be achieved, even by complete suppression of the OCNS), then the behavior given by "Normalise to 0dB" is used instead.
  • Normalise to 0 dB: The total transmit power is scaled to 0 dB by scaling all channels' Power Level parameters by a common relative power.


3GPP Downlink Channels

WCDMA downlink channels

Number of SCCPCHs

Sets the desired number of Secondary Common Control Physical Channels (SCCPCH) that are used to carry the FACH (Forward Access Channel) and the PCH (Paging Channel). For details, refer to the SCCPCH dialog information.

Minimum value: 1
Maximum value: 2

Number of PICHs

Sets the number of Paging Indicator Channels (PICH).

The Paging Indicator Channel (PICH) is a fixed rate physical channel used to carry the paging indicators. The PICH is always associated with an S-CCPCH to which a PCH transport channel is mapped. For details, refer to the PICH dialog information.

Minimum value: 1
Maximum value: 2

Number of DPCHs

Sets the number of Dedicated Physical Channels, that carry the DPDCH (Dedicated Physical Data Channel) and the DPCCH (Dedicated Physical Control Channel). For details, refer to the DPCH dialog information.

Minimum value: 1
Maximum value: 128

Number of FDPCHs

Sets the number of Fractional Dedicated Physical Channels (FDPCH).

The Fractional Dedicated Physical Channel is a variation of the downlink DPCCH (Dedicated Physical Control Channel), that carries control information generated at Layer 1 and includes the TPC (Transmit Power Control) commands. For details, refer to the FDPCH dialog information.

Minimum value: 1
Maximum value: 128

Number of RMC DPCH's

Sets the number of Reference Measurement Channel Dedicated Physical Channels (RMC DPCH's). For details, refer to the RMC DPCH dialog information.

Minimum value: 0
Maximum value: 1

Number of HSDPAFRCs

Sets the desired number of High Speed Downlink Packet Access Fixed Reference Channels (HSDPAFRC's). For details, refer to the HSDPAFRC dialog information.

Minimum value: 0
Maximum value: 4

Number of EHICHs

Sets the desired number of Enhanced Hybrid ARQ Indicator Channels.

The E-DCH HARQ Acknowledgement Indicator Channel is a fixed rate (Spreading Factor = 128) dedicated downlink physical channel carrying the uplink E-DCH hybrid ARQ acknowledgement indicator. For details, refer to the EHICH dialog information.

Minimum value: 0
Maximum value: 1

Number of ERGCHs

Sets the desired number of E-DCH Relative Grant Channels.

The E-DCH Relative Grant Channel is a fixed rate (Spreading Factor = 128) dedicated downlink physical channel carrying the uplink E-DCH relative grants. For details, refer to the ERGCH dialog information.

Minimum value: 0
Maximum value: 1

Number of EAGCHs

Sets the desired number of E-DCH Absolute Grant Channels.

The E-DCH Absolute Grant Channel is a fixed rate (30 kbps, Spreading Factor = 256) downlink physical channel carrying the uplink E-DCH absolute grant. For details, refer to the EAGCH dialog information.

Minimum value: 0
Maximum value: 1


PCPICH Configuration (Primary Common Pilot Channel)

PCPICH configuration dialog

The PCPICH (Primary Common Pilot Channel) is used to identify the Primary Scrambling Code used for scrambling Primary Common Control Physical Channel (P-CCPCH) transmissions. The CPICH contains 20 bits of data, which are all zeros.

If Space Time Transmit Diversity (STTD) is enabled, a pattern of alternating 1's and 0's is used.

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Space Time Transmit Diversity (STTD)

Transmit diversity can be either STTD (Space Time Transmit Diversity) or TSTD (Time Switched Transmit Diversity) depending upon the specific channel requirements. Transmit diversity reduces the effects of fading by transmitting identical signals on two or more channels (antennas) which provides more reliable signal detection at the receiver.

Select this check-box to enable Space Time Transmit Diversity. If selected, STTD encoding is applied. When STTD encoding is applied, a second, lower output port is available for the Transmit Diversity waveform output, as shown in the example below.

STTD output port enabled


SCPICH Configuration (Secondary Common Pilot Channel)

SCPICH configuration dialog

The Secondary Common Pilot Channel is a specific case of the CPICH (Common Pilot Channel). It has an assigned arbitrary channelization code.

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Channelization Code

Highlight this cell and enter a value, or use the up and down arrows to set the desired channelization code.

Minimum: 0
Maximum: 255

Click this button to view 3GPP downlink OVSF codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Secondary Scrambling Code

Sets the desired secondary scrambling code.

For each primary scrambling code there are 16 secondary scrambling codes.

Minimum value: 0
Maximum value: 15

NOTE: This parameter is read-only for the RMC DPCH configuration.

Space Time Transmit Diversity (STTD)

Transmit diversity can be either STTD (Space Time Transmit Diversity) or TSTD (Time Switched Transmit Diversity) depending upon the specific channel requirements. Transmit diversity reduces the effects of fading by transmitting identical signals on two or more channels (antennas) which provides more reliable signal detection at the receiver.

Select this check-box to enable Space Time Transmit Diversity. If selected, STTD encoding is applied. When STTD encoding is applied, a second, lower output port is available for the Transmit Diversity waveform output, as shown in the example below.

STTD output port enabled


PSCH Configuration (Primary Synchronization Channel)

PSCH Configuration Dialog

The PSCH (Primary Synchronization Channel) is a downlink signal used for cell search. The SCH (Synchronization Control Channel) consists of two sub channels, the PSCH and SSCH (Secondary Synchronization Control Channel). Each frame of the SCH are 10ms in length, and are divided into 15 slots each having a length of 2560 chips. The PSCH has a 256 chip modulated code that is transmitted once in every slot.

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Time Switched Transmit Diversity (TSTD)

Time Switched Transmit Diversity (TSTD) is a technique utilizing multiple transmit channels to originate the downlink signal and improve performance. The transmit channel used is determined by a fixed selection pattern similar to frequency hopping.

Transmit diversity can be either TSTD (Time Switched Transmit Diversity) or STTD (Space Time Transmit Diversity) depending upon the specific channel requirements. Transmit diversity reduces the effects of fading by transmitting identical signals on two or more channels (antennas) which provides more reliable signal detection at the receiver.

Select to enable or disable Time Switched Transmit Diversity. If selected, TSTD encoding is applied. When TSTD encoding is applied, a second, lower output port is available for the Transmit Diversity waveform output, as shown in the example below.

TSTD output port enabled


SSCH Configuration (Secondary Synchronization Channel)

SSCH configuration dialog

The Secondary Synchronization Channel provides the information for the secondary search stage that detects frame boundaries of the pilot channel signals.

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Time Switched Transmit Diversity (TSTD)

Time Switched Transmit Diversity (TSTD) is a technique utilizing multiple transmit channels to originate the downlink signal and improve performance. The transmit channel used is determined by a fixed selection pattern similar to frequency hopping.

Transmit diversity can be either TSTD (Time Switched Transmit Diversity) or STTD (Space Time Transmit Diversity) depending upon the specific channel requirements. Transmit diversity reduces the effects of fading by transmitting identical signals on two or more channels (antennas) which provides more reliable signal detection at the receiver.

Select to enable or disable Time Switched Transmit Diversity. If selected, TSTD encoding is applied. When TSTD encoding is applied, a second, lower output port is available for the Transmit Diversity waveform output, as shown in the example below.

TSTD output port enabled


PCCPCH Configuration (Primary Common Control Physical Channel)

PCCPCH configuration dialog

The Primary Common Control Physical Channel is used to carry synchronization and broadcast information.

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Enable Coding

Select this check-box to enable coding for this channel, in the current configuration.

____

Data Source

Use the drop-down menu to select the desired data source for this channel. The choices are:

  • Standard Data Source
  • BCCH Message Source

BCCH Message Source

The BCCH (Broadcast Control Channel) is a downlink channel that contains specific parameters needed by a mobile station to identify and gain access to the network.

When BCCH Message Source is selected, the Initial system frame number (SFN) parameter is enabled.

Initial SFN

Sets the Initial SFN (Initial System Frame Number). The SFN identifies the framing and timing of a cell on Node B.

Minimum: 0
Maximum: 65535

NOTE: The Initial SFN parameter is available only when the selected Data Source is BCCH Message Source.

Standard Data Source

Select Edit to open the Standard Data Source dialog that allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Space Time Transmit Diversity (STTD)

Transmit diversity can be either STTD (Space Time Transmit Diversity) or TSTD (Time Switched Transmit Diversity) depending upon the specific channel requirements. Transmit diversity reduces the effects of fading by transmitting identical signals on two or more channels (antennas) which provides more reliable signal detection at the receiver.

Select this check-box to enable Space Time Transmit Diversity. If selected, STTD encoding is applied. When STTD encoding is applied, a second, lower output port is available for the Transmit Diversity waveform output, as shown in the example below.

STTD output port enabled


SCCPCH Configuration (Secondary Common Control Physical Channel)

The Secondary Common Control Physical Channel is used to carry the FACH (Forward Access Channel) and the PCH (Paging Channel).

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Relative Control Channel Power

Sets the desired power level for the control channel.

Minimum value: -80 dB
Maximum value: 80 dB

Channelization Code

Highlight this cell and enter a value, or use the up and down arrows to set the desired channelization code. The channelization code is coupled with the Slot Format Number so that the valid range is 0 to SF-1, where SF is the spreading factor for the current slot format.

Minimum: 0
Maximum: 511

Select this button to view 3GPP downlink OVSF codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.

Secondary Scrambling Code

Sets the desired secondary scrambling code.

For each primary scrambling code there are 16 secondary scrambling codes.

Minimum value: 0
Maximum value: 15

NOTE: This parameter is read-only for the RMC DPCH configuration.

Slot Format Number

Use this cell to set the desired slot format number.

The following table shows the slot formats for the W-CDMA downlink SCCPCH channel. Click [image] here to view the Downlink SCCPCH frame structure.

Downlink SCCPCH Frame Structure

Minimum value: 0
Maximum value: 17

Downlink SCCPCH fields

Slot Format #i | Channel Bit Rate (kbps) | Channel Symbol Rate (ksps) | Spreading Factor | Bits/Frame | Bits/Slot | Ndata1 | Npilot | NTFCI
0 | 30 | 15 | 256 | 300 | 20 | 20 | 0 | 0
1 | 30 | 15 | 256 | 300 | 20 | 12 | 8 | 0
2 | 30 | 15 | 256 | 300 | 20 | 18 | 0 | 2
3 | 30 | 15 | 256 | 300 | 20 | 10 | 8 | 2
4 | 60 | 30 | 128 | 600 | 40 | 40 | 0 | 0
5 | 60 | 30 | 128 | 600 | 40 | 32 | 8 | 0
6 | 60 | 30 | 128 | 600 | 40 | 38 | 0 | 2
7 | 60 | 30 | 128 | 600 | 40 | 30 | 8 | 2
8 | 120 | 60 | 64 | 1200 | 80 | 72 | 0 | 8
9 | 120 | 60 | 64 | 1200 | 80 | 64 | 8 | 8
10 | 240 | 120 | 32 | 2400 | 160 | 152 | 0 | 8
11 | 240 | 120 | 32 | 2400 | 160 | 144 | 8 | 8
12 | 480 | 240 | 16 | 4800 | 320 | 312 | 0 | 8
13 | 480 | 240 | 16 | 4800 | 320 | 296 | 16 | 8
14 | 960 | 480 | 8 | 9600 | 640 | 632 | 0 | 8
15 | 960 | 480 | 8 | 9600 | 640 | 616 | 16 | 8
16 | 1920 | 960 | 4 | 19200 | 1280 | 1272 | 0 | 8
17 | 1920 | 960 | 4 | 19200 | 1280 | 1256 | 16 | 8

Enable TFCI

Select the check-box to enable the TFCI (transport format combination indicator) for this channel in the current configuration.

TFCI (Transport Format Combination Indicator)

Set the desired TFCI value for this channel.

This is a representation of the current TFC (Transport Format Combination) being used. The TFCI allows the receiving layers to identify the current valid Transport Format Combination and correctly decode, de-multiplex and deliver the received data on the appropriate transport channels.

Minimum value: 0
Maximum value: 1023

Timing Offset

Sets the desired timing offset. Timing offset is the delay of the received signal relative to the expected signal from the mobile station.

Minimum value: 0
Maximum value: 149

Space Time Transmit Diversity (STTD)

Transmit diversity can be either STTD (Space Time Transmit Diversity) or TSTD (Time Switched Transmit Diversity) depending upon the specific channel requirements. Transmit diversity reduces the effects of fading by transmitting identical signals on two or more channels (antennas) which provides more reliable signal detection at the receiver.

Select this check-box to enable Space Time Transmit Diversity. If selected, STTD encoding is applied. When STTD encoding is applied, a second, lower output port is available for the Transmit Diversity waveform output, as shown in the example below.

STTD output port enabled


PICH Configuration (Paging Indicator Channel)

The Paging Indicator Channel (PICH) is a fixed rate physical channel used to carry the paging indicators. The PICH is always associated with an S-CCPCH to which a PCH transport channel is mapped.

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Channelization Code

Highlight this cell and enter a value, or use the up and down arrows to set the desired channelization code.

Minimum: 0
Maximum: 255

Select this button to view 3GPP downlink OVSF codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.

Data Source

Use the drop-down menu to select the desired data source for this channel. The choices are:

  • Standard Data Source
  • Paging Data Source

Paging Data Source

If Paging Data Source is selected as the Data Source, use the drop-down menu to select the desired number of paging indicators for each frame. The available choices are:

  • Pi18
  • Pi36
  • Pi72
  • Pi144

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Timing Offset

Sets the desired timing offset. Timing offset is the delay of the received signal relative to the expected signal from the mobile station.

Minimum value: 0
Maximum value: 149

Space Time Transmit Diversity (STTD)

Transmit diversity can be either STTD (Space Time Transmit Diversity) or TSTD (Time Switched Transmit Diversity) depending upon the specific channel requirements. Transmit diversity reduces the effects of fading by transmitting identical signals on two or more channels (antennas) which provides more reliable signal detection at the receiver.

Select this check-box to enable Space Time Transmit Diversity. If selected, STTD encoding is applied. When STTD encoding is applied, a second, lower output port is available for the Transmit Diversity waveform output, as shown in the example below.

STTD output port enabled


AICH - (Acquisition Indicator Channel)

AICH configuration dialog

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Channelization Code

Highlight this cell and enter a value, or use the up and down arrows to set the desired channelization code.

Minimum: 0
Maximum: 255

Select this button to view 3GPP downlink OVSF codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.

Timing Offset

Sets the desired timing offset. Timing offset is the delay of the received signal relative to the expected signal from the mobile station.

Minimum value: 0
Maximum value: 149

Space Time Transmit Diversity (STTD)

Transmit diversity can be either STTD (Space Time Transmit Diversity) or TSTD (Time Switched Transmit Diversity) depending upon the specific channel requirements. Transmit diversity reduces the effects of fading by transmitting identical signals on two or more channels (antennas) which provides more reliable signal detection at the receiver.

Select this check-box to enable Space Time Transmit Diversity. If selected, STTD encoding is applied. When STTD encoding is applied, a second, lower output port is available for the Transmit Diversity waveform output, as shown in the example below.

STTD output port enabled


OCNS Configuration (Orthogonal Channel Noise Simulator)

OCNS configuration dialog

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Configuration Type

Select the desired configuration type from the drop-down menu. The configuration types are based on the 3GPP specifications TS 25.101 and TS 25.141. The available choices are:

  • TS 25.101 - 6 Codes
  • TS 25.101 - 16 Codes
  • TS 25.141 Model 1 - 16 Codes
  • TS 25.141 Model 1 - 32 Codes
  • TS 25.141 Model 1 - 64 Codes
  • TS 25.141 Model 2 - 3 Codes
  • TS 25.141 Model 3 - 16 Codes
  • TS 25.141 Model 3 - 32 Codes
  • TS 25.141 Model 5 - 6 Codes
  • TS 25.141 Model 5 - 14 Codes
  • TS 25.141 Model 5 - 30 Codes
  • TS 25.141 Model 5 - 6 Codes + 2 HS-PDSCH
  • TS 25.141 Model 5 - 14 Codes + 4 HS-PDSCH
  • TS 25.141 Model 5 - 30 Codes + 8 HS-PDSCH

The following tables show the DPCH and HS-PDSCH channelization codes, timing offsets and relative power level settings for the OCNS signal.

TS 25.101 6 Codes

TS 25.101 - 6 codes

Channelization Code at SF=128 | Relative Level Setting (dB)* 6 codes
122 | 0
123 | -2
124 | -2
125 | -4
126 | -1
127 | -3

* The The relative level setting specified in dB refers only to the relationship between the OCNS channels. The level of the OCNS channels relative to the Ior of the complete signal is a function of the power of the other channels in the signal with the intention that the power of the group of OCNS channels is used to make the total signal add up to 1.

TS 25.101 16 Codes

TS 25.101 - 16 codes

Channelization Code at SF=128 | Relative Level Setting (dB)* 16 codes
2 | -1
11 | -3
17 | -3
23 | -5
31 | -2
38 | -4
47 | -8
55 | -7
62 | -4
69 | -6
78 | -5
85 | -9
94 | -10
125 | -8
113 | -6
119 | 0

* The The relative level setting specified in dB refers only to the relationship between the OCNS channels. The level of the OCNS channels relative to the Ior of the complete signal is a function of the power of the other channels in the signal with the intention that the power of the group of OCNS channels is used to make the total signal add up to 1.

TS 25.141 Test Model 1 with 16, 32 and 64 Codes

TS 25.141 Test Model 1 DPCH Spreading Code, Timing Offsets and Level Settings

Code | Timing Offset (x256 Tchip) | Level Settings (dB) 16 codes | Level Settings (dB) 32 codes | Level Settings (dB) 64 codes
2 | 86 | -10 | -13 | -16
11 | 134 | -12 | -13 | -16
17 | 52 | -12 | -14 | -16
23 | 45 | -14 | -15 | -17
31 | 143 | -11 | -17 | -18
38 | 112 | -13 | -14 | -20
47 | 59 | -17 | -16 | -16
55 | 23 | -16 | -18 | -17
62 | 1 | -13 | -16 | -16
69 | 88 | -15 | -19 | -19
78 | 30 | -14 | -17 | -22
85 | 18 | -18 | -15 | -20
94 | 30 | -19 | -17 | -16
102 | 61 | -17 | -22 | -17
113 | 128 | -15 | -20 | -19
119 | 143 | -9 | -24 | -21
7 | 83 |  | -20 | -19
13 | 25 |  | -18 | -21
20 | 103 |  | -14 | -18
27 | 97 |  | -14 | -20
35 | 56 |  | -16 | -24
41 | 104 |  | -19 | -24
51 | 51 |  | -18 | -22
58 | 26 |  | -17 | -21
64 | 137 |  | -22 | -18
74 | 65 |  | -19 | -20
82 | 37 |  | -19 | -17
88 | 125 |  | -16 | -18
97 | 149 |  | -18 | -19
108 | 123 |  | -15 | -23
117 | 83 |  | -17 | -22
125 | 5 |  | -12 | -21
4 | 91 |  |  | -17
9 | 7 |  |  | -18
12 | 32 |  |  | -20
14 | 21 |  |  | -17
19 | 29 |  |  | -19
22 | 59 |  |  | -21
26 | 22 |  |  | -19
28 | 138 |  |  | -23
34 | 31 |  |  | -22
36 | 17 |  |  | -19
40 | 9 |  |  | -24
44 | 69 |  |  | -23
49 | 49 |  |  | -22
53 | 20 |  |  | -19
56 | 57 |  |  | -22
61 | 121 |  |  | -21
63 | 127 |  |  | -18
66 | 114 |  |  | -19
71 | 100 |  |  | -22
76 | 76 |  |  | -21
80 | 141 |  |  | -19
84 | 82 |  |  | -21
87 | 64 |  |  | -19
91 | 149 |  |  | -21
95 | 87 |  |  | -20
99 | 98 |  |  | -25
105 | 46 |  |  | -25
110 | 37 |  |  | -25
116 | 87 |  |  | -24
118 | 149 |  |  | -22
122 | 85 |  |  | -20
126 | 69 |  |  | -15

TS 25.141 Test Model 2 with 3 Codes

TS 25.141 Test Model 2 DPCH Spreading Code, Timing Offsets and Level Settings

Code | Timing Offset (x256 Tchip) | Level Settings (dB) 3 codes
24 | 1 | -10
72 | 7 | -10
120 | 2 | -3

TS 25.141 Test Model 3 with 16 and 32 Codes

TS 25.141 Test Model 3 DPCH Spreading Code, Timing Offsets and Level Settings

Code | Timing offset (x256 Tchip) | Level Settings (dB) 16 codes | Level Settings (dB) 32 codes
64 | 86 | -14 | -16
69 | 134 | -14 | -16
74 | 52 | -14 | -16
78 | 45 | -14 | -16
83 | 143 | -14 | -16
89 | 112 | -14 | -16
93 | 59 | -14 | -16
96 | 23 | -14 | -16
100 | 1 | -14 | -16
105 | 88 | -14 | -16
109 | 30 | -14 | -16
111 | 18 | -14 | -16
115 | 30 | -14 | -16
118 | 61 | -14 | -16
122 | 128 | -14 | -16
125 | 143 | -14 | -16
67 | 83 |  | -16
71 | 25 |  | -16
76 | 103 |  | -16
81 | 97 |  | -16
86 | 56 |  | -16
90 | 104 |  | -16
95 | 51 |  | -16
98 | 26 |  | -16
103 | 137 |  | -16
108 | 65 |  | -16
110 | 37 |  | -16
112 | 125 |  | -16
117 | 149 |  | -16
119 | 123 |  | -16
123 | 83 |  | -16
126 | 5 |  | -16

TS 25.141 Test Model 5 with 6, 14 and 30 Codes

TS 25.141 Test Model 5 DPCH Spreading Code

Code | Timing offset (x256 Tchip) | Level Settings (dB) 30 codes | Level Settings (dB) 14 codes | Level Settings (dB) 6 codes
15 | 86 | -20 | -17 | -17
23 | 134 | -20 | -19 | -15
68 | 52 | -21 | -19 | -15
76 | 45 | -22 | -20 | -18
82 | 143 | -24 | -18 | -16
90 | 112 | -21 | -20 | -17
5 | 59 | -23 | -25 |
11 | 23 | -25 | -23 |
17 | 1 | -23 | -20 |
27 | 88 | -26 | -22 |
64 | 30 | -24 | -21 |
72 | 18 | -22 | -22 |
86 | 30 | -24 | -19 |
94 | 61 | -28 | -20 |
3 | 128 | -27 |  |
7 | 143 | -26 |  |
13 | 83 | -27 |  |
19 | 25 | -25 |  |
21 | 103 | -21 |  |
25 | 97 | -21 |  |
31 | 56 | -23 |  |
66 | 104 | -26 |  |
70 | 51 | -25 |  |
74 | 26 | -24 |  |
78 | 137 | -27 |  |
80 | 65 | -26 |  |
84 | 37 | -23 |  |
88 | 125 | -25 |  |
89 | 149 | -22 |  |
92 | 123 | -24 |  |

TS 25.141 Test Model 5 with 2, 4 and 8 HS-PDSCH Channels

TS 25.141 Test Model 5 HS-PDSCH Spreading Code, Timing Offsets and Level Settings

Code (SF=16) | Timing offset (x256 Tchip) | Level Settings (dB) 8 codes | Level Settings (dB) 4 codes | Level Settings (dB) 2 codes
4 | 0 | -11 | -8 | -5
5 | 0 | -11 | -8 |
6 | 0 | -11 |  |
7 | 0 | -11 |  |
12 | 0 | -11 | -8 | -5
13 | 0 | -11 | -8 |
14 | 0 | -11 |  |
15 | 0 | -11 |  |

Space Time Transmit Diversity (STTD)

Transmit diversity can be either STTD (Space Time Transmit Diversity) or TSTD (Time Switched Transmit Diversity) depending upon the specific channel requirements. Transmit diversity reduces the effects of fading by transmitting identical signals on two or more channels (antennas) which provides more reliable signal detection at the receiver.

Select this check-box to enable Space Time Transmit Diversity. If selected, STTD encoding is applied. When STTD encoding is applied, a second, lower output port is available for the Transmit Diversity waveform output, as shown in the example below.

STTD output port enabled


DPCH Configuration (Downlink Dedicated Physical Channel)

DPCH configuration dialog

The Downlink DPCH (Downlink Dedicated Physical Channel) carries the DPDCH (Dedicated Physical Data Channel) and the DPCCH (Dedicated Physical Control Channel).

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Data Source

Use the drop-down menu to select the desired data source for this channel. The choices are:

  • Standard Data Source
  • CCTrCH

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Relative Control Channel Power

Sets the desired power level for the control channel.

Minimum value: -80 dB
Maximum value: 80 dB

Channelization Code

Highlight this cell and enter a value, or use the up and down arrows to set the desired channelization code.

Minimum: 0
Maximum: 511

Select this button to view 3GPP downlink OVSF codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.

Multicode Number

Sets the desired multicode number.

Minimum value: 0
Maximum value: 6

NOTE: This parameter is read-only for the RMC DPCH configuration.

Secondary Scrambling Code

Sets the desired secondary scrambling code.

For each primary scrambling code there are 16 secondary scrambling codes.

Minimum value: 0
Maximum value: 15

NOTE: This parameter is read-only for the RMC DPCH configuration.

Slot Format

Use the drop-down menu to set the desired slot format number.

The following table shows the slot formats for the W-CDMA downlink DPDCH and DPCCH channels. Click [image] here to view the Downlink DPDCH/DPCCH frame structure.

Downlink DPDCH/DPCCH Frame Structure

Minimum value: 0
Maximum value: 16

Downlink DPDCH/DPCCH fields

Slot Format #i | Channel Bit Rate (kbps) | Channel Symbol Rate (ksps) | Spreading Factor | Bits/Slot | DPDCH Bits/Slot |  | DPCCH Bits/Slot |  |  | Transmitted Slots Per Radio Frame NTr
 |  |  |  |  | NData1 | NData2 | NTPC | NTFCI | Npilot
0 | 15 | 7.5 | 512 | 10 | 0 | 4 | 2 | 0 | 4 | 15
1 | 15 | 7.5 | 512 | 10 | 0 | 2 | 2 | 2 | 4 | 15
2 | 30 | 15 | 256 | 20 | 2 | 14 | 2 | 0 | 2 | 15
3 | 30 | 15 | 256 | 20 | 2 | 12 | 2 | 2 | 2 | 15
4 | 30 | 15 | 256 | 20 | 2 | 12 | 2 | 0 | 4 | 15
5 | 30 | 15 | 256 | 20 | 2 | 10 | 2 | 2 | 4 | 15
6 | 30 | 15 | 256 | 20 | 2 | 8 | 2 | 0 | 8 | 15
7 | 30 | 15 | 256 | 20 | 2 | 6 | 2 | 2 | 8 | 15
8 | 60 | 30 | 128 | 40 | 6 | 28 | 2 | 0 | 4 | 15
9 | 60 | 30 | 128 | 40 | 6 | 26 | 2 | 2 | 4 | 15
10 | 60 | 30 | 128 | 40 | 6 | 24 | 2 | 0 | 8 | 15
11 | 60 | 30 | 128 | 40 | 6 | 22 | 2 | 2 | 8 | 15
12 | 120 | 60 | 64 | 80 | 12 | 48 | 4 | 8* | 8 | 15
13 | 240 | 120 | 32 | 160 | 28 | 112 | 4 | 8* | 8 | 15
14 | 480 | 240 | 16 | 320 | 56 | 232 | 8 | 8* | 16 | 15
15 | 960 | 480 | 8 | 640 | 120 | 488 | 8 | 8* | 16 | 15
16 | 1920 | 960 | 4 | 1280 | 248 | 1000 | 8 | 8* | 16 | 15

* If TFCI bits are not used, then DTX (discontinuous transmission) is used in the TFCI field.

Enable TFCI

Select the check-box to enable the TFCI (transport format combination indicator) for this channel in the current configuration.

TFCI (Transport Format Combination Indicator)

Set the desired TFCI value for this channel.

This is a representation of the current TFC (Transport Format Combination) being used. The TFCI allows the receiving layers to identify the current valid Transport Format Combination and correctly decode, de-multiplex and deliver the received data on the appropriate transport channels.

Minimum value: 0
Maximum value: 1023

TPC Data

Select Edit to open the Standard Data Source dialog, which allows you to define the TPC (Transmit Power Control) data for this channel.

Timing Offset

Sets the desired timing offset. Timing offset is the delay of the received signal relative to the expected signal from the mobile station.

Minimum value: 0
Maximum value: 149

Space Time Transmit Diversity (STTD)

Transmit diversity can be either STTD (Space Time Transmit Diversity) or TSTD (Time Switched Transmit Diversity) depending upon the specific channel requirements. Transmit diversity reduces the effects of fading by transmitting identical signals on two or more channels (antennas) which provides more reliable signal detection at the receiver.

Select this check-box to enable Space Time Transmit Diversity. If selected, STTD encoding is applied. When STTD encoding is applied, a second, lower output port is available for the Transmit Diversity waveform output, as shown in the example below.

STTD output port enabled


Compressed Mode Pattern Sequence

Compressed Mode Pattern Sequence

Compressing the frames reduces the overall amount of data transmitted, which produces gaps in the slots that can be used for other purposes, rather than transmitting data. For example, they can be used to trigger power measurements or handoff operations, and can be placed in different positions in the frame. Either one or two transmission gaps are permitted in each frame, and if two transmission gaps are used, each can have a different length. The illustration below shows the transmission gap pattern sequence as defined in TS 25.215.

Compressed Mode Pattern Sequence

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Alternate Scrambling

Select to enable alternate scrambling for this channel in the current configuration.

Compression Method

Use the drop-down menu to select the desired compression method. The available choices are:

  • Puncturing
  • Higher Layer Scheduling
  • Spreading Factor Reduction

Puncturing

Removes various bits from the original data to reduce the amount of information that needs to be transmitted.

Higher Layer Scheduling

Higher layers reduce the transport block size and so use fewer timeslots for data transmission.

Spreading Factor Reduction

The spreading code can be reduced by 2 (SF/2) during one compressed frame so the information bits can be transmitted in the remaining time slots of the compressed frame. This will increase the data rate so bits will be sent twice as fast.

DL Frame Structure

Use the drop-down menu to select the desired DL (downlink) frame structure. The available choices are:

  • Transmit TPC
  • Do Not Transmit TPC

TGD

Highlight this cell and enter a value, or use the up and down arrows to set the desired number of slots for the transmission gap start distance (TGD), which is the duration between the starting slots of two consecutive transmission gaps within a transmission gap pattern.

TGD (Transmission Gap start Distance): This is the duration between the starting slots of two consecutive transmission gaps within a transmission gap pattern, expressed in number of slots.

Minimum value: 0
Maximum value: 3839

TGL1

This parameter sets the desired number of slots for the first transmission gap length.

Minimum value: 0
Maximum value: 14

TGL2

Sets the desired number of slots for the second transmission gap length.

Minimum value: 0
Maximum value: 14

TGPL1

Sets the desired number of frames for the first transmission gap pattern length (TGPL).

Minimum value: 0
Maximum value: 255

TGPL2

Sets the desired number of frames for the second transmission gap pattern length (TGPL2).

Minimum value: 0
Maximum value: 255

TGSN

Sets the desired transmission gap slot number (TGSN). A transmission gap pattern begins in the first radio frame of the transmission gap pattern that contains at least one transmission gap slot. The TGSN is the slot number of the first transmission gap slot.

Minimum value: 0
Maximum value: 14


CCTrCH (DL Coded Composite Transport Channel)

When CCTrCH is selected as the DPCH data source, this selection is available in tree view. Use this parameter to set the desired number of downlink TrCH's (Transport Channels).

Minimum value: 1
Maximum value: 32


TrCH Configuration (DL Transport Channel)

TrCH Configuration (Coded Composite Transport Channel)

Coding Type

Use the drop-down menu to select the desired coding type. The available choices are:

  • turbo3 (1/3 rate turbo encoder)
  • conv3 (1/3 rate convolutional encoder)
  • conv2 (1/2 rate convolutional encoder)

CRC Length

Use the drop-down menu to select the desired CRC (Cyclic Redundancy Counter) length, which is the number of bits to be added to the DPCH data. The available choices are:

  • crc0 (0 bits)
  • crc8 (8 bits)
  • crc12 (12 bits)
  • crc16 (16 bits)
  • crc24 (24 bits)

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Rate Matching Attribute

Highlight this cell and enter a value, or use the up and down arrows to set the desired Rate Matching Attribute. The higher the value entered here sets a higher priority for the channel's data bits.

Minimum value: 1
Maximum value: 256

Tr Block Number

Highlight this cell and enter a value, or use the up and down arrows to set the desired Transport Block Number.

Minimum value: 1
Maximum value: 512

Tr Block Size

Highlight this cell and enter a value, or use the up and down arrows to set the desired Transport Block Size.

Minimum value: 0
Maximum value: 163840

TTI

Use the drop-down menu to select the desired TTI (Transmission Time Interval), in milliseconds. The available choices are:

  • 10 ms
  • 20 ms
  • 40 ms
  • 80 ms

The TTI is defined as the inter-arrival time of the TBS (Transport Block Set), and is equal to the regularly occurring intervals at which a Transport Block Set is transferred by the physical layer on the radio interface. It is always a multiple of the minimum interleaving period (for example, 10ms, the length of one radio frame). The MAC (Medium Access Control) delivers one Transport Block Set to the physical layer every TTI.


FDPCH Configuration (Fractional Dedicated Physical Channel)

The Fractional Dedicated Physical Channel carries control information generated at layer 1 (TPC commands).

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

TPC Data

Select Edit to open the Standard Data Source dialog, which allows you to define the TPC (Transmit Power Control) data for this channel.

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Channelization Code

Highlight this cell and enter a value, or use the up and down arrows to set the desired channelization code.

Minimum: 0
Maximum: 255

Select this button to view 3GPP downlink OVSF codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.

Secondary Scrambling Code

Sets the desired secondary scrambling code.

For each primary scrambling code there are 16 secondary scrambling codes.

Minimum value: 0
Maximum value: 15

NOTE: This parameter is read-only for the RMC DPCH configuration.

Slot Format Number (FDPCH)

Highlight this cell and enter a value, or use the up and down arrows to set the desired slot format number.

The following table shows the slot formats for the W-CDMA downlink FDPCH channels. Click [image] here to view the FDPCH frame structure.

F-DPCH Frame Structure

Each 10 ms frame is divided into 15 slots. Each slot has a length of 2560 chips (Tslot = 2560 chips) that corresponds to one power control period.

Slot Format #i | Channel Bit Rate (kbps) | Channel Symbol Rate (ksps) | SF | Bits/Slot | F-DPCH Bits/Slot
 |  |  |  |  | NTPC
0 | 3 | 1.5 | 256 | 2 | 2

Minimum value: 0
Maximum value: 9

Space Time Transmit Diversity (STTD)

Transmit diversity can be either STTD (Space Time Transmit Diversity) or TSTD (Time Switched Transmit Diversity) depending upon the specific channel requirements. Transmit diversity reduces the effects of fading by transmitting identical signals on two or more channels (antennas) which provides more reliable signal detection at the receiver.

Select this check-box to enable Space Time Transmit Diversity. If selected, STTD encoding is applied. When STTD encoding is applied, a second, lower output port is available for the Transmit Diversity waveform output, as shown in the example below.

STTD output port enabled


RMC DPCH - Reference Measurement Channel (Dedicated Physical Channel)

Configuration

Use the drop-down menu to select a Reference Measurement Channel configuration, based on parameters defined in TS 25.101. When the RMC configuration has been selected, the chosen data rate is displayed in the tree view and on the user interface.

RMC 0 kbps tree view

The available choices are:

  • RMC 0 kbps
  • RMC 12.2 kbps
  • RMC 64 kbps
  • RMC 144 kbps
  • RMC 384 kbps


RMC n kbps - Reference Measurement Channel

Reference Measurement Channel dialog

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Relative Control Channel Power

Use this cell to set the power level for the control channel.

Minimum value: -80.0 dB
Maximum value: 80.0 dB

Channelization Code

Highlight this cell and enter a value, or use the up and down arrows to set the desired channelization code.

Minimum: 0
Maximum: 511

Select this button to view 3GPP downlink OVSF codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.

Multicode Number

Sets the desired multicode number.

Minimum value: 0
Maximum value: 6

NOTE: This parameter is read-only for the RMC DPCH configuration.

Secondary Scrambling Code

Sets the desired secondary scrambling code.

For each primary scrambling code there are 16 secondary scrambling codes.

Minimum value: 0
Maximum value: 15

NOTE: This parameter is read-only for the RMC DPCH configuration.

Slot Format

This is a read-only field that displays the slot format number of the RMC configuration based on the parameters set in TS 25.101.

Enable TFCI

Select the check-box to enable the TFCI (transport format combination indicator) for this channel in the current configuration.

TFCI (Transport Format Combination Indicator)

Set the desired TFCI value for this channel.

This is a representation of the current TFC (Transport Format Combination) being used. The TFCI allows the receiving layers to identify the current valid Transport Format Combination and correctly decode, de-multiplex and deliver the received data on the appropriate transport channels.

Minimum value: 0
Maximum value: 1023

TPC Data

Select Edit to open the Standard Data Source dialog, which allows you to define the TPC (Transmit Power Control) data for this channel.

Timing Offset

Sets the desired timing offset. Timing offset is the delay of the received signal relative to the expected signal from the mobile station.

Minimum value: 0
Maximum value: 149

Space Time Transmit Diversity (STTD)

Transmit diversity can be either STTD (Space Time Transmit Diversity) or TSTD (Time Switched Transmit Diversity) depending upon the specific channel requirements. Transmit diversity reduces the effects of fading by transmitting identical signals on two or more channels (antennas) which provides more reliable signal detection at the receiver.

Select this check-box to enable Space Time Transmit Diversity. If selected, STTD encoding is applied. When STTD encoding is applied, a second, lower output port is available for the Transmit Diversity waveform output, as shown in the example below.

STTD output port enabled


CCTrCH - Coded Composite Transport Channel

CCTrCH - RMC DPCH

At this time there are no edit controls for this channel.

See Also:

  • DTCH (Dedicated Traffic Channel) Transport Channel
  • DCCH (Dedicated Control Channel) Transport Channel


DTCH (Dedicated Traffic Channel) Transport Channel

DTCH Transport Channel dialog

All of the parameters for the DTCH transport channel, with the exception of Data Source, are automatically set according to the DL RMC channel configurations defined in TS 25.101 for the specific RMC channel selected. Refer to Standard Data Source for information on configuring the data source.

The DTCH is a point-to-point channel, dedicated to one mobile station (UE) for the transfer of user information. A DTCH can exist in both the uplink and downlink direction.


DCCH (Dedicated Control Channel) Transport Channel

DCCH Transport Channel dialog

All of the parameters for the DCCH transport channel, with the exception of Data Source, are automatically set according to the DL RMC channel configurations defined in TS 25.101 for the specific RMC channel selected. Refer to Standard Data Source for information on configuring the data source.

The DCCH is a point-to-point, bidirectional channel that transmits dedicated control information between a mobile station (UE) and the network. This channel is established through the RRC (Radio Resource Control) connection setup procedure.


HSDPAFRC Configuration (High Speed Downlink Packet Access Fixed Reference Channels)

HSDPAFRC configuration dialog

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Inactive Burst Fill

Select Inactive Burst Fill to fill the inactive bursts in a given H-Set with a configuration that uses the same channelization codes, but contains an un-encoded PN9 transmission, therefore giving a constant power level at all times.

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Secondary Scrambling Code

Sets the desired secondary scrambling code.

For each primary scrambling code there are 16 secondary scrambling codes.

Minimum value: 0
Maximum value: 15

NOTE: This parameter is read-only for the RMC DPCH configuration.

HSet Test

Use the drop-down menu to select the desired HSet test as defined in 3GPP TS34.121. The available choices are:

  • HSet 1 - QPSK

  • HSet 6 - QPSK
  • HSet 1 - 16QAM

  • HSet 6 - 16QAM
  • HSet 2 - QPSK

  • HSet 7 - QPSK
  • HSet 2 - 16QAM

  • HSet 8 -64QAM
  • HSet 3 - QPSK

  • HSet 9 - QPSK + 16QAM
  • HSet 3 - 16QAM

  • HSet 10 - QPSK
  • HSet 4 - QPSK

  • HSet 10 - 16QAM
  • HSet 5 - QPSK

  • HSet 11 - 16QAM + 64QAM

Precoding Matrix Index

Use this index number to control the choice of precoding weights for HSet 9 and HSet 11 MIMO HSet tests, as defined in TS 25.214 V8.4.0.

Minimum value: 0
Maximum value: 3

The following table shows the mapping of precoding weight w2 to PCI values

Precoding weight | PCI value
 | 0
 | 1
 | 2
 | 3

First HS-PDSCH Code

Sets the code number for the first HS-PDSCH.

Minimum value: 0
Maximum value: 15

HS-SCCH Channelization Code

Sets the desired channelization code for the HS-SCCH.

Minimum value: 1
Maximum value: 127

Select this button to view 3GPP downlink OVSF codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.

Ue ID

Use this cell to set the desired handset ID number.

Minimum value: 0
Maximum value: 65535

Xrv

Use this cell to set the desired Xrv value. Xrv is a combination of the Redundancy Version (RV) parameters r and s, and the Constellation Version parameter b.

Minimum value: 0
Maximum value: 7

The redundancy version parameters r, s and constellation version parameter b are coded jointly to produce the value Xrv. Xrv is alternatively represented as the sequence Xrv,1, Xrv,2, Xrv,3 where Xrv,1 is the MSB. This is done according to the following tables and the modulation mode used:

RV Coding for 16QAM |  |  |  | RV Coding for QPSK
Xrv (value) | s | r | b | Xrv (value) | r | b
0 | 1 | 0 | 0 | 0 | 1 | 0
1 | 0 | 0 | 0 | 1 | 0 | 0
2 | 1 | 1 | 1 | 2 | 1 | 1
3 | 0 | 1 | 1 | 3 | 0 | 1
4 | 1 | 0 | 1 | 4 | 1 | 2
5 | 1 | 0 | 2 | 5 | 0 | 2
6 | 1 | 0 | 3 | 6 | 1 | 3
7 | 1 | 1 | 0 | 7 | 0 | 3

Space Time Transmit Diversity (STTD)

Transmit diversity can be either STTD (Space Time Transmit Diversity) or TSTD (Time Switched Transmit Diversity) depending upon the specific channel requirements. Transmit diversity reduces the effects of fading by transmitting identical signals on two or more channels (antennas) which provides more reliable signal detection at the receiver.

Select this check-box to enable Space Time Transmit Diversity. If selected, STTD encoding is applied. When STTD encoding is applied, a second, lower output port is available for the Transmit Diversity waveform output, as shown in the example below.

STTD output port enabled


EHICH Configuration (Enhanced Hybrid ARQ Indicator Channel)

EHICH Configuration Dialog

The E-DCH HARQ Acknowledgement Indicator Channel is a fixed rate (Spreading Factor = 128) dedicated downlink physical channel carrying the uplink E-DCH hybrid ARQ acknowledgement indicator.

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Channelization Code

Highlight this cell and enter a value, or use the up and down arrows to set the desired channelization code.

Minimum: 0
Maximum: 127

Select this button to view 3GPP downlink OVSF codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.

Secondary Scrambling Code

Sets the desired secondary scrambling code.

For each primary scrambling code there are 16 secondary scrambling codes.

Minimum value: 0
Maximum value: 15

NOTE: This parameter is read-only for the RMC DPCH configuration.

Sequence Index

Highlight this cell and enter a value, or use the up and down arrows to set the desired sequence index number.

Minimum value: 0
Maximum value: 39

Slot Transmit Length

Use the drop-down menu to select the desired slot transmission length. The available choices are:

  • 3 Slots
  • 12 Slots

Space Time Transmit Diversity (STTD)

Transmit diversity can be either STTD (Space Time Transmit Diversity) or TSTD (Time Switched Transmit Diversity) depending upon the specific channel requirements. Transmit diversity reduces the effects of fading by transmitting identical signals on two or more channels (antennas) which provides more reliable signal detection at the receiver.

Select this check-box to enable Space Time Transmit Diversity. If selected, STTD encoding is applied. When STTD encoding is applied, a second, lower output port is available for the Transmit Diversity waveform output, as shown in the example below.

STTD output port enabled


ERGCH Configuration (Enhanced Relative Grant Channel)

ERGCH Configuration Dialog

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Channelization Code

Highlight this cell and enter a value, or use the up and down arrows to set the desired channelization code.

Minimum: 0
Maximum: 127

Select this button to view 3GPP downlink OVSF codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.

Secondary Scrambling Code

Sets the desired secondary scrambling code.

For each primary scrambling code there are 16 secondary scrambling codes.

Minimum value: 0
Maximum value: 15

NOTE: This parameter is read-only for the RMC DPCH configuration.

Sequence Index

Highlight this cell and enter a value, or use the up and down arrows to set the desired sequence index number.

Minimum value: 0
Maximum value: 39

Slot Transmit Length

Use the drop-down menu to select the desired slot transmission length. The available choices are:

  • 3 Slots
  • 12 Slots

Space Time Transmit Diversity (STTD)

Transmit diversity can be either STTD (Space Time Transmit Diversity) or TSTD (Time Switched Transmit Diversity) depending upon the specific channel requirements. Transmit diversity reduces the effects of fading by transmitting identical signals on two or more channels (antennas) which provides more reliable signal detection at the receiver.

Select this check-box to enable Space Time Transmit Diversity. If selected, STTD encoding is applied. When STTD encoding is applied, a second, lower output port is available for the Transmit Diversity waveform output, as shown in the example below.

STTD output port enabled


EAGCH Configuration (Enhanced Absolute Grant Channel)

EAGCH Configuration Dialog

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

AGS Source (Absolute Grant Scope)

Select Edit to open the Standard Payload Data Source dialog that allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Hex Value
  • Alternating Zero One
  • PN9
  • PN9 ITU
  • PN15
  • PN23
  • User file

AGV Source (Absolute Grant Value)

Select Edit to open the Standard Payload Data Source dialog that allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Hex Value
  • Alternating Zero One
  • PN9
  • PN9 ITU
  • PN15
  • PN23
  • User file

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Channelization Code

Highlight this cell and enter a value, or use the up and down arrows to set the desired channelization code.

Minimum: 0
Maximum: 255

Select this button to view 3GPP downlink OVSF codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.

Secondary Scrambling Code

Sets the desired secondary scrambling code.

For each primary scrambling code there are 16 secondary scrambling codes.

Minimum value: 0
Maximum value: 15

NOTE: This parameter is read-only for the RMC DPCH configuration.

ERNTI (E-DCH Radio Network Temporary Identifier)

Highlight this cell and enter a value, or use the up and down arrows to set the desired ERNTI number.

The ERNTI (E-DCH Radio Network Temporary Identifier) is allocated by Node B upon the handset establishing an E-DCH (Enhanced UL DCH) channel. An E-DCH RNTI allocated to a handset / handset group shall be unique within the cell carrying the E-DCH.

Minimum value: 0
Maximum value: 65535

TTI

Use the drop-down menu to select the desired TTI (Transmission Time Interval), in milliseconds. The available choices are:

  • 10 ms
  • 20 ms
  • 40 ms
  • 80 ms

The TTI is defined as the inter-arrival time of the TBS (Transport Block Set), and is equal to the regularly occurring intervals at which a Transport Block Set is transferred by the physical layer on the radio interface. It is always a multiple of the minimum interleaving period (for example, 10ms, the length of one radio frame). The MAC (Medium Access Control) delivers one Transport Block Set to the physical layer every TTI.

Space Time Transmit Diversity (STTD)

Transmit diversity can be either STTD (Space Time Transmit Diversity) or TSTD (Time Switched Transmit Diversity) depending upon the specific channel requirements. Transmit diversity reduces the effects of fading by transmitting identical signals on two or more channels (antennas) which provides more reliable signal detection at the receiver.

Select this check-box to enable Space Time Transmit Diversity. If selected, STTD encoding is applied. When STTD encoding is applied, a second, lower output port is available for the Transmit Diversity waveform output, as shown in the example below.

STTD output port enabled


3GPP Uplink Signal Configuration

Shown above is the main view of the 3GPP Uplink channel configurations interface. The tree view is similar in layout to many other Windows-style user interface setups where you use the tree view to navigate between the available channel setups and other associated parameters and settings for the 3GPP W-CDMA Uplink channels. By selecting an item in the tree view, the parameters and other channel configuration settings are displayed in the parameter view.

You can also right-click any item in the tree view to display available menu selections that allow you to enable or disable specific channels, or to add or delete channels in your current test setup. As each channel is added or deleted, or as parameters are changed, the Conflict Checker, shown at the bottom of the user interface, displays information related to each of the channel setups and whether or not any conflicts between channels are encountered.


Parameters - Favorites (3GPP Uplink)

Click Parameters in the tree view to access the Favorites page. By default, this page is blank when first defining your 3GPP Uplink parameters.

Parameters - Favorites (3GPP Uplink)

You can add any of your most often used setup parameters to this page to have easy access to many parameters in one central location. Changes made here are also shown in the original location. To help identify exactly which parameter you are changing, the parameter field is preceded by the parameter name and location. You can also delete or change the order of your favorites on the page, or jump to the page that your favorite came from by right-clicking the parameter and then selecting the desired operation from the [image] popup menu.

View favorites page popup menu

For example, to add the DPCH (Uplink Dedicated Physical Channel) power level parameter to the favorites page, you would:

  1. Click DPCH in the tree view.
  2. Right-click in the Power Level parameter field.
  3. Select Add to Favorites.

    The DPCH power level is now available.

  4. Change the Power Level as desired.
  5. Select Apply Changes to apply the changes and keep the page open, or click OK to apply the changes and close the Edit Element Configuration window.

See Also

3GPP Uplink Signal Configuration Overview


General Settings (3GPP Uplink)

Select General Settings in the tree view to access the parameters common for all the W-CDMA 3GPP channels.

General Settings (3GPP Uplink)

File Length in Chips

This parameter sets the desired file length (in chips).

The file length should be a multiple of all of the channel transmit time interval periods, which are 10, 20, 40 and 80 ms for a correct wrap point in the ARB file.

Minimum value: 38400
Maximum value: 50000000

Scrambling Code

Highlight this cell and enter a value, or use the up and down arrows to select the desired Scrambling Code. This sets the Scrambling Code for all uplink channels.

Minimum value: 0
Maximum value: 38399

NOTE: SignalMeisterÔ supports the Long Scrambling Code only, with a range of 0 to 38399 as per the standard.

Normalize to 0 db

Select to set the total transmit power to 0 dB. The total transmit power is scaled to 0 dB by scaling the Power Level parameter for all channels by some common relative power.


Modulation and Filtering (3GPP Uplink)

WCDMA Uplink Modulation and Filtering

Filter Coefficient Source

Select Edit to open the Configure Filtering dialog to choose the desired filter coefficient source. The available choices are:

  • None
  • RRC Filter - 3GPP Standard (Root Raised Cosine)
  • RRC Filter - 3GPP ACLR Optimized
  • User Coefficient File
  • Coefficient List

Oversampling Ratio

Set the desired over sampling ratio (OSR). The OSR value should be set according to the filter type being used and their designed sampling rates.

For example, the RRC Filter - 3GPP Standard filter type is adaptive and can have an OSR from 1 to 64. However, the RRC Filter - 3GPP ACLR Optimized filter type is designed for an OSR of 4 and any other setting will produce a conflict error.

Minimum value: 1
Maximum value: 64

Invert Q

Select this check-box to invert the quadrature phase (imaginary) component of the output.


Uplink Channels

3GPP Uplink Channels


DPCH Configuration (Uplink Dedicated Physical Channel)

W-CDMA UL DPCH Configuration

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Data Source

Use the drop-down menu to select the desired data source for this channel. The choices are:

  • Standard Data Source
  • BCCH Message Source

CCTrCH

Highlight this cell and enter a value, or use the up and down arrows to enter the desired number of Coded Composite Transport Channels.

Minimum value: 1
Maximum value: 2

Standard Data Source

Select Edit to open the Standard Data Source dialog that allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Relative Control Channel Power

Use this cell to set the power level for the control channel.

Minimum value: -80.0 dB
Maximum value: 80.0 dB

Physical Channel Combination

Use the drop-down menu to select the desired physical channel combination. The available choices are:

  • SF=4, Phy Ch=1, 960 kbps
  • SF=4, Phy Ch=2, 1920 kbps
  • SF=4, Phy Ch=3, 2880 kbps
  • SF=4, Phy Ch=4, 3840 kbps
  • SF=4, Phy Ch=5, 4800 kbps
  • SF=4, Phy Ch=6, 5760 kbps
  • SF=8, Phy Ch=1, 480 kbps
  • SF=16, Phy Ch=1, 240 kbps
  • SF=32, Phy Ch=1, 120 kbps
  • SF=64, Phy Ch=1, 60 kbps
  • SF=128, Phy Ch=1, 30 kbps
  • SF=256, Phy Ch=1, 15 kbps

Control Slot Format

Use the drop-down menu to select the desired control slot format. The available choices are:

  • SF=0, Npilot=6, Ntpc=2, Ntfci=2, Nfbi=0
  • SF=1, Npilot=8, Ntpc=2, Ntfci=0, Nfbi=0
  • SF=2, Npilot=5, Ntpc=2, Ntfci=2, Nfbi=1
  • SF=3, Npilot=7, Ntpc=2, Ntfci=0, Nfbi=1

The following tables show the slot formats for the W-CDMA uplink DPDCH and DPCCH channels. Click [image] here to view the Uplink DPDCH/DPCCH frame structure.

Uplink DPDCH/DPCCH Frame Structure

DPDCH fields

Slot Format | Channel Bit Rate (kbps) | Channel Symbol Rate (ksps) | Spreading Factor | Bits/Frame | Bits/Slot | Ndata
0 | 15 | 15 | 256 | 150 | 10 | 10
1 | 30 | 30 | 128 | 300 | 20 | 20
2 | 60 | 60 | 64 | 600 | 40 | 40
3 | 120 | 120 | 32 | 1200 | 80 | 80

DPCCH fields

Slot Format #i | Channel Bit Rate (kbps) | Channel Symbol Rate (ksps) | Spreading Factor | Bits/Frame | Bits/Slot | Npilot | NTPC | NTFCI | NFBI | Transmitted Slots per Radio Frame
0 | 15 | 15 | 256 | 150 | 10 | 6 | 2 | 2 | 0 | 15
1 | 15 | 15 | 256 | 150 | 10 | 8 | 2 | 0 | 0 | 8-15
2 | 15 | 15 | 256 | 150 | 10 | 5 | 2 | 2 | 1 | 15
3 | 15 | 15 | 256 | 150 | 10 | 7 | 2 | 0 | 1 | 8-15

TPC Data

Select Edit to open the Standard Data Source dialog, which allows you to define the TPC (Transmit Power Control) data for this channel.

TFCI (Transport Format Combination Indicator)

Set the desired TFCI value for this channel.

This is a representation of the current TFC (Transport Format Combination) being used. The TFCI allows the receiving layers to identify the current valid Transport Format Combination and correctly decode, de-multiplex and deliver the received data on the appropriate transport channels.

Minimum value: 0
Maximum value: 1023

FBI Data

Select Edit to open the Standard Data Source dialog, which allows you to define the FBI (Feedback Information) data for this channel.


CCTrCH (UL Coded Composite Transport Channel)

When CCTrCH is selected as the DPCH data source, this selection is available in tree view. Use this parameter to set the desired number of uplink TrCH's (Transport Channels).

Minimum value: 1
Maximum value: 2


TrCH (Uplink Transport Channel)

Uplink Coded Composite Transport Channel Dialog

Coding Type

Use the drop-down menu to select the desired coding type. The available choices are:

  • turbo3 (1/3 rate turbo encoder)
  • conv3 (1/3 rate convolutional encoder)
  • conv2 (1/2 rate convolutional encoder)

CRC Length

Use the drop-down menu to select the desired CRC (Cyclic Redundancy Counter) length, which is the number of bits to be added to the DPCH data. The available choices are:

  • crc0 (0 bits)
  • crc8 (8 bits)
  • crc12 (12 bits)
  • crc16 (16 bits)
  • crc24 (24 bits)

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Rate Matching Attribute

Highlight this cell and enter a value, or use the up and down arrows to set the desired Rate Matching Attribute. The higher the value entered here sets a higher priority for the channel's data bits.

Minimum value: 1
Maximum value: 256

Tr Block Number

Highlight this cell and enter a value, or use the up and down arrows to set the desired Transport Block Number.

Minimum value: 1
Maximum value: 512

Tr Block Size

Highlight this cell and enter a value, or use the up and down arrows to set the desired Transport Block Size.

Minimum value: 0
Maximum value: 163840

TTI

Use the drop-down menu to select the desired TTI (Transmission Time Interval), in milliseconds. The available choices are:

  • 10 ms
  • 20 ms
  • 40 ms
  • 80 ms

The TTI is defined as the inter-arrival time of the TBS (Transport Block Set), and is equal to the regularly occurring intervals at which a Transport Block Set is transferred by the physical layer on the radio interface. It is always a multiple of the minimum interleaving period (for example, 10ms, the length of one radio frame). The MAC (Medium Access Control) delivers one Transport Block Set to the physical layer every TTI.


HSUPAFRC Configuration (High Speed Uplink Packet Access Fixed Reference Channels)

3GPP HSUPA FRC Configuration

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Fixed Reference Channel

Minimum Value: 1
Maximum Value: 8

Highlight this cell and enter a value, or use the up and down arrows to set the fixed reference channel number. Selecting a value sets the following parameters as specified in TS 25.141 (Annex A.10).

FRC | TTI (ms) | NINF | SF1 | SF2 | SF3 | SF4 | NBIN | Coding rate | Max inf bit rate (kbps)
1 | 2 | 2706 | 4 | 4 | 0 | 0 | 3840 | 0.705 | 1353.0
2 | 2 | 5412 | 2 | 2 | 0 | 0 | 7680 | 0.705 | 2706.0
3 | 2 | 8100 | 2 | 2 | 4 | 4 | 11520 | 0.703 | 4050.0
4 | 10 | 5076 | 4 | 0 | 0 | 0 | 9600 | 0.529 | 507.6
5 | 10 | 9780 | 4 | 4 | 0 | 0 | 19200 | 0.509 | 978.0
6 | 10 | 19278 | 2 | 2 | 0 | 0 | 38400 | 0.502 | 1927.8
7 | 10 | 690 | 16 | 0 | 0 | 0 | 2400 | 0.288 | 69.0
8 | 2 | 16218 | 2 | 2 | 4 | 4 | 23040 | 0.704 | 8109.0


HSDPCCH Configuration (High Speed Dedicated Physical Control Channel)

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Channelization Code

Use the drop-down menu to set the HSDPCCH channelization code:1, 32, 33, or 64.

Select this button to view 3GPP uplink OVSF codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.

Transmit On In-Phase

Select to enable in-phase transmissions.

If this option is selected the HS-DPCCH will be transmitted on the in-phase (I) component of the output. If this option is disabled, it will be transmitted on the quadrature-phase (Q) component.

ACK Relative Power

Highlight this cell and enter a value, or use the up and down arrows to set the relative power for the ACK (acknowledgement).

Minimum value: -80 dBm
Maximum value: 80 dBm

NACK Relative Power

Highlight this cell and enter a value, or use the up and down arrows to set the relative power for the NACK (negative acknowledgement).

Minimum value: -80 dBm
Maximum value: 80 dBm

CQI Relative Power

Highlight this cell and enter a value, or use the up and down arrows to set the relative power for the CQI (channel quality indicator).

Minimum value: -80 dBm
Maximum value: 80 dBm

CQI Data

Select Edit to open the Standard Data Source dialog that allows you to set the CQI (channel quality indicator) data for this channel. Refer to Value Sequence for more information on entering CQI data.

NOTE: The CQI value must be between 0 and 30 for HS-DPCCH CQI encoding.

HARQ Data

Select Edit to open the Standard Data Source dialog that allows you to set the HARQ (hybrid automatic repeat request) data for this channel. Refer to Value Sequence for more information on entering HARQ data.

Timing Offset

Sets the desired timing offset. Timing offset is the delay of the received signal relative to the expected signal from the mobile station.

Minimum value: 0
Maximum value: 149


Adding and Removing Channels

To add channels to your current configuration, select the channel type in the tree view (Downlink, Uplink or Transport), enter the number of channels you want to add, then click the Apply Changes button. The new channels are displayed in the tree view.

To delete channels from your current configuration, select the channel type in the tree view (Downlink, Uplink or Transport) decrement the number of channels of the type you want to delete, then click Apply Changes.

______

NOTE: To delete channels you can also right-click on the channel in the tree view, then select Delete from the popup menu.

______

You can add and remove channels for the following configurations:

W-CDMA 3GPP Uplink

  • Coded Composite Transport Channels

W-CDMA 3GPP Downlink

  • SCCPCH
  • PICH
  • DPCH
  • FDPCH
  • RMC DPCH
  • HSDPA FRC
  • EHICH
  • ERGCH
  • EAGCH
  • Coded Composite Transport Channel

CDMA 3GPP2 Forward Link

  • Sync
  • PICH
  • PCH
  • BCCH
  • CPCCH
  • CACH
  • CCCH
  • OCNS
  • Traffic Channels

CDMA 3GPP2 Reverse Link

  • PICH
  • ACH
  • EACH
  • CCCH
  • Traffic Channels


Saving Changes

Update Changes

Select this button to apply your changes to the current configuration. To save your changes for the current project you must select File > Save Project or select the Save icon in the toolbar.

Undo Changes

Select this button to revert to the last saved configuration for this specific parameter.

OK

Select this button to apply your changes to the current configuration and close the configuration dialog.

Cancel

Select this button to cancel any changes and close the configuration dialog.


CDMA 3GPP2 Signal Creation

cdma2000® is a hybrid 2.5G / 3G technology of mobile telecommunications standards that uses the code division multiple access (CDMA), a multiple access scheme for digital radio to send voice, data, and signaling data (such as a dialed telephone number) between mobile phones and cell sites.

Derived from the cdma2000 standard:

  • cdma2000 is the American third-generation (3G) mobile wireless technology proposal submitted to the International Telecommunication Union (ITU), based on the second-generation (2G) IS-95, or cdmaOne®, standard.
  • cdma2000 can support mobile data communications at speeds ranging from 144Kbps to 2Mbps, and it represents a group of technologies that includes cdma2000 1X and cdma2000 1xEV.
  • cdma2000 1X can double the voice capacity of cdmaOne networks and delivers peak packet data speeds of 307kbps in mobile environments.
  • cdma2000 1xEV includes both cdma2000 1xEV-DO and cdma2000 1xEV-DV.
  • cdma2000 1xEV-DO delivers peak data speeds of 2.4Mbps and supports applications such as MP3 transfers and video telephony.
  • cdma2000 1xEV-DV provides integrated voice and simultaneous high-speed packet data multimedia services at speeds of up to 3.09Mbps. 1xEV-DO and 1xEV-DV are both backward compatible with cdma2000 1X and cdmaOne.


Related 3GPP2 standards

The reference documents available for the verification of the 3GPP2, cdma2000 library are:

Document Number | Title | Short description
C.S0001-B | cdma2000® - Introduction Release B | Presents a general description of the cdma2000 group of standards.
C.S0002-B | Physical Layer Standard for cdma2000® Spread Spectrum Systems Release B | Describes the cdma2000 physical layer requirements for CDMA mobile and base stations.
C.S0002-C | Physical Layer Standard for cdma2000® Spread Spectrum Systems Release C | Describes the cdma2000 physical layer requirements for CDMA mobile and base stations.
C.S0010-B | Recommended Minimum Performance Standards for cdma2000® Spread Spectrum Base Stations | Establishes the minimum performance requirements for CDMA base stations.
C.S0011-B | Recommended Minimum Performance Standards for cdma2000® Spread Spectrum Mobile Stations | Establishes the minimum performance requirements for CDMA mobile stations.

The cdma2000 Library Version 2.0.2 is compliant with 3GPP2 Release C specifications. For more information go to the 3GPP2 website: http://www.3gpp2.org/


CDMA 3GPP2 Forward Link Signal Configurations

This selection is used to set up a complete, standard-compliant 3GPP2 forward link.

3GPP2 FL Parameters

Shown above is the main view of the 3GPP2 Forward Link configurations interface. The tree view layout of the SignalMeister forward link configuration interface is similar to other Microsoft® Windows® user interface setups where you use the tree view to navigate between the available channel setups and other associated parameters and settings for the 3GPP2 CDMA forward link channels. When you select an item in the tree view, the parameters and other channel configuration settings are displayed in the parameter view.

You can also right-click any item in the tree view to display a menu of options that allow you to enable or disable specific channels, or to add or delete channels in your current test setup. As each channel is added or deleted, or as parameters are changed, the Conflict Checker, shown at the bottom of the user interface, displays information related to each of the channel setups and identifies any conflicts between channels.


Parameters - Favorites (3GPP2 Forward Link)

Click Parameters in the tree view to access the Favorites page. By default, this page is blank before you define your 3GPP2 parameters.

3GPP2 FL Parameters - Favorites

You can add any of your most often used setup parameters to this page to have easy access to many parameters in one central location. Changes made here are also shown in the original location. To help identify exactly which parameter you are changing, the parameter field is preceded by the parameter name and location. You can also delete or change the order of your favorites on the page, or jump to the page that your favorite came from by right-clicking the parameter and then selecting the desired operation from the [image] pop-up menu.

View favorites page popup menu

For example, to add the Sync Channel power level parameter to the favorites page, you would:

  1. Click Sync in the tree view.
  2. Right-click in the Power Level parameter field.
  3. Select Add to Favorites.
  4. The Sync power level is now available as shown above.
  5. Change the power level as desired from the Favorites page.
  6. Select Apply Changes to apply the changes and keep the page open, or click OK to apply the changes and close Element Properties window.

See Also

CDMA 3GPP2 Forward Link Signal Configuration Overview


General Settings

Select General Settings in the tree view to access the parameters common for all the CDMA 3GPP2 forward link channels.

3GPP2 FL General Settings

Scroll down to see descriptions of available General Settings configuration options and value limits.

Chips

Set the number of chips in your signal.

Minimum value: 24576
Maximum value: 50000000
Default: 98304

PNOffset

Sets the pseudo-noise offset for the selected channel.

Minimum Value: 0
Maximum Value: 511

Quasi Orthogonal Mask

cdma2000 systems can use Walsh codes up to length 256 rather than the previous limit of 64. To enhance system capacity when dealing with high data rates and limitations on Walsh code length, the Quasi Orthogonal Function is used. Qofs are specifically used when Transmit Diversity techniques, such as Space Time Spreading (STS), are used

Qofs are derived from the multiplication of the Walsh codes by a Qof mask, which is a vector of binary signals.

Choices: Qof1, Qof2, and Qof3.

Default: Qof1

Tx Diversity

Select the type of transmit diversity from the drop-down menu. The available choices are:

  • NTD (No Transmit Diversity)
  • OTD (Orthogonal Transmit Diversity)
  • STS (Space Time Spreading)

Default: NTD

Long Code State (hex)

Minimum Value: 0x0
Maximum Value: 0x3FFFFFFFFFF

Default: 20000000000

Spreading Rate

Spreading Rate: SR1

This is a read-only cell displaying the spreading rate.

Power Normalization

Use the drop-down menu to select the power normalisation for all channels. The available choices are:

  • None: All channels are generated at the powers specified by their Power Level parameters.
  • Noise Fill to 0 dB: The total transmit power is made 0 dB by scaling the power of the OCNS channel to achieve 0 dB total. An OCNS channel must be present and active in the configuration. If the total transmit power given by the channels, excluding OCNS, already exceeds 0 dB (i.e. 0 dB cannot be achieved, even by complete suppression of the OCNS), then the behavior given by "Normalise to 0dB" is used instead.
  • Normalise to 0 dB: The total transmit power is scaled to 0 dB by scaling all channels' Power Level parameters by a common relative power.


Modulation And Filtering

3GPP2 FL Modulation and Filtering

Scroll down to see descriptions of available Modulation And Filtering configuration options and value limits.

Filter Coefficient Source

Click the Edit button to open the Configure Filtering dialog box to choose the desired filter coefficient source. The available choices are:

  • None
  • Standard cdma2000
  • FL Type 1
  • RL Type 1
  • User Coefficient File
  • Coefficient List

Oversampling Ratio

Highlight this cell and enter a value, or use the drop-down menu arrows to select the desired oversampling ratio (OSR). The OSR value should be set according to the filter type being used and their designed sampling rates.

Minimum value: 1
Maximum value: 64

Invert Q

Select this check-box to invert the quadrature phase (imaginary) component of the output.


Filtering Configuration

3GPP2 FL Filtering Config

Scroll down to see descriptions of available Filtering Configuration options.

Filtering Type

Use the Filtering Type drop-down menu arrows to select the desired filtering type:

  • None
  • Standard cdma2000
  • FL Type 1
  • RL Type 1
  • Standard Based Filtering (for DVB critical spectrum mask)
  • User Coefficient File
  • Coefficient List

If the RL Type 1 or FL Type 1 filter is selected, the oversampling ratio must be set to 4 or a conflict warning is displayed.

Notice that the File Name field is not available for the following selections:

  • None
  • Standard cdma2000
  • FL Type 1
  • RL Type 1
  • Standard Based Filtering

User Coefficient File and Coefficient List are the only filtering types that allow you to specify a file name.

If you select User Coefficient File, you must enter the full UNC (universal naming convention) path of the coefficient file you wish to use in the File Name text field, or select the Open Dialog button Open Dialog button to open the Choose a Coefficient File dialog window, that allows you to navigate to a saved coefficient file. This information is stored and each time a waveform is configured this file name is passed into the waveform construction library and the file is read every time the waveform is produced. This choice is preferable if you want to frequently change the filter configurations in a dynamic model. The Coefficients text field is not available.

If you select Coefficient List, you can either hand-type a list of coefficients in the Coefficients text field or navigate to a file of saved coefficients using the Choose a Coefficient dialog window. In this case the static coefficients are stored inside the configuration and passed to the waveform constructor as a vector of double precision values, and is never referred to again. This choice is preferable if you always want the same filter coefficients in the configuration.

File Name

If you select either the User Coefficient File or the Coefficient List menu selections, you can type the path and file name of a saved coefficient file in the File Name text box, or you can select the Open Dialog button Open Dialog button to open the [image] Choose a Coefficient File dialog that allows you to navigate to a saved coefficient file. Saved coefficient files are ASCII text files with the coefficients listed as one value per line, and are parsed as double precision values.

Choose a coefficient file dialog

Coefficients

When you choose the Coefficient List filtering type, this text entry field is available for you to manually enter coefficients, or you can navigate to a saved coefficient file.


Forward Channels

Use Forward Channels form to specify how many of each type of channel that you wish to configure in the forward link.

3GPP2 Forward Channels

This block performs a complete standard-compliant 3GPP2 forward link. It generates a set of common channels, which can include:

  • Synchronization channel (F-SYNC)
  • Pilot channel (F-PICH)
  • Transmit Diversity Pilot Channel Configuration (F-TDPICH)
  • Paging channel (F-PCH)
  • Broadcast channel (F-BCCH)
  • Common power control channel (F-CPCCH),
  • Common assignment channel (F-CACH)
  • Common control channel (F-CCCH)
  • OCNS

The block also generates a set of traffic channels, which can include:

  • Traffic CH (Forward)
  • Fundamental channel (F-FCH),
  • Supplemental code channel (F-SCCH)
  • Supplemental channel (F-SCH)


Sync

Sync Channel

The Sync channel transmits information that enables mobile stations within a given area to acquire frame synchronization after receiving the Pilot channel synchronization.

3GPP2 FL FC Sync

Scroll down to see descriptions of available Synchronization Channel configuration options.

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Coding Type

Conv2 is the default for Sync, PCH, BCCH, CACH, CCCH, FCH channels

Conv3 is the default for ACH channel

Conv4 is the default for EACH, CCCH channels

Data Rate

Data Rates for the following channels are as follows:

  • Sync channels: 1200 fixed
  • PCH channels: 4800 or 9600. Default: 4800
  • BCCH channels:4800, 9600, or 19200. Default: 4800
  • CPCCH channels: 19200 fixed
  • CACH channels: 9600 fixed
  • CCCH channels: 9600, 19200, or 38400. Default: 9600
  • FCH channels: 1200, 2400, 4800, 9600, or 14400. Default: 9600
  • SCCH channels: 1200, 2400, 4800, or 9600. Default: 9600
  • DCCH channels: 9600 fixed
  • SCH channels: 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, or 153600. Default: 9600
  • ACH channels 4800, fixed
  • EACH channels: 9600, 19200, or 38400. Default: 9600
  • CCCH channels: 9600, 19200, or 38400. Default:9600
  • FCH channels: 1500, 2700, 4800, or 9600. Default: 9600
  • SCH 1 and 2: 1200, 1350, 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, 153600, or 307200: Default 38400

Enable Coding

Select this check-box to enable coding for this channel, in the current configuration.

____

Sync Data Source

Click the Sync Data Source drop-down menu arrows to select the desired data source for this channel.

Standard Data Source

Select Edit to open the Standard Data Source dialog that allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Frame Length

Frame Lengths for the following channels are as follows:

  • Sync channel: 26.6 fixed
  • PCH channels: 20 fixed
  • CPCCH channels: 20 fixed
  • CACH channels: 5 fixed
  • CCCH channels: 5, 10, 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • ACH channels: 20 fixed
  • EACH channels: 5, 10, or 20. Default: 5
  • CCCH channel: 5, 10, or 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • SCCH channels: 20 fixed
  • DCCH channel: 5 or 20. Default: 20, (Forward Link only, nothing for Reverse Link)
  • SCH channel: 20, 40, or 80. Default: 20
  • SCH 1 channel: 20, 40, or 80. Default: 20
  • SCH 2 channel: 20, 40, or 80. Default: 20

    NOTE: When Frame Length is fixed, the fixed value is grayed-out and cannot be changed.

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Walsh Code

Walsh Codes for the following channels are as follows:

Forward Link

  • Sync channel: 32 fixed
  • PICH channel: 0 fixed
  • TDPICH channel: 0 fixed
  • PCH channel: min 0, max 127. Default:1
  • BCCH channel: min 0, max 63. Default:0
  • CPCCH channel: min 0, max 127. Default: 0
  • CACH channel: min 0, max 127. Default: 0
  • CCCH channel: min 0, max 127. Default: 0
  • OCNS channel: min 0, max 127. Default: 53
  • FCH channel: min 0, max 127. Default: 10
  • DCCH channel: min 0, max 127. Default 21
  • SCCH channel: min 0, max 127. Default:11
  • SCCH channel: min 0, max 7. Default: 2
  • SCH channel: min 0, max 127. Default 22
  • SCH channel: min 0, max 127. Default 23

Reverse Link

  • EACH channel: min 0, max 7. Default: 2
  • CCCH channel: min 0, max 7. Default: 2
  • FCH channel: min 0, max 63. Default:4
  • DCCH channel: min 0, max 15. Default 5
  • SCH 1 channel: min 0, max 7. Default 1
  • SCH 2 channel: min 0, max 7. Default 2

Select this button to view 3GPP2 forward link and reverse link Walsh codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.


Sync Message

3GPP2 FL FC Sync Message

Scroll down to see descriptions of available Synchronization Channel configuration options.

CDMAFreq

The base station shall set this field to the CDMA Channel number corresponding to the CDMA frequency assignment for the CDMA Channel containing a Primary Paging Channel.

Minimum value: 0
Maximum value: 4294967295
Default: 1013

Day Lt

Daylight savings time indicator. If daylight savings time is in effect, the base station shall set this field to "1"; otherwise, the base station shall set this field to"0".

Value: 0 or 1
Default: 0

Ext CDMAFreq

Minimum value: 0
Maximum value: 4294967295

LCState

Long code state. The base station shall set this field to the long code state at the time given by the SYSTime (hex) field of this message.

Minimum value: 0
Maximum value: 4294967295

LPSec

Leap seconds. The number of leap seconds that have occurred since the start of System Time.

Minimum value: 0
Maximum value: 255

Ltm Off

Offset of local time from System Time. The base station shall set this field to the two's complement offset of local time from System Time, in units of 30 minutes.

Minimum value: -127
Maximum value: 127

Min PRev

Minimum protocol revision level. The base station sets this field to prevent mobile stations which cannot be supported by the base station from accessing the system.

Minimum value: -127
Maximum value: 127

NID

Network identification. This field serves as a sub-identifier of a system as defined by the owner of the SID.

Minimum value: 0
Maximum value: 4294967295

PRev

Protocol revision level.

Minimum value: 0
Maximum value: 4294967295
Default: 6

Pilot PN

Pilot PN sequence offset index. The base station shall set this field to the pilot PN sequence offset for this base station, in units of 64 PN chips.

Minimum value: 0
Maximum value: 4294967295

Prat

Minimum value: 0
Maximum value: 3

Default: 0

0 = 9600 bps

1 = 4800 bps

2 = Reserved

3 = Reserved

Paging channel data rate.The Prat field in the sync channel message informs the mobile of the data rate of the paging channel. Once the mobile acquires timing and synchronization using the sync channel, the mobile begins to monitor the paging channel. Although there can be up to seven paging channels per sector, each mobile only monitors one paging channel.

SID

System identification number. The base station shall set this field to the system identification number for this system.

Minimum value: 0
Maximum value: 4294967295

SYSTime (hex)

System time. The base station shall set this field to the System Time as of four Sync Channel super frames (320 ms) after the end of the last super frame containing any part of this Sync Channel Message, minus the pilot PN sequence offset, in units of 80 ms.

Minimum value: 0x0
Maximum value: 0x3FFFFFFFFFF
Default: 0


PICH - Pilot Channel Configuration, Forward

Pilot Channel

Pilot Channel continuously transmits a carrier modulated with an all-zero pattern so that mobile stations can achieve initial cell synchronization. A mobile station may use the received signal as a reference carrier for coherent demodulation, or measure the the received signal strength and report the measurement to a base station for handoff purposes.

PICH - Pilot Channel Configuration

Scroll down to see descriptions of available Synchronization Channel configuration options.

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Walsh Code

Walsh Codes for the following channels are as follows:

Forward Link

  • Sync channel: 32 fixed
  • PICH channel: 0 fixed
  • TDPICH channel: 0 fixed
  • PCH channel: min 0, max 127. Default:1
  • BCCH channel: min 0, max 63. Default:0
  • CPCCH channel: min 0, max 127. Default: 0
  • CACH channel: min 0, max 127. Default: 0
  • CCCH channel: min 0, max 127. Default: 0
  • OCNS channel: min 0, max 127. Default: 53
  • FCH channel: min 0, max 127. Default: 10
  • DCCH channel: min 0, max 127. Default 21
  • SCCH channel: min 0, max 127. Default:11
  • SCCH channel: min 0, max 7. Default: 2
  • SCH channel: min 0, max 127. Default 22
  • SCH channel: min 0, max 127. Default 23

Reverse Link

  • EACH channel: min 0, max 7. Default: 2
  • CCCH channel: min 0, max 7. Default: 2
  • FCH channel: min 0, max 63. Default:4
  • DCCH channel: min 0, max 15. Default 5
  • SCH 1 channel: min 0, max 7. Default 1
  • SCH 2 channel: min 0, max 7. Default 2

Select this button to view 3GPP2 forward link and reverse link Walsh codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.


TDPICH - Transmit Diversity Pilot Channel Configuration

3GPP2 FL FC TDPICH

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Walsh Code

Walsh Codes for the following channels are as follows:

Forward Link

  • Sync channel: 32 fixed
  • PICH channel: 0 fixed
  • TDPICH channel: 0 fixed
  • PCH channel: min 0, max 127. Default:1
  • BCCH channel: min 0, max 63. Default:0
  • CPCCH channel: min 0, max 127. Default: 0
  • CACH channel: min 0, max 127. Default: 0
  • CCCH channel: min 0, max 127. Default: 0
  • OCNS channel: min 0, max 127. Default: 53
  • FCH channel: min 0, max 127. Default: 10
  • DCCH channel: min 0, max 127. Default 21
  • SCCH channel: min 0, max 127. Default:11
  • SCCH channel: min 0, max 7. Default: 2
  • SCH channel: min 0, max 127. Default 22
  • SCH channel: min 0, max 127. Default 23

Reverse Link

  • EACH channel: min 0, max 7. Default: 2
  • CCCH channel: min 0, max 7. Default: 2
  • FCH channel: min 0, max 63. Default:4
  • DCCH channel: min 0, max 15. Default 5
  • SCH 1 channel: min 0, max 7. Default 1
  • SCH 2 channel: min 0, max 7. Default 2

Select this button to view 3GPP2 forward link and reverse link Walsh codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.


PCH - Paging Channel Configuration

3GPP2 FL FC PCH

Similar to the sync channel, the paging channel also carries baseband information. But unlike the sync channel, the paging channel transmits at higher rates; it can transmit at either 4.8 or 9.6 Kbps.

Scroll down to see the values that are acceptable for the fields in the above form.

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Coding Type

Conv2 is the default for Sync, PCH, BCCH, CACH, CCCH, FCH channels

Conv3 is the default for ACH channel

Conv4 is the default for EACH, CCCH channels

Data Rate

Data Rates for the following channels are as follows:

  • Sync channels: 1200 fixed
  • PCH channels: 4800 or 9600. Default: 4800
  • BCCH channels:4800, 9600, or 19200. Default: 4800
  • CPCCH channels: 19200 fixed
  • CACH channels: 9600 fixed
  • CCCH channels: 9600, 19200, or 38400. Default: 9600
  • FCH channels: 1200, 2400, 4800, 9600, or 14400. Default: 9600
  • SCCH channels: 1200, 2400, 4800, or 9600. Default: 9600
  • DCCH channels: 9600 fixed
  • SCH channels: 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, or 153600. Default: 9600
  • ACH channels 4800, fixed
  • EACH channels: 9600, 19200, or 38400. Default: 9600
  • CCCH channels: 9600, 19200, or 38400. Default:9600
  • FCH channels: 1500, 2700, 4800, or 9600. Default: 9600
  • SCH 1 and 2: 1200, 1350, 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, 153600, or 307200: Default 38400

Enable Coding

Select this check-box to enable coding for this channel, in the current configuration.

____

Data Source

Use the drop-down menu to select the desired data source for this channel. The choices are:

  • Standard Data Source
  • BCCH Message Source

Standard Data Source

Select Edit to open the Standard Data Source dialog that allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Paging Message

Choose from:

  • Type1
  • Type2
  • Type3

Frame Length

Frame Lengths for the following channels are as follows:

  • Sync channel: 26.6 fixed
  • PCH channels: 20 fixed
  • CPCCH channels: 20 fixed
  • CACH channels: 5 fixed
  • CCCH channels: 5, 10, 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • ACH channels: 20 fixed
  • EACH channels: 5, 10, or 20. Default: 5
  • CCCH channel: 5, 10, or 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • SCCH channels: 20 fixed
  • DCCH channel: 5 or 20. Default: 20, (Forward Link only, nothing for Reverse Link)
  • SCH channel: 20, 40, or 80. Default: 20
  • SCH 1 channel: 20, 40, or 80. Default: 20
  • SCH 2 channel: 20, 40, or 80. Default: 20

    NOTE: When Frame Length is fixed, the fixed value is grayed-out and cannot be changed.

LCMask (hex)

Minimum value: 0
Maximum value: 0x3FFFFFFFFFF

The long code mask is a 42-bit number that serves as a logical address for Reverse CDMA Channel spreading codes. It is used to select specific bits from the long code linear feedback shift register to be added, modulo-two, in order to produce the actual long code, at the proper phase.

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Walsh Code

Walsh Codes for the following channels are as follows:

Forward Link

  • Sync channel: 32 fixed
  • PICH channel: 0 fixed
  • TDPICH channel: 0 fixed
  • PCH channel: min 0, max 127. Default:1
  • BCCH channel: min 0, max 63. Default:0
  • CPCCH channel: min 0, max 127. Default: 0
  • CACH channel: min 0, max 127. Default: 0
  • CCCH channel: min 0, max 127. Default: 0
  • OCNS channel: min 0, max 127. Default: 53
  • FCH channel: min 0, max 127. Default: 10
  • DCCH channel: min 0, max 127. Default 21
  • SCCH channel: min 0, max 127. Default:11
  • SCCH channel: min 0, max 7. Default: 2
  • SCH channel: min 0, max 127. Default 22
  • SCH channel: min 0, max 127. Default 23

Reverse Link

  • EACH channel: min 0, max 7. Default: 2
  • CCCH channel: min 0, max 7. Default: 2
  • FCH channel: min 0, max 63. Default:4
  • DCCH channel: min 0, max 15. Default 5
  • SCH 1 channel: min 0, max 7. Default 1
  • SCH 2 channel: min 0, max 7. Default 2

Select this button to view 3GPP2 forward link and reverse link Walsh codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.


BCCH - Broadcast Control Channel

Broadcast Control Channel

Instead of combining overhead and paging messages on a paging channel, the system performance can be improved by seperating overhead messages and sending them over the Broadcast Common Channel.

3GPP2 FL FC BCCH

Scroll down to see descriptions of available Synchronization Channel configuration options.

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Coding Type

Conv2 is the default for Sync, PCH, BCCH, CACH, CCCH, FCH channels

Conv3 is the default for ACH channel

Conv4 is the default for EACH, CCCH channels

Enable Coding

Select this check-box to enable coding for this channel, in the current configuration.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Data Rate

Data Rates for the following channels are as follows:

  • Sync channels: 1200 fixed
  • PCH channels: 4800 or 9600. Default: 4800
  • BCCH channels:4800, 9600, or 19200. Default: 4800
  • CPCCH channels: 19200 fixed
  • CACH channels: 9600 fixed
  • CCCH channels: 9600, 19200, or 38400. Default: 9600
  • FCH channels: 1200, 2400, 4800, 9600, or 14400. Default: 9600
  • SCCH channels: 1200, 2400, 4800, or 9600. Default: 9600
  • DCCH channels: 9600 fixed
  • SCH channels: 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, or 153600. Default: 9600
  • ACH channels 4800, fixed
  • EACH channels: 9600, 19200, or 38400. Default: 9600
  • CCCH channels: 9600, 19200, or 38400. Default:9600
  • FCH channels: 1500, 2700, 4800, or 9600. Default: 9600
  • SCH 1 and 2: 1200, 1350, 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, 153600, or 307200: Default 38400

LCMask (hex)

Minimum value: 0
Maximum value: 0x3FFFFFFFFFF

The long code mask is a 42-bit number that serves as a logical address for Reverse CDMA Channel spreading codes. It is used to select specific bits from the long code linear feedback shift register to be added, modulo-two, in order to produce the actual long code, at the proper phase.

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Walsh Code

Walsh Codes for the following channels are as follows:

Forward Link

  • Sync channel: 32 fixed
  • PICH channel: 0 fixed
  • TDPICH channel: 0 fixed
  • PCH channel: min 0, max 127. Default:1
  • BCCH channel: min 0, max 63. Default:0
  • CPCCH channel: min 0, max 127. Default: 0
  • CACH channel: min 0, max 127. Default: 0
  • CCCH channel: min 0, max 127. Default: 0
  • OCNS channel: min 0, max 127. Default: 53
  • FCH channel: min 0, max 127. Default: 10
  • DCCH channel: min 0, max 127. Default 21
  • SCCH channel: min 0, max 127. Default:11
  • SCCH channel: min 0, max 7. Default: 2
  • SCH channel: min 0, max 127. Default 22
  • SCH channel: min 0, max 127. Default 23

Reverse Link

  • EACH channel: min 0, max 7. Default: 2
  • CCCH channel: min 0, max 7. Default: 2
  • FCH channel: min 0, max 63. Default:4
  • DCCH channel: min 0, max 15. Default 5
  • SCH 1 channel: min 0, max 7. Default 1
  • SCH 2 channel: min 0, max 7. Default 2

Select this button to view 3GPP2 forward link and reverse link Walsh codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.


CPCCH - Common Power Control Channel

3GPP2 FL FC CPCCH

Scroll down to see descriptions of available Synchronization Channel configuration options.

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Data Rate

Data Rates for the following channels are as follows:

  • Sync channels: 1200 fixed
  • PCH channels: 4800 or 9600. Default: 4800
  • BCCH channels:4800, 9600, or 19200. Default: 4800
  • CPCCH channels: 19200 fixed
  • CACH channels: 9600 fixed
  • CCCH channels: 9600, 19200, or 38400. Default: 9600
  • FCH channels: 1200, 2400, 4800, 9600, or 14400. Default: 9600
  • SCCH channels: 1200, 2400, 4800, or 9600. Default: 9600
  • DCCH channels: 9600 fixed
  • SCH channels: 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, or 153600. Default: 9600
  • ACH channels 4800, fixed
  • EACH channels: 9600, 19200, or 38400. Default: 9600
  • CCCH channels: 9600, 19200, or 38400. Default:9600
  • FCH channels: 1500, 2700, 4800, or 9600. Default: 9600
  • SCH 1 and 2: 1200, 1350, 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, 153600, or 307200: Default 38400

Enable Coding

Select this check-box to enable coding for this channel, in the current configuration.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Frame Length

Frame Lengths for the following channels are as follows:

  • Sync channel: 26.6 fixed
  • PCH channels: 20 fixed
  • CPCCH channels: 20 fixed
  • CACH channels: 5 fixed
  • CCCH channels: 5, 10, 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • ACH channels: 20 fixed
  • EACH channels: 5, 10, or 20. Default: 5
  • CCCH channel: 5, 10, or 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • SCCH channels: 20 fixed
  • DCCH channel: 5 or 20. Default: 20, (Forward Link only, nothing for Reverse Link)
  • SCH channel: 20, 40, or 80. Default: 20
  • SCH 1 channel: 20, 40, or 80. Default: 20
  • SCH 2 channel: 20, 40, or 80. Default: 20

    NOTE: When Frame Length is fixed, the fixed value is grayed-out and cannot be changed.

LCMask (hex)

Minimum value: 0
Maximum value: 0x3FFFFFFFFFF

The long code mask is a 42-bit number that serves as a logical address for Reverse CDMA Channel spreading codes. It is used to select specific bits from the long code linear feedback shift register to be added, modulo-two, in order to produce the actual long code, at the proper phase.

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Walsh Code

Walsh Codes for the following channels are as follows:

Forward Link

  • Sync channel: 32 fixed
  • PICH channel: 0 fixed
  • TDPICH channel: 0 fixed
  • PCH channel: min 0, max 127. Default:1
  • BCCH channel: min 0, max 63. Default:0
  • CPCCH channel: min 0, max 127. Default: 0
  • CACH channel: min 0, max 127. Default: 0
  • CCCH channel: min 0, max 127. Default: 0
  • OCNS channel: min 0, max 127. Default: 53
  • FCH channel: min 0, max 127. Default: 10
  • DCCH channel: min 0, max 127. Default 21
  • SCCH channel: min 0, max 127. Default:11
  • SCCH channel: min 0, max 7. Default: 2
  • SCH channel: min 0, max 127. Default 22
  • SCH channel: min 0, max 127. Default 23

Reverse Link

  • EACH channel: min 0, max 7. Default: 2
  • CCCH channel: min 0, max 7. Default: 2
  • FCH channel: min 0, max 63. Default:4
  • DCCH channel: min 0, max 15. Default 5
  • SCH 1 channel: min 0, max 7. Default 1
  • SCH 2 channel: min 0, max 7. Default 2

Select this button to view 3GPP2 forward link and reverse link Walsh codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.


CACH Configuration (Common Assignment Channel)

3GPP2 FL FC CACH

Scroll down to see the values that are acceptable for the fields in the above form.

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Coding Type

Conv2 is the default for Sync, PCH, BCCH, CACH, CCCH, FCH channels

Conv3 is the default for ACH channel

Conv4 is the default for EACH, CCCH channels

Data Rate

Data Rates for the following channels are as follows:

  • Sync channels: 1200 fixed
  • PCH channels: 4800 or 9600. Default: 4800
  • BCCH channels:4800, 9600, or 19200. Default: 4800
  • CPCCH channels: 19200 fixed
  • CACH channels: 9600 fixed
  • CCCH channels: 9600, 19200, or 38400. Default: 9600
  • FCH channels: 1200, 2400, 4800, 9600, or 14400. Default: 9600
  • SCCH channels: 1200, 2400, 4800, or 9600. Default: 9600
  • DCCH channels: 9600 fixed
  • SCH channels: 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, or 153600. Default: 9600
  • ACH channels 4800, fixed
  • EACH channels: 9600, 19200, or 38400. Default: 9600
  • CCCH channels: 9600, 19200, or 38400. Default:9600
  • FCH channels: 1500, 2700, 4800, or 9600. Default: 9600
  • SCH 1 and 2: 1200, 1350, 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, 153600, or 307200: Default 38400

Enable Coding

Select this check-box to enable coding for this channel, in the current configuration.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Frame Length

Frame Lengths for the following channels are as follows:

  • Sync channel: 26.6 fixed
  • PCH channels: 20 fixed
  • CPCCH channels: 20 fixed
  • CACH channels: 5 fixed
  • CCCH channels: 5, 10, 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • ACH channels: 20 fixed
  • EACH channels: 5, 10, or 20. Default: 5
  • CCCH channel: 5, 10, or 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • SCCH channels: 20 fixed
  • DCCH channel: 5 or 20. Default: 20, (Forward Link only, nothing for Reverse Link)
  • SCH channel: 20, 40, or 80. Default: 20
  • SCH 1 channel: 20, 40, or 80. Default: 20
  • SCH 2 channel: 20, 40, or 80. Default: 20

    NOTE: When Frame Length is fixed, the fixed value is grayed-out and cannot be changed.

LCMask (hex)

Minimum value: 0
Maximum value: 0x3FFFFFFFFFF

The long code mask is a 42-bit number that serves as a logical address for Reverse CDMA Channel spreading codes. It is used to select specific bits from the long code linear feedback shift register to be added, modulo-two, in order to produce the actual long code, at the proper phase.

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Walsh Code

Walsh Codes for the following channels are as follows:

Forward Link

  • Sync channel: 32 fixed
  • PICH channel: 0 fixed
  • TDPICH channel: 0 fixed
  • PCH channel: min 0, max 127. Default:1
  • BCCH channel: min 0, max 63. Default:0
  • CPCCH channel: min 0, max 127. Default: 0
  • CACH channel: min 0, max 127. Default: 0
  • CCCH channel: min 0, max 127. Default: 0
  • OCNS channel: min 0, max 127. Default: 53
  • FCH channel: min 0, max 127. Default: 10
  • DCCH channel: min 0, max 127. Default 21
  • SCCH channel: min 0, max 127. Default:11
  • SCCH channel: min 0, max 7. Default: 2
  • SCH channel: min 0, max 127. Default 22
  • SCH channel: min 0, max 127. Default 23

Reverse Link

  • EACH channel: min 0, max 7. Default: 2
  • CCCH channel: min 0, max 7. Default: 2
  • FCH channel: min 0, max 63. Default:4
  • DCCH channel: min 0, max 15. Default 5
  • SCH 1 channel: min 0, max 7. Default 1
  • SCH 2 channel: min 0, max 7. Default 2

Select this button to view 3GPP2 forward link and reverse link Walsh codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.


CCCH Configuration (Common Control Channel, Forward)

Common control Channel

The Common control Channel is used to send layer 3 or MAC layer messages to mobile stations at 9.5 kb/s using frame sizes of 5, 10 or 20ms.

3GPP2 FL FC CCCH

Scroll down to see the values that are acceptable for the fields in the above form.

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Coding Type

Conv2 is the default for Sync, PCH, BCCH, CACH, CCCH, FCH channels

Conv3 is the default for ACH channel

Conv4 is the default for EACH, CCCH channels

Data Rate

Data Rates for the following channels are as follows:

  • Sync channels: 1200 fixed
  • PCH channels: 4800 or 9600. Default: 4800
  • BCCH channels:4800, 9600, or 19200. Default: 4800
  • CPCCH channels: 19200 fixed
  • CACH channels: 9600 fixed
  • CCCH channels: 9600, 19200, or 38400. Default: 9600
  • FCH channels: 1200, 2400, 4800, 9600, or 14400. Default: 9600
  • SCCH channels: 1200, 2400, 4800, or 9600. Default: 9600
  • DCCH channels: 9600 fixed
  • SCH channels: 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, or 153600. Default: 9600
  • ACH channels 4800, fixed
  • EACH channels: 9600, 19200, or 38400. Default: 9600
  • CCCH channels: 9600, 19200, or 38400. Default:9600
  • FCH channels: 1500, 2700, 4800, or 9600. Default: 9600
  • SCH 1 and 2: 1200, 1350, 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, 153600, or 307200: Default 38400

Enable Coding

Select this check-box to enable coding for this channel, in the current configuration.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Frame Length

Frame Lengths for the following channels are as follows:

  • Sync channel: 26.6 fixed
  • PCH channels: 20 fixed
  • CPCCH channels: 20 fixed
  • CACH channels: 5 fixed
  • CCCH channels: 5, 10, 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • ACH channels: 20 fixed
  • EACH channels: 5, 10, or 20. Default: 5
  • CCCH channel: 5, 10, or 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • SCCH channels: 20 fixed
  • DCCH channel: 5 or 20. Default: 20, (Forward Link only, nothing for Reverse Link)
  • SCH channel: 20, 40, or 80. Default: 20
  • SCH 1 channel: 20, 40, or 80. Default: 20
  • SCH 2 channel: 20, 40, or 80. Default: 20

    NOTE: When Frame Length is fixed, the fixed value is grayed-out and cannot be changed.

LCMask (hex)

Minimum value: 0
Maximum value: 0x3FFFFFFFFFF

The long code mask is a 42-bit number that serves as a logical address for Reverse CDMA Channel spreading codes. It is used to select specific bits from the long code linear feedback shift register to be added, modulo-two, in order to produce the actual long code, at the proper phase.

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Walsh Code

Walsh Codes for the following channels are as follows:

Forward Link

  • Sync channel: 32 fixed
  • PICH channel: 0 fixed
  • TDPICH channel: 0 fixed
  • PCH channel: min 0, max 127. Default:1
  • BCCH channel: min 0, max 63. Default:0
  • CPCCH channel: min 0, max 127. Default: 0
  • CACH channel: min 0, max 127. Default: 0
  • CCCH channel: min 0, max 127. Default: 0
  • OCNS channel: min 0, max 127. Default: 53
  • FCH channel: min 0, max 127. Default: 10
  • DCCH channel: min 0, max 127. Default 21
  • SCCH channel: min 0, max 127. Default:11
  • SCCH channel: min 0, max 7. Default: 2
  • SCH channel: min 0, max 127. Default 22
  • SCH channel: min 0, max 127. Default 23

Reverse Link

  • EACH channel: min 0, max 7. Default: 2
  • CCCH channel: min 0, max 7. Default: 2
  • FCH channel: min 0, max 63. Default:4
  • DCCH channel: min 0, max 15. Default 5
  • SCH 1 channel: min 0, max 7. Default 1
  • SCH 2 channel: min 0, max 7. Default 2

Select this button to view 3GPP2 forward link and reverse link Walsh codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.


OCNS Configuration (Orthogonal Channel Noise Simulator)

3GPP2 FL FC OCNS

Scroll down to see descriptions of available Synchronization Channel configuration options.

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Walsh Code

Walsh Codes for the following channels are as follows:

Forward Link

  • Sync channel: 32 fixed
  • PICH channel: 0 fixed
  • TDPICH channel: 0 fixed
  • PCH channel: min 0, max 127. Default:1
  • BCCH channel: min 0, max 63. Default:0
  • CPCCH channel: min 0, max 127. Default: 0
  • CACH channel: min 0, max 127. Default: 0
  • CCCH channel: min 0, max 127. Default: 0
  • OCNS channel: min 0, max 127. Default: 53
  • FCH channel: min 0, max 127. Default: 10
  • DCCH channel: min 0, max 127. Default 21
  • SCCH channel: min 0, max 127. Default:11
  • SCCH channel: min 0, max 7. Default: 2
  • SCH channel: min 0, max 127. Default 22
  • SCH channel: min 0, max 127. Default 23

Reverse Link

  • EACH channel: min 0, max 7. Default: 2
  • CCCH channel: min 0, max 7. Default: 2
  • FCH channel: min 0, max 63. Default:4
  • DCCH channel: min 0, max 15. Default 5
  • SCH 1 channel: min 0, max 7. Default 1
  • SCH 2 channel: min 0, max 7. Default 2

Select this button to view 3GPP2 forward link and reverse link Walsh codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.

Walsh Length

OCNS channel: 64 or 128. Default: 64

EACH channel: 6 fixed

SCCH channel: 64 fixed


Traffic Channel (Forward)

Traffic Channel

A traffic channel carries user traffic, such as speech or data. It may also be used during a call to send signalling messages, such as:

Handoff completion

Pilot strength message

Report power measurements to the base station

Etc.

Types of traffic include:

Traditional voice and Voice over Internet Protocol (VoIP)

Data Services such as Packet Data and SMS

3GPP2 FL FC Traffic CH

A Traffic Channel is a logical channel used to transport user data. One or more code channels are used to transport user and signaling traffic from the BS (Base Station) to the MS (Mobile Station).

One or more traffic channels can be created in the forward channel.

Select the following fields of the Traffic Channel form to configure:

  • Radio Configuration
  • FCH Configuration (Fundamental Channel, Forward)
  • Power Control (FL)
  • DCCH Configuration (Dedicated Control Channel, Forward)
  • SCH Configuration (Forward Supplemental Channel)
  • SCCH Configuration (Supplemental Code Channel) - RC 1 and RC 2 only
Radio Configuration

Use the drop-down menu to select one of the traffic channel transmission formats. At the physical layer, these are characterized by the transmission rates, modulation characteristics, spreading rate, and so on.

The available choices are:

  • RC 1
  • RC 2
  • RC 3
  • RC 4
  • RC 5.

    Forward RC 1 and RC 2 radio configurations only: You can select up to 7 supplemental code channels (SCCH's) as part of your configuration.

    Forward RC3, RC4 and RC5 already have FCH (Fundamental Channel Configuration), DCCH (Dedicated Control Channel Configuration) and SCH (Supplemental Channel Configuration) as part of the traffic channel setup as shown above.


FCH Configuration (Fundamental Channel, Forward)

A Fundamental Channel is a portion of a Traffic Channel that can carry a combination of primary data, secondary data, signaling, and power control information.

NOTE: The forward link SCH channel is only available for RC3 and RC4.

FCH Configuration (Fundamental Channel, Forward)

Scroll down to see the values that are acceptable for the fields in the Sync Message form.

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Coding Type

Conv2 is the default for Sync, PCH, BCCH, CACH, CCCH, FCH channels

Conv3 is the default for ACH channel

Conv4 is the default for EACH, CCCH channels

Data Rate

Data Rates for the following channels are as follows:

  • Sync channels: 1200 fixed
  • PCH channels: 4800 or 9600. Default: 4800
  • BCCH channels:4800, 9600, or 19200. Default: 4800
  • CPCCH channels: 19200 fixed
  • CACH channels: 9600 fixed
  • CCCH channels: 9600, 19200, or 38400. Default: 9600
  • FCH channels: 1200, 2400, 4800, 9600, or 14400. Default: 9600
  • SCCH channels: 1200, 2400, 4800, or 9600. Default: 9600
  • DCCH channels: 9600 fixed
  • SCH channels: 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, or 153600. Default: 9600
  • ACH channels 4800, fixed
  • EACH channels: 9600, 19200, or 38400. Default: 9600
  • CCCH channels: 9600, 19200, or 38400. Default:9600
  • FCH channels: 1500, 2700, 4800, or 9600. Default: 9600
  • SCH 1 and 2: 1200, 1350, 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, 153600, or 307200: Default 38400

Enable Coding

Select this check-box to enable coding for this channel, in the current configuration.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Enable Qof

Select this check box to enable or clear to disable Qof for this channel in the current configuration.

Frame Length

Frame Lengths for the following channels are as follows:

  • Sync channel: 26.6 fixed
  • PCH channels: 20 fixed
  • CPCCH channels: 20 fixed
  • CACH channels: 5 fixed
  • CCCH channels: 5, 10, 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • ACH channels: 20 fixed
  • EACH channels: 5, 10, or 20. Default: 5
  • CCCH channel: 5, 10, or 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • SCCH channels: 20 fixed
  • DCCH channel: 5 or 20. Default: 20, (Forward Link only, nothing for Reverse Link)
  • SCH channel: 20, 40, or 80. Default: 20
  • SCH 1 channel: 20, 40, or 80. Default: 20
  • SCH 2 channel: 20, 40, or 80. Default: 20

    NOTE: When Frame Length is fixed, the fixed value is grayed-out and cannot be changed.

LCMask (hex)

Minimum value: 0
Maximum value: 0x3FFFFFFFFFF

The long code mask is a 42-bit number that serves as a logical address for Reverse CDMA Channel spreading codes. It is used to select specific bits from the long code linear feedback shift register to be added, modulo-two, in order to produce the actual long code, at the proper phase.

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Radio Configuration

This is a read-only field that displays the Radio Configuration selected in the Traffic Channel dialog.

Walsh Code

Walsh Codes for the following channels are as follows:

Forward Link

  • Sync channel: 32 fixed
  • PICH channel: 0 fixed
  • TDPICH channel: 0 fixed
  • PCH channel: min 0, max 127. Default:1
  • BCCH channel: min 0, max 63. Default:0
  • CPCCH channel: min 0, max 127. Default: 0
  • CACH channel: min 0, max 127. Default: 0
  • CCCH channel: min 0, max 127. Default: 0
  • OCNS channel: min 0, max 127. Default: 53
  • FCH channel: min 0, max 127. Default: 10
  • DCCH channel: min 0, max 127. Default 21
  • SCCH channel: min 0, max 127. Default:11
  • SCCH channel: min 0, max 7. Default: 2
  • SCH channel: min 0, max 127. Default 22
  • SCH channel: min 0, max 127. Default 23

Reverse Link

  • EACH channel: min 0, max 7. Default: 2
  • CCCH channel: min 0, max 7. Default: 2
  • FCH channel: min 0, max 63. Default:4
  • DCCH channel: min 0, max 15. Default 5
  • SCH 1 channel: min 0, max 7. Default 1
  • SCH 2 channel: min 0, max 7. Default 2

Select this button to view 3GPP2 forward link and reverse link Walsh codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.


Power Control

3GPP2 FL Traffic Channel Power Control

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Relative Power Level

Use this cell to set the relative power level.

Minimum value: -80.0 dB
Maximum value: 80.0 dB


DCCH

Note that the forward link DCCH channel is only available for RC3, RC4 and RC5.

3GPP2 FL FC Traffic CH RC DCCH

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Data Rate

Data Rates for the following channels are as follows:

  • Sync channels: 1200 fixed
  • PCH channels: 4800 or 9600. Default: 4800
  • BCCH channels:4800, 9600, or 19200. Default: 4800
  • CPCCH channels: 19200 fixed
  • CACH channels: 9600 fixed
  • CCCH channels: 9600, 19200, or 38400. Default: 9600
  • FCH channels: 1200, 2400, 4800, 9600, or 14400. Default: 9600
  • SCCH channels: 1200, 2400, 4800, or 9600. Default: 9600
  • DCCH channels: 9600 fixed
  • SCH channels: 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, or 153600. Default: 9600
  • ACH channels 4800, fixed
  • EACH channels: 9600, 19200, or 38400. Default: 9600
  • CCCH channels: 9600, 19200, or 38400. Default:9600
  • FCH channels: 1500, 2700, 4800, or 9600. Default: 9600
  • SCH 1 and 2: 1200, 1350, 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, 153600, or 307200: Default 38400

Enable Coding

Select this check-box to enable coding for this channel, in the current configuration.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Enable Qof

Select this check box to enable or clear to disable Qof for this channel in the current configuration.

Frame Length

Frame Lengths for the following channels are as follows:

  • Sync channel: 26.6 fixed
  • PCH channels: 20 fixed
  • CPCCH channels: 20 fixed
  • CACH channels: 5 fixed
  • CCCH channels: 5, 10, 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • ACH channels: 20 fixed
  • EACH channels: 5, 10, or 20. Default: 5
  • CCCH channel: 5, 10, or 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • SCCH channels: 20 fixed
  • DCCH channel: 5 or 20. Default: 20, (Forward Link only, nothing for Reverse Link)
  • SCH channel: 20, 40, or 80. Default: 20
  • SCH 1 channel: 20, 40, or 80. Default: 20
  • SCH 2 channel: 20, 40, or 80. Default: 20

    NOTE: When Frame Length is fixed, the fixed value is grayed-out and cannot be changed.

LCMask (hex)

Minimum value: 0
Maximum value: 0x3FFFFFFFFFF

The long code mask is a 42-bit number that serves as a logical address for Reverse CDMA Channel spreading codes. It is used to select specific bits from the long code linear feedback shift register to be added, modulo-two, in order to produce the actual long code, at the proper phase.

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Radio Configuration

This is a read-only field that displays the Radio Configuration selected in the Traffic Channel dialog.

Walsh Code

Walsh Codes for the following channels are as follows:

Forward Link

  • Sync channel: 32 fixed
  • PICH channel: 0 fixed
  • TDPICH channel: 0 fixed
  • PCH channel: min 0, max 127. Default:1
  • BCCH channel: min 0, max 63. Default:0
  • CPCCH channel: min 0, max 127. Default: 0
  • CACH channel: min 0, max 127. Default: 0
  • CCCH channel: min 0, max 127. Default: 0
  • OCNS channel: min 0, max 127. Default: 53
  • FCH channel: min 0, max 127. Default: 10
  • DCCH channel: min 0, max 127. Default 21
  • SCCH channel: min 0, max 127. Default:11
  • SCCH channel: min 0, max 7. Default: 2
  • SCH channel: min 0, max 127. Default 22
  • SCH channel: min 0, max 127. Default 23

Reverse Link

  • EACH channel: min 0, max 7. Default: 2
  • CCCH channel: min 0, max 7. Default: 2
  • FCH channel: min 0, max 63. Default:4
  • DCCH channel: min 0, max 15. Default 5
  • SCH 1 channel: min 0, max 7. Default 1
  • SCH 2 channel: min 0, max 7. Default 2

Select this button to view 3GPP2 forward link and reverse link Walsh codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.


SCCH Configuration (Forward Supplemental Code Channel)

Note that the forward link SCCH channel is only available for RC1 and RC2.

For RC1 and RC2, the number of SCCH channels is selectable from values 1 through 7,in the Traffic Channel GUI panel.

3GPP2 FL SCCH Configuration

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Data Rate

Data Rates for the following channels are as follows:

  • Sync channels: 1200 fixed
  • PCH channels: 4800 or 9600. Default: 4800
  • BCCH channels:4800, 9600, or 19200. Default: 4800
  • CPCCH channels: 19200 fixed
  • CACH channels: 9600 fixed
  • CCCH channels: 9600, 19200, or 38400. Default: 9600
  • FCH channels: 1200, 2400, 4800, 9600, or 14400. Default: 9600
  • SCCH channels: 1200, 2400, 4800, or 9600. Default: 9600
  • DCCH channels: 9600 fixed
  • SCH channels: 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, or 153600. Default: 9600
  • ACH channels 4800, fixed
  • EACH channels: 9600, 19200, or 38400. Default: 9600
  • CCCH channels: 9600, 19200, or 38400. Default:9600
  • FCH channels: 1500, 2700, 4800, or 9600. Default: 9600
  • SCH 1 and 2: 1200, 1350, 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, 153600, or 307200: Default 38400

Enable Coding

Select this check-box to enable coding for this channel, in the current configuration.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

LCMask (hex)

Minimum value: 0
Maximum value: 0x3FFFFFFFFFF

The long code mask is a 42-bit number that serves as a logical address for Reverse CDMA Channel spreading codes. It is used to select specific bits from the long code linear feedback shift register to be added, modulo-two, in order to produce the actual long code, at the proper phase.

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Radio Configuration

This is a read-only field that displays the Radio Configuration selected in the Traffic Channel dialog.

Walsh Code

Walsh Codes for the following channels are as follows:

Forward Link

  • Sync channel: 32 fixed
  • PICH channel: 0 fixed
  • TDPICH channel: 0 fixed
  • PCH channel: min 0, max 127. Default:1
  • BCCH channel: min 0, max 63. Default:0
  • CPCCH channel: min 0, max 127. Default: 0
  • CACH channel: min 0, max 127. Default: 0
  • CCCH channel: min 0, max 127. Default: 0
  • OCNS channel: min 0, max 127. Default: 53
  • FCH channel: min 0, max 127. Default: 10
  • DCCH channel: min 0, max 127. Default 21
  • SCCH channel: min 0, max 127. Default:11
  • SCCH channel: min 0, max 7. Default: 2
  • SCH channel: min 0, max 127. Default 22
  • SCH channel: min 0, max 127. Default 23

Reverse Link

  • EACH channel: min 0, max 7. Default: 2
  • CCCH channel: min 0, max 7. Default: 2
  • FCH channel: min 0, max 63. Default:4
  • DCCH channel: min 0, max 15. Default 5
  • SCH 1 channel: min 0, max 7. Default 1
  • SCH 2 channel: min 0, max 7. Default 2

Select this button to view 3GPP2 forward link and reverse link Walsh codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.


SCH Supplemental Channel

Note that the forward link SCH channel is only available for RC3, RC4 and RC5.

3GPP2 FL FC Traffic CH RC FCH SCH

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Coding Type

Conv2 is the default for Sync, PCH, BCCH, CACH, CCCH, FCH channels

Conv3 is the default for ACH channel

Conv4 is the default for EACH, CCCH channels

Data Rate

Data Rates for the following channels are as follows:

  • Sync channels: 1200 fixed
  • PCH channels: 4800 or 9600. Default: 4800
  • BCCH channels:4800, 9600, or 19200. Default: 4800
  • CPCCH channels: 19200 fixed
  • CACH channels: 9600 fixed
  • CCCH channels: 9600, 19200, or 38400. Default: 9600
  • FCH channels: 1200, 2400, 4800, 9600, or 14400. Default: 9600
  • SCCH channels: 1200, 2400, 4800, or 9600. Default: 9600
  • DCCH channels: 9600 fixed
  • SCH channels: 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, or 153600. Default: 9600
  • ACH channels 4800, fixed
  • EACH channels: 9600, 19200, or 38400. Default: 9600
  • CCCH channels: 9600, 19200, or 38400. Default:9600
  • FCH channels: 1500, 2700, 4800, or 9600. Default: 9600
  • SCH 1 and 2: 1200, 1350, 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, 153600, or 307200: Default 38400

Enable Coding

Select this check-box to enable coding for this channel, in the current configuration.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Enable Qof

Select this check box to enable or clear to disable Qof for this channel in the current configuration.

Frame Length

Frame Lengths for the following channels are as follows:

  • Sync channel: 26.6 fixed
  • PCH channels: 20 fixed
  • CPCCH channels: 20 fixed
  • CACH channels: 5 fixed
  • CCCH channels: 5, 10, 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • ACH channels: 20 fixed
  • EACH channels: 5, 10, or 20. Default: 5
  • CCCH channel: 5, 10, or 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • SCCH channels: 20 fixed
  • DCCH channel: 5 or 20. Default: 20, (Forward Link only, nothing for Reverse Link)
  • SCH channel: 20, 40, or 80. Default: 20
  • SCH 1 channel: 20, 40, or 80. Default: 20
  • SCH 2 channel: 20, 40, or 80. Default: 20

    NOTE: When Frame Length is fixed, the fixed value is grayed-out and cannot be changed.

LCMask (hex)

Minimum value: 0
Maximum value: 0x3FFFFFFFFFF

The long code mask is a 42-bit number that serves as a logical address for Reverse CDMA Channel spreading codes. It is used to select specific bits from the long code linear feedback shift register to be added, modulo-two, in order to produce the actual long code, at the proper phase.

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Radio Configuration

This is a read-only field that displays the Radio Configuration selected in the Traffic Channel dialog.

Walsh Code

Walsh Codes for the following channels are as follows:

Forward Link

  • Sync channel: 32 fixed
  • PICH channel: 0 fixed
  • TDPICH channel: 0 fixed
  • PCH channel: min 0, max 127. Default:1
  • BCCH channel: min 0, max 63. Default:0
  • CPCCH channel: min 0, max 127. Default: 0
  • CACH channel: min 0, max 127. Default: 0
  • CCCH channel: min 0, max 127. Default: 0
  • OCNS channel: min 0, max 127. Default: 53
  • FCH channel: min 0, max 127. Default: 10
  • DCCH channel: min 0, max 127. Default 21
  • SCCH channel: min 0, max 127. Default:11
  • SCCH channel: min 0, max 7. Default: 2
  • SCH channel: min 0, max 127. Default 22
  • SCH channel: min 0, max 127. Default 23

Reverse Link

  • EACH channel: min 0, max 7. Default: 2
  • CCCH channel: min 0, max 7. Default: 2
  • FCH channel: min 0, max 63. Default:4
  • DCCH channel: min 0, max 15. Default 5
  • SCH 1 channel: min 0, max 7. Default 1
  • SCH 2 channel: min 0, max 7. Default 2

Select this button to view 3GPP2 forward link and reverse link Walsh codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.


CDMA 3GPP2 Reverse Link Signal Configuration

This selection is used to set up complete standard compliant 3GPP2 reverse link.

3GPP2 RL Parameters

Shown above is the main view of the 3GPP2 Reverse Link channel configurations interface. The tree view is similar in layout to many other Windows-style user interface setups where you use the tree view to navigate between the available channel setups and other associated parameters and settings for the 3GPP2 CDMA Reverse link channels. By selecting an item in the tree view, the parameters and other channel configuration settings are displayed in the parameter view.

You can also right-click any item in the tree view to display available menu selections that allow you to enable or disable specific channels, or to add or delete channels in your current test setup. As each channel is added or deleted, or as parameters are changed, the Conflict Checker, shown at the bottom of the user interface, displays information related to each of the channel setups and whether or not any conflicts between channels are encountered.

Use this form to select:

  • Number of PICH Reverse Pilot Channels
  • Number of ACH Reverse Access Channels
  • Number of EACH Reverse Pilot Channels
  • Number of CCCH Reverse Common Control Channels
  • Number of Traffic Channels Reverse Traffic Channels
  • FCH Configuration (Fundamental Channel, Reverse)
  • DCCH Configuration (Dedicated Control Channel, Reverse)
  • SCH Configuration (Supplemental Channel)


Parameters - Favorites (3GPP2 Reverse Link)

3GPP2 RL Parameters

Click Parameters in the tree view to access the Favorites page. By default, this page is blank as shown above when first defining your 3GPP2 parameters.

The following image has some favorites added to it.

3GPP2 RL Favorites Selections

You can add any of your most often used setup parameters to this page to have easy access to many parameters in one central location. Changes made here are also shown in the original location. To help identify exactly which parameter you are changing, the parameter field is preceded by the parameter name and location. You can also delete or change the order of your favorites on the page, or jump to the page that your favorite came from by right-clicking the parameter and then selecting the desired operation from the [image] popup menu.

View favorites page popup menu

For example, to add the PICH (Primary Common Pilot Channel) power level parameter to the favorites page, you would:

  1. Click PICH in the tree view.
  2. Right-click in the Power Level parameter field.
  3. Select Add to Favorites.
  4. The PICH power level is now available.
  5. Change the Power Level as desired.
  6. Select Apply Changes to apply the changes and keep the page open, or click OK to apply the changes and close Element Properties window.

See Also

CDMA 3GPP2 Reverse Link Signal Configuration Overview


General Settings

Select General Settings in the tree view to access the parameters common for all the CDMA 3GPP2 Reverse Link channels.

3GPP2 RL General Settings

Scroll down to see the values that are acceptable for the fields in the above form.

Chips

Set the number of chips in your signal.

Minimum value: 24576
Maximum value: 50000000
Default: 98304

Normalize to 0 db

Select to set the total transmit power to 0 dB. The total transmit power is scaled to 0 dB by scaling the Power Level parameter for all channels by some common relative power.

Radio Configuration

Select the desired Radio Configuration (RC) from the following values:

RC1, RC2, RC3 and RC4

(RC3 is the default value)


Modulation And Filtering (3GPP2 Forward Link)

- 3GPP2 RL Modulation and Filtering

Scroll down to see the values that are acceptable for the fields in the above form.

Filter Coefficient Source

Click the Edit button to open the Configure Filtering dialog box to choose the desired filter coefficient source. The available choices are:

  • None
  • Standard cdma2000
  • FL Type 1
  • RL Type 1
  • User Coefficient File
  • Coefficient List

Oversampling Ratio

Set the desired over sampling ratio (OSR). The OSR value should be set according to the filter type being used and their designed sampling rates.

For example, the RRC Filter - 3GPP Standard filter type is adaptive and can have an OSR from 1 to 64. However, the RRC Filter - 3GPP ACLR Optimized filter type is designed for an OSR of 4 and any other setting will produce a conflict error.

Minimum value: 1
Maximum value: 64

Invert Q

Select this check-box to invert the quadrature phase (imaginary) component of the output.


Reverse Channels

Use this form to specify how many of each channel that you wish to configure in the reverse link.

3GPP2 RL Reverse Channels

Scroll down to see the values that are acceptable for the fields in the above form.

  • PICH - Pilot Channel Configuration
  • ACH - Access Channel Configuration
  • EACH - Enhanced Access Channel Configuration
  • CCCH - Common Control Channel Configuration
  • Traffic CH - Traffic Channel
    • Radio Configuration
    • FCH - Fundamental Channel Configuration
    • SCH - Supplemental Code Channel Configuration


PICH Configuration (Pilot Channel, Reverse)

3GPP2 RL RC PICH

Scroll down to see the values that are acceptable for the fields in the above form

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Number of Power Controls

Highlight this cell and enter a value, or use the up and down arrows to set the desired power level.

  • Minimum Value: 0
  • Maximum Value: 1


Power Control

3GPP2 RL RC PICH Power Control

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Relative Power Level

Use this cell to set the relative power level.

Minimum value: -80.0 dB
Maximum value: 80.0 dB

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23


ACH Configuration (Access Channel)

3GPP2 RL RC ACH

Scroll down to see the values that are acceptable for the fields in the above form.

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Coding Type

Conv2 is the default for Sync, PCH, BCCH, CACH, CCCH, FCH channels

Conv3 is the default for ACH channel

Conv4 is the default for EACH, CCCH channels

Data Rate

Data Rates for the following channels are as follows:

  • Sync channels: 1200 fixed
  • PCH channels: 4800 or 9600. Default: 4800
  • BCCH channels:4800, 9600, or 19200. Default: 4800
  • CPCCH channels: 19200 fixed
  • CACH channels: 9600 fixed
  • CCCH channels: 9600, 19200, or 38400. Default: 9600
  • FCH channels: 1200, 2400, 4800, 9600, or 14400. Default: 9600
  • SCCH channels: 1200, 2400, 4800, or 9600. Default: 9600
  • DCCH channels: 9600 fixed
  • SCH channels: 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, or 153600. Default: 9600
  • ACH channels 4800, fixed
  • EACH channels: 9600, 19200, or 38400. Default: 9600
  • CCCH channels: 9600, 19200, or 38400. Default:9600
  • FCH channels: 1500, 2700, 4800, or 9600. Default: 9600
  • SCH 1 and 2: 1200, 1350, 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, 153600, or 307200: Default 38400

Enable Coding

Select this check-box to enable coding for this channel, in the current configuration.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Frame Length

Frame Lengths for the following channels are as follows:

  • Sync channel: 26.6 fixed
  • PCH channels: 20 fixed
  • CPCCH channels: 20 fixed
  • CACH channels: 5 fixed
  • CCCH channels: 5, 10, 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • ACH channels: 20 fixed
  • EACH channels: 5, 10, or 20. Default: 5
  • CCCH channel: 5, 10, or 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • SCCH channels: 20 fixed
  • DCCH channel: 5 or 20. Default: 20, (Forward Link only, nothing for Reverse Link)
  • SCH channel: 20, 40, or 80. Default: 20
  • SCH 1 channel: 20, 40, or 80. Default: 20
  • SCH 2 channel: 20, 40, or 80. Default: 20

    NOTE: When Frame Length is fixed, the fixed value is grayed-out and cannot be changed.

LCMask (hex)

Minimum value: 0
Maximum value: 0x3FFFFFFFFFF

The long code mask is a 42-bit number that serves as a logical address for Reverse CDMA Channel spreading codes. It is used to select specific bits from the long code linear feedback shift register to be added, modulo-two, in order to produce the actual long code, at the proper phase.

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Data Rate

Data Rates for the following channels are as follows:

  • Sync channels: 1200 fixed
  • PCH channels: 4800 or 9600. Default: 4800
  • BCCH channels:4800, 9600, or 19200. Default: 4800
  • CPCCH channels: 19200 fixed
  • CACH channels: 9600 fixed
  • CCCH channels: 9600, 19200, or 38400. Default: 9600
  • FCH channels: 1200, 2400, 4800, 9600, or 14400. Default: 9600
  • SCCH channels: 1200, 2400, 4800, or 9600. Default: 9600
  • DCCH channels: 9600 fixed
  • SCH channels: 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, or 153600. Default: 9600
  • ACH channels 4800, fixed
  • EACH channels: 9600, 19200, or 38400. Default: 9600
  • CCCH channels: 9600, 19200, or 38400. Default:9600
  • FCH channels: 1500, 2700, 4800, or 9600. Default: 9600
  • SCH 1 and 2: 1200, 1350, 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, 153600, or 307200: Default 38400


EACH Configuration (Enhanced Access Channel)

3GPP2 RL RC EACH

Scroll down to see the values that are acceptable for the fields in the above form

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Coding Type

Conv2 is the default for Sync, PCH, BCCH, CACH, CCCH, FCH channels

Conv3 is the default for ACH channel

Conv4 is the default for EACH, CCCH channels

Data Rate

Data Rates for the following channels are as follows:

  • Sync channels: 1200 fixed
  • PCH channels: 4800 or 9600. Default: 4800
  • BCCH channels:4800, 9600, or 19200. Default: 4800
  • CPCCH channels: 19200 fixed
  • CACH channels: 9600 fixed
  • CCCH channels: 9600, 19200, or 38400. Default: 9600
  • FCH channels: 1200, 2400, 4800, 9600, or 14400. Default: 9600
  • SCCH channels: 1200, 2400, 4800, or 9600. Default: 9600
  • DCCH channels: 9600 fixed
  • SCH channels: 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, or 153600. Default: 9600
  • ACH channels 4800, fixed
  • EACH channels: 9600, 19200, or 38400. Default: 9600
  • CCCH channels: 9600, 19200, or 38400. Default:9600
  • FCH channels: 1500, 2700, 4800, or 9600. Default: 9600
  • SCH 1 and 2: 1200, 1350, 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, 153600, or 307200: Default 38400

Enable Coding

Select this check-box to enable coding for this channel, in the current configuration.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Frame Length

Frame Lengths for the following channels are as follows:

  • Sync channel: 26.6 fixed
  • PCH channels: 20 fixed
  • CPCCH channels: 20 fixed
  • CACH channels: 5 fixed
  • CCCH channels: 5, 10, 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • ACH channels: 20 fixed
  • EACH channels: 5, 10, or 20. Default: 5
  • CCCH channel: 5, 10, or 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • SCCH channels: 20 fixed
  • DCCH channel: 5 or 20. Default: 20, (Forward Link only, nothing for Reverse Link)
  • SCH channel: 20, 40, or 80. Default: 20
  • SCH 1 channel: 20, 40, or 80. Default: 20
  • SCH 2 channel: 20, 40, or 80. Default: 20

    NOTE: When Frame Length is fixed, the fixed value is grayed-out and cannot be changed.

LCMask (hex)

Minimum value: 0
Maximum value: 0x3FFFFFFFFFF

The long code mask is a 42-bit number that serves as a logical address for Reverse CDMA Channel spreading codes. It is used to select specific bits from the long code linear feedback shift register to be added, modulo-two, in order to produce the actual long code, at the proper phase.

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Walsh Code

Walsh Codes for the following channels are as follows:

Forward Link

  • Sync channel: 32 fixed
  • PICH channel: 0 fixed
  • TDPICH channel: 0 fixed
  • PCH channel: min 0, max 127. Default:1
  • BCCH channel: min 0, max 63. Default:0
  • CPCCH channel: min 0, max 127. Default: 0
  • CACH channel: min 0, max 127. Default: 0
  • CCCH channel: min 0, max 127. Default: 0
  • OCNS channel: min 0, max 127. Default: 53
  • FCH channel: min 0, max 127. Default: 10
  • DCCH channel: min 0, max 127. Default 21
  • SCCH channel: min 0, max 127. Default:11
  • SCCH channel: min 0, max 7. Default: 2
  • SCH channel: min 0, max 127. Default 22
  • SCH channel: min 0, max 127. Default 23

Reverse Link

  • EACH channel: min 0, max 7. Default: 2
  • CCCH channel: min 0, max 7. Default: 2
  • FCH channel: min 0, max 63. Default:4
  • DCCH channel: min 0, max 15. Default 5
  • SCH 1 channel: min 0, max 7. Default 1
  • SCH 2 channel: min 0, max 7. Default 2

Select this button to view 3GPP2 forward link and reverse link Walsh codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.

Walsh Length

OCNS channel: 64 or 128. Default: 64

EACH channel: 6 fixed

SCCH channel: 64 fixed


CCCH Configuration (Common Control Channel, Reverse)

3GPP2 RL RC CCCH

Scroll down to see the values that are acceptable for the fields in the above form

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Coding Type

Conv2 is the default for Sync, PCH, BCCH, CACH, CCCH, FCH channels

Conv3 is the default for ACH channel

Conv4 is the default for EACH, CCCH channels

Data Rate

Data Rates for the following channels are as follows:

  • Sync channels: 1200 fixed
  • PCH channels: 4800 or 9600. Default: 4800
  • BCCH channels:4800, 9600, or 19200. Default: 4800
  • CPCCH channels: 19200 fixed
  • CACH channels: 9600 fixed
  • CCCH channels: 9600, 19200, or 38400. Default: 9600
  • FCH channels: 1200, 2400, 4800, 9600, or 14400. Default: 9600
  • SCCH channels: 1200, 2400, 4800, or 9600. Default: 9600
  • DCCH channels: 9600 fixed
  • SCH channels: 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, or 153600. Default: 9600
  • ACH channels 4800, fixed
  • EACH channels: 9600, 19200, or 38400. Default: 9600
  • CCCH channels: 9600, 19200, or 38400. Default:9600
  • FCH channels: 1500, 2700, 4800, or 9600. Default: 9600
  • SCH 1 and 2: 1200, 1350, 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, 153600, or 307200: Default 38400

Enable Coding

Select this check-box to enable coding for this channel, in the current configuration.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Frame Length

Frame Lengths for the following channels are as follows:

  • Sync channel: 26.6 fixed
  • PCH channels: 20 fixed
  • CPCCH channels: 20 fixed
  • CACH channels: 5 fixed
  • CCCH channels: 5, 10, 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • ACH channels: 20 fixed
  • EACH channels: 5, 10, or 20. Default: 5
  • CCCH channel: 5, 10, or 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • SCCH channels: 20 fixed
  • DCCH channel: 5 or 20. Default: 20, (Forward Link only, nothing for Reverse Link)
  • SCH channel: 20, 40, or 80. Default: 20
  • SCH 1 channel: 20, 40, or 80. Default: 20
  • SCH 2 channel: 20, 40, or 80. Default: 20

    NOTE: When Frame Length is fixed, the fixed value is grayed-out and cannot be changed.

LCMask (hex)

Minimum value: 0
Maximum value: 0x3FFFFFFFFFF

The long code mask is a 42-bit number that serves as a logical address for Reverse CDMA Channel spreading codes. It is used to select specific bits from the long code linear feedback shift register to be added, modulo-two, in order to produce the actual long code, at the proper phase.

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Walsh Code

Walsh Codes for the following channels are as follows:

Forward Link

  • Sync channel: 32 fixed
  • PICH channel: 0 fixed
  • TDPICH channel: 0 fixed
  • PCH channel: min 0, max 127. Default:1
  • BCCH channel: min 0, max 63. Default:0
  • CPCCH channel: min 0, max 127. Default: 0
  • CACH channel: min 0, max 127. Default: 0
  • CCCH channel: min 0, max 127. Default: 0
  • OCNS channel: min 0, max 127. Default: 53
  • FCH channel: min 0, max 127. Default: 10
  • DCCH channel: min 0, max 127. Default 21
  • SCCH channel: min 0, max 127. Default:11
  • SCCH channel: min 0, max 7. Default: 2
  • SCH channel: min 0, max 127. Default 22
  • SCH channel: min 0, max 127. Default 23

Reverse Link

  • EACH channel: min 0, max 7. Default: 2
  • CCCH channel: min 0, max 7. Default: 2
  • FCH channel: min 0, max 63. Default:4
  • DCCH channel: min 0, max 15. Default 5
  • SCH 1 channel: min 0, max 7. Default 1
  • SCH 2 channel: min 0, max 7. Default 2

Select this button to view 3GPP2 forward link and reverse link Walsh codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.

Walsh Length

OCNS channel: 64 or 128. Default: 64

EACH channel: 6 fixed

SCCH channel: 64 fixed


Traffic Channel (Reverse)

One or more traffic channels can be created in the reverse channel.

A Traffic Channel is a logical channel used for the transport of user data. One or more code channels are used to transport user and signaling traffic from the MS (mobile station) to the BS (base station).

3GPP2 RL RC Traffic CH

Scroll down to see the values that are acceptable for the fields in the above form

  • Radio Configuration
  • FCH Configuration (Fundamental Channel, Reverse)
  • SCH Configuration (Supplemental Channel)

Radio Configuration

Use the drop-down menu to select one of the traffic channel transmission formats. At the physical layer, these are characterized by the transmission rates, modulation characteristics, spreading rate, and so on.

The available choices are:

  • RC 1
  • RC 2
  • RC 3
  • RC 4
  • RC 5.

    Forward RC 1 and RC 2 radio configurations only: You can select up to 7 supplemental code channels (SCCH's) as part of your configuration.

    Forward RC3, RC4 and RC5 already have FCH (Fundamental Channel Configuration), DCCH (Dedicated Control Channel Configuration) and SCH (Supplemental Channel Configuration) as part of the traffic channel setup as shown above.


FCH - Fundamental Channel Configuration, Reverse

3GPP2 RL RC Traffic CH RC1 FCH

Scroll down to see the values that are acceptable for the fields in the above form

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Enable Coding

Select this check-box to enable coding for this channel, in the current configuration.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Data Rate

Data Rates for the following channels are as follows:

  • Sync channels: 1200 fixed
  • PCH channels: 4800 or 9600. Default: 4800
  • BCCH channels:4800, 9600, or 19200. Default: 4800
  • CPCCH channels: 19200 fixed
  • CACH channels: 9600 fixed
  • CCCH channels: 9600, 19200, or 38400. Default: 9600
  • FCH channels: 1200, 2400, 4800, 9600, or 14400. Default: 9600
  • SCCH channels: 1200, 2400, 4800, or 9600. Default: 9600
  • DCCH channels: 9600 fixed
  • SCH channels: 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, or 153600. Default: 9600
  • ACH channels 4800, fixed
  • EACH channels: 9600, 19200, or 38400. Default: 9600
  • CCCH channels: 9600, 19200, or 38400. Default:9600
  • FCH channels: 1500, 2700, 4800, or 9600. Default: 9600
  • SCH 1 and 2: 1200, 1350, 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, 153600, or 307200: Default 38400

Frame Length

Frame Lengths for the following channels are as follows:

  • Sync channel: 26.6 fixed
  • PCH channels: 20 fixed
  • CPCCH channels: 20 fixed
  • CACH channels: 5 fixed
  • CCCH channels: 5, 10, 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • ACH channels: 20 fixed
  • EACH channels: 5, 10, or 20. Default: 5
  • CCCH channel: 5, 10, or 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • SCCH channels: 20 fixed
  • DCCH channel: 5 or 20. Default: 20, (Forward Link only, nothing for Reverse Link)
  • SCH channel: 20, 40, or 80. Default: 20
  • SCH 1 channel: 20, 40, or 80. Default: 20
  • SCH 2 channel: 20, 40, or 80. Default: 20

    NOTE: When Frame Length is fixed, the fixed value is grayed-out and cannot be changed.

LCMask (hex)

Minimum value: 0
Maximum value: 0x3FFFFFFFFFF

The long code mask is a 42-bit number that serves as a logical address for Reverse CDMA Channel spreading codes. It is used to select specific bits from the long code linear feedback shift register to be added, modulo-two, in order to produce the actual long code, at the proper phase.

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Radio Configuration

This is a read-only field that displays the Radio Configuration selected in the Traffic Channel dialog.

Walsh Code

Walsh Codes for the following channels are as follows:

Forward Link

  • Sync channel: 32 fixed
  • PICH channel: 0 fixed
  • TDPICH channel: 0 fixed
  • PCH channel: min 0, max 127. Default:1
  • BCCH channel: min 0, max 63. Default:0
  • CPCCH channel: min 0, max 127. Default: 0
  • CACH channel: min 0, max 127. Default: 0
  • CCCH channel: min 0, max 127. Default: 0
  • OCNS channel: min 0, max 127. Default: 53
  • FCH channel: min 0, max 127. Default: 10
  • DCCH channel: min 0, max 127. Default 21
  • SCCH channel: min 0, max 127. Default:11
  • SCCH channel: min 0, max 7. Default: 2
  • SCH channel: min 0, max 127. Default 22
  • SCH channel: min 0, max 127. Default 23

Reverse Link

  • EACH channel: min 0, max 7. Default: 2
  • CCCH channel: min 0, max 7. Default: 2
  • FCH channel: min 0, max 63. Default:4
  • DCCH channel: min 0, max 15. Default 5
  • SCH 1 channel: min 0, max 7. Default 1
  • SCH 2 channel: min 0, max 7. Default 2

Select this button to view 3GPP2 forward link and reverse link Walsh codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.


DCCH Configuration (Dedicated Control Channel, Reverse)

Note: THe DCCH - Dedicated Control Channel Configuration in the reverse channel is only available for RC3 and RC4.

3GPP2 RL RC Traffic CH RC3 DCCH

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Coding Type

Conv2 is the default for Sync, PCH, BCCH, CACH, CCCH, FCH channels

Conv3 is the default for ACH channel

Conv4 is the default for EACH, CCCH channels

Data Rate

Data Rates for the following channels are as follows:

  • Sync channels: 1200 fixed
  • PCH channels: 4800 or 9600. Default: 4800
  • BCCH channels:4800, 9600, or 19200. Default: 4800
  • CPCCH channels: 19200 fixed
  • CACH channels: 9600 fixed
  • CCCH channels: 9600, 19200, or 38400. Default: 9600
  • FCH channels: 1200, 2400, 4800, 9600, or 14400. Default: 9600
  • SCCH channels: 1200, 2400, 4800, or 9600. Default: 9600
  • DCCH channels: 9600 fixed
  • SCH channels: 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, or 153600. Default: 9600
  • ACH channels 4800, fixed
  • EACH channels: 9600, 19200, or 38400. Default: 9600
  • CCCH channels: 9600, 19200, or 38400. Default:9600
  • FCH channels: 1500, 2700, 4800, or 9600. Default: 9600
  • SCH 1 and 2: 1200, 1350, 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, 153600, or 307200: Default 38400

Enable Coding

Select this check-box to enable coding for this channel, in the current configuration.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Frame Length

Frame Lengths for the following channels are as follows:

  • Sync channel: 26.6 fixed
  • PCH channels: 20 fixed
  • CPCCH channels: 20 fixed
  • CACH channels: 5 fixed
  • CCCH channels: 5, 10, 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • ACH channels: 20 fixed
  • EACH channels: 5, 10, or 20. Default: 5
  • CCCH channel: 5, 10, or 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • SCCH channels: 20 fixed
  • DCCH channel: 5 or 20. Default: 20, (Forward Link only, nothing for Reverse Link)
  • SCH channel: 20, 40, or 80. Default: 20
  • SCH 1 channel: 20, 40, or 80. Default: 20
  • SCH 2 channel: 20, 40, or 80. Default: 20

    NOTE: When Frame Length is fixed, the fixed value is grayed-out and cannot be changed.

LCMask (hex)

Minimum value: 0
Maximum value: 0x3FFFFFFFFFF

The long code mask is a 42-bit number that serves as a logical address for Reverse CDMA Channel spreading codes. It is used to select specific bits from the long code linear feedback shift register to be added, modulo-two, in order to produce the actual long code, at the proper phase.

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Radio Configuration

This is a read-only field that displays the Radio Configuration selected in the Traffic Channel dialog.

Walsh Length

OCNS channel: 64 or 128. Default: 64

EACH channel: 6 fixed

SCCH channel: 64 fixed

Walsh Code

Walsh Codes for the following channels are as follows:

Forward Link

  • Sync channel: 32 fixed
  • PICH channel: 0 fixed
  • TDPICH channel: 0 fixed
  • PCH channel: min 0, max 127. Default:1
  • BCCH channel: min 0, max 63. Default:0
  • CPCCH channel: min 0, max 127. Default: 0
  • CACH channel: min 0, max 127. Default: 0
  • CCCH channel: min 0, max 127. Default: 0
  • OCNS channel: min 0, max 127. Default: 53
  • FCH channel: min 0, max 127. Default: 10
  • DCCH channel: min 0, max 127. Default 21
  • SCCH channel: min 0, max 127. Default:11
  • SCCH channel: min 0, max 7. Default: 2
  • SCH channel: min 0, max 127. Default 22
  • SCH channel: min 0, max 127. Default 23

Reverse Link

  • EACH channel: min 0, max 7. Default: 2
  • CCCH channel: min 0, max 7. Default: 2
  • FCH channel: min 0, max 63. Default:4
  • DCCH channel: min 0, max 15. Default 5
  • SCH 1 channel: min 0, max 7. Default 1
  • SCH 2 channel: min 0, max 7. Default 2

Select this button to view 3GPP2 forward link and reverse link Walsh codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.


SCCH - Supplemental Code Channel

Note, the SCCH channel is only available for RC1 and RC2, for which a fixed number of 7 SCCH channels are allocated.

The 7 allocated SCCH channels have the same default values for the SCCH parameters.

3GPP2 RL RC Traffic CH RC1 SCCH

Scroll down to see descriptions of available Synchronization Channel configuration options.

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Enable Coding

Select this check-box to enable coding for this channel, in the current configuration.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Frame Length

Frame Lengths for the following channels are as follows:

  • Sync channel: 26.6 fixed
  • PCH channels: 20 fixed
  • CPCCH channels: 20 fixed
  • CACH channels: 5 fixed
  • CCCH channels: 5, 10, 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • ACH channels: 20 fixed
  • EACH channels: 5, 10, or 20. Default: 5
  • CCCH channel: 5, 10, or 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • SCCH channels: 20 fixed
  • DCCH channel: 5 or 20. Default: 20, (Forward Link only, nothing for Reverse Link)
  • SCH channel: 20, 40, or 80. Default: 20
  • SCH 1 channel: 20, 40, or 80. Default: 20
  • SCH 2 channel: 20, 40, or 80. Default: 20

    NOTE: When Frame Length is fixed, the fixed value is grayed-out and cannot be changed.

LCMask (hex)

Minimum value: 0
Maximum value: 0x3FFFFFFFFFF

The long code mask is a 42-bit number that serves as a logical address for Reverse CDMA Channel spreading codes. It is used to select specific bits from the long code linear feedback shift register to be added, modulo-two, in order to produce the actual long code, at the proper phase.

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Radio Configuration

This is a read-only field that displays the Radio Configuration selected in the Traffic Channel dialog.

Walsh Length

OCNS channel: 64 or 128. Default: 64

EACH channel: 6 fixed

SCCH channel: 64 fixed


SCH - Supplemental Channel

Note: The SCH - channels in the reverse link are only available for RC3 and RC4.

3GPP2 RL RC Traffic CH RC3 SCH

Enable

Select the check-box to enable this channel in the current configuration.

NOTE: You can also enable and disable individual channels or parameters in the tree view by right-clicking on the tree item and then selecting Enable or Disable from the popup menu.

____

Coding Type

Conv2 is the default for Sync, PCH, BCCH, CACH, CCCH, FCH channels

Conv3 is the default for ACH channel

Conv4 is the default for EACH, CCCH channels

Data Rate

Data Rates for the following channels are as follows:

  • Sync channels: 1200 fixed
  • PCH channels: 4800 or 9600. Default: 4800
  • BCCH channels:4800, 9600, or 19200. Default: 4800
  • CPCCH channels: 19200 fixed
  • CACH channels: 9600 fixed
  • CCCH channels: 9600, 19200, or 38400. Default: 9600
  • FCH channels: 1200, 2400, 4800, 9600, or 14400. Default: 9600
  • SCCH channels: 1200, 2400, 4800, or 9600. Default: 9600
  • DCCH channels: 9600 fixed
  • SCH channels: 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, or 153600. Default: 9600
  • ACH channels 4800, fixed
  • EACH channels: 9600, 19200, or 38400. Default: 9600
  • CCCH channels: 9600, 19200, or 38400. Default:9600
  • FCH channels: 1500, 2700, 4800, or 9600. Default: 9600
  • SCH 1 and 2: 1200, 1350, 1500, 2400, 2700, 4800, 9600, 19200, 38400, 76800, 153600, or 307200: Default 38400

Enable Coding

Select this check-box to enable coding for this channel, in the current configuration.

____

Data Source

Click Edit to open the Standard Data Source dialog box, which allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Enable Qof

Select this check box to enable or clear to disable Qof for this channel in the current configuration.

Frame Length

Frame Lengths for the following channels are as follows:

  • Sync channel: 26.6 fixed
  • PCH channels: 20 fixed
  • CPCCH channels: 20 fixed
  • CACH channels: 5 fixed
  • CCCH channels: 5, 10, 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • ACH channels: 20 fixed
  • EACH channels: 5, 10, or 20. Default: 5
  • CCCH channel: 5, 10, or 20. Default: 5
  • FCH channels: 5 or 20. Default: 20
  • SCCH channels: 20 fixed
  • DCCH channel: 5 or 20. Default: 20, (Forward Link only, nothing for Reverse Link)
  • SCH channel: 20, 40, or 80. Default: 20
  • SCH 1 channel: 20, 40, or 80. Default: 20
  • SCH 2 channel: 20, 40, or 80. Default: 20

    NOTE: When Frame Length is fixed, the fixed value is grayed-out and cannot be changed.

LCMask (hex)

Minimum value: 0
Maximum value: 0x3FFFFFFFFFF

The long code mask is a 42-bit number that serves as a logical address for Reverse CDMA Channel spreading codes. It is used to select specific bits from the long code linear feedback shift register to be added, modulo-two, in order to produce the actual long code, at the proper phase.

Power Level

Use this cell to set the desired power level for this channel.

Minimum value: -80.0 dB
Maximum value: 0.0 dB

NOTE: The power level setting for this channel is relative to the main channel power.

Radio Configuration

This is a read-only field that displays the Radio Configuration selected in the Traffic Channel dialog.

Walsh Length

OCNS channel: 64 or 128. Default: 64

EACH channel: 6 fixed

SCCH channel: 64 fixed

Walsh Code

Walsh Codes for the following channels are as follows:

Forward Link

  • Sync channel: 32 fixed
  • PICH channel: 0 fixed
  • TDPICH channel: 0 fixed
  • PCH channel: min 0, max 127. Default:1
  • BCCH channel: min 0, max 63. Default:0
  • CPCCH channel: min 0, max 127. Default: 0
  • CACH channel: min 0, max 127. Default: 0
  • CCCH channel: min 0, max 127. Default: 0
  • OCNS channel: min 0, max 127. Default: 53
  • FCH channel: min 0, max 127. Default: 10
  • DCCH channel: min 0, max 127. Default 21
  • SCCH channel: min 0, max 127. Default:11
  • SCCH channel: min 0, max 7. Default: 2
  • SCH channel: min 0, max 127. Default 22
  • SCH channel: min 0, max 127. Default 23

Reverse Link

  • EACH channel: min 0, max 7. Default: 2
  • CCCH channel: min 0, max 7. Default: 2
  • FCH channel: min 0, max 63. Default:4
  • DCCH channel: min 0, max 15. Default 5
  • SCH 1 channel: min 0, max 7. Default 1
  • SCH 2 channel: min 0, max 7. Default 2

Select this button to view 3GPP2 forward link and reverse link Walsh codes, with relation to various spreading factors, that can help with diagnosing and resolving code conflicts.


Digital Video Signal Creation

Digital Video Broadcast (DVB) is a digital television transmission standard using Orthogonal Frequency Division Multiplexed (OFDM) -based modulation to deliver content to both fixed televisions, using the DVB-Terrestrial (DVB-T) option, and to mobile handsets, using the DVB-Handheld (DVB-H) option.

The Digital Video waveform generator is a complete implementation of the functionality defined in ETSI EN 300 744: "Digital Video Broadcasting (DVB); Framing structure, channel coding and modulation for digital terrestrial television". This comprises physical layer modulation and coding of MPEG-2 coded television signals, from MPEG-2 packets to an "on-the-air" OFDM modulated signal.

DVB-H can offer a downstream channel at high data rates which can be used as a standalone or as an enhancement of mobile telecommunication networks which many typical handheld terminals are able to access.


Parameters - Favorites

Click Parameters in the tree view to access the Favorites page.

You can add any of your most often used setup parameters to this page to have easy access to many parameters in one central location. Changes made here are also shown in the original location. To help identify exactly which parameter you are changing, the parameter field is preceded by the parameter name and location. You can also delete or change the order of your favorites on the page, or jump to the page that your favorite came from by right-clicking the parameter and then selecting the desired operation from the [image] popup menu.

View favorites page popup menu

For example, to add the Bandwidth parameter to the favorites page, you would:

  1. Click General Settings in the tree view.
  2. Right-click in the Bandwidth parameter field.
  3. Select Add to Favorites.

    The Bandwidth setting is now available on the Favorites page.

  4. Select Apply Changes to apply the changes and keep the page open, or click OK to apply the changes and close the Element Properties window.
  5. Select Revert to Last Saved to return to the settings to the values prior to making changes.

See Also

Digital Video Waveform Generator Overview


General Settings

Select General Settings in the [image] tree view to access the modulation parameters that are required for both DVB-T and DVB-H.

W-CDMA 3GPP DL Tree View

Digital video general settings

OFDM Symbols

Select the number of OFDM Symbols that will be generated in the current configuration. In DVB, 68 OFDM symbols form one frame, which covers the transmission of one complete Transmission Parameter Signaling (TPS) message. Four frames form one superframe = 272 symbols that convey a complete set of four TPS messages, which is required to transmit all of the system information once.

Minimum value: 0
Maximum value: 4294967295

Use this cell to select the desired file length (in chips).

Symbol Modulator Alpha

The value selected for alpha determines the separation of the sub-constellations mapped from High Priority (HP) and Low Priority (LP) streams when using Hierarchical Coding. Alpha = 2 and Alpha = 4 is only applicable when Hierarchical Coding is being used. See Data.

To select the desired alpha value for the symbol modulator, use the drop-down menu arrows and select from the list of variables. The choices are:

  • 1
  • 2
  • 4

Bandwidth

To select the desired bandwidth, use the drop-down menu arrows and select from the list of variables. The choices are:

  • 5 MHz
  • 6 MHz
  • 7 MHz
  • 8 MHz

Cell ID

The Cell ID is transmitted in the TPS messages, to allow receivers to uniquely identify the transmitter from which they are receiving a broadcast. In DVB-T the Cell ID is optional, taking a value of 0 if it is unused. In DVB-H the Cell ID is mandatory as identification of multiple cells is required for handover.

Minimum value: 0
Maximum value: 65535

Highlight this cell and enter a value, or use the up and down arrows to select the desired file length (in chips).

Guard Interval

Guard Interval specifies the length of cyclic prefix prepended to the output of the IFFT OFDM modulation. For example, a 1/8 guard interval with an FFT size of 2048 results in an extension of 2048/8=256 samples.

The amount of cyclic extension determines the robustness of the transmission to multipath; longer guard intervals allow for larger multipath delay spread, hence allow larger cell sizes, at the expense of more overhead in terms of lost data rate and power.

  • 1/4
  • 1/8
  • 1/16
  • 1/32

Use the Guard Interval drop-down menu arrows to select the desired guard interval.

DVB Mode

DVB uses OFDM modulation, which modulates a large number of parallel data streams onto individual frequencies by using an Inverse FFT (IFFT) operation. The DVB Mode specifies the number of IFFT points being used: 2K = 2048 points, 4K = 4096 points and 8K=8192 points.

Rather than carrying data on a single radio frequency carrier, OFDM works by splitting the digital stream into a large number of slower data streams, each of which digitally modulate a set of closely spaced adjacent frequencies. In the case of DVM-H, there are three transmission modes: 2 K, 4 K, and 8 K.

Use the DVB Mode drop-down menu arrows to select the mode, as shown below.

2K transmission mode:

  • can be used for single transmitter operation
  • is suitable for small SFNs with limited transmitter distances
  • allows extremely high speed reception

4K transmission mode:

  • can be used for single transmitter operation
  • is suitable for small and medium SFNs
  • allows very high speed reception

8K transmission mode:

  • can be used for single transmitter operation
  • is suitable for small, medium, and large SFNs
  • allows high speed reception

Modulation

Select a digital transmission choice for the digital modulation. Use the drop-down menu arrows and select from the list of variables. The choice of modulation is a balance, QPSK offers the best reception under low signal and high noise conditions, but it offers the lowest data rate. 64-QAM offers the highest data rate, but requires the highest signal level to provide sufficiently error free reception.

Choices are:

  • QPSK
  • 16-QAM
  • 64-QAM


Filtering Configuration

Filter Coefficient Source

Select the Edit button to open the Configure Filtering dialog to choose the desired filter coefficient source. The available choices are:

  • None
  • Standard Based Filtering
  • User Coefficient File
  • Coefficient List

Over Sampling Ratio

Highlight this cell and enter a value, or use the drop-down menu arrows to select the desired oversampling ratio (OSR). The OSR value should be set according to the filter type being used and their designed sampling rates.

Minimum value: 1
Maximum value: 8

Invert Q

Select this check-box to invert the quadrature phase (imaginary) component of the output.


Configure Filtering

Filtering Type

Use the drop-down menu to select the desired filtering type:

  • None
  • Standard Based - meets the DVB critical spectrum mask
  • User Coefficient File
  • Coefficient List

If you select User Coefficient File, you must enter the full UNC (universal naming convention) path of the coefficient file you wish to use in the File Name text field, or select the Open Dialog button Open Dialog button to open the Choose a Coefficient File dialog window, which allows you to navigate to a saved coefficient file. This information is stored and each time a waveform is configured this file name is passed into the waveform construction library and the file is read every time the waveform is produced. This choice is preferable if you want to frequently change the filter configurations in a dynamic model. The Coefficients text field is not available.

If you select Coefficient List, you can either hand-type a list of coefficients in the Coefficients text field or navigate to a file of saved coefficients using the Choose a Coefficient dialog window. In this case the static coefficients are stored inside the configuration and passed to the waveform constructor as a vector of double precision values, and is never referred to again. This choice is preferable if you always want the same filter coefficients in the configuration.

Coefficients

When the filtering type selected is Coefficient List, this text entry field is available to manually enter coefficients, or you can navigate to a saved coefficient file.

File Name

If you select User Coefficient File or Coefficient List, you can type the path and file name of a saved coefficient file in the File Name text box, or you can select the Open Dialog button Open Dialog button to open the [image] Choose a Coefficient File dialog that allows you to navigate to a saved coefficient file. Saved coefficient files are ASCII text files with the coefficients listed as one value per line, and are parsed as double precision values.

Choose a coefficient file dialog


Handheld

The Handheld settings are used to configure DVB-Handheld (DVB-H) specific options in the waveform generation.

Primarily, the Handheld settings provide the values of Transmission Parameter Signaling (TPS) message field specific to DVB-H.

Neither MPE-FEC nor Time Slicing is implemented in this waveform generator; these settings are used to correctly signal in the TPS the nature of the source Transport Stream provided in the case that it is a DVB-H source.

NOTE: For DVB-H, if the Transport Stream file provided is the output of a DVB-H IP-Encapsulator (possibly multiplexed with standard MPEG2 TV services), you must set the appropriate options in the Handheld settings to indicate (in TPS transmission) whether or not MPE-FEC and Time Slicing is used in the source."

If these settings are Disabled, the DVB-H related bits in the TPS are set according to the DVB-T standard (most being set to zero). If these settings are Enabled, these settings are encoded into the TPS messages.

The Interleaver Type option dictates which symbol interleaver is actually used in waveform generation. The Native option uses the DVB-T defined interleaver.The In Depth option uses the DVB-H interleaver which allows the interleaver defined in DVB-T for 8K mode to be used in 2K or 4K modes, giving increased interleaving depth.

Settings

Use the drop-down menu to enable or disable the settings.

Interleaver Type

The Interleaver Type option dictates which symbol interleaver is actually used in waveform generation: the Native option uses the DVB-T defined interleaver, whereas In Depth uses the DVB-H interleaver which allows the interleaver defined in DVB-T for 8K mode to be used in 2K or 4K modes, giving increased interleaving depth.

High Priority MPE - FEC

Please note that neither MPE-FEC or Time Slicing is implemented in this waveform generator; these settings are used to correctly signal in the TPS the nature of the source Transport Stream provided in the case that it is a DVB-H source.

If these settings are Disabled, the DVB-H related bits in the TPS are set according to the DVB-T standard (mostly being set to zero). If these settings are Enabled, these settings are encoded into the TPS messages.

Low Priority MPE - FEC

Please note that neither MPE-FEC or Time Slicing is implemented in this waveform generator; these settings are used to correctly signal in the TPS the nature of the source Transport Stream provided in the case that it is a DVB-H source.

If these settings are Disabled, the DVB-H related bits in the TPS are set according to the DVB-T standard (mostly being set to zero). If these settings are Enabled, these settings are encoded into the TPS messages.

High Priority Time Slicing

Please note that neither MPE-FEC or Time Slicing is implemented in this waveform generator; these settings are used to correctly signal in the TPS the nature of the source Transport Stream provided in the case that it is a DVB-H source.

If these settings are Disabled, the DVB-H related bits in the TPS are set according to the DVB-T standard (mostly being set to zero). If these settings are Enabled, these settings are encoded into the TPS messages.

Low Priority Time Slicing

Please note that neither MPE-FEC or Time Slicing is implemented in this waveform generator; these settings are used to correctly signal in the TPS the nature of the source Transport Stream provided in the case that it is a DVB-H source.

If these settings are Disabled, the DVB-H related bits in the TPS are set according to the DVB-T standard (mostly being set to zero). If these settings are Enabled, these settings are encoded into the TPS messages.


Data

This setting specifies the data source to be used at the input to the data symbol modulation. The Uncoded option simply takes the specified Standard Data Source bits and maps them to the modulation constellation.

The Coding option performs non-hierarchical coding and the Hierarchical Coded option performs hierarchical coding of either one or two data sources respectively. Hierarchical coding is used where the input has been split into two independent Transport Streams, High Priority (HP) and Low Priority (LP), which are to be coded with different levels of robustness.

In the case of either of the Coded options, the data sources can be chosen from a Standard Data Source, SYNC Inserting Data Source, and MPEG Transport Stream File.

A SYNC Inserting Data Source manages a data source by inserting SYNC bytes required for DVB synchronization into the sequence of bits from the specified data source. Specifically, 188-byte Transport Stream Packets are formed by creating one SYNC byte and then taking 187 bytes (1496 bits) from the specified data source and repeating this process. Note that the "DVB multiplex adaptation" step of inverting the 1st and every subsequent 8th SYNC byte is also performed.

A MPEG Transport Stream File source is provided for convenient consumption of an MPEG-2 compliant Transport Stream file, usually having file extension .TS or .M2TS. These files are read in a byte-wise fashion, presuming that the 1st and every subsequent 188th byte is a SYNC byte. Note that the "DVB multiplex adaptation" step of inverting the 1st and every subsequent 8th SYNC byte is also performed.

NOTE: For DVB-H, if the Transport Stream file provided is the output of a DVB-H IP-Encapsulator (possibly multiplexed with standard MPEG2 TV services), you must set the appropriate options in the Handheld settings to indicate (in TPS transmission) whether or not MPE-FEC and Time Slicing is used in the source.

Coded Data

If Coded is chosen for the Data setting, the Coded Data settings allow the Data Source to be specified, along with the Code Rate used in the channel coding of the data.

Hierarchical Coded

If Hierarchical Coded is chosen for the Data setting, the High Priority Data and Low Priority Data setting allow the configuration of the Data Source and Code Rate for the HP and LP streams respectively.

Click the Edit button to open the Standard Data Source dialog box.


Coded Data

If Coded is chosen for the Data setting, the Coded Data settings allow the Data Source to be specified, along with the Code Rate used in the channel coding of the data.

Code Rate

Choose from 1/2, 2/3, 3/4, 5/6 or 7/8.

Data Source

In the case of either Coded or Hierarchical Coded Data options, the data sources can be chosen from a Standard Data Source, SYNC Inserting Data Source, and MPEG Transport Stream File.

A SYNC Inserting Data Source manages a data source by inserting SYNC bytes required for DVB synchronization into the sequence of bits from the specified data source. Specifically, 188-byte Transport Stream Packets are formed by creating one SYNC byte and then taking 187 bytes (1496 bits) from the specified data source and repeating this process. Note that the "DVB multiplex adaptation" step of inverting the 1st and every subsequent 8th SYNC byte is also performed.

A MPEG Transport Stream File source is provided for convenient consumption of an MPEG-2 compliant Transport Stream file, usually having file extension .TS or .M2TS. These files are read in a byte-wise fashion, presuming that the 1st and every subsequent 188th byte is a SYNC byte. Note that the "DVB multiplex adaptation" step of inverting the 1st and every subsequent 8th SYNC byte is also performed.

Standard Data Source

Select Edit to open the Standard Data Source dialog that allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23


Hierarchical Coded Data

If Hierarchical Coded is chosen for the Data setting, the High Priority Data and Low Priority Data settings allow the configuration of the Data Source and Code Rate for the HP and LP streams respectively.


High Priority Data

Hierarchical coding is used where the input has been split into two independent Transport Streams, High Priority (HP) and Low Priority (LP), which are to be coded with different levels of robustness.

High Priority Code Rate

Choose from 1/2, 2/3, 3/4, 5/6 or 7/8.

Standard Data Source

Select Edit to open the Standard Data Source dialog that allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

Data Source

In the case of either Coded or Hierarchical Coded Data options, the data sources can be chosen from a Standard Data Source, SYNC Inserting Data Source, and MPEG Transport Stream File.

A SYNC Inserting Data Source manages a data source by inserting SYNC bytes required for DVB synchronization into the sequence of bits from the specified data source. Specifically, 188-byte Transport Stream Packets are formed by creating one SYNC byte and then taking 187 bytes (1496 bits) from the specified data source and repeating this process. Note that the "DVB multiplex adaptation" step of inverting the 1st and every subsequent 8th SYNC byte is also performed.

A MPEG Transport Stream File source is provided for convenient consumption of an MPEG-2 compliant Transport Stream file, usually having file extension .TS or .M2TS. These files are read in a byte-wise fashion, presuming that the 1st and every subsequent 188th byte is a SYNC byte. Note that the "DVB multiplex adaptation" step of inverting the 1st and every subsequent 8th SYNC byte is also performed.


Low Priority Data

Hierarchical coding is used where the input has been split into two independent Transport Streams, High Priority (HP) and Low Priority (LP), which are to be coded with different levels of robustness.

Low Priority Code Rate

Choose from 1/2, 2/3, 3/4, 5/6 or 7/8.

Data Source

In the case of either Coded or Hierarchical Coded Data options, the data sources can be chosen from a Standard Data Source, SYNC Inserting Data Source, and MPEG Transport Stream File.

A SYNC Inserting Data Source manages a data source by inserting SYNC bytes required for DVB synchronization into the sequence of bits from the specified data source. Specifically, 188-byte Transport Stream Packets are formed by creating one SYNC byte and then taking 187 bytes (1496 bits) from the specified data source and repeating this process. Note that the "DVB multiplex adaptation" step of inverting the 1st and every subsequent 8th SYNC byte is also performed.

A MPEG Transport Stream File source is provided for convenient consumption of an MPEG-2 compliant Transport Stream file, usually having file extension .TS or .M2TS. These files are read in a byte-wise fashion, presuming that the 1st and every subsequent 188th byte is a SYNC byte. Note that the "DVB multiplex adaptation" step of inverting the 1st and every subsequent 8th SYNC byte is also performed.

Standard Data Source

Select Edit to open the Standard Data Source dialog that allows you to choose from the following data formats:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23


Operations

Operations Tool Set

  • AWGN
  • Frequency Shift
  • Invert Q
  • IQ Gain Imbalance
  • IQ Offset
  • Resample IQ Stream
  • Time Delay (IQ Stream)

Select the Operations button to display the available selections.


AWGN

Additive white Gaussian noise (AWGN) is the linear addition of wideband or white noise with a constant spectral density (expressed as watts per hertz of bandwidth) and a Gaussian distribution of amplitude. AWGN is commonly used to simulate background noise of a channel under study.

Drag and drop the AWGN element onto the project worksheet, then add it to your workflow using the Connect Elements icon. Double-click the element, or right-click the element and select Edit Element Configuration from the popup menu to open the AWGN Configuration dialog, shown below.

AWGN Configuration dialog

Power

Use this dialog to set the power (dBc) of the additive white Gaussian noise (AWGN) to be added to your signal.

Minimum Value: -80.0 dBc
Maximum Value: 20.0 dBc

See Also:

  • :PROJect<index>:AWGN[:SENSe]:POWer


Frequency Shift

Drag and Drop the Frequency Shift element onto the project worksheet, then add it to your workflow using the Connect Element button. Double-click the element, or right-click the element and select Edit Element Configuration from the popup menu to open the Frequency Shift dialog, shown below, to enter the Relative Frequency.

Connect Elements button

Frequency Shift element

The Frequency Shift element takes the signal, which is based at 0 Hz (the signal generator is used to place the signal at the appropriate frequency) and perform a positive or negative frequency shift relative to 0 Hz. The shift operation can be used to shift the original signal by +/- the input sample rate/2.0*80%.

What this means is that the valid frequency shift range differs for each of the modulation formats depending upon the input sample rate.

To verify the exact Frequency Shift range for your particular configuration, open the Frequency Shift configuration dialog, then hover the cursor over the Relative Frequency input field to display the minimum and maximum values allowed.

Example

In the figure below, the possible Frequency Shift range is -40 to 40 MHz.

Frequency Shift 10 MHz Example

_____

See also:

  • Using the Frequency Shift Element
  • Connecting Elements
  • :PROJect<index>:SHIFt[:SENSe]:FREQuency


Invert Q

Drag and drop the Invert Q element onto the project worksheet, then add it to your workflow using the Connect Elements icon to invert the quadrature phase of the signal.

Invert Q icon

NOTE: There are no parameters to configure for this element.


IQ Appender

Drag and drop the IQ Appender element onto the project worksheet, then add it to your workflow using the Connect Elements icon. Double-click the element, or right-click the element and select Edit Element Configuration from the popup menu to open the IQ Appender dialog, shown below.

IQ Appender element

The IQ Appender can be used to append two input signals together to make one contiguous signal, and also has the ability to repeat either of the signals in time, more than once.

NOTE: The sample rate of the incoming signals must match or an error condition is displayed when the project is built.

______

IQ Appender question

Repeat Signal 1

Minimum Value: 1
Maximum Value: 100

Repeat Signal 2

Minimum Value: 1
Maximum Value: 100


IQ Gain Imbalance

Drag and drop the IQ Gain Imbalance element onto the project worksheet, then add it to your workflow using the Connect Elements icon. Double-click the element, or right-click the element and select Edit Element Configuration from the popup menu to open the IQ Gain Imbalance configuration dialog, shown below.

IQ Gain Imbalance Element

IQ Gain Imbalance dialog

Scale:

Minimum value: 0.7
Maximum value: 1.5

Sets the desired IQ Gain Imbalance.

See Also:

  • :PROJect<index>:GIMBalance[:SENSe]:SCALe


IQ Offset

Drag and drop the IQ Offset element onto the project worksheet, then add it to your workflow using the Connect Elements icon. Double-click the element, or right-click the element and select Edit Element Configuration from the popup menu to open the IQ Offset configuration dialog, shown below. The IQ values are normalized before applying the offset.

IQ Offset Element

IQ Offset dialog

See Also:

  • I Offset
  • Q Offset

I Offset

Enter the desired I offset.

Minimum value: -0.250000
Maximum value: 0.250000
Default: 0.0

See Also:

  • :PROJect<index>:IQOFfset[:SENSe]:I

Q Offset

Enter the desired Q offset.

Minimum value: -0.250000
Maximum value: 0.250000
Default: 0.0

See Also:

  • :PROJect<index>:IQOFfset[:SENSe]:Q


Resample

Drag and drop the Resample element onto the project worksheet, then add it to your workflow using the Connect Elements icon. Double-click the element, or right-click the element and select Edit Element Configuration from the popup menu to open the Resample IQ Stream dialog, shown below.

Resample 5MHz Icon

Resample IQ Stream dialog

Input Sample Rate

This is a read-only parameter that shows the sample rate of the waveform prior to re-sampling.

If this value is zero, the Resample operation is not yet able to determine the sample rate of the incoming signal. Possible reasons could be that the Resample element is not connected to an input element, or the input element, or dependent elements, have not acquired the necessary information to compute the sample rate.

Output Sample Rate

Enter the desired Output Sample Rate, in MHz.

Minimum value: 0 MHz (depends on the sample rate of the input signal)
Maximum value: 1000 MHz

Apply Smoothing at Wrap

Select to apply smoothing to the waveform, as it transitions at the end of the waveform.

When a waveform is being played in the digital signal processor (DSP) of the signal generator, as the IQ data reaches the end of the waveform it wraps around to the beginning forming an endless loop. During the transition from the end of one waveform to the beginning of the next waveform there could be discontinuity across the transition of the end of the waveform back to the beginning, resulting in unwanted noise in the signal. This is especially true of non-bursted signals.

Symptoms of a discontinuous wrap would be poor EVM or a complete failure of the signal analyzer, or analysis element, to synchronize on a waveform. Waveforms generated by SignalMeister™ are designed to be continuous at the wrap point, so you do not need to use this option with internally generated waveforms. However, if you are importing your own waveforms and are unsure whether the wrap is continuous, enable the Apply Smoothing at Wrap check-box to smooth approximately 100 IQ points at the end of the waveform, removing any discontinuity across the wrap to the beginning.

Truncate last sample on odd total

This setting monitors the resampling ratio, and allows you to truncate the final sample to an even number, if the total number of samples in the waveform is an odd number.

For optimum performance in the Agilent Series V2900 Signal Generators, the digital signal processor (DSP) requires an even number of sample points in the waveform. However, simply truncating an odd number of samples to an even number in your waveform to satisfy the requirements of the Series V2900 VSG can lead to undesired behavior of the waveform analysis, especially in non-bursted signals. This is why you are allowed to choose between truncating the odd sample if it occurs, or to stop processing altogether.

One possible solution to cope with waveforms that create an odd number of samples is to use the IQ Appender operation, which "appends" multiple copies of the same waveform in time, in essence creating a repeating sequence of the same signal that now has an even number of samples. You can then resample this repeated waveform.

Choice: On | Off
Default: On

See Also:

IQ Appender

Stop processing on odd total samples

Choose this setting to stop processing the signal if the total number of samples results in an odd number, which is not compatible with the Agilent Series V2900 Vector Signal Generator's digital signal processor (DSP).

Choice: On | Off
Default: Off

______

NOTE: To create a waveform with an even number of samples from a waveform that has an odd number of samples, you can feed the output of the Resampler (odd number of samples) into both inputs of the IQ Appender, which will replicate the signal with an even number of total samples, and keep the signal intact.

______

See Also:

IQ Appender


Time Delay (IQ Stream)

Drag and drop the Time Delay element onto the project worksheet, then add it to your workflow using the Connect Elements icon. Double-click the element, or right-click the element and select Edit Element Configuration from the popup menu to open the IQ Stream Time Delay configuration dialog, shown below.

Time Delay Element popup

The Time Delay element allows you to "delay" or shift the signal in time by some number of samples. When connected to a source element it will show the sample rate in MHz and the time delay in nanoseconds based on the number of Samples to Delay. The shifting/delay can be positive or negative by as many samples in the IQ stream.

IQ stream time delay

See also:

  • :PROJect<index>:DELay[:SENSe]:TIMe

Input Sample Rate

Displays the input sample rate based on the number of samples shifted. This parameter is read-only.

Samples to Delay

Minimum value: -256000000
Maximum value: 256000000

Sets the number of samples you want to shift in time.

Time Delay (IQ Stream)

Displays the time delay based on the number of samples shifted.


Channel Models

Channel Models Tool Set

3GPP Birth Death Channel Model

3GPP Jakes' Fading Channel Model

3GPP Moving Channel Model

3GPP Suburban Spatial Channel Model

NxN Generic Channel Models

WiFi 'Type E' Channel Model

WiMAX 'Pedestrian B' Channel Model

Select the Channel Models button to display the available selections.


3GPP Birth Death Channel Model

Birth death propagation looks at a receiver's ability to react to the disappearance and reappearance of radio signals, allowing you to test a receiver's ability to ignore lost paths and simultaneously make use of new reception paths as they become available.

This model provides a scenario with two paths: path one, the delay reference, remains constant. The second path (which has a different delay) cuts out (death) and immediately cuts in again with a different delay (birth).

3GPP Birth Death Channel Model

Enabled

Turns the channel model on or off (pass through mode).

Time Offset

Minimum value: 0.0 sec
Maximum value: 0.191 sec

Sets the offset time between the first path (P1), that serves as a reference, and the second path (P2).

Random Seed

Seeds the random number generator; a value of 0 (zero) uses a time-based seed that yields a true random pattern instead of fixed values that yield a repeatable pattern.

Minimum value: –2147483648
Maximum value: 2147483647
Default: 1


3GPP Jakes' Fading Model

In his book, William C. Jakes, Editor (February 1, 1975). Microwave Mobile Communications. New York: John Wiley & Sons Inc. ISBN 0-471-43720-4, Jakes popularized a model for Rayleigh fading based on summing sinusoids. Let the scatterers be uniformly distributed around a circle, at angles and with k rays emerging from each scatterer. The Jakes' model also popularized the Doppler spectrum associated with Rayleigh fading, and, as a result, this Doppler spectrum is often termed Jakes' spectrum.

Based on 3GPP TS 25.104 Case 3.

Jakes Fading channel model

Enabled

Turns the channel model on or off (pass through mode).

Carrier Frequency

Sets the frequency of the transmitters, in MHz.

Minimum value: 10.0 MHz
Maximum value: 6000.0 MHz
Default: 2620.0 MHz

Velocity (kmph)

Sets the speed of the mobile (Rx) from the transmitter, in kmph.

Minimum value: 0.1 kmph
Maximum value: 250 kmph

Terms

Select the number of sinusoidal terms to use in the model from the drop-down menu. Typical values would be 16 to 32 terms. The available choices are:

  • 2
  • 4
  • 8
  • 16
  • 32
  • 64
  • 128
  • 256
  • 512
  • 1024
  • 2048

    NOTE: Increasing the number of terms here increases the computational complexity and the time to complete the computations.

Time Offset

The time offset controls the time at which the channel model starts. That is, it is effectively like delaying the input signal by the time offset, and then omitting the leading time offset period at the output.

For example, if you input a signal of 0.1s duration with a Time Offset of 0.0s, the fading characteristics would be between 0.0 and 0.1s applied to the input signal. If you then put in a Time Offset of 0.1s, the fading characteristics would be between 0.1s and 0.2s applied to the same input signal. That is, modeling the effect of the transmission occurring at a different point in time.

The Time Offset function is useful for rechecking a signal through the channel model process' subsequent time segment, or if something appears unacceptable about the fading observed in the channel model from 0.0s to 0.1s. In the second instance, if you feel that the period is not representative of the average fading characteristics, you could set a Time Offset to try a different portion of the channel model process. Note that for this use case the Random Seed could also be used to get a different channel model realization.

Minimum value: 0 sec
Maximum value: 1.0 sec

Number of multipath components

The number of multipath components reaching the receiver to model. Each setting requires a delay and average power.

Minimum value: 1
Maximum value: 32

Multipath Components

_____
Average Power

Average spectral power of the multipath component.

Minimum value: –80 dB
Maximum value: 0 dB

_____
Relative Delay

Relative delay of when the multipath component reaches the receiver, in nanoseconds.

Minimum value: 0 ns
Maximum value: 10,000,000 ns

Random Seed

Seeds the random number generator; a value of 0 (zero) uses a time-based seed that yields a true random pattern instead of fixed values that yield a repeatable pattern.

Minimum value: –2147483648
Maximum value: 2147483647
Default: 1


3GPP Moving Channel Model

The Moving Channel Model is designed as an SISO model. The moving channel model tests the receiver's ability to adjust to varying propagation delay conditions in the channel using two equally powerful paths that shift relative to each other in time. Their levels remain constant. The first path (P1) serves as a reference, the second path (P2) moves slowly back and forth during its delay as a sinusoidal function.

3GPP Channel Model

Enabled

Turns the channel model on or off (pass through mode).

Time Offset

Minimum value: 0.0 sec
Maximum value: 0.191 sec

Sets the offset time between the first path (P1), that serves as a reference, and the second path (P2).

Random Seed

Seeds the random number generator; a value of 0 (zero) uses a time-based seed that yields a true random pattern instead of fixed values that yield a repeatable pattern.

Minimum value: –2147483648
Maximum value: 2147483647
Default: 1


3GPP Suburban Spatial Channel Model

The received signal at the handset consists of N time-delayed multipath replicas of the transmitted signal. These N paths are defined by powers and delays and are chosen randomly according to the channel generation procedure. Each path consists of M subpaths.

3GPP Spatial Channel Model

Matrix Size: Inputs

Specify the number of transmitter antennas.

Minimum value: 1
Maximum value: 8
Default: 2

Matrix Size: Outputs

Specify the number of receiver antennas.

Minimum value: 1
Maximum value: 8
Default: 2

Enabled

Turns the channel model on or off (pass through mode).

Model Type

Select the model type from the drop-down menu. The available choices are:

  • Suburban Macro
  • Urban Micro
  • Urban Macro

Model Option

Select the Model Option from the drop-down menu. The available choices are:

  • None
  • Urban Canyon
  • Line of Sight
  • Polarized

Carrier Frequency

Sets the frequency of the transmitters, in MHz.

Minimum value: 10.0 MHz
Maximum value: 6000.0 MHz
Default: 2620.0 MHz

Randomize Distance

Select the check box to randomize the distance between the receiver and transmitter. When the check box is active, Distance Tx to Rx is grayed out and not available. When Randomize Distance is not selected, the Distance Tx to Rx can be manually set.

Distance Tx to Rx

Distance in meters between the transmitter and receiver. This parameter is only available when Randomize Distance is not selected.

Minimum value: 35 m
Maximum value: 500 m

Rx Spacing

Sets the receiver antenna spacing, in meters.

Minimum value: 0.01 m
Maximum value: 10 m

Tx Spacing

Sets the transmitter antenna spacing, in meters.

Minimum value: 0.01 m
Maximum value: 10 m

Urban Macro Mean Spread

When running the Urban Macro model type, use the drop-down menu to choose between 8 and 15 degrees transmitter mean spread angle.

Mobile Velocity

Sets the speed of the mobile (Rx) from the transmitter, in km/h.

Minimum value: 0.01 km/h
Maximum value: 350 km/h

Include Path Loss

Select this check-box to include the path loss in the channel matrix.

Include Shadowing Effects

Select this check-box to include shadowing effects in the channel matrix.

Normalize Power

Normalize the power of the channel matrix elements to a constant independent of the cross polarization discrimination ratios.

Random Seed

Seeds the random number generator; a value of 0 (zero) uses a time-based seed that yields a true random pattern instead of fixed values that yield a repeatable pattern.

Minimum value: –2147483648
Maximum value: 2147483647
Default: 1


NxN Channel Model (Generic)

The Channel Model NxN implements an N by N MIMO channel model for N transmit and N receive antennas, up to 8x8. The channel is modeled with a user specified N by N matrix of complex coefficients. Each of these coefficients models the flat fading characteristics of the links between transmit and receive antennas. This is a static model, that is, the value of the channel matrix coefficients do not change.

Drag and drop the NxN Channel Model element onto the project worksheet, then add it to your workflow using the Connect Elements button, located on the Main Toolbar. Double-click the element, or right-click the element and select Edit Element Configuration from the popup menu to open the Generic Channel Model dialog, shown below.

4x4 channel model dialog

NOTE: If the number of transmit antennas is less than the number of receivers, make sure that an amplitude power factor is given for the additional receive antennas.

Transmitters

Enter the desired number of transmit antennas. You can have any combination of transmit and receive antennas, up to 8x8.

Minimum value: 1
Maximum value: 8

Receivers

Highlight this cell and enter a value, or use the up and down arrows to enter the desired number of receive antennas. You can have any combination of transmit and receive antennas, up to 8x8.

Minimum value: 1
Maximum value: 8

Coefficients

Enter the desired coefficient values. As the number of transmit and receive antennas are entered, the corresponding H parameter cells become available. You can configure the coefficients for any combination of transmit and receive antennas, up to 8x8.

Specify the complex channel coefficients for the matrix H representing the channel. These coefficients are in polar form: magnitude and phase (degrees).

H Parameters
 | Minimum | Maximum
Scale | 0 | 1
Phase | 0 | 360


WiFi 'Type E' Channel Model

The WiFi Type E Channel Model Configuration dialog allows you to manually configure 802.11n (Wi-Fi) channel model parameters.

This channel model was developed to provide a suitable modeling scenario applicable to indoor MIMO WLAN systems as specified in IEEE std. 802.11-03/940r4. It models the propagation effects experienced by a baseband signal when transmitted within a typical indoor spatial/multi-antenna WLAN environment.

Drag and drop the 802.11n Channel Model element onto the project worksheet, then add it to your workflow using the Connect Elements icon. Double-click the element, or right-click the element and select Edit Element Configuration from the popup menu to open the 802.11n WLAN Channel Model Configuration dialog, shown below.

802.11n Channel Model element

WLAN Channel Model Config

Enabled

Turns the channel model on or off (pass through mode).

Matrix Size: Inputs

Specify the number of transmitter antennas.

Minimum value: 1
Maximum value: 8
Default: 2

Matrix Size: Outputs

Specify the number of receiver antennas.

Minimum value: 1
Maximum value: 8
Default: 2

Carrier Frequency

Set the nominal frequency (MHz) of the carrier wave.

Minimum value: 10 MHz
Maximum value: 6000 MHz
Default: 2400 MHz

Connection

Specify the type of connection:

  • Downlink: Base station to subscriber station
  • Uplink: Subscriber station to base station

Power Line Frequency

Specify the frequency (Hz) at which the carrier signal is transmitted over the mains power line.

Minimum value: 40 Hz
Maximum value: 70 Hz
Default: 60 Hz

IEEE 802.11 Model

Select the applicable IEEE 802.11n standard channel model (A-F) based upon the parameter table listed below:

IEEE 802.11n Models
Description | A | B | C | D | E | F
Average 1st Wall Distance (m) | 5 | 5 | 5 | 10 | 20 | 30
RMS Delay Spread (ns) | 0 | 15 | 30 | 50 | 100 | 150
Maximum Delay (ns) | 0 | 80 | 200 | 390 | 730 | 1050
Number of Taps | 1 | 9 | 14 | 18 | 18 | 18
Number of Clusters | N/A | 2 | 2 | 3 | 4 | 6

Distance Tx to Rx

Distance in meters between the transmitter and receiver. This parameter is only available when Randomize Distance is not selected.

Minimum value: 35 m
Maximum value: 500 m

Rx Spacing

Sets the receiver antenna spacing, in meters.

Minimum value: 0.01 m
Maximum value: 10 m

Tx Spacing

Sets the transmitter antenna spacing, in meters.

Minimum value: 0.01 m
Maximum value: 10 m

Random Seed

Seeds the random number generator; a value of 0 (zero) uses a time-based seed that yields a true random pattern instead of fixed values that yield a repeatable pattern.

Minimum value: –2147483648
Maximum value: 2147483647
Default: 1


WiMAX 'Pedestrian B' Channel Model

The WiMAX channel model provides channel propagation delay modeling for ITU M.1225 Pedestrian B and Vehicular A channel models, as well as a Long Delay model.

WiMAX Vehicular Channel Model

Enabled

Turns the channel model on or off (pass through mode).

Transmitters

Enter the desired number of transmitters (input ports). You can have any combination of transmitters and receivers, up to 4x4.

Minimum value: 1
Maximum value: 4

Receivers

Enter the desired number of receivers (output ports). You can have any combination of transmitters and receivers, up to 4x4.

Minimum value: 1
Maximum value: 4

Carrier Frequency

Sets the frequency of the transmitters, in MHz.

Minimum value: 10.0 MHz
Maximum value: 6000.0 MHz
Default: 2620.0 MHz

Link Direction

Use the drop-down menu to select which direction of the link is being modeled from.

Choice: Downlink | Uplink

Correlation Level

Use the drop-down menu to select the desired Correlation Level. Controls how well the model correlates to real world signals. A higher correlation level leads to better results, but slower computation times.

Choice: Low | Medium | High

Power Delay Profile

Use the drop-down menu to select the type of channel modeling to perform.

Choice: Pedestrian B | Vehicular | Long Delay

Include Path Loss

Select this check-box to include the path loss in the channel matrix.

Include Shadowing Effects

Select this check-box to include shadowing effects in the channel matrix.

Uniform BS Antenna Spacing

Select this check-box to have all BS (base station) antennas equally spaced.

BS Antenna Height

Sets the base station antenna height above average roof level, in meters.

Minimum Value: 0 m
Maximum Value: 50 m

BS Antenna Spacing - Real

Base station antenna spacing in meters. Only the first element is considered for uniform antenna spacing, otherwise the number of elements expected should be the number of base station antennas minus one.

Uniform MS Antenna Spacing

Select this check-box to have all mobile handset (MS) antennas equally spaced.

MS Antenna Spacing - Real

Mobile handset (MS) antenna spacing in meters. Only the first element is considered for uniform antenna spacing, otherwise the number of elements expected should be the number of base station antennas minus one.

Distance Between Ms Bs

Sets the distance between the base station and the mobile handset, in meters.

Minimum Value: 0m
Maximum Value: 500 m

Velocity (kmph)

Sets the speed of the mobile (Rx) from the transmitter, in kmph.

Minimum value: 0.1 kmph
Maximum value: 250 kmph

Random Seed

Seeds the random number generator; a value of 0 (zero) uses a time-based seed that yields a true random pattern instead of fixed values that yield a repeatable pattern.

Minimum value: –2147483648
Maximum value: 2147483647
Default: 1


Files

Files Tool Set

Bit Reference File

IQ Importer

2x and 4x ARB File

ARB File Element

ARB File Importer

WiMAX MAP File

See Also:

  • Managing Project Files
  • Importing ARB and IQ Files (User-provided files)


Bit Reference File

Drag and drop the Bit Reference File element onto the project worksheet, then add it to your project using the Connect Elements icon. Double-click the element, or right-click the element and select Edit Element Configuration from the popup menu to open the Bit Reference File Writer dialog, shown below, to select a saved Bit Reference File for use in a bit error rate test (BER).

Bit Reference File Element

NOTE: The Bit Reference File is used in the WiMAX and WLAN bit error rate test (BER).

Bit Reference File Writer Dialog

See also:

  • Reference Bits


IQ Importer

Drag and drop the IQ Importer element onto the project worksheet, then add it to your workflow using the Connect Elements icon. Double-click the element, or right-click the element and select Edit Element Configuration from the popup menu to open the IQ Data Importer dialog, shown below.

DP IQ Import Element

The IQ Data Importer allows you to import a user-defined Double- or Single-Precision Binary IQ file.

IQ Data Importer Dialog

See also:

Importing ARB and IQ Files

File Name

Enter the full UNC (universal naming convention) path of the IQ file you wish to use in the File Name text field, or select the open dialog button Open File button to navigate to the directory where the IQ file is saved. Click [image] here to view the dialog window.

Choose IQ file name and directory dialog

Sample Rate

Highlight this cell and enter a value, or use the up and down arrows to enter the desired Sample Rate.

Minimum value: 0.0 Msps
Maximum value: 1000000000.0 Msps

Data Type

Use the drop-down menu to select the desired data type. The available choices are:

Binary IQ, Double Precision

This data type is derived from IEEE 754 Double standard for binary floating-point arithmetic (8 bytes, Little Endian). For example, for 64 bit floating with a point value of 0.5 has an IEEE 754 value in hexadecimal of 3F E0 00 00 00 00 00 00 00. It would be written in the file as 00 00 00 00 00 00 00 E0 3F.

Binary IQ, Single Precision

This data type is derived from IEEE 754 Single standard for binary floating-point arithmetic (4 bytes, Little Endian). For example, for 32 bit floating with a point value of 0.5 has an IEEE 754 value in hexadecimal of 3F 00 00 00. It would be written in the file as 00 00 00 3F.

ASCII

When ASCII is selected, any mix of comma and white space (tab, space, newline, and so on) separated ASCII-numeric values. For example, 1.1, 2.2 3.3\n 5.f, 6.6.

  • if Locale uses a period as decimal separator, ASCII values are delimited by whitespace or comma
  • if Locale uses a comma as decimal separator, ASCII values are delimited by whitespace or semicolon

The import will generate CONFLICT WARNINGS if:

  • a binary single precision file is not a multiple of 8 bytes long (2 * sizeof( single ))
  • a binary double precision file is not a multiple of 16 bytes long (2 * sizeof( double ))

The import will generate runtime/buildtime WARNINGS (in the event log) if

  • a binary single precision file is not a multiple of 8 bytes long (2 * sizeof( single ))
  • a binary double precision file is not a multiple of 16 bytes long (2 * sizeof( double ))
  • a file (any type) contains a value outside the range -1.0e10 to +1.0e10

The import will generate runtime/buildtime ERRORS (pop-up dialog and event log) if

  • a file (any type) contains NaN (Not A Number) or Infinity
  • an ASCII file contains an unparsable number (for example, "1.3BCE")
  • a MATLAB file cannot be parsed (either invalid format or using unsupported features)

MATLAB®

When MATLAB® is selected, SignalMeister parses the "Level 5 MAT-File format" as described in "MATLAB® 7 MAT-File Format." SignalMeister does not parse arbitrary sets of files, but expects a file with one or two arrays of data. SignalMeister uses the following algorithm to determine which array(s) to use.

  1. Search for the largest array in the file that is at least 64 elements.
  2. If the array is complex, done -- use the array for IQ (real portion = I, imaginary portion = Q)
  3. If the array is real:
    1. Search for a second array that exactly matches the first in data type and dimension.
    2. If the second array is not found, use the first array as interleaved IQ pairs.
    3. If the second array is found, use the first array as the real (I) portion and the second array as the imaginary (Q) portion.

      Notes: The first and second attribute are determined by the order of the variables in the MAT-file.
      The array(s) data type may be single or double.
      SignalMeister does not handle the older file format, "Level 4 MAT-File".

Prefer Memory (vs. File) Caching

Normally when importing a binary IQ file, the intermediate results are encrypted and stored to files. This causes a major portion of the data processing being spent reading and writing the encrypted arb files.

Select Prefer Memory (vs. File) Caching to save the intermediate results, unencrypted, to the internal memory of the PC. This greatly decreases the processing time.

Limitations

  • To use this option, the file must contain less than 5,000,000 points. If this value is exceeded than the immediate results are automatically saved to file instead of internal memory, thus increasing processing time.
  • The project should contain approximately eight memory cached files or less.(The actual number of cached files depends on the physical memory available on your PC.) If the memory limit is exceeded, SignalMeister performance would deteriorate due to constant disk swapping. In this case the processing time will be longer than if you chose to save the data to a file.

Clear Prefer Memory (vs. File) Caching to save data to file.

Signal Content

Non-Bursted Signal

Select this option to have SignalMeister treat the signal as non-bursted.

Any signal that has significant signal variations as a function of time should be specified as bursted. For example, a wireless LAN waveform is off between packets, and should be considered bursted. A waveform that transmits a high power for a few milliseconds, then transmits a low power should also be treated as a bursted signal, so the instrument playing back the arb file can properly follow the power variations.

Bursted Signal

Select this option to have the SignalMeister treat the signal as bursted.

Note: If Bursted Signal is selected and you are using a previously defined waveform, you must enter the burst length in the Minimum Burst Length field that matches the burst length of the waveform being played, or you may get unexpected results.

Minimum Burst Length

Specify the length of the burst.

This is an advisory parameter that helps SignalMeister properly calibrate the output power of an arb file, if one is created by the data read in this function.

When a vector signal generator plays back the arb file, the user sets the desired rms power on the front panel. For signals with a relatively constant power envelope, the rms power is calculated over the entire arb file.

For a waveform that is bursted, calculating the rms power over the "off" portion of the waveform causes a high peak power during the "on" portion of the waveform. Note that the waveform does not have to be bursted to have this problem, it simply has to have periods of significantly lower power.

The minimum burst length is the amount of time you would like the rms power calculated. Typically, this is the time of the burst. In waveforms that have a stepped power profile, enter the width of the step at the highest power. SignalMeister will then scan your waveform for the highest rms power in a sliding time window set to the minimum burst length. That rms power will then be the power set by the front panel control of the VSG playing back the waveform.

The minimum burst length can be a nominal value, small differences between the actual burst length and the entered value will cause small errors in the output power.


2x and 4x ARB File

Drag and drop the 2x or 4x ARB File element onto the project worksheet, then add it to your workflow using the Connect Elements icon. Open the ARB File Configuration dialog, shown below.

Select the 4x ARB File element to use one ARB File element for multiple connections. Each input and output stream has a separate ARB file as shown below. Alternately, you can add an ARB File element for each input and output stream.

4x ARB File dialog

See also:

  • Output Files
  • Percent of Full Scale
  • Base Arb File Name
  • ARB File
  • Computed Power Factor

Percent of Full Scale

Set the desired percentage of full scale power.

The Percent of Full Scale setting allows you to scale the amplitude of the resultant ARB file to the dynamic range of the digital to analog converter (DAC) in the signal generator. A value of 100% would scale the IQ values in the ARB to use the full dynamic range of the DACs.

Minimum value: 0%
Maximum value: 100.0%
Default: 90.0%

_ sm arb files status screen _____

NOTE: You should only change this value if you suspect there is signal distortion in the resultant output of the ARB file. In that case, you can try a lower percent-of-scale value. The actual percentage is determined by trying different values. In nearly all cases using a value of 90% is acceptable and will not lead to signal degradation. If the Percent of Full Scale value is set higher than 90%, an informational note is displayed, indicating that value may cause signal distortion (see below).

Output Files

This parameter sets the desired number of ARB output files for a SignalMeister™ MIMO configuration.

Minimum value: 1
Maximum value: 8

Base Arb File Name

Enter the path name to the desired Base ARB file, or select the open dialog button Open File button to open the [image] Choose directory and file name for the ARB dialog window that allows you to navigate to an existing ARB (*.arb) file.

Choose IQ file name and directory dialog

Computed Power Factor

Displays the computed power factor for each ARB file. This field is not editable. If you need to be able to enter a user-defined power factor, you can create an ARB File for each MIMO output then Override power factor with this value.

ARB File

Displays the ARB file names, one for each connection.


ARB File Element

Drag and drop the ARB File element onto the project worksheet, then add it to your workflow using the Connect Elements icon. Double-click the element, or right-click the element and select Edit Element Configuration from the popup menu to open the ARB File Configuration dialog, shown below.

ARB File Element

ARB File Configuration dialog

Percent of Full Scale

Set the desired percentage of full scale power.

The Percent of Full Scale setting allows you to scale the amplitude of the resultant ARB file to the dynamic range of the digital to analog converter (DAC) in the signal generator. A value of 100% would scale the IQ values in the ARB to use the full dynamic range of the DACs.

Minimum value: 0%
Maximum value: 100.0%
Default: 90.0%

_ sm arb files status screen _____

NOTE: You should only change this value if you suspect there is signal distortion in the resultant output of the ARB file. In that case, you can try a lower percent-of-scale value. The actual percentage is determined by trying different values. In nearly all cases using a value of 90% is acceptable and will not lead to signal degradation. If the Percent of Full Scale value is set higher than 90%, an informational note is displayed, indicating that value may cause signal distortion (see below).

Arb File Name

Enter the path name to the desired ARB file, or select the open dialog button Open File button to open the [image] Choose directory and file name for the ARB dialog window that allows you to navigate to an existing ARB (*.arb) file.

Choose IQ file name and directory dialog

Computed

This read-only cell displays the computed power factor. The computed value is derived from the RMS power of the IQ data.

Override power factor with this value

Select this check box to override the computed power factor with a user-defined power factor.

Clear this check box to use the computed value.

If an ARB file already exists and the override is set, it will write the power factor entered here into the ARB file.


ARB File Importer

The ARB File Importer allows you to import an existing SignalMeister™ ARB file that was created at some other time. Once you have imported the file, you can work with the signal like any other source.

NOTE: There must be an ARB File element connected between the ARB File Importer element and the Signal Generator element.

Drag and drop the ARB File Importer element onto the project worksheet, then add it to your workflow using the Connect Elements icon. Double-click the element, or right-click the element and select Edit Element Configuration from the popup menu to open the ARB File Importer dialog, shown below, to choose the target ARB file.

arb file importer element

ARB importer dialog

See also:

  • DP IQ Import element
  • Importing ARB and IQ Files

Arb File Name

Enter the path name to the desired ARB file, or select the open dialog button Open File button to open the [image] Choose directory and file name for the ARB dialog window that allows you to navigate to an existing ARB (*.arb) file.

Choose IQ file name and directory dialog

Input Sample Rate

Displays the Input Sample Rate at which the IQ stream was written in the ARB file.


WiMAX Map File

Drag and drop the WiMAX map file element onto the project worksheet, then add it to your workflow using the Connect Elements icon. Double-click the element, or right-click the element and select Edit Element Configuration from the popup menu to open the XML Writer Configuration dialog, shown below, to choose a user-defined WiMAX map file.

WiMAX map file element icon

NOTE: The WiMAX map file is used to map the output components of the WiMAX waveform to the Series V2800 VSA.


Signal Generators

Signal Generators Tool Set

2900 VSG

2900 NxMIMO VSG

Select Signal Generators in the Toolbox to display the supported signal generators.


2900 VSG

Drag and drop the 2900 signal generator element onto the project worksheet, then add it to your workflow using the Connect Elements icon. Double-click the element, or right-click the element and select Edit Element Configuration from the popup menu to open the 2900. Select the Configure button to open the VISA Resource Configuration dialog. Select the Active check-box to make that instrument active. De-select the Active check-box to temporarily disable that instrument.

2900 VSG Element

KI 2910 VISA Resource Configuration tab
_____

NOTE: SignalMeister™ will not be able to access the instrument (via TCP/IP or GPIB) while the instrument is being controlled by the Desktop Control Panel. To gain access, you must shut down the Desktop Control Panel. (This is applicable only to the V2820A VSG and V2920A VSG instruments.)

_____
See Also:

  • VISA Resource Configuration
    • LAN/TCPIP Interface Setup
    • GPIB Interface Setup
    • Serial (USB) Setup
    • VISA Resource String Preview
  • Arb Configuration
    • Play Arb Files
    • Arb File Loaded
    • Manage Arb Files
  • LXI Web Interface
    • Start LXI Web Interface
  • 2920 MIMO Configuration


Instrument Configuration tab

2900 Instrument Configuration tab

The Instrument Configuration tab provides access to the Frequency and Amplitude common instrument configurations.

Frequency

Enter the desired frequency, in Hz.

See also:

[:PROJect<index>]:SGENerators<index>:SOURce:INSTrument<index>:FREQuency

Amplitude

Enter the desired amplitude, in dBm.

Range: -130 to 13 dBm

See also:

[:PROJect<index>]:SGENerators<index>:SOURce:INSTrument<index>:POWer[:LEVel][:IMMediate][:AMPLitude]

Get Settings From Instrument

Press the Get Settings From Instrument button to get the current frequency and amplitude from the corresponding instrument. A window is displayed showing that the information was received.

Send Settings To Instrument

Press the Send Settings To Instrument button to send the frequency and amplitude values entered to the corresponding instrument. A window is displayed indicating the information was sent.

The values entered for Frequency and Amplitude are also sent to the instrument when Load All or Force Load All is selected.


Arb Configuration tab

KI 2910 Arb Configuration tab

Play Arb Files

Select the Play Arb Files button to play the current ARB file that has been downloaded to the instrument.

Arb File Loaded

This read-only text field displays the name of the current ARB file loaded on the instrument.

Manage Arb Files

Select the Manage Arb Files button to open the remote interface for the current instrument. This allows you to view a list of the ARB files loaded on the instrument, and select any of the ARB files to play. (Click [image] here to view the remote interface.)

29xx Signal Generator Interface


LXI Web Interface

Select the LXI Web Interface tab to view the LAN address for the currently selected instrument.

KI 2910 LXI Web Interface tab

Start LXI Web Interface

Select the Start LXI Web Interface button to launch the [image] LXI Web Interface to enable remote control of the instrument with the address shown in the LAN/TCPIP address field.

NOTE: If the instrument is presently being controlled by the Desktop Control Panel, attempting to start the LXI Web Interface will invoke the following error message: "Access to the instrument is currently disabled because the instrument hardware is being controlled by an external program - for example, the Desktop Control Panel. To gain control of the instrument, please shut down the external program."


2900 Nx MIMO VSG

Drag and drop the 2900 NxMIMO VSG element onto the project worksheet, then add it to your workflow using the Connect Elements icon. Double-click the element, or right-click the element and select Edit Element Configuration from the popup menu to open the dialog, shown below. Select the number of instruments you want to configure in your MIMO system, then click OK.

2900 Nx MIMO VSG Element

______

NOTE: MIMO configurations are only supported with the Agilent V2920A VSG.

KI 2820 Nx MIMO Number of Instruments

______

Select the Configure button to open the VISA Resource Configuration dialog for the respective instrument. As each instrument is added to the system, the TCPIP address area changes from red to white in color to indicate a valid connection, with the type of instrument connected shown directly below. If there are any error conditions present, the warning icon is displayed. Hold the mouse cursor over the icon to display the text of the message.

Select Active to make the instrument available for use. When this checkbox is cleared, the instrument is effectively removed from the MIMO system. You can also mark instruments as inactive, thus using the MIMO element for a SISO system.

NOTE: Shown below is the dialog for the 2900 Nx MIMO configuration. Depending on the selection in the "How Many Instruments?" dialog, the display will show the appropriate number of instrument connections, up to 8x.

Series 2900 MIMO VISA Resource Configuration
_____

NOTE: SignalMeister™ will not be able to access the instrument (via TCP/IP or GPIB) while the instrument is being controlled by the Desktop Control Panel. To gain access, you must shut down the Desktop Control Panel. (This is applicable only to the V2820A VSG and V2920A VSG instruments.)

_____
See Also:

  • VISA Resource Configuration
  • MIMO Configuration
  • Arb Configuration
  • LXI Web Interface


VISA Resource

VISA Resource Dialog
_____

NOTE: SignalMeister™ will not be able to access the instrument (via TCP/IP or GPIB) while the instrument is being controlled by the Desktop Control Panel. To gain access, you must shut down the Desktop Control Panel. (This is applicable only to the V2820A VSG and V2920A VSG instruments.)

_____

LAN/TCPIP Interface Setup

______

Select the LAN/TCPIP tab to access the LAN/TCPIP Interface Setup. The LAN/TCPIP Interface Setup is used to configure the communications settings for the selected instrument if LAN/TCPIP is the communications type used.

______

NOTE: The connection to the instrument requires a network connection that is fast enough to transfer data packets with a latency of less than 2 seconds.

______

See Also

  • VISA Resource Configuration (overview)
  • GPIB Interface Setup
  • Serial (USB) Setup
  • VISA Resource String Preview

______

NIC # (Network Interface Card)

Highlight this cell and enter a value, or use the up and down arrows to enter the desired network interface card number (NIC #).

Minimum value: 0
Maximum value: 31

_____
LAN Communication Type

Use the drop-down menu to select the desired LAN communication type. The available choices are:

  • Socket
  • Instrument

_____
Socket Port #

Sets and displays the socket port number.

Minimum value: 0
Maximum value: 65535

Note icon The first instrument connected to your PC is always assigned port number 5025, as that is the default Registered Port assigned for the SCPI listen port. To avoid conflicts, any additional instruments added to the PC are automatically assigned available Dynamic port numbers in the range of 49152 to 49251 as defined by the Internet Assigned Numbers Authority (IANA) in [RFC4340], Section 19.9. The port numbers assigned as Well Known Ports (0 through 1023) and Registered Ports (1024 through 49151) should not be used without IANA registration.

_____
TCPIP Address

Enter the TCPIP address of the instrument. The LAN/GPIB addresses for the instrument are viewed or set from the instrument's Utilities menu. From the front panel of the instrument, select Menu > Utilities > Ethernet Settings... to view the IP address.

Note icon When using Agilent SignalMeister™ to control an instrument connected to a USB port, the IP address of the instrument is the same as that of the PC to which it is connected. The Socket Port # is assigned automatically.

GPIB Interface Setup

GPIB Interface Setup

______

Select the GPIB tab to access the GPIB Interface Setup. The GPIB Interface Setup is used to configure the communications settings for the selected instrument if GPIB is the communications type used.

_____
See Also

  • VISA Resource Configuration (overview)
  • LAN/TCPIP Interface Setup
  • Serial (USB) Setup
  • VISA Resource String Preview

______

GPIB Board Number

Highlight this cell and enter a value or use the up and down arrows to enter the desired GPIB (General Purpose Interface Bus) Board number.

Minimum value: 0
Maximum value: 31

_____
GPIB Primary Address

Highlight this cell and enter a value or use the up and down arrows to set the GPIB Primary address.

Minimum value: 0
Maximum value: 31

Serial (USB) Setup

Serial (USB) Interface Setup

Select the Serial (USB) tab to access the Serial (USB) Interface Setup. The Serial (USB) setup is used to configure the communications settings for the selected instrument if connected to the computer via USB.

_____
Serial (USB) Board #

Minimum value: 0
Maximum value: 99
Default: 0

For compatibility with VISA, any Agilent Series V2800 VSAs and Series V2900 VSGs that support a USB connection use a virtual com port (VCP) driver, that appears as a serial port. The Board # field is an identifier that Windows automatically assigns to specific connections, so that value must be retrieved from the Windows Device Manager.

Note in the example above that the Serial (USB) Board # is 14 and the VISA Resource String displays ASRL14::INSTR.

To find this number, look in the Device Manager under Ports (COM & LPT) and notice that the Agilent Vector Signal Analyzer has been assigned COM14. Therefore, 14 is the number entered in the Serial (USB) Board # field.

Windows Device Manager

Serial (USB) Device Manager Settingss

____

See Also

  • VISA Resource Configuration (overview)
  • LAN/TCPIP Interface Setup
  • GPIB Interface Setup
  • VISA Resource String Preview

______

VISA Resource String Preview

At the bottom on the VISA Resource Configuration dialog, you see a text string confirming the present LAN/TCPIP, GPIB or Serial (USB) configuration.

LAN/TCPIP VISA Resource String

LAN/TCPIP VISA Resource String

GPIB VISA Resource String

GPIB VISA Resource String

Serial (USB) Resource String

Serial (USB) VISA Resourcr String


MIMO Configuration

Sig Gen MIMO config

Common MIMO Configuration

Select the MIMO Configuration tab to access the Common MIMO Configuration setup.

Master Carrier Frequency

Highlight this cell and enter a value, or use the up and down arrows to set the desired Master Carrier Frequency, in Hz.

Maintain Relative Signal Power

When selected, the Series 2900 control will make all the signals maintain an output power level relative to the Master instrument. This is especially important for signals that are run through a channel model and one stream may be significantly lower in power relative to the other signals.

Instrument 1 to n

There can be up to eight instruments shown in this dialog.

The following settings are common to each of the instruments in the current MIMO configuration:

  • Master/Slave Selection
  • Expected Amplitude
  • Get Settings From Instruments
  • Send Settings To Instruments

Master Slave Selection

Use the drop down menu to select the desired master/slave configuration for Instrument 1 to 4. The available choices are:

  • Master
  • Slave
  • Off
  • Manual

By default, Instrument 1 is set as the Master and the remaining instruments are set as Slave.

Expected Amplitude ("Power" for 2920)

Set the expected amplitude for Instrument 1 to 4.

Minimum value: -130.0 dBm
Maximum value: 13.0 dBm

Get Settings From Instruments

Select the Get Settings From Instruments button to get the current settings for all Instruments 1 to 4.

Send Settings To Instruments

Select the Send Settings To Instruments button to send the current settings to all Instruments 1 to 4.


Arb Configuration

4x MIMO Arb Configuration dialog

Play Arb Files

Select the Play Arb Files button to play the current ARB file that has been downloaded to the instrument.

Arb File Loaded

This read-only text field displays the name of the current ARB file loaded on the instrument.

Manage Arb Files

Select the Manage Arb Files button to open the remote interface for the current instrument. This allows you to view a list of the ARB files loaded on the instrument, and select any of the ARB files to play. (Click [image] here to view the remote interface.)

29xx Signal Generator Interface


LXI Web Interface

Select the LXI Web Interface tab to view the LAN address for each of the MIMO instruments.

4x MIMO LXI Web Interface

Start LXI Web Interface

Select the Start LXI Web Interface button to launch the [image] LXI Web Interface to enable remote control of the instrument with the address shown in the LAN/TCPIP address field.

NOTE: If the instrument is presently being controlled by the Desktop Control Panel, attempting to start the LXI Web Interface will invoke the following error message: "Access to the instrument is currently disabled because the instrument hardware is being controlled by an external program - for example, the Desktop Control Panel. To gain control of the instrument, please shut down the external program."


Signal Analyzers

Signal Analyzers Tool Set

2800 VSA

2800 NxMIMO VSA

VSA Simulator

Select the Signal Analyzers button in the Toolbox to display the supported signal analyzers and simulators.


2800 VSA

Drag and drop the 2800 VSA element onto the project worksheet, then add it to your workflow using the Connect Elements icon. Double-click the element, or right-click the element and select Edit Element Configuration from the popup menu to open the 2800 configuration dialog, shown below.

KI 2800 Series Element

Select the Configure button to open the VISA Resource Configuration dialog.

KI 2800 Series configuration dialog
_____

NOTE: SignalMeister™ will not be able to access the instrument (via TCP/IP or GPIB) while the instrument is being controlled by the Desktop Control Panel. To gain access, you must shut down the Desktop Control Panel. (This is applicable only to the V2820A VSG and V2920A VSG instruments.)

_____
See Also:

  • VISA Resource Configuration
  • Instrument Configuration
  • LXI Web Interface
  • 2820 MIMO Configuration


VISA Resource Configuration dialog

VISA Resource Dialog
_____

NOTE: SignalMeister™ will not be able to access the instrument (via TCP/IP or GPIB) while the instrument is being controlled by the Desktop Control Panel. To gain access, you must shut down the Desktop Control Panel. (This is applicable only to the V2820A VSG and V2920A VSG instruments.)

_____

Select one of the links below to learn more about:

  • LAN/TCPIP Interface Setup
  • GPIB Interface Setup
  • Serial (USB) Setup
  • VISA Resource String Preview
  • Default VISA Resources
  • VISA Configuration (Options)

_____
See also:

  • Series V2900 instrument configuration
  • Series V2800 instrument configuration

_____


4xMIMO

Drag and drop the 4xMIMO template element onto the project worksheet to add a MIMO configuration to your project. The 4xMIMO template contains an 802.11n element configured with four outputs (transmitter), four Arb File elements, and a 2900 element with four inputs (receiver). The template automatically expands on the worksheet with each of the elements connected and ready to use.

4x MIMO Template Icon

LAN/TCPIP Interface Setup

______

Select the LAN/TCPIP tab to access the LAN/TCPIP Interface Setup. The LAN/TCPIP Interface Setup is used to configure the communications settings for the selected instrument if LAN/TCPIP is the communications type used.

______

NOTE: The connection to the instrument requires a network connection that is fast enough to transfer data packets with a latency of less than 2 seconds.

______

See Also

  • VISA Resource Configuration (overview)
  • GPIB Interface Setup
  • Serial (USB) Setup
  • VISA Resource String Preview

______

NIC # (Network Interface Card)

Highlight this cell and enter a value, or use the up and down arrows to enter the desired network interface card number (NIC #).

Minimum value: 0
Maximum value: 31

_____
LAN Communication Type

Use the drop-down menu to select the desired LAN communication type. The available choices are:

  • Socket
  • Instrument

_____
Socket Port #

Sets and displays the socket port number.

Minimum value: 0
Maximum value: 65535

Note icon The first instrument connected to your PC is always assigned port number 5025, as that is the default Registered Port assigned for the SCPI listen port. To avoid conflicts, any additional instruments added to the PC are automatically assigned available Dynamic port numbers in the range of 49152 to 49251 as defined by the Internet Assigned Numbers Authority (IANA) in [RFC4340], Section 19.9. The port numbers assigned as Well Known Ports (0 through 1023) and Registered Ports (1024 through 49151) should not be used without IANA registration.

_____
TCPIP Address

Enter the TCPIP address of the instrument. The LAN/GPIB addresses for the instrument are viewed or set from the instrument's Utilities menu. From the front panel of the instrument, select Menu > Utilities > Ethernet Settings... to view the IP address.

Note icon When using Agilent SignalMeister™ to control an instrument connected to a USB port, the IP address of the instrument is the same as that of the PC to which it is connected. The Socket Port # is assigned automatically.

GPIB Interface Setup

GPIB Interface Setup

______

Select the GPIB tab to access the GPIB Interface Setup. The GPIB Interface Setup is used to configure the communications settings for the selected instrument if GPIB is the communications type used.

_____
See Also

  • VISA Resource Configuration (overview)
  • LAN/TCPIP Interface Setup
  • Serial (USB) Setup
  • VISA Resource String Preview

______

GPIB Board Number

Highlight this cell and enter a value or use the up and down arrows to enter the desired GPIB (General Purpose Interface Bus) Board number.

Minimum value: 0
Maximum value: 31

_____
GPIB Primary Address

Highlight this cell and enter a value or use the up and down arrows to set the GPIB Primary address.

Minimum value: 0
Maximum value: 31

Serial (USB) Setup

Serial (USB) Interface Setup

Select the Serial (USB) tab to access the Serial (USB) Interface Setup. The Serial (USB) setup is used to configure the communications settings for the selected instrument if connected to the computer via USB.

_____
Serial (USB) Board #

Minimum value: 0
Maximum value: 99
Default: 0

For compatibility with VISA, any Agilent Series V2800 VSAs and Series V2900 VSGs that support a USB connection use a virtual com port (VCP) driver, that appears as a serial port. The Board # field is an identifier that Windows automatically assigns to specific connections, so that value must be retrieved from the Windows Device Manager.

Note in the example above that the Serial (USB) Board # is 14 and the VISA Resource String displays ASRL14::INSTR.

To find this number, look in the Device Manager under Ports (COM & LPT) and notice that the Agilent Vector Signal Analyzer has been assigned COM14. Therefore, 14 is the number entered in the Serial (USB) Board # field.

Windows Device Manager

Serial (USB) Device Manager Settingss

____

See Also

  • VISA Resource Configuration (overview)
  • LAN/TCPIP Interface Setup
  • GPIB Interface Setup
  • VISA Resource String Preview

______

VISA Resource String Preview

At the bottom on the VISA Resource Configuration dialog, you see a text string confirming the present LAN/TCPIP, GPIB or Serial (USB) configuration.

LAN/TCPIP VISA Resource String

LAN/TCPIP VISA Resource String

GPIB VISA Resource String

GPIB VISA Resource String

Serial (USB) Resource String

Serial (USB) VISA Resourcr String


Instrument Configuration tab

KI 2820 Instrument Configuration tab

Carrier Frequency

Enter the desired carrier frequency, in Hz.

See also:

[:PROJect<index>]:SANalyzers<index>:SENSe:INSTrument<index>:FREQuency

Reference Level

Sets the Series V2800 VSA reference level, in dBm.

Range: -170 to 70 dBm

See also:

[:PROJect<index>]:SANalyzers<index>:SENSe:INSTrument<index>:RLEVel

Get Settings From Instrument

Press the Get Settings From Instrument button to get the current carrier frequency and reference level from the corresponding instrument. A window is displayed showing that the information was received by the instrument.

Send Settings To Instrument

Press the Send Settings To Instrument button to send the carrier frequency and reference level values entered to the corresponding instrument. A window is displayed indicating the information was successfully sent to the instrument.

The values entered for Carrier Frequency and Reference Level are also sent to the instrument when Load All or Force Load All is selected.


LXI Web Interface

Select the LXI Web Interface tab to view the LAN address for the currently selected instrument.

V2800 Series LXI Web Interface
_____

NOTE: SignalMeister™ will not be able to access the instrument (via TCP/IP or GPIB) while the instrument is being controlled by the Desktop Control Panel. To gain access, you must shut down the Desktop Control Panel. (This is applicable only to the V2820A VSG and V2920A VSG instruments.)

Start LXI Web Interface - 2800

Select the Start LXI Web Interface button to launch the [image] LXI Web Interface to enable remote control of the instrument with the address shown in the LAN/TCPIP address field.

LXI web interface step 2

NOTE: If the instrument is presently being controlled by the Desktop Control Panel, attempting to start the LXI Web Interface will invoke the following error message: "Access to the instrument is currently disabled because the instrument hardware is being controlled by an external program - for example, the Desktop Control Panel. To gain control of the instrument, please shut down the external program."


2800 NxMIMO VSA

Drag and drop the 2800 NxMIMO VSA element onto the project worksheet, then add it to your workflow using the Connect Elements icon. Double-click the element, or right-click the element, then select Edit Element Configuration from the popup menu to open the dialog shown below. Select the number of instruments you want to configure in your MIMO system, then click OK.

KI 2820 Nx MIMO Icon

______

NOTE: MIMO configurations are only supported with the Model 2820 VSA and the Agilent V2820A VSA.

______

KI 2820 Nx MIMO Number of Instruments

______

Select the Configure button to open the VISA Resource Configuration dialog for the respective instrument. As each instrument is added to the system, the TCPIP address area changes from red to white in color to indicate a valid connection, with the type of instrument connected shown directly below. If there are any error conditions present, the warning icon is displayed. Hold the mouse cursor over the icon to display the text of the message.

Select Active to make the instrument available for use. When this checkbox is cleared, the instrument is effectively removed from the MIMO system. You can also mark instruments as inactive, thus using the MIMO element for a SISO system.

NOTE: Shown below is the dialog for the 2800 Nx MIMO configuration. Depending on the 2800 MIMO selection chosen, the display will show the appropriate number of instrument connections, up to 8x.

Model 2820 MIMO VISA Configuration
_____

NOTE: SignalMeister™ will not be able to access the instrument (via TCP/IP or GPIB) while the instrument is being controlled by the Desktop Control Panel. To gain access, you must shut down the Desktop Control Panel. (This is applicable only to the V2820A VSG and V2920A VSG instruments.)

_____
See Also:

  • VISA Resource Configuration
  • MIMO Configuration
  • LXI Web Interface

LAN/TCPIP Interface Setup

______

Select the LAN/TCPIP tab to access the LAN/TCPIP Interface Setup. The LAN/TCPIP Interface Setup is used to configure the communications settings for the selected instrument if LAN/TCPIP is the communications type used.

______

NOTE: The connection to the instrument requires a network connection that is fast enough to transfer data packets with a latency of less than 2 seconds.

______

See Also

  • VISA Resource Configuration (overview)
  • GPIB Interface Setup
  • Serial (USB) Setup
  • VISA Resource String Preview

______

NIC # (Network Interface Card)

Highlight this cell and enter a value, or use the up and down arrows to enter the desired network interface card number (NIC #).

Minimum value: 0
Maximum value: 31

_____
LAN Communication Type

Use the drop-down menu to select the desired LAN communication type. The available choices are:

  • Socket
  • Instrument

_____
Socket Port #

Sets and displays the socket port number.

Minimum value: 0
Maximum value: 65535

Note icon The first instrument connected to your PC is always assigned port number 5025, as that is the default Registered Port assigned for the SCPI listen port. To avoid conflicts, any additional instruments added to the PC are automatically assigned available Dynamic port numbers in the range of 49152 to 49251 as defined by the Internet Assigned Numbers Authority (IANA) in [RFC4340], Section 19.9. The port numbers assigned as Well Known Ports (0 through 1023) and Registered Ports (1024 through 49151) should not be used without IANA registration.

_____
TCPIP Address

Enter the TCPIP address of the instrument. The LAN/GPIB addresses for the instrument are viewed or set from the instrument's Utilities menu. From the front panel of the instrument, select Menu > Utilities > Ethernet Settings... to view the IP address.

Note icon When using Agilent SignalMeister™ to control an instrument connected to a USB port, the IP address of the instrument is the same as that of the PC to which it is connected. The Socket Port # is assigned automatically.

GPIB Interface Setup

GPIB Interface Setup

______

Select the GPIB tab to access the GPIB Interface Setup. The GPIB Interface Setup is used to configure the communications settings for the selected instrument if GPIB is the communications type used.

_____
See Also

  • VISA Resource Configuration (overview)
  • LAN/TCPIP Interface Setup
  • Serial (USB) Setup
  • VISA Resource String Preview

______

GPIB Board Number

Highlight this cell and enter a value or use the up and down arrows to enter the desired GPIB (General Purpose Interface Bus) Board number.

Minimum value: 0
Maximum value: 31

_____
GPIB Primary Address

Highlight this cell and enter a value or use the up and down arrows to set the GPIB Primary address.

Minimum value: 0
Maximum value: 31

Serial (USB) Setup

Serial (USB) Interface Setup

Select the Serial (USB) tab to access the Serial (USB) Interface Setup. The Serial (USB) setup is used to configure the communications settings for the selected instrument if connected to the computer via USB.

_____
Serial (USB) Board #

Minimum value: 0
Maximum value: 99
Default: 0

For compatibility with VISA, any Agilent Series V2800 VSAs and Series V2900 VSGs that support a USB connection use a virtual com port (VCP) driver, that appears as a serial port. The Board # field is an identifier that Windows automatically assigns to specific connections, so that value must be retrieved from the Windows Device Manager.

Note in the example above that the Serial (USB) Board # is 14 and the VISA Resource String displays ASRL14::INSTR.

To find this number, look in the Device Manager under Ports (COM & LPT) and notice that the Agilent Vector Signal Analyzer has been assigned COM14. Therefore, 14 is the number entered in the Serial (USB) Board # field.

Windows Device Manager

Serial (USB) Device Manager Settingss

____

See Also

  • VISA Resource Configuration (overview)
  • LAN/TCPIP Interface Setup
  • GPIB Interface Setup
  • VISA Resource String Preview

______

VISA Resource String Preview

At the bottom on the VISA Resource Configuration dialog, you see a text string confirming the present LAN/TCPIP, GPIB or Serial (USB) configuration.

LAN/TCPIP VISA Resource String

LAN/TCPIP VISA Resource String

GPIB VISA Resource String

GPIB VISA Resource String

Serial (USB) Resource String

Serial (USB) VISA Resourcr String


MIMO Configuration

Model 2820 MIMO Configuration

_____

Common MIMO Configuration

Select the MIMO Configuration tab to access the Common MIMO Configuration setup.

Master Carrier Frequency

Highlight this cell and enter a value, or use the up and down arrows to set the desired Master Carrier Frequency, in Hz.

Instrument 1 to n

There can be up to eight instruments shown in this dialog.

The following settings are common to each of the instruments in the current MIMO configuration:

  • Master/Slave Selection
  • Expected Amplitude
  • Get Settings From Instruments
  • Send Settings To Instruments

Master Slave Selection

Use the drop down menu to select the desired master/slave configuration for Instrument 1 to 4. The available choices are:

  • Master
  • Slave
  • Off
  • Manual

By default, Instrument 1 is set as the Master and the remaining instruments are set as Slave.

Expected Amplitude ("Power" for 2920)

Set the expected amplitude for Instrument 1 to 4.

Minimum value: -130.0 dBm
Maximum value: 13.0 dBm

Get Settings From Instruments

Select the Get Settings From Instruments button to get the current settings for all Instruments 1 to 4.

Send Settings To Instruments

Select the Send Settings To Instruments button to send the current settings to all Instruments 1 to 4.


LXI Web Interface - MIMO

Model 2820 MIMO LXI Web Interface

_____

NOTE: SignalMeister™ will not be able to access the instrument (via TCP/IP or GPIB) while the instrument is being controlled by the Desktop Control Panel. To gain access, you must shut down the Desktop Control Panel. (This is applicable only to the V2820A VSG and V2920A VSG instruments.)

_____

Start LXI Web Interface

Select the Start LXI Web Interface button to launch the [image] LXI Web Interface to enable remote control of the instrument with the address shown in the LAN/TCPIP address field.

NOTE: If the instrument is presently being controlled by the Desktop Control Panel, attempting to start the LXI Web Interface will invoke the following error message: "Access to the instrument is currently disabled because the instrument hardware is being controlled by an external program - for example, the Desktop Control Panel. To gain control of the instrument, please shut down the external program."


VISA Resource

VISA Resource Dialog
_____

NOTE: SignalMeister™ will not be able to access the instrument (via TCP/IP or GPIB) while the instrument is being controlled by the Desktop Control Panel. To gain access, you must shut down the Desktop Control Panel. (This is applicable only to the V2820A VSG and V2920A VSG instruments.)

_____


VSA Simulator

Drag and drop a VSA Simulator element from the Signal Analyzer toolbox onto the project worksheet, then add it to your workflow using the Connect Elements icon. Double-click the element, or right-click the element and select Edit Element Configuration from the popup menu to open the VSA Simulator configuration dialog box, shown below.

VSA Simulator Element icon

VSA Simulator configuration dialog

See Also:

  • VSA Simulation Overview
  • VSA Simulator Element Setup Procedure

Ports

The default number of intake and output ports for the selected VSA Simulator is shown in this field. To add or delete ports, either highlight the Ports field and type in the number of ports, or click the up and down arrows to set a number, then click OK. The number of ports displayed on the VSA Simulator element is updated.

Minimum value: 1
Maximum value: 8

AWGN

Add Noise

Select the Add Noise check-box to add noise to the simulated signal. The noise will be re-generated on every sweep in the analysis window.

Power

The default noise power level for the selected VSA Simulator is shown in this field. To increase or decrease the noise power level, either highlight the Power field and type in the power level, or click the up and down arrows to set a value, then click OK. The power level displayed on the VSA Simulator element is updated.

Minimum value: -80 dBc
Maximum value: 10 dBc
Default: -45.0 dBc

NOTE: The noise power is relative to the average power of the signal.


General Purpose Analysis

A General Purpose Analysis element is useful for analyzing signals that don't conform to a specific standard, or when instruments are not available to generate and analyze signals. It is also a useful way of viewing the IQ raw data being transmitted, without the need of a SignalMeister™ license key. One use model is analyzing signals for which there are not specific analysis routines in SignalMeister™.

Tools are available for analyzing the waveform in the time and frequency domains, as well as saving the captured waveform data for future analysis.

In the following simple example, the General Purpose 1x Analysis element is receiving an 802.11 a,g signal from the simulator element.

Double-clicking the General Purpose Analysis element on the project worksheet will open the SignalMeister™ Analysis Window. Once it is open, the signals and measurements can be controlled by the menu selections in the Analysis Window.

Hint: If you have multiple windows open and cannot find Analysis element dialog(s) that are "buried" behind the other open windows, you can either double-click the icon on the project worksheet, or right-click the icon then select Edit Element Configuration from the popup menu, to bring the open windows to the foreground.

______

______

To use a General Purpose Analysis element:

  1. Select the General Purpose Analysis tool set in the Toolbox pane.
  2. Select and drag a General Purpose Analysis element onto the project worksheet.
  3. Add the General Purpose Analysis element to the 1x VSA Simulator element as shown in the image immediately above.
  4. Double-click the analysis window element to open the General Purpose Analysis display. The default display view includes:
    • Settings tab
    • Instrument Control tab
    • Parameters Table tab
    • Waveform Amplitude tab
  5. Select Settings > IQ Capture to add the IQ Capture tab to your display.
  6. Check the Enable IQ Capture check-box in the IQ Capture dialog.
  7. Select any desired graphs to view in the Displays menu.
  8. Click either the Single sweep, or Continuous sweep button in the Instrument Control window.
  9. The data is displayed in the graphs and measured parameters are displayed in the Parameters Table.

    NOTE: If you are using, for example, 4x4 hardware and only want to make a 2x2 measurement, use the 2800 Nx MIMO VSA and the 4x Analysis elements. Double-click the 2800 Nx MIMO VSA element to open the Element Configuration dialog box. In the VISA Resource tab, clear the Active check boxes for Instrument 3 and Instrument 4.

See Also:

  • General Purpose Analysis Menus
  • Analyzing a SISO WiMAX Signal


Analysis Window Menus

This is the default view of the General Purpose Analysis window. The following windows are displayed:

  • Settings
  • Instrument Control
  • Parameters Table
  • Waveform Amplitude

General Purpose Anlaysis Window

In the General Purpose Analysis window, the following menus are available:

View

Displays

Settings

Sweep


View menu

WLAN Analysis View Menu

These selections are available in the View menu. Select from the following to learn about the individual viewing options:

  • Show When Project Opened
  • Arrange On Tabs
  • Tile Horizontally
  • Tile Vertically
  • Minimize
  • Maximize
  • Open All
  • Close All
  • Open Defaults
  • Exit

Show When Project Opened

Select Show When Project Opened to have the Analysis window open at the same time the SignalMeister™ application opens.

____

Arrange On Tabs

In the View menu, select Arrange On Tabs to keep maximum window size for the selected windows, while still keeping them framed within the Analysis window.

Note in the image below that Arrange On Tabs is selected, and the tabs are at the top of the Analysis Window. In this example the FFT tab is highlighted, and the FFT graph is showing. The status bar at the bottom of the window also shows that the signal was analyzed without errors.

____

Tile Horizontally - Settings

In the View menu, select Tile Horizontally to arrange the settings windows one above the other in the analysis window.

Some windows are long and narrow, or have less information to display, and show well in the Tile Horizontally selection. However, some graphs of other displays, such as the Waveform Amplitude graph, are highly distorted in the Tile Horizontally selection.

____

Tile Vertically

Select Tile Vertically to arrange the settings windows side by side in the analysis window.

____

Minimize

Select Minimize to minimize the window to the task bar.

____

Maximize

Select Maximize to resize the window so as to encompass the entire display. To restore the display to its original size, place the cursor at the top of the page and double-click.

____

Open All

Selecting Open All, opens all windows in both the Settings and Displays menu. The default view is the tabbed format. See also Arrange On Tabs.

This selection is useful if a great number of windows need to be opened. In this case, it might be quicker to open all, and close just the ones that are not needed, as opposed to opening many individual windows.

Once the windows have all been opened, they can be:

  • Tiled Horizontally
  • Tiled Vertically
  • Arranged On Tabs
    _____

    NOTE: When using the Open All feature, it may take several minutes to open all the windows.

____

Close All

Selecting Close All, closes all of the windows open from both the Settings and Displays menu, but leave the Analysis window active.

____

Exit

Select Exit to close the Analysis window and the editing session on the selected SignalMeister™ element.

____

Window List

When all of the items from the Displays and Settings menus are open, not all of the tabs can be displayed, so some will be hidden from view. On the right-hand side of the window, is a Window List icon. Select this icon to open a menu that shows all of the open windows. You can easily navigate to any desired display by selecting that item from the menu.

Analysis Window List

____


Displays Menu

General Purpose Analysis Displays menu

The Displays menu provides access to the Parameters Table, Print and Copy commands, and various graphs:

  • Parameters Table
  • Graphs:
    • Waveform Amplitude
    • Waveform IQ
    • FFT
    • Spectrum Emissions Mask
  • Print/Copy/Save Displays


Parameters Table

The General Purpose Analysis parameters table displays the Sample Rate and number of Samples of the analyzed waveform.

______

See Also:

Results Capture (for information about saving this data)

:PROJect<index>:GPANalysis<index>:CALCulate:SAMPles

:PROJect<index>:GPANalysis<index>:CALCulate:SRATe


Graph: Waveform Amplitude

To change the controls of this graph, see Customization window.


Graph: Waveform IQ

To change the controls of this graph, see Customization window


Graph: FFT

To change the controls of this graph, see Customization window


Settings Menu

General Purpose Analysis Settings menu

Select the Settings menu to view, edit the following settings:

  • Settings
  • Instrument Control
  • IQ Capture
  • SEM (Spectrum Emission Mask) Editor


Settings

Expand FFT to show all points

Select this check-box to show 100% of the FFT points in the spectrum. If this is not selected (default), the upper and lower 10% of the FFT points are discarded. This means that for a 50 MHz frequency span, the default x-axis goes from -20 to 20 MHz instead of -25 to 25 MHz.

Enable SEM

Check the Enable SEM check-box and click Apply to enable the Spectrum Emission Mask to the Spectrum Emission Mask graph.

Select the Advanced SEM Settings button to open a dialog that allows you to set trigger and channel settings, and to enable the spur cancellation feature.

Advanced SEM Settings button

NOTE: Enable SEM is grayed-out and not available for use in Simulated mode.

See also:

  • Graph: Spectrum Emissions Mask
  • SEM Editor
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SEM


Advanced SEM Settings

WiMAX Advanced SEM Settings dialog

See Also:

  • Graph: Spectrum Emissions Mask
  • SEM Editor

_____

SEM Editor

SEM (Spectrum Emission Mask) Editor
Segment Sweep Settings

The segment sweep time setting controls the sweep time for a segment of the spectrum measurement. Since the measurement is not swept, this controls the aquisition time. If the time is greater than the minimum required for the FFT, multiple overlapping FFTs will be performed, and the results combined to yield the frequency that results in covering the specified time range.


Instrument Control - Instrument Mode

__

Simulated Mode: If you are analyzing a simulated signal, the Instrument Control window will only display the Single Sweep and Continuous Sweep buttons. Click here for details.

__

Instrument Control window with hardware

In the Settings menu, select Instrument Control.

Select from the following to learn about the individual control settings:

  • General Instrument Settings
  • General Measurement Settings
  • Trigger Settings
  • Individual Instrument Settings
  • Initialize Instruments
  • Single Sweep
  • Continuous Sweep
  • Optimize Setup

NOTE: Optimize Setup and Initialize Instruments controls are not available with General Purpose Analysis or Simulation mode.

______

__
______

See Also:

  • Instrument Control - Simulated Mode


Trigger Settings

Trigger Settings

Use the links below to navigate directly to a topic:

  • Trigger Level Offset
  • Trigger Source
  • Trigger Prequal Time
  • Trigger Prequal Level
  • Auto Trigger Timeout
  • Trigger Delay

The following fields are used to set the trigger for each analyzer that is being controlled by this program. The values can be changed by making a selection from a drop-down menu, highlighting the value and typing a new value, or by using the up and down arrows associated with that field.

Trigger Level Offset

Sets the power level that the incoming RF signal must reach to cause a trigger event.

Minimum value: 0 dB
Maximum value: 80 dB
Default: 10.0 dB

Trigger Source

Use the drop-down menu to select the trigger source. The available choices are:

  • Immediate: Immediate sets the instrument to a continuous trigger mode.
  • External: External sets the instrument to receive a trigger from the rear panel TRIG IN connector.
  • Video: Video sets the instrument to receive a trigger when the input signal reaches a specified power level. The video trigger is intended for data acquisition of multiple bursted RF signals. The trigger settings help to base the trigger event on the leading edge of a burst even when modulation noise is inside the burst.
  • External Video: External Video sets the instrument to receive a trigger from a combination of sources: an external pulse to arm the trigger, and a video signal to perform the trigger.

Trigger Prequal Time

Trigger Prequalification Time sets a window area, in seconds, at some specified power level that the input signal must avoid before the trigger will be recognized by the instrument.

To ensure that the analyzer performs the measurement when the burst occurs and not when modulation noise occurs, you can set the video trigger pre-qualification. The pre-qualification requires that the input signal stay out of an area you specify that is located before the leading edge of the burst. This pre-qualification area has a level that the RF signal must stay below for a certain length of time. The trigger event is based on the contrast between when there is no burst and when a burst occurs.

Minimum value: 0 Sec
Maximum value: 30 Sec
Default: 0.000003 Sec

Trigger Delay

Enter a delay, in seconds, that you want the instrument to wait before responding to a trigger event. When the trigger delay is set to zero, the center point of the data window is where the trigger occurred. Changing the trigger delay value allows you to see measurement trace events that occurred before or after the trigger.

Minimum value: -30 sec
Maximum value: 30 sec

Related SCPI commands:

  • WLAN (802.11b):
  • WLAN (802.11a/g/j/p):
  • WLAN (802.11n):
  • WiMAX (802.16e):
  • General Purpose analysis:

Trigger Prequal Level

Trigger Prequal Level sets the power level boundary that the input signal must avoid for some specified time before the trigger will be recognized by the instrument.

Minimum value: 0 dB
Maximum value: 32 dB
Default: 5.0 dB

Auto Trigger Timeout

Sets the time to wait, in seconds, for a trigger before automatically providing an internal trigger to acquire a measurement.

Default: 0.100000 Sec

Trigger Delay

Enter a delay, in seconds, that you want the instrument to wait before responding to a trigger event. When the trigger delay is set to zero, the center point of the data window is where the trigger occurred. Changing the trigger delay value allows you to see measurement trace events that occurred before or after the trigger.

Minimum value: -30 sec
Maximum value: 30 sec

Related SCPI commands:

  • WLAN (802.11b):
  • WLAN (802.11a/g/j/p):
  • WLAN (802.11n):
  • WiMAX (802.16e):
  • General Purpose analysis:


Individual Instrument Settings

Individual Instrument Settings

  • Use Defaults For All Instruments
  • Auto Atten
  • Preamp On
  • Manual Atten
  • Expected Power
  • Low Phase Noise
  • Initialize Instruments
  • Single Sweep
  • Continuous Sweep
  • Optimize Setup
  • Recovering from an SEM Optimization Failure

______

Defaults tab and Instrument tabs

Depending on the project configuration, there can be up to eight signal analyzers controlled by this program. The additional analyzers appear as additional tabs to the right of the Defaults tab, for example, Instrument 1, Instrument 2, Instrument 3 and so on.

There are several defaults that can be shared for all analyzers controlled by this program, or the same defaults can be set to different values for the individual analyzers included in the setup. The available defaults are:

  • Auto Atten
  • Preamp On
  • Manual Atten
  • Expected Power
  • Ultra Low Phase Noise (License V2820A-UPN)

Use Defaults for All Instruments

If this check box is cleared, all instruments controlled by the program will take the values set in the corresponding individual Instrument tabs.

If this check box is selected, all instruments are set to the values of the Defaults tab, shown above.

Auto Atten

Use this check box to control automatic attenuation. When selected, Auto Atten enables the automatic application of input signal attenuation. When you enter an Expected Power value, the VSA automatically adjusts the input attenuation to optimize the power measurement range.

Preamp On

Use this check-box to control the Preamp. Preamp On allows you to add power amplification (approximately 13 dB) to the input signal. This is useful for improving measurement sensitivity when the signal has lower power.

NOTE: If an overload condition occurs when turning the Preamp on, the following error is displayed on the status bar: "Instrument reported Overflow condition during measurement."

Manual Atten

Enter the desired attenuation level that is applied to the signal when Auto Atten is cleared.

Minimum value: 0 dB
Maximum value: 30 dB
Default: 10.0 dB

Expected Power

Sets the main channel expected power.

Minimum value: -170 dBm
Maximum value: 30 dBm
Default: 0.0 dBm

Low Phase Noise

If the Low Phase Noise feature is not applicable to the instrument, the check-box is grayed-out indicating this selection is not available.

_____

This feature is presently available only for instruments equipped with the Ultra Low Phase Noise option: V2820A-UPN.

The Low Phase Noise setting allows you to enable or disable the -UPN option -- if this option is available in the instrument. Enabling Low Phase Noise invokes the following performance improvements:

  • Improved phase noise: < -140 dBc/Hz phase noise at a 300kHz offset with a 2 GHz carrier
  • Improved EVM performance for WLAN signal (WLAN 802.11n EVM floor as low as -48 dBc)
  • Improved ORFS performance for GSM and EDGE signals
  • Typical frequency switching time of 1 ms (with the Low Phase Noise setting disabled, the frequency switching time is 250 µs)

_
The following phase noise plot shows the typical phase noise performance in the V2820A-UPN option.

Phase Noise Plot with and without -UPN

_
See Also:

  • Managing Licenses

Initialize Instruments

Initialize Instruments button

Press the Initialize Instruments button to initialize all instruments controlled from this window.

Single Sweep

Single Sweep button

Press the Single Sweep button to have all instruments controlled from this window perform a single sweep, then stop.

Continuous Sweep

Continuous Sweep button

Press the Continuous Sweep button to have all instruments controlled from this window perform continuous sweeps. While continuous sweeping, all controls on the main window are disabled except the status/message tabs and the main window form itself. The main window may still be viewed, minimized, and maximized, but all menus and other controls are disabled.

Press Stop Sweeping to end the sweep sequence.


IQ Capture

Use this selection to setup and capture IQ data from the signal being analyzed, and store them in a file.

The Status Bar at the bottom of the IQ Capture window displays important information regarding the capture status, or any errors during the capture.

Enable IQ Capture

Select this check-box to capture the IQ waveform to the file format and location displayed here.

Capture Format

Use the drop-down menu to select the file format in which to save the captured IQ waveform.

The available choices are:

  • CSV - Comma Separated Value (.csv): Interleaved IQ data.
  • Binary - Double Precision (.bin): 64-bit doubles, little-endian, interleaved IQ data.
  • Binary - Single Precision (.bin): 32-bit singles, little-endian, interleaved IQ data.

Number of Sweeps to Capture

This field displays the default number of sweeps captured. Note that it is grayed-out and cannot be set to any other value at this time.

IQ File Name

Either type in the path and file name for the captured IQ waveform, or use the Select button to open the navigation dialog window that allows you to navigate to the desired file location then name the file.


Sweep Menu and Tool Bar

To start a Single or Continuous sweep, or to Initialize Instruments (hardware mode), use the icons in the tool bar, select the item from the drop-down Sweep menu, or use the sweep buttons from the Instrument Control tab.

Sweep menu (General purpose)

Sweep Menu (general purpose analysis)

To stop the sweep, select the Stop button on the tool bar, or select Stop Sweep from the Sweep menu or the Stop Sweep button from the Instrument Control tab.

Stop Sweep Button


Standard Templates

Standard Templates Tool Set

4xMIMO

4xMIMO with Complex Impairments

Select the Standard Templates button to display the available templates.


4xMIMO with Complex Impairments

Drag and drop the 4xMIMO Complex Impairments template element onto the project worksheet to add a MIMO configuration with multiple, complex impairments to your project. This 4xMIMO template contains an 802.11n element configured with 4 outputs (transmitter), 4 IQ Gain Imbalance elements, four IQ Offset elements, four AWGN elements, a 4x4 channel model element, four Arb File elements, and a 2900 element with four inputs (receiver). The template automatically expands on the worksheet with each of the elements connected and ready to use.

4x MIMO with Complex Impairments Template Icon


My Templates

My Templates Tool set

Select the My Templates button to display the available templates. By default, the My Templates toolbox is not available when SignalMeister™ is first installed on your PC. When you save either an element or a project as a template, the My Templates toolbox is created with the new template added. You can identify whether a template is an element template or a project template by the style of the icon displayed. The green, template icon identifies the element as a project template.

NOTE: The template will appear in the My Templates toolbox ONLY IF it is saved to C:\Program Files\Agilent Technologies\Agilent SignalMeister\Item Templates\User Templates. Template files saved in any other location will not appear in the My Templates toolbox, but you can still add the template to a project by using the File > Add Template to Project command.

As with any of the other elements or templates provided with SignalMeister™, drag and drop the elements from the My Templates toolbox onto the worksheet to begin using them in your project.


Standard Payload Data Source

Standard Data Source

Standard Payload Data Source

_____

Data Format

Use the drop-down menu to select the desired data format. The data source of the frame can contain the following types of data:

  • All Zeros
  • All Ones
  • Alternating Zero One
  • Bit Sequence
  • Hex Value
  • Value Sequence
  • User file
  • PN9
  • PN9 ITU
  • PN15
  • PN23

The table below shows the polynomials used by the corresponding PN generators:

PN9 | PN9 Polynomial
PN9 ITU | PN9 ITU Polynomial
PN15 | PN15 Polynomial
PN23 | PN23 Polynomial

_____

NOTE: The PN9 ITU is named such as it conforms to standard ITU-T CCITT O-153.

_____

Hex Value

Highlight this cell and enter a value, or use the up and down arrows to select the desired pattern value (Hex). This parameter is active when the Data Format selection is Hex Value.

Minimum value: 0x0
Maximum value: 0x7FFFFFF

PN Sequence Seed

Highlight this cell and enter a value, or use the up and down arrows to select the desired PN Sequence Seed value. This parameter is active when the Data Format selected is:

  • PN9
  • PN9 ITU
  • PN15
  • PN23

Minimum value: 0x1
Maximum value: 0xFFFF

Value Sequence

Use this field and enter the desired data. This parameter is active when the Data Format selected is Value Sequence or Bit Sequence.

Depending upon the message type and how the bits are entered, the data entered here can be 16- or 32-bit values required for such data as:

  • WLAN PSDU data
  • Specific integer values required for 3GPP, such as the CQI sequence for the HS-PDCCH, or ACK/NACK/DTX for indicator channels

For example, if the value entered for a WLAN PSDU repeating pattern is preceded by a 0x, the software will decode the value using base-16 then spread across 16 bits; otherwise, it is interpreted as a signed, 32-bit integer and spread across 32 bits. The value 0xAA -1 0xAA would be encoded into 48 bits, then spread across the entire PSDU as repeating pattern 10101010 11111111 11111111 11111111 11111111 10101010 10101010 11111111 11111111 11111111 11111111 10101010 …

If the value entered is for a specific encoding, such as CQI or HARQ Data, then you would simply select Value Sequence as the Data Format, and then enter numbers directly into the Value Sequence field, such as 1 12 30 12 19 or +1 -1 0 -1 +1.

User File

When User File is selected from the Data Format drop-down menu, the User File text field becomes active to allow you to enter the path (including file name) to the location where your user-defined data file is stored. You can also use the Select... button to open the User Data Stream dialog that allows you to navigate to the the desired file location.

The user defined data feeds the data fields of the relevant channel to generate the signal. If the user-defined data pattern is not long enough to create a signal, the data pattern will be repeated until the signal is complete.

A User File is an ASCII text file (*.txt) that contains a sequence of 0s and 1s that define your waveform. No special format is needed in a text file that is imported as a data source, as all non-0 and non-1 content is ignored. All of the following examples produce the same output results:

______

Example 1: | 00001111001101
Example 2: | 0 0 0 0 1 1 1 1 0 0 1 1 0 1
Example 3: | 0,0,0,0,1;1;1;1 0 0:1:1:0:1
Example 4: | 0,0,0,0,
 | 1,1,1,1,
 | 0,0,1,1
 | 0
 | 1

_____
See Also:

  • Managing Project Files

______

Stream Length

Use this cell to set the length of the data stream. The length can be configured either in bytes or bits. If the stream length is defined in bits, the value entered must be a multiple of 8. If the value entered is not a multiple of 8, SignalMeister™ automatically adjusts the value. For example, if the value entered is 29 bits, the actual value set is 32 bits or 8 bytes.

Bytes

Minimum value: 1 byte
Maximum value: 268435455 bytes

Bits

Minimum value: 8 bits
Maximum value: 2147483640 bits

_____

NOTE: The Stream Length parameter is not used in 3GPP, 3GPP2, and DVB configurations.

_____


SCPI commands - SignalMeister and instruments

For a detailed listing of all SignalMeister™ SCPI commands, and all pass-through instrument SCPI commands, refer to the following links:

SignalMeister™

  • SignalMeister - Remote Control
  • SignalMeister SCPI command tree
  • SignalMeister SCPI command locator
  • SignalMeister SCPI command error messages

Series V2800

  • Series V2800 SCPI command tree
  • Series V2800 SCPI command locator
  • Series V2800 SCPI command error messages

Series V2900

  • Series V2900 SCPI Command tree
  • Series V2900 SCPI Command locator
  • Series V2900 SCPI command error messages


SignalMeister - Remote control

You can automate commonly recurring test procedures by sending remote control commands to SignalMeister™ over the Ethernet (LAN). To learn about the configuration requirements and programming commands, see the following topics:

  • Programming syntax
  • Queues
  • IEEE- 488.2 common commands
  • SignalMeister SCPI command tree
  • SignalMeister SCPI command locater
  • SignalMeister SCPI command error messages


Programming syntax

The following information explains the message syntax and rules for IEEE 488.2 common SCPI commands and SignalMeister™ related SCPI commands.

  • Case sensitivity
  • Long-form and short-form versions
  • Short-form rules
  • Command path rules
  • Program message terminator
  • Command execution rules
  • Communicating with RF test accessory equipment

See Also:

Series V2800 SCPI Commands

Series V2900 SCPI Commands

Case sensitivity

IEEE 488.2 Common commands and SCPI commands are not case sensitive. You can use upper or lower case and any case combination.

Example:

*RST = *rst

:OUTPut? = :output?

:SYSTem:PRESet = :system:preset

Long-form and short-form versions

A SCPI command word can be sent in its long-form version, its short-form version or an acceptable combination of both. The commands are listed in the long-form version in all SCPI commands documented here, with the short-form version indicated by upper case characters.

Examples:

:SYST:PRES (short-form)

:SYSTem:PRESet (long-form)

:SYSTem:PRES (long-form and short-form combination)

______

NOTE: Each command word must be in long-form, short-form or an acceptable combination of long- and short-form and not something in-between. For example, :SYSTem:PRESe is an illegal command that generates an error. The command will not be executed.

Short-form rules

Use the following rules to determine the short-form version of any SCPI command:

  • If the length of the command word is four letters or less, no short-form version exists.

    Example:

    :DATA? = :data?

  • If the fourth letter of the command word is a vowel (including the letter "y"), delete it and all the letters after it.

    Example:

    IMMediate = IMM = imm

  • If the fourth letter of the command word is a consonant, retain it but drop all the letters after it.

    Example:

    FORMat = FORM

  • If the command contains a question mark (?; query) or a non-optional number included in the command word, you must include it in the short-form version.

    Example:

    :OUTput? = :OUT? = :out?

  • Command words or characters that are enclosed in brackets [ ] are optional in the program message.

    Example:

    :PROJect2:WIMax2[:SENSe]:DBURst = :PROJ2:WIM2:SENS:DBUR = :PROJect2:WIMax2:DBURst = :PROJ2:WIM2:DBUR

_______

NOTE: Short-form SCPI commands provide the fastest response times.

Command path rules

Each new program message must begin with the root command, unless it is optional (for example, [:SOURce]). If the root is optional, treat a command word on the next level as the root.

______

NOTE: For fastest operation, do not send optional data.

______

A colon (:) can be used at the beginning of a program message. However, using the colon slows down execution time.

Example:

STAT:PRES = :STAT:PRE

______

When the path pointer detects a colon (:) it moves down to the next command level. An exception is when the path pointer detects a semicolon (;), which is used to separate commands within the program message.

When the path pointer detects a colon (:) that immediately follows a semicolon (;), it resets back to the root level.

The path pointer can only move down. It cannot be moved up a level. Executing a command at a higher level requires that you start over at the root command.

Program message terminator (PMT)

Each program message must be terminated with an LF (line feed), OEI (end or identify), or an LF+EOI. The following command shows how a program message must be terminated.

Example:

inp:prot:stat on <PMT>

Command execution rules

  • Commands execute in the order that they are presented in the program message.
  • An invalid command generates an error and is not executed.
  • Valid commands that precede an invalid command in a multiple-command program message are executed.
  • Valid commands that follow an invalid command in a multiple-command program message are ignored.

SCPI command pass-through

SignalMeister™ sends the argument to the designated instrument as a SCPI command or query. The query form reads the response from the instrument and returns it. Only ASCII is supported for the pass-through commands, so binary data, such as with :MMEM:DATA filename,#41000<binary>, cannot be sent or received.

Multiple values in a SCPI command are separated by a comma (,), while multiple commands are separated by a semicolon (;). If there are multiple command(s) or queries sent to an instrument that contain commas (,) or semicolons (;), the argument must be in quotes ("). A series of commands may be sent to the designated instrument as a single, uninterrupted command if they are enclosed by quotes. That is, quoted strings do not get split-apart.

In the examples below, the space after :COMMand3 is a separator for the command header and the command argument. Everything after the space is directed to the designated instrument as shown by the quotes enclosing the argument.

For example, :PROJ3:SAN2:COMM3? ":RLEV 15;RLEV?;:SYST:ERR?" sends the command to set the reference level of Series V2800 configured as MIMO instrument number 3, included in spectrum analyzer element 2 in SignalMeister™ project number 3, to 15 dBm, then queries the instrument to verify that there are no errors.

For example, :PROJ3:SAN2:COMM3? ":SYST:TIME 8,10,03;:SYST:TIME?;:SYST:ERR?" sets the system clock of the Series V2800 configured as MIMO instrument number 3, included in spectrum analyzer element 2 in SignalMeister™ project number 3, to 08 hours, 10 minutes and 03 seconds, then queries the system to verify the time settings are correct and that there are no errors.

Examples:

:PROJect3:SANalyzers2:COMMand3? ":ReferenceLEVel 15;:RLEV?;:SYST:ERR?"

:PROJ3:SAN2:COMM3? "*RST;*OPC?"

:PROJ:SAN2:COMM3 ":SYST:TIME 8,10,03"

:PROJect3:SANalyzers2:COMM3 *RST

See Also:

:PROJect<index>:MANifest

:PROJect<index>:SANalyzers<index>:COMMand<index>

:PROJect<index>:SGENerators<index>:COMMand<index>


Queues

The instrument uses two queues, which are first-in first-out (FIFO) registers:

  • Output queue -- holds query response messages.
  • Error queue -- holds error and status messages.

_____

NOTE: While operating within the trigger mode (not in idle), you cannot send a status command (for example, *ESE?). These commands can only be executed when the instrument is in idle.

Output queue

The output queue holds data that pertains to the normal operation of the instrument.

Example sequence:

  1. A query command is sent.
  2. The response message is placed in the output queue.
  3. A data message is cleared from the output queue when it is read.
  4. The output queue is considered cleared when it is empty.
  5. A message is read from the output queue after the appropriate query is sent.

Error queue

The error queue holds error and status messages.

Example sequence:

  1. An error or status event occurs.
  2. A message that defines the error/status is placed in the error queue.
  3. An error/status message is cleared from the error queue when it is read.
  4. The error queue is considered cleared when it is empty.

_____
The error queue holds up to 10 error/status messages. The commands to read the error queue are listed in the following table. When you read a message in the error queue, the "oldest" message is read and then removed from the queue.

  • The message "350, 'Queue Overflow'" will occupy the last memory location, if the queue becomes full.
  • The message "0, No Error" is placed in the queue, when it is empty. On power-up, the error queue is empty.

Messages in the error queue are preceded by a code number. Negative (-) numbers are used for SCPI-defined messages and positive (+) numbers are used for Agilent-defined messages. On power-up, all error messages are enabled and will go into the error queue as they occur.
_____

Command | Description
:STATus:QUEue:CLEar | Clears message from error queue.
:SYSTem:ERRor:ALL? | Reads the all errors in the queue.
:SYSTem:ERRor[:NEXT]? | Reads the next error in the queue (queue is FIFO).
:SYSTem:CLEar | Clears messages from error queue.
*CLS | Clears messages from error queue.

NOTE: Power-up and *CLS empties the error queue. The :STATus:PRESet command has no effect. Power-up enables error messages and disables status messages.


SignalMeister SCPI command locator

Common commands

IEEE- 488.2 common commands

Select a link below to navigate directly to that topic:

_____

*CLS | *RST
*ESE | *SAV
*ESE? | *SRE
*ESR? | *SRE?
*IDN? | *STB?
*OPC | *TRG
*OPC? | *WAI
*RCL |

File management commands

:FILE

Command execution history, error history

:HISTory

Command execution

:PAUSe

Project level commands

:PROJect<index>

The Project index number is used to identify the active project of the SignalMeister™ Projects window, to which you want to send SCPI commands.

See Project Manifest for an explanation of how the Project index number is assigned and handled across multiple projects.

Select a link below to view further command details:

  • :PROJect<index>:AWGN[:SENSe]:POWer
  • :PROJect<index>:BALL
  • :PROJect<index>:CLOSe
  • :PROJect<index>:CANalyzer
  • :PROJect<index>:DELay[:SENSe]:TIMe
  • :PROJect<index>:DALL
  • :PROJect<index>:FBALl
  • :PROJect<index>:FDALl
  • :PROJect<index>:FILename
  • :PROJect<index>:FLALl
  • :PROJect<index>:GIMBalance[:SENSe]:SCALe
  • :PROJect<index>:GPANalysis<index>
  • :PROJect<index>:GIMBalance[:SENSe]:SCALe
  • :PROJect<index>:LALL
  • :PROJect<index>:IQOFfset[:SENSe]:I
  • :PROJect<index>:IQOFfset[:SENSe]:Q
  • :PROJect<index>:MANifest
  • :PROJect<index>:SANalyzers<index>:COMMand<index>
  • :PROJect<index>:SAVE
  • :PROJect<index>:SGENerators<index>:COMMand<index>
  • :PROJect<index>:SHIFt[:SENSe]:FREQuency
  • :PROJect<index>:TFILes<index>
  • :PROJect<index>:USOurce<index>
  • :PROJect<index>:WIMAx<index>
  • :PROJect<index>:WLAN<index>
  • :PROJect<index>:WORKsheet<index>

See also:

  • Project Manifest

______

General

:PROJect<index>:BALL

:PROJect<index>:CLOSe

:PROJect<index>:CANAlyzer

:PROJect<index>:DALL

:PROJect<index>:FBALl

:PROJect<index>:FDALl

:PROJect<index>:FILename

:PROJect<index>:FLALl

:PROJect<index>:LALL

:PROJect<index>:MANifest

:PROJect<index>:SANalyzers<index>:COMMand<index>

:PROJect<index>:SAVE

:PROJect<index>:SGENerators<index>:COMMand<index>

:PROJect<index>:TFILes<index>

:PROJect<index>:USOurce<index>

:PROJect<index>:WORKsheet<index>

General-purpose analysis commands

:PROJect<index>:GPANalysis<index>

WiMAX analysis related commands

:PROJect<index>:WIMax<index>

Select a link to view further command details:

  • :PROJect<index>:WIMax<index>:CALCulate
  • :PROJect<index>:WIMax<index>:INITiate:CONTinuous[:STATe]
  • :PROJect<index>:WIMax<index>:INITiate:IMMediate
  • :PROJect<index>:WIMax<index>:INITiate:SWEeps?
  • :PROJect<index>:WIMax<index>[:SENSe]
  • :PROJect<index>:WIMax<index>:SYSTem:COMMunicate:INITialize[:ANALyzer]
  • :PROJect<index>:WIMax<index>:TEMPlate:SAVE

See also:

  • Project Manifest
  • :PROJect<index>:MANifest

WLAN analysis related commands

:PROJect<index>:WLAN<index>

Select a link to view further command details:

  • :PROJect<index>:WLAN<index>:CALCulate:AVERaged:SWEeps?
  • :PROJect<index>:WLAN<index>:CALCulate:BANDwidth
  • :PROJect<index>:WLAN<index>:CALCulate:CPOWer:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:CRESponse:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:CSUMmary:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:DATA:VALid
  • :PROJect<index>:WLAN<index>:CALCulate:DUPLicate
  • :PROJect<index>:WLAN<index>:CALCulate:EVM:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:EVM:PDATa:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:EVM:PPILot:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:EVM:SUBCarrier:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:EVM:SYMBol:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:EVM:UNIT
  • :PROJect<index>:WLAN<index>:CALCulate:FLATness:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:FMARgin:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:MFLatness:PTPeak:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:IQT:DATA[1|2|3|4]
  • :PROJect<index>:WLAN<index>:CALCulate:PACKet:CRC
  • :PROJect<index>:WLAN<index>:CALCulate:PACKet:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:PACKet:INFO
  • :PROJect<index>:WLAN<index>:CALCulate:SEMask:DATA[1|2|3|4]
  • :PROJect<index>:WLAN<index>:CALCulate:SUMMary:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:SVALues:DATA?
  • :PROJect<index>:WLAN<index>:INITiate:CONTinuous[:STATe]
  • :PROJect<index>:WLAN<index>:INITiate:IMMediate
  • :PROJect<index>:WLAN<index>:INITiate:SWEeps?
  • :PROJect<index>:WLAN<index>[:SENSe]
  • :PROJect<index>:WLAN<index>:SYSTem:COMMunicate:INITialize[:ANALyzer]

See also:

Project Manifest

:PROJect<index>:MANifest

System level commands

:SYSTem


SignalMeister SCPI command tree

IEEE- 488.2 common commands

[:FILE]

:HISTory

:PAUSe

:PROJect<index>

:SYSTem


IEEE- 488.2 common commands

Select a link below to navigate directly to that topic:

_____

*CLS | *RST
*ESE | *SAV
*ESE? | *SRE
*ESR? | *SRE?
*IDN? | *STB?
*OPC | *TRG
*OPC? | *WAI
*RCL |

*CLS -- Clear status

Clears the instrument status byte by emptying the error queue and clearing all event registers. Also cancels any preceding *OPC command or query. The standard event enable register is not reset by :STATus:PRESet or *CLS. Send the 0 parameter value with *ESE to reset all bits of that enable register to 0.

NOTE: :SYSTem:PRESet and *RST have no effect on status structure registers and queues.

*ESE -- Event status enable

Sets bits in the standard event status enable register. The parameter values to set the individual bits of the enable registers can be sent using the decimal format (NRf = 0 to 225). See the Standard event register topic for more information.

*ESE? -- Event status enable query

Returns the results of the standard event enable register. The register is cleared after reading it. See the Standard event register topic for more information.

*ESR? -- Event status register query

Reads the event status enable register. See [image] Status register commands and Reading registers.

*CLS

*ESE

*ESE?

*ESR?

*OPC

*OPC?

*SRE

*SRE?

*STB?

:FORMat:SREGister

:STATus:MEASurement?

:STATus:MEASurement:CONDition?

:STATus:MEASurement:ENABle

:STATus:MEASurement:EVENt

:STATus:MEASurement:NTRansition

:STATus:MEASurement:PTRansition

:STATus:OPERation?

:STATus:OPERation:CONDition?

:STATus:OPERation:ENABle

:STATus:PRESet

:STATus:QUEStionable?

:STATus:QUEStionable:CONDition?

:STATus:QUEStionable:ENABle

:STATus:QUEStionable:EVENt

:STATus:QUEStionable:NTRansition

:STATus:QUEStionable:PTRansition

:STATus:OPERation:EVENt

:STATus:OPERation:NTRansition

:STATus:OPERation:PTRansition

:STATus:QUEue:CLEar

:SYSTEM:CLEar

:SYSTem:ERRor?

:SYSTem:ERRor:ALL?

:SYSTem:ERRor:CLEar

:SYSTem:ERRor:CODE?

:SYSTem:ERRor:CODE:ALL?

:SYSTem:ERRor:COUNt?

:SYSTem:ERRor:ENABle

:SYSTem:ERRor:ENABle:ADD

:SYSTem:ERRor:ENABle:DELete

:SYSTem:ERRor:ENABle[:LIST]

*IDN? -- Identify

Returns a string that uniquely identifies the instrument. The identification code includes the manufacturer, model number, serial number, and firmware revision levels and is sent in the following format:

Agilent Technologies, Inc.,MODEL nnnn,nnnnnnnn,xxx Jan 27 2008 14:59:09

Where:

nnnn is the model number

nnnnnnn is the serial number

xxx is the firmware revision level

Jan 27 2008 14:59:09 is the date and time (24hr format, hr:min:sec) for the firmware release

*OPC -- Operation complete command

The *OPC command sets the *OPC bit in the standard event register after all pending commands are complete.

After the *OPC command is sent and the last pending command is completed, the operation complete bit (bit B0) of the standard event status register will be set. If the corresponding bit (bit B0) in the standard event enable register and the event summary bit (bit 5) of the service request enable register are set, the master summary status (MSS) bit in the status byte register is set. See Event registers for more information.

When used with the immediate initiation command (:INITiate), the OPC bit in the standard event status register will not set until the instrument goes back into the idle state. See the description for *WAI for more information on command execution.

Programming example

The first group of commands sends the *OPC command after the :INITiate command and verifies that the OPC bit in the standard event status register does not set while the instrument continues to make measurements (not in idle). The second group of commands returns the instrument to the idle state and verifies that the OPC bit did get set.

:SYST:PRES | ' Returns the instrument to default setup.
:INIT:IMM;*OPC | ' Initiates one trigger cycle and sends the OPC command.
*ESR? | ' Reads the standard event status register.

The returned value of 0 denotes that the bit (bit 0) is not set indicating that the :INITiate operation is not complete.

*ESR?

' Reads the standard event status register.

The returned value of 1 denotes that the bit (bit 1) is set indicating that the :INITiate operation is now complete.

:SYST:PRES

' Returns the instrument to default setup.

NOTE: The following commands take a long time to process and may be optimized for speed by using *OPC or *OPC?:

  • *RST and SYST:PRES
  • *RCL and *SAV

*OPC? -- Operation complete query

Places a "1" in the output queue after all pending operations are completed.

When this common command is sent, an ASCII "1" will be placed in the output queue after the last pending operation is completed. The "1" in the output queue will be sent to the controller.

The "1" in the output queue will set the MAV (message available) bit (B4) of the status byte register. If the corresponding bit (B4) in the service request enable register is set, the RQS/MSS (request for service/master summary status) bit in the status byte register will set.

When used with the :INITiate (initiate immediately) command, a "1" will not be placed into the output queue until the instrument goes back into the idle state. The :INIT command operation is not considered finished until the instrument goes back into the idle state. See the description for *WAI for more information about command execution.

The execution of OPC? is not completed until it has placed the "1" in the output queue.

Programming example

This command sequence demonstrates how to use *OPC? to signal the end of a measurement process:

:SYST:PRES | ' Returns instrument to default setup.
:INIT;*OPC? | ' Starts measurement process and sends OPC? command.

After the measurement is performed and the instrument returns to the idle state, an ASCII "1" will be placed in the output queue. The "1" from the output queue is sent to the controller.

:SYST:PRES

' Returns the instrument to default setup.

NOTE: The following commands take a long time to process and may be optimized for speed by using *OPC or *OPC?:

  • *RST and SYST:PRES
  • *RCL and *SAV

*RCL -- Recall *SAV -- Save

  • The *SAV command saves the current instrument setup in memory.
  • The *RCL command returns the instrument to the setup stored memory.

Any control affected by *RST can be saved by the *SAV command.

Ten setup configurations (numbered from 0 to 9) can be saved and recalled. A saved setup configuration is approximately 4k bytes in size.

The instrument leaves the factory with :SYSTem:PRESet defaults loaded into the available setup memory. If a recall error occurs, the setup memory defaults to the :SYSTem:PRESet values.

NOTE: *OPC or *OPC? should be used with *SAV and *RCL, which are slow-responding commands.

_____
Programming example

The following summarizes the basic command sequence for saving and recalling a setup. The present setup is stored in memory location 2, GPIB defaults are restored, and the memory location 2 setup is recalled.

_ | *SAV 2 | ' Save present setup in memory location 2.
_ | *RST | ' Restore GPIB defaults.
_ | *RCL 2 | ' Recall location 2 setup.

*RST -- Reset

Returns the instrument to RST defaults.

  1. Returns the instrument to the RST default conditions, which is exactly the same as a SYSTem:PRESet (see "Default" area in SCPI commands).
  2. Cancels all pending commands.
  3. Cancels response to any previously received *OPC and *OPC? commands.

_

NOTE: *OPC or *OPC? should be used with *SAV and *RCL, which are slow-responding commands.

-

NOTE: The frequency reference is not affected by Preset, *RST, or Save/Recall state.

*SAV -- Save*RCL -- Recall

  • The *SAV command saves the current instrument setup in memory.
  • The *RCL command returns the instrument to the setup stored memory.

Any control affected by *RST can be saved by the *SAV command.

Ten setup configurations (numbered from 0 to 9) can be saved and recalled from the instrument. A saved setup configuration is approximately 4k bytes in size.

The instrument leaves the factory with :SYSTem:PRESet defaults loaded into the available setup memory. If a recall error occurs, the setup memory defaults to the :SYSTem:PRESet values.

Note: *OPC or *OPC? should be used with *SAV and *RCL, which are slow-responding commands.

__
Programming example

The following summarizes the basic command sequence for saving and recalling a setup. The present setup is stored in memory location 2, GPIB defaults are restored, and the memory location 2 setup is recalled.

_ | *SAV 2 | ' Save present setup in memory location 2.
_ | *RST | ' Restore GPIB defaults.
_ | *RCL 2 | ' Recall location 2 setup.

*SRE -- Service request enable command

Before reading a status register, bits must be enabled. This command enables bits in the service request register. The current setting is saved in non-volatile memory. See Service request enable register for more information.

*SRE? -- Service request enable query

Reads the current state of the Service request enable register. The register is cleared after reading it. The return value can be decoded using the table in Programming and reading registers.

__
See also: Reading registers

*STB? -- Status byte query

Reads the value of the instrument status byte. The register is cleared only when the registers feeding it are cleared.

_____
See Also

  • Programming and reading registers
  • Clearing registers and queues.

*TRG -- Trigger

Issues a GPIB trigger to the Series V2900. Use the *TRG command as an event to control operation. The Series V2900 reacts to this trigger if BUS is the programmed control source. See Triggering and Sync Out for more information.

_____
Programming example

The following command sequence configures the Series V2900 to be controlled by bus triggers. The last command, which sends a bus trigger, triggers one measurement. Each subsequent bus trigger will also trigger a single measurement.

NOTE: With TRIG:SOURce BUS selected, do not send any commands (except *TRG, GET, DCL, SDC, IFC, and ABORt) while performing measurements. Otherwise, erratic operation will occur.

*RST | ' Restore RST defaults.
TRIG:SOUR BUS | ' Select BUS control source.
INIT | ' Take instrument out of idle.
*TRG | ' Trigger one measurement.

*WAI -- Wait

The *WAI command prevents execution of commands until previous commands are completed and can be used with the following commands:

  • INITiate
  • *TRG

The INITiate command removes the instrument from the idle state. The device operations of :INITiate are not considered complete until the instrument returns to idle. By sending the *WAI command after the INITiate command, all subsequent commands will not execute until the instrument goes back into idle.

The *TRG command issues a bus trigger that could be used to provide the arm, scan, and measure events for the Trigger Model. By sending the *WAI command after the *TRG command, subsequent commands will not be executed until the pointer for the Trigger Model has finished moving in response to *TRG and has settled at its next state.

Programming example

The following command sequence shows how to use the *WAI command to allow the instrument to wait for the programmed measurements to be completed before requesting a reading.

_

:SYST:PRES

' Returns the instrument to default setup.

_

:INIT

' Starts measurement process.

_

*WAI

' Sends the WAI command. The program waits for
' the instrument to go into an idle state before
' executing the next command.


[:FILE]

Select a link to view the command details:

  • [:FILE]:CALL
  • [:FILE]:CLOSe
  • [:FILE]:EXIT
  • [:FILE]:OPEN
  • [:FILE]:SAVE

[:FILE]:CALL

Closes all projects.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :C:\Documents and Settings\user\My Documents:CALL
Examples | :CALL
 | :C:\Documents and Settings\user\My Documents:CALL

[:FILE]:CLOSe

Closes the active project.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | [:FILE]:CLOSe
Examples | [:FILE]:CLOS
 | [:file]:close

[:FILE]:EXIT

Closes the SignalMeister program.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | [:FILE]:EXIT
Examples | :EXIT
 | [:file]:exit

[:FILE]:OPEN

Opens a file. This becomes the active project.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | [:FILE]:OPEN
Examples | :OPEN
 | [:file]:open

[:FILE]:SAVE

Saves the active project. This is the same as :PROJect<index>:SAVE.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | [:FILE]:SAVE
Examples | :SAVE
 | [:file]:save

See also:

:PROJect<index>:SAVE


:HISTory

Select a link to view the command details:

  • :HISTory:CLEar
  • :HISTory:SHOW

:HISTory:CLEar

Clears the history of commands and errors.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :HISTory:CLEar
Examples | :HIST:CLE
 | :history:clear

:HISTory:SHOW

Shows history of commands and errors.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | No | none | none | n/a | n/a | n/a | none

 | :HISTory:SHOW?
Examples | :HIST:SHOW?
 | :history:show?


:PAUSe

Sets the number of seconds to pause. The string displays a message box.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | Digits with an implied decimal point assumed at the right of the least-significant digit.|string | none | n/a | n/a | n/a | none

 | :PAUSe 1
Examples | :PAUS 2
 | :pause 2


:PROJect<index>

The Project index number is used to identify the active project of the SignalMeister™ Projects window, to which you want to send SCPI commands.

See Project Manifest for an explanation of how the Project index number is assigned and handled across multiple projects.

Select a link below to view further command details:

  • :PROJect<index>:AWGN[:SENSe]:POWer
  • :PROJect<index>:BALL
  • :PROJect<index>:CLOSe
  • :PROJect<index>:CANalyzer
  • :PROJect<index>:DELay[:SENSe]:TIMe
  • :PROJect<index>:DALL
  • :PROJect<index>:FBALl
  • :PROJect<index>:FDALl
  • :PROJect<index>:FILename
  • :PROJect<index>:FLALl
  • :PROJect<index>:GIMBalance[:SENSe]:SCALe
  • :PROJect<index>:GPANalysis<index>
  • :PROJect<index>:GIMBalance[:SENSe]:SCALe
  • :PROJect<index>:LALL
  • :PROJect<index>:IQOFfset[:SENSe]:I
  • :PROJect<index>:IQOFfset[:SENSe]:Q
  • :PROJect<index>:MANifest
  • :PROJect<index>:SANalyzers<index>:COMMand<index>
  • :PROJect<index>:SAVE
  • :PROJect<index>:SGENerators<index>:COMMand<index>
  • :PROJect<index>:SHIFt[:SENSe]:FREQuency
  • :PROJect<index>:TFILes<index>
  • :PROJect<index>:USOurce<index>
  • :PROJect<index>:WIMAx<index>
  • :PROJect<index>:WLAN<index>
  • :PROJect<index>:WORKsheet<index>

See also:

  • Project Manifest

______

:PROJect<index>:AWGN[:SENSe]:POWer

Query or set the Additive Gaussian White Noise relative power in dBc.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | AWGN relative power in dBc | Yes | AWGN relative power in dBc | MMD | -45.0 | -80.0 | 25.0 | dBc

 | :PROJECT<index>:AWGN:POWer -35.0
Examples | :PROJECT<index>:AWGN:POWer?
 | :project<index>:awgn:power?

See Also:

  • AWGN


:PROJect<index>:BALL

Runs the SignalMeister™ Build All command on the active/selected project.

Caution: When you are running SignalMeisterä via SCPI commands, overwrite message box warnings are suppressed and files are overwritten by default.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :PROJect1:BALL
Examples | :PROJ1:BALL
 | :project1:ball

See also:

  • Build All
  • Project Manifest


:PROJect<index>:CLOSe

Closes the active/selected SignalMeister™ Project.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

The examples below close the active SignalMeister™ project shown on the Project Manifest as Project 3 (PROJ3)

 | :PROJect3:CLOSe
Examples | :PROJ3:CLOS
 | :project3:close

See also:

  • Close Project
  • :PROJect<index>:MANifest
  • Project Manifest


:PROJect<index>:CANalyzer

Runs the Conflict Analyzer on the active/selected project.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

The example below shows the Conflict Analyzer is run on the active project listed on the Project Manifest as Project 2 (PROJ2)

 | :PROJect2:CANalyzer
Examples | :PROJ2:CAN
 | :project2:canalyzer

See also:

  • Run Conflict Analyzer
  • Project Manifest
  • :PROJect<index>:MANifest

:PROJect<index>:DELay[:SENSe]:TIMe

Query or set the time delay in seconds for the Time Delay Operation.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | The time delay in seconds in exponential format | Yes | The time delay in seconds | MMD | n/a | n/a | n/a | seconds

 | :PROJECT<index>:DEL:TIMe 250 µS
Examples | :PROJect<index>:DELay:TIM?
 | :project<index>:delay:time?

See Also:

  • Time Delay (IQ Stream)


:PROJect<index>:DALL

Runs the SignalMeister™ Download All command on the active/selected project.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

The example below shows that a Download All command is sent to the active SignalMeister™ project listed as Project 1 on the Project Manifest.

 | :PROJect1:DALL
Examples | :PROJ1:dall
 | :project1:dall

See Also:

  • Download All
  • Project Manifest
  • :PROJect<index>:MANifest


:PROJect<index>:FBALl

Runs the Force Rebuild All command on the active/selected project.

Caution: When you are running SignalMeister™ via SCPI, overwrite message box warnings are suppressed and files are overwritten by default.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :PROJect2:FBALl
Examples | :PROJ2:FBAL
 | :project2:fball

See Also:

  • Force Rebuild All
  • Project Manifest
  • :PROJect<index>:MANifest


:PROJect<index>:FDALl

Runs the SignalMeister™ Force Download All command on the active/selected project.

_

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

The examples below show that a Force Download All command is sent to SignalMeister™ Project 3 (PROJ3).

 | :PROJect3:FDALl
Examples | :PROJ3:FDAL
 | :project3:fdall

See Also:

  • Force Download All
  • Project Manifest
  • :PROJect<index>:MANifest


:PROJect<index>:MANifest

Returns the filename of the active or selected project. If the optional project is not included, it will return the name of the active project.

For information about selecting the active project, see Project Manifest.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | No | none | none | n/a | n/a | n/a | none

The following examples display the filename of the SignalMeister™ project manifest for project 3.

 | :PROJect3:FILname?
Examples | :PROJ3:FIL?
 | :project3:filname?

See Also:

  • Project Manifest


:PROJect<index>:FLALl

Runs the SignalMeister™ Force Load All command on the active/selected project.

Caution: When you are running SignalMeister™ via SCPI, overwrite message box warnings are suppressed and files are overwritten by default.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :PROJect1:FLALl
Examples | :PROJ1:FLAL
 | :project1:flall

See Also:

  • Force Load All
  • Project Manifest
  • :PROJect<index>:MANifest

:PROJect<index>:GIMBalance[:SENSe]:SCALe

Query or set the Gain Imbalance operation.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | The applied gain imbalance | Yes | The applied gain imbalance | MMD | 0.0 | -0.25 | 0.25 | none

 | :PROJECT<index>:GIMBalance:SCALe?
Examples | :PROJect<index>:GIMB:SCAL MAX
 | :project<index>:gimbalance:scale 1.5

See Also:

  • IQ Gain Imbalance

:PROJect<index>:IQOFfset[:SENSe]:I

Query or set the I offset component applied to the operation.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | The applied offset of the I component | Yes | The applied offset of the I component | MMD | 0.0 | -0.25 | 0.25 | none

 | :PROJECT<index>:IQOFfset:I?
Examples | :PROJect<index>:IQOFfset:I MIN
 | :project<index>:iqoffset:I 0.0

See Also:

  • IQ Offset

:PROJect<index>:IQOFfset[:SENSe]:Q

Query or set the Q offset component applied to the operation.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | The applied offset of theQ component | Yes | The applied offset of the Q component | MMD | 0.0 | -0.25 | 0.25 | none

 | :PROJECT<index>:IQOFfset:Q?
Examples | :PROJect<index>:IQOFfset:Q MIN
 | :project<index>:iqoffset:Q 0.0

See Also:

  • IQ Offset

:PROJect<index>:SHIFt[:SENSe]:FREQuency

Query of set the frequency, in Hertz, to shift the signal of interest by.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | The frequency shift in Hertz | Yes | The frequency shift in Hertz | MMD | n/a | n/a | n/a | Hz

 | :PROJECT<index>:SHIF:FREQ?
Examples | :PROJect<index>:SHIF:FREQ -5.0 MHz
 | :project<index>:shift:frequency

See Also:

  • Frequency Shift


:PROJect<index>:GPANalysis<index>

To view further command details, select a link below to navigate to that topic:

  • :PROJect<index>:GPANalysis<index>:CALCulate:SAMPles
  • :PROJect<index>:GPANalysis<index>:CALCulate:SRATe
  • :PROJect<index>:GPANalysis<index>:CALCulate:SEMask:CHANnel:SWEep:TIME
  • :PROJect<index>:GPANalysis<index>:INITiate:CONTinuous[:STATe]
  • :PROJect<index>:GPANalysis<index>:INITiate:IMMediate
  • :PROJect<index>:GPANalysis<index>:INITiate:SWEeps?
  • :PROJect<index>:GPANalysis<index>[:SENSe]:BWIDth
  • :PROJect<index>:GPANalysis<index>[:SENSe]:CAPTure:FNAMe
  • :PROJect<index>:GPANalysis<index>[:SENSe]:CAPTure:METadata
  • :PROJect<index>:GPANalysis<index>[:SENSe]:DISPlay:ENABle[:STATe]
  • :PROJect<index>:GPANalysis<index>[:SENSe]:FREQuency
  • :PROJect<index>:GPANalysis<index>[:SENSe]:INSTrument<index>:LPNoise[:STATe]
  • :PROJect<index>:GPANalysis<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation
  • :PROJect<index>:GPANalysis<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation:AUTO
  • :PROJect<index>:GPANalysis<index>[:SENSe]:INSTrument<index>:POWer[:RF]:GAIN[:STATe]
  • :PROJect<index>:GPANalysis<index>[:SENSe]:INSTrument<index>:RLEVel
  • :PROJect<index>:GPANalysis<index>[:SENSe]:LPNoise[:STATe]
  • :PROJect<index>:GPANalysis<index>[:SENSe]:POWer[:RF]:ATTenuation
  • :PROJect<index>:GPANalysis<index>[:SENSe]:POWer[:RF]:ATTenuation:AUTO
  • :PROJect<index>:GPANalysis<index>[:SENSe]:POWer[:RF]:GAIN[:STATe]
  • :PROJect<index>:GPANalysis<index>[:SENSe]:RESet:ENABle[:STATe]
  • :PROJect<index>:GPANalysis<index>[:SENSe]:RLEVel
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SEMask
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SHARed[:STATe]
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SWEep:TIME
  • :PROJect<index>:GPANalysis<index>[:SENSe]:TRIGger[:SEQuence]:AUTO[:STATe]
  • :PROJect<index>:GPANalysis<index>[:SENSe]:TRIGger[:SEQuence]:AUTO:TIMeout
  • :PROJect<index>:GPANalysis<index>[:SENSe]:TRIGger[:SEQuence]:DELay
  • :PROJect<index>:GPANalysis<index>[:SENSe]:TRIGger[:SEQuence]:OFFSet
  • :PROJect<index>:GPANalysis<index>[:SENSe]:TRIGger[:SEQuence]:PREQual[:LEVel]
  • :PROJect<index>:GPANalysis<index>[:SENSe]:TRIGger[:SEQuence]:PREQual:WINDow
  • :PROJect<index>:GPANalysis<index>[:SENSe]:TRIGger[:SEQuence]:SOURce
  • :PROJect<index>:GPANalysis<index>:SYSTem:COMMunicate:INITialize[:ANALyzer]

See also:

  • Project Manifest
  • :PROJect<index>:MANifest

:PROJect<index>:GPANalysis<index>:CALCulate:SAMPles

Reads and displays the number of samples from the General Purpose Analysis Parameters table.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | No | n/a | n/a | n/a | n/a | n/a | none

> :PROJect1:GPANalysis2:CALCulate:SAMPles?
< 3162

Examples

> :PROJ1:GPAN2:CALC:SAMP?
< 3162

> :project1:gpanalysis2:calculate:samples?
< 3162

See also:

  • General Purpose Analysis Parameters Table
  • Project Manifest

:PROJect<index>:GPANalysis<index>:CALCulate:SRATe

Reads and returns the symbol rate from the General Purpose Analysis parameters table.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | No | n/a | n/a | n/a | n/a | n/a | Hz

> :PROJect1:GPANalysis2:CALCulate:SRATe?
< 50,000,000

Examples

> :PROJ1:GPAN2:CALC:SRAT?
< 50,000,000

> :project1:gpanalysis2:calculate:srate?
< 50,000,000

See also:

  • General Purpose Analysis Parameters Table
  • Project Manifest

:PROJect<index>:GPANalysis<index>:CALCulate:SEMask:CHANnel:SWEep:TIME

Enable or disable IQ Capture during measurement acquisition. Only non-protected IQ data is captured. Protected IQ data generates an error.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | n/a | OFF | n/a | n/a | none

______

 | :PROJect1:GPANalysis1:SENSe:CAPTure:ENABle:STATe Off
 | :PROJect1:GPANalysis1:CAPTure:ENABle Off
 | :PROJ1:GPAN1:SENS:CAPT:ENAB:STAT 0
Examples | :PROJ1:GPAN1:CAPT:ENAB 0
 | :project1:gpanalysis1:sense:capture:enable:state off
 | :PROJect1:GPANalysis1:SENSe:CAPTure:ENABle:STATe? O
 | :PROJect1:GPANalysis1:CAPTure:ENABle? 0

See Also:

  • Enable IQ Capture

:PROJect<index>:GPANalysis<index>:INITiate:CONTinuous[:STATe]

Queries the sweep state, or sets the General Purpose Analysis continuous sweep to On or Off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | Default | 1 or On | n/a | n/a | none

 | :PROJect1:GPANalysis2:INITiate:CONTinuous:STATe 0
Examples | :PROJ1:GPAN2:INIT:CONT:STAT O
 | :project1:gpanalysis2:initiate:continuous:state? off
 | :PROJ1:GPAN2:INIT:CONT:STAT? 0

See also:

  • Instrument Control
  • Project Manifest

:PROJect<index>:GPANalysis<index>:INITiate:IMMediate

Initiates an immediate single sweep in the active project.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :PROJect2:GPANalysis3:INITiate:IMMediate
Examples | :PROJ2:GPAN3:INIT:IMM
 | :project2:gpanalysis3:initiate:immediate

See also:

  • Project Manifest
  • Individual Instrument Settings

:PROJect<index>:GPANalysis<index>:INITiate:SWEeps?

Issuing this command queries the current number of sweeps made. this can be used in conjunction with INIT:IMM and INIT:CONT in that you can query the number of sweeps made since the last time that statistics were reset.

Issuing the set command :PROJect<index>:GPANanalysis<index>:INIT:SWEeps 1 is similar to INIT:COND in that it will start continuous sweep mode, and then stop sweeping after the specified number of sweeps is made. Issuing this command resets all statistics and counts back to zero.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | n/a | n/a | 1 | 1 | Digits with an implied decimal point assumed at the right of the least-significant digit. | none

 | :PROJect2:GPANalysis3:INITiate:SWEeps?
Examples | :PROJ2:GPAN3:INIT:SWE?
 | :project2:gpanalysis3:initiate:sweeps?
 | :PROJect2:GPANalysis3:INITiate:SWEeps MIN
 | :PROJ2:GPAN3:INIT:SWE 1

:PROJect<index>:GPANalysis<index>[:SENSe]:BWIDth

Queries or sets the bandwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 40000000 | 10 | 40000000 | Hz

 | :PROJect2:GPANalysis1:SENSe:BWIDth MAXimum
Examples | :PROJ2:GPAN1:SENS:BWID MAX
 | :project2:gpanalysis1:sense:bandwidth? 40000000
 | :PROJ2:GPAN1:SENS:BWID? 40000000

See also:

  • Project Manifest

:PROJect<index>:GPANalysis<index>[:SENSe]:CAPTure:ENABle[:STATe]

Queries or sets the enable state of IQ Capture. When enabled, each measurement writes non-protected IQ data to a file.

NOTE: Protected IQ data generates an error.

_

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 of Off | n/a | n/a | none

______

 | :PROJect1:GPANalysis1:SENSe:CAPTure:ENABle:STATe Off
 | :PROJect1:GPANalysis1:CAPTure:ENABle Off
 | :PROJ1:GPAN1:SENS:CAPT:ENAB:STAT 0
Examples | :PROJ1:GPAN1:CAPT:ENAB 0
 | :project1:gpanalysis1:sense:capture:enable:state off
 | :PROJect1:GPANalysis1:SENSe:CAPTure:ENABle:STATe? O
 | :PROJect1:GPANalysis1:CAPTure:ENABle? 0

See Also:

  • Enable IQ Capture
  • Project Manifest

:PROJect<index>:GPANalysis<index>[:SENSe]:CAPTure:FILename

Get or set the file name used for IQ Capture. In a MIMO system, this is the base file name. Each instrument's data is recorded to a different file, which is the base file name, appended with the instrument number 1 to 8. For example, if you have a 4x4 MIMO system with IQ Capture enabled and have named the file myIQdata, SignalMeister™ creates four captured IQ files named myIQdata1, myIQdata2, myIQdata3 and myIQdata4. The file extension is dependent upon the Capture Format, and is either a comma-separated value, single-precision binary or double-precision binary file.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | Yes | string | none | IQCapture.csv | n/a | n/a | none

 | :PROJect2:GPANalysis1:SENSe:CAPTure:FILename
 | :PROJ2:GPAN1:SENS:CAPT:FIL
 | :PROJ2:GPAN1:CAPT:FIL
Examples | :PROJ2:GPAN1:CAPT:FIL?
 | :PROJect2:GPANalysis2:SENSe:CAPTure:FILename?
 | :project2:gpanalysis2:sense:capture:filename?

See Also:

  • IQ File Name
  • Capture Format

:PROJect<index>:GPANalysis<index>[:SENSe]:CAPTure:METadata

Gets the file name used to record the IQ Capture Metadata.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect2:GPANalysis3:SENSe:CAPTure:METadata?
Examples | :PROJ:GPAN1:SENS:CAPT:MET?
 | :PROJect:GPANalysis1:SENSe:CAPTure:METadata?

:PROJect<index>:GPANalysis<index>[:SENSe]:CAPTure:TYPE

Queries or sets the file type for IQ Capture. The following choices are available:

  • CSV - ASCII, comma separated values
  • Double - Binary, 64-bit floating point (IEEE-754)
  • Single - Binary, 32-bit floating point (IEEE-754)

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | CSV | DOUBle | SINGle | Yes | CSV | DOUBle | SINGle | n/a | CSV | n/a | n/a | none

 | :PROJect1:GPANalysis2:SENSe:CAPTure:TYPE CSV
Examples | :PROJ1:GPAN2:SENS:CAPT:TYPE DOUB
 | :PROJect1:GPANalysis2:SENSe:CAPTure:TYPE SINGle

See Also:

  • Enable IQ Capture

:PROJect<index>:GPANalysis<index>[:SENSe]:DISPlay:ENABle[:STATe]

Sets or queries the state of the signal analyzer display. This setting controls turning the instrument display on or off the next time SignalMeister™ communicates with the instrument. This means that the setting does not take effect until another action is performed, such as invoking a measurement, initializing the instrument, and so on.

NOTE: Turning off the instruments' display speeds up the measurement time, because the individual instruments no longer have to update and refresh their individual screens.

_

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

______

 | :PROJect1:GPANalysis1:SENSe:DISPlay:ENABle:STATe Off
 | :PROJect1:GPANalysis1:DISPlay:ENABle Off
 | :PROJ1:GPAN1:SENS:DISP:ENAB:STAT 0
Examples | :PROJ1:GPAN1:DISP:ENAB 0
 | :project1:gpanalysis1:sense:display:enable:state off
 | :PROJect1:GPANalysis1:SENSe:DISPlay:ENABle:STATe? O
 | :PROJect1:GPANalysis1:DISPlay:ENABle? 0

See also:

  • Display On (General Instrument Settings)
  • Project Manifest

:PROJect<index>:GPANalysis<index>[:SENSe]:EFFT

Queries or toggles the Expanded FFT.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ON | 1 | OFF | 0 | Yes | ON | 1 | OFF | 0 | n/a | 0 or Off | n/a | n/a | none

 | :PROJect<index>:WLAN<index>[:SENSe]:EFFT 1
Examples | :PROJ<index>:WLAN<index>[:SENS]:EFFT 1
 | :project<index>:wlan<index>[:sense]:efft 1

See Also:

  • General Purpose Analysis Settings

:PROJect<index>:GPANalysis<index>[:SENSe]:FREQuency

Queries or sets the analyzer's center frequency.

______

NOTE: The frequency is not changed in the signal analyzer until after a sweep is performed.

_______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000000 | 400000000 | 6000000000 | Hz

 | :PROJect1:GPANalysis1:SENSe:FREQuency MAXimum
 | :PROJ1:GPAN1:SENS:FREQ MAX
Examples | :proj1:gpan1:freq 6000000000
 | :project1:gpanalysis1:sense:frequency? 6000000000
 | :PROJ1:GPAN1:FREQ? 6000000000

See also:

  • Project Manifest
  • General Measurement Settings

:PROJect<index>:GPANalysis<index>[:SENSe]:INSTrument<index>:LPNoise[:STATe]

NOTE: This feature is available only for the Agilent Series V2800 Vector Signal Analyzer with the ultra-low phase noise option (V2820A-UPN).

______

This command queries or sets the Low Phase Noise option (2820A-UPN) that is set and used on individual instruments in the system if [:PROJect<index>]:GPANalysis<index>[:SENSe]:SHARed[:STATe] is set to OFF. If this command is set to ON, the Low Phase Noise mode is set for all instruments in the system by the command [:PROJect<index>]:GPANalysis<index>[:SENSe]:LPNoise[:STATe].

______

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:GPANalysis<index>[:SENSe]:LPNoise[:STATe], even in a SISO system.

______

If your instrument is equipped with the -UPN option, enabling Low Phase Noise invokes the following performance improvements:

  • Improved phase noise: < -140 dBc/Hz phase noise at a 300 kHz offset with a 2 GHz carrier
  • Improved EVM performance for WLAN signal (WLAN 802.11n EVM floor as low as -48 dBc)
  • Improved ORFS performance for GSM and EDGE signals
  • Typical frequency switching time of 1 ms (with the Low Phase Noise setting disabled, the frequency switching time is 250 µs)

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :PROJect1:GPANalysis1:SENSe:INSTrument1:LPNoise:STATe ON
 | :PROJect1:GPANalysis1:INST1:LPN ON
 | :PROJ1:GPAN1:SENS:INST1:LPN:STAT 1
Examples | :PROJ1:GPAN1:INST1:LPN 1
 | :project1:gpanalysis1:sense:instrument1:lpnoise:state on
 | :project1:gpanalysis1:sense:instrument1:lpnoise:state? 1

See also:

  • Low Phase Noise
  • Project Manifest
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:GPANalysis<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation

Queries or sets the Attenuation level for the specified Agilent Series V2800 VSA.

This command queries or sets an attenuation level (in dB) that is set and used on individual instruments in the system if [:PROJect<index>]:GPANalysis<index>[:SENSe]:SHARed[:STATe] is set to OFF. If this command is set to ON, the attenuation level is set for all instruments in the system by the command [:PROJect<index>]:GPANalysis<index>[:SENSe]:POWer[:RF]:ATTenuation.

______

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:GPANalysis<index>[:SENSe]:POWer[:RF]:ATTenuation, even in a SISO system.__

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 30 | dB

 | :PROJect1:GPANalysis2:SENSe:INSTrument1:POWer:RF:ATTenuation 10
 | :PROJ1:GPAN2:SENS:INST1:POW:RF:ATT 10
 | :PROJect1:GPANalysis2:INSTrument1:POWer:ATTenuation 10
Examples | :PROJ1:GPAN2:INST1:POW:ATT 10
 | :PROJect1:GPANalysis2:SENSe:INSTrument1:POWer:RF:ATTenuation? 10
 | :project1:gpanalysis2:sense:instrument1:power:rf:attenuation? 10

See also:

  • Project Manifest
  • Manual Atten
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:GPANalysis<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation:AUTO

This command queries or sets the automatic attenuation state that is set and used on each individual instrument in the system if [:PROJect<index>]:GPANalysis<index>[:SENSe]:SHARed[:STATe] is set to OFF. If this command is set to ON, the automatic attenuation state is set for all instruments in the system by the command [:PROJect<index>]:GPANalysis<index>[:SENSe]:POWer[:RF]:ATTenuation:AUTO

_____

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:GPANalysis<index>[:SENSe]:POWer[:RF]:ATTenuation:AUTO, even in a SISO system.

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect1:GPANalysis2:SENSe:INSTrument1:POWer:RF:ATTenuation:AUTO 0FF
 | :PROJ1:GPAN2:SENS:INST1:POW:RF:ATT:AUTO 0
 | :PROJect1:GPANalysis2:INSTrument1:POWer:ATTenuation:AUTO Off
Examples | :PROJ1:GPAN2:INST1:POW:ATT:AUTO 0
 | :PROJect1:GPANalysis2:SENSe:INSTrument1:POWer:RF:ATTenuation:AUTO? 0
 | :project1:gpanalysis2:sense:instrument1:power:rf:attenuation:auto? 0

See also:

  • Project Manifest
  • Auto Atten
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:GPANalysis<index>[:SENSe]:INSTrument<index>:POWer[:RF]:GAIN[:STATe]

This command queries or sets the Preamp (Gain) state that is set and used on each individual instrument in the system if [:PROJect<index>]:GPANalysis<index>[:SENSe]:SHARed[:STATe] is set to OFF. If this command is set to ON, the Gain state is set for all instruments in the project by the command [:PROJect<index>]:GPANalysis<index>[:SENSe]:POWer[:RF]:GAIN[:STATe].

_____

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:GPANalysis<index>[:SENSe]:POWer[:RF]:GAIN[:STATe], even in a SISO system.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect1:GPANalysis2:SENSe:INSTrument2:POWer:RF:GAIN:STATe Off
 | :PROJ1:GPAN2:SENS:INST2:POW:RF:GAIN:STAT OFF
 | :PROJect1:GPANalysis3:INSTrument1:POWer:GAIN ON
Examples | :PROJ1:GPAN3:INST1:POW:GAIN ON
 | :PROJect1:GPANalysis3:SENSe:INSTrument1:POWer:RF:GAIN:STATe? 1
 | :PROJ1:GPAN2:INST2:POW:GAIN:STAT? 0
 | :project1:gpanalysis2:sense:instrument2:power:rf:gain:state? 0

See also:

  • Preamp On:
  • Project Manifest
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:GPANalysis<index>[:SENSe]:INSTrument<index>:RLEVel

Queries or sets the reference level for the specified Agilent Series V2800 VSA.

This command sets a reference level that is set and used on individual instruments in the system if [:PROJect<index>]:GPANalysis<index>[:SENSe]:SHARed[:STATe] is set to OFF. If this command is set to ON, the Reference Level is set for all instruments in the system by the command [:PROJect<index>]:GPANalysis<index>[:SENSe]:RLEVel.

_____

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:GPANalysis<index>[:SENSe]:RLEVel, even in a SISO system.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -170 | 30 | dBm

 | :PROJect2:GPANalysis3:SENSe:INSTrument1:RLEVel MAXimum
Examples | :PROJ2:GPAN3:INST1:RLEV MAX
 | :project2:gpanalysis3:sense:instrument1:rlevel? 30
 | :PROJ2:GPAN3:SENS:INST1:RLEV? 30

See also:

  • Project Manifest
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:GPANalysis<index>[:SENSe]:LPNoise[:STATe]

NOTE: This feature is available only for the Agilent Series V2800 Vector Signal Analyzer with the ultra low phase noise option (V2820A-UPN).

This command queries or sets the Low Phase Noise option (V2820A-UPN) that is set and used on all instruments in the system if [:PROJect<index>]:GPANalysis<index>[:SENSe]:SHARed[:STATe] is set to ON. If this command is set to OFF, the Low Phase Noise mode is set for each individual instrument by the command [:PROJect<index>]:GPANalysis<index>[:SENSe]:INSTrument<index>:LPNoise[:STATe].

_____

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:GPANalysis<index>[:SENSe]:INSTrument<index>:LPNoise[:STATe], even in a SISO system.

______

If your instrument is equipped with the -UPN option, enabling Low Phase Noise invokes the following performance improvements:

  • Improved phase noise: < -140 dBc/Hz phase noise at a 300 kHz offset with a 2 GHz carrier
  • Improved EVM performance for WLAN signal (WLAN 802.11n EVM floor as low as -48 dBc)
  • Improved ORFS performance for GSM and EDGE signals
  • Typical frequency switching time of 1 ms (with the Low Phase Noise setting disabled, the frequency switching time is 250 µs)

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :PROJect1:GPANalysis1:SENSe:LPNoise:STATe ON
 | :PROJect1:GPANalysis1:LPN ON
 | :PROJ1:GPAN1:SENS:LPN:STAT 1
Examples | :PROJ1:GPAN1:LPN 1
 | :project1:gpanalysis1:sense:lpnoise:state on
 | :project1:gpanalysis1:sense:lpnoise:state? 1

See also:

  • Low Phase Noise
  • Project Manifest
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:GPANalysis<index>[:SENSe]:POWer[:RF]:ATTenuation

Queries or sets the Attenuation level for the specified Agilent Series V2800 VSA.

This command queries or sets an attenuation level (in dB) that is set and used on all instruments in the system if [:PROJect<index>]:GPANalysis<index>[:SENSe]:SHARed[:STATe] is set to ON. If this command is set to OFF, the attenuation level is set for each individual instrument by the command [:PROJect<index>]:GPANalysis<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation.

_____

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:GPANalysis<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation, even in a SISO system.__

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 30 | dB

 | :PROJect1:GPANalysis2:SENSe:POWer:RF:ATTenuation 10
 | :PROJ1:GPAN2:SENS:POW:RF:ATT 10
 | :PROJect1:GPANalysis2:POWer:ATTenuation 10
Examples | :PROJ1:GPAN2:POW:ATT 10
 | :PROJect1:GPANalysis2:SENSe:POWer:RF:ATTenuation? 10
 | :project1:gpanalysis2:sense:power:rf:attenuation? 10

See also:

  • Project Manifest
  • Manual Atten
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:GPANalysis<index>[:SENSe]:POWer[:RF]:ATTenuation:AUTO

This command queries or sets the automatic attenuation state that is set and used on all instruments in the system if [:PROJect<index>]:GPANalysis<index>[:SENSe]:SHARed[:STATe] is set to ON. If this command is set to OFF, the automatic attenuation state is set for each individual instrument by the command [:PROJect<index>]:GPANalysis<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation:AUTO

_____

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:GPANalysis<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation:AUTO, even in a SISO system.

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect1:GPANalysis2:SENSe:POWer:RF:ATTenuation:AUTO 0FF
 | :PROJ1:GPAN2:SENS:POW:RF:ATT:AUTO 0
 | :PROJect1:GPANalysis2:POWer:ATTenuation:AUTO Off
Examples | :PROJ1:GPAN2:POW:ATT:AUTO 0
 | :PROJect1:GPANalysis2:SENSe:POWer:RF:ATTenuation:AUTO? 0
 | :project1:gpanalysis2:sense:power:rf:attenuation:auto? 0

See also:

  • Project Manifest
  • Auto Atten
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:GPANalysis<index>[:SENSe]:POWer[:RF]:GAIN[:STATe]

This command queries or sets the Preamp (Gain) state that is set and used on all instruments in the system if [:PROJect<index>]:GPANalysis<index>[:SENSe]:SHARed[:STATe] is set to ON. If this command is set to OFF, the Gain state is set for each individual instrument by the command [:PROJect<index>]:GPANalysis<index>[:SENSe]:INSTrument<index>:POWer[:RF]:GAIN[:STATe].

_____

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:GPANalysis<index>[:SENSe]:INSTrument<index>:POWer[:RF]:GAIN[:STATe], even in a SISO system.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect1:GPANalysis2:SENSe:POWer:RF:GAIN:STATe Off
 | :PROJ1:GPAN2:SENS:POW:RF:GAIN:STAT OFF
 | :PROJect1:GPANalysis2:POWer:GAIN ON
Examples | :PROJ1:GPAN2:POW:GAIN ON
 | :PROJect1:GPANalysis2:SENSe:POWer:RF:GAIN:STATe? 1
 | :PROJ1:GPAN2:POW:GAIN:STAT? 1
 | :project1:gpanalysis2:sense:power:rf:gain:state? 1

See also:

  • Project Manifest
  • Preamp On:
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:GPANalysis<index>[:SENSe]:RESet:ENABle[:STATe]

This setting controls whether or not SignalMeister™ will send the *RST command to the instrument(s) when an initialization sequence is performed.

When set to true (On), SignalMeister™ resets the instrument(s) the next time SignalMeister™ communicates with the instrument. This means that the setting does not take effect until another action is performed, such as initializing the instrument, invoking a measurement, and so on.

_

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

______

 | :PROJect1:GPANalysis1:SENSe:RESet:ENABle:STATe Off
 | :PROJect1:GPANalysis1:RESet:ENABle Off
 | :PROJ1:GPAN1:SENS:RES:ENAB:STAT 0
Examples | :PROJ1:GPAN1:RES:ENAB 0
 | :project1:gpanalysis1:sense:reset:enable:state off
 | :PROJect1:GPANalysis1:SENSe:RESet:ENABle:STATe? O
 | :PROJect1:GPANalysis1:RESet:ENABle? 0

See Also:

  • Reset Instruments (General Instrument Settings)
  • Project Manifest

:PROJect<index>:GPANalysis<index>[:SENSe]:RLEVel

Queries or sets the reference level for the specified Agilent Series V2800 VSA.

This command sets a reference level that is set and used on all instruments in the system if :PROJect<index>:GPANalysis<index>[:SENSe]:SHARed[:STATe] is set to ON. If this command is set to OFF, the Reference Level is set for each individual instrument by the command :PROJect<index>:GPANalysis<index>[:SENSe]:INSTrument<index>:RLEVel.

_____

NOTE: This value is not the same as the corresponding value set by :PROJect<index>:GPANalysis<index>[:SENSe]:INSTrument<index>:RLEVel, even in a SISO system.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -170 | 30 | dBm

 | :PROJect2:GPANalysis3:SENSe:RLEVel MAXimum
Examples | :PROJ2:GPAN3:RLEV MAX
 | :project2:gpanalysis3:sense:rlevel? 30
 | :PROJ2:GPAN3:SENS:RLEV? 30

See also:

  • Project Manifest
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:GPANalysis<index>[:SENSe]:SEMask

Queries or sets on/off the Spectral Emission Mask measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | Default | 1 or On | n/a | n/a | none

 | :PROJect1:GPANalysis2:SENSe:SEMask OFF
Examples | :PROJ1:GPAN2:SENS:SEM OFF
 | :project1:gpanalysis2:sense:semask? OFF
 | :PROJ1:GPAN2:SENS:SEM? 0

See also:

  • Project Manifest
  • Settings (Spectrum Emissions Mask)
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SEMask:AINTerval
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SEMask:BANDwidth
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SEMask:BWIDth
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SEMask:CHANnel:SWEep:TIME
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SEMask:OBW;THREshold
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SEMask:SEGMent:SWEep:TIME
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SEMask:SPUR:CANCel:{:STATe)
  • :PROJect<index>:GPANalysis<index>[:SENSe]:SEMask:TRIGger:SEQuence:DELay

:PROJect<index>:GPANalysis<index>[:SENSe]:SEMask:AINTerval

This command queries or sets the trigger acquisition interval. The limits are from 0 to 30 seconds

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | n/a | n/a | 0 | 0 | 30 | seconds

 | :PROJect1:GPANalysis2:SENSe:SEMask:AINTerval 0
Examples | :PROJ1:GPAN2:SENS:SEM;AINT 30
 | :project1:gpanalysis2:sense:semask:aint?
 | :PROJ1:GPAN2:SENS:SEM:AINT?

See Also:

  • topic_hyperlink

:PROJect<index>:GPANalysis<index>[:SENSe]:SEMask:BANDwidth

This command queries or sets the channel bandwidth. The limits are 100 to 40,000,000 Hz.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | n/a | n/a | 10,000,000 | 100 | 40,000,000 | Hz

 | :PROJect1:GPANalysis2:SENSe:SEMask:BANDwidth 100
Examples | :PROJ1:GPAN2:SENS:SEM;BAND 100
 | :project1:gpanalysis2:sense:semask:band?
 | :PROJ1:GPAN2:SENS:SEM:BAND?

:PROJect<index>:GPANalysis<index>[:SENSe]:SEMask:BWIDth

This command queries or sets the channel bandwidth. The limits are 100 to 40,000,000 Hz.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | n/a | n/a | 10,000,000 | 100 | 40,000,000 | Hz

 | :PROJect1:GPANalysis2:SENSe:SEMask:BWIDth 100
Examples | :PROJ1:GPAN2:SENS:SEM;BWID 100
 | :project1:gpanalysis2:sense:semask:bwidth?
 | :PROJ1:GPAN2:SENS:SEM:BWID?

:PROJect<index>:GPANalysis<index>[:SENSe]:SEMask:CHANnel:SWEep:TIME

This command queries or sets the channel sweep time. The limits are 0.000001 to 30 seconds.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | n/a | n/a | 0.00001 | 0.000001 | 30 | seconds

 | :PROJect1:GPANalysis2:SENSe:SEMask:CHANnel:SWEep:TIME
Examples | :PROJ1:GPAN2:SENS:SEM:CHANnel:SWEep:TIME
 | :project1:gpanalysis2:sense:semask:channel:Ssweep:time?
 | :PROJ1:GPAN2:SENS:SEM:CHAN:SWE:TIME?

:PROJect<index>:GPANalysis<index>[:SENSe]:SEMask:OBW;THREshold

Queries or sets the percentage of total power used to calculate the occupied bandwidth of the signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 99 | 1 | 100 | none

 | :PROJect1:GPANanalysis1:SENSe:SEMask:OBW:THREshold 99
 | :PROJect2:GPANanalysis2:Sense:SEMask:OBW:THREshold min
Examples | :PROJ2:GPAN2:SENS:SEM:OBW:THREshold MAX
 | :project1:gpananalysis1:sense:semask:obw:threshold 1
 | :PROJ1:GPANanalysis1:SEM:OBW:THREshold?
 | :PROJ2:GPAN2:SENS:SEM:OBW:THRE?

:PROJect<index>:GPANalysis<index>[:SENSe]:SEMask:SEGMent:SWEep:TIME

This command queries or sets the segment sweep time. The limits are from 0 to 30 seconds

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | n/a | n/a | 0 | 0 | 30 | seconds

 | :PROJect1:GPANalysis2:SENSe:SEMask:SEGMent:SWEep: 0
Examples | :PROJ1:GPAN2:SENS:SEM:SEGM:SWE:TIME 30
 | :project1:gpanalysis2:sense:semask:sweep:time?
 | :PROJ1:GPAN2:SENS:SEM:SWE:TIME?

:PROJect<index>:GPANalysis<index>[:SENSe]:SEMask:SPUR:CANCel:{:STATe)

Queries or sets on/off the spur cancellation feature for the Spectral Emission Mask measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | Default | 1 or On | n/a | n/a | none

 | :PROJect1:GPANalysis2:SENSe:SEMask:SPUR:CANCel OFF
Examples | :PROJ1:GPAN2:SENS:SEM SPUR:CANC OFF
 | :project1:gpanalysis2:sense:spur:cancel?
 | :PROJ1:GPAN2:SENS:SEM:SPUR:CANCel?

:PROJect<index>:GPANalysis<index>[:SENSe]:SEMask:TRIGger:SEQuence:DELay

Queries or sets the trigger delay used for the Spectrum Emissions Mask measurement. Limits are -30.0 seconds to 30 seconds

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | n/a | n/a | 0.0 | -30.0 | 30.0 | seconds

 | :PROJect1:GPANalysis2:SENSe:SEMask:TRIGger:SEQuence:DELay 0
Examples | :PROJ1:GPAN2:SENS:SEM:TRIGger:SEQuence:DELay 30
 | :project1:gpanalysis2:trigger:sequence:DELay?
 | :PROJ1:GPAN2:SENS:SEM:TRIG:SEQ:DEL?

:PROJect<index>:GPANalysis<index>[:SENSe]:SHARed[:STATe]

This command queries or sets the Use Defaults for All Instruments state, that controls which values are used for measurements.

If the :PROJect<index>:GPANalysis<index>[:SENSe]:SHARed[:STATe] is set to ON, all instruments associated with GPANalysis<index> use the values specified by:

  • :PROJect<index>:GPANalysis<index>[:SENSe]:LPNoise[:STATe]
  • :PROJect<index>:GPANalysis<index>[:SENSe]:POWer[:RF]:GAIN[:STATe]
  • :PROJect<index>:GPANalysis<index>[:SENSe]:POWer[:RF]:ATTenuation
  • :PROJect<index>:GPANalysis<index>[:SENSe]:POWer[:RF]:ATTenuation:AUTO
  • :PROJect<index>:GPANalysis<index>[:SENSe]:RLEVel

    NOTE: These are the values displayed on the Defaults tab of the Instrument Control window.

If the :PROJect<index>:GPANalysis<index>[:SENSe]:SHARed[:STATe] is set to OFF, all instruments associated with GPANalysis<index> use the values specified by:

  • :PROJect<index>:GPANalysis<index>[:SENSe]:INSTrument<index>:LPNoise[:STATe]
  • :PROJect<index>:GPANalysis<index>[:SENSe]:INSTrument<index>:POWer[:RF]:GAIN[:STATe]
  • :PROJect<index>:GPANalysis<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation
  • :PROJect<index>:GPANalysis<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTEnuation:AUTO
  • :PROJect<index>:GPANalysis<index>[:SENSe]:INSTrument<index>:RLEVel

    NOTE: These are the values displayed on the individual Instrument tabs of the Instrument Control window.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | On or 1 | n/a | n/a | none

_____

 | :PROJect1:GPANalysis1:SENSe:SHARed:STATe ON
 | :PROJect1:GPANalysis1:SHARed ON
 | :PROJ1:GPAN1:SENS:SHAR:STAT 1
 | :PROJ1:GPAN1:SHAR 1
Examples | :project1:gpanalysis1:sense:shared:state on
 | :PROJect1:GPANalysis1:SENSe:SHARed:STATe? 1
 | :PROJ1:GPAN1:SENS:SHAR:STAT? ON
 | :project1:gpanalysis1:shared:state? 1

See also:

  • Instrument Control
  • Individual Instrument Settings
  • Project Manifest

:PROJect<index>:GPANalysis<index>[:SENSe]:SWEep:TIME

Queries or sets on/off the sweep time for a Zero-Span trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | 0.000001 to 0.01 | MAXimum | MINimum | DEFault | 0.0001 | 0.000001 | 0.01 | seconds

 | :PROJect1:GPANalysis1:SENSe:SWEep:TIME MAXimum
Examples | :PROJ1:GPAN1:SENS:SWE:TIME MAX
 | :project1:gpanalysis1:sense:sweep:time? 0.01
 | :PROJ1:GPAN1:SENS:SWE:TIME? 0.01

See also:

  • Project Manifest

:PROJect<index>:GPANalysis<index>[:SENSe]:TRIGger[:SEQuence]:AUTO[:STATe]

Queries or sets the trigger timeout state.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect1:GPANalysis1:SENSe:TRIGger:SEQuence:AUTO:STATe Off
 | :PROJect1:GPANalysis1:TRIGger:SEQuence:AUTO:STATe Off
Examples | :PROJ1:GPAN1:TRIG:SEQ:AUTO:STAT OFF
 | :project1:gpanalysis1:sense:trigger:sequence:auto:state off
 | :PROJ1:GPAN1:TRIG:SEQ:AUTO:STAT? 0

See also:

  • Auto Trigger Timeout
  • Project Manifest

:PROJect<index>:GPANalysis<index>[:SENSe]:TRIGger[:SEQuence]:AUTO:TIMeout

Queries or sets the trigger timeout.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 30 | sec

 | :PROJect1:GPANalysis1:SENSe:TRIGger:SEQuence:AUTO:TIMeout 5
 | :PROJect1:GPANalysis1:TRIGger:SEQuence:AUTO:TIMeout 5
Examples | :PROJ1:GPAN1:TRIG:SEQ:AUTO:TIM 5
 | :project1:gpanalysis1:sense:trigger:sequence:auto:timeout 5
 | :PROJ1:GPAN1:TRIG:SEQ:AUTO:TIM? 5

See also:

  • Auto Trigger Timeout
  • Project Manifest

:PROJect<index>:GPANalysis<index>[:SENSe]:TRIGger[:SEQuence]:DELay

Queries or sets the trigger delay.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -30 | 30 | sec

 | :PROJect1:GPANalysis1:SENSe:TRIGger:SEQuence:DELay -10
 | :PROJect1:GPANalysis1:TRIGger:SEQuence:DELay -10
Examples | :PROJ1:GPAN1:TRIG:SEQ:DEL -10
 | :project1:gpanalysis1:sense:trigger:sequence:delay -10
 | :PROJ1:GPAN1:TRIG:SEQ:DEL? -10

See also:

  • Trigger Delay
  • Project Manifest

:PROJect<index>:GPANalysis<index>[:SENSe]:TRIGger[:SEQuence]:OFFSet

Queries or sets the power level that the incoming RF signal must reach to cause a trigger event. The trigger level is determined by Expected Power - Trigger Level Offset. That is, with an Expected Power of -10 dBm and a Trigger Offset Level of 10 dB, the trigger level would be -20 dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0 | 80 | dB

 | :PROJect1:GPANalysis1:SENSe:TRIGger:SEQuence:OFFSet 10
 | :PROJect1:GPANalysis1:TRIGger:SEQuence:OFFSet 10
Examples | :PROJ1:GPAN1:TRIG:SEQ:OFFS 10
 | :project1:gpanalysis1:sense:trigger:sequence:offset 10
 | :PROJ1:GPAN1:TRIG:SEQ:OFFS? 10

See also:

  • Trigger Level
  • Project Manifest

:PROJect<index>:GPANalysis<index>[:SENSe]:TRIGger[:SEQuence]:PREQual[:LEVel]

Queries or sets the trigger pre-qualification level.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 32 | dB

 | :PROJect1:GPANalysis1:SENSe:TRIGger:SEQuence:PREQual:LEVel 3
 | :PROJect1:GPANalysis1:TRIGger:SEQuence:PREQual:LEVel 3
Examples | :PROJ1:GPAN1:TRIG:SEQ:PREQ:LEV 3
 | :project1:gpanalysis1:sense:trigger:sequence:prequal:level 3
 | :PROJ1:GPAN1:TRIG:SEQ:PREQ:LEV? 3

See also:

  • Trigger Prequal Time
  • Project Manifest

:PROJect<index>:GPANalysis<index>[:SENSe]:TRIGger[:SEQuence]:PREQual:WINDow

Queries or sets the trigger pre-qualification time.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 30 | sec

 | :PROJect1:GPANalysis1:SENSe:TRIGger:SEQuence:PREQual:WINDow 3
 | :PROJect1:GPANalysis1:TRIGger:SEQuence:PREQual:WINDow 3
Examples | :PROJ1:GPAN1:TRIG:SEQ:PREQ:WIND 3
 | :project1:gpanalysis1:sense:trigger:sequence:prequal:window 3
 | :PROJ1:GPAN1:TRIG:SEQ:PREQ:WIND? 3

See also:

  • Trigger Prequal Time
  • Project Manifest

:PROJect<index>:GPANalysis<index>[:SENSe]:TRIGger[:SEQuence]:SOURce

Sets or queries the trigger source.

  • IMMediate: sets the instrument to a continuous trigger mode
  • EXTernal: sets the instrument to receive a trigger from the rear panel TRIG IN connector.
  • VIDeo: sets the instrument to receive a trigger when the input signal reaches a specified power level. The VIDeo trigger is intended for data acquisition of multiple, bursted RF signals. The trigger settings help to base the trigger event on the leading edge of a burst, even when modulation noise is inside the burst.
  • ExternalVIDeo: sets the instrument to receive a trigger from a combination of sources; an external pulse to arm the trigger, and a video signal to perform the trigger.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | IMM | EXT | VID | EVID | Yes | IMMediate | EXTernal | VIDeo | ExternalVIDeo | DEFault | VID | n/a | n/a | none

 | :PROJect2:GPANalysis1:SENSe:TRIGger:SEQuence:SOURce IMMediate
 | :PROJect2:GPANalysis3:TRIGger:SOURce EXTernal
Examples | :PROJ2:GPAN3:TRIG:SOUR EXT
 | :project3:gpanalysis3:sense:trigger:sequence:source video
 | :PROJect2:GPAN1:SENSe:TRIGger:SEQuence:SOURce? IMM

See also:

  • Trigger Source
  • Project Manifest

:PROJect<index>:GPANalysis<index>:SYSTem:COMMunicate:INITialize:ANALyzer

Initializes Agilent Series V2800 VSA instruments.

NOTE: If you are analyzing a simulated signal, this command has no effect.

___

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :PROJect1:GPANalysis1:SYSTem:COMMunicate:INITialize:ANALyzer
Examples | :PROJ1:GPAN1:SYST:COMM:INIT ANAL
 | :project1:gpanalysis1:system:communicate:initialize:analyzer

See also:

  • Initialize Instruments
  • Project Manifest


:PROJect<index>:LALL

Runs the Load All command on the active/selected project.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

______

The following examples run the Load All command on SignalMeister™ project 2.

______

 | :PROJect2:LALL
Examples | :PROJ2:LALL
 | :project2:lall

See Also:

  • Load All
  • Project Toolbar


:PROJect<index>:MANifest

Returns the contents of the project manifest for the active/selected project. For information about selecting the active project, see Project Manifest.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | No | none | none | n/a | n/a | n/a | none

The following examples display the contents of the SignalMeister™ Project Manifest for Project 3.

 | :PROJect3:MANifest?
Examples | :PROJ3:MAN?
 | :project3:manifest?

See Also:

  • Project Manifest


:PROJect<index>:SANalyzers<index>:COMMand<index>

Sends the argument from SignalMeister™ to the instrument as a SCPI command or query. The query form reads the response from the instrument and returns it. Only ASCII is supported.

For example, :PROJ3:SAN2:COMM1 ":RLEV 15;RLEV?;:SYST:ERR?" sends the command to set the reference level of Series V2800 number 2, in SignalMeister™ project number 3, to 15 dBm, then queries the instrument to verify that there are no errors.

Unlike the project index numbers the element index numbers are static, and remain assigned to a particular element unless it is deleted from the project. For example, the first signal analysis element added to a project is assigned index number 1, and is identified as SAN1. Likewise, the second and third signal analyzer elements are identified as SAN2 and SAN3.

If the project is saved and then re-opened, these elements keep their assigned SCPI address. However, if SAN1 is deleted leaving SAN2 and SAN3 remaining in the project, and then another signal analyzer element is added, it is assigned index 1 (SAN1) as that is the lowest integer that does not conflict with an existing element. If no other signal analyzer elements are deleted from the project and a fourth signal analyzer element is added, it is assigned index number 4 (SAN4).

The :COMMand<index>: numbers are associated with the VISA Resource configurations for the Series V2900 and Series V2800 instruments in your project, and are assigned as those instruments are configured with the communication type (TCPIP, GPIB or USB) and address. For more information see VISA Resource Configuration - MIMO.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | Yes | string | none | n/a | n/a | n/a | none

 | :PROJect3:SANalyzers2:COMMand1 ":RLEV 15;RLEV?;:SYST:ERR?" 15,0
Examples | :PROJ3:SAN2:COMM1 ":RLEV 15;RLEV?;:SYST:ERR?" 15,0
 | :project3:sanalyzers2:command1 ":rlev 15;rlev?;:syst:err?" 15,0

See also:

  • SCPI command pass-through
  • Project Manifest
  • :PROJect<index>:MANifest


[:PROJect<index>]:SANalyzers<index>:SENSe:INSTrument<index>:FREQuency

Sets the center frequency of the signal analyzer. In a MIMO system, all analyzers will be set to the same value regardless of which generator is specified. When connected to a Series V2800 VSA, this sets the instrument's frequency with :SENSe:FREQuency:CENTer. When the SANalyzer is connected to an analysis object, please use [:PROJect<index>]:technology:SENSe:FREQuency instead of this command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | Yes | Digits with an explicit decimal point and an exponent. | MINimum, MAXimum, DEFault | Derived from connected instrument, 1.0E9 if not available from instrument. | Derived from connected instrument, 0 if not available from instrument. | Derived from connected instrument, 100.0E9 if not available from instrument. | Hz

 | :san:inst:freq 1.2 ghz
Examples | :san:inst:freq?
 | :PROJect1:SANalyzers2:SENSe:INSTrument1:FREQuency 0

See also:

Carrier Frequency


[:PROJect<index>]:SANalyzers<index>:SENSe:INSTrument<index>:RLEVel

Sets the reference level of the signal analyzer. When connected to a Series V2800 VSA, this sets the instrument's reference level with [:SCALE]:RLEVel. When the SANalyzer is connected to an analysis object, please use [:PROJect<index>]:technology:SENSe:INSTrument<index>:RLEVel instead of this command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | Yes | Digits with an explicit decimal point and an exponent. | MINimum, MAXimum, DEFault | Derived from connected instrument, -10 if not available from instrument. | Derived from connected instrument, -200 if not available from instrument. | Derived from connected instrument, 100 if not available from instrument. | Hz

 | :PROJect1:SGENerators1:COMMand2 ":POW -10:POW?;SYST:ERR?" -10,0
Examples | :PROJ1:SGEN1:COMM2 ":POW -10:POW?;SYST:ERR?" -10,0
 | :project1:sgenerators1:command2 ":power -10:power?;system:error?" -10,0

See also:

Reference Level <Series VSA)


:PROJect<index>:SAVE

Saves the active/selected project. The default directory is My Documents unless the full path is specified.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :PROJect1:SAVE C:\temp\proj1.ksmp //saves the project to the specified directory
Examples | :PROJ1:SAVE //saves the project to the user's My Documents directory
 | :project1:save c:\evm_tests\proj1.ksmp //saves the project to the specified directory

______

See Also:

  • File menu
  • Project Menu


:PROJect<index>:SGENerators<index>:COMMand<index>

Sends the argument to the instrument as a SCPI command or query. The query form reads the response from the instrument and returns it. Only ASCII is supported.

For example, PROJ4:SGEN1:COMM2 ":POW -10:POW?;SYST:ERR?" sends the command to set the power of Series V2900 instrument 2, included in signal generator element 1, SignalMeister™ project number 4, to -10 dBm, then queries the instrument to verify that there are no errors.

Unlike the project index numbers the element index numbers are static, and remain assigned to a particular element unless it is deleted from the project. For example, the first signal generator element added to a project is assigned index number 1, and is identified as SGEN1. Likewise, the second and third signal generator elements are identified as SGEN2 and SGEN3.

If the project is saved and then re-opened, these elements keep their assigned SCPI address. However, if SGEN1 is deleted leaving SGEN2 and SGEN3 remaining in the project, and then another signal generator element is added, it is assigned index 1 (SGEN1) as that is the lowest integer that does not conflict with an existing element. If no other signal generator elements are deleted from the project, and a fourth signal generator element is added, it is assigned index number 4 (SGEN4).

The :COMMand<index>: numbers are associated with the VISA Resource configurations for the Series V2900 and Series V2800 instruments in your project, and are assigned as those instruments are configured with the communication type (TCPIP, GPIB, USB) and address. For more information see VISA Resource Configuration - MIMO.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | string | Yes | string | none | n/a | n/a | n/a | none

 | :PROJect1:SGENerators1:COMMand2 ":POW -10:POW?;SYST:ERR?" -10,0
Examples | :PROJ1:SGEN1:COMM2 ":POW -10:POW?;SYST:ERR?" -10,0
 | :project1:sgenerators1:command2 ":power -10:power?;system:error?" -10,0

See also:

  • SCPI command pass-through
  • Project Manifest
  • :PROJect<index>:MANifest


[:PROJect<index>]:SGENerators<index>:SOURce:INSTrument<index>:FREQuency

Sets the frequency of the signal generator. In a MIMO system, all generators will be set to the same value regardless of which generator is specified. When connected to a Series V2900 VSG, this sets the instrument's frequency with :SOURce:FREQuency.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | Yes | Digits with an explicit decimal point and an exponent. | MINimum, MAXimum, DEFault | Derived from connected instrument, 1.0E9 if not available from instrument. | Derived from connected instrument, 0 if not available from instrument. | Derived from connected instrument, 100.0E9 if not available from instrument. | Hz

 | :sgen:sour:inst:freq 1 ghz
Examples | :sgen:sour:inst:freq?
 | :PROJect1:SGENerators2:SOURce:INSTrument2:FREQuency 2 ghz

See also:

Frequency


[:PROJect<index>]:SGENerators<index>:SOURce:INSTrument<index>:POWer[:LEVel][:IMMediate][:AMPLitude]

Sets the amplitude of the signal generator. When connected to a Series V2900 VSG, this sets the instrument's amplitude with :SOURce:POWer[:LEVel][:IMMediate][:AMPLitude].

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | Yes | Digits with an explicit decimal point and an exponent. | MINimum, MAXimum, DEFault | Derived from connected instrument, -10 if not available from instrument. | Derived from connected instrument, -200 if not available from instrument. | Derived from connected instrument, 100 if not available from instrument. | Hz

 | :sgen:sens:inst:pow -15 dBm
Examples | sgen:sens:inst:pow?
 | :PROJect1:SGENerators2:SOURce:INSTrument1:POWer:AMPLitude 100

See also:

Amplitude


:PROJect<index>:TFILes<index>

Sets the active Files from the Toolbox.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :PROJect<index>:TFILes<index>
Examples | :PROJ<index>:TFIL<index>
 | :project<index>:tfiles<index>

See also:

  • Toolbox
  • Files
  • Project Manifest
  • :PROJect<index>:MANifest


:PROJect<index>:USOurce<index>

Sets the user source command header.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :PROJect2:USOurce1
Examples | :PROJ2:USO1
 | :project2:usource1


:PROJect<index>:WIMax<index>

Select a link to view further command details:

  • :PROJect<index>:WIMax<index>:CALCulate
  • :PROJect<index>:WIMax<index>:INITiate:CONTinuous[:STATe]
  • :PROJect<index>:WIMax<index>:INITiate:IMMediate
  • :PROJect<index>:WIMax<index>:INITiate:SWEeps?
  • :PROJect<index>:WIMax<index>[:SENSe]
  • :PROJect<index>:WIMax<index>:SYSTem:COMMunicate:INITialize[:ANALyzer]
  • :PROJect<index>:WIMax<index>:TEMPlate:SAVE

See also:

  • Project Manifest
  • :PROJect<index>:MANifest


:PROJect<index>:WIMax<index>:CALCulate

Select a link to view further command details:

  • :PROJect<index>:WIMax<index>:CALCulate:AVERaged:SWEeps?
  • :PROJect<index>:WIMax<index>:CALCulate:CFEedthru
  • :PROJect<index>:WIMax<index>:CALCulate:CFERror
  • :PROJect<index>:WIMax<index>:CALCulate:CPOWer
  • :PROJect<index>:WIMax<index>:CALCulate:DOWNlink:BURSt:DATA
  • :PROJect<index>:WIMax<index>:CALCulate:EVM:BURSt:ZONE
  • :PROJect<index>:WIMax<index>:CALCulate:EVM:PILot:ZONE
  • :PROJect<index>:WIMax<index>:CALCulate:FMARgin:DATA
  • :PROJect<index>:WIMax<index>:CALCulate:MASDifference
  • :PROJect<index>:WIMax<index>:CALCulate:MFLatness:PTPeak:DATA
  • :PROJect<index>:WIMax<index>:CALCulate:RCE:DATA:PEAK
  • :PROJect<index>:WIMax<index>:CALCulate:RCE:DATA:PEAK:SUBCarrier
  • :PROJect<index>:WIMax<index>:CALCulate:RCE:DATA:PEAK:SYMBol
  • :PROJect<index>:WIMax<index>:CALCulate:RCE:DATA[:RMS]
  • :PROJect<index>:WIMax<index>:CALCulate:RCE:PILot:PEAK
  • :PROJect<index>:WIMax<index>:CALCulate:RCE:PILot[:RMS]
  • :PROJect<index>:WIMax<index>:CALCulate:RCE:PILot:PEAK:SUBCarrier
  • :PROJect<index>:WIMax<index>:CALCulate:RCE:PILot:PEAK:SYMBol
  • :PROJect<index>:WIMax<index>:CALCulate:RCE[:SUBFrame][:RMS]
  • :PROJect<index>:WIMax<index>:CALCulate:RCE:UNIT
  • :PROJect<index>:WIMax<index>:CALCulate:SFLatness
  • :PROJect<index>:WIMax<index>:CALCulate:SVALues:DATA?
  • :PROJect<index>:WIMax<index>:CALCulate:UPLink:BURSt:DATA

:PROJect<index>:WIMax<index>:CALCulate:AVERaged:SWEeps?

This query returns the displayed parameter "Average Sweeps" in the data table. This command returns the number of sweeps currently held in the circular buffers used for average, min, and max values displayed in the table.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJECT<index>:WIMax<index>:CALCULATE:AVERaged:SWEeps
Examples | :PROJect<index>:WIM<index>:CALCulate:AVER:SWE?
 | :project<index>:wimax<index>:calculate:averaged:sweeps

:PROJect<index>:WIMax<index>:CALCulate:CFEedthru

Queries WiMAX Carrier Feedthru. Returns comma separated list of results respective to number of channels. Returns results as Carrier Feedthrough Relative to Total Power (dBr).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | dBr

______

Note icon For SignalMeister™ measurements, the return parameter is Carrier Feedthrough Relative to Average Power (dBr).

______

 | :PROJect2:WIMax2:CALCulate:CFEedthru? -70
Examples | :PROJ2:WIM2:CALC:CFE? -70
 | :project2:wimax2:calculate:cfeedthru? -70

:PROJect<index>:WIMax<index>:CALCulate:CFERror

Queries the WiMAX Carrier Frequency Error (Frequency Offset).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect4:WIMax2:CALCulate:CFERror?
Examples | :PROJ4:WIM2:CALC:CFER?
 | :project4:wimax2:calculate:cferror?

See also:

  • :PROJect<index>:MANifest
  • Project Manifest

:PROJect<index>:WIMax<index>:CALCulate:CPOWer

Queries the WiMAX channel power as displayed on the 802.16e Parameters Table. Returns comma separated list of results respective to number of channels. All queries return MAX, MIN, AVG, LAST values where:

  • MAX - returns the maximum value seen
  • MIN - returns the minimum value seen
  • AVG - returns the average value over the number of samples taken
  • LAST - returns the last value returned from the sweep

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | MIN | MAX | AVG | LAST | LAST | n/a | n/a | none

 | :PROJect2:WIMax2:CALCulate:CPOWer? LAST -47.2
Examples | :PROJ2:WIM2:CALC:CPOW? MIN
 | :project2:wimax2:calculate:cpower? max

:PROJect<index>:WIMax<index>:CALCulate:DOWNlink:BURSt:DATA

Queries the WiMAX® downlink burst data bits. Returns the decoded burst bits for the currently selected downlink burst as a comma-separated list with the burst length (in bits) appended to the beginning of the list.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect1:WIMax1:CALCulate:DOWNlink:BURSt:DATA?
Examples | :PROJ1:WIM1:CALC:DOWN:BURS:DATA?
 | :project1:wimax1:calculate:downlink:burst:data?

See Also:

  • Burst Data Table

:PROJect<index>:WIMax<index>:CALCulate:EVM:PILot:ZONE

Queries the Pilot EVM for the active zones in the project. Returns comma separated list of EVM results respective to number of zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :PROJect1:WIMax1:CALCulate:EVM:PILot:ZONE?
Examples | :PROJ1:WIM1:CALC:EVM:PIL:ZONE?
 | :project1:wimax1:calculate:evm:pilot:zone?

See also:

  • :PROJect<index>:MANifest
  • Project Manifest

:PROJect<index>:WIMax<index>:CALCulate:EVM:BURSt:ZONE

Query Burst EVM for currently selected zone. Returns comma separated list of EVM results respective to the number bursts defined within the currently selected zone.

NOTE: You must specify the active zone using either :PROJ<index>:WIM<index>:MAP:EDIT:DOWN:SZON for downlink or :PROJ<index>:WIM<index>:MAP:EDIT:UPL:SZON.for uplink.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | dB

______

In the example below, the return shows the results of the five bursts configured in the selected zone.

______

 | > :PROJect3:WIMax1:CALCulate:EVM:BURSt:ZONE?
 | < -25.89,-25.75,-25.79,-25.86,-25.75
Examples | > :PROJ3:WIM1:CALC:EVM:BURS:ZONE?
 | < -25.89,-25.75,-25.79,-25.86,-25.75
 | > :project3:wimax1:calculate:evm:burst:zone?
 | < -25.89,-25.75,-25.79,-25.86,-25.75

______

The figure below displays the values as shown in the 802.16e Parameters Table for the same project.

802.16e DL Burst Zone(s) EVM

See Also:

  • Parameters Table (802.16e)

:PROJect<index>:WIMax<index>:CALCulate:FMARgin:DATA

Returns the worst-case flatness margin and subcarrier flatness as a list of values for each channel; worstCase(1),subCarrier(1),...,worstCase(n),subCarrier(n) where n is the index number of the active antenna.

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. list | No | n/a | n/a | n/a | n/a | n/a | none

 | >:PROJect1:WIMax1:CALCulate:FMARgin:DATA?
 | <1.76,245,1.46,-367
Examples | >:PROJ1:WIM1:CALC:FMAR:DATA?
 | <1.76,245,1.46,-367
 | >:project1:wimax1:calculate:fmargin:data?
 | <1.76,245,1.46,-367

:PROJect<index>:WIMax<index>:CALCulate:MASDifference

Queries the WiMAX Maximum Adjacent Subcarrier. Returns comma separated list of results respective to number of channels.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect2:WIMax2:CALCulate:MASDifference?
Examples | :PROJ2:WIM2:CALC:MASD?
 | :project2:wimax2:calculate:masdifference?

:PROJect<index>:WIMax<index>:CALCulate:MFLatness:PTPeak:DATA

Returns the peak-to-peak flatness on WiMAX Magnitude Flatness trace. The return list of values for each channel:

P - P (1), ..., P - P (n) ... where n is the index number of the active antenna.

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | (see description above) | No | n/a | n/a | n/a | n/a | n/a | dB

 | > :PROJect3:WIMax2:CALCulate:MFLatness:PTPeak:DATA?
Examples | > :PROJ3:WIM2:CALC:MFL:PTP:DATA?
 | > :project3:wimax2:calculate:mflatness:ptpeak:data?

:PROJect<index>:WIMax<index>:CALCulate:RCE:DATA:PEAK

Queries the WiMAX data bursts RCE peak values.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect4:WIMax3:CALCulate:RCE:DATA:PEAK?
Examples | :PROJ4:WIM3:CALC:RCE:DATA:PEAK?
 | :project4:wimax3:calculate:rce:data:peak?

:PROJect<index>:WIMax<index>:CALCulate:RCE:DATA:PEAK:SUBCarrier

Queries the subcarrier where the WiMAX data bursts RCE peak occurs.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

> :PROJect3:WIMax1:CALCulate:RCE:DATA:PEAK:SUBCarrier?
< 180

Examples

> :PROJ3:WIM1:CALC:RCE:DATA:PEAK:SUBC?
< 180

> :project3:wimax1:calculate:rce:data:peak:subcarrier?
< 180

See Also:

  • Parameters Table (802.16e)

:PROJect<index>:WIMax<index>:CALCulate:RCE:DATA:PEAK:SYMBol

Queries the symbol where the WiMAX data bursts RCE peak occurs.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

> :PROJect1:WIMax1:CALCulate:RCE:DATA:PEAK:SYMBol?
< 5

Examples

> :PROJ1:WIM1:CALC:RCE:DATA:PEAK:SYMB?
< 5

> :project1:wimax1:calculate:rce:data:peak:symbol?
< 5

See Also:

  • Parameters Table (802.16e)

:PROJect<index>:WIMax<index>:CALCulate:RCE:DATA[:RMS]

Queries the WiMAX data bursts RCE rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect2:WIMax1:CALCulate:RCE:DATA[:RMS]?
Examples | :PROJ2:WIM1:CALC:RCE:DATA?
 | :project2:wimax1:calculate:rce:data[:rms]?

:PROJect<index>:WIMax<index>:CALCulate:RCE:PILot:PEAK

Queries and returns the WiMAX Peak Pilot RCE, in dB.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | dB

> :PROJect1:WIMax1:CALCulate:RCE:PILot:PEAK?
< -27.29

Examples

> :PROJ1:WIM1:CALC:RCE:PIL:PEAK?
< -27.29

> :project1:wimax1:calculate:rce:pilot:peak?
< -27.29

See Also:

  • Parameters Table (802.16e)

:PROJect<index>:WIMax<index>:CALCulate:RCE:PILot[:RMS]

Query WIMax pilot bursts RCE rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect4:WIMax1:CALCulate:RCE:PILot[:RMS]
Examples | :PROJ4:WIMax1:CALC:RCE:PIL
 | :project4:wimax1:calculate:rce:pilot
 | :PROJect4:WIMax1:CALCulate:RCE:PILot?

See also:

  • :PROJect<index>:MANifest
  • Project Manifest

:PROJect<index>:WIMax<index>:CALCulate:RCE:PILot:PEAK:SUBCarrier

Queries and returns the WiMAX Peak Pilot RCE Subcarrier value.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | No | n/a | n/a | n/a | n/a | n/a | none

> :PROJect2:WIMax2:CALCulate:RCE:PILot:PEAK:SUBCarrier?
< 229

Examples

> :PROJ2:WIM2:CALC:RCE:PIL:PEAK:SUBC?
< 229

> :project2:wimax2:calculate:rce:pilot:peak:subcarrier?
< 229

:PROJect<index>:WIMax<index>:CALCulate:RCE:PILot:PEAK:SYMBol

Queries and returns the symbol where the WiMAX Pilot RCE peak occurs.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

> :PROJect5:WIMax2:CALCulate:RCE:PILot:PEAK:SYMBol?
> 5

Examples

> :PROJ5:WIM2:CALC:RCE:PIL:PEAK:SYMB?
> 5

> :project5:wimax2:calculate:rce:pilot:peak:symbol?
> 5

:PROJect<index>:WIMax<index>:CALCulate:RCE:STReam[:RMS]

Returns a comma separated list of the RMS average RCE (relative constellation error) values for each transmitter stream.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | none | No | n/a | MIN|MAX|AVG|LAST | LAST | n/a | n/a | Returned in dB or % depending on the analysis settings for how to display RCE

 | [:PROJect]:WIMax:CALC:RCE:STReam[:RMS]?
Examples | :wimax:calculate:rce:stream[:rms]?
 | :WIM:CALC:RCE:STR?

:PROJect<index>:WIMax<index>:CALCulate:RCE[:SUBFrame][:RMS]

Queries the WiMAX Subframe RCE rms. All queries return MAX, MIN, AVG, LAST values where:

  • MAX - returns the maximum value seen
  • MIN - returns the minimum value seen
  • AVG - returns the average value over the number of samples taken
  • LAST - returns the last value returned from the sweep

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | none | none | n/a | n/a | n/a | none

______

 | :PROJect1:WIMax1:CALCulate:RCE:SUBFrame:RMS? MAX
Examples | :PROJ1:WIM1:CALC:RCE:SUB:RMS:? MAX
 | :project1:wimax1:calculate:rce:subframe:rms? max

:PROJect<index>:WIMax<index>:CALCulate:RCE:UNIT

Queries or sets the units for RCE values in the WiMAX data table. When on, the units are in dB. When off, the units are in percent.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect1:WIMax2:CALCulate:RCE:UNIT DEF
Examples | :PROJ1:WIM2:CALC:RCE:UNIT DEF
 | :project1:wimax2:calculate:rce:unit dB
 | :PROJ1:WIM2:CALC:RCE:UNIT? dB

:PROJect<index>:WIMax<index>:CALCulate:SEMask:DATA[1|2|3|4]

Returns the number of points, followed by the SEM trace points for trace 1, 2, 3, or 4 from the specified analyzer.

______

Query | Return parameters | Set | Set parameters | Special parameters | MIN | MAX | DEF | Units
Yes | n/a | No | n/a | n/a | n/a | n/a | n/a | none

Examples | :PROJ1:WIM1:CALC:SEM:DATA1? 512
 | :project2:wimax2:calculate:semask:data2? 1024
 | :PROJect1:WIMax1:CALCulate:SEMask:DATA1? 512

See also:

  • Project Manifest

:PROJect<index>:WIMax<index>:CALCulate:SFLatness

Query WiMAX Subcarrier Flatness Measurement. Returns the spectral flatness in dB as a comma separated list of values.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect1:WIMax1:CALCulate:SFLatness? -10,-20,-15,-17
Examples | :PROJ1:WIM1:CALC:SFL? -10,-20,-15,-17
 | :project1:wimax1:calculate:sflatness? -10,-20,-15,-17

:PROJect<index>:WIMax<index>:CALCulate:SVALues:DATA?

This query returns the number of spatial streams, the number of subcarriers followed by a vector of the singular value rations for each spatial stream and subcarrier (relative to spatial stream 0).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJECT<index>:WIM<index>:CALCULATE:SVAL:DATA
Examples | :PROJect<index>:WIMax<index>:CALCulate:SVALues:DATA?
 | :project<index>:wimax<index>:calculate:svalues:data

:PROJect<index>:WIMax<index>:CALCulate:UPLink:BURSt:DATA

Queries the WiMAX® uplink burst data bits. Returns the decoded burst bits for the currently selected uplink burst as a comma-separated list with the burst length (in bits) appended to the beginning of the list.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | > :PROJect1:WIMax1:CALCulate:UPLink:BURSt:DATA?
 | < 480,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,1,0,1,1,1,...,1
Examples | :PROJ1:WIM1:CALC:UPL:BURS:DATA?
 | < 480,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,1,0,1,1,1,...,1
 | :project1:wimax1:calculate:uplink:burst:data?
 | < 480,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,1,0,1,1,1,...,1

See Also:

  • Burst Data Table


:PROJect<index>:WIMax<index>:INITiate:CONTinuous[:STATe]

Queries or sets either a single or a continuous sweep.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

> :PROJect3:WIMax1:INITiate:CONTinuous:STATe 1

Examples

> :PROJ3:WIMax1:INIT:CONT:STAT 1

> :PROJ3:WIMax1:INIT:CONT:STAT?
< ON

> :project1:wimax2:initiate:continuous:state Off

> :PROJect1:WIMax2:INITiate:CONTinuous:STATe?
< OFF

See also:

  • Individual Instrument Settings
  • Project Manifest


:PROJect<index>:WIMax<index>:INITiate:IMMediate

Initiates an immediate single sweep.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | > :PROJECT1:WIMax2:INITiate:IMMediate
Examples | > :PROJ1:WIM2:INIT:IMM
 | > :project1:wimax2:initiate:immediate

See also:

  • Individual Instrument Settings
  • Project Manifest

:PROJect<index>:WIMax<index>:INITiate:SWEeps?

Issuing this command queries the current number of sweeps made. this can be used in conjunction with INIT:IMM and INIT:CONT in that you can query the number of sweeps made since the last time that statistics were reset.

Issuing the set command :PROJect<index>:WIMax<index>:INIT:SWEeps 1 is similar to INIT:COND in that it will start continuous sweep mode, and then stop sweeping after the specified number of sweeps is made. Issuing this command resets all statistics and counts back to zero.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | n/a | n/a | 1 | 1 | Digits with an implied decimal point assumed at the right of the least-significant digit. | none

 | :PROJect2:WIMax3:INITiate:SWEeps?
Examples | :PROJ2:WIM3:INIT:SWE?
 | :project2:wimax3:initiate:sweeps?
 | :PROJect2:WIMax3:INITiate:SWEeps MIN
 | :PROJ2:WIM3:INIT:SWE 1


:PROJect<index>:WIMax<index>[:SENSe]

Select a link to view further command details:

  • :PROJect<index>:WIMax<index>[:SENSe]:ASPThreshold
  • :PROJect<index>:WiMAX<index>[:SENSe]:AVERage:COUNt
  • :PROJect<index>:WIMax<index>[:SENSe]:BER:CAPTure
  • :PROJect<index>:WIMax<index>[:SENSe]:BER:CERate
  • :PROJect<index>:WIMax<index>[:SENSe]:BER:FNAME
  • :PROJect<index>:WIMax<index>[:SENSe]:BER:IERate
  • :PROJect<index>:WIMax<index>[:SENSe]:BER:MEASure
  • :PROJect<index>:WIMax<index>[:SENSe]:BER:RREFerence
  • :PROJect<index>:WIMax<index>[:SENSe]:BER:RSTatistics
  • :PROJect<index>:WIMax<index>[:SENSe]:BER:SWeeps
  • :PROJect<index>:WIMax<index>[:SENSe]:DBURst
  • :PROJect<index>:WIMax<index>[:SENSe]:DISPlay:ENABle[:STATe]
  • :PROJect<index>:WIMax<index>[:SENSe]:EQUalization
  • :PROJect<index>:WIMax<index>[:SENSe]:FER:CERate
  • :PROJect<index>:WIMax<index>[:SENSe]:FER:ERRors
  • :PROJect<index>:WIMax<index>[:SENSe]:FER:FRAMes
  • :PROJect<index>:WIMax<index>[:SENSe]:FCORrection
  • :PROJect<index>:WIMax<index>[:SENSe]:FREQuency
  • :PROJect<index>:WIMax<index>[:SENSe]:INSTrument<index>:LPNoise[:STATe]
  • :PROJect<index>:WIMax<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation
  • :PROJect<index>:WIMax<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTEnuation:AUTO
  • :PROJect<index>:WIMax<index>[:SENSe]:INSTrument<index>:POWer[:RF]:GAIN[:STATe]
  • :PROJect<index>:WIMax<index>[:SENSe]:INSTrument<index>:RLEVel
  • :PROJect<index>:WIMax<index>[:SENSe]:LPNoise[:STATe]
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:ADETect
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:DOWNlink:BURSt
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:DOWNlink:BURSt:ADD
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:DOWNlink:SBURst
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:DOWNlink:SYMBols
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:DOWNlink:SZONe
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:DOWNlink:ZONE
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:DOWNlink:ZONE:ADD
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:DOWNlink:ZONE:CLEar
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:FDURation
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:FFTSize
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:GINTerval
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:PINDex
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:SEGMent
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:SGRoup
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:SUBFrame
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:UPLink:BURSt
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:UPLink:BURSt:ADD
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:UPLink:SBURst
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:UPLink:SYMBols
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:UPLink:SZONe
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:UPLink:ZONe
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:UPLink:ZONE:ADD
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:UPLink:ZONE:CLEar
  • :PROJect<index>:WIMax<index>[:SENSe]:MAP:LOAD
  • :PROJect<index>:WIMax<index>[:SENSe]:OPTimize
  • :PROJect<index>:WIMax<index>[:SENSe]:POWer[:RF]:ATTenuation
  • :PROJect<index>:WIMax<index>[:SENSe]:POWer[:RF]:ATTenuation:AUTO
  • :PROJext<index>:WIMax<index>[:SENSe]:POWer[:RF]:GAIN[:STATe]
  • :PROJect<index>:WIMax<index>[:SENSe]:RESet:ENABle[:STATe]
  • :PROJect<index>:WIMax<index>[:SENSe]:RLEVel
  • :PROJect<index>:WIMax<index>[:SENSe]:SEM
  • :PROJect<index>:WIMax<index>[:SENSe]:SHARed[:STATe]
  • :PROJect<index>:WIMax<index>[:SENSe]:SWEep:TIME
  • :PROJect<index>:WIMax<index>[:SENSe]:TAMPlitude
  • :PROJect<index>:WIMax<index>[:SENSe]:TCLock
  • :PROJect<index>:WIMax<index>[:SENSe]:TPHase
  • :PROJect<index>:WIMax<index>[:SENSe]:TRIGger[:SEQuence]:AUTO[:STATe]
  • :PROJect<index>:WIMax<index>[:SENSe]:TRIGger[:SEQuence]:AUTO:TIMeout
  • :PROJect<index>:WIMax<index>[:SENSe]:TRIGger[:SEQuence]:DELay
  • :PROJect<index>:WIMax<index>[:SENSe]:TRIGger[:SEQuence]:OFFSet
  • :PROJect<index>:WIMax<index>[:SENSe]:TRIGger[:SEQuence]:PREQual[:LEVel]
  • :PROJect<index>:WIMax<index>[:SENSe]:TRIGger[:SEQuence]:PREQual:WINDow
  • :PROJect<index>:WIMax<index>[:SENSe]:TRIGger[:SEQuence]:SOURce

See also:

  • Project Manifest
  • :PROJect<index>:MANifest

:PROJect<index>:WIMax<index>[:SENSe]:AVERage:COUNt

Queries and sets the Active Symbol Power Threshold value (WiMAX analysis > Settings > WiMAX Settings > Demodulation Parameters tab).

WiMax signals can have a wide variation in power per OFDM symbol and may have inactive symbols in the case of MIMO configurations. The Active Symbol Power Threshold control is used for computing the per channel signal power. Only symbols that are within the threshold limit relative to the maximum symbol power on that channel will be counted as part of the channel power.

To include only symbols that are within 15 dB of the maximum symbol power as part of the channel power (for example, set Active Symbol Power Threshold equal to -15).

Set Active Symbol Power Threshold equal to -400 to include all symbols within the subframe in the channel power measurement, regardless of whether they are active or inactive.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | N/A | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -20 | -400 | 0 | dB

____
The examples below show that the threshold value for Project number 5, WiMAX element number 2 is set to -30._____

 | > :PROJect5:WIMax2:SENSe:ASPThreshold -30
 | > :PROJ5:WIM2:SENS:ASPT -30
Examples | > :project5:wimax2:sense:aspthreshold?
 | < -30

See Also:

  • WiMAX Demodulation Parameters

:PROJect<index>:WIMax<index>[:SENSe]:AVERage:COUNt

Sets or queries the number of samples (sweeps) used to determine the measurement's average value.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MAXimum | MINimum | AVeraGe | LAST | Yes | MAX | MIN | AVG | LAST | n/a | 10 | 1 | 100 | none

The examples below show that the number of samples for Project number 5, WiMAX element number 2 is set to 15.

______

> :PROJect5:WIMax2:SENSe:AVERage:COUNt 15

> :PROJ5:WIM2:SENS:AVER:COUN 15

Examples

> :PROJ5:WIM2:SENS:AVER:COUN?
< 15

> :project5:wimax2:sense:average:count?
< 15

See also:

  • Average table over N sweeps

:PROJect<index>:WIMax<index>[:SENSe]:BER:CAPTure

Set Bit Error Rate to capture burst data bits in the following sweep and then use that frame (captured bits) as the reference for the bit error rate test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | n/a | n/a | n/a | n/a | n/a | none

 | :PROJ1:WIM1:SENS:BER:CAPT
Examples | :PROJect1:WIMax1:SENSe:BER:CAPTure
 | :project1:wimax1:sense:ber:capture

See also:

  • Error Rate Test
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:BER:CERate

Returns the Cumulative Error Rate (CER) as a double-precision number < 1.0.

The CER is determined by the following: Cumulative Error Rate formula

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

The example below returns the Cumulative Error Rate from SignalMeister™ project number 4, WiMAX element number 2.

> :PROJect4:WIMax2:SENSe:BER:CERate?
< 0.4

Examples

> :PROJ4:WIM2:SENS:BER:CER?
< 0.4

> :project4:wimax2:sense:ber:cerate?
< 0.4

See also:

  • :PROJect<index>:WIMax<index>[:SENSe]:BER:IERate
  • Error Rate Test

:PROJect<index>:WIMax<index>[:SENSe]:BER:FNAME

Set Bit Error Rate to use a user-supplied reference file for the BER calculation. The file name is a string that includes the file location and name of the reference file.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | String | Yes | String | n/a | n/a | n/a | n/a | none

 | > :PROJect1:WIMax1:SENSe:BER:FNAME C:\Documents and Settings\user\My Documents\Bit Reference.bit
Examples | > :PROJ1:WIM1:SENS:BER:FNAME C:\Documents and Settings\user\My Documents\Bit Reference.bit
 | > :project1:wimax1:sense:ber:fname C:\Documents and Settings\user\My Documents\Bit Reference.bit
 | > :PROJect2:WIMax2:SENSe:BER:FNAME C:\Documents and Settings\user\My Documents\Bit Reference2.bit

See also:

  • Error Rate Test
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:BER:IERate

Returns the Instantaneous Error Rate (IER) as a double-precision number < 1.0. The IER is determined by the following formula:

Instantaneous Error Rate

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

The following examples return the Instantaneous Error Rate of the WiMAX element 3 in SignalMeister™ project 2.

> :PROJect2:WIMax3:SENSe:BER:IERate?
< 0.05

Examples

> :PROJ2:WIM3:SENS:BER:IERate?
< 0.05

> :project2:wimax3:sense:ber:ierate?
< 0.05

See also:

  • :PROJect<index>:WIMax<index>[:SENSe]:BER:CERate
  • Bit Error Rate Test

:PROJect<index>:WIMax<index>[:SENSe]:BER:MEASure

Turns the Bit Error Rate measurement On or Off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | <n/a> | Yes | ON | OFF | 0 | 1 | n/a | OFF | n/a | n/a | none

 | :PROJect1:WIMax1:SENSe:BER:MEASure 1
Examples | :PROJ1:WIM1:SENS:BER:MEAS 1
 | :project1:wimax1:sense:ber:measure on

See also:

  • Error Rate Test
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:BER:RREFerence

Resets (removes) all reference bits in preparation of using a new reference file or capturing new reference bits.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect1:WIMax1:SENSe:BER:RREFerence
Examples | :PROJ1:WIM1:SENS:BER:RREF
 | :project1:wimax1:sense:ber:rreference

See also:

  • Error Rate Test
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:BER:RSTatistics

Resets the Bit Error Rate statistics to 0 (zero).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect3:WIMax2:SENSe:BER:RSTatistics
Examples | :PROJ3:WIM2:SENS:BER:RST
 | :project3:wimax2:sense:ber:rstatistics

See also:

  • Error Rate Test
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:BER:SWeeps

Returns the number of sweeps taken for the Bit Error Rate calculation.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect2:WIMax3:SENSe:BER:SWeeps? 20
Examples | :PROJ2:WIM3:SENS:BER:SW? 20
 | :project2:wimax3:sense:ber:sweeps? 20

See also:

  • Error Rate Test
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:CAPTure:ENABle[:STATe]

Queries or sets the enable state of IQ Capture. When enabled, each measurement writes non-protected IQ data to a file.

NOTE: Protected IQ data generates an error.

_

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

______

 | :PROJect1:WIMax1:SENSe:CAPTure:ENABle:STATe Off
 | :PROJect1:WIMax1:CAPTure:ENABle Off
 | :PROJ1:WIM1:SENS:CAPT:ENAB:STAT 0
Examples | :PROJ1:WIM1:CAPT:ENAB 0
 | :project1:wimax1:sense:capture:enable:state off
 | :PROJect1:WIMax1:SENSe:CAPTure:ENABle:STATe? O
 | :PROJect1:WIMax1:CAPTure:ENABle? 0

See Also:

  • Enable IQ Capture
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:CAPTure:FILename

Get or set the file name used for IQ Capture. In a MIMO system, this is the base file name. Each instrument's data is recorded to a different file, which is the base file name, appended with the instrument number 1 to 8. For example, if you have a 4x4 MIMO system with IQ Capture enabled and have named the file myIQdata, SignalMeister™ creates four captured IQ files named myIQdata1, myIQdata2, myIQdata3 and myIQdata4. The file extension is dependent upon the Capture Format, and is either a comma-separated value, single-precision binary or double-precision binary file.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | Yes | string | none | IQCapture.csv | n/a | n/a | none

 | :PROJect2:WIMax1:SENSe:CAPTure:FILename
 | :PROJ2:WIM1:SENS:CAPT:FIL
 | :PROJ2:WIM1:CAPT:FIL
Examples | :PROJ2:WIM1:CAPT:FIL?
 | :PROJect2:WIMax2:SENSe:CAPTure:FILename?
 | :project2:wimax2:sense:capture:filename?

See Also:

  • IQ File Name
  • Capture Format
:PROJect<index>:WIMax<index>[:SENSe]:CAPTure:METadata

Gets the file name used to record the IQ Capture Metadata.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect3:WIMax1:SENSe:CAPTure:METadata?
Examples | :PROJ3:WIM1:SENS:CAPT:MET?
 | :PROJect3:WIMax1:SENSe:CAPTure:METadata?

:PROJect<index>:WIMax<index>[:SENSe]:CAPTure:TYPE

Queries or sets the file type for IQ Capture. The following choices are available:

  • CSV - ASCII, comma separated values
  • Double - Binary, 64-bit floating point (IEEE-754)
  • Single - Binary, 32-bit floating point (IEEE-754)

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | CSV | DOUBle | SINGle | Yes | CSV | DOUBle | SINGle | n/a | CSV | n/a | n/a | none

 | :PROJect3:WIMax3:SENSe:CAPTure:TYPE CSV
Examples | :PROJ3:WIM3:SENS:CAPT:TYPE DOUB
 | :PROJect3:WIMax3:SENSe:CAPTure:TYPE SINGle

See Also:

  • Enable IQ Capture

:PROJect<index>:WIMax<index>[:SENSe]:DBURst

Queries or enables/disables decoding of the WiMAX burst data.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | Boolean data. | ON | OFF | 1 | 0 | ON or 1 | n/a | n/a | none

 | :PROJect4:WIMax2:SENSe:DBURst 1
 | :PROJect4:WIMax2:DBURst 1
 | :PROJ4:WIM2:SENS:DBUR 1
Examples | :PROJ4:WIM2:DBUR 1
 | :PROJect1:WIMax2:SENSe:DBURst Off
 | :project1:wimax2:sense:dburst? 0
 | :project1:wimax2:dburst? 0

See also:

  • Decode Burst Data
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:DISPlay:ENABle[:STATe]

Sets or queries the state of the signal analyzer display. This setting controls turning the instrument display on or off the next time SignalMeister™ communicates with the instrument. This means that the setting does not take effect until another action is performed, such as invoking a measurement, initializing the instrument, performing a sweep, and so on.

_

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

______

NOTE: Turning off the instruments' display speeds up the measurement time, because the individual instruments no longer have to update and refresh their individual screens.

______

 | :PROJect1:WIMax1:SENSe:DISPlay:ENABle:STATe Off
 | :PROJect1:WIMax1:DISPlay:ENABle Off
 | :PROJ1:WIM1:SENS:DISP:ENAB:STAT 0
Examples | :PROJ1:WIM1:DISP:ENAB 0
 | :project1:wimax1:sense:display:enable:state off
 | :PROJect1:WIMax1:SENSe:DISPlay:ENABle:STATe? O
 | :PROJect1:WIMax1:DISPlay:ENABle? 0

See also:

  • General Instrument Settings
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:EQUalization

Queries or sets the equalizer method for WiMAX measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | PRE | PPIL | PPD | Yes | PREamble | PPILots | PPData | DEFault | PPIL | n/a | n/a | none

 | :PROJect4:WIMax1:SENSe:EQUalization PPData
Examples | :PROJ4:WIM1:SENS:EQU PPD
 | :project3:wimax2:sense:equalization PREamble
 | :PROJect3:WIMax2:SENSe:EQUalization? PRE

:PROJect<index>:WIMax<index>[:SENSe]:FER:CERate

Returns the frame/packet cumulative error rate (CER) as a double-precision number < 1.0.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect2:WIMax3:SENSe:FER:CERate? 0.01
Examples | :PROJ2:WIM3:SENS:FER:CER? 0.01
 | :project2:wimax3:sense:fer:cer? 0.01

:PROJect<index>:WIMax<index>[:SENSe]:FER:ERRors

Returns the number of frames/packets in error.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect2:WIMax3:SENSe:FER:ERRors? 20
Examples | :PROJ2:WIM3:SENS:FER:ERR? 20
 | :project2:wimax3:sense:fer:errors? 20

:PROJect<index>:WIMax<index>[:SENSe]:FER:FRAMes

Returns the number of frames/packets analyzed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect1:WIMax1:SENSe:FER:FRAMes? 512
Examples | :PROJ1:WIM1:SENS:FER:FRAM? 512
 | :project1:wimax1:sense:fer:frames? 512

:PROJect<index>:WIMax<index>[:SENSe]:FCORrection

Queries or sets Frequency Correction.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect1:WIMax1:SENSe:FCORrection On
Examples | :PROJ1:WIM1:SENS:FCOR 1
 | :project1:wimax1:sense:fcorrection on
 | :PROJect1:WIMax1:SENS:FCORrection? 1

:PROJect<index>:WIMax<index>[:SENSe]:FREQuency

Queries or sets the analyzer's center frequency.

______

NOTE: The frequency is not changed in the signal analyzer until after a sweep is performed.

_______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000000 | 400000000 | 25000000000 | Hz

 | :PROJect2:WIMax1:SENSe:FREQuency 4500000000
 | :PROJect2:WIMax1:FREQuency 4500000000
 | :PROJ2:WIM1:SENS:FREQ 4.5e9
Examples | :PROJ2:WIM1:FREQ 4.5e9
 | :project2:wimax1:sense:frequency
 | :project2:wimax1:frequency 4500000000
 | :PROJect2:WIMax1:SENSe:FREQuency? 4500000000
 | :PROJect2:WIMax1:FREQuency? 4500000000

:PROJect<index>:WIMax<index>[:SENSe]:INSTrument<index>:LPNoise[:STATe]

This command queries or sets the Low Phase Noise option (2820A-UPN) that is set and used on individual instruments in the system if [:PROJect<index>]:WIMax<index>[:SENSe]:SHARed[:STATe] is set to OFF. If this command is set to ON, the Low Phase Noise mode is set for all instruments in the system by the command [:PROJect<index>]:WIMax<index>[:SENSe]:LPNoise[:STATe].

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:WIMax<index>[:SENSe]:LPNoise[:STATe], even in a SISO system.

______

If your instrument is equipped with the -UPN option, enabling Low Phase Noise invokes the following performance improvements:

  • Improved phase noise: < -140 dBc/Hz phase noise at a 300 kHz offset with a 2 GHz carrier
  • Improved EVM performance for WLAN signal (WLAN 802.11n EVM floor as low as -48 dBc)
  • Improved ORFS performance for GSM and EDGE signals
  • Typical frequency switching time of 1 ms (with the Low Phase Noise setting disabled, the frequency switching time is 250 µs)

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :PROJect1:WIMax1:SENSe:INSTrument1:LPNoise:STATe ON
 | :PROJect1:WIMax1:INST1:LPN ON
 | :PROJ1:WIM1:SENS:INST1:LPN:STAT 1
Examples | :PROJ1:WIM1:INST1:LPN 1
 | :project1:wimax1:sense:instrument1:lpnoise:state on
 | :project1:wimax1:sense:instrument1:lpnoise:state? 1

See also:

  • Project Manifest
  • :PROJect<index>:WIMax<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:WIMax<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation

Queries or sets the Attenuation level for the specified Agilent Series V2800 VSA.

This command queries or sets an attenuation level (in dB) that is set and used on individual instruments in the system if [:PROJect<index>]:WIMax<index>[:SENSe]:SHARed[:STATe] is set to OFF. If this command is set to ON, the attenuation level is set for all instruments in the system by the command [:PROJect<index>]:WIMax<index>[:SENSe]:POWer[:RF]:ATTenuation.

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:WIMax<index>[:SENSe]:POWer[:RF]:ATTenuation, even in a SISO system.__

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 30 | dB

 | :PROJect1:WIMax2:SENSe:INSTrument1:POWer:RF:ATTenuation 10
 | :PROJ1:WIM2:SENS:INST1:POW:RF:ATT 10
 | :PROJect1:WIMax2:INSTrument1:POWer:ATTenuation 10
Examples | :PROJ1:WIM2:INST1:POW:ATT 10
 | :PROJect1:WIMax2:SENSe:INSTrument1:POWer:RF:ATTenuation? 10
 | :project1:wimax2:sense:instrument1:power:rf:attenuation? 10

See also:

  • Project Manifest
  • Manual Atten
  • :PROJect<index>:WIMax<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:WIMax<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTEnuation:AUTO

This command queries or sets the automatic attenuation state that is set and used on each individual instrument in the system if [:PROJect<index>]:WIMax<index>[:SENSe]:SHARed[:STATe] is set to OFF. If this command is set to ON, the automatic attenuation state is set for all instruments in the system by the command [:PROJect<index>]:WIMax<index>[:SENSe]:POWer[:RF]:ATTenuation:AUTO

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:WIMax<index>[:SENSe]:POWer[:RF]:ATTenuation:AUTO, even in a SISO system.

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect1:WIMax2:SENSe:INSTrument1:POWer:RF:ATTenuation:AUTO 0FF
 | :PROJ1:WIM2:SENS:INST1:POW:RF:ATT:AUTO 0
 | :PROJect1:WIMax2:INSTrument1:POWer:ATTenuation:AUTO Off
Examples | :PROJ1:WIM2:INST1:POW:ATT:AUTO 0
 | :PROJect1:WIMax2:SENSe:INSTrument1:POWer:RF:ATTenuation:AUTO? 0
 | :project1:wimax2:sense:instrument1:power:rf:attenuation:auto? 0

See also:

  • Project Manifest
  • Auto Atten
  • :PROJect<index>:WIMax<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:WIMax<index>[:SENSe]:INSTrument<index>:POWer[:RF]:GAIN[:STATe]

This command queries or sets the Preamp (Gain) state that is set and used on each individual instrument in the system if [:PROJect<index>]:WIMax<index>[:SENSe]:SHARed[:STATe] is set to OFF. If this command is set to ON, the Gain state is set for all instruments in the project by the command [:PROJect<index>]:WIMax<index>[:SENSe]:POWer[:RF]:GAIN[:STATe].

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:WIMax<index>[:SENSe]:POWer[:RF]:GAIN[:STATe], even in a SISO system.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect1:WIMax2:SENSe:INSTrument2:POWer:RF:GAIN:STATe Off
 | :PROJ1:WIM2:SENS:INST2:POW:RF:GAIN:STAT OFF
 | :PROJect1:WIMax3:INSTrument1:POWer:GAIN ON
Examples | :PROJ1:WIM3:INST1:POW:GAIN ON
 | :PROJect1:WIMax3:SENSe:INSTrument1:POWer:RF:GAIN:STATe? 1
 | :PROJ1:WIM2:INST2:POW:GAIN:STAT? 0
 | :project1:wimax2:sense:instrument2:power:rf:gain:state? 0

See also:

  • Project Manifest
  • :PROJect<index>:WIMax<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:WIMax<index>[:SENSe]:INSTrument<index>:RLEVel

Queries or sets the reference level for the specified Agilent Series V2800 VSA.

This command sets a reference level that is set and used on individual instruments in the system if [:PROJect<index>]:WIMax<index>[:SENSe]:SHARed[:STATe] is set to OFF. If this command is set to ON, the Reference Level is set for all instruments in the system by the command [:PROJect<index>]:WIMax<index>[:SENSe]:RLEVel.

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:WIMax<index>[:SENSe]:RLEVel, even in a SISO system.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -170 | 30 | dBm

 | :PROJect2:WIMax3:SENSe:INSTrument1:RLEVel MAXimum
Examples | :PROJ2:WIM3:INST1:RLEV MAX
 | :project2:wimax3:sense:instrument1:rlevel? 30
 | :PROJ2:WIM3:SENS:INST1:RLEV? 30

See also:

  • Project Manifest
  • :PROJect<index>:WIMax<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:WIMax<index>[:SENSe]:LPNoise[:STATe]

NOTE: This feature is available only for the Agilent Series V2800 Vector Signal Analyzer with the ultra low phase noise option (V2820A-UPN).

Queries or sets the Low Phase Noise option for the specified instrument.

This command queries or sets the Low Phase Noise option (V2820A-UPN) that is set and used on all instruments in the system if [:PROJect<index>]:WIMax<index>[:SENSe]:SHARed[:STATe] is set to ON. If this command is set to OFF, the Low Phase Noise mode is set for each individual instrument by the command [:PROJect<index>]:WIMax<index>[:SENSe]:INSTrument<index>:LPNoise[:STATe].

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:WIMax<index>[:SENSe]:INSTrument<index>:LPNoise[:STATe], even in a SISO system.

______

If your instrument is equipped with the -UPN option, enabling Low Phase Noise invokes the following performance improvements:

  • Improved phase noise: < -140 dBc/Hz phase noise at a 300 kHz offset with a 2 GHz carrier
  • Improved EVM performance for WLAN signal (WLAN 802.11n EVM floor as low as -48 dBc)
  • Improved ORFS performance for GSM and EDGE signals
  • Typical frequency switching time of 1 ms (with the Low Phase Noise setting disabled, the frequency switching time is 250 µs)

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :PROJect1:WIMax1:SENSe:LPNoise:STATe ON
 | :PROJect1:WIMax1:LPNoise ON
 | :PROJ1:WIM1:SENS:LPN:STAT 1
Examples | :PROJ1:WIM1:LPN 1
 | :project1:wimax1:sense:lpnoise:state on
 | :project1:wimax1:sense:lpnoise:state? 1

See also:

  • Project Manifest
  • :PROJect<index>:WIMax<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:ADETect

Queries or sets the auto-detect for map parameterization.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | Boolean data. | ON | 1 | OFF | 0 | 1 or On | n/a | n/a | n/a

 | :PROJect3:WIMax1:SENSe:MAP:EDIT:ADETect OFF
 | :PROJ3:WIM1:MAP:EDIT:ADET OFF
Examples | :project3:wimax1:sense:map:edit:adetect 0
 | :PROJ3:WIM1:SENS:MAP:EDIT:ADET? OFF

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:DIUC <0...12>

Queries or sets the OFDMA DIUC index number (0 to 12) for the selected downlink burst, defined in IEEE 802.16e-2005.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | QPSKR1BY2 | QPSKR3BY4 | QAM16R1BY2 | QAM16R3BY4 | QAM64R1BY2 | QAM64R2BY3 | QAM64R3BY4 | QPSKR1BY2CTC | QPSKR3BY4CTC | QAM16R1BY2CTC | QAM16R3BY4CTC | QAM64R1BY2CTC | QAM64R2BY3CTC | QAM64R3BY4CTC | QAM64R5BY6CTC | Yes | QPSKR1BY2 | QPSKR3BY4 | QAM16R1BY2 | QAM16R3BY4 | QAM64R1BY2 | QAM64R2BY3 | QAM64R3BY4 | QPSKR1BY2CTC | QPSKR3BY4CTC | QAM16R1BY2CTC | QAM16R3BY4CTC | QAM64R1BY2CTC | QAM64R2BY3CTC | QAM64R3BY4CTC | QAM64R5BY6CTC | none | n/a | n/a | n/a | none

> :PROJect2:WIMax1:SENSe:MAP:EDIT:DIUC 0 QAM16R1BY2

> :PROJect2:WIMax1:SENSe:MAP:EDIT:DIUC 12 QAM64R5BY6CTC

Examples

> :PROJ2:WIM1:MAP:EDIT:DIUC 12?
< QAM64R5BY6CTC

> :project2:wimax1:sense:map:edit:diuc 0?
< QAM16R1BY2

See Also:

  • DIUC 0 to 12

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:DOWNlink:BURSt

Queries the burst parameters for the selected downlink burst:

  • Start Symbol
  • Start Subchannel
  • End Symbol
  • End Subchannel
  • Modulation/code rate
  • Repetition

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. for each channel. QPSKR1BY2 | QPSKR3BY4 | QAM16R1BY2 | QAM16R3BY4 | QAM64R1BY2 | QAM64R2BY3 | QAM64R3BY4, NONE | R2 | R4 | R6, NORMAL | FCH | DLMAP | ULMAP | DCD | UCD | No | none | none | n/a | n/a | n/a | none

 | :PROJect2:WIMax1:SENSe:MAP:EDIT:DOWNlink:BURSt?
Examples | :PROJ2:WIM1:MAP:EDIT:DOWN:BURS?
 | :project2:wimax1:sense:map:edit:downlink:burst?

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:DOWNlink:BURSt:ADD

Add a new burst to the specified zone in the WiMAX Downlink subframe. Bursts in PUSC type zones must start on an even symbol and have an even width. The parameters are:

  • Start Symbol
  • Start Subchannel
  • End Symbol
  • End Subchannel
  • Modulation
  • Repetition

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. for all channels, QPSKR1BY2 | QPSKR3BY4 | QAM16R1BY2 | QAM16R3BY4 | QAM64R1BY2 | QAM64R2BY3 | QAM64R3BY4 | QPSKR1BY2CTC | QPSKR3BY4CTC | QAM16R1BY2CTC | QAM16R3BY4CTC | QAM64R1BY2CTC | QAM64R2BY3CTC | QAM64R3BY4CTC, NONE | R2 | R4 | R6, NORMAL | FCH | DLMAP | ULMAP | DCD | UCD | none | n/a | n/a | n/a | none

 | :PROJect5:WIMax1:SENSe:MAP:EDIT:DOWNlink:BURSt:ADD QPSKR1BY2CTC
Examples | :PROJ5:WIM1:MAP:EDIT:DOWN:BURS:ADD QPSKR1BY2CTC
 | :project5:wimax1:sense:map:edit:downlink:burst:add QPSKR1BY2CTC

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:DOWNlink:SBURst

Queries or sets the active burst, within the active zone, in the Downlink subframe.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 63 | none

 | :PROJect1:WIMax1:SENSe:MAP:EDIT:DOWNlink:SBURst
Examples | :PROJ1:WIM1:SENS:MAP:EDIT:DOWN:SBUR 0
 | :project1:wimax1:sense:map:edit:downlink:sburst 63
 | :PROJect1:WIMax1:SENS:MAP:EDIT:DOWNlink:SBURst? 63

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:DOWNlink:SYMBols

Queries or sets the number of symbols in the WiMAX Downlink subframe.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 11 | 1 | 300 | none

 | :PROJect1:WIMax2:SENSe:MAP:EDIT:DOWNlink:SYMBols 11
 | :PROJ1:WIM2:MAP:EDIT:DOWN:SYMB 11
Examples | :project1:wimax2:sense:map:edit:downlink:symbols 11
 | :PROJect1:WIMax2:SENS:MAP:EDIT:DOWNlink:SYMBols? 11

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:DOWNlink:SZONe

Queries or sets the active zone in the WiMAX Downlink subframe.

For example, to query the EVM for the primary zone when the downlink subframe has more than one zone, use [:PROJ<index>]:WIM<index>:MAP:EDIT:DOWN:SZON 0.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 8 | none

 | :PROJect1:WIMax1:SENSe:MAP:EDIT:DOWNlink:SZONe 0
Examples | :PROJ1:WIM1:MAP:EDIT:DOWN:SZON 0
 | :project2:wimax1:sense:map:edit:downlink:szone 4
 | :PROJect2:WIMax1:SENSe:MAP:EDIT:DOWNlink:SZONe? 4

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:DOWNlink:ZONE

Queries the zone type, start symbol, end symbol, permutationBase (0-69), and Wave2 MIMO mode for the currently selected zone.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | FUSC|PUSC, Digits with an implied decimal point assumed at the right of the least-significant digit., NONE|STC|2xSM | No | none | none | n/a | n/a | n/a | none

 | :PROJect3:WIMax1:SENSe:MAP:EDIT:DOWNlink:ZONE? FUSC,14,120,1,NONE
Examples | :PROJ3:WIM1:MAP:EDIT:DOWN:ZONE? FUSC,14,120,1,NONE
 | :project3:wimax1:sense:map:edit:downlink:zone? FUSC,14,120,1,NONE
 | :PROJect3:WIMax1:SENS:MAP:EDIT:DOWNlink:ZONE? FUSC,14,120,1,NONE

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:DOWNlink:ZONE:ADD

Add a new zone to the WiMAX Downlink subframe. The parameters are: zoneType, zoneLength[symbols], permutationBase (0-69), Wave2 Mimo Mode. PUSC type zones must have a width that is a multiple of two. FUSC type zones can be any width.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | FUSC|PUSC,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6)., None|STC|2xSM | none | n/a | n/a | n/a | none

 | :PROJect1:WIMax1:SENSe:MAP:EDIT:DOWNlink:ZONE:ADD FUSC,10,6,STC
Examples | :PROJ1:WIM1:MAP:EDIT:DOWN:ZONE:ADD FUSC,10,6,STC
 | :project1:wimax1:sense:map:edit:downlink:zone:add FUSC,10,6,STC

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:DOWNlink:ZONE:CLEar

Clears all downlink zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | No | none | none | n/a | n/a | n/a | none

 | :PROJect1:WIMax1:SENSe:MAP:EDIT:DOWNlink:ZONE:CLEar
Examples | :PROJ1:WIM1:MAP:EDIT:DOWN:ZONE:CLE
 | :project1:wimax1:sense:map:edit:downlink:zone:clear

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:FDURation

Queries or sets the frame duration of the WiMAX signal, in milliseconds.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | 2.0 | 2.5 | 4.0 | 5.0 8.0 | 10.0 | 12.5 | 20.0 | MAXimum | MINimum | DEFault | 2.5 | 2.0 | 20.0 | ms

 | :PROJect1:WIMax1:SENSe:MAP:EDIT:FDURation 4.0
 | :PROJ1:WIM1:MAP:EDIT:FDUR 4.0
Examples | :project1:wimax1:sense:map:edit:fduration 4.0
 | :PROJect1:WIMax1:SENS:MAP:EDIT:FDUR? 4.0

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:FFTSize

Queries or sets the FFT size of the WiMAX signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1024 | 128 | 2048 | none

 | :PROJect2:WIMax1:SENSe:MAP:EDIT:FFTSize 512
Examples | :PROJ2:WIM1:MAP:EDIT:FFTS 512
 | :project2:wimax1:sense:map:edit:fftsize 512
 | :PROJect2:WIMax1:SENS:MAP:EDIT:FFTS? 512

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:GINTerval

Queries or sets the guard interval of the WiMAX signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | R1BY32 | R1BY16 | R1BY8 | R1BY4 | Yes | R1BY32 | R1BY16 | R1BY8 | R1BY4 | DEFault | R1BY8 | n/a | n/a | none

 | :PROJect1:WIMax1:SENSe:MAP:EDIT:GINTerval R1BY8
 | :PROJ1:WIM1:MAP:EDIT:GINT R1BY8
Examples | :PROJect1:WIMax1:SENS:MAP:EDIT:GINT? R1BY8
 | :project1:wimax1:sense:map:edit:ginterval r1by8

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:PINDex

Queries or sets the preamble index of the WiMAX signal. This is currently applied only to Downlink PUSC zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 113 | none

 | :PROJect2:WIMax2:SENSe:MAP:EDIT:PINDex 10
Examples | :PROJ2:WIM2:MAP:EDIT:PIND 10
 | :project2:wimax2:sense:map:edit:pindex 10
 | :PROJect2:WIMax2:SENS:MAP:EDIT:PINDex? 10

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:SEGMent

Queries or sets the segment of the WiMAX signal. This currently, applies only to Downlink PUSC zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 1 | 2 | none

 | :PROJect3:WIMax1:SENSe:MAP:EDIT:SEGMent MAXimum
Examples | :PROJ3:WIM1:MAP:EDIT:SEGM 2
 | :project3:wimax1:sense:map:edit:segment 2
 | :PROJect3:WIMax1:SENS:MAP:EDIT:SEGMent? 2

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:SGRoup

Queries or sets the state of WiMAX subchannel Groups 0 through 5. This currently, applies only to Downlink PUSC zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | OFF | 0 | 1 | none | n/a | n/a | n/a | none

 | :PROJect1:WIMax1:SENSe:MAP:EDIT:SGRoup
Examples | :PROJ1:WIM1:MAP:EDIT:SGR
 | :project1:wimax1:sense:map:edit:sgroup
 | :PROJect1:WIMax1:SENS:MAP:EDIT:SGRoup?

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:SUBFrame

Queries or sets the WiMAX subframe type to analyze.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | DOWN | UPL | Yes | DOWNlink | UPLink | DEFault | UPL | n/a | n/a | none

 | :PROJect1:WIMax1:SENSe:MAP:EDIT:SUBFrame DOWNlink
Examples | :PROJ1:WIM1:MAP:EDIT:SUBF DOWN
 | :project1:wimax1:sense:map:edit:subframe downlink
 | :PROJect1:WIMax1:SENSe:MAP:EDIT:SUBFrame? DOWN

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:UIUC <0...10>

Queries or sets the OFDMA UIUC index number (0 to 10) for the selected uplink burst, defined in IEEE 802.16e-2005.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | QPSKR1BY2 | QPSKR3BY4 | QAM16R1BY2 | QAM16R3BY4 | QAM64R1BY2 | QAM64R2BY3 | QAM64R3BY4 | QPSKR1BY2CTC | QPSKR3BY4CTC | QAM16R1BY2CTC | QAM16R3BY4CTC | QAM64R1BY2CTC | QAM64R2BY3CTC | QAM64R3BY4CTC | QAM64R5BY6CTC | Yes | QPSKR1BY2 | QPSKR3BY4 | QAM16R1BY2 | QAM16R3BY4 | QAM64R1BY2 | QAM64R2BY3 | QAM64R3BY4 | QPSKR1BY2CTC | QPSKR3BY4CTC | QAM16R1BY2CTC | QAM16R3BY4CTC | QAM64R1BY2CTC | QAM64R2BY3CTC | QAM64R3BY4CTC | QAM64R5BY6CTC | none | n/a | n/a | n/a | none

> :PROJect2:WIMax1:SENSe:MAP:EDIT:UIUC 0 QAM16R1BY2

> :PROJect2:WIMax1:SENSe:MAP:EDIT:UIUC 12 QAM64R5BY6CTC

Examples

> :PROJ2:WIM1:MAP:EDIT:UIUC 12?
< QAM64R5BY6CTC

> :project2:wimax1:sense:map:edit:uiuc 0?
< QAM16R1BY2

See Also:

  • UIUC 1 to 10

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:UPLink:BURSt

Queries burst parameters for the selected uplink burst:

  • startSymbol
  • startSubchannel
  • endSymbol
  • endSubchannel
  • modulation/code rate
  • repetition
  • MIMO mode

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6)., QPSKR1BY2 | QPSKR3BY4 | QAM16R1BY2 | QAM16R3BY4 | QAM64R1BY2 | QAM64R2BY3 | QAM64R3BY4, NONE | R2 | R4 | R6, NONE | AMAT | BMAT | No | none | none | n/a | n/a | n/a | none

Examples | :PROJect1:WIMax1:SENSe:MAP:EDIT:UPLink:BURSt?
 | :project1:wimax1:sense:map:edit:uplink:burst?
 | :PROJ1:WIM1:MAP:EDIT:UPL:BURS?

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:UPLink:BURSt:ADD

Adds a new burst to the specified zone in the WiMAX Uplink subframe. Bursts in PUSC type zones have a slot size of three symbols and must start on a slot boundary. The parameters are

  • startSymbol
  • startSubchannel
  • endSymbol
  • endSubchannel
  • modulation
  • repetition

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6)., QPSKR1BY2 | QPSKR3BY4 | QAM16R1BY2 | QAM16R3BY4 | QAM64R1BY2 | QAM64R2BY3 | QAM64R3BY4 | QPSKR1BY2CTC | QPSKR3BY4CTC | QAM16R1BY2CTC | QAM16R3BY4CTC | QAM64R1BY2CTC | QAM64R2BY3CTC | QAM64R3BY4CTC, NONE | R2 | R4 | R6 | none | n/a | n/a | n/a | none

 | :PROJect1:WIMax1:SENSe:MAP:EDIT:DOWNlink:BURSt:ADD QAM64R2BY3CTC
Examples | :PROJ1:WIM1:SENS:MAP:EDIT:DOWN:BURS:ADD QAM64R2BY3CTC
 | :project1:wimax1:sense:map:edit:downlink:burst:add QAM64R2BY3CTC

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:UPLink:SBURst

Queries or sets the active burst within the active zone in the Uplink subframe.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 63 | none

 | :PROJect1:WIMax2:SENSe:MAP:EDIT:UPLink:SBURst 3
 | :PROJ1:WIM2:MAP:EDIT:UPL:SBUR 3
Examples | :project1:wimax2:sense:map:edit:uplink:sburst 3
 | :PROJect1:WIMax2:SENS:MAP:EDIT:UPLink:SBURst? 3

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:UPLink:SYMBols

Queries or sets the number of symbols in the WiMAX Uplink subframe.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 11 | 1 | 300 | none

 | :PROJect1:WIMax1:SENSe:MAP:EDIT:UPLink:SYMBols 120
Examples | :PROJ1:WIM1:MAP:EDIT:UPL:SYMB 120
 | :project1:wimax1:sense:map:edit:uplink:symbols 120
 | :PROJect1:WIMax1:SENSe:MAP:EDIT:UPLink:SYMBols? 120

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:UPLink:SZONe

Queries or sets the active zone in the WiMAX Uplink subframe.

For example, to query the EVM for the primary zone when the uplink subframe has more than one zone, use [:PROJ<index>]:WIM<index>:MAP:EDIT:UPL:SZON 0.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 63 | none

 | :PROJect1:WIMax1:SENSe:MAP:EDIT:UPLink:SZONe MAX
Examples | :PROJ1:WIM1:MAP:EDIT:UPL:SZON 63
 | :project1:wimax1:sense:map:edit:uplink:szone 63
 | :PROJect1:WIMax1:SENSe:MAP:EDIT:UPLink:SZONe? 63

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:UPLink:ZONE

Queries the zone type, start symbol, end symbol, and permutation base for the currently selected zone.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | PUSC,Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit. | No | none | none | n/a | n/a | n/a | none

 | :PROJect1:WIMax1:SENSe:MAP:EDIT:UPLink:ZONE? PUSC,5,15,3
Examples | :PROJ1:WIM1:MAP:EDIT:UPL:ZONE? PUSC,5,15,3
 | :project1:wimax1:sense:map:edit:uplink:zone? PUSC,5,15,3

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:UPLink:ZONE:ADD

Adds a new zone to the WiMAX Uplink subframe. PUSC type zones must have a length that is a multiple of three. The parameters are

  • zoneType (currently only PUSC)
  • zoneLength [symbols]
  • permutation base

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | PUSC,,Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit. | none | n/a | n/a | n/a | none

 | :PROJect1:WIMax2:SENSe:MAP:EDIT:UPLink:ZONE:ADD PUSC,9,4
Examples | :PROJ1:WIM2:MAP:EDIT:UPL:ZONE:ADD PUSC,9,4
 | :project1:wimax2:sense:map:edit:uplink:zone:add pusc,9,4

:PROJect<index>:WIMax<index>[:SENSe]:MAP:EDIT:UPLink:ZONE:CLEar

Clear all WiMAX uplink zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | No | none | none | n/a | n/a | n/a | none

 | :PROJect1:WIMax1:SENSe:MAP:EDIT:UPLink:ZONE:CLEar
Examples | :PROJ1:WIM1:MAP:EDIT:UPL:ZONE:CLE
 | :project1:wimax1:sense:map:edit:uplink:zone:clear

See also:

  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:MAP:LOAD

Queries or sets the specific MAP file to apply for measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | Yes | string | DEFault | DEF | n/a | n/a | none

 | :PROJect1:WIMax1:SENSe:MAP:LOAD
Examples | :PROJ1:WIM1:MAP:LOAD
 | :project1:wimax1:sense:map:load
 | :PROJect1:WIMax1:SENS:MAP:LOAD?

See also:

  • WiMAX Map Parameters
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:OPTimize

Sets auto-range, single-shot.

NOTE: If you are analyzing a simulated signal, this command has no effect.

___

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :PROJect2:WIMax2:SENSe:OPTimize
Examples | :PROJ2:WIM2:OPT
 | :project2:wimax2:sense:optimize

See Also

  • Optimize Setup
  • Recovering from an Optimization Failure

:PROJect<index>:WIMax<index>[:SENSe]:POWer[:RF]:ATTenuation

Queries or sets the Attenuation level for the specified Agilent Series V2800 VSA.

This command queries or sets an attenuation level (in dB) that is set and used on all instruments in the system if [:PROJect<index>]:WIMax<index>[:SENSe]:SHARed[:STATe] is set to ON. If this command is set to OFF, the attenuation level is set for each individual instrument by the command [:PROJect<index>]:WIMax<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation.

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:WIMax<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation, even in a SISO system.__

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 30 | dB

 | :PROJect1:WIMax2:SENSe:POWer:RF:ATTenuation 10
 | :PROJ1:WIM2:SENS:POW:RF:ATT 10
 | :PROJect1:WIMax2:POWer:ATTenuation 10
Examples | :PROJ1:WIM2:POW:ATT 10
 | :PROJect1:WIMax2:SENSe:POWer:RF:ATTenuation? 10
 | :project1:wimax2:sense:power:rf:attenuation? 10

See also:

  • Project Manifest
  • Manual Atten
  • :PROJect<index>:WIMax<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:WIMax<index>[:SENSe]:POWer[:RF]:ATTenuation:AUTO

This command queries or sets the automatic attenuation state that is set and used on all instruments in the system if [:PROJect<index>]:WIMax<index>[:SENSe]:SHARed[:STATe] is set to ON. If this command is set to OFF, the automatic attenuation state is set for each individual instrument by the command [:PROJect<index>]:WIMax<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation:AUTO

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:WIMax<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation:AUTO, even in a SISO system.

__________

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect1:WIMax2:SENSe:POWer:RF:ATTenuation:AUTO 0FF
 | :PROJ1:WIM2:SENS:POW:RF:ATT:AUTO 0
 | :PROJect1:WIMax2:POWer:ATTenuation:AUTO Off
Examples | :PROJ1:WIM2:POW:ATT:AUTO 0
 | :PROJect1:WIMax2:SENSe:POWer:RF:ATTenuation:AUTO? 0
 | :project1:wimax2:sense:power:rf:attenuation:auto? 0

See also:

  • Project Manifest
  • Auto Atten
  • :PROJect<index>:WIMax<index>[:SENSe]:SHARed[:STATe]

:PROJext<index>:WIMax<index>[:SENSe]:POWer[:RF]:GAIN[:STATe]

This command queries or sets the Preamp (Gain) state that is set and used on all instruments in the system if [:PROJect<index>]:WIMax<index>[:SENSe]:SHARed[:STATe] is set to ON. If this command is set to OFF, the Gain state is set for each individual instrument by the command [:PROJect<index>]:WIMax<index>[:SENSe]:INSTrument<index>:POWer[:RF]:GAIN[:STATe].

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:WIMax<index>[:SENSe]:INSTrument<index>:POWer[:RF]:GAIN[:STATe], even in a SISO system.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect1:WIMax2:SENSe:POWer:RF:GAIN:STATe Off
 | :PROJ1:WIM2:SENS:POW:RF:GAIN:STAT OFF
 | :PROJect2:WIMax2:POWer:GAIN ON
Examples | :PROJ2:WIM2:POW:GAIN ON
 | :PROJect1:WIMax2:SENSe:POWer:RF:GAIN:STATe? 0
 | :project1:wimax2:sense:power:rf:gain:state? 1

See also:

  • Preamp On
  • Project Manifest
  • :PROJect<index>:WIMax<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:WIMax<index>[:SENSe]:RESet:ENABle[:STATe]

This setting controls whether or not SignalMeister™ will send the *RST command to the instrument(s) whan an initialization sequence is performed.

When set to true (On), SignalMeister™ resets the instrument(s) the next time SignalMeister™ communicates with the instrument. This means that the setting does not take effect until another action is performed, such as initializing the instrument, invoking a measurement, and so on.

_

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

______

 | :PROJect1:WIMax1:SENSe:RESet:ENABle:STATe Off
 | :PROJect1:WIMax1:RESet:ENABle Off
 | :PROJ1:WIM1:SENS:RES:ENAB:STAT 0
Examples | :PROJ1:WIM1:RES:ENAB 0
 | :project1:wimax1:sense:reset:enable:state off
 | :PROJect1:wimax1:SENSe:RESet:ENABle:STATe? O
 | :PROJect1:wimax1:RESet:ENABle? 0

See Also:

  • Reset Instruments (General Instrument Settings)
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:RLEVel

Queries or sets the reference level for the specified Agilent Series V2800 VSA.

This command sets a reference level that is set and used on all instruments in the system if :PROJect<index>:WIMax<index>[:SENSe]:SHARed[:STATe] is set to ON. If this command is set to OFF, the Reference Level is set for each individual instrument by the command :PROJect<index>:WIMax<index>[:SENSe]:INSTrument<index>:RLEVel.

NOTE: This value is not the same as the corresponding value set by :PROJect<index>:WIMax<index>[:SENSe]:INSTrument<index>:RLEVel, even in a SISO system.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -170 | 30 | dBm

 | :PROJect2:WIMax3:SENSe:RLEVel 30
Examples | :PROJ2:WIM3:SENS:RLEV 30
 | :project1:wimax2:sense:rlevel -70
 | :PROJect1:WIMax2:RLEVel? -70

See also:

  • Project Manifest
  • :PROJect<index>:WIMax<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:WIMax<index>[:SENSe]:SEMask

Queries or sets the spectrum emission mask.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | none | 1 | On | n/a | n/a | none

 | :PROJect2:WIMax2:SENSe:SEMask 1
Examples | :PROJ2:WIM2:SENS:SEM 1
 | :project2:wimax2:sense:semask? On
 | :PROJect2:WIMax2:SENSe:SEM? 1

See also:

  • Enable SEM (Spectrum Emissions Mask)
  • Project Manifest
  • :PROJect<index>:WIMax<index>[:SENSe]:SEMask:OBW:THREsold

:PROJect<index>:WIMax<index>[:SENSe]:SEMask:OBW:THREsold

Queries or sets the percentage of total power used to calculate the occupied bandwidth of the signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 99 | 1 | 100 | none

 | :PROJect1:WIMax1:SENSe:SEMask:OBW:THREshold 99
 | :PROJect2:WIMax2:Sense:SEMask:OBW:THREshold min
Examples | :PROJ2:WIM2:SENS:SEM:OBW:THREshold MAX
 | :project1:wimax1:SENSE:semask:OBW:THREshold
 | :PROJ1:WIMax1:SEM:OBW:THREshold?
 | :PROJ2:WIMax2:SENS:SEM:OBW:THRE?

:PROJect<index>:WIMax<index>[:SENSe]:SHARed[:STATe]

This command queries or sets the Use Defaults for All Instruments state, that controls which values are used for measurements.

If the :PROJect<index>:WIMax<index>[:SENSe]:SHARed[:STATe] is set to ON, all instruments associated with WIMax<index> use the values specified by:

  • :PROJect<index>:WIMax<index>[:SENSe]:LPNoise[:STATe]
  • :PROJect<index>:WIMax<index>[:SENSe]:POWer[:RF]:GAIN[:STATe]
  • :PROJect<index>:WIMax<index>[:SENSe]:POWer[:RF]:ATTenuation
  • :PROJect<index>:WIMax<index>[:SENSe]:POWer[:RF]:ATTenuation:AUTO
  • :PROJect<index>:WIMax<index>[:SENSe]:RLEVel

    NOTE: These are the values displayed on the Defaults tab of the Instrument Control window.

If the :PROJect<index>:WIMax<index>[:SENSe]:SHARed[:STATe] is set to OFF, all instruments associated with WIMax<index> use the values specified by:

  • :PROJect<index>:WIMax<index>[:SENSe]:INSTrument<index>:LPNoise[:STATe]
  • :PROJect<index>:WIMax<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation
  • :PROJect<index>:WIMax<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTEnuation:AUTO
  • :PROJect<index>:WIMax<index>[:SENSe]:INSTrument<index>:POWer[:RF]:GAIN[:STATe]
  • :PROJect<index>:WIMax<index>[:SENSe]:INSTrument<index>:RLEVel

    NOTE: These are the values displayed on the individual Instrument tabs of the Instrument Control window.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | On or 1 | n/a | n/a | none

 | :PROJect1:WIMax1:SENSe:SHARed:STATe ON
 | :PROJect1:WIMax1:SHARed ON
 | :PROJ1:WIM1:SENS:SHAR:STAT 1
 | :PROJ1:WIM1:SHAR 1
Examples | :project1:wimax1:sense:shared:state on
 | :PROJect1:wimax1:SENSe:SHARed:STATe? 1
 | :PROJ1:WIM1:SENS:SHAR:STAT? ON
 | :project1:wimax1:shared:state? 1

See also:

  • Instrument Control
  • Individual Instrument Settings
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:SWEep:TIME

Queries or sets the sweep time for the Zero-Span trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | 0.000001 to 0.01 | MAXimum | MINimum | DEFault | 0.0001 | 0.000001 | 0.01 | Seconds

 | :PROJect1:WIMax1:SENSe:SWEep:TIME 0.001
Examples | :PROJ1:WIM1:SWE:TIME 0.001
 | :project1:wimax1:sense:sweep:time 0.001
 | :PROJect1:WIMax1:SENSe:SWEep:TIME? 0.001

:PROJect<index>:WIMax<index>[:SENSe]:TAMPlitude

Queries or sets Track Amplitude.

Query | Return parameters | Set | Set parameters | Special parameters |  | DEF | MIN | MAX | Units
Yes | n/a | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On |  | n/a | n/a | none

 | :PROJect1:WIMax1:SENSe:TAMPlitude 1
Examples | :PROJ1:WIM1:TAMP 1
 | :project1:wimax1:sense:tamplitude on
 | :PROJect1:WIMax1:TAMPlitude? ON

See also:

  • Track Amplitude
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:TCLock

Queries or sets the clock offset.

Query | Return parameters | Set | Set parameters | Special parameters |  | DEF | MIN | MAX | Units
Yes | n/a | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On |  | n/a | n/a | none

 | :PROJect1:WIMax1:SENSe:TCLock 1
Examples | :PROJ1:WIM1:TCL 1
 | :project1:wimax1:sense:tclock on
 | :PROJect1:WIMax1:SENS:TCLock? ON

See also:

  • Track Clock Offset
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:TPHase

Queries or sets the Track Phase Variation.

Query | Return parameters | Set | Set parameters | Special parameters |  | DEF | MIN | MAX | Units
Yes | n/a | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On |  | n/a | n/a | none

 | :PROJect1:WIMax1:SENSe:TPHase Off
Examples | :PROJ1:WIM1:TPH 0
 | :project1:wimax1:sense:tphase off
 | :PROJect1:WIMax1:SENS:TPHase? O

See also:

  • Track Phase Variation
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:TRIGger[:SEQuence]:AUTO[:STATe]

Queries or sets the trigger timeout state.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect1:WIMax1:SENSe:TRIGger:SEQuence:AUTO:STATe Off
 | :PROJect1:WIMax1:TRIGger:SEQuence:AUTO:STATe Off
Examples | :PROJ1:WIM1:TRIG:SEQ:AUTO:STAT OFF
 | :project1:wimax1:sense:trigger:sequence:auto:state off
 | :PROJ1:WIM1:TRIG:SEQ:AUTO:STAT? 0

See also:

  • Trigger Settings
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:TRIGger[:SEQuence]:AUTO:TIMeout

Queries or sets the trigger timeout.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 30 | sec

 | :PROJect1:WIMax1:SENSe:TRIGger:SEQuence:AUTO:TIMeout 5
 | :PROJect1:WIMax1:TRIGger:SEQuence:AUTO:TIMeout 5
Examples | :PROJ1:WIM1:TRIG:SEQ:AUTO:TIM 5
 | :project1:wimax1:sense:trigger:sequence:auto:timeout 5
 | :PROJ1:WIM1:TRIG:SEQ:AUTO:TIM? 5

See also:

  • Trigger Settings
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:TRIGger[:SEQuence]:DELay

Queries or sets the trigger delay.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -30 | 30 | sec

 | :PROJect1:WIMax1:SENSe:TRIGger:SEQuence:DELay -10
 | :PROJect1:WIMax1:TRIGger:SEQuence:DELay -10
Examples | :PROJ1:WIM1:TRIG:SEQ:DEL -10
 | :project1:wimax1:sense:trigger:sequence:delay -10
 | :PROJ1:WIM1:TRIG:SEQ:DEL? -10

See also:

  • Trigger Settings
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:TRIGger[:SEQuence]:OFFSet

Queries or sets the power level that the incoming RF signal must reach to cause a trigger event. The trigger level is determined by Expected Power - Trigger Level Offset. That is, with an Expected Power of -10 dBm and a Trigger Offset Level of 10 dB, the trigger level would be -20 dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0 | 80 | dB

 | :PROJect1:WIMax1:SENSe:TRIGger:SEQuence:OFFSet 10
 | :PROJect1:WIMax1:TRIGger:SEQuence:OFFSet 10
Examples | :PROJ1:WIM1:TRIG:SEQ:OFFS 10
 | :project1:wimax1:sense:trigger:sequence:offset 10
 | :PROJ1:WIM1:TRIG:SEQ:OFFS? 10

See also:

  • Trigger Settings
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:TRIGger[:SEQuence]:PREQual[:LEVel]

Queries or sets the trigger prequalification level.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 32 | dB

 | :PROJect1:WIMax1:SENSe:TRIGger:SEQuence:PREQual:LEVel 3
 | :PROJect1:WIMax1:TRIGger:SEQuence:PREQual:LEVel 3
Examples | :PROJ1:WIM1:TRIG:SEQ:PREQ:LEV 3
 | :project1:wimax1:sense:trigger:sequence:prequal:level 3
 | :PROJ1:WIM1:TRIG:SEQ:PREQ:LEV? 3

See also:

  • Trigger Settings
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:TRIGger[:SEQuence]:PREQual:WINDow

Queries or sets the trigger prequalification time.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 30 | sec

 | :PROJect1:WIMax1:SENSe:TRIGger:SEQuence:PREQual:WINDow 3
 | :PROJect1:WIMax1:TRIGger:SEQuence:PREQual:WINDow 3
Examples | :PROJ1:WIM1:TRIG:SEQ:PREQ:WIND 3
 | :project1:wimax1:sense:trigger:sequence:prequal:window 3
 | :PROJ1:WIM1:TRIG:SEQ:PREQ:WIND? 3

See also:

  • Trigger Settings
  • Project Manifest

:PROJect<index>:WIMax<index>[:SENSe]:TRIGger[:SEQuence]:SOURce

Sets or queries the trigger source.

  • IMMediate: sets the instrument to a continuous trigger mode
  • EXTernal: sets the instrument to receive a trigger from the rear panel TRIG IN connector.
  • VIDeo: sets the instrument to receive a trigger when the input signal reaches a specified power level. The VIDeo trigger is intended for data acquisition of multiple, bursted RF signals. The trigger settings help to base the trigger event on the leading edge of a burst, even when modulation noise is inside the burst.
  • ExternalVIDeo: sets the instrument to receive a trigger from a combination of sources; an external pulse to arm the trigger, and a video signal to perform the trigger.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | IMM | EXT | VID | EVID | Yes | IMMediate | EXTernal | VIDeo | ExternalVIDeo | DEFault | VID | n/a | n/a | none

 | :PROJect2:WIMax1:SENSe:TRIGger:SEQuence:SOURce IMMediate
 | :PROJect2:WIMax3:TRIGger:SOURce EXTernal
Examples | :PROJ2:WIM3:TRIG:SOUR EXT
 | :project3:wimax3:sense:trigger:sequence:source video
 | :PROJect2:WIM1:SENSe:TRIGger:SEQuence:SOURce? IMM

See also:

  • Trigger Settings
  • Project Manifest


:PROJect<index>:WIMax<index>:SYSTem:COMMunicate:INITialize[:ANALyzer]

Initializes Agilent Series V2800 VSAs.

NOTE: If you are analyzing a simulated signal, this command has no effect.

___

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :PROJect1:WIMax1:SYSTem:COMMunicate:INITialize:ANALyzer
Examples | :PROJ1:WIM1:SYST:COMM:INIT:ANAL
 | :project1:wimax1:system:communicate:initialize:analyzer

See also:

  • Initialize Instruments
  • Project Manifest

:PROJect<index>:WIMax<index>:TEMPlate:SAVE

This command allows you to save the auto-detected map information as a template file (*.ksmt) that can be added to a project as a source configuration.

NOTE: To use this feature, the analysis must be configured for auto-detection and the last sweep must have been successful.

TIP: We recommend you save the *.ksmt file to C:\Program Files\Agilent Technologies\Agilent SignalMeister\Item Templates\User Templates. When you save a template file to this location, it will appear in the My Templates toolbox in the SignalMeister™ user interface, where you can then drag and drop the template element onto a project worksheet. Template files saved in any other location will not appear in the My Templates toolbox, but you can still add the template to a project by using the File > Add Template To Project command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | "string" (name of entity), "string" (directory full path) | none | n/a | n/a | n/a | none

Each example below creates a WiMAX 1024 FTT.ksmt template file and places it in the C:\Program Files\Agilent Technologies\Agilent SignalMeister\Item Templates\User Templates\, where it will then appear in the My Templates toolbox in the SignalMeister user interface.

 | :PROJect3:WIMax1:TEMPlate:SAVE "WiMAX 1024 FTT","C:\Program Files\Agilent Technologies\Agilent SignalMeister\Item Templates\User Templates\"
Examples | :PROJ2:WIM2:TEMP:SAVE "WiMAX 1024 FTT","C:\Program Files\Agilent Technologies\Agilent SignalMeister\Item Templates\User Templates\"
 | :project3:wimax1:template:save "WiMAX 1024 FTT","C:\Program Files\Agilent Technologies\Agilent SignalMeister\Item Templates\User Templates\"

See Also:

  • Save Detected Map As Template


:PROJect<index>:WLAN<index>

Select a link to view further command details:

  • :PROJect<index>:WLAN<index>:CALCulate:AVERaged:SWEeps?
  • :PROJect<index>:WLAN<index>:CALCulate:BANDwidth
  • :PROJect<index>:WLAN<index>:CALCulate:CPOWer:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:CRESponse:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:CSUMmary:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:DATA:VALid
  • :PROJect<index>:WLAN<index>:CALCulate:DUPLicate
  • :PROJect<index>:WLAN<index>:CALCulate:EVM:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:EVM:PDATa:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:EVM:PPILot:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:EVM:SUBCarrier:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:EVM:SYMBol:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:EVM:UNIT
  • :PROJect<index>:WLAN<index>:CALCulate:FLATness:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:FMARgin:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:MFLatness:PTPeak:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:IQT:DATA[1|2|3|4]
  • :PROJect<index>:WLAN<index>:CALCulate:PACKet:CRC
  • :PROJect<index>:WLAN<index>:CALCulate:PACKet:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:PACKet:INFO
  • :PROJect<index>:WLAN<index>:CALCulate:SEMask:DATA[1|2|3|4]
  • :PROJect<index>:WLAN<index>:CALCulate:SUMMary:DATA
  • :PROJect<index>:WLAN<index>:CALCulate:SVALues:DATA?
  • :PROJect<index>:WLAN<index>:INITiate:CONTinuous[:STATe]
  • :PROJect<index>:WLAN<index>:INITiate:IMMediate
  • :PROJect<index>:WLAN<index>:INITiate:SWEeps?
  • :PROJect<index>:WLAN<index>[:SENSe]
  • :PROJect<index>:WLAN<index>:SYSTem:COMMunicate:INITialize[:ANALyzer]

See also:

Project Manifest

:PROJect<index>:MANifest

:PROJect<index>:WLAN<index>:CALCulate:AVERaged:SWEeps

This query returns the displayed parameter "Averaged Sweeps" in the parameter table. This command returns the number of sweeps currently held in the circular buffers used for average, min, and max values displayed in the table.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJECT<index>:WLAN<index>:CALCULATE:AVERaged:SWEeps?
Examples | :PROJect<index>:WLAN<index>:CALCulate:AVER:SWE?
 | :project<index>:wlan<index>:calculate:averaged:sweeps?


:PROJect<index>:WLAN<index>:CALCulate:BandWIDth

Queries and returns the detected bandwidth for an 802.11a,g,j,p waveform.

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | <Hz>

 | > :PROJect1:WLAN1:CALCulate:BandWIDth?
 | < 25000000
Examples | > :PROJ1:WLAN1:CALC:BWID?
 | < 25000000
 | > :project1:wlan1:calculate:bandwidth?
 | < 25000000

See also:

  • Project Manifest
  • :PROJect<index>:MANifest

:PROJect<index>:WLAN<index>:CALCulate:CPOWer:DATA

If an 802.11n measurement has successfully completed, returns comma separated values that includes the following information:

  • number of antennas
  • number of streams
  • received power for each antenna and stream, in dBm

_
For example, if there are two antennas and two streams (ports) the return provides 6 comma separated values; the number of antennas, the number of streams and a power level for each of the four streams (ports), in this order:

#antennas,#streams,a[1]s[1],a[1]s[2],a[2]s[1],a[2]s[2]

_
If there are four antennas and four streams (ports) the return provides 18 comma separated values; the number of antennas, number of streams and a power level for each of the 16 streams (ports), in this order:

#antennas,#streams,a[1]s[1],a[1]s[2],a[1]s[3],a[1]s[4],a[2]s[1],a[2]s[2],a[2]s[3],a[2]s[4],...,...a[4]s[4]

_
If fewer than four channels are measured, the unmeasured terms will be empty. If the measurement was not successful, a blank string is returned.

______

NOTE: This command is only valid for 802.11n measurements.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | No | none | none | n/a | n/a | n/a | <dBm>

 | > :PROJect1:WLAN1:CALCulate:CPOWer:DATA?
 | < 2,2,-4.77,-3.56,-2.04,-4.64
Examples | > :PROJ1:WLAN1:CALC:CPOW:DATA?
 | < 2,2,-4.77,-3.56,-2.04,-4.64
 | > :project1:wlan1:calculate:cpower:data?
 | < 2,2,-4.77,-3.56,-2.04,-4.64

See Also:

  • Parameters Table - 802.11n

:PROJect<index>:WLAN<index>:CALCulate:CRESponse:DATA

Reads the channel response traces of a MIMO configuration. It returns comma separated values:

  • number of traces
  • number of points per trace
  • trace 11 data
  • trace 12 data
  • trace ...
  • trace 43 data
  • trace 44 data

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect2:WLAN1:CALCulate:CRESponse:DATA?
Examples | :PROJ2:WLAN1:CALC:CRES:DATA?
 | :project2:wlan1:calculate:cresponse:data?

See Also:

  • Channel Response

:PROJect<index>:WLAN<index>:CALCulate:CSUMmary:DATA

Queries and returns the per-channel summary information for each channel queried in an 802.11n measurement, as displayed in the Parameters Table for that project.

You must provide the channel number and return parameter as part of the argument. The following values are returned, where n is the channel number (These values are displayed in the 802.11n Parameters Table.):

  • n Gain Imbalance
  • n Quadrature Error
  • n Carrier Feedthru Relative to Total
  • n Carrier Feedthru Relative to Average
  • n Channel Power
  • Stream n EVM
  • Channel n Cross Power Terms

______

NOTE: If the last sweep is invalid the query returns 9.91e+37.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MIN | MAX | AVG | LAST for each channel queried. | No | n/a | n/a | n/a | n/a | n/a | none

______

The examples below show the query and return for each of the channels in a 3-channel, 802.11n configuration.

______

> :PROJect1:WLAN1:CALCulate:CSUMmary:DATA? 1,AVG
< -3.13,0.004,-105.57,-88.09,-7.19,-7.19,-95.51,-93.64,-90.83

Examples

> :PROJ1:WLAN1:CALC:CSUM:DATA? 2,MAX
< -0.03,0.003,-104.67,-71.91,-4.77,-63.82,-89.11,-4.77,-80.86

> :project1:wlan1:calculate:csummary:data? 3,MIN
< -0.07,0.017,-45.03,-27.55,-4.8,-19.9,-33.15,-32.18,-4.81

______

:PROJect<index>:WLAN<index>:CALCulate:DATA:VALid

Queries and returns True if the data is valid. Otherwise, returns a False.

_____

NOTE: For MIMO, 802.11b and 802.11a,g,j,p configurations.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect2:WLAN3:CALCulate:DATA:VALid? 1
Examples | :PROJ2:WLAN3:CALC:DATA:VAL? 1
 | :project2:wlan3:calculate:data:valid? 1

:PROJect<index>:WLAN<index>:CALCulate:DUPLicate

Queries whether or not the Duplicate Mode parameter is enabled or disabled for 802.11a,g,j,p configurations.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect2:WLAN3:CALCulate:DUPLicate? 1
Examples | :PROJ2:WLAN3:CALC:DUP? 1
 | :project2:wlan2:calculate:duplicate? 0

See Also:

  • Duplicate Mode

:PROJect<index>:WLAN<index>:CALCulate:EVM:DATA

If an 802.11x measurement has successfully completed, returns a comma separated value of EVM data for each channel in the configuration, as follows:

802.11b

  • RMS EVM
  • MAX EVM

_

¬ These values are displayed in the 802.11b Parameters Table.

802.11a,g,j

  • RMS EVM (overall)

_

¬ These values are displayed in the 802.11a,g,j,p Parameters Table.

802.11n

  • RMS EVM
  • Data RMS EVM
  • Peak Data EVM
  • Pilot RMS EVM
  • Peak Pilot EVM
  • Stream n EVM (where n is the channel number)

_

¬ These values are displayed in the 802.11n Parameters Table.

______

All queries return MIN, MAX, AVG, LAST values where:

  • MIN - returns the minimum value seen
  • MAX - returns the maximum value seen
  • AVG - returns the average value over the number of samples taken
  • LAST - returns the last value returned from the sweep

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MIN | MAX | AVG | LAST | No | n/a | n/a | LAST (if parameter left blank) | n/a | n/a | none

______

The examples below show the queries for maximum, minimum, average and last values from a SignalMeister™ 802.11n 3x MIMO project, labeled project number 2, with WLAN element number 3. Click [image] here to see an example of the project manifest for that configuration.

Project index number example

______

> :PROJect2:WLAN3:CALCulate:EVM:DATA? MAX
< -108.37,-108.29,-99.57,-109.64,-102.86,-107.95,107.92,109.41

> :project2:wlan3:calculate:evm:data? minimum
< -108.37,-108.29,-99.57,-109.64,102.86,-107.95,107.92,109.41

Examples

> :PROJ2:WLAN3:CALC:EVM:DATA? AVG
< -08.37,-108.29,-99.57,-109.64,-102.86,-107.95,107.92,109.41

> :PROJ2:WLAN3:CALC:EVM:DATA? LAST
< -108.37,-108.29,-99.57,-109.64,-102.86,-107.95,107.92,109.41

:PROJect<index>:WLAN<index>:CALCulate:EVM:PDATa:DATA

Queries and returns the following values:

802.11a,g,j

  • Peak Data EVM (dB)
  • Peak Data EVM Subcarrier Index
  • Peak Data EVM Symbol Index

_

¬ These values are displayed in the 802.11a,g,j,p Parameters Table.

802.11n

  • Peak Data EVM (dB)
  • Peak Data EVM Stream Index
  • Peak Data EVM Subcarrier Index
  • Peak Data EVM Symbol Index

_

¬ These values are displayed in the 802.11n Parameters Table.

______

NOTE: If the final sweep was not valid, the value 9.91e+37 is returned.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | No | n/a | n/a | n/a | n/a | n/a | dB

______

The examples below show the peak data EVM for two different WLAN configurations (WLAN2 and WLAN3) in the same project (PROJ2).

______

> :PROJ2:WLAN2:CALC:EVM:PDAT:DATA?
< -23.6,-26,7

> :PROJect2:WLAN2:CALCulate:EVM:PDATa:DATA?
< -23.6,-26,7

> :project2:wlan2:calculate:evm:pdata:data?
< -23.6,-26,7

Examples

> :PROJ2:WLAN3:CALC:EVM:PDAT:DATA?
< -99.57,0,27,1

> :PROJect2:WLAN3:CALCulate:EVM:PDATa:DATA?
< -99.57,0,27,1

> :project2:wlan3:calculate:evm:pdata:data?
< -99.57,0,27,1

______

:PROJect<index>:WLAN<index>:CALCulate:EVM:PPILot:DATA

Queries and returns the following values:

802.11a,g,j

  • Peak Pilot EVM (dB)
  • Peak Pilot EVM Subcarrier Index
  • Peak Pilot EVM Symbol Index

_

¬ These values are displayed in the 802.11a,g,j,p Parameters Table.

802.11n

  • Peak Pilot EVM (dB)
  • Peak Pilot EVM Stream Index
  • Peak Pilot EVM Subcarrier Index
  • Peak Pilot EVM Symbol Index

_

¬ These values are displayed in the 802.11n Parameters Table.

______

NOTE: If the final sweep was not valid, the value 9.91e+37 is returned.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | No | n/a | n/a | n/a | n/a | n/a | <dB>

______

The examples below show the peak pilot EVM data for two different WLAN configurations (WLAN2 and WLAN3) in the same project (PROJ2).

_____

 | > :PROJ2:WLAN2:CALC:EVM:PPIL:DATA?
 | < -42.26,19,7
 | > :PROJect2:WLAN2:CALCulate:EVM:PPIL:DATA?
 | < -42.26,19,7
 | > :project2:wlan2:calculate:evm:ppil:data?
Examples | < -42.26,19,7
 | > :PROJ2:WLAN3:CALC:EVM:PPIL:DATA?
 | < -7.35,0,21,0
 | > :PROJect2:WLAN3:CALCulate:EVM:PPIL:DATA?
 | < -7.35,0,21,0
 | > :project2:wlan3:calculate:evm:ppil:data?
 | < -7.35,0,21,0

______

:PROJect<index>:WLAN<index>:CALCulate:EVM:SUBCarrier:DATA

A vector of EVM versus subcarrier information as displayed in the EVM vs. Subcarrier graph. Returns the number of streams (802.11n), the number of subcarriers, and the EVM for each subcarrier. If the last sweep is invalid a value of 9.91e+37 is returned.

802.11a,g,j,p

#subcarriers,evm[0],evm[1], evm[j], evm[n], ... where j is subcarrier index

These values are displayed in the 802.11a,g,j,p Parameters Table.
_____

802.11n

#streams,#subcarriers,evm[0,0],evm[0,1], evm[i,j], evm[n,m], ... where i is the stream index, j is subcarrier index

These values are displayed in the 802.11n Parameters Table.

______

NOTE: If the final sweep was not valid, the value 9.91e+37 is returned.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | No | n/a | n/a | n/a | n/a | n/a | <dB>

______

 | > :PROJ3:WLAN2:CALC:EVM:SUBC:DATA?
 | < -42.26,19,7
Examples | > :PROJect3:WLAN2:CALCulate:EVM:SUBCarrier:DATA?
 | < -42.26,19,7
 | > :project3:wlan2:calculate:evm:subcarrier:data?
 | < -42.26,19,7

See Also:

  • Display: EVM vs. Subcarrier

:PROJect<index>:WLAN<index>:CALCulate:EVM:SYMBol:DATA

Queries and returns a vector of EVM versus symbol information. If the last sweep was not valid, the returned value is 9.91e+37. Returns the number of symbols.

802.11b

#symbols,preambleevm[1]..preambleevm[n1],headerevm[1]..headerevm[n2],dataevm[1]...dataevm[n3] where #symbols = n1 + n2 + n3

These values are displayed in the 802.11b Parameters Table.
_____

802.11a/g/j/p

#symbols,evm[0],evm[1], evm[j], evm[n], ... where j is symbol index

These values are displayed in the 802.11a,g,j,p Parameters Table.
_____

802.11n

#streams,#symbols,evm[0,0],evm[0,1], evm[i,j], evm[n,m], ... where i is the stream, j is symbol index

These values are displayed in the 802.11n Parameters Table.

______

NOTE: If the final sweep was not valid, the value 9.91e+37 is returned.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | No | n/a | n/a | n/a | n/a | n/a | <dB>

______

 | :PROJ3:WLAN2:CALC:EVM:SYMB:DATA?
Examples | :PROJect3:WLAN2:CALCulate:EVM:SYMBol:DATA?
 | :project3:wlan2:calculate:evm:symbol:data?

______

See Also:

  • Graph: EVM vs. Symbol (802.11n)

:PROJect<index>:WLAN<index>:CALCulate:EVM:UNIT

Queries or sets the global control to display the EVM measurements in the Parameters Table in either dB (On) or percent (Off). Controls the displayed units for the following fields in the Parameters Table:

  • RMS EVM
  • Data RMS EVM
  • Peak Data EVM
  • Pilot RMS EVM
  • Peak Pilot EVM

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 | n/a | n/a | none

 | > :PROJect1:WLAN2:CALCulate:EVM:UNIT 1
Examples | > :PROJ1:WLAN2:CALC:EVM:UNIT?
 | < 1
 | > :project2:wlan2:calculate:evm:unit 0
 | > :PROJ2:WLAN2:CALC:EVM:UNIT?
 | < 0

See Also:

  • Show EVM in dB
  • Parameters Table - 802.11b
  • Parameters Table - 802.11agjp
  • Parameters Table - 802.11n

:PROJect<index>:WLAN<index>:CALCulate:FLATness:DATA

If a MIMO, 802.11a/g/j/p measurement has successfully completed, returns worst case flatness, in dB, and subcarrier index for each channel.

A 2x2 simulated example of the returned data: 0.04, 24, 0.03, 8

NOTE: For 802.11b configurations, a blank string is returned.

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROject1:WLAN1:CALculate:FLATness:DATA?
Examples | :project1:wlan1:calculate:flatness:data?
 | :PROJ1:WLAN1:CALC:FLAT:DATA?

See Also:

  • Subcarrier Flatness

:PROJect<index>:WLAN<index>:CALCulate:FMARgin:DATA

Returns the channel flatness margin for WLAN measurement. The return parameters vary, depending on the WLAN standard.
____

802.11a,g,j,p -- Duplicate Mode

worstCase(lowBand),subCarrier(lowBand),worstCase(highBand),subCarrier(highBand)

These values are displayed in the 802.11a,g,j,p Parameters Table
_____

802.11a,g,j,p -- Non-Duplicate Mode

worstCase(lowBand),subCarrier(lowBand)

These values are displayed in the 802.11a,g,j,p Parameters Table
_____

802.11n

worstCase(1),subCarrier(1),...,worstCase(n),subCarrier(n), ... where n is the index number of the active antenna.

These values are displayed in the 802.11n Parameters Table.

______

NOTE: If the final sweep was not valid, the value 9.91e+37 is returned.

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | (see description above) | No | n/a | n/a | n/a | n/a | n/a | dB

 | > :PROJect3:WLAN2:CALCulate:FMARgin:DATA?
 | < 1.76,245,1.46,-367
Examples | > :PROJ3:WLAN2:CALC:FMAR:DATA?
 | < 1.76,245,1.46,-367
 | > :project3:wlan2:calculate:fmargin:data?
 | < 1.76,245,1.46,-367

:PROJect<index>:WLAN<index>:CALCulate:MFLatness:PTPeak:DATA

Returns the peak-to-peak flatness on WLAN Magnitude Flatness trace. The return parameters vary, depending on the WLAN standard.
____

802.11a,g,j,p -- Duplicate Mode

P - P (lowband), P - P (highband)

These values are displayed in the 802.11a,g,j,p Parameters Table
_____

802.11a,g,j,p -- Non-Duplicate Mode

P - P

These values are displayed in the 802.11a,g,j,p Parameters Table
_____

802.11n

P - P (1), ..., P - P (n) ... where n is the index number of the active antenna.

These values are displayed in the 802.11n Parameters Table

______

NOTE: If the final sweep was not valid, the value 9.91e+37 is returned.

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | (see description above) | No | n/a | n/a | n/a | n/a | n/a | dB

 | > :PROJect3:WLAN2:CALCulate:MFLatness:PTPeak:DATA?
Examples | > :PROJ3:WLAN2:CALC:MFL:PTP:DATA?
 | > :project3:wlan2:calculate:mflatness:ptpeak:data?

:PROJect<index>:WLAN<index>:CALCulate:IQT:DATA[1|2|3|4]

Returns the number of points, followed by IQ trace points for trace 1, 2, 3, or 4 from the specified signal analyzer.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect1:WLAN1:CALCulate:IQT:DATA1?
Examples | :PROJ1:WLAN1:CALC:IQT:DATA1?
 | :project1:wlan1:calculate:iqt:data2?

See also:

  • Project Manifest

:PROJect<index>:WLAN<index>:CALCulate:PACKet:CRC

Queries and returns the CRC state (true or false). A return of False (0) indicates the sweep failed.

_____

NOTE: For MIMO, 802.11a,g,j,p, 802.11b, and 802.11n configurations.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect2:WLAN3:CALCulate:DATA:CRC? 1
Examples | :PROJ2:WLAN3:CALC:DATA:CRC? 1
 | :project2:wlan3:calculate:data:crc? 1

:PROJect<index>:WLAN<index>:CALCulate:PACKet:DATA

Returns the WLAN packet data. All data is returned including the MAC header. Data is returned as comma-separated ASCII.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect1:WLAN1:CALCulate:PACKet:DATA?
Examples | :PROJ1:WLAN1:CALC:PACK:DATA?
 | :project1:wlan1:calculate:packet:data?

:PROJect<index>:WLAN<index>:CALCulate:PACKet:INFO

Returns packet information. If the measurement was not successful, 9.91e+37 is returned.

802.11b

  • Data Rate (bps)
  • Symbol Count (ppm)
  • Length (bytes)
  • Long Preamble Header Present (0 | 1)

_

¬ These values are displayed in the 802.11b Parameters Table.

802.11a/g/j/p

  • Data Rate (bps)
  • Length (bytes)
  • Symbol Count (ppm)
  • Bandwidth (Hz)

_

¬ These values are displayed in the 802.11a,g,j,p Parameters Table.

802.11n

  • MCS (Modulation Coding Scheme) index number
  • Data Length (bytes)
  • Symbol Count (ppm)
  • Bandwidth (Hz)
  • Greenfield (0 | 1)
  • Packet Aggregation (0 | 1)
  • STBC (0 | 1)
  • Short GI (0 | 1)
  • Legacy Data Rate (bps)
  • Legacy Length

_

¬ These values are displayed in the 802.11n Parameters Table.

______

NOTE: If the final sweep was not valid, the value 9.91e+37 is returned.

______

All queries return MIN, MAX, AVG, LAST values where:

  • MIN - returns the minimum value seen
  • MAX - returns the maximum value seen
  • AVG - returns the average value over the number of samples taken
  • LAST - returns the last value returned from the sweep
    ____
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MIN | MAX | AVG | LAST (default) | No | n/a | n/a | LAST (if no parameter selected) | n/a | n/a | none

______

The examples below show the query and return for 802.11b, 802.11a,g,j,p and 802.11n packet information, from three different projects.

______

 | 802.11b | > :PROJect1:WLAN1:CALCulate:PACKet:INFO?
 |  | < 11000000,21,162,1
Examples | 802.11agjp | > :PROJ1:WLAN2:CALC:PACK:INFO?
 |  | < 54000000,540,21,40000000
 | 802.11n | > :project1:wlan3:calculate:packet:info?
 |  | < 12,544,7,40000000,0,1,0,0,6000000,33

_____

:PROJect<index>:WLAN<index>:CALCulate:SEMask:DATA[1|2|3|4]

Returns the number of points, followed by the SEM trace points for trace 1, 2, 3, or 4 from the specified analyzer.

______

Query | Return parameters | Set | Set parameters | Special parameters | MIN | MAX | DEF | Units
Yes | n/a | No | n/a | n/a | n/a | n/a | n/a | none

Examples | :PROJ1:WLAN1:CALC:SEM:DATA1? 512
 | :project2:wlan2:calculate:semask:data2? 1024
 | :PROJect1:WLAN1:CALCulate:SEMask:DATA1? 512

See also:

  • Project Manifest

:PROJect<index>:WLAN<index>:CALCulate:SUMMary:DATA

If an 802.11x measurement has successfully completed, returns comma separated values.

______

802.11b

  • Frequency Offset (Hz)
  • RMS EVM (dB)
  • Maximum EVM (dB)
  • Packet Power (dBm)
  • Carrier leakage (dBr)
  • Power On Time (sec)
  • Power Down Time (sec)

_

¬ These values are displayed in the 802.11b Parameters Table.

802.11a/g/j/p

  • Frequency Offset (Hz)
  • RMS EVM (dB)
  • Channel Power (dBm)
  • Subcarrier Leakage (dBr)
  • Symbol Clock Error (ppm)
  • Gain Imbalance (db)
  • Origin Offset (db)
  • Quadrature Error (deg)

¬ These values are displayed in the 802.11a,g,j,p Parameters Table.

802.11n

  • Frequency Offset (Hz)
  • RMS EVM (dB)
  • Channel Power (dBm)*
  • Worst Case Carrier Leakage (dB)
  • Symbol Clock Error

¬ These values are displayed in the 802.11n Parameters Table.

* All active channels

______

NOTE: If the final sweep was not valid, 9.91e+37 is retutrned.

______

All queries return MIN, MAX, AVG, LAST values where:

  • MIN - returns the minimum value seen
  • MAX - returns the maximum value seen
  • AVG - returns the average value over the number of samples taken
  • LAST - returns the last value returned from the sweep

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MIN | MAX | AVG | LAST | No | none | none | LAST (if no parameter selected) | n/a | n/a | none

 | 802.11b | > :PROJect2:WLAN3:CALCulate:SUMMary:DATA? LAST
 |  | < 0.22,-27.61,-21.73,-1.62,0.000000236,0.000000145
 | 802.11a,g,j,p | > :PROJ3:WLAN2:CALC:SUMM:DATA? MAX
Examples |  | < -154.79,-21.88,-9.75,-25.76,-5.896,-0.01,-42.92,-0.434
 | 802.11n | > :PROJect2:WLAN4:CALCulate:SUMMary:DATA? AVG
 |  | < 10.39,-37.94,-57.85,-55.42,-46.29,3.534

______

:PROJect<index>:WLAN<index>:CALCulate:SVALues:DATA

This query returns the number of spatial streams, the number of subcarriers followed by a vector of the singular value rations for each spatial stream and subcarrier (relative to spatial stream 0).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJECT<index>:WLAN<index>:CALCULATE:SVAL:DATA?
Examples | :PROJect<index>:WLAN<index>:CALCulate:SVALues:DATA?
 | :project<index>:wlan<index>:calculate:svalues:data?

:PROJect<index>:WLAN<index>:INITiate:CONTinuous[:STATe]

Selects either a single or continuous sweep type.

____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect3:WLAN2:INITiate:CONTinuous:STATe 1
Examples | :PROJ3:WLAN2:INIT:CONT:STAT 1
 | :PROJ2:WLAN1:INIT:CONT:STAT 0
 | :project2:wlan1:initiate:continuous:state? Off

See Also:

  • Actions
  • Project Manifest
  • :PROJect<index>:MANifest

:PROJect<index>:WLAN<index>:INITiate:IMMediate

Initiates an immediate single sweep.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

Examples | :PROJect4:WLAN1:INITiate:IMMediate
 | :PROJ4:WLAN1:INIT:IMM
 | :project4:wlan1:initiate:immediate

See Also:

  • Actions
  • Project Manifest
  • :PROJect<index>:MANifest

:PROJect<index>:WLAN<index>:INITiate:SWEeps?

Issuing this command queries the current number of sweeps made. this can be used in conjunction with INIT:IMM and INIT:CONT in that you can query the number of sweeps made since the last time that statistics were reset.

Issuing the set command :PROJect<index>:WLAN<index>:INIT:SWEeps 1 is similar to INIT:COND in that it will start continuous sweep mode, and then stop sweeping after the specified number of sweeps is made. Issuing this command resets all statistics and counts back to zero.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | n/a | n/a | 1 | 1 | Digits with an implied decimal point assumed at the right of the least-significant digit. | none

 | :PROJect2:WLAN3:INITiate:SWEeps?
Examples | :PROJ2:WLAN3:INIT:SWE?
 | :project2:wlan3:initiate:sweeps?
 | :PROJect2:WLAN3:INITiate:SWEeps MIN
 | :PROJ2:WLAN3:INIT:SWE 1


:PROJect<index>:WLAN<index>[:SENSe]

Select a link to view further command details:

  • :PROJect<index>:WLAN<index>[:SENSe]:AVERage:COUNt
  • :PROJect<index>:WLAN<index>[:SENSe]:BER
  • :PROJect<index>:WLAN<index>[:SENSe]:CCK
  • :PROJect<index>:WLAN<index>[:SENSe]:CPTRacking
  • :PROJect<index>:WLAN<index>[:SENSe]:DISPlay:ENABle[:STATe]
  • :PROJect<index>:WLAN<index>[:SENSe]:DMODe
  • :PROJect<index>:WLAN<index>[:SENSe]:DPACket
  • :PROJect<index>:WLAN<index>[:SENSe]:EQUalization
  • :PROJect<index>:WLAN<index>[:SENSe]:FCORrection
  • :PROJect<index>:WLAN<index>[:SENSe]:FER:CERate
  • :PROJect<index>:WLAN<index>[:SENSe]:FER:ERRors
  • :PROJect<index>:WLAN<index>[:SENSe]:FER:FRAMes
  • :PROJect<index>:WLAN<index>[:SENSe]:FREQuency
  • :PROJect<index>:WLAN<index>[:SENSe]:INSTrument<index>:LPNoise[:STATe]
  • :PROJect<index>:WLAN<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation
  • :PROJect<index>:WLAN<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTEnuation:AUTO
  • :PROJect<index>:WLAN<index>[:SENSe]:INSTrument<index>:POWer[:RF]:GAIN[:STATe]
  • :PROJect<index>:WLAN<index>[:SENSe]:RESet:ENABle[:STATe]
  • :PROJect<index>:WLAN<index>[:SENSe]:INSTrument<index>:RLEVel
  • :PROJect<index>:WLAN<index>[:SENSe]:ISPectrum
  • :PROJect<index>:WLAN<index>[:SENSe]:LPNoise[:STATe]
  • :PROJect<index>:WLAN<index>[:SENSe]:OFDM:COUNt
  • :PROJect<index>:WLAN<index>[:SENSe]:OPTimize
  • :PROJect<index>:WLAN<index>[:SENSe]:PDRamp:LIMit[:STATe]
  • :PROJect<index>:WLAN<index>[:SENSe]:PORamp:LIMit[:STATe]
  • :PROJect<index>:WLAN<index>[:SENSe]:POWer[:RF]:ATTenuation
  • :PROJect<index>:WLAN<index>[:SENSe]:POWer[:RF]:ATTenuation:AUTO
  • :PROJect<index>:WLAN<index>[:SENSe]:POWer[:RF]:GAIN[:STATe]
  • :PROJect<index>:WLAN<index>[:SENSe]:RLEVel
  • :PROJect<index>:WLAN<index>[:SENSe]:SEMask
  • :PROJect<index>:WLAN<index>[:SENSe]:SWEep:TIME
  • :PROJect<index>:WLAN<index>[:SENSe]:SHARed[:STATe]
  • :PROJect<index>:WLAN<index>[:SENSe]:TAMPlitude
  • :PROJect<index>:WLAN<index>[:SENSe]:TCLock
  • :PROJect<index>:WLAN<index>[:SENSe]:TPHase
  • :PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]
  • :PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]:AUTO:TIMeout
  • :PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]:DELay
  • :PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]:OFFSet
  • :PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]:PREQual[:LEVel]
  • :PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]:PREQual:WINDow
  • :PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]:SOURce

See also:

Project Manifest

:PROJect<index>:MANifest

:PROJect<index>:WLAN<index>[:SENSe]:AVERage:COUNt

Sets or queries the number of samples (sweeps) used to determine the measurement's average value.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MAXimum | MINimum | AVeraGe | LAST | Yes | MAX | MIN | AVG | LAST | n/a | 10 | 1 | 100 | none

______

The examples below show that the number of samples for Project number 5, WLAN element number 2 is set to 15.

______

 | :PROJect5:WLAN2:SENSe:AVERage:COUNt 15
Examples | :PROJ5:WLAN2:AVER:COUN 15
 | :PROJ5:WLAN2:SENS:AVER:COUN? 15
 | :project5:wlan2:sense:average:count? 15

See Also:

  • Average table over N sweeps


:PROJect<index>:WLAN<index>[:SENSe]:BER

Select a link below to view more command details:

  • :PROJect<index>:WLAN<index>[:SENSe]:BER:CAPTure
  • :PROJect<index>:WLAN<index>[:SENSe]:BER:CERate
  • :PROJect<index>:WLAN<index>[:SENSe]:BER:FNAME
  • :PROJect<index>:WLAN<index>[:SENSe]:BER:IERate
  • :PROJect<index>:WLAN<index>[:SENSe]:BER:MEASure
  • :PROJect<index>:WLAN<index>[:SENSe]:BER:RREFerence
  • :PROJect<index>:WLAN<index>[:SENSe]:BER:RSTatistics
  • :PROJect<index>:WLAN<index>[:SENSe]:BER:SWeeps
:PROJect<index>:WLAN<index>[:SENSe]:BER:CAPTure

Set the Bit Error Rate measurement to capture burst data bits in the following sweep and then use that frame (captured bits) as the reference for the bit error rate test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect1:WLAN1:SENSe:BER:CAPTure
Examples | :PROJ1:WLAN1:BER:CAP
 | :project1:wlan1:sense:ber:capture

:PROJect<index>:WLAN<index>[:SENSe]:BER:CERate

Returns the Cumulative Error Rate (CER) as a double-precision number < 1.0.

The CER is determined by the following: Cumulative Error Rate formula

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

The example below returns the Cumulative Error Rate from SignalMeister™ project number 4, WLAN element number 2.

 | :PROJect4:WLAN2:SENSe:BER:CERate? 0.1
Examples | :PROJ4:WLAN2:SENS:BER:CER? 0.1
 | :project4:wlan2:sense:ber:cerate? 0.1

See also:

  • [:PROJect<index>]:WLAN<index>[:SENSe]:BER:IERate
  • Bit Error Rate Test

:PROJect<index>:WLAN<index>[:SENSe]:BER:FNAME

Set the Bit Error Rate measurement to use a user-supplied reference file for the BER calculation. The file name is a string that includes the file location and name of the reference file.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | String | Yes | String | n/a | n/a | n/a | n/a | none

 | :PROJect1:WLAN1:SENSe:BER:FNAME c:\Documents and Settings\user\My Documents\reference.bits
Examples | :PROJ1:WLAN1:BER:FNAME? c:\Documents and Settings\user\My Documents\reference.bits
 | :project1:wlan1:sense:ber:fname c:\Documents and Settings\user\My Documents\reference.bits

:PROJect<index>:WLAN<index>[:SENSe]:BER:IERate

Returns the Instantaneous Error Rate (IER) as a double-precision number < 1.0. The IER is determined by the following formula:

Instantaneous Error Rate

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

The following examples return the Instantaneous Error Rate of the WLAN element number 3 in SignalMeister™ project number 2.

 | :PROJECT2:WLAN3:SENSe:BER:IERate? 0.01
Examples | :PROJect2:WLAN3:SENSe:BER:IERate? 0.01
 | :project2:wlan3:sense:ber:ierate? 0.01

See also:

  • [:PROJect<index>]:WLAN<index>[:SENSe]:BER:CERate
  • Bit Error Rate Test

:PROJect<index>:WLAN<index>[:SENSe]:BER:MEASure

Turns the Bit Error Rate measurement On or Off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | <n/a> | Yes | OFF | ON | 0 | 1 | n/a | OFF | n/a | n/a | none

 | :PROJect1:WLAN1:SENSe:BER:MEASure ON
Examples | :PROJ1:WLAN1:BER:MEAS 1
 | :project1:wlan1:sense:ber:measure ON

:PROJect<index>:WLAN<index>[:SENSe]:BER:RREFerence

Resets (removes) all reference bits in preparation of using a new reference file or capturing new reference bits.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect1:WLAN1:SENSe:BER:RREFerence
Examples | :PROJ1:WLAN1:SENS:BER:RREF
 | :PROJ1:WLAN1:BER:RREF
 | :project1:wlan1:sense:ber:rreference

:PROJect<index>:WLAN<index>[:SENSe]:BER:RSTatistics

Resets the Bit Error Rate statistics to 0 (zero).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect2:WLAN2:SENSe:BER:RSTatistics
Examples | :PROJ2:WLAN2:BER:RST
 | :project2:wlan2:sense:ber:rstatistics

:PROJect<index>:WLAN<index>[:SENSe]:BER:SWeeps

Returns the number of sweeps taken for the Bit Error Rate calculation.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect2:WLAN2:SENSe:BER:SWeeps? 15
Examples | :PROJ2:WLAN2:BER:SW? 15
 | :project2:wlan2:sense:ber:sweeps? 15

:PROJect<index>:WLAN<index>[:SENSe]:CAPTure:ENABle[:STATe]

Queries or sets the enable state of IQ Capture. When enabled, each measurement writes non-protected IQ data to a file.

NOTE: Protected IQ data generates an error.

_

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 of Off | n/a | n/a | none

______

 | :PROJect1:WLAN1:SENSe:CAPTure:ENABle:STATe Off
 | :PROJect1:WLAN1:CAPTure:ENABle Off
 | :PROJ1:WLAN1:SENS:CAPT:ENAB:STAT 0
Examples | :PROJ1:WLAN1:CAPT:ENAB 0
 | :project1:wlan1:sense:capture:enable:state off
 | :PROJect1:WLAN1:SENSe:CAPTure:ENABle:STATe? O
 | :PROJect1:WLAN1:CAPTure:ENABle? 0

See Also:

  • Enable IQ Capture
  • Project Manifest

:PROJect<index>:WLAN<index>[:SENSe]:CAPTure:FILename

Get or set the file name used for IQ Capture. In a MIMO system, this is the base file name. Each instrument's data is recorded to a different file, which is the base file name, appended with the instrument number 1 to 8. For example, if you have a 4x4 MIMO system with IQ Capture enabled and have named the file myIQdata, SignalMeister™ creates four captured IQ files named myIQdata1, myIQdata2, myIQdata3 and myIQdata4. The file extension is dependent upon the Capture Format, and is either a comma-separated value, single-precision binary or double-precision binary file.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | Yes | string | none | IQCapture.csv | n/a | n/a | none

 | :PROJect2:WLAN1:SENSe:CAPTure:FILename
 | :PROJ2:WLAN1:SENS:CAPT:FIL
 | :PROJ2:WLAN1:CAPT:FIL
Examples | :PROJ2:WLAN1:CAPT:FIL?
 | :PROJect2:WLAN2:SENSe:CAPTure:FILename?
 | :project2:wlan2:sense:capture:filename?

See Also:

  • IQ File Name
  • Capture Format

:PROJect<index>:WLAN<index>[:SENSe]:CAPTure:METadata

Gets the file name used to record the IQ Capture Metadata.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect2:WLAN3:SENSe:CAPTure:METadata?
Examples | :PROJ2:WLAN3:SENS:CAPT:MET?
 | :PROJect2:WLAN3:SENSe:CAPTure:METadata?

:PROJect<index>:WLAN<index>[:SENSe]:CAPTure:TYPE

Queries or sets the file type for IQ Capture. The following choices are available:

  • CSV - ASCII, comma separated values
  • Double - Binary, 64-bit floating point (IEEE-754)
  • Single - Binary, 32-bit floating point (IEEE-754)

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | CSV | DOUBle | SINGle | Yes | CSV | DOUBle | SINGle | n/a | CSV | n/a | n/a | none

 | :PROJect2:WLAN2:SENSe:CAPTure:TYPE CSV
Examples | :PROJ2:WLAN2:SENS:CAPT:TYPE DOUB
 | :PROJect2:WLAN2:SENSe:CAPTure:TYPE SINGle

See Also:

  • Enable IQ Capture


:PROJect<index>:WLAN<index>[:SENSe]:CCK

Select a link to view further command details:

  • :PROJect<index>:WLAN<index>[:SENSe]:CCK:DCOFfset[:STATe]
  • :PROJect<index>:WLAN<index>[:SENSe]:CCK:ELENgth
  • :PROJect<index>:WLAN<index>[:SENSe]:CCK:EQUalizer[:STATe]
  • :PROJect<index>:WLAN<index>[:SENSe]:CCK:FPARameter
  • :PROJect<index>:WLAN<index>[:SENSe]:CCK:FTYPe
  • :PROJect<index>:WLAN<index>[:SENSe]:CCK:IIQ
  • :PROJect<index>:WLAN<index>[:SENSe]:CCK:MLCHips
  • :PROJect<index>:WLAN<index>[:SENSe]:CCK:PSENd
  • :PROJect<index>:WLAN<index>[:SENSe]:CCK:PSSTart

:PROJect<index>:WLAN<index>[:SENSe]:CCK:DCOFfset[:STATe]

Removes DC Offset (802.11b/g only).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect1:WLAN2:SENSe:CCK:DCOFfset:STATe ON
Examples | :PROJ1:WLAN2:CCK:DCOF 1
 | :project1:wlan2:sense:cck:dcoffset:state 1
 | :PROJect1:WLAN2:SENSe:CCK:DCOFfset? ON

:PROJect<index>:WLAN<index>[:SENSe]:CCK:ELENgth

Queries or sets the Equalizer Length (802.11b/g only).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | 1 to 30 | MAXimum | MINimum | DEFault | 11 | 1 | 30 | none

 | :PROJect1:WLAN2:SENSe:CCK:ELENgth 12
Examples | :PROJ1:WLAN2:CCK:ELEN 12
 | :project1:wlan2:sense:cck:elength 12
 | :PROJect1:WLAN2:SENSe:CCK:ELENgth? 12

See Also:

  • Equalizer Length

:PROJect<index>:WLAN<index>[:SENSe]:CCK:EQUalizer[:STATe]

Queries or sets Equalization (On/Off for 802.11b/g).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :PROJect1:WLAN1:SENSe:CCK:EQUalizer:STATe ON
Examples | :PROJ1:WLAN1:CCK:EQU 1
 | :project1:wlan1:sense:cck:equalizer:state 1
 | :PROJ1:WLAN1:SENS:CCK:EQUALIZER:STATE? 1

:PROJect<index>:WLAN<index>[:SENSe]:CCK:FPARameter

Queries or sets the floating point parameter. The Filter Parameter is available when Spectrally Raised Cosine (SRC) or Spectrally Raised Root Cosine (SRRC) is selected as the Filter Type using :PROJect<index>:WLAN<index>[:SENSe]:CCK:FTYPe.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | 0.1 to 0.99 | Yes | 0.1 to 0.99 | MAXimum | MINimum | DEFault | 0.30 | 0.1 | 0.99 | none

 | :PROJect1:WLAN1:SENSe:CCK:FPARameter 0.99
Examples | :PROJ1:WLAN1:CCK:FPAR MAX
 | :project1:wlan1:sense:cck:fparameter maximum
 | :PROJ1:WLAN1:SENS:CCK:FPAR? 0.99

:PROJect<index>:WLAN<index>[:SENSe]:CCK:FTYPe

Queries or sets the filter parameter. When Spectrally Raised Cosine (SRC) or Spectrally Raised Root Cosine (SRRC) is selected as the Filter Type, then the Filter Parameter must be configured. See :PROJect<index>:WLAN<index>[:SENSe]:CCK:FPARameter

NOTE: The subcarriers are automatically pre-weighted, such that the post-filtered subcarriers all have equal power. Therefore, the passband of the signal will appear unaffected by changing the various filter parameters. The out-of-band characteristics of the signal, however, will be impacted by changing the filter parameters.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NONE|BART|BLAC |GAUS|HANN|HAMM| SRC|SRRC|DEF | Yes | NONE|BARTlett| BLACkman|GAUSsian |HANN|HAMMing| SRC|SRRC|DEF | DEFault | NONE | n/a | n/a | none

 | :PROJect2:WLAN2:SENSe:CCK:FTYPe GAUSsian
Examples | :PROJ1:WLAN1:CCK:FTYP BARTlett
 | :project2:wlan2:sense:cck:ftype gaussian
 | :PROJ1:WLAN1:SENS:CCK:FTYP? BART

:PROJect<index>:WLAN<index>[:SENSe]:CCK:IIQ

Queries or sets Invert IQ (802.11b/g only).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :PROJect1:WLAN1:SENSe:CCK:IIQ ON
Examples | :PROJ1:WLAN1:SENS:CCK:IIQ 1
 | :project1:wlan1:sense:cck:iiq on
 | :PROJ1:WLAN1:SENS:CCK:IIQ? 1

:PROJect<index>:WLAN<index>[:SENSe]:CCK:MLCHips

Queries or sets the Maximum Length in Chips (802.11b/g only).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | 1 to 100000 | MAXimum | MINimum | DEFault | 10000 | 1 | 100000 | Chips

 | :PROJect1:WLAN1:SENSe:CCK:MLCHips 2000
Examples | :PROJect1:WLAN1:SENS:CCK:MLCH 2000
 | :project1:wlan1:sense:cck:mlchips 2000
 | :PROJect1:WLAN1:CCK:MLCH? 2000

See Also:

  • Maximum Length in Chips

:PROJect<index>:WLAN<index>[:SENSe]:CCK:PSENd

Queries or sets the Peak Search End (802.11b/g only).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | 1 to 10000 | MAXimum | MINimum | DEFault | 1999 | 1 | 10000 | none

 | :PROJect1:WLAN2:SENSe:CCK:PSENd 1500
Examples | :PROJect1:WLAN2:SENS:CCK:PSEN 1500
 | :project1:wlan2:sense:cck:psend 1500
 | :PROJect1:WLAN2:SENS:CCK:PSEN? 1500

:PROJect<index>:WLAN<index>[:SENSe]:CCK:PSSTart

Queries or sets the Peak Search Start (802.11b/g only).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | 1 to 10000 | MAXimum | MINimum | DEFault | 1000 | 1 | 10000 | none

 | :PROJect1:WLAN2:CCK:PSSTart 200
Examples | :PROJ1:WLAN2:SENS:CCK:PSST 200
 | :project1:wlan2:sense:cck:psstart 200
 | :PROJect1:WLAN2:CCK:PSSTart? 200

:PROJect<index>:WLAN<index>[:SENSe]:CPTRacking

Queries or sets the Common Pilot Tracking (802.11n only).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect1:WLAN1:SENSe:CPTRacking 1
Examples | :PROJ1:WLAN1:SENS:CPTR ON
 | :project1:wlan1:cptracking ON
 | :PROJ1:WLAN1:SENS:CPTR? 1

:PROJect<index>:WLAN<index>[:SENSe]:DISPlay:ENABle[:STATe]

Sets or queries the state of the signal analyzer display. This setting controls turning the instrument display on or off the next time SignalMeister™ communicates with the instrument. This means that the setting does not take effect until another action is performed, such as invoking a measurement, initializing the instrument, performing a sweep, and so on.

_

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

______

NOTE: Turning off the instruments' display speeds up the measurement time, because the individual instruments no longer have to update and refresh their individual screens.

______

 | :PROJect1:WLAN1:SENSe:DISPlay:ENABle:STATe Off
 | :PROJect1:WLAN1:DISPlay:ENABle Off
 | :PROJ1:WLAN1:SENS:DISP:ENAB:STAT 0
Examples | :PROJ1:WLAN1:DISP:ENAB 0
 | :project1:wlan1:sense:display:enable:state off
 | :PROJect1:WLAN1:SENSe:DISPlay:ENABle:STATe? O
 | :PROJect1:WLAN1:DISPlay:ENABle? 0

See also:

  • General Instrument Settings
  • Project Manifest

:PROJect<index>:WLAN<index>[:SENSe]:DMODe

Queries or sets the Duplicate Mode (802.11a/g/j only).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :PROJect1:WLAN1:SENSe:DMODe 1
Examples | :PROJ1:WLAN1:SENS:DMOD ON
 | :project1:wlan1:dmode off
 | :PROJ1:WLAN1:DMOD? 0

See Also:

  • Duplicate Mode

:PROJect<index>:WLAN<index>[:SENSe]:DPACket

Queries or sets the Decode Packet parameter.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :PROJ1:WLAN1:SENS:DPAC ON
Examples | :PROJect1:WLAN1:SENSe:DPACket On
 | :project1:wlan1:sense:dpacket 1
 | :PROJect1:WLAN1:DPACket? On

See Also:

  • Decode Packet

:PROJect<index>:WLAN<index>[:SENSe]:EQUalization

Queries or sets Equalization.

  • 802.11n: ZFORcing | MMSE | ZFCEstimation | DMAPping | DMCEstimation
  • 802.11a/g/j/p: CESEquence | CESData

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ZFOR | MMSE | ZFCE | DMAP | DMCE | CESE | CESD | Yes | ZFORcing | MMSE | ZFCEstimation | DMAPping | DMCEstimation | CESEquence | CESData | none | n/a | n/a | n/a | none

 | :PROJect1:WLAN1:SENSe:EQUalization ZFORcing
 | :PROJ1:WLAN1:SENS:EQU ZFOR
Examples | :PROJect1:WLAN2:SENSe:EQUalization CESData
 | :project1:wlan2:equalization cesdata
 | :PROJect1:WLAN1:SENSe:EQUalization? ZFOR
 | :PROJect1:WLAN2:EQUalization? CESD

See Also:

  • Equalization (802.11a/g/j/p)
  • Equalization (802.11n)

:PROJect<index>:WLAN<index>[:SENSe]:FCORrection

Queries or sets the Frequency Correction (802.11a/g/j/p and n).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NCOR | CCSS | FCLS | SFFE | Yes | NCORrection | CCSSymbols | FCLSymbols | SFFEstimation | DEFault | NCORrection | n/a | n/a | none

 | :PROJ1:WLAN1:SENS:FCOR NCOR
 | :PROJect1:WLAN1:SENSe:FCORrection NCORrection
 | :PROJ2:WLAN1:FCOR:CCSS
Examples | :PROJect2:WLAN1:FCORrection:CCSSymbols
 | :project1:wlan1:sense:fcorrection ncorrection
 | :project2:wlan1:fcorrection ccssymbols
 | :PROJect1:WLAN1:SENSe:FCORrection? NCOR
 | :PROJect2:WLAN1:FCORrection? CCSS

See Also:

  • Frequency Correction

:PROJect<index>:WLAN<index>[:SENSe]:FER:CERate

Returns the frame/packet cumulative error rate (CER) as a double-precision number < 1.0.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect2:WLAN3:SENSe:FER:CERate? 0.02
Examples | :PROJ2:WLAN3:SENS:FER:CER? 0.02
 | :project2:wlan3:sense:fer:cerate? 0.02

See Also:

  • Frame Error Rate

:PROJect<index>:WLAN<index>[:SENSe]:FER:ERRors

Returns the number of frames/packets in error.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect2:WLAN3:SENSe:FER:ERRors? 17
Examples | :PROJ2:WLAN3:SENS:FER:ERR? 17
 | :project2:wlan3:sense:fer:errors? 17

See Also:

  • Frame Error Rate

:PROJect<index>:WLAN<index>[:SENSe]:FER:FRAMes

Returns the number of frames/packets analyzed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :PROJect1:WLAN1:SENSe:FER:FRAMes? 512
Examples | :PROJ1:WLAN1:SENS:FER:FRAM? 512
 | :project1:wlan1:sense:fer:frames? 512

See Also:

  • Frame Error Rate

:PROJect<index>:WLAN<index>[:SENSe]:FREQuency

Queries or sets the analyzer's center frequency.

______

NOTE: The frequency is not changed in the signal analyzer until after a sweep is performed.

_______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000000 | 400000000 | 6000000000 | Hz

 | :PROJect2:WLAN1:SENSe:FREQuency 1.5e9
 | :PROJ2:WLAN1:FREQ 1.5e9
Examples | :proj1:wlan1:freq 800000000
 | :project1:wlan1:sense:frequency? 800000000
 | :PROJect2:WLAN1:SENSe:FREQuency? 1500000000

:PROJect<index>:WLAN<index>[:SENSe]:INSTrument<index>:LPNoise[:STATe]

This command queries or sets the Low Phase Noise option (2820A-UPN) that is set and used on individual instruments in the system if [:PROJect<index>]:WLAN<index>[:SENSe]:SHARed[:STATe] is set to OFF. If this command is set to ON, the Low Phase Noise mode is set for all instruments in the system by the command [:PROJect<index>]:WLAN<index>[:SENSe]:LPNoise[:STATe].

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:WLAN<index>[:SENSe]:LPNoise[:STATe], even in a SISO system.

______

If your instrument is equipped with the -UPN option, enabling Low Phase Noise invokes the following performance improvements:

  • Improved phase noise: < -140 dBc/Hz phase noise at a 300 kHz offset with a 2 GHz carrier
  • Improved EVM performance for WLAN signal (WLAN 802.11n EVM floor as low as -48 dBc)
  • Improved ORFS performance for GSM and EDGE signals
  • Typical frequency switching time of 1 ms (with the Low Phase Noise setting disabled, the frequency switching time is 250 µs)

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :PROJect1:WLAN1:SENSe:INSTrument1:LPNoise:STATe ON
 | :PROJect1:WLAN1:INST1:LPN ON
 | :PROJ1:WLAN1:SENS:INST1:LPN:STAT 1
Examples | :PROJ1:WLAN1:INST1:LPN 1
 | :project1:wlan1:sense:instrument1:lpnoise:state on
 | :project1:wlan1:sense:instrument1:lpnoise:state? 1

See also:

  • Low Phase Noise
  • Project Manifest
  • :PROJect<index>:WLAN<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:WLAN<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation

Queries or sets the Attenuation level for the specified Agilent Series V2800 VSA.

This command queries or sets an attenuation level (in dB) that is set and used on individual instruments in the system if [:PROJect<index>]:WLAN<index>[:SENSe]:SHARed[:STATe] is set to OFF. If this command is set to ON, the attenuation level is set for all instruments in the system by the command [:PROJect<index>]:WLAN<index>[:SENSe]:POWer[:RF]:ATTenuation.

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:WLAN<index>[:SENSe]:POWer[:RF]:ATTenuation, even in a SISO system.__

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 30 | dB

 | :PROJect1:WLAN2:SENSe:INSTrument1:POWer:RF:ATTenuation 10
 | :PROJ1:WLAN2:SENS:INST1:POW:RF:ATT 10
 | :PROJect1:WLAN2:INSTrument1:POWer:ATTenuation 10
Examples | :PROJ1:WLAN2:INST1:POW:ATT 10
 | :PROJect1:WLAN2:SENSe:INSTrument1:POWer:RF:ATTenuation? 10
 | :project1:wlan2:sense:instrument1:power:rf:attenuation? 10

See also:

  • Project Manifest
  • Manual Atten
  • :PROJect<index>:WLAN<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:WLAN<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation:AUTO

This command queries or sets the automatic attenuation state that is set and used on each individual instrument in the system if [:PROJect<index>]:WLAN<index>[:SENSe]:SHARed[:STATe] is set to OFF. If this command is set to ON, the automatic attenuation state is set for all instruments in the system by the command [:PROJect<index>]:WLAN<index>[:SENSe]:POWer[:RF]:ATTenuation:AUTO

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:WLAN<index>[:SENSe]:POWer[:RF]:ATTenuation:AUTO, even in a SISO system.

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect1:WLAN2:SENSe:INSTrument1:POWer:RF:ATTenuation:AUTO 0FF
 | :PROJ1:WLAN2:SENS:INST1:POW:RF:ATT:AUTO 0
 | :PROJect1:WLAN2:INSTrument1:POWer:ATTenuation:AUTO Off
Examples | :PROJ1:WLAN2:INST1:POW:ATT:AUTO 0
 | :PROJect1:WLAN2:SENSe:INSTrument1:POWer:RF:ATTenuation:AUTO? 0
 | :project1:wlan2:sense:instrument1:power:rf:attenuation:auto? 0

See also:

  • Project Manifest
  • Auto Atten
  • :PROJect<index>:WLAN<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:WLAN<index>[:SENSe]:INSTrument<index>:POWer[:RF]:GAIN[:STATe]

This command queries or sets the Preamp (Gain) state that is set and used on each individual instrument in the system if [:PROJect<index>]:WLAN<index>[:SENSe]:SHARed[:STATe] is set to OFF. If this command is set to ON, the Gain state is set for all instruments in the project by the command [:PROJect<index>]:WLAN<index>[:SENSe]:POWer[:RF]:GAIN[:STATe].

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:WLAN<index>[:SENSe]:POWer[:RF]:GAIN[:STATe], even in a SISO system.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect1:WLAN2:SENSe:INSTrument2:POWer:RF:GAIN:STATe Off
 | :PROJ1:WLAN2:SENS:INST2:POW:RF:GAIN:STAT OFF
 | :PROJect1:WLAN3:INSTrument1:POWer:GAIN ON
Examples | :PROJ1:WLAN3:INST1:POW:GAIN ON
 | :PROJect1:WLAN3:SENSe:INSTrument1:POWer:RF:GAIN:STATe? 1
 | :PROJ1:WLAN2:INST2:POW:GAIN:STAT? 0
 | :project1:wlan2:sense:instrument2:power:rf:gain:state? 0

See also:

  • Preamp On
  • Project Manifest
  • :PROJect<index>:WLAN<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:WLAN<index>[:SENSe]:INSTrument<index>:RLEVel

Queries or sets the reference level for the specified Agilent Series V2800 VSA.

This command sets a reference level that is set and used on individual instruments in the system if [:PROJect<index>]:WLAN<index>[:SENSe]:SHARed[:STATe] is set to OFF. If this command is set to ON, the Reference Level is set for all instruments in the system by the command [:PROJect<index>]:WLAN<index>[:SENSe]:RLEVel.

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:WLAN<index>[:SENSe]:RLEVel, even in a SISO system.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -170 | 30 | dBm

 | :PROJect2:WLAN3:SENSe:INSTrument1:RLEVel MAXimum
Examples | :PROJ2:WLAN3:INST1:RLEV MAX
 | :project2:wlan3:sense:instrument1:rlevel? 30
 | :PROJ2:WLAN3:INST1:RLEV? 30

See also:

  • Expected Power
  • Project Manifest
  • :PROJect<index>:WLAN<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:WLAN<index>[:SENSe]:ISPectrum

Queries or sets the Invert Spectrum parameter.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :PROJect2:WLAN1:SENSe:ISPectrum On
 | :PROJ2:WLAN1:SENS:ISP 1
Examples | :PROJ2:WLAN1:ISP 1
 | :project2:wlan1:sense:ispectrum on
 | :PROJect2:WLAN1:SENSe:ISPectrum? ON

See also:

  • Invert Spectrum

:PROJect<index>:WLAN<index>[:SENSe]:LPNoise[:STATe]

NOTE: This feature is available only for the Agilent Technologies Series V2800 Vector Signal Analyzer with the ulltra low phase noise option (V2820A-UPN).

_____
This command queries or sets the Ultra Low Phase Noise option V2820A-UPN) that is set and used on all instruments in the system if [:PROJect<index>]:WLAN<index>[:SENSe]:SHARed[:STATe] is set to ON. If this command is set to OFF, the Low Phase Noise mode is set for each individual instrument by the command [:PROJect<index>]:WLAN<index>[:SENSe]:INSTrument<index>:LPNoise[:STATe].

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:WLAN<index>[:SENSe]:INSTrument<index>:LPNoise[:STATe], even in a SISO system.

______

If your instrument is equipped with the -UPN option, enabling Low Phase Noise invokes the following performance improvements:

  • Improved phase noise: < -140 dBc/Hz phase noise at a 300 kHz offset with a 2 GHz carrier
  • Improved EVM performance for WLAN signal (WLAN 802.11n EVM floor as low as -48 dBc)
  • Improved ORFS performance for GSM and EDGE signals
  • Typical frequency switching time of 1 ms (with the Low Phase Noise setting disabled, the frequency switching time is 250 µs)

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :PROJect1:WLAN1:SENSe:LPNoise:STATe ON
 | :PROJect1:WLAN1:LPNoise ON
 | :PROJ1:WLAN1:SENS:LPN:STAT 1
Examples | :PROJ1:WLAN1:LPN 1
 | :project1:wlan1:sense:lpnoise:state on
 | :project1:wlan1:sense:lpnoise:state? 1

See also:

  • Low Phase Noise
  • Project Manifest
  • :PROJect<index>:WLAN<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:WLAN<index>[:SENSe]:OFDM:COUNt

For 802.11 a,g,j,p, queries or sets the maximum number of OFDM symbols to be demodulated.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | 1 to 100000 | MAXimum | MINimum | DEFault | 10000 | 1 | 100000 | Symbols

 | :PROJect1:WLAN1:SENSe:OFDM:COUNt 15000
Examples | :PROJ1:WLAN1:SENS:OFDM:COUN 15000
 | :project1:wlan1:sense:ofdm:count 15000
 | :PROJect1:WLAN1:OFDM:COUNt 15000
 | :PROJ1:WLAN1:OFDM:COUN? 15000
 | :PROJect1:WLAN1:SENSe:OFDM:COUNt? 15000

See Also:

  • Demodulate at most N OFDM Symbols

:PROJect<index>:WLAN<index>[:SENSe]:OPTimize

Optimizes the the instrument. Sets auto-range, single-shot.

NOTE: If you are analyzing a simulated signal, this command has no effect.

___

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :PROJect1:WLAN1:SENSe:OPTimize
 | :PROJect1:WLAN1:OPTimize
Examples | :PROJ1:WLAN1:SENS:OPT
 | :PROJ1:WLAN1:OPT
 | :project1:wlan1:optimize

See Also:

  • Optimize Setup
  • Recovering from an Optimization Failure

:PROJect<index>:WLAN<index>[:SENSe]:PDRamp:LIMit[:STATe]

Queries or sets the Power Down Ramp measurement (802.11b/g only).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect1:WLAN1:SENSe:PDRamp:LIMit:STATe On
 | :PROJ1:WLAN1:SENS:PDR:LIM:STAT 1
 | :PROJect1:WLAN1:PDRamp:LIMit:STATe On
Examples | :PROJ1:WLAN1:PDR:LIM: 1
 | :project1:wlan1:sense:pdramp:limit:state on
 | :PROJect1:WLAN1:SENSe:PDRamp:LIMit:STATe? 1
 | :PROJect1:WLAN1:PDRamp:LIMit:STATe? 1

See Also:

  • Graph: Ramp Off Transient

:PROJect<index>:WLAN<index>[:SENSe]:PORamp:LIMit[:STATe]

Queries or sets the Power On Ramp measurement (802.11b/g only).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect1:WLAN1:SENSe:PORamp:LIMit:STATe OFF
 | :PROJect1:WLAN1:PORamp:LIMit: OFF
Examples | :PROJ1:WLAN1:SENS:POR:LIM:STAT 0
 | :PROJ1:WLAN1:POR:LIM: 0
 | :project1:wlan1:sense:poramp:limit:state off
 | :PROJect1:WLAN1:PORamp:LIMit? 0

See Also:

  • Graph: Ramp On Transient

:PROJect<index>:WLAN<index>[:SENSe]:POWer[:RF]:ATTenuation<index>

Queries or sets the Attenuation level for the specified Agilent Series V2800 VSA.

This command queries or sets an attenuation level (in dB) that is set and used on all instruments in the system if [:PROJect<index>]:WLAN<index>[:SENSe]:SHARed:ENABle[:STATe] is set to ON. If this command is set to OFF, the attenuation level is set for each individual instrument by the command [:PROJect<index>]:WLAN<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation<index>.

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:WLAN<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation, even in a SISO system.__

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 30 | dB

 | > :PROJect1:WLAN2:SENSe:POWer:RF:ATTenuation1 10
 | > :PROJ1:WLAN2:SENS:POW:RF:ATT1 10
 | > :PROJect1:WLAN2:POWer:ATTenuation1 10
 | > :PROJ1:WLAN2:POW:ATT1 10
Examples | > :PROJect1:WLAN2:SENSe:POWer:RF:ATTenuation1?
 | < 10
 | > :project1:wlan2:sense:power:rf:attenuation1?
 | < 10

See also:

  • Project Manifest
  • Manual Atten
  • :PROJect<index>:WLAN<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:WLAN<index>[:SENSe]:POWer[:RF]:ATTenuation<index>:AUTO

This command queries or sets the automatic attenuation state that is set and used on all instruments in the system if [:PROJect<index>]:WLAN<index>[:SENSe]:SHARed[:STATe] is set to ON. If this command is set to OFF, the automatic attenuation state is set for each individual instrument by the command [:PROJect<index>]:WLAN<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation:AUTO

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:WLAN<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation:AUTO, even in a SISO system.

__________

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | On | n/a | n/a | none

 | > :PROJect1:WLAN2:SENSe:POWer:RF:ATTenuation2:AUTO 0FF
 | > :PROJ1:WLAN2:SENS:POW:RF:ATT2:AUTO 0FF
 | > :PROJect1:WLAN2:POWer:ATTenuation2:AUTO OFF
Examples | > :PROJ1:WLAN2:POW:ATT2:AUTO 0FF
 | > :PROJect1:WLAN2:SENSe:POWer:RF:ATTenuation2:AUTO?
 | < 0FF
 | > :project1:wlan2:sense:power:rf:attenuation2:auto?
 | > OFF

See also:

  • Project Manifest
  • Auto Atten
  • :PROJect<index>:WLAN<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:WLAN<index>[:SENSe]:POWer[:RF]:GAIN

This command queries or sets the Preamp (Gain) state that is set and used on all instruments in the system if [:PROJect<index>]:WLAN<index>[:SENSe]:SHARed[:STATe] is set to ON. If this command is set to OFF, the Gain state is set for each individual instrument by the command [:PROJect<index>]:WLAN<index>[:SENSe]:INSTrument<index>:POWer[:RF]:GAIN[:STATe].

NOTE: This value is not the same as the corresponding value set by [:PROJect<index>]:WLAN<index>[:SENSe]:INSTrument<index>:POWer[:RF]:GAIN[:STATe], even in a SISO system.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect1:WLAN2:SENSe:POWer:RF:GAIN:STATe Off
 | :PROJ1:WLAN2:SENS:POW:RF:GAIN:STAT OFF
 | :PROJect1:WLAN2:POWer:GAIN ON
Examples | :PROJ1:WLAN2:POW:GAIN ON
 | :PROJect1:WLAN2:SENSe:POWer:RF:GAIN:STATe? 1
 | :project1:wlan2:sense:power:rf:gain:state? 1

See also:

  • Preamp On
  • Project Manifest
  • :PROJect<index>:WLAN<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:WLAN<index>[:SENSe]:RESet:ENABle[:STATe]

This setting controls whether or not SignalMeister™ will send the *RST command to the instrument(s) whan an initialization sequence is performed.

When set to true (On), SignalMeister™ resets the instrument(s) the next time SignalMeister™ communicates with the instrument. This means that the setting does not take effect until another action is performed, such as initializing the instrument, invoking a measurement, and so on.

_

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

______

 | :PROJect1:WLAN1:SENSe:RESet:ENABle:STATe Off
 | :PROJect1:WLAN1:RESet:ENABle Off
 | :PROJ1:WLAN1:SENS:RES:ENAB:STAT 0
Examples | :PROJ1:WLAN1:RES:ENAB 0
 | :project1:wlan1:sense:reset:enable:state off
 | :PROJect1:WLAN1:SENSe:RESet:ENABle:STATe? O
 | :PROJect1:WLAN1:RESet:ENABle? 0

See Also:

  • Reset Instruments (General Instrument Settings)
  • Project Manifest

:PROJect<index>:WLAN<index>[:SENSe]:RLEVel

Queries or sets the reference level (expected power) for the specified Agilent Series V2800 VSA.

This command sets a reference level that is set and used on all instruments in the system if :PROJect<index>:WLAN<index>[:SENSe]:SHARed[:STATe] is set to ON. If this command is set to OFF, the Reference Level is set for each individual instrument by the command :PROJect<index>:WLAN<index>[:SENSe]:INSTrument<index>:RLEVel.

NOTE: This value is not the same as the corresponding value set by :PROJect<index>:WLAN<index>[:SENSe]:INSTrument<index>:RLEVel, even in a SISO system.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -170 | 30 | dBm

 | :PROJect1:WLAN1:SENSe:RLEVel -40
 | :PROJect1:WLAN1:RLEVel -40
Examples | :PROJ1:WLAN1:SENS:RLEV -40
 | :project2:wlan2:sense:rlevel -130
 | :project2:wlan2:rlevel -130
 | :PROJect2:WLAN2:SENS:RLEV? -130

See also:

  • Expected Power
  • Project Manifest
  • :PROJect<index>:WLAN<index>[:SENSe]:SHARed[:STATe]

:PROJect<index>:WLAN<index>[:SENSe]:SEMask

Queries or sets the selection of Spectral Emission Mask measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | DISabled | DEFault | USEr | 0 | 1 | 2 | | none | n/a | n/a | 0.01 | none

  • DIS - Disabled = 0
  • DEF - Use automatic defaults = 1
  • USER - Use mask specified in SEM editor = 2

 | :PROJect1:WLAN1:SENSe:SEMask 2
 | :PROJect2:WLAN2:Sense:SEMask DISable
Examples | :PROJ2:WLAN2:SENS:SEM DIS
 | :project1:wlan1:semask 0
 | :PROJ1:WLAN1:SEM?
 | :PROJ2:WLAN2:SENS:SEM? DIS

See Also:

  • SEM Mask Setting
  • SEM (Spectrum Emission Mask) Editor
  • Advanced SEM Settings
  • :PROJect<index>:WLAN<index>[:SENSe]:SEMask:OBW:THREshold

:PROJect<index>:WLAN<index>[:SENSe]:SEMask:OBW:THREshold

Queries or sets the percentage of total power used to calculate the occupied bandwidth of the signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 99 | 1 | 100 | none

 | :PROJect1:WLAN1:SENSe:SEMask:OBW:THREshold 99
 | :PROJect2:WLAN2:Sense:SEMask:OBW:THREshold min
Examples | :PROJ2:WLAN2:SENS:SEM:OBW:THREshold MAX
 | :project1:wlan1:SENSE:semask:OBW:THREshold
 | :PROJ1:WLAN1:SEM:OBW:THREshold?
 | :PROJ2:WLAN2:SENS:SEM:OBW:THRE?

:PROJect<index>:WLAN<index>[:SENSe]:SWEep:TIME

Queries or sets the sweep time for Zero-Span trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | 0.000001 to 0.01 | MAXimum | MINimum | DEFault | 0.0001 | 0.000001 | 0.01 | Seconds

 | :PROJect1:WLAN1:SENSe:SWEep:TIME 0.0001
Examples | :PROJ1:WLAN1:SENS:SWE:TIME 0.0001
 | :project1:wlan1:sense:sweep:time 0.0001
 | :PROJ1:WLAN1:SENS:SWE:TIME? 0.0001

See Also:

  • General Measurement Settings

:PROJect<index>:WLAN<index>[:SENSe]:SHARed[:STATe]

This command queries or sets the Use Defaults for All Instruments state, that controls which values are used for measurements.

If the :PROJect<index>:WLAN<index>[:SENSe]:SHARed[:STATe] is set to ON, all instruments associated with WLAN<index> use the values specified by:

  • :PROJect<index>:WLAN<index>[:SENSe]:LPNoise[:STATe]
  • :PROJect<index>:WLAN<index>[:SENSe]:POWer[:RF]:GAIN[:STATe]
  • :PROJect<index>:WLAN<index>[:SENSe]:POWer[:RF]:ATTenuation
  • :PROJect<index>:WLAN<index>[:SENSe]:POWer[:RF]:ATTenuation:AUTO
  • :PROJect<index>:WLAN<index>[:SENSe]:RLEVel

    NOTE: These are the values displayed on the Defaults tab of the Instrument Control window.

_____
If the :PROJect<index>:WLAN<index>[:SENSe]:SHARed[:STATe] is set to OFF, all instruments associated with WLAN<index> use the values specified by:

  • :PROJect<index>:WLAN<index>[:SENSe]:INSTrument<index>:LPNoise[:STATe]
  • :PROJect<index>:WLAN<index>[:SENSe]:INSTrument<index>:POWer[:RF]:GAIN[:STATe]
  • :PROJect<index>:WLAN<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation
  • :PROJect<index>:WLAN<index>[:SENSe]:INSTrument<index>:POWer[:RF]:ATTenuation:AUTO
  • :PROJect<index>:WLAN<index>[:SENSe]:INSTrument<index>:RLEVel

    NOTE: These are the values displayed on the individual Instrument tabs of the Instrument Control window.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | On or 1 | n/a | n/a | none

 | :PROJect1:WLAN1:SENSe:SHARed:STATe ON
 | :PROJect1:WLAN1:SHARed ON
 | :PROJ1:WLAN1:SENS:SHAR:STAT 1
 | :PROJ1:WLAN1:SHAR 1
Examples | :project1:wlan1:sense:shared:state on
 | :PROJect1:wlan1:SENSe:SHARed:STATe? 1
 | :PROJ1:WLAN1:SENS:SHAR:STAT? ON
 | :project1:wlan1:shared:state? 1

See also:

  • Instrument Control
  • Individual Instrument Settings
  • Project Manifest

:PROJect<index>:WLAN<index>[:SENSe]:TAMPlitude

Queries or sets Track Amplitude (802.11 a,g,j and n).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :PROJect2:WLAN1:SENSe:TAMPlitude Off
Examples | :PROJ2:WLAN1:SENS:TAMP 0
 | :project2:wlan1:sense:tamplitude off
 | :PROJect2:WLAN1:SENSe:TAMPlitude? 0

See Also:

  • Track Amplitude

:PROJect<index>:WLAN<index>[:SENSe]:TCLock

Queries or sets Track Clock Offset (802.11 a,g,j and n).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect2:WLAN1:SENSe:TCLock Off
 | :PROJect2:WLAN1:TCLock Off
 | :PROJ2:WLAN1:SENS:TCL 0
 | :PROJ2:WLAN1:TCL 0
Examples | :project2:wlan1:sense:tclock off
 | :project2:wlan1:tclock off
 | :PROJect2:WLAN1:SENSe:TCLock? 0
 | :PROJect2:WLAN1:TCLock? 0

See Also:

  • Track Clock Offset

:PROJect<index>:WLAN<index>[:SENSe]:TPHase

Queries or sets Track Phase Variation (802.11 a,g,j and n).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :PROJect1:WLAN1:SENSe:TPHase 0
Examples | :PROJ1:WLAN1:SENS:TPH OFF
 | :project1:wlan1:sense:tphase off
 | :PROJect1:WLAN1:SENSe:TPHase? 0

See Also:

  • Track Phase Variation

:PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]

Select a link to view further command details:

  • :PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]:AUTO[:STATe]
  • :PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]:AUTO:TIMeout
  • :PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]:DELay
  • :PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]:LEVel
  • :PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]:PREQual[:LEVel]
  • :PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]:PREQual:WINDow
  • :PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]:SOURce

:PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]:AUTO:TIMeout

Queries or sets the trigger timeout.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 30 | sec

 | :PROJect1:WLAN1:SENSe:TRIGger:SEQuence:AUTO:TIMeout 5
 | :PROJect1:WLAN1:TRIGger:SEQuence:AUTO:TIMeout 5
Examples | :PROJ1:WLAN1:TRIG:SEQ:AUTO:TIM 5
 | :project1:wlan1:sense:trigger:sequence:auto:timeout 5
 | :PROJ1:WLAN1:TRIG:SEQ:AUTO:TIM? 5

See Also:

  • Auto Trigger Timeout

:PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]:DELay

Queries or sets the trigger delay.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -30 | 30 | sec

 | :PROJect1:WLAN1:SENSe:TRIGger:SEQuence:DELay -10
 | :PROJect1:WLAN1:TRIGger:SEQuence:DELay -10
Examples | :PROJ1:WLAN1:TRIG:SEQ:DEL -10
 | :project1:wlan1:sense:trigger:sequence:delay -10
 | :PROJ1:WLAN1:TRIG:SEQ:DEL? -10

See Also:

  • Trigger Delay

:PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]:OFFSet

Queries or sets the power level that the incoming RF signal must reach to cause a trigger event. The trigger level is determined by Expected Power - Trigger Level Offset. That is, with an Expected Power of -10 dBm and a Trigger Offset Level of 10 dB, the trigger level would be -20 dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0 | 80 | dB

 | :PROJect1:WLAN1:SENSe:TRIGger:SEQuence:OFFSet 10
 | :PROJect1:WLAN1:TRIGger:SEQuence:OFFSet 10
Examples | :PROJ1:WLAN1:TRIG:SEQ:OFFS 10
 | :project1:wlan1:sense:trigger:sequence:offset 10
 | :PROJ1:WLAN1:TRIG:SEQ:OFFS? -0

See Also:

  • Trigger Level

:PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]:PREQual[:LEVel]

Queries or sets the trigger prequalification level.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 32 | dB

 | :PROJect1:WLAN1:SENSe:TRIGger:SEQuence:PREQual:LEVel 3
 | :PROJect1:WLAN1:TRIGger:SEQuence:PREQual:LEVel 3
Examples | :PROJ1:WLAN1:TRIG:SEQ:PREQ:LEV 3
 | :project1:wlan1:sense:trigger:sequence:prequal:level 3
 | :PROJ1:WLAN1:TRIG:SEQ:PREQ:LEV? 3

See Also:

  • Trigger Prequal Level

:PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]:PREQual:WINDow

Queries or sets the trigger pre-qualification time.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 30 | sec

 | :PROJect1:WLAN1:SENSe:TRIGger:SEQuence:PREQual:WINDow 3
 | :PROJect1:WLAN1:TRIGger:SEQuence:PREQual:WINDow 3
Examples | :PROJ1:WLAN1:TRIG:SEQ:PREQ:WIND 3
 | :project1:wlan1:sense:trigger:sequence:prequal:window 3
 | :PROJ1:WLAN1:TRIG:SEQ:PREQ:WIND? 3

See Also:

  • Trigger Prequal Time

:PROJect<index>:WLAN<index>[:SENSe]:TRIGger[:SEQuence]:SOURce

Sets or queries the trigger source.

  • IMMediate: sets the instrument to a continuous trigger mode
  • EXTernal: sets the instrument to receive a trigger from the rear panel TRIG IN connector.
  • VIDeo: sets the instrument to receive a trigger when the input signal reaches a specified power level. The VIDeo trigger is intended for data acquisition of multiple, bursted RF signals. The trigger settings help to base the trigger event on the leading edge of a burst, even when modulation noise is inside the burst.
  • ExternalVIDeo: sets the instrument to receive a trigger from a combination of sources; an external pulse to arm the trigger, and a video signal to perform the trigger.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | IMM | EXT | VID | EVID | Yes | IMMediate | EXTernal | VIDeo | ExternalVIDeo | DEFault | VID | n/a | n/a | none

 | :PROJect2:WLAN1:SENSe:TRIGger:SEQuence:SOURce IMMediate
 | :PROJect2:WLAN3:TRIGger:SOURce EXTernal
Examples | :PROJ2:WLAN3:TRIG:SOUR EXT
 | :project3:wlan3:sense:trigger:sequence:source video
 | :PROJect2:WLAN1:SENSe:TRIGger:SEQuence:SOURce? IMM

See Also:

  • Trigger Source


:PROJect<index>:WLAN<index>:SYSTem:COMMunicate:INITialize[:ANALyzer]

Initializes Series V2800 VSA instruments.

NOTE: If you are analyzing a simulated signal, this command has no effect.

___

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :PROJect1:WLAN1:SYSTem:COMMunicate:INITialize[:ANALyzer]
Examples | :PROJ1:WLAN1:SYST:COMM:INIT[:ANAL]
 | :project1:wlan1:system:communicate:initialize[:analyzer]

See also:

  • Initialize Instruments
  • Project Manifest
  • :PROJect<index>:MANifest


:PROJect<index>:WORKsheet<index>

Changes the active worksheet in the associated project.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

The examples below show that the the active worksheet has been changed in Project 2 to Worksheet 3.

 | :PROJect2:WORKsheet3
Examples | :PROJ2:WORK3
 | :project2:worksheet3

See Also:

  • Worksheets Menu
  • Project Manifest


:SYSTem

Select a link to view command details:

  • :SYSTem:ERRor:ALL
  • :SYSTem:ERRor:[NEXT]
  • :SYSTem:IO:DEFault:MIMO:SANalyzer[1...8]
  • :SYSTem:IO:DEFault:MIMO:SGENerator[1...8]
  • :SYSTem:IO:DEFault:SISO:SANalyzer
  • :SYSTem:IO:DEFault:SISO:SGENerator
  • :SYSTem:IO:DEFault:USE:NEW
  • :SYSTem:IO:DEFault:USE:RECalled
  • :SYSTem:IO:OPEN:TIMeout
  • :SYSTem:IO:TIMeout
  • :SYSTem:IO:SUSPend
  • :SYSTem:VERSion

:SYSTem:ERRor:ALL

Reads all errors in the error queue. This query command is similar to the :SYSTem:ERRor:NEXT? command, except that all messages in the error queue are sent to the computer when the instrument is addressed to talk. All codes and messages are removed from the queue.

Return format:

__

<number>,"error description[; optional error details]",<number>,"error description[; optional error details]" ...
(sequence repeats to report every error in the queue)

If there are no errors in the queue, the return is 0,"No Error". If an error is present, the return is a list of errors.

Example return:

__

-100,"Command Error",-200,"Execute Error;Optimize Failed"

_____
See also:

  • Error queue for Series V2800 and Series V2900 instruments
  • Error queue for SignalMeister™

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | No | n/a | n/a | n/a | n/a | n/a | none

 | :SYSTem:ERRor:ALL?
Examples | :SYST:ERR:ALL?
 | :system:error:all?

:SYSTem:ERRor[:NEXT]

Reads the next error in the queue. As error and status messages occur, they are placed in the error queue. The error queue is a first-in first-out (FIFO) register that can hold up to 10 messages. After sending this command and addressing the instrument to talk, the oldest code and message is sent to the computer and is then removed from the queue.

Return format:

__

<number>,"error description[; optional error details]"

If there are no errors in the queue, the return is 0,"No Error".

Example return:

__

-200,"Execute Error;Optimize Failed"

Returns a "0" (zero) if no errors are in the queue, otherwise it returns the latest error on the stack, last-in-first-out (LIFO).

_____
See also:

  • Error queue for Series V2800 and Series V2900 instruments
  • Error queue for SignalMeister™

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:NEXT?
Examples |  | :SYST:ERR?
 |  | :system:error?

:SYSTem:IO:DEFault:MIMO:SANalyzer[1..8]

Queries or sets the VISA resource string used for MIMO VSA objects (either new or recalled depending upon SYSTem:IO:DEFault:NEW/RECalled). The channel # (index #) is optional (defaults to 1) but must be from 1 to 8 if included.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | VISA resource string | Yes | VISA resource string | n/a | n/a | n/a | n/a | none

The set example SCPI commands below show that the Defalut VISA Resources are configured with the IP address as 12.22.109.234 for the VSA listed as instrument number 2 in a MIMO configuration, and is using Socket Port number 5025 of network inteface card (NIC) 0 to communicate with that instrument.

The query example returns the VISA resource string associated with the Series V2800 VSA that is set as signal analyzer number 3 in a MIMO configuration. It shows that the signal analyzer listed as instrument number 3, has an IP address of 12.22.109.244, is using NIC card 1 and the Socket Port number is 49152.

______

 | :SYST:IO:DEF:MIMO:SAN2 TCPIP0::12.22.109.234::5025::SOCKET
Examples | :SYSTem:IO:DEFault:MIMO:SANalyzer2 TCPIP0::12.22.109.234::5025::SOCKET
 | :system:io:default:mimo:sanalyzer2 TCPIP0::12.22.109.234::5025:: SOCKET
 | :SYSTem:IO:DEFault:MIMO:SANalyzer3? TCPIP1::12.22.109.244::49152::SOCKET

______

See also:

Default VISA Resources

LAN/TCPIP Interface Setup

:SYSTem:IO:DEFault:MIMO:SGENerator[1..8]

Queries or sets the VISA resource string used for MIMO VSG objects (either new or recalled depending upon SYSTem:IO:DEFault:NEW/RECalled). The channel # (index #) is optional (defaults to 1) but must be from 1 to 8 if included.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | VISA resource string | Yes | VISA resource string | n/a | n/a | n/a | n/a | none

The set example SCPI commands below show that the Defalut VISA Resources are configured with the IP address as 12.22.109.234 for the VSG listed as instrument number 2 in a MIMO configuration, and is using Socket Port number 5025 of network inteface card (NIC) 0 to communicate with that instrument.

The query example returns the VISA resource string associated with the Series 2900 VSG that is set as signal analyzer number 3 in a MIMO configuration. It shows that the signal analyzer listed as instrument number 3, has an IP address of 12.22.109.244, is using NIC card 1 and the Socket Port number is 49152.

______

 | :SYST:IO:DEF:MIMO:SGEN2 TCPIP0::12.22.109.234::5025::SOCKET
Examples | :SYSTem:IO:DEFault:MIMO:SGENerator2 TCPIP0::12.22.109.234::5025::SOCKET
 | :system:io:default:mimo:sgenerator2 TCPIP::12.22.109.234::5025:: SOCKET
 | :SYSTem:IO:DEFault:MIMO:SGENerator3? TCPIP1::12.22.109.244::49152::SOCKET

______

See also:

Default VISA Resources

LAN/TCPIP Interface Setup

:SYSTem:IO:DEFault:SISO:SANalyzer

Queries or sets the VISA resource string used for SISO VSA objects (either new or recalled depending upon SYSTem:IO:DEFault:NEW/RECalled).

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | VISA resource string | Yes | VISA resource string | n/a | n/a | n/a | n/a | none

The set example SCPI commands below show that the Defalut VISA Resource is configured with the IP address as 12.22.109.234, and is using Socket Port number 5025 of network inteface card (NIC) 0 to communicate with that instrument.

The query example returns the VISA resource string associated with the Series V2800 VSA that is set as the signal analyzer in a SISO configuration. It shows that the signal analyzer has an IP address of 12.22.109.244, is using NIC card 1 and the Socket Port number is 49152.

______

 | :SYST:IO:DEF:SISO:SAN TCPIP0::12.22.109.234::5025::SOCKET
Examples | :SYSTem:IO:DEFault:SISO:SANalyzer TCPIP0::12.22.109.234::5025::SOCKET
 | :system:io:default:siso:sanalyzer TCPIP0::12.22.109.234::5025:: SOCKET
 | :SYSTem:IO:DEFault:SISO:SANalyzer? TCPIP1::12.22.109.244::49152::SOCKET

______

See also:

Default VISA Resources

LAN/TCPIP Interface Setup

:SYSTem:IO:DEFault:SISO:SGENerator

Queries or sets the VISA resource string used for SISO VSG objects (either new or recalled depending upon SYSTem:IO:DEFault:NEW/RECalled).

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | VISA resource string | Yes | VISA resource string | n/a | n/a | n/a | n/a | none

The set example SCPI commands below show that the Defalut VISA Resource is configured with the IP address as 12.22.109.234, and is using Socket Port number 5025 of network inteface card (NIC) 0 to communicate with that instrument.

The query example returns the VISA resource string associated with the Series 2900 VSG that is set as the signal analyzer in a SISO configuration. It shows that the signal analyzer has an IP address of 12.22.109.244, is using NIC card 1 and the Socket Port number is 49152.

______

 | :SYST:IO:DEF:SISO:SGEN TCPIP0::12.22.109.234::5025::SOCKET
Examples | :SYSTem:IO:DEFault:SISO:SGENerator TCPIP0::12.22.109.234::5025::SOCKET
 | :system:io:default:siso:sgenerator TCPIP0::12.22.109.234::5025:: SOCKET
 | :SYSTem:IO:DEFault:SISO:SGENerator? TCPIP1::12.22.109.244::49152::SOCKET

______

See also:

Default VISA Resources

LAN/TCPIP Interface Setup

:SYSTem:IO:DEFault:USE:NEW

Queries or sets the "Use default VISA Resources for new instrument objects" value.

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SYSTem:IO:DEFault:USE:NEW 1
Examples | :SYST:IO:DEF:USE:NEW 1
 | :SYST:IO:DEF:USE:NEW? 1
 | :system:IO:default:use:new 1

See also:

VISA Configuration

:SYSTem:IO:DEFault:USE:RECalled

Queries or sets the "Use default VISA Resources for recalled instrument objects" value.

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SYSTem:IO:DEFault:USE:RECalled 0
Examples | :SYST:IO:DEF:USE:REC 0
 | :SYST:IO:DEF:USE:REC? 0
 | :system:IO:default:use:recalled 0

See also:

VISA Configuration

:SYSTem:IO:OPEN:TIMeout

Queries or sets the VISA Open Timeout in milliseconds. This value is used for all connections made after the parameter is set.

____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Integer | Yes | Integer | n/a | 1000 | 100 | 60000 | none

 | :SYSTem:IO:OPEN:TIMeout 1500
Examples | :SYST:IO:OPEN:TIM 1500
 | :system:IO:open:timeout? 2000
 | :SYST:IO:OPEN:TIM? 2000

See also:

VISA Configuration

:SYSTem:IO:TIMeout

Queries or sets the VISA I/O Timeout in milliseconds. This value is used for all connections made after the parameter is set.

_

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Integer | Yes | Integer | n/a | 15000 | 15000 | 60000 | ms

 | :SYSTem:IO:TIMeout 15000
Examples | :SYST:IO:TIM 15000
 | :system:IO:timeout? 20000
 | :SYST:IO:TIM? 20000

______

See also:

VISA Configuration

:SYSTem:IO:SUSPend

Suspends, or closes, all open VISA I/O connections to allow another controller to access the instruments currently being controlled by SignalMeister™. SignalMeister automatically re-opens the connections on demand, for example, when Single Sweep or Initialize Instrument is chosen, so SignalMeister™ must be in a quiescent state prior to the other application taking control of the instruments.

NOTE: SignalMeister™ does not check for changes to the instruments' settings, nor does it force a re-initialization of the instrument, so if the instrument state changes, the controlling application should prompt SignalMeister™ to re-initialize the instrument.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | VISA resource string | n/a | n/a | n/a | n/a | none

 | :SYSTem:IO:SUSPend TCPIP0::12.22.109.234::5025::SOCKET
Examples | :SYST:IO:SUSP TCPIP0::12.22.109.234::5025::SOCKET
 | :system:IO:suspend TCPIP0::12.22.109.234::5025::SOCKET

:SYSTem:VERSion

Returns just the version portion of the *IDN? query.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | Yes | none | none | n/a | n/a | n/a | none

 | :SYSTem:VERSion?
Examples | :system:version?
 | :SYST:VERS?


SignalMeister SCPI command error messages

SignalMeister SCPI error message strings
-430 | Query deadlocked
-420 | Query unterminated
-410 | Query interrupted
-360 | Communication error
-350 | Queue overflow
-310 | System error
-258 | Media protected
-257 | File name error
-256 | File name not found
-256 | File name not found; the system cannot find the path specified
-256 | File name not found; the filename, directory name or volume label syntax is incorrect
-256 | File name not found; the network path was not found
-256 | File name not found; the network name cannot be found
-254 | Media full
-253 | Corrupt media
-252 | Missing media
-251 | Missing mass storage
-250 | Mass storage error
-250 | Mass storage error; the system cannot open the file
-250 | Mass storage error; No more connections can be made to this remote computer at this time
-250 | Mass storage error; the system cannot find the drive specified
-250 | Mass storage error; the directory or file cannot be created
-240 | Hardware error
-240 | Hardware error; read
-240 | Hardware error; write
-230 | Data corrupt or stale
-225 | Out of memory
-224 | Illegal parameter value
-222 | Data out of range
-221 | Settings conflict
-220 | Parameter error
-213 | Init ignored
-200 | Execute error
-161 | Invalid block data
-151 | Invalid string data
-138 | Suffix not allowed
-131 | Invalid suffix
-121 | Invalid character in number
-120 | Numeric data error
-115 | Unexpected number of parameters
-114 | Header suffix out of range
-113 | Undefined header
-112 | Program mnemonic too long
-111 | Header separator error
-110 | Command header error
-109 | Missing parameter
-108 | Parameter not allowed
-105 | Get not allowed
-104 | Data type error
-103 | Invalid separator
-102 | Syntax error
-101 | Invalid character
-100 | Command error
0 | No error
1 | License error
10 | Internal error
11 | Internal error - not implemented
100 | Conflict
101 | Invalid project file
110 | File content invalid
111 | Error loading file
112 | Error opening file for write
113 | Error loading/applying map
120 | Instruments not properly connected and configured
121 | Time out waiting for instrument configuration state
122 | I/O Error with instrument
123 | Instrument reported error
130 | Invalid SEM definition
200 | Optimize failed
210 | Too busy. Synchronize with *OPC? or *WAI
211 | Build error
212 | Download error
213 | Load error
214 | Run error
215 | Template error
220 | Instrument reported overload condition during measurement
221 | Demod failed
222 | Attempted to get results, last sweep was invalid
223 | Measured result is available only for MIMO configuration
224 | Cannot capture protected IQ data
225 | Analysis aborted due to previous error
226 | Error updating display
WLAN 300...399
WiMAX 400...499
Agilent 89600 VSA Errors
600 | Unable to connect to Agilent 89600 VSA software
601 | Missing requested license option in the Agilent 89600 VSA software
602 | Encountered a Glacier limitation with SignalMeister interaction


Series V2800 SCPI command locator

___

Making measurements

____
General purpose

Spectrum

:MEASure[:SELect]

[:SENSe]:FREQuency

[:SENSe]:SPECtrum

:DISPlay:WINDow:TRACe:Y[:SCALe]:RLEVel

:DISPlay:WINDow:TRACe:Y[:SCALe]:PDIVision

Zero span

:DISPlay:WINDow:TRACe:Y[:SCALe]:RLEVel

:DISPlay:WINDow:TRACe:Y[:SCALe]:PDIVision

:DISPlay:VIEW:ZSPan:TYPE

:DISPlay:WINDow:TRACe:Y[:SCALe]:PDIVision:ZSPan:FREQuency

:MEAS[:SELect]

[:SENSe]:FREQuency

[:SENSe]:ZSPan

[:SENSe]:ZSPan:AVERage:TYPE:FREQuency

ACPR

:CALCulate:ACPR:LIMit

:MEASure[:SELect]

[:SENSe]:ACPR

[:SENSe]:ACPR:ADJacent1|ADJacent2

[:SENSe]:ACPR:AVERage

[:SENSe]:ACPR:BANDwidth[:RESolution]:TYPE

[:SENSe]:ACPR:BWIDth[:RESolution]:TYPE

[:SENSe]:ACPR:CENTer

[:SENSe]:ACPR:FAST

[:SENSe]:ACPR:NCORrection

Channel power list

:MEASure[:SELect]

:TRACe:CPList:HOLD

[:SENSe]:ADC:DITHer[:STATe]

[:SENSe]:AINT

[:SENSe]:CPList

Spectrum Emission Mask

: CALCulate:GPSEM

:MEAS[:SELect]

[:SENSe]:GPSEM

[:SENSe]:SEMask

[:SENSe]:WLAN:SEMask

____
Digital

FSK

:CALCulate:FSK:ADRoop

:CALCulate:FSK:COFFset

:CALCulate:FSK:EVM:ENSemble

:CALCulate:FSK:EVM:PEAK

:CALCulate:FSK:EVM:PEAK:OFFSet

:CALCulate:FSK:EVM:RMS

:CALCulate:FSK:FDRift

:CALCulate:FSK:FSEParation

:CALCulate:FSK:IQRatio

:CALCulate:FSK:LEVel[:RMS]

:CALCulate:FSK:NSYMbols

:CALCulate:FSK:ORATio

:CALCulate:FSK:SRATe

:DISPlay:DMODulation:PERSistence

:DISPlay:DMODulation:PERSistence:CLEar

:DISPlay:DMODulation:TARGets

:DISPlay:DMODulation:TARGets:SIZE

:DISPlay:DMODulation:TRACe

:DISPlay:DMODulation:TRAJectories

:DISPlay:DMODulation:VIEW

[:SENSe]:DMODulation:SYMBol:COUNt

[:SENSe]:FSK:DENCoding

[:SENSe]:FSK:FILTer

[:SENSe]:FSK:FSEParation

[:SENSe]:FSK:SPS

[:SENSe]:FSK:STYPe

PSK

:CALCulate:PSK:ADRoop

:CALCulate:PSK:CFEedthru

:CALCulate:PSK:COFFset

:CALCulate:PSK:EVM:ENSemble

:CALCulate:PSK:EVM:PEAK

:CALCulate:PSK:EVM:PEAK:OFFSet

:CALCulate:PSK:EVM[:RMS]

:CALCulate:PSK:FDRift

:CALCulate:PSK:IOFFset

:CALCulate:PSK:LEVel[:RMS]

:CALCulate:PSK:LEVel:SYMBol

:CALCulate:PSK:NSYMbols

:CALCulate:PSK:ORATio

:CALCulate:PSK:QOFFset

:CALCulate:PSK:SRATe

:DISPlay:DMODulation:PERSistence

:DISPlay:DMODulation:PERSistence:CLEar

:DISPlay:DMODulation:TARGets

:DISPlay:DMODulation:TARGets:SIZE

:DISPlay:DMODulation:TRACe

:DISPlay:DMODulation:TRAJectories

:DISPlay:DMODulation:VIEW

[:SENSe]:DMODulation:SYMBol:COUNt

[:SENSe]:PSK:DENCoding

[:SENSe]:PSK:FILTer

[:SENSe]:PSK:SPS

[:SENSe]:PSK:STYPe

____
Modulation standards

EDGE

:CALCulate:EDGE

:CALCulate:EDGE:CONStellation

:CALCulate:EDGE:CPOWer

:CALCulate:EDGE:EVECtors:DATA

:CALCulate:EDGE:EVM:CFERror

:CALCulate:EDGE:EVM:DATA

:CALCulate:EDGE:EVM:DROop

:CALCulate:EDGE:EVM:IQGError

:CALCulate:EDGE:EVM:IQOOffset

:CALCulate:EDGE:EVM:LIMit

:CALCulate:EDGE:EVM:P95

:CALCulate:EDGE:EVM:PEAK

:CALCulate:EDGE:EVM:RMS

:CALCulate:EDGE:EVMTrace:DATA

:CALCulate:EDGE:IQData:DATA

:CALCulate:EDGE:LIMit:FAIL

:CALCulate:EDGE:ORFS:MODulation

:CALCulate:EDGE:ORFS:SWITching

:CALCulate:EDGE:SYMBol:DATA

:CALCulate:EDGE:TMASk

:DISPlay:VIEW:EDGE

:DISPlay:VIEW:EDGE:TYPE

:MEASure[:SELect]

[:SENSe]:EDGE

[:SENSe]:EDGE:CPOWer

[:SENSe]:EDGE:EVM

[:SENSe]:EDGE:ORFS:MODulation

[:SENSe]:EDGE:ORFS:SWITching

[:SENSe]:EDGE:TMASK

[:SENse]:EDGE:TSEQuence

[:SENSe]:EDGE:TSLot

[:SENSe]:EPOWer

GSM

:CALCulate:GSM

:CALCulate:GSM:CPOWer

:CALCulate:GSM:LIMit:FAIL

:CALCulate:GSM:ORFS:MODulation

:CALCulate:GSM:ORFS:SWITching

:CALCulate:GSM:PERRor

:CALCulate:GSM:SYMBol:DATA

:CALCulate:GSM:TMASK

:DISPlay:VIEW:GSM

:DISPlay:VIEW:GSM:TYPE

:MEASure[:SELect]

[:SENSe]:EPOWer

[:SENSe]:GSM

[:SENSe]:GSM:CPOWer

[:SENSe]:GSM:ORFS:MODulation

[:SENSe]:GSM:ORFS:SWITching

[:SENSe]:GSM:PERRor

[:SENSe]:GSM:TMASK

[:SENSe]:GSM:TSEQuence

[:SENSe]:GSM:TSLot

cdma2000

:CALCulate:CDMA:REVerse

:CALCulate:CDMA:REVerse:ACHannels

:CALCulate:CDMA:REVerse:ACPR

:CALCulate:CDMA:REVerse:EVM

:CALCulate:CDMA:REVerse:FERRor

:CALCulate:CDMA:REVerse:IMARker

:CALCulate:CDMA:REVerse:IQOFfset

:CALCulate:CDMA:REVerse:OBWidth

:CALCulate:CDMA:REVerse:PCDE

:CALCulate:CDMA:REVerse:QMARker

:CALCulate:CDMA:REVerse:SEMask:LIMit

:DISPlay:VIEW:CDMA

:MEASure[:SELect]

:TRACe:ACPR:HOLD

[:SENSe]:ACPR

[:SENSe]:CDMA:REVerse:ACPR:SWEep:TIME

[:SENSe]:CDMA:REVerse:AVERage

[:SENSe]:OBWidth:AVERage

[:SENse]:SEMask

[:SENSe]:SEMask:DETector[:FUNCtion]

W-CDMA Uplink

:CALCulate:WCDMa:UPLink

:CALCulate:WCDMa:UPLink:ACHannels

:CALCulate:WCDMa:UPLINK:ACLR:LIMIT

:CALCulate:WCDMa:UPLink:EVM

:CALCulate:WCDMa:UPLink:FERRor

:CALCulate:WCDMa:UPLink:IMARker

:CALCulate:WCDMa:UPLink:IOFFset

:CALCulate:WCDMa:UPLink:IQOFfset

:CALCulate:WCDMa:UPLink:OBWidth

:CALCulate:WCDMa:UPLink:PCDE

:CALCulate:WCDMa:UPLink:QMARker

:CALCulate:WCDMa:UPLink:SEMask:CPOWer

:CALCulate:WCDMa:UPLink:SEMask:LIMit

:CALCulate:WCDMa:UPLink:TPOWer

:DISPlay:VIEW:WCDMa

:MEASure[:SELect]

:TRACE:ACPR:HOLD

[:SENSe]:WCDMa:UPLink

[:SENse]:WCDMa:UPLink:ACLR:SWEep:TIME

[:SENSe]:WCDMa:UPLink:AVERage

[:SENSe]:WCDMa:UPLink:CODE

[:SENSe]:WCDMa:DOWNlink:EVM:SYMBol

[:SENSe]:WCDMa:DOWNlink:HSDPa[:STATe]

W-CDMA Downlink

:CALCulate:WCDMa:DOWNlink:ACHannels

:CALCulate:WCDMa:DOWNlink:ACLR:LIMIT

:CALCulate:WCDMa:DOWNlink:EVM

:CALCulate:WCDMa:DOWNlink:FERRor

:CALCulate:WCDMa:DOWNlink:IOFFset

:CALCulate:WCDMa:DOWNlink:IQOFfset

:CALCulate:WCDMa:DOWNlink:MARker

:CALCulate:WCDMa:DOWNlink:OBWidth

:CALCulate:WCDMa:DOWNlink:PCDE

:CALCulate:WCDMa:DOWNlink:QOFFset

:CALCulate:WCDMa:DOWNlink:SEMask:LIMit

:CALCulate:WCDMa:DOWNlink:TPOWer

:DISPlay:VIEW:WCDMa

:MEAS[:SELect]:

:TRACE:ACPR:HOLD

[:SENSe]:WCDMa:DOWNlink

[:SENSe]:WCDMa:DOWNlink:ACLR:SWEep:TIME

[:SENSe]:WCDMa:DOWNlink:AVERage

[:SENSe]:WCDMa:DOWNlink:CODE

[:SENSe]:WCDMa:DOWNlink:EVM:SYMBol

[:SENSe]:WCDMa:DOWNlink:MULTicarrier[:STATe]

[:SENSe]:WCDMa:DOWNlink:HSDPa[:STATe]

WiMAX

:CALCulate:WIMax:CFEedthru

:CALCulate:WIMax:CFERror

:CALCulate:WIMax:CONStellation:SYMBol:TYPE

:CALCulate:WIMax:CPOWer

:CALCulate:WIMax:DOWNlink:DSYMbols

:CALCulate:WIMax:FMARgin

:CALCulate:WIMax:MASDifference

:CALCulate:WIMax:MFLatness:MARGins

:CALCulate:WIMax:MFLatness:PTPeak

:CALCulate:WIMax:PAPRatio

:CALCulate:WIMax:RCE

:CALCulate:WIMax:UPLink:DSYMbols

:DISPlay:VIEW:WIMax

:DISPlay:VIEW:WIMAX:TYPE

:DISPlay:WIMax:GCOMpression:Y[:SCALe]:PDIVision

:DISPlay:WIMax:GCOMpression:Y[:SCALe]:RPOSition

:DISPlay:WIMax:MFLatness:Y[:SCALe]:PDIVision

:DISPlay:WIMax:PCOMpression:Y[:SCALe]:PDIVision

:DISPlay:WIMax:PCOMpression:Y[:SCALe]:RPOSition

:DISPlay:WIMax:RHIStory:Y[:SCALe]:PDIVision

:DISPlay:WIMax:RHIStory:Y[:SCALe]:TOP

:DISPlay:WIMax:RVSubcarrier:Y[:SCALe]:PDIVision

:DISPlay:WIMax:RVSubcarrier:Y[:SCALe]:TOP

:DISPlay:WIMax:RVSYmbol:Y[:SCALe]:PDIVision

:DISPlay:WIMax:RVSYmbol:Y[:SCALe]:TOP

[:SENSe]:WIMax:AVERage:COUNT

[:SENSe]:WIMax:AVERage[:STATe]

[:SENSe]:WIMax:EQUalizer

[:SENSe]:WIMax:GAIN[:STATe]

[:SENSe]:WIMax:MAP

[:SENSe]:WIMax:RHIStory:CLEar

[:SENSe]:WIMax:RHIStory:LENGth

[:SENSe]:WIMax:SIGNal

[:SENSe]:WIMax:TAMPlitude

[:SENSe]:WIMax:TCLock

[:SENSe]:WIMax:SIGNal

[:SENSe]:WIMax:TAMPlitude

[:SENSe]:WIMax:TCLock

[:SENSe]:WIMax:TPHase

WLAN

:CALCulate:WLAN:BANDwidth

:CALCulate:WLAN:BWIDth

:CALCulate:WLAN:CFEedthru

:CALCulate:WLAN:CFERror

:CALCulate:WLAN:CONStellation

:CALCulate:WLAN:CPOWer

:CALCulate:WLAN:DRATe

:CALCulate:WLAN:EVCHannel

:CALCulate:WLAN:EVM:PEAK

:CALCulate:WLAN:EVM[:RMS]

:CALCulate:WLAN:FMARgin

:CALCulate:WLAN:GCOMpression:FACTor

:CALCulate:WLAN:HEADer

:CALCulate:WLAN:MFLatness:PTPeak

:CALCulate:WLAN:NSYMbols

:CALCulate:WLAN:PDRamp

:CALCulate:WLAN:PERRor

:CALCulate:WLAN:PFLatness:PTPeak

:CALCulate:WLAN:PILot:EVM:PEAK

:CALCulate:WLAN:PILot:EVM[:RMS]

:CALCulate:WLAN:PORamp

:CALCulate:WLAN:SCERror

:CALCulate:WLAN:SEMask

:CALCulate:WLAN:SIGNal

:DISPlay:VIEW:WLAN

:DISPlay:VIEW:WLAN:TYPE

:DISPlay:WLAN:CCDF:X[:SCALe]:PDIVision

:DISPlay:WLAN:EVCHannel:Y[:SCALe]:PDIVision

:DISPlay:WLAN:EVCHannel:Y[:SCALe]:TOP

:DISPlay:WLAN:EHIStory:Y[:SCALe]:PDIVision

:DISPlay:WLAN:EHIStory:Y[:SCALe]:TOP

:DISPlay:WLAN:EVSYmbol:Y[:SCALe]:PDIVision

:DISPlay:WLAN:EVSYmbol:Y[:SCALe]:TOP

:DISPlay:WLAN:GCOMpression:Y[:SCALe]:PDIVision

:DISPlay:WLAN:GCOMpression:Y[:SCALe]:RPOSition

:DISPlay:WLAN:MFLatness:Y[:SCALe]:PDIVision

:DISPlay:WLAN:PCOMpression:Y[:SCALe]:PDIVision

:DISPlay:WLAN:PCOMpression:Y[:SCALe]:RPOSition

:DISPlay:WLAN:PFLatness:Y[:SCALe]:PDIVision

[:SENSe]:WLAN:ATIMe

[:SENSe]:WLAN:AVERage

[:SENSe]:WLAN:CCDF

[:SENSe]:WLAN:CCK

[:SENSe]:WLAN:CONStellation

[:SENSe]:WLAN:EHIStory

[:SENSe]:WLAN:EMAGnify

[:SENSe]:WLAN:GAIN:STATe

[:SENSe]:WLAN:HDECode

[:SENSe]:WLAN:OFDM:COUNt

[:SENSe]:WLAN:OPTimize

[:SENSe]:WLAN:SEMask

[:SENSe]:WLAN:SIGNal

I / Q

:MEASure:IQ

:MEASure[:SELect]

____
Extracting data

cdma2000® measurements

:CALCulate:CDMA:REVerse

:CALCulate:CDMA:REVerse:ACHannels

:CALCulate:CDMA:REVerse:ACPR:LIMit:FAIL

:CALCulate:CDMA:REVerse:EVM

:CALCulate:CDMA:REVerse:FERRor

:CALCulate:CDMA:REVerse:IMARker

:CALCulate:CDMA:REVerse:IQOFfset

:CALCulate:CDMA:REVerse:OBWidth

:CALCulate:CDMA:REVerse:PCDE

:CALCulate:CDMA:REVerse:QMARker

:CALCulate:CDMA:REVerse:SEMask:LIMit

:CALCulate:DATA

:DISPlay:CAPTure

:FORMat[:DATA]

[:SENSe]:SEMask:DETector[:FUNCtion]

EDGE measurements

:CALCulate:DATA

:CALCulate:EDGE:CONStellation:DATA

:CALCulate:EDGE:CPOWer:DATA

:CALCulate:EDGE:EVECtors:DATA

:CALCulate:EDGE:EVM:CFERror

:CALCulate:EDGE:EVM:DATA

:CALCulate:EDGE:EVM:DROop

:CALCulate:EDGE:EVM:IQGError

:CALCulate:EDGE:EVM:IQOOffset

:CALCulate:EDGE:EVM:P95

:CALCulate:EDGE:EVM:PEAK

:CALCulate:EDGE:EVM:RMS

:CALCulate:EDGE:EVMTrace:DATA

:CALCulate:EDGE:EVM:IQData:DATA

:CALCulate:EDGE:ORFS:MODulation:DATA:X

:CALCulate:EDGE:ORFS:MODulation:DATA[:Y]

:CALCulate:EDGE:ORFS:SWITching:DATA:X

:CALCulate:EDGE:ORFS:SWITching:DATA[:Y]

:CALCulate:EDGE:SYMBol:DATA

:CALCulate:EDGE:TMASk:DATA:X

:CALCulate:EDGE:TMASK:DATA[:Y]

:DISPlay:CAPTure

:FORMat[:DATA]

GSM measurements

:CALCulate:DATA

:CALCulate:DATA:VALid

:CALCulate:GSM:CPOWer:DATA

:CALCulate:GSM:ORFS:MODulation:DATA:X

:CALCulate:GSM:ORFS:MODulation:DATA[:Y]

:CALCulate:GSM:ORFS:SWITching:DATA:X

:CALCulate:GSM:ORFS:SWITching:DATA[:Y]

:CALCulate:GSM:PERRor:DATA

:CALCulate:GSM:PERRor:PHASe:DATA:X

:CALCulate:GSM:PERRor:PHASe:DATA[:Y]

:CALCulate:GSM:PERRor:TRACe:DATA:X

:CALCulate:GSM:PERRor:TRACe:DATA[:Y]

:CALCulate:GSM:SYMBol:DATA

:CALCulate:GSM:TMASk:DATA:X

:CALCulate:GSM:TMASk:DATA[:Y]

:DISPlay:CAPTure

:FORMat[:DATA]

[:SENSe]:GSM:ORFS:MODulation:DETector[:FUNCtion]

[:SENSe]:GSM:ORFS:SWITching:DETector[:FUNCtion]

W-CDMA Uplink measurements

:CALCulate:DATA

:CALCulate:WCDMa:UPLink

:CALCulate:WCDMa:UPLink:ACHannels

:CALCulate:WCDMa:UPLINK:ACLR:LIMIT:FAIL

:CALCulate:WCDMa:UPLINK:ACLR:LIMIT:FAIL:CHANnels

:CALCulate:WCDMa:UPLink:EVM

:CALCulate:WCDMa:UPLink:FERRor

:CALCulate:WCDMa:UPLink:IMARker

:CALCulate:WCDMa:UPLink:IOFFset

:CALCulate:WCDMa:UPLink:IQOFfset

:CALCulate:WCDMa:UPLink:OBWidth

:CALCulate:WCDMa:UPLink:PCDE

:CALCulate:WCDMa:UPLink:QMARker

:CALCulate:WCDMa:UPLink:SEMask:CPOWer

:CALCulate:WCDMa:UPLink:SEMask:LIMit

:CALCulate:WCDMa:UPLink:TPOWer

:DISPlay:CAPTure

:FORMat[:DATA]

[:SENSe]:SEMask:DETector[:FUNCtion]

W-CDMA Downlink measurements

  • :CALCulate:DATA
  • :CALCulate:WCDMa:DOWNlink
  • :CALCulate:WCDMa:DOWNlink:ACHannels
  • :CALCulate:WCDMa:DOWNlink:ACLR:LIMIT:FAIL
  • :CALCulate:WCDMa:DOWNlink:ACLR:LIMIT:FAIL:CHANnels
  • :CALCulate:WCDMa:DOWNlink:EVM
  • :CALCulate:WCDMa:DOWNlink:FERRor
  • :CALCulate:WCDMa:DOWNlink:IOFFset
  • :CALCulate:WCDMa:DOWNlink:IQOFfset
  • :CALCulate:WCDMa:DOWNlink:QOFFset
  • :CALCulate:WCDMa:DOWNlink:EVM:PEAK
  • :CALCulate:WCDMa:DOWNlink:EVM:RMS
  • :CALCulate:WCDMa:DOWNlink:MARker
  • :CALCulate:WCDMa:DOWNlink:OBWidth
  • :CALCulate:WCDMa:DOWNlink:PCDE
  • :CALCulate:WCDMa:DOWNlink:SEMask:LIMit
  • :CALCulate:WCDMa:DOWNlink:TPOWer
  • :DISPlay:CAPTure
  • :FORMat[:DATA]
  • [:SENSe]:SEMask:DETector[:FUNCtion]

WiMAX measurements

:CALCulate:WIMax:CFEedthru

:CALCulate:WIMax:CFERror

:CALCulate:WIMax:CONStellation:SYMBol:TYPE

:CALCulate:WIMax:CPOWer

:CALCulate:WIMax:DOWNlink:DSYMbols

:CALCulate:WIMax:FMARgin

:CALCulate:WIMax:MASDifference

:CALCulate:WIMax:MFLatness:MARGins

:CALCulate:WIMax:MFLatness:PTPeak

:CALCulate:WIMax:PAPRatio

:CALCulate:WIMax:RCE

:CALCulate:WIMax:UPLink:DSYMbols

:DISPlay:VIEW:WIMax

:DISPlay:VIEW:WIMAX:TYPE

:DISPlay:WIMax:GCOMpression:Y[:SCALe]:PDIVision

:DISPlay:WIMax:GCOMpression:Y[:SCALe]:RPOSition

:DISPlay:WIMax:MFLatness:Y[:SCALe]:PDIVision

:DISPlay:WIMax:PCOMpression:Y[:SCALe]:PDIVision

:DISPlay:WIMax:PCOMpression:Y[:SCALe]:RPOSition

:DISPlay:WIMax:RHIStory:Y[:SCALe]:PDIVision

:DISPlay:WIMax:RHIStory:Y[:SCALe]:TOP

:DISPlay:WIMax:RVSubcarrier:Y[:SCALe]:PDIVision

:DISPlay:WIMax:RVSubcarrier:Y[:SCALe]:TOP

:DISPlay:WIMax:RVSYmbol:Y[:SCALe]:PDIVision

:DISPlay:WIMax:RVSYmbol:Y[:SCALe]:TOP

[:SENSe]:WIMax:AVERage:COUNT

[:SENSe]:WIMax:AVERage[:STATe]

[:SENSe]:WIMax:EQUalizer

[:SENSe]:WIMax:GAIN[:STATe]

[:SENSe]:WIMax:MAP

[:SENSe]:WIMax:RHIStory:CLEar

[:SENSe]:WIMax:RHIStory:LENGth

[:SENSe]:WIMax:SIGNal

[:SENSe]:WIMax:TAMPlitude

[:SENSe]:WIMax:TCLock

[:SENSe]:WIMax:SIGNal

[:SENSe]:WIMax:TAMPlitude

[:SENSe]:WIMax:TCLock

[:SENSe]:WIMax:TPHase

WLAN measurements

:CALCulate:WLAN:BANDwidth

:CALCulate:WLAN:BWIDth

:CALCulate:WLAN:CFEedthru

:CALCulate:WLAN:CFERror

:CALCulate:WLAN:CONStellation

:CALCulate:WLAN:CPOWer

:CALCulate:WLAN:DRATe

:CALCulate:WLAN:EVCHannel

:CALCulate:WLAN:EVM:PEAK

:CALCulate:WLAN:EVM[:RMS]

:CALCulate:WLAN:FMARgin

:CALCulate:WLAN:GCOMpression:FACTor

:CALCulate:WLAN:HEADer

:CALCulate:WLAN:MFLatness:PTPeak

:CALCulate:WLAN:NSYMbols

:CALCulate:WLAN:PDRamp

:CALCulate:WLAN:PERRor

:CALCulate:WLAN:PFLatness:PTPeak

:CALCulate:WLAN:PILot:EVM:PEAK

:CALCulate:WLAN:PILot:EVM[:RMS]

:CALCulate:WLAN:PORamp

:CALCulate:WLAN:SCERror

:CALCulate:WLAN:SEMask

:CALCulate:WLAN:SIGNal

:DISPlay:WLAN:CCDF:X[:SCALe]:PDIVision

:DISPlay:WLAN:EVCHannel:Y[:SCALe]:PDIVision

:DISPlay:WLAN:EVCHannel:Y[:SCALe]:TOP

:DISPlay:WLAN:EHIStory:Y[:SCALe]:PDIVision

:DISPlay:WLAN:EHIStory:Y[:SCALe]:TOP

:DISPlay:WLAN:EVSYmbol:Y[:SCALe]:PDIVision

:DISPlay:WLAN:EVSYmbol:Y[:SCALe]:TOP

:DISPlay:WLAN:GCOMpression:Y[:SCALe]:PDIVision

:DISPlay:WLAN:GCOMpression:Y[:SCALe]:RPOSition

:DISPlay:WLAN:MFLatness:Y[:SCALe]:PDIVision

:DISPlay:WLAN:PCOMpression:Y[:SCALe]:PDIVision

:DISPlay:WLAN:PCOMpression:Y[:SCALe]:RPOSition

:DISPlay:WLAN:PFLatness:Y[:SCALe]:PDIVision

[:SENSe]:WLAN:ATIMe

[:SENSe]:WLAN:AVERage

[:SENSe]:WLAN:CCDF

[:SENSe]:WLAN:CCK

[:SENSe]:WLAN:CONStellation

[:SENSe]:WLAN:EHIStory

[:SENSe]:WLAN:EMAGnify

[:SENSe]:WLAN:GAIN:STATe

[:SENSe]:WLAN:HDECode

[:SENSe]:WLAN:OFDM:COUNt

[:SENSe]:WLAN:OPTImize

[:SENSe]:WLAN:SEMask

[:SENSe]:WLAN:SIGNal

Markers

:CALCulate:CDMA:REVerse:IMARker:X

:CALCulate:CDMA:REVerse:IMARker:Y

:CALCulate:CDMA:REVerse:QMARker:X

:CALCulate:CDMA:REVerse:QMARker:Y

:CALCulate:MARKer1|:MARKer2|:MARKer3|:MARKer4:X

:CALCulate:MARKer1|:MARKer2|:MARKer3|:MARKer4:X:DELTa

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y:DELTa:

:CALCulate:WCDMa:UPLink:IMARker:X

:CALCulate:WCDMa:UPLink:IMARker:Y

:CALCulate:WCDMa:UPLink:QMARker:X

:CALCulate:WCDMa:UPLink:QMARker:Y

:CALCulate:WCDMa:DOWNlink:MARKer:CNUMber

:CALCulate:WCDMa:DOWNlink:MARKer:SFACtor

:CALCulate:WCDMa:DOWNlink:MARKer[:STATe]

:CALCulate:WCDMa:DOWNlink:MARKer:X

:CALCulate:WCDMa:DOWNlink:MARKer:Y

IQ Cache

[:SENSe]:IQCache:ADDRess:INCRement

[:SENSe]:IQCache:ADDRess:STARt

[:SENSe]:IQCache:DSOurce

____
Controlling measurements

Display screen

:DISPlay:CAPTure

:DISPlay:DMODulation

:DISPlay:ENABle

:DISPlay:VIEW

:DISPlay:WIMax

:DISPlay:WINDow:TRACe:Y[:SCALe]

:DISPlay:WLAN

:SYSTem:SSAVer

:TRACe

[:SENSe]:DETector[:FUNCtion]

[:SENSe]:SEMask:DETector[:FUNCtion]

[:SENSe]:GSM:ORFS:MODulation:DETector[:FUNCtion]

[:SENSe]:GSM:ORFS:SWITching:DETector[:FUNCtion]

Trigger

:TRIGger[:SEQuence]:AUTO[:STATe]

:TRIGger[:SEQuence]:AUTO:TIMeout

:TRIGger[:SEQuence]:DELay

:TRIGger[:SEQuence]:EXTernal:SLOPe

:TRIGger[:SEQuence]:PREQual:WINDow

:TRIGger[:SEQuence]:PREQual[:LEVel]

:TRIGger[:SEQuence]:LEVel

:TRIGger[:SEQuence]:MODE

:TRIGger[:SEQuence]:SOURce

:TRIGger[:SEQuence]:TYPE

:TRIGger[:SEQuence]:VIDeo:SLOPe

Sync Out

:SOURce:TTL:INPut

:SOURce:TTL[:LEVel]

:SOUTput:MODE

:SOUTput:POLarity

Sweep

:INITiate:CONTinuous

:INITate[:IMMediate]

Detection

[:SENSe]:GSM:ORFS:MODulation:DETector[:FUNCtion]

[:SENSe]:GSM:ORFS:SWITching:DETector[:FUNCtion]

[:SENSe]:DETector[:FUNCtion]

[:SENSe]:SEMask:DETector[:FUNCtion]

Input parameters

:DISPlay:WINDow:TRACe:Y[:SCALe]:RLEVel

[:SENSe]:FREQuency:CENTer

[:SENSe]:FREQuency:SPAN

[:SENSe]:FREQuency:STARt

[:SENSe]:FREQuency:STOP

[:SENSe]:ACPR:CENTer:BANDwidth

[:SENSe]:ACPR:CENTer:BWIDth

[:SENSe]:EPOWer

[:SENSe]:ACPR:CENTer:SWEep:TIME

[:SENSe]:ACPR:ADJacent1|ADJacent2:SWEep:TIME

Source

:SOURce

:SOURce:DWELl

:SOURce:STOP

:SOURce:[:STARt]

:SOURce:POINts

:SOURce:[:STATe]

:SOURce:ROSCillator:EXTernal:FREQuency

:SOURce:ROSCillator:SOURce

:SOURce:TTL:INPut

:SOURce:TTL[:LEVel]

[:SENSe]:POWer

____
Working with files

File management

*SAV

*RCL

:DISPlay:CAPTure

:MMEMory:DATA

[:SENse]CPList:LOAD

[:SENse]:EDGE:ORFS:MODulation:FLIMits

[:SENse]:EDGE:ORFS:SWITching:FLIMits

[:SENse]:EDGE:ORFS:MODulation:[:STATe]

[:SENse]:EDGE:ORFS:SWITching:[:STATe]

[:SENse]:GSM:ORFS:MODulation:FLIMits

[:SENse]:GSM:ORFS:SWITching:FLIMits

[:SENse]:GSM:ORFS:MODulation:[:STATe]

[:SENse]:GSM:ORFS:SWITching:[:STATe]

:CALCulate:EDGE:TMASk:LIMit

[:SENse]:EDGE:TMASK[:STATe]

:CALCulate:GSM:TMASk:LIMit

[:SENse]:GSM:TMASK[:STATe]

____
Controlling instrument hardware

Hardware management

:DIAGnostic:INFormation:OPTions

[:SENSe]:DSP:RANDomize[:STATe]

[:SENSe]:DSP:RANGe[:STATe]

[:SENSe]:ACD:DITHer[:STATe]

[:SENSe]:LPNoise[:STATe]

:CALibration[:ALL]

:MIMO

[:SOURce]:INTernal:CLOCk[:STATe]

[:SOURce]:VCO[:STATe]

RF test accessory SCPI command pass-through

:MBOX:COMMand

:PMETer:COMMand

____
Operating the instrument remotely

Diagnostic/Errors

:DIAGnostic

:STATus:QUEue:CLEar

:SYSTem:ERRor

Display

:DISPlay:CAPTure

:DISPlay:DMODulation

:DISPlay:ENABle

:DISPlay:VIEW

:DISPlay:WIMax

:DISPlay:WINDow:TRACe:Y[:SCALe]

:DISPlay:WLAN

:SYSTem:SSAVer

:TRACe

[:SENSe]:DETector[:FUNCtion]

[:SENSe]:SEMask:DETector[:FUNCtion]

[:SENSe]:GSM:ORFS:MODulation:DETector[:FUNCtion]

[:SENSe]:GSM:ORFS:SWITching:DETector[:FUNCtion]

Remote/Local

:DIAGnostic

:IDN?

:STATUS

:SYSTem:COMMunicate:GPIB:ADDRess

:SYSTem:KLOCk

:SYSTem:LOCal

:SYSTem:PRESet

:SYSTem:REMote

Preset

:ABORt

*RCL

*RST

*SAV

:STATus:PRESet

:SYSTem:PRESet

Status register

*CLS

*ESE

*ESE?

*ESR?

*OPC

*OPC?

*SRE

*SRE?

*STB?

:FORMat:SREGister

:STATus:MEASurement

:STATus:OPERation

:STATus:PRESet

:STATus:QUEStionable

:STATus:QUEue:CLEar

:SYSTem:CLEar

:SYSTem:ERRor


Series V2800 SCPI command tree

IEEE - 488.2
:ABORt
:CALCulate
 | :ACPR:LIMit
 | :CDMA:REVerse
 | :DATA
 | :EDGE
 | :FSK
 | :GPSEM
 | :GSM
 | :MARKer
 | :PSK
 | :WCDMa:DOWNlink
 | :WCDMa:UPLink
 | :WIMax
 | :WLAN
:CALibration[:ALL]
:DIAGnostic
:DISPlay
:FORMat
:INITiate
:MASTer
:MBOX:COMMand
:MEASure
:MIMO
:MMEMory
:PMETer:COMMand
[:SCALe]
[:SENSe]
 | :ACPR
 | :ADC
 | :AINT
 | :CDMA:REVerse
 | :CPList
 | :DETector
 | :DMODulation
 | :DSP
 | :EDGE
 | :EPOWer
 | :FREQuency
 | :FSK
 | :GPSEM
 | :GSM
 | :IQCache:ADDRess
 | :IQCache:DSOurce
 | :LPNoise:STATe
 | :OBWidth:AVERage
 | :PHASe
 | :POWer
 | :PSK
 | :SEMask
 | :SPECtrum
 | :UFLatness
 | :WCDMa:DOWNlink
 | : WCDMa:UPLink
 | :WIMax
 | :WLAN
 | :ZSPan
:SOURce
:SOUTput
:STATus
:SYSTem
 | :CLEar
 | :COMMunicate
 | :DATE
 | :ERRor
 | :KLOCk
 | :LOCal
 | :PRESet
 | :REMote
 | :SSAVer
 | :TIME
:TRACe
:TRIGger


IEEE- 488.2 common commands

Select a link below to navigate directly to that topic:

_____

*CLS | *RST
*ESE | *SAV
*ESE? | *SRE
*ESR? | *SRE?
*IDN? | *STB?
*OPC | *TRG
*OPC? | *WAI
*RCL |

*CLS -- Clear status

Clears the instrument status byte by emptying the error queue and clearing all event registers. Also cancels any preceding *OPC command or query. The standard event enable register is not reset by :STATus:PRESet or *CLS. Send the 0 parameter value with *ESE to reset all bits of that enable register to 0.

NOTE: :SYSTem:PRESet and *RST have no effect on status structure registers and queues.

*ESE -- Event status enable

Sets bits in the standard event status enable register. The parameter values to set the individual bits of the enable registers can be sent using the decimal format (NRf = 0 to 225). See the Standard event register topic for more information.

*ESE? -- Event status enable query

Returns the results of the standard event enable register. The register is cleared after reading it. See the Standard event register topic for more information.

*ESR? -- Event status register query

Reads the event status enable register. See [image] Status register commands and Reading registers.

*CLS

*ESE

*ESE?

*ESR?

*OPC

*OPC?

*SRE

*SRE?

*STB?

:FORMat:SREGister

:STATus:MEASurement?

:STATus:MEASurement:CONDition?

:STATus:MEASurement:ENABle

:STATus:MEASurement:EVENt

:STATus:MEASurement:NTRansition

:STATus:MEASurement:PTRansition

:STATus:OPERation?

:STATus:OPERation:CONDition?

:STATus:OPERation:ENABle

:STATus:PRESet

:STATus:QUEStionable?

:STATus:QUEStionable:CONDition?

:STATus:QUEStionable:ENABle

:STATus:QUEStionable:EVENt

:STATus:QUEStionable:NTRansition

:STATus:QUEStionable:PTRansition

:STATus:OPERation:EVENt

:STATus:OPERation:NTRansition

:STATus:OPERation:PTRansition

:STATus:QUEue:CLEar

:SYSTEM:CLEar

:SYSTem:ERRor?

:SYSTem:ERRor:ALL?

:SYSTem:ERRor:CLEar

:SYSTem:ERRor:CODE?

:SYSTem:ERRor:CODE:ALL?

:SYSTem:ERRor:COUNt?

:SYSTem:ERRor:ENABle

:SYSTem:ERRor:ENABle:ADD

:SYSTem:ERRor:ENABle:DELete

:SYSTem:ERRor:ENABle[:LIST]

*IDN? -- Identify

Returns a string that uniquely identifies the instrument. The identification code includes the manufacturer, model number, serial number, and firmware revision levels and is sent in the following format:

Agilent Technologies, Inc.,MODEL nnnn,nnnnnnnn,xxx Jan 27 2008 14:59:09

Where:

nnnn is the model number

nnnnnnn is the serial number

xxx is the firmware revision level

Jan 27 2008 14:59:09 is the date and time (24hr format, hr:min:sec) for the firmware release

*OPC -- Operation complete command

The *OPC command sets the *OPC bit in the standard event register after all pending commands are complete.

After the *OPC command is sent and the last pending command is completed, the operation complete bit (bit B0) of the standard event status register will be set. If the corresponding bit (bit B0) in the standard event enable register and the event summary bit (bit 5) of the service request enable register are set, the master summary status (MSS) bit in the status byte register is set. See Event registers for more information.

When used with the immediate initiation command (:INITiate), the OPC bit in the standard event status register will not set until the instrument goes back into the idle state. See the description for *WAI for more information on command execution.

Programming example

The first group of commands sends the *OPC command after the :INITiate command and verifies that the OPC bit in the standard event status register does not set while the instrument continues to make measurements (not in idle). The second group of commands returns the instrument to the idle state and verifies that the OPC bit did get set.

:SYST:PRES | ' Returns the instrument to default setup.
:INIT:IMM;*OPC | ' Initiates one trigger cycle and sends the OPC command.
*ESR? | ' Reads the standard event status register.

The returned value of 0 denotes that the bit (bit 0) is not set indicating that the :INITiate operation is not complete.

*ESR?

' Reads the standard event status register.

The returned value of 1 denotes that the bit (bit 1) is set indicating that the :INITiate operation is now complete.

:SYST:PRES

' Returns the instrument to default setup.

NOTE: The following commands take a long time to process and may be optimized for speed by using *OPC or *OPC?:

  • *RST and SYST:PRES
  • *RCL and *SAV

*OPC? -- Operation complete query

Places a "1" in the output queue after all pending operations are completed.

When this common command is sent, an ASCII "1" will be placed in the output queue after the last pending operation is completed. The "1" in the output queue will be sent to the controller.

The "1" in the output queue will set the MAV (message available) bit (B4) of the status byte register. If the corresponding bit (B4) in the service request enable register is set, the RQS/MSS (request for service/master summary status) bit in the status byte register will set.

When used with the :INITiate (initiate immediately) command, a "1" will not be placed into the output queue until the instrument goes back into the idle state. The :INIT command operation is not considered finished until the instrument goes back into the idle state. See the description for *WAI for more information about command execution.

The execution of OPC? is not completed until it has placed the "1" in the output queue.

Programming example

This command sequence demonstrates how to use *OPC? to signal the end of a measurement process:

:SYST:PRES | ' Returns instrument to default setup.
:INIT;*OPC? | ' Starts measurement process and sends OPC? command.

After the measurement is performed and the instrument returns to the idle state, an ASCII "1" will be placed in the output queue. The "1" from the output queue is sent to the controller.

:SYST:PRES

' Returns the instrument to default setup.

NOTE: The following commands take a long time to process and may be optimized for speed by using *OPC or *OPC?:

  • *RST and SYST:PRES
  • *RCL and *SAV

*RCL -- Recall *SAV -- Save

  • The *SAV command saves the current instrument setup in memory.
  • The *RCL command returns the instrument to the setup stored memory.

Any control affected by *RST can be saved by the *SAV command.

Ten setup configurations (numbered from 0 to 9) can be saved and recalled. A saved setup configuration is approximately 4k bytes in size.

The instrument leaves the factory with :SYSTem:PRESet defaults loaded into the available setup memory. If a recall error occurs, the setup memory defaults to the :SYSTem:PRESet values.

NOTE: *OPC or *OPC? should be used with *SAV and *RCL, which are slow-responding commands.

_____
Programming example

The following summarizes the basic command sequence for saving and recalling a setup. The present setup is stored in memory location 2, GPIB defaults are restored, and the memory location 2 setup is recalled.

_ | *SAV 2 | ' Save present setup in memory location 2.
_ | *RST | ' Restore GPIB defaults.
_ | *RCL 2 | ' Recall location 2 setup.

*RST -- Reset

Returns the instrument to RST defaults.

  1. Returns the instrument to the RST default conditions, which is exactly the same as a SYSTem:PRESet (see "Default" area in SCPI commands).
  2. Cancels all pending commands.
  3. Cancels response to any previously received *OPC and *OPC? commands.

_

NOTE: *OPC or *OPC? should be used with *SAV and *RCL, which are slow-responding commands.

-

NOTE: The frequency reference is not affected by Preset, *RST, or Save/Recall state.

*SAV -- Save*RCL -- Recall

  • The *SAV command saves the current instrument setup in memory.
  • The *RCL command returns the instrument to the setup stored memory.

Any control affected by *RST can be saved by the *SAV command.

Ten setup configurations (numbered from 0 to 9) can be saved and recalled from the instrument. A saved setup configuration is approximately 4k bytes in size.

The instrument leaves the factory with :SYSTem:PRESet defaults loaded into the available setup memory. If a recall error occurs, the setup memory defaults to the :SYSTem:PRESet values.

Note: *OPC or *OPC? should be used with *SAV and *RCL, which are slow-responding commands.

__
Programming example

The following summarizes the basic command sequence for saving and recalling a setup. The present setup is stored in memory location 2, GPIB defaults are restored, and the memory location 2 setup is recalled.

_ | *SAV 2 | ' Save present setup in memory location 2.
_ | *RST | ' Restore GPIB defaults.
_ | *RCL 2 | ' Recall location 2 setup.

*SRE -- Service request enable command

Before reading a status register, bits must be enabled. This command enables bits in the service request register. The current setting is saved in non-volatile memory. See Service request enable register for more information.

*SRE? -- Service request enable query

Reads the current state of the Service request enable register. The register is cleared after reading it. The return value can be decoded using the table in Programming and reading registers.

__
See also: Reading registers

*STB? -- Status byte query

Reads the value of the instrument status byte. The register is cleared only when the registers feeding it are cleared.

_____
See Also

  • Programming and reading registers
  • Clearing registers and queues.

*TRG - Trigger

Issues a GPIB trigger to the instrument 2. Use the *TRG command as an event to control operation. The instrument reacts to this trigger if BUS is the programmed control source. See Triggering and Sync Out for more information.

Programming example

The following command sequence configures the instrument to be controlled by bus triggers. The last command, which sends a bus trigger, triggers one measurement. Each subsequent bus trigger will also trigger a single measurement.

Note: With TRIG:SOURce BUS selected, do not send any commands (except *TRG, GET, DCL, SDC, IFC, and ABORt) while performing measurements. Otherwise, erratic operation will occur.

*RST | ' Restore RST defaults.
:TRIG:SOUR BUS | ' Select BUS control source.
:INIT | ' Take instrument out of idle.
*TRG | ' Trigger one measurement.

*WAI -- Wait

The *WAI command prevents execution of commands until previous commands are completed and can be used with the following commands:

  • INITiate
  • *TRG

The INITiate command removes the instrument from the idle state. The device operations of :INITiate are not considered complete until the instrument returns to idle. By sending the *WAI command after the INITiate command, all subsequent commands will not execute until the instrument goes back into idle.

The *TRG command issues a bus trigger that could be used to provide the arm, scan, and measure events for the Trigger Model. By sending the *WAI command after the *TRG command, subsequent commands will not be executed until the pointer for the Trigger Model has finished moving in response to *TRG and has settled at its next state.

Programming example

The following command sequence shows how to use the *WAI command to allow the instrument to wait for the programmed measurements to be completed before requesting a reading.

_

:SYST:PRES

' Returns the instrument to default setup.

_

:INIT

' Starts measurement process.

_

*WAI

' Sends the WAI command. The program waits for
' the instrument to go into an idle state before
' executing the next command.


:ABORt

The ABORt command resets the trigger system and places all trigger sequences in the IDLE state. Any actions related to the trigger system that are in progress, such as a sweep or acquiring a measurement, are aborted as quickly as possible.

This command is an event and has no associated *RST condition or query form.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :ABORt
Examples | :ABOR
 | :abort


:CALCulate:ACPR:LIMit

Select a link to view the command details:

  • :CALCulate:ACPR:LIMit:ADJacent1[:STATe]
  • :CALCulate:ACPR:LIMit:ADJacent1:UPPer
  • :CALCulate:ACPR:LIMit:ADJacent2[:STATe]
  • :CALCulate:ACPR:LIMit:ADJacent2:UPPer
  • :CALCulate:ACPR:LIMit:FAIL
  • :CALCulate:ACPR:LIMit:FAIL:CHANnels

:CALCulate:ACPR:LIMit:ADJacent1[:STATe]

Queries or turns On/Off limit testing on the first adjacent ACPR channel.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

Examples | :CALCulate:ACPR:LIMit:ADJacent1:STATe ON
 | :CALC:ACPR:LIM:ADJ1 ON
 | :calculate:acpr:limit:adjacent1:state 0
 | :CALC:ACPR:LIM:ADJ1?

:CALCulate:ACPR:LIMit:ADJacent1:UPPer

Sets or queries the limit value for the first adjacent ACPR channel.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -45 | -100 | 20 | dBc

 | :CALCULATE:ACPR:LIMIT:ADJACENT1:UPPER MINIMUM
Examples | :CALC:ACPR:LIM:ADJ1:UPP MAX
 | :CALC:ACPR:LIM:ADJ1:UPP?
 | :calculate:acpr:limit:adjacent1:upper maximum

:CALCulate:ACPR:LIMit:ADJacent2[:STATe]

Queries or turns On/Off limit testing on the second adjacent ACPR channel.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

Examples | :CALCulate:ACPR:LIMit:ADJacent2:STATe ON
 | :CALC:ACPR:LIM:ADJ2 ON
 | :calculate:acpr:limit:adjacent2:state 0
 | :CALC:ACPR:LIM:ADJ2?

:CALCulate:ACPR:LIMit:ADJacent2:UPPer

Sets or queries the limit value for the second adjacent ACPR channel.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -50 | -100 | 20 | dBc

 | :CALCulate:ACPR:LIMit:ADJacent2:UPPER MINIMUM
Examples | :CALC:ACPR:LIM:ADJ2:UPP MAX
 | :CALC:ACPR:LIM:ADJ2:UPP?
 | :calculate:acpr:limit:adjacent2:upper maximum

:CALCulate:ACPR:LIMit:FAIL

Queries the fail status of the ACPR measurement. Returns 1 if there is no valid data, if no limit test is turned on or if any channel with limit test turned on has failed. Returns 0 if at least one channel has limit test turned on and all channels with limit test turned on have passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | none | none | n/a | n/a | n/a | none

 | :CALCulate:ACPR:LIMit:FAIL?
Examples | :CALC:ACPR:LIM:FAIL?
 | :calculate:acpr:limit:fail?

:CALCulate:ACPR:LIMit:FAIL:CHANnels

Queries the fail status of each adjacent channel. Returns: no,<fail status of low-side 1st adjacent channel>,<fail status of high-side 1st adjacent channel>, and so on. no is the number of status values. <fail status …> is 0 or 1. 0 indicates data tested with no failure; 1 indicates failure, no data or test is off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit.,Boolean data.,… ,Boolean data. | No | none | none | n/a | n/a | n/a | none

 | :CALCulate:ACPR:LIMit:FAIL:CHANnels?
Examples | :CALC:ACPR:LIM:FAIL:CHAN?
 | :calc:acpr:lim:fail:channels?


:CALCulate:CDMA:REVerse

Select a link to view the command details:

  • :CALCulate:CDMA:REVerse:ACHannels
  • :CALCulate:CDMA:REVerse:ACPR:LIMit
  • :CALCulate:CDMA:REVerse:EVM
  • :CALCulate:CDMA:REVerse:FERRor
  • :CALCulate:CDMA:REVerse:IMARker
  • :CALCulate:CDMA:REVerse:IOFFset
  • :CALCulate:CDMA:REVerse:IQOFfset
  • :CALCulate:CDMA:REVerse:MERRor:PEAK
  • :CALCulate:CDMA:REVerse:MERRor[:RMS]
  • :CALCulate:CDMA:REVerse:OBWidth
  • :CALCulate:CDMA:REVerse:PERRor:PEAK
  • :CALCulate:CDMA:REVerse:PERRor[:RMS]
  • :CALCulate:CDMA:REVerse:PCDE
  • :CALCulate:CDMA:REVerse:QMARker
  • :CALCulate:CDMA:REVerse:QOFFset
  • :CALCulate:CDMA:REVerse:RHO
  • :CALCulate:CDMA:REVerse:SEMask
  • :CALCulate:CDMA:REVerse:TPOWer


:CALCulate:CDMA:REVerse:ACHannels

Queries data for active channels. Return format is no,<channel data for each of the N active channels>. Channel data is {I|Q}, SpreadFactor, CodeNumber, ChannelAmplitude. CodeNumber is in BitReverse order.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit.,<ACH#1 info>,…, <ACH#n info> | No | none | none | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:ACHannels?
Examples | :CALC:CDMA:REV:ACH?
 | :calculate:cdma:reverse:achannels?


:CALCulate:CDMA:REVerse:ACPR:LIMit

Select a link to view the command details:

  • :CALCulate:CDMA:REVerse:ACPR:LIMit:FAIL
  • :CALCulate:CDMA:REVerse:ACPR:LIMit:FAIL:CHANnels
  • :CALCulate:CDMA:REVerse:ACPR:LIMit:MARGin
  • :CALCulate:CDMA:REVerse:ACPR:LIMit[:STATe]

:CALCulate:CDMA:REVerse:ACPR:LIMit:FAIL

Queries the fail status of the ACPR measurement. Returns 1 if there is no valid data, if no limit test is turned on or if any channel with limit test turned on has failed. Returns 0 if at least one channel has limit test turned on and all channels with limit test turned on have passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | none | none | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:ACPR:LIMit:FAIL?
Examples | :CALC:CDMA:REV:ACPR:LIM:FAIL?
 | :calculate:cdma:reverse:acpr:limit:fail?

:CALCulate:CDMA:REVerse:ACPR:LIMit:FAIL:CHANnels

Queries the fail status of each adjacent channel. Returns: no,<fail status of low-side 1st adjacent channel>,<fail status of high-side 1st adjacent channel>, etc. no is the number of status values. <fail status …> is 0 or 1. 0 indicates data tested with no failure; 1 indicates failure, no data or test is off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit.,Boolean data.,…, Boolean data. | No | none | none | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:ACPR:LIMit:FAIL:CHANnels?
Examples | :CALC:CDMA:REV:ACPR:LIM:FAIL:CHAN?
 | :calculate:cdma:reverse:acpr:limit:fail:channels?

:CALCulate:CDMA:REVerse:ACPR:LIMit:MARGin

Queries or sets margin for limit test. Added to the default limit value for each adjacent channel. [-50,50], default 0.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 50 | dB

 | :CALCulate:CDMA:REVerse:ACPR:LIMit:MARGin
Examples | :CALC:CDMA:REV:ACPR:LIM:MARG
 | :calculate:cdma:reverse:acpr:limit:margin
 | :CALCulate:CDMA:REVerse:ACPR:LIMit:MARGin?

:CALCulate:CDMA:REVerse:ACPR:LIMit[:STATe]

Queries or turns On/Off limit testing. Applies to all adjacent channels

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:ACPR:LIMit:STATe On
Examples | :CALC:CDMA:REV:ACPR:LIM 1
 | :calculate:cdma:reverse:acpr:limit 1
 | :CALCulate:CDMA:REVerse:ACPR:LIMit:STATe?


:CALCulate:CDMA:REVerse:EVM

Select a link to view the command details:

  • :CALCulate:CDMA:REVerse:EVM:PEAK
  • :CALCulate:CDMA:REVerse:EVM:PEAK:LIMit:FAIL
  • :CALCulate:CDMA:REVerse:EVM:PEAK:LIMit[:STATe]
  • :CALCulate:CDMA:REVerse:EVM:PEAK:LIMit:UPPer
  • :CALCulate:CDMA:REVerse:EVM:RMS
  • :CALCulate:CDMA:REVerse:EVM:RMS:LIMit:FAIL
  • :CALCulate:CDMA:REVerse:EVM:RMS:LIMit[:STATe]
  • :CALCulate:CDMA:REVerse:EVM:RMS:LIMit:UPPer

:CALCulate:CDMA:REVerse:EVM:PEAK

Queries the EVM peak value for the cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | none | none | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:EVM:PEAK?
Examples | :CALC:CDMA:REV:EVM:PEAK?
 | :calculate:cdma:reverse:evm:peak?

:CALCulate:CDMA:REVerse:EVM:PEAK:LIMit:FAIL

Queries the fail status of EVM peak limit test. A 1 indicates the limit test failed; 0 indicates the limit test passed. No failure is not the same as passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:EVM:PEAK:LIMit:FAIL?
Examples | :CALC:CDMA:REV:EVM:PEAK:LIM:FAIL?
 | :calculate:cdma:reverse:evm:peak:limit:fail?

:CALCulate:CDMA:REVerse:EVM:PEAK:LIMit[:STATe]

Queries or turns On/Off limit test for EVM peak.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:EVM:PEAK:LIMit:STATe 1
Examples | :CALC:CDMA:REV:EVM:PEAK:LIM:STAT On
 | :calculate:cdma:reverse:evm:peak:limit:state
 | :CALCulate:CDMA:REVerse:EVM:PEAK:LIMit:STATe?

:CALCulate:CDMA:REVerse:EVM:PEAK:LIMit:UPPer

Queries or sets limit for EVM peak.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100 | 0 | 200 | %

 | :CALCulate:CDMA:REVerse:EVM:PEAK:LIMit:UPPer
Examples | :CALC:CDMA:REV:EVM:PEAK:LIM:UPP
 | :calculate:cdma:reverse:evm:peak:limit:upper
 | :CALCulate:CDMA:REVerse:EVM:PEAK:LIMit:UPPer?

:CALCulate:CDMA:REVerse:EVM:RMS

Queries EVM rms value for cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:EVM:RMS?
Examples | :CALC:CDMA:REV:EVM:RMS?
 | :calculate:cdma:reverse:evm:rms?

:CALCulate:CDMA:REVerse:EVM:RMS:LIMit:FAIL

Queries fail status of EVM rms limit test. 1 indicates failure; 0 indicates no failure. No failure is not the same as passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:EVM:RMS:LIMit:FAIL?
Examples | :CALC:CDMA:REV:EVM:RMS:LIM:FAIL?
 | :calculate:cdma:reverse:rms:peak:limit:fail?

:CALCulate:CDMA:REVerse:EVM:RMS:LIMit[:STATe]

Queries or turns On/Off limit test for EVM rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:EVM:RMS:LIMit:STATe 1
Examples | :CALC:CDMA:REV:EVM:RMS:LIM 0
 | :calculate:cdma:reverse:evm:rms:limit on
 | :CALCulate:CDMA:REVerse:EVM:RMS:LIMit:STATe?

:CALCulate:CDMA:REVerse:EVM:RMS:LIMit:UPPer

Queries or sets limit for EVM rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100 | 0.0 | 100 | %

 | :CALCulate:CDMA:REVerse:EVM:RMS:LIMit:UPPer
Examples | :CALC:CDMA:REV:EVM:RMS:LIM:UPP
 | :CALCulate:CDMA:REVerse:EVM:RMS:LIMit:UPPer?
 | :calculate:cdma:reverse:evm:rms:limit:upper


:CALCulate:CDMA:REVerse:FERRor

Query frequency error value for cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:FERRor?
Examples | :CALC:CDMA:REV:FERR?
 | :calculate:cdma:reverse:ferror?

Select a link to view further command details:

  • :CALCulate:CDMA:REVerse:FERRor:LIMit:FAIL
  • :CALCulate:CDMA:REVerse:FERRor:LIMit[:STATe]
  • :CALCulate:CDMA:REVerse:FERRor:LIMit:UPPer

:CALCulate:CDMA:REVerse:FERRor:LIMit:FAIL

Queries fail status of frequency error limit test. 1 indicates failure; 0 indicates no failure. No failure is not the same as passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:FERRor:LIMit:FAIL?
Examples | :CALCulate:CDMA:REV:FERR:LIMit:FAIL?
 | :calculate:cdma:reverse:ferror:limit:fail?

:CALCulate:CDMA:REVerse:FERRor:LIMit[:STATe]

Queries or turns On/Off limit test for frequency error.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:FERRor:LIMit:STATe 1
Examples | :CALC:CDMA:REV:FERR:LIM 0
 | :calculate:cdma:reverse:ferror:limit 0
 | :CALCulate:CDMA:REVerse:FERRor:LIMit?

:CALCulate:CDMA:REVerse:FERRor:LIMit:UPPer

Queries or sets the limit for frequency error.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | DEFault | 300 | 0 | 500 | Hz

 | :CALCulate:CDMA:REVerse:FERRor:LIMit:UPPer
Examples | :CALC:CDMA:REV:FERR:LIM:UPP
 | :calculate:cdma:reverse:FERRor:limit:upper
 | :CALCulate:CDMA:REVerse:FERRor:LIMit:UPPer?


:CALCulate:CDMA:REVerse:IMARker

Select a blue link to view the command details:

  • :CALCulate:CDMA:REVerse:IMARker:CNUMber
  • :CALCulate:CDMA:REVerse:IMARker:SFACtor
  • :CALCulate:CDMA:REVerse:IMARker[:STATe]
  • :CALCulate:CDMA:REVerse:IMARker:X
  • :CALCulate:CDMA:REVerse:IMARker:Y

:CALCulate:CDMA:REVerse:IMARker:CNUMber

Query the code number at the X-axis position of the I marker on the code domain power graph. -1 if marker was off. Displays -221,"Settings Conflict".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | -1 | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:IMARker:CNUMber?
Examples | :CALC:CDMA:REV:IMAR:CNUM?
 | :calculate:cdma:reverse:imarker:cnumber?

:CALCulate:CDMA:REVerse:IMARker:SFACtor

Queries the spread factor at the X-axis position of the I marker on the code domain power graph. A 0 is returned if the marker was off. Displays -221,"Settings Conflict".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | 0 | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:IMARker:SFACtor?
Examples | :CALC:CDMA:REV:IMAR:SFAC?
 | :calculate:cdma:reverse:imarker:sfactor?

:CALCulate:CDMA:REVerse:IMARker[:STATe]

Queries or turns on/off the I marker on code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:IMARker:STATe 0
Examples | :CALC:CDMA:REV:IMAR 1
 | :calculate:cdma:reverse:imarker 0
 | :CALCulate:CDMA:REVerse:IMARker?

:CALCulate:CDMA:REVerse:IMARker:X

Sets or queries the X-axis position of the I marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 31 | none

 | :CALCulate:CDMA:REVerse:IMARker:X MAXimum
Examples | :CALC:CDMA:REV:IMAR:X MAX
 | :calculate:cdma:reverse:imarker:x min
 | :CALCulate:CDMA:REVerse:IMARker:X?

:CALCulate:CDMA:REVerse:IMARker:Y

Query Y-axis power value of I marker on code domain power graph

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:IMARker:Y?
Examples | :CALC:CDMA:REV:IMAR:Y?
 | :calculate:cdma:reverse:imarker:y?


:CALCulate:CDMA:REVerse:IOFFset

Query I offset value for cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:IOFFset?
Examples | :CALC:CDMA:REV:IOFF?
 | :calculate:cdma:reverse:ioffset?


:CALCulate:CDMA:REVerse:IQOFfset

Query I/Q offset value for cdma2000 measurement

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:IQOFfset?
Examples | :CALC:CDMA:REV:IQOF?
 | :calculate:cdma:reverse:iqoffset?

Select a link to view further command details:

  • :CALCulate:CDMA:REVerse:IQOFfset:LIMit:FAIL
  • :CALCulate:CDMA:REVerse:IQOFfset:LIMit[:STATe]
  • :CALCulate:CDMA:REVerse:IQOFfset:LIMit:UPPer

:CALCulate:CDMA:REVerse:IQOFfset:LIMit:FAIL

Query fail status of I/Q offset limit test. 1 indicates failure; 0 indicates no failure. No failure is not the same as passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:IQOFfset:LIMit:FAIL?
Examples | :CALC:CDMA:REV:IQOF:LIM:FAIL?
 | :calculate:cdma:reverse:iqoffset:limit:fail?

:CALCulate:CDMA:REVerse:IQOFfset:LIMit[:STATe]

Queries or turns on/off the limit test for I/Q offset.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:IQOFfset:LIMit:STATe 0
Examples | :CALC:CDMA:REV:IQOF:LIM 1
 | :calculate:cdma:reverse:iqoffset:limit 0
 | :calculate:cdma:reverse:iqoffset:limit?

:CALCulate:CDMA:REVerse:IQOFfset:LIMit:UPPer

Sets the limit for I/Q offset.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -40 | -100 | 0 | dB

 | :CALCulate:CDMA:REVerse:IQOFfset:LIMit:UPPer MAXimum
Examples | :CALC:CDMA:REV:IQOF:LIM:UPP MAX
 | :calculate:cdma:reverse:iqoffset:limit:upper minimum
 | :calculate:cdma:reverse:iqoffset:limit:upper?


:CALCulate:CDMA:REVerse:MERRor:PEAK

Query Peak Magnitude error value for cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | none | none | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:MERRor:PEAK?
Examples | :CALC:CDMA:REV:MERR:PEAK?
 | :calculate:cdma:reverse:merr:peak?


:CALCulate:CDMA:REVerse:MERRor[:RMS]

Query RMS Magnitude error value for cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | none | none | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:MERRor:RMS?
Examples | :CALC:CDMA:REV:MERR?
 | :calculate:cdma:reverse:merr:rms?


:CALCulate:CDMA:REVerse:OBWidth

Query measured occupied bandwidth value, that is the bandwidth that contains 99% of the total power measured.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:OBWidth?
Examples | :CALC:CDMA:REV:OBW?
 | :calculate:cdma:reverse:obwidth?

Select a link to view further command details:

  • :CALCulate:CDMA:REVerse:OBWidth:LIMit:FAIL
  • :CALCulate:CDMA:REVerse:OBWidth:LIMit:MARGin
  • :CALCulate:CDMA:REVerse:OBWidth:LIMit[:STATe]
  • :CALCulate:CDMA:REVerse:OBWidth:LIMit:UPPer
  • :CALCulate:CDMA:REVerse:OBWidth:RANGe
  • :CALCulate:CDMA:REVerse:OBWidth:TPOWer

:CALCulate:CDMA:REVerse:OBWidth:LIMit:FAIL

Queries fail status of Occupied Bandwidth limit test. 1 indicates failure; 0 indicates no failure. No failure is not the same as passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | 1 | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:OBWidth:LIMit:FAIL?
Examples | :CALC:CDMA:REV:OBW:LIM:FAIL?
 | :calculate:cdma:reverse:obwidth:limit:fail?

:CALCulate:CDMA:REVerse:OBWidth:LIMit:MARGin

Sets or queries the margin for occupied bandwidth limit test. This margin is added to default upper bandwidth limit of 1.48 MHz.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NR2> | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -1000000 | 1000000 | Hz

 | :CALCulate:CDMA:REVerse:OBWidth:LIMit:MARGin?
Examples | :CALC:CDMA:REV:OBW:LIM:MARG?
 | :calculate:cdma:reverse:obwidth:limit:margin?

:CALCulate:CDMA:REVerse:OBWidth:LIMit[:STATe]

Queries or turns on/off the limit test for occupied bandwidth

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:OBWidth:LIMit:STATe Off
Examples | :CALC:CDMA:REV:OBW:LIM ON
 | :calculate:cdma:reverse:obwidth:limit off
 | :CALCulate:CDMA:REVerse:OBWidth:LIMit?

:CALCulate:CDMA:REVerse:OBWidth:LIMit:UPPer

Query Occupied Bandwidth upper limit.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:OBWidth:LIMit:UPPer?
Examples | :CALC:CDMA:REV:OBW:LIMit:UPP?
 | :calculate:cdma:reverse:obwidth:limit:upper?

:CALCulate:CDMA:REVerse:OBWidth:RANGe

Queries the lower and upper frequencies that define the occupied bandwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:OBWidth:RANGe?
Examples | :CALC:CDMA:REV:OBW:RANG?
 | :CALCulate:CDMA:REVerse:OBWidth:RANGe?

:CALCulate:CDMA:REVerse:OBWidth:TPOWer

Query the total power used to determine the occupied bandwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:OBWidth:TPOWer?
Examples | :CALC:CDMA:REV:OBW:TPOW?
 | :CALCulate:CDMA:REVerse:OBWidth:tpower?


:CALCulate:CDMA:REVerse:PCDE

Queries the PCDE value for a cdma2000 measurement. The query returns three comma-separated values: PCDE, spread factor of peak active CDE, and code number of peak active CDE.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:PCDE?
Examples | :CALC:CDMA:REV:PCDE?
 | :calculate:cdma:reverse:pcde?

Select a link to view further command details:

  • :CALCulate:CDMA:REVerse:PCDE:LIMit:FAIL?
  • :CALCulate:CDMA:REVerse:PCDE:LIMit[:STATe]
  • :CALCulate:CDMA:REVerse:PCDE:LIMit:UPPer

:CALCulate:CDMA:REVerse:PCDE:LIMit:FAIL

Queries fail status of PCDE limit test. 1 indicates failure; 0 indicates no failure. No failure is not the same as passed..

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:PCDE:LIMit:FAIL?
Examples | :CALC:CDMA:REV:PCDE:LIM:FAIL?
 | :calculate:cdma:reverse:pcde:limit:fail?

:CALCulate:CDMA:REVerse:PCDE:LIMit[:STATe]

Queries or turns on/off the limit test for PCDE

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:PCDE:LIMit:STATe 0
Examples | :CALC:CDMA:REV:PCDE:LIM Off
 | :calculate:cdma:reverse:pcde:limit 1
 | :CALCulate:CDMA:REVerse:PCDE:LIMit?

:CALCulate:CDMA:REVerse:PCDE:LIMit:UPPer

Queries or sets the limit value for the PCDE measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -100 | 0 | dB

 | :CALCulate:CDMA:REVerse:PCDE:LIMit:UPPer 0
Examples | :CALC:CDMA:REV:PCDE:LIM:UPP -100
 | :calculate:cdma:reverse:pcde:limit:upper 0
 | :CALCulate:CDMA:REVerse:PCDE:LIMit:UPPer?


:CALCulate:CDMA:REVerse:PERRor:PEAK

Query peak Phase error value for cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | none | none | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:PERRor:PEAK?
Examples | :CALC:CDMA:REV:PERR:PEAK?
 | :calculate:cdma:reverse:perr:peak?


:CALCulate:CDMA:REVerse:PERRor[:RMS]

Query RMS Phase error value for cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | none | none | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:PERRor:RMS?
Examples | :CALC:CDMA:REV:PERR:RMS?
 | :calculate:cdma:reverse:perr:rms?


:CALCulate:CDMA:REVerse:QMARker

Select a link to view the command details:

  • :CALCulate:CDMA:REVerse:QMARker:CNUMber
  • :CALCulate:CDMA:REVerse:QMARker:SFACtor
  • :CALCulate:CDMA:REVerse:QMARker[:STATe]
  • :CALCulate:CDMA:REVerse:QMARker:X
  • :CALCulate:CDMA:REVerse:QMARker:Y

:CALCulate:CDMA:REVerse:QMARker:CNUMber

Queries the code number at the X-axis position of the Q marker on the code domain power graph. A -1 is returned if the marker is off, and a 221,"Settings Conflict" error is displayed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | -1 | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:QMARker:CNUMber?
Examples | :CALC:CDMA:REV:QMAR:CNUM?
 | :calculate:cdma:reverse:qmarker:cnumber?

:CALCulate:CDMA:REVerse:QMARker:SFACtor

Queries the spread factor at the X-axis position of the Q marker on the code domain power graph. 0 if marker was off. Displays -221,"Settings Conflict".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | 0 | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:QMARker:SFACtor?
Examples | :CALC:CDMA:REV:QMAR:SFAC?
 | :calculate:cdma:reverse:qmarker:sfactor?

:CALCulate:CDMA:REVerse:QMARker[:STATe]

Queries or turns on/off the Q marker on code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:QMARker:STATe 0
Examples | :CALC:CDMA:REV:QMAR
 | :calculate:cdma:reverse:qmarker 1
 | :CALCulate:CDMA:REVerse:QMARker?

:CALCulate:CDMA:REVerse:QMARker:X

Queries or sets X-axis position, that is, channel, of the Q marker on code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 31 | none

 | :CALCulate:CDMA:REVerse:QMARker:X MAX
 | :CALC:CDMA:REV:QMAR:X 31
Examples | :calculate:cdma:reverse:qmarker:x min
 | :CALCulate:CDMA:REVerse:QMARker:X?

:CALCulate:CDMA:REVerse:QMARker:Y

Reads the Y-axis power value of the Q marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:QMARker:Y?
 | :CALC:CDMA:REV:QMAR:Y?
Examples | :calculate:cdma:reverse:qmarker:y?


:CALCulate:CDMA:REVerse:QOFFset

Queries Q offset value for cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:QOFFset?
Examples | :CALC:CDMA:REV:QOFF?
 | :calculate:cdma:reverse:qoffset?


:CALCulate:CDMA:REVerse:RHO

Queries total power value for cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:RHO?
Examples | :CALC:CDMA:REV:RHO?
 | :calculate:cdma:reverse:rho?

Select a link to view the command details:

  • :CALCulate:CDMA:REVerse:RHO:LIMit:FAIL
  • :CALCulate:CDMA:REVerse:RHO:LIMit:LOWer
  • :CALCulate:CDMA:REVerse:RHO:LIMit[:STATe]

:CALCulate:CDMA:REVerse:RHO:LIMit:FAIL

Queries fail status of Rho limit test. 1 indicates failure; 0 indicates no failure. No failure is not the same as passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:RHO:LIMit:FAIL?
Examples | :CALC:CDMA:REV:RHO:LIM:FAIL?
 | :calculate:cdma:reverse:rho:limit:fail?

:CALCulate:CDMA:REVerse:RHO:LIMit:LOWer

Queries or sets the low limit for Rho.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.994 | 0 | 1 | none

 | :CALCulate:CDMA:REVerse:RHO:LIMit:LOWer
Examples | :CALC:CDMA:REV:RHO:LIM:LOW
 | :calculate:cdma:reverse:rho:limit:lower
 | :CALCulate:CDMA:REVerse:RHO:LIMit:LOWer?

:CALCulate:CDMA:REVerse:RHO:LIMit[:STATe]

Queries or turns on/off limit test for Rho.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:RHO:LIMit:STATe 0
Examples | :CALC:CDMA:REV:RHO:LIM 0
 | :calculate:cdma:reverse:rho:limit 1
 | :CALCulate:CDMA:REVerse:RHO:LIMit?


:CALCulate:CDMA:REVerse:SEMask

Select a link to view the command details:

  • :CALCulate:CDMA:REVerse:SEMask:CPOWer
  • :CALCulate:CDMA:REVerse:SEMask:LIMit:FAIL
  • :CALCulate:CDMA:REVerse:SEMask:LIMit:MARGin
  • :CALCulate:CDMA:REVerse:SEMask:LIMit[:STATe]

:CALCulate:CDMA:REVerse:SEMask:CPOWer

Query the In-Channel Power of the spectrum emission mask measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:SEMask:CPOWer?
Examples | :CALC:CDMA:REV:SEM:CPOW?
 | :calculate:cdma:reverse:semask:cpower?

:CALCulate:CDMA:REVerse:SEMask:LIMit:FAIL

Queries the fail status of the spectrum emission mask measurement. 1 indicates that data is tested and failed, no data, or limit state is off. 0 indicates that data is tested and passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:SEMask:LIMit:FAIL?
Examples | :CALC:CDMA:REV:SEM:LIM:FAIL?
 | :calculate:cdma:reverse:semask:limit:fail?

:CALCulate:CDMA:REVerse:SEMask:LIMit:MARGin

Queries or sets the margin for spectrum emission limit test.This margin is added to the default limit values for each frequency as derived from the cdma2000 standard.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 50 | dB

 | :CALCulate:CDMA:REVerse:SEMask:LIMit:MARGin -50
Examples | :CALC:CDMA:REV:SEM:LIM:MARG 0
 | :calculate:cdma:reverse:semask:limit:margin 50
 | :CALCulate:CDMA:REVerse:SEMask:LIMit:MARGin?

:CALCulate:CDMA:REVerse:SEMask:LIMit[:STATe]

Queries or turns on/off the limit test for spectrum emission mask measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:SEMask:LIMit:STATe 0
Examples | :CALC:CDMA:REV:SEM:LIM 1
 | :calculate:cdma:reverse:semask:limit on
 | :CALCulate:CDMA:REVerse:SEMask:LIMit?


:CALCulate:CDMA:REVerse:TPOWer

Queries the rho value for a cdma2000 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:CDMA:REVerse:TPOWer?
Examples | :CALC:CDMA:REV:TPOW?
 | :calculate:cdma:reverse:tpower?


:CALCulate:DATA

Reads the data on the graph display for the currently active measurement. Returns ASCII, Real 32, Real 64. The data type follows the :FORMat command.

NOTE: The amount of return data varies widely, depending on the trace data of a currently active measurement. This command could return a few items, or hundreds of items.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:DATA?
Examples | :CALC:DATA?
 | :calculate:data?

_
Select a link to view further command details:

  • :CALCulate:DATA:DMODulation:SOURce
  • :CALCulate:DATA:COUNt
  • :CALCulate:DATA:VALid

:CALCulate:DATA:COUNt

Returns zero if a :CALCulate:DATA? query will return valid data (Data Corrupt or Stale error -- error -230). Returns the number of data elements returned by :CALCulate:DATA? for the current measurement and trace type, if the current measurement has a trace type selection. When the selected trace type is None, zero is returned even when : CALCulate:DATA:VALid? returns true.

For some measurements and trace types, a data element may be an I/Q or x/y data pair.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:DATA:COUNt?
Examples | :CALC:DATA:COUN?
 | :calculate:data:count?

:CALCulate:DATA:DMODulation:SOURce

Queries or sets which source of data will be returned by CALC:DATA? while in a digital demodulation measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | Yes | TRAJectories | POINts | SYMBols | none | n/a | n/a | n/a | none

 | :CALCulate:DATA:DMODulation:SOURce
Examples | :CALC:DATA:DMOD:SOUR
 | :calculate:data:demodulation:source
 | :CALCulate:DATA:DMODulation:SOURce?

:CALCulate:DATA:VALid

Queries the completion of a measurement.

A "1" is returned when the measurement was completed successfully, after which you can proceed to read the data. If a "0" is returned, then you know that the measurement failed to lock on the burst/carrier and there is no data to read.

Returns an ascii boolean indicating whether the last measurement successfully produced valid data. It is generally used to determine when a demodulation measurement such as EDGE EVM or WCDMA Demodulate was able to lock on to the input signal and produce an output. When this returns false, any data queries will result in Stale Data errors.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:DATA:VALid?
Examples | :CALC:DATA:VAL?
 | :calculate:data:valid?


:CALCulate:EDGE

Select a link to view the command details:

  • :CALCulate:EDGE:CONStellation
  • :CALCulate:EDGE:CPOWer
  • :CALCulate:EDGE:EVECtors:DATA
  • :CALCulate:EDGE:EVM:CFERror
  • :CALCulate:EDGE:EVM:DATA
  • :CALCulate:EDGE:EVM:DROop
  • :CALCulate:EDGE:EVM:IQGError
  • :CALCulate:EDGE:EVM:IQOOffset
  • :CALCulate:EDGE:EVM:LIMit
  • :CALCulate:EDGE:EVM:P95
  • :CALCulate:EDGE:EVM:PEAK
  • :CALCulate:EDGE:EVM:RMS
  • :CALCulate:EDGE:EVMTrace:DATA
  • :CALCulate:EDGE:IQData:DATA
  • :CALCulate:EDGE:LIMit:FAIL
  • :CALCulate:EDGE:ORFS:MODulation
  • :CALCulate:EDGE:ORFS:SWITching
  • :CALCulate:EDGE:SYMBol:DATA
  • :CALCULATE:EDGE:TMASk


:CALCulate:EDGE:CONStellation

Select a link to view the command details:

  • :CALCulate:EDGE:CONStellation:DATA:X
  • :CALCulate:EDGE:CONStellation:DATA[:Y]

:CALCulate:EDGE:CONStellation:DATA:X

Returns the complex points representing the constellation diagram. Constellation diagram must be selected using :DISP:VIEW:EDGE:TYPE. Real part in DATA:X?, imaginary in DATA?. Data type follows the FORM command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | normalized

 | :CALCulate:EDGE:CONStellation:DATA:X?
Examples | :CALC:EDGE:CONS:DATA:X?
 | :calculate:edge:constellation:data:x?

:CALCulate:EDGE:CONStellation:DATA[:Y]

Returns the complex points representing the constellation diagram. Constellation diagram must be selected using :DISP:VIEW:EDGE:TYPE. Real part in DATA:X?, imaginary in DATA?. Data type follows FORM command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | normalized

 | :CALCulate:EDGE:CONStellation:DATA:Y?
Examples | :CALC:EDGE:CONS:DATA:Y?
 | :calculate:edge:constellation:data:y?


:CALCulate:EDGE:CPOWer

Select a link to view the command details:

  • :CALCulate:EDGE:CPOWer:DATA
  • :CALCulate:EDGE:CPOWer:LIMit:FAIL
  • :CALCulate:EDGE:CPOWer:LIMit:FCOunt
  • :CALCulate:EDGE:CPOWer:LIMit:MARGin
  • :CALCulate:EDGE:CPOWer:LIMit[:MAX]
  • :CALCulate:EDGE:CPOWer:LIMit:MIN
  • :CALCulate:EDGE:CPOWer:LIMit:STATus

:CALCulate:EDGE:CPOWer:DATA

Reads the channel power in dBm and returns a single ASCII value.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:EDGE:CPOWer:DATA?
Examples | :CALC:EDGE:CPOW:DATA?
 | :calculate:edge:cpower:data?

:CALCulate:EDGE:CPOWer:LIMit:FAIL

Reads the channel power limit test failure status. A single Boolean value is returned. Returns "1" if channel power fails its limit test or there is no limit. Returns "0" on pass. A "0" means that a valid limit was applied, "1" means no limit applied. A value of -1 means none of the items had a limit turned on, in which case it displays -230,"Data Corrupt or Stale".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:CPOWer:LIMit:FAIL?
Examples | :CALC:EDGE:CPOW:LIM:FAIL?
 | :calculate:edge:cpower:limit:fail?

:CALCulate:EDGE:CPOWer:LIMit:FCOunt

Reads the number of measured values in the EDGE channel power data block that failed the limit test. Returns "1" if channel power fails its limit test, zero if passed, "-1" if no limit.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:CPOWer:LIMit:FCOunt?
Examples | :CALC:EDGE:CPOW:LIM:FCO?
 | :calculate:edge:cpower:limit:fcount?

:CALCulate:EDGE:CPOWer:LIMit:MARGin

Returns the worst case margin between the upper and lower limits.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:EDGE:CPOWer:LIMit:MARGin?
Examples | :CALC:EDGE:CPOW:LIM:MARG?
 | :calculate:edge:cpower:limit:margin?

:CALCulate:EDGE:CPOWer:LIMit[:MAX]

Sets or queries the maximum channel power in dBm. If the value is set to 200, the limit is not applied to the test. Default = +200 dBm (disabled).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 200 | -100 | 200 | dBm

 | :CALCulate:EDGE:CPOWer:LIMit:MAX MAXimum
Examples | :CALC:EDGE:CPOW:LIM:MAX MAX
 | :calculate:edge:cpower:limit:max maximum
 | :CALCulate:EDGE:CPOWer:LIMit:MAX?

:CALCulate:EDGE:CPOWer:LIMit:MIN

Queries or sets the minimum channel power in dBm. If the value is set to -200, the limit is not applied to the test. When you choose the limit value, you should take into account both the fixture loss and the measurement uncertainty.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -200 | -200 | 100 | dBm

 | :CALCulate:EDGE:CPOWer:LIMit:MIN MAXimum
Examples | :CALC:EDGE:CPOW:LIM:MIN MAX
 | :calculate:edge:cpower:limit:min maximum
 | :CALCulate:EDGE:CPOWer:LIMit:MIN?

:CALCulate:EDGE:CPOWer:LIMit:STATus

Reads if the channel power limit test is enabled. Returns "1" if there is a valid upper or lower limit (or both.) A value of -1 means limits not turned on, in which case, it displays -230,"Data Corrupt or Stale".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:CPOWer:LIMit:STATus?
Examples | :CALC:EDGE:CPOW:LIM:STAT?
 | :calculate:edge:cpower:limit:status?


:CALCulate:EDGE:EVECtors:DATA

Select a link to view the command details:

  • :CALCulate:EDGE:EVECtors:DATA:X
  • :CALCulate:EDGE:EVECtors:DATA[:Y]

:CALCulate:EDGE:EVECtors:DATA:X

Returns the complex error vectors for the 142 decision points in the useful part of the burst.The EVM Trace or constellation must be selected using :DISP:VIEW:EDGE:TYPE. The real part is in DATA:X?, imaginary in DATA?. Data type follows the FORM command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | normalized

 | :CALCulate:EDGE:EVECtors:DATA:X?
Examples | :CALC:EDGE:EVEC:DATA:X?
 | :calculate:edge:evectors:data:x?

:CALCulate:EDGE:EVECtors:DATA[:Y]

Returns the complex error vectors for the 142 decision points in the useful part of burst. The EVM Trace or constellation must be selected using :DISP:VIEW:EDGE:TYPE. Real part is in DATA:X?, imaginary in DATA?. Data type follows the FORM command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | normalized

 | :CALCulate:EDGE:EVECtors:DATA::Y?
Examples | :CALC:EDGE:EVEC:DATA:Y?
 | :calculate:edge:evectors:data:y?

:CALCulate:EDGE:EVM:CFERror

Returns the Edge EVM carrier frequency error measurement result (in Hz).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | Hz

 | :CALCulate:EDGE:EVM:CFERror?
Examples | :CALC:EDGE:EVM:CFER?
 | :calculate:edge:evm:cferror?


:CALCulate:EDGE:EVM:DATA

Returns the EVM measurement data, 7 values, ASCII, comma separated: rms EVM, peak EVM, 95 percentile EVM, carrier frequency offset in Hz, IQ Gain error in DB, origin offset in dB, droop in dB/burst.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | No | n/a | n/a | n/a | n/a | n/a | various

 | :CALCulate:EDGE:EVM:DATA?
Examples | :CALC:EDGE:EVM:DATA?
 | :calculate:edge:evm:data?

:CALCulate:EDGE:EVM:DROop

Returns the Edge EVM droop measurement result.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB/burst

 | :CALCulate:EDGE:EVM:DROop?
Examples | :CALC:EDGE:EVM:DRO?
 | :calculate:edge:evm:droop?

:CALCulate:EDGE:EVM:IQGError

Returns the Edge EVM IQ gain error measurement result.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:EDGE:EVM:IQGError?
Examples | :CALC:EDGE:EVM:IQGE?
 | :calculate:edge:evm:iqgerror?

:CALCulate:EDGE:EVM:IQOOffset

Returns the Edge EVM IQ origin offset measurement result.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:EDGE:EVM:IQOOffset?
Examples | :CALC:EDGE:EVM:IQOO?
 | :calculate:edge:evm:iqooffset?


:CALCulate:EDGE:EVM:LIMit

Select a link to view the command details:

  • :CALCulate:EDGE:EVM:LIMit:FAIL
  • :CALCulate:EDGE:EVM:LIMit:FCOunt
  • :CALCulate:EDGE:EVM:LIMit:FREQ
  • :CALCulate:EDGE:EVM:LIMit:MARGin
  • :CALCulate:EDGE:EVM:LIMit:NFIVe
  • :CALCulate:EDGE:EVM:LIMit:OFFSet
  • :CALCulate:EDGE:EVM:LIMit:PEAK
  • :CALCulate:EDGE:EVM:LIMit:RMS
  • :CALCulate:EDGE:EVM:LIMit:STATus

:CALCulate:EDGE:EVM:LIMit:FAIL

Returns an array of boolean results, one value per measured quantity, as in EDGE:EVM:DATA?. A "1" indicates a fail or no limit applied, "0" indicates a pass. A value of -1 means none of the items had a limit turned on, in which case displays -230,"Data Corrupt or Stale".

Note: You must also query the status of the limit test to separate an actual failure from the situation of no limit being applied during the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:EVM:LIMit:FAIL?
Examples | :CALC:EDGE:EVM:LIM:FAIL?
 | :calculate:edge:evm:limit:fail?

:CALCulate:EDGE:EVM:LIMit:FCOunt

Returns the number of measured values in the EDGE EVM data block that failed the limit. A value of zero means all passed, a value of -1 means none of the items had a limit turned on.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:EVM:LIMit:FCOunt?
Examples | :CALC:EDGE:EVM:LIM:FCO?
 | :calculate:edge:EVM:limit:fcount?

:CALCulate:EDGE:EVM:LIMit:FREQ

Queries the largest frequency error expressed in parts per million.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.1 | 0 | 1000 | ppm

 | :CALCulate:EDGE:EVM:LIMit:FREQuency 500
Examples | :CALC:EDGE:EVM:LIM:FREQ 500
 | :calculate:edge:evm:limit:frequency
 | :CALC:EDGE:EVM:LIM:FREQ?

:CALCulate:EDGE:EVM:LIMit:MARGin

Returns an array of margins, as they appear in the data table, one margin per measured value. Array is the same length as EDGE:EVM:DATA?. A zero is returned when no limit is applied. A negative margin indicates a failed limit.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:EDGE:EVM:LIMit:MARGin?
Examples | :CALC:EDGE:EVM:LIM:MARG?
 | :calculate:edge:evm:limit:margin?

:CALCulate:EDGE:EVM:LIMit:NFIVe

Sets or queries the limit value for the 95 percentile frequency error, expressed in percent.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 15 | 0 | 100 | percent

 | :CALCulate:EDGE:EVM:LIMit:NFIVe MAXimum
Examples | :CALC:EDGE:EVM:LIM:NFIV MAX
 | :calculate:edge:evm:limit:nfive maximum
 | :CALC:EDGE:EVM:LIM:NFIV?

:CALCulate:EDGE:EVM:LIMit:OFFSet

Sets or queries the limit value for the origin offset, expressed in decibels.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -30 | -200 | 200 | dB

 | :CALCulate:EDGE:EVM:LIMit:OFFSet MAXimum
Examples | :CALC:EDGE:EVM:LIM:OFFS MAX
 | :calculate:edge:evm:limit:offset maximum
 | :CALC:EDGE:EVM:LIM:OFFS?

:CALCulate:EDGE:EVM:LIMit:PEAK

Sets or queries the upper limit value for the error vector magnitude peak, expressed in percent.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 30 | 0 | 100 | percent

 | :CALCulate:EDGE:EVM:LIMit:PEAK MAXimum
Examples | :CALC:EDGE:EVM:LIM:PEAK MAX
 | :calculate:edge:evm:limit:peak maximum
 | :CALC:EDGE:EVM:LIM:PEAK?

:CALCulate:EDGE:EVM:LIMit:RMS

Sets the upper limit value for the RMS error vector magnitude, expressed in percent.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 9 | 0 | 100 | percent

 | :CALCulate:EDGE:EVM:LIMit:RMS MAXimum
Examples | :CALC:EDGE:EVM:LIM:RMS MAX
 | :calculate:edge:evm:limit:rms maximum
 | :CALC:EDGE:EVM:LIM:RMS?

:CALCulate:EDGE:EVM:LIMit:STATus

Returns an array of booleans, one boolean per limit returned in LIMit:FAIL? query. A "1" means that a valid limit was applied, "0" means no limit applied. A value of -1 means none of the items had a limit turned on, and isplays -230,"Data Corrupt or Stale".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | -1 | n/a | n/a | none

 | :CALCulate:EDGE:EVM:LIMit:STATus?
Examples | :CALC:EDGE:EVM:LIM:STAT?
 | :calculate:edge:evm:limit:status?

:CALCulate:EDGE:EVM:P95

Returns the Edge EVM 95th percentile measurement result.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | %

 | :CALCulate:EDGE:EVM:P95?
Examples | :CALC:EDGE:EVM:P95?
 | :calculate:edge:evm:p95?

:CALCulate:EDGE:EVM:PEAK

Returns the Edge EVM peak measurement result.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | %

 | :CALCulate:EDGE:EVM:PEAK?
Examples | :CALC:EDGE:EVM:PEAK?
 | :calculate:edge:evm:peak?

:CALCulate:EDGE:EVM:RMS

Returns the Edge EVM RMS measurement result.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | %

 | :CALCulate:EDGE:EVM:RMS?
Examples | :CALC:EDGE:EVM:RMS?
 | :calculate:edge:evm:rms?


:CALCulate:EDGE:EVMTrace:DATA

Select a link to view the command details:

  • :CALCulate:EDGE:EVMTrace:DATA:X
  • :CALCulate:EDGE:EVMTrace:DATA[:Y]

:CALCulate:EDGE:EVMTrace:DATA:X

Returns the x axis data, in seconds, that is associated with the EVM trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | seconds

 | :CALCulate:EDGE:EVMTrace:DATA:X?
Examples | :CALC:EDGE:EVMT:DATA:X?
 | :calculate:edge:evmtrace:data:x?

:CALCulate:EDGE:EVMTrace:DATA[:Y]

Returns the array corresponding to the EVM trace selection, in percent. The EVM trace must be selected using :DISP:VIEW:EDGE:TYPE. Data type follows the FORM command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | percent

 | :CALCulate:EDGE:EVMTrace:DATA:Y?
Examples | :CALC:EDGE:EVMT:DATA:Y?
 | :calculate:edge:evmtrace:data:y?


:CALCulate:EDGE:IQData:DATA

Select a link to view the command details:

  • :CALCulate:EDGE:IQData:DATA:X
  • :CALCulate:EDGE:IQData:DATA[:Y]

:CALCulate:EDGE:IQData:DATA:X

Returns the complex IQ data sampled at 1.625 MHz (6 samples per symbol), real part in DATA:X?, imaginary in DATA?. The Data type follows the FORM command. The Constellation trace type must be selected with DISP:VIEW:EDGE:TYPE.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | normalized

 | :CALCulate:EDGE:IQData:DATA:X?
Examples | :CALC:EDGE:IQD:DATA:X?
 | :calculate:edge:iqdata:data:x?

:CALCulate:EDGE:IQData:DATA[:Y]

Returns the complex IQ data sampled at 1.625 MHz (6 samples per symbol), real part in DATA:X?, imaginary in DATA?. Data type follows FORM command. Constellation trace type must be selected with DISP:VIEW:EDGE:TYPE.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | normalized

 | :CALCulate:EDGE:IQData:DATA:Y?
Examples | :CALC:EDGE:IQD:DATA:Y?
 | :calculate:edge:iqdata:data:y?


:CALCulate:EDGE:LIMit:FAIL

Reads the EDGE limit test. Returns a boolean - 1 if at least one EDGE measurement failed, 0 if all passed. A value of -1 means none of the items had a limit turned on, in which case it returns -230,"Data Corrupt or Stale"

Note: You must also query the status of the limit test to separate an actual failure from the situation of no limit being applied during the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:LIMit:FAIL?
Examples | :CALC:EDGE:LIM:FAIL?
 | :calculate:edge:limit:fail?


:CALCulate:EDGE:ORFS:MODulation

Select a link to view the command details:

  • :CALCulate:EDGE:ORFS:MODulation:DATA:X
  • :CALCulate:EDGE:ORFS:MODulation:DATA[:Y]
  • :CALCulate:EDGE:ORFS:MODulation:LIMit:FAIL
  • :CALCulate:EDGE:ORFS:MODulation:LIMit:FCOunt
  • :CALCulate:EDGE:ORFS:MODulation:LIMit:MARGin
  • :CALCulate:EDGE:ORFS:MODulation:LIMit:STATus
  • :CALCulate:EDGE:ORFS:MODulation:REFerence

:CALCulate:EDGE:ORFS:MODulation:DATA:X

Returns the frequency offsets used to measure ORFS due to modulation, from the largest negative offset to the largest positive offset. Use the :CALC:ORFS:MOD:REF? command to convert the offset to dBm. Return data format follows FORM command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | dBc

 | :CALCulate:EDGE:ORFS:MODulation:DATA:X?
Examples | :CALC:EDGE:ORFS:MOD:DATA:X?
 | :calculate:edge:orfs:modulation:data:x?

:CALCulate:EDGE:ORFS:MODulation:DATA[:Y]

Returns the ORFS due to modulation data in dBc, from largest negative offset to largest positive. Data comes in pairs, first value being offset in Hz and the second value being ORFS in dBc.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | dBc

 | :CALCulate:EDGE:ORFS:MODulation:DATA:Y?
Examples | :CALC:EDGE:ORFS:MOD:DATA:Y?
 | :calculate:edge:orfs:modulation:data:y?

:CALCulate:EDGE:ORFS:MODulation:LIMit:FAIL

Returns a boolean array the same length as the data query. A "1" means fail or no limit, a "0" means pass. A value of -1 means none of the items had a limit turned on, in which case displays -230,"Data Corrupt or Stale".

Note: You must also query the status of the limit test to separate an actual failure from the situation of no limit being applied during the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:ORFS:MODulation:LIMit:FAIL?
Examples | :CALC:EDGE:ORFS:MOD:LIM:FAIL?
 | :calculate:edge:orfs:modulation:limit:fail?

:CALCulate:EDGE:ORFS:MODulation:LIMit:FCOunt

Returns an ASCII integer representing the number of offsets that failed. A "0" means all passed, a "-1" means no limits.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:ORFS:MODulation:LIMit:FCOunt?
Examples | :CALC:EDGE:ORFS:MOD:LIM:FCO?
 | :calculate:edge:orfs:modulation:limit:fcount?

:CALCulate:EDGE:ORFS:MODulation:LIMit:MARGin

Returns an ASCII integer representing the number of offsets that failed. A "0" means all passed, a "-1" means no limits.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:ORFS:MODulation:LIMit:MARGin?
Examples | :CALC:EDGE:ORFS:MOD:LIM:MARG?
 | :calculate:edge:orfs:modulation:limit:margin?

:CALCulate:EDGE:ORFS:MODulation:LIMit:STATus

Returns an ascii floating point array, the same length and order as data query, given the worst case margin at each point. A value of -1 means none of the items had a limit turned on, in which case it displays -230,"Data Corrupt or Stale".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:EDGE:ORFS:MODulation:LIMit:STATus?
Examples | :CALC:EDGE:ORFS:MOD:LIM:STAT?
 | :calculate:edge:orfs:modulation:limit:status?

:CALCulate:EDGE:ORFS:MODulation:REFerence

Returns the measured power in dBm at the 0 Hz offset. You can also use this value to convert ORFS values from dBc to dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:EDGE:ORFS:MODulation:REFerence?
Examples | :CALC:EDGE:ORFS:MOD:REF?
 | :calculate:edge:orfs:modulation:reference?


:CALCulate:EDGE:ORFS:SWITching

Select a link to view the command details:

  • :CALCulate:EDGE:ORFS:SWITching:DATA:X
  • :CALCulate:EDGE:ORFS:SWITching:DATA[:Y]
  • :CALCulate:EDGE:ORFS:SWITching:LIMit:FAIL
  • :CALCulate:EDGE:ORFS:SWITching:LIMit:FCOunt
  • :CALCulate:EDGE:ORFS:SWITching:LIMit:MARGin
  • :CALCulate:EDGE:ORFS:SWITching:LIMit:STATus
  • :CALCulate:EDGE:ORFS:SWITching:REFerence

:CALCulate:EDGE:ORFS:SWITching:DATA:X

Returns the offsets where the ORFS was measured. These offset values correspond to the data values in the DATA? query. Return data format follows FORM command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | Hz

 | :CALCulate:EDGE:ORFS:SWITching:DATA:X?
Examples | :CALC:EDGE:ORFS:SWIT:DATA:X?
 | :calculate:edge:orfs:switching:data:x?

:CALCulate:EDGE:ORFS:SWITching:DATA[:Y]

Reads the ORFS due to switching data in dBc, from largest negative offset to largest positive. Use the :CALC:EDDGE:ORFS:SWIT:REF? to convert to dBm. Return data format follows FORM command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | dBc

 | :CALCulate:EDGE:ORFS:SWITching:DATA:Y?
Examples | :CALC:EDGE:ORFS:SWIT:DATA:Y?
 | :calculate:edge:orfs:switching:data:y?

:CALCulate:EDGE:ORFS:SWITching:LIMit:FAIL

Returns the ORFS due to switching data in dBc, from largest negative offset to largest positive. Value is ORFS in dBc. Use ORFS:MOD:REF? to convert to dBm. Return data format follows FORM command.

Note: You must also query the status of the limit test to separate an actual failure from the situation of no limit being applied during the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:ORFS:SWITching:LIMit:FAIL?
Examples | :CALC:EDGE:ORFS:SWIT:LIM:FAIL?
 | :calculate:edge:orfs:switching:limit:fail?

:CALCulate:EDGE:ORFS:SWITching:LIMit:FCOunt

Returns an ASCII integer representing the number of offsets that failed. A "0" means all passed, a "-1" means no limits.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | <Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:ORFS:SWITching:LIMit:FCOunt?
Examples | :CALC:EDGE:ORFS:SWIT:LIM:FCO?
 | :calculate:edge:orfs:switching:limit:fcount?

:CALCulate:EDGE:ORFS:SWITching:LIMit:MARGin

Reads the ORFS due to switching limit test and returns an ASCII floating point array, same length and order as data query, given worst case margin at each point. The values are dependent on settings for ORFS Switching detector mode, averaging data type, and so on.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | various

 | :CALCulate:EDGE:ORFS:SWITching:LIMit:MARGin?
Examples | :CALC:EDGE:ORFS:SWIT:LIM:MARG?
 | :calculate:edge:orfs:switching:limit:margin?

:CALCulate:EDGE:ORFS:SWITching:LIMit:STATus

Returns an ASCII boolean array, same length and order as data query. A "1" means a valid limit applied. A value of -1 means none of the items had a limit turned on, in which case it displays -230,"Data Corrupt or Stale".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:ORFS:SWITching:LIMit:STATus?
Examples | :CALC:EDGE:ORFS:SWIT:LIM:STAT?
 | :calculate:edge:orfs:switching:limit:status?

:CALCulate:EDGE:ORFS:SWITching:REFerence

Returns a single ASCII floating point value, the power in dBm measured at zero offset frequency. You can also use this value to convert ORFS values from dBc to dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:EDGE:ORFS:SWITching:REFerence?
Examples | :CALC:EDGE:ORFS:SWIT:REF?
 | :calculate:edge:orfs:switching:reference?


:CALCulate:EDGE:SYMBol:DATA

Select a link to view the command details:

  • :CALCulate:EDGE:SYMBol:DATA:X
  • :CALCulate:EDGE:SYMBol:DATA[:Y]

:CALCulate:EDGE:SYMBol:DATA:X

Returns the X axis associated with the :CALC:EDGE:SYMBOL:DATA? command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:SYMBol:DATA:X?
Examples | :CALC:EDGE:SYMB:DATA:X?
 | :calculate:edge:symbol:data:x?

:CALCulate:EDGE:SYMBol:DATA[:Y]

Returns the symbol trace, 282 points (2*142 - 2). To create the staircase appearance, each value is repeated twice, except for the first and last symbol.

Note: The Symbol trace must be selected with DISP:VIEW:EDGE:TYPE SYM. Data type follow the FORM command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | symbol

 | :CALCulate:EDGE:SYMBol:DATA:Y?
Examples | :CALC:EDGE:SYMB:DATA:Y?
 | :calculate:edge:symbol:data:y?


:CALCulate:EDGE:TMASk

Select a link to view the command details:

  • :CALCulate:EDGE:TMASk:DATA:X
  • :CALCulate:EDGE:TMASk:DATA[:Y]
  • :CALCulate:EDGE:TMASk:LIMit
  • :CALCulate:EDGE:TMASk:LIMit:FAIL
  • :CALCulate:EDGE:TMASk:LIMit:FCOunt
  • :CALCulate:EDGE:TMASk:LIMit:MARGin
  • :CALCulate:EDGE:TMASk:LIMit:STATus

:CALCulate:EDGE:TMASk:DATA:X

Returns an array of floating point values. The time values correspond to the time mask data from the :CALCulate:EDGE:TMASk:DATA? query. The return data type follows the FORM command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:TMASk:DATA:X?
Examples | :CALC:EDGE:TMAS:DATA:X?
 | :calculate:edge:tmask:data:x?

:CALCulate:EDGE:TMASk:DATA[:Y]

Returns an array of floating point values. The time mask is in dBm. Return data type follows the FORM command; binary or ascii.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:TMASk:DATA:Y?
Examples | :CALC:EDGE:TMAS:DATA:Y?
 | :calculate:edge:tmask:data:y?

:CALCulate:EDGE:TMASk:LIMit

Queries or sets a time mask limit table as a comma-separated list with four numbers per row. The file is in the following form: time, max dBc, max dBm, min dBc.

Note: The EDGE standards specifies both relative (dBc) and absolute (dBm) limits. You should use absolute limits with caution because the EDGE standard states that the device will pass a limit test even if it only meets one of the limits specified (absolute or relative). For example, if you enter an absolute limit without accounting for the fixture loss, devices that do not meet the specification will appear to pass the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,…,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | various

 | :CALCulate:EDGE:TMASk:LIMit
Examples | :CALC:EDGE:TMAS:LIM
 | :calculate:edge:tmask:limit
 | :CALC:EDGE:TMAS:LIM?

:CALCulate:EDGE:TMASk:LIMit:FAIL

Reads the time mask limit test and returns a 3 element array of booleans, corresponding to rising, middle and falling parts of bursts. "1" means fail or no limit. "0" means pass. A value of -1 means none of the items had a limit turned on, in which case it displays error code -230,"Data Corrupt or Stale".

Note: You must also query the status of the limit test to separate an actual failure from the situation of no limit being applied during the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,Boolean data.,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:TMASk:LIMit:FAIL?
Examples | :CALC:EDGE:TMAS:LIM:FAIL?
 | :calculate:edge:tmask:limit:fail?

:CALCulate:EDGE:TMASk:LIMit:FCOunt

Returns an integer indicating how many of the three parts of the time mask failed. A "0" indicates pass, a "-1" indicates no limit applied.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:TMASk:LIMit:FCOunt?
Examples | :CALC:EDGE:TMAS:LIM:FCO?
 | :calculate:edge:tmask:limit:fcount?

:CALCulate:EDGE:TMASk:LIMit:MARGin

Reads the time mask limit test and returns an array of three elements that correspond to the rising, middle, and falling portions of the time mask. Returns the worst case margin between upper dBc and lower dBc limit and upper dBm limit. A negative margin indicates a fail.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dBc

 | :CALCulate:EDGE:TMASk:LIMit:MARGin?
Examples | :CALC:EDGE:TMAS:LIM:MARG?
 | :calculate:edge:tmask:limit:margin?

:CALCulate:EDGE:TMASk:LIMit:STATus

Reads if the time mask limit test is applied and returns an array of three elements that correspond to the rising, middle, and falling portions of the time mask. A value of "1" means valid limit applied. A value of -1 means none of the items had a limit turned on, in which case it displays -230, "Data Corrupt or Stale".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,Boolean data.,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:EDGE:TMASk:LIMit:STATus?
Examples | :CALC:EDGE:TMAS:LIM:STAT?
 | :calculate:edge:tmask:limit:status?


:CALCulate:FSK

Select a link to view the command details:

  • :CALCulate:FSK:ADRoop
  • :CALCulate:FSK:COFFset
  • :CALCulate:FSK:EVM:ENSemble
  • :CALCulate:FSK:EVM:PEAK
  • :CALCulate:FSK:EVM:PEAK:OFFSet
  • :CALCulate:FSK:EVM:RMS
  • :CALCulate:FSK:FDRift
  • :CALCulate:FSK:FSEParation
  • :CALCulate:FSK:IQRatio
  • :CALCulate:FSK:LEVel[:RMS]
  • :CALCulate:FSK:NSYMbols
  • :CALCulate:FSK:ORATio
  • :CALCulate:FSK:SRATe

:CALCulate:FSK:ADRoop

Returns Amplitude Droop for the FSK format.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:FSK:ADRoop?
Examples | :CALC:FSK:ADR?
 | :calculate:fsk:adroop?

:CALCulate:FSK:COFFset

Returns the carrier offset for FSK.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | Hz

 | :CALCulate:FSK:COFFset?
Examples | :CALC:FSK:COFF?
 | :calculate:fsk:coffset?

:CALCulate:FSK:EVM:ENSemble

Returns the ensemble error vector magnitude for FSK.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | % of sym

 | :CALCulate:FSK:EVM:ENSemble?
Examples | :CALC:FSK:EVM:ENS?
 | :calculate:fsk:evm:ensemble?

:CALCulate:FSK:EVM:PEAK

Returns error vector magnitude (peak) for FSK.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | % of sym

 | :CALCulate:FSK:EVM:PEAK?
Examples | :CALC:FSK:EVM:PEAK?
 | :calculate:fsk:evm:peak?

:CALCulate:FSK:EVM:PEAK:OFFSet

Returns the location of the peak EVM.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | symbols

 | :CALCulate:FSK:EVM:PEAK:OFFSet?
Examples | :CALC:FSK:EVM:PEAK:OFFS?
 | :calculate:fsk:evm:peak:offset?

:CALCulate:FSK:EVM:RMS

Returns symbol error vector magnitude (rms) for FSK.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | % of sym

 | :CALCulate:FSK:EVM:RMS?
Examples | :CALC:FSK:EVM:RMS?
 | :calculate:fsk:evm:rms?

:CALCulate:FSK:FDRift

Returns the frequency drift for FSK.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | Hz / usec

 | :CALCulate:FSK:FDRift?
Examples | :CALC:FSK:FDR?
 | :calculate:fsk:fdrift?

:CALCulate:FSK:FSEParation

Returns the frequency separation of the FSK signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | Hz

 | :CALCulate:FSK:FSEParation?
Examples | :CALC:FSK:FSEP?
 | :calculate:fsk:fseparation?

:CALCulate:FSK:IQRatio

Returns the ratio of I/Q.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:FSK:IQRatio?
Examples | :CALC:FSK:IQR?
 | :calculate:fsk:iqratio?

:CALCulate:FSK:LEVel[:RMS]

Returns the signal level of the FSK signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:FSK:LEVel:RMS?
Examples | :CALC:FSK:LEV?
 | :calculate:fsk:level:rms?

:CALCulate:FSK:NSYMbols

Returns the number of symbols used to perform demodulation.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:FSK:NSYMbols?
Examples | :CALC:FSK:NSYM?
 | :calculate:fsk:nsymbols?

:CALCulate:FSK:ORATio

Returns the FSK oversample ratio.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:FSK:ORATio?
Examples | :CALC:FSK:ORAT?
 | :calculate:fsk:oratio?

:CALCulate:FSK:SRATe

Returns the symbol rate of the FSK signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | samples/sec

 | :CALCulate:FSK:SRATe?
Examples | :CALC:FSK:SRAT?
 | :calculate:fsk:srate?


:CALCulate:GPSEM

Select a link to view the command details:

  • CALCulate:GPSEM:CPOWer
  • CALCulate:GPSEM:DATA
  • CALCulate:GPSEM:LIMit:FAIL
  • :CALCulate:GPSEM:LIMit:MARGin
  • :CALCulate:GPSEM:LIMit[:STATe]
  • :CALCulate:GPSEM:OBW
  • :CALCulate:GPSEM:PSD

Queries or switches on/off the limit test for the GP SEM measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:GPSEM:LIMit[:STATe] Off
Examples | :CALC:GPSEM:LIM 0
 | :calculate:gpsem:limit:state off
 | :CALC:GPSEM:LIM?

  • :CALCulate:GPSEM:PSD

:CALCulate:GPSEM:CPOWer

Returns a single value (ascii) - channel power in dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:GPSEM:CPOWer?
Examples | :CALC:GPSEM:CPOW?
 | :calculate:gpsem:cpower?

:CALCulate:GPSEM:DATA

Returns a numeric array for the GP SEM Measurement. The data is returned as 80 comma separated numbers. There are four numbers for each segment. The values for each segment are:

  • High side frequency of minimum margin to the SEM limits
  • High side value of minimum margin to the SEM limits
  • High side frequency of minimum margin to the SEM limits
  • High side value of minimum margin to the SEM limits

The data for all 20 segments is returned regardless of the number of segments defined in the SEM configuration dialog. Values for unused segments are set to 0.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,...,Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GPSEM:DATA?
Examples | :CALC:GPSEM:DATA?
 | :calculate:gpsem:data?

:CALCulate:GPSEM:LIMit:FAIL

Queries fail status of the GP SEM limit test. A value of 1 indicates failure; a value of 0 indicates no failure.

NOTE: No failure is not the same as passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GPSEM:LIMit:FAIL?
Examples | :CALC:GPSEM:LIM:FAIL?
 | :calculate:gpsem:limit:fail?

:CALCulate:GPSEM:LIMit:MARGin

Queries or sets the margin for limit test. This value is added to the default limit values for each frequency as derived from the user defined GP SEM Mask.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 50 | dB

 | :CALCulate:GPSEM:LIMit:MARGin MAXimum
Examples | :CALC:GPSEM:LIM:FAIL:MARG MAX
 | :calculate:gpsem:limit:margin maximum
 | :CALC:GPSEM:LIM:FAIL:MARG?

:CALCulate:GPSEM:LIMit[:STATe]

Queries or switches on/off the limit test for the GP SEM measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:GPSEM:LIMit:STATe Off
Examples | :CALC:GPSEM:LIM 0
 | :calculate:gpsem:limit:state off
 | :CALC:GPSEM:LIM?

:CALCulate:GPSEM:OBW

Returnes a single value (ascii) for the GP SEM Occupied Bandwidth in MHz.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | MHz

 | :CALCulate:GPSEM:OBW
Examples | :CALC:GPSEM:OBW 0
 | :calculate:gpsem:obw
 | :CALC:GPSEM:OBW?

:CALCulate:GPSEM:PSD

Returns a single value (ascii) for the GP SEM PSD measurement in dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:GPSEM:PSD?
Examples | :CALC:GPSEM:PSD?
 | :calculate:gpsem:psd?
 | :CALC:GPSEM:PSD?


:CALCulate:GSM

Select a link to view the command details:

  • :CALCulate:GSM:CPOWer
  • :CALCulate:GSM:LIMit:FAIL
  • :CALCulate:GSM:ORFS:MODulation
  • :CALCulate:GSM:ORFS:SWITching
  • :CALCulate:GSM:PERRor
  • :CALCulate:GSM:SYMBol:DATA
  • :CALCulate:GSM:TMASk


:CALCulate:GSM:CPOWer

Select a link to view the command details:

  • :CALCulate:GSM:CPOWer:DATA
  • :CALCulate:GSM:CPOWer:LIMit:FAIL
  • :CALCulate:GSM:CPOWer:LIMit:FCOunt
  • :CALCulate:GSM:CPOWer:LIMit:MARGin
  • :CALCulate:GSM:CPOWer:LIMit[:MAX]
  • :CALCulate:GSM:CPOWer:LIMit:MIN
  • :CALCulate:GSM:CPOWer:LIMit:STATus

:CALCulate:GSM:CPOWer:DATA

Queries the channel power in dBm measured in accordance with 3GPP standard.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:GSM:CPOWer:DATA?
Examples | :CALC:GSM:CPOW:DATA?
 | :calculate:gsm:cpower:data?

:CALCulate:GSM:CPOWer:LIMit:FAIL

Queries the channel power. It returns a "1" if Channel Power fails its limit test or there is no limit, a "0" if the limit test passes. A "0" means that a valid limit was applied, "1" means no limit applied. A value of -1 means none of the items had a limit turned on, in which case it displays -230.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:CPOWer:LIMit:FAIL?
Examples | :CALC:GSM:CPOW:LIM:FAIL?
 | :calculate:gsm:cpower:limit:fail?

:CALCulate:GSM:CPOWer:LIMit:FCOunt

Returns a "1" if Channel Power fails its limit test, a zero if passed, or -1 if no limit was applied.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:CPOWer:LIMit:FCOunt?
Examples | :CALC:GSM:CPOW:LIM:FCO?
 | :calculate:gsm:cpower:limit:fcount?

:CALCulate:GSM:CPOWer:LIMit:MARGin

Returns the worst case margin between the upper and lower limits.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:GSM:CPOWer:LIMit:MARGin?
Examples | :CALC:GSM:CPOW:LIM:MARG?
 | :calculate:gsm:cpower:limit:margin?

:CALCulate:GSM:CPOWer:LIMit[:MAX]

Queries or sets the largest acceptable channel power value, in dBm. If the value is set to 200, the limit is not applied to the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 200 | -100 | 200 | dBm

 | :CALCulate:GSM:CPOWer:LIMit:MAX MAXimum
Examples | :CALC:GSM:CPOW:LIM MAX
 | :calculate:gsm:cpower:limit:maximum maximum
 | :CALC:GSM:CPOW:LIM?

:CALCulate:GSM:CPOWer:LIMit:MIN

Queries or sets the smallest acceptable channel power value, in dBm. If the value is set to -200, the limit is not applied to the test. When you choose the limit value, you should take into account both the fixture loss and the measurement uncertainty.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -200 | -200 | 200 | dBm

 | :CALCulate:GSM:CPOWer:LIMit:MIN MAXimum
Examples | :CALC:GSM:CPOW:LIM:MIN MAX
 | :calculate:gsm:cpower:limit:minimum maximum
 | :CALC:GSM:CPOW:LIM:MIN?

:CALCulate:GSM:CPOWer:LIMit:STATus

Reads if the channel power limit test is applied. Returns "1" if there is a valid upper or lower limit (or both.) A "1" means that a valid limit was applied, "0" means no limit applied. A value of -1 means none of the items had a limit turned on, in which case displays -230,"Data Corrupt or Stale".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:CPOWer:LIMit:STATus?
Examples | :CALC:GSM:CPOW:LIM:STAT?
 | :calculate:gsm:cpower:limit:status?


:CALCulate:GSM:LIMit:FAIL

Reads the GSM limit test. Returns a boolean - 1 if at least one GSM measurement failed, 0 if all passed, and throws a settingsConflict if no limits applied. A value of -1 means none of the items had a limit turned on, in which case it displays -230,"Data Corrupt or Stale".

Note: You must also query the status of the limit test to separate an actual failure from the situation of no limit being applied during the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:LIMit:FAIL?
Examples | :CALC:GSM:LIM:FAIL?
 | :calculate:gsm:limit:fail?


:CALCulate:GSM:ORFS:MODulation

Select a link to view the command details:

  • :CALCulate:GSM:ORFS:MODulation:DATA:X
  • :CALCulate:GSM:ORFS:MODulation:DATA[:Y]
  • :CALCulate:GSM:ORFS:MODulation:LIMit:FAIL
  • :CALCulate:GSM:ORFS:MODulation:LIMit:FCOunt
  • :CALCulate:GSM:ORFS:MODulation:LIMit:MARGin
  • :CALCulate:GSM:ORFS:MODulation:LIMit:STATus
  • :CALCulate:GSM:ORFS:MODulation:REFerence

:CALCulate:GSM:ORFS:MODulation:DATA:X

Returns the offsets where the ORFS was measured. These offset values correspond to the data values in the DATA? query.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | Hz

 | :CALCulate:GSM:ORFS:MODulation:DATA:X?
Examples | :CALC:GSM:ORFS:MOD:DATA:X?
 | :calculate:gsm:orfs:modulation:data:x?

:CALCulate:GSM:ORFS:MODulation:DATA[:Y]

Reads the ORFS due to modulation data in dBc, from largest negative offset to largest positive. Use the :CALC:GSM:ORFS:MOD:REF? command to convert the data to dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | dBc

 | :CALCulate:GSM:ORFS:MODulation:DATA:Y?
Examples | :CALC:GSM:ORFS:MOD:DATA:Y?
 | :calculate:orfs:gsm:modulation:data:y?

:CALCulate:GSM:ORFS:MODulation:LIMit:FAIL

Returns a boolean array, same length as data query. A "1" means fail or no limit, a "0" means pass. A value of -1 means none of the items had a limit turned on, in which case displays -230,"Data Corrupt or Stale".

Note: You must also query the status of the limit test to separate an actual failure from the situation of no limit being applied during the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:ORFS:MODulation:LIMit:FAIL?
Examples | :CALC:GSM:ORFS:MOD:LIM:FAIL?
 | :calculate:orfs:gsm:modulation:limit:fail?

:CALCulate:GSM:ORFS:MODulation:LIMit:FCOunt

Returns an ASCII integer, indicating the number of offsets that failed. A "0" means all passed, a "-1" means no limits.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:ORFS:MODulation:LIMit:FCOunt?
Examples | :CALC:GSM:ORFS:MOD:LIM:FCO?
 | :calculate:orfs:gsm:modulation:limit:fcount?

:CALCulate:GSM:ORFS:MODulation:LIMit:MARGin

Reads the ORFS due to modulation limit test and returns an array, one element per entry in the data table. The returned values are the measured worst case.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:GSM:ORFS:MODulation:LIMit:MARGin?
Examples | :CALC:GSM:ORFS:MOD:LIM:MARG?
 | :calculate:gsm:orfs:modulation:limit:margin?

:CALCulate:GSM:ORFS:MODulation:LIMit:STATus

Reads if the ORFS due to modulation limit test is applied and returns one element per entry in the data table.

Returns an ascii boolean array, same length and order as data query. A "1" means that a valid limit was applied, "0" means no limit applied. A value of -1 means none of the items had a limit turned on, in which case displays -230,"Data Corrupt or Stale".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:ORFS:MODulation:LIMit:STATus?
Examples | :CALC:GSM:ORFS:MOD:LIM:STAT?
 | :calculate:gsm:orfs:modulation:limit:status?

:CALCulate:GSM:ORFS:MODulation:REFerence

Returns a single ASCII floating point value, the power in dBm measured at zero offset frequency. You can also use this command to convert a data trace from dBc to dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:GSM:ORFS:MODulation:REFerence?
Examples | :CALC:GSM:ORFS:MOD:REF?
 | :calculate:gsm:orfs:modulation:reference?


:CALCulate:GSM:ORFS:SWITching

Select a link to view the command details:

  • :CALCulate:GSM:ORFS:SWITching:DATA:X
  • :CALCulate:GSM:ORFS:SWITching:DATA[:Y]
  • :CALCulate:GSM:ORFS:SWITching:LIMit:FAIL
  • :CALCulate:GSM:ORFS:SWITching:LIMit:FCOunt
  • :CALCulate:GSM:ORFS:SWITching:LIMit:MARGin
  • :CALCulate:GSM:ORFS:SWITching:LIMit:STATus
  • :CALCulate:GSM:ORFS:SWITching:REFerence

:CALCulate:GSM:ORFS:SWITching:DATA:X

Returns the offsets in Hz where the ORFS was measured. These offset values correspond to the data values in the DATA? query.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | Hz

 | :CALCulate:GSM:ORFS:SWITching:DATA:X?
Examples | :CALC:GSM:ORFS:SWIT:DATA:X?
 | :calculate:gsm:orfs:switching:data:x?

:CALCulate:GSM:ORFS:SWITching:DATA[:Y]

Reads the ORFS due to switching data in dBc, from largest negative offset to largest positive offset. Use the :CALC:GSM:ORFS:SWIT:REF? command to convert the data to dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | dBc

 | :CALCulate:GSM:ORFS:SWITching:DATA:Y?
Examples | :CALC:GSM:ORFS:SWIT:DATA:Y?
 | :calculate:gsm:orfs:switching:data:y?

:CALCulate:GSM:ORFS:SWITching:LIMit:FAIL

Reads the ORFS due to switching and returns one element per entry in the data table.

Returns a boolean array, same length as data query. A "1" means fail or no limit, a "0" means pass. A value of -1 means none of the items had a limit turned on, in which case displays -230,"Data Corrupt or Stale".

Note: You must also query the status of the limit test to separate an actual failure from the situation of no limit being applied during the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:ORFS:SWITching:LIMit:FAIL?
Examples | :CALC:GSM:ORFS:SWIT:LIM:FAIL?
 | :calculate:gsm:orfs:switching:limit:fail?

:CALCulate:GSM:ORFS:SWITching:LIMit:FCOunt

Returns an ASCII integer, indicating the number of offsets that failed. A "0" means all limits passed, a "-1" means no limits.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,Digits with an explicit decimal point.,Digits with an explicit decimal point. [,Digits with an explicit decimal point.,Digits with an explicit decimal point.] | No | n/a | n/a | n/a | n/a | n/a | various

 | :CALCulate:GSM:ORFS:SWITching:LIMit:FCOunt?
Examples | :CALC:GSM:ORFS:SWIT:LIM:FCO?
 | :calculate:gsm:orfs:switching:limit:fcount?

:CALCulate:GSM:ORFS:SWITching:LIMit:MARGin

Reads the ORFS due to switching limit test and returns a measured worse case for each entry in the data table.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:ORFS:SWITching:LIMit:MARGin?
Examples | :CALC:GSM:ORFS:SWIT:LIM:MARG?
 | :calculate:gsm:orfs:switching:limit:margin?

:CALCulate:GSM:ORFS:SWITching:LIMit:STATus

Reads if the ORFS due to switching limit test is applied and returns one element per entry in the data table. It returns an ascii boolean array the same length and order as data query. A "1" means that a valid limit was applied, "0" means no limit applied. A value of -1 means none of the items had a limit turned on, in which case displays -230,"Data Corrupt or Stale".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:ORFS:SWITching:LIMit:STATus?
Examples | :CALC:GSM:ORFS:SWIT:LIM:STAT?
 | :calculate:gsm:orfs:switching:limit:status?

:CALCulate:GSM:ORFS:SWITching:REFerence

Returns a single ASCII floating point value, the power in dBm measured at zero offset frequency. You can also use this command to convert the data trace from dBc to dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:GSM:ORFS:SWITching:REFerence?
Examples | :CALC:GSM:ORFS:SWIT:REF?
 | :calculate:gsm:orfs:switching:reference?


:CALCulate:GSM:PERRor

Select a link to view the command details:

  • :CALCulate:GSM:PERRor:CFEedthru
  • :CALCulate:GSM:PERRor:CFERror
  • :CALCulate:GSM:PERRor:DATA
  • :CALCulate:GSM:PERRor:IQIMbalance
  • :CALCulate:GSM:PERRor:LIMit:FAIL
  • :CALCulate:GSM:PERRor:LIMit:FCOunt
  • :CALCulate:GSM:PERRor:LIMit:FREQ
  • :CALCulate:GSM:PERRor:LIMit:MARGin
  • :CALCulate:GSM:PERRor:LIMit:PEAK
  • :CALCulate:GSM:PERRor:LIMit:RMS
  • :CALCulate:GSM:PERRor:LIMit:STATus
  • :CALCulate:GSM:PERRor:PEAK
  • :CALCulate:GSM:PERRor:PEAK:BIT
  • :CALCulate:GSM:PERRor:PHASe:DATA:X
  • :CALCulate:GSM:PERRor:PHASe:DATA[:Y]
  • :CALCulate:GSM:PERRor:RMS
  • :CALCulate:GSM:PERRor:TRACe:DATA:X
  • :CALCulate:GSM:PERRor:TRACe:DATA[:Y]

:CALCulate:GSM:PERRor:CFEedthru

Returns carrier feedthrough in dB.

NOTE: IQ impairments must be enable to achieve a valid measurement.

___

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:GSM:PERRor:CFEedthru?
Examples | :CALC:GSM:PERR:CFE?
 | :calculate:gsm:perror:cfeedthru?

:CALCulate:GSM:PERRor:CFERror

Returns carrier frequency error in Hz.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | Hz

 | :CALCulate:GSM:PERRor:CFERror?
Examples | :CALC:GSM:PERR:CFER?
 | :calculate:gsm:perror:cferror?

:CALCulate:GSM:PERRor:DATA

If a GSM phase error measurement has successfully completed, returns up to six comma separated values

  • RMS phase error in % (:CALCulate:GSM:PERRor:RMS).
  • Peak phase error in % (:CALCulate:GSM:PERRor:PEAK).
  • Bit number of the peak phase error (:CALCulate:GSM:PERRor:PEAK:BIT) For example, bit 0 is the start of the data, bit N is N-bits after the start.
  • Carrier frequency error in Hz (:CALCulate:GSM:PERRor:CFERror).
  • Carrier feedthrough in dB (:CALCulate:GSM:PERRor:CFEedthru).
  • IQ imbalance in dB (:CALCulate:GSM:PERRor:IQIMbalance).

If IQ Impairments is disabled, the last 2 values are omitted. If measurement was not successful, returns blank string. _____

Note icon For SignalMeister™ measurements, the return parameter is Carrier Feedthrough Relative to Average Power (dBr).

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,Digits with an explicit decimal point.,Digits with an explicit decimal point.,Digits with an explicit decimal point. [,Digits with an explicit decimal point.,Digits with an explicit decimal point.] | No | n/a | n/a | n/a | n/a | n/a | various

 | :CALCulate:GSM:PERRor:DATA?
Examples | :CALC:GSM:PERR:DATA?
 | :calculate:gsm:perror:data?

:CALCulate:GSM:PERRor:IQIMbalance

Returns IQ imbalance in dB.

NOTE: IQ impairments must be enable to achieve a valid measurement.

___

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:GSM:PERRor:IQIMbalance?
Examples | :CALC:GSM:PERR:IQIM?
 | :calculate:gsm:perror:iqimbalance?

:CALCulate:GSM:PERRor:LIMit:FAIL

Reads the phase error and returns one element per entry in the data table. A "1" indicates a fail or no limit applied, "0" indicates a pass. A value of -1 means none of the items had a limit turned on, in which case displays -230,"Data Corrupt or Stale".

Note: You must also query the status of the limit test to separate an actual failure from the situation of no limit being applied during the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:PERRor:LIMit:FAIL?
Examples | :CALC:GSM:PERR:LIM:FAIL?
 | :calculate:gsm:perror:limit:fail?

:CALCulate:GSM:PERRor:LIMit:FCOunt

Returns the number of measured values that failed the channel power limit test. A value of zero means all limits passed, a value of -1 means none of the items had a limit turned on.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:PERRor:LIMit:FCOunt?
Examples | :CALC:GSM:PERR:LIM:FCO?
 | :calculate:gsm:perror:limit:fcount?

:CALCulate:GSM:PERRor:LIMit:FREQ

Queries or sets the largest acceptable frequency error, in parts per million.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.1 | 0 | 1000 | ppm

 | :CALCulate:GSM:PERRor:LIMit:FREQ MAXimum
Examples | :CALC:GSM:PERR:LIM:FREQ MAX
 | :calculate:gsm:perror:limit:freq maximum
 | :CALC:GSM:PERR:LIM:FREQ?

:CALCulate:GSM:PERRor:LIMit:MARGin

Reads the phase error and returns the worse case value for each entry in the data table. The array is same length as GSM:PERRor:DATA?. A zero is returned when no limit applied. A negative margin indicates a failed limit.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:GSM:PERRor:LIMit:MARGin?
Examples | :CALC:GSM:PERR:LIM:MARG?
 | :calculate:gsm:perror:limit:margin?

:CALCulate:GSM:PERRor:LIMit:PEAK

Sets the largest acceptable peak phase error, in percent. The peak phase error should include a margin.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 20 | 0 | 360 | phase err, %

 | :CALCulate:GSM:PERRor:LIMit:PEAK MINimum
Examples | :CALC:GSM:PERR:LIM:PEAK MIN
 | :calculate:gsm:perror:limit:peak maximum
 | :CALC:GSM:PERR:LIM:PEAK?

:CALCulate:GSM:PERRor:LIMit:RMS

Sets the largest acceptable RMS phase error, in percent. The phase error includes a margin.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 5 | 0 | 360 | phase err, %

 | :CALCulate:GSM:PERRor:LIMit:RMS MINimum
Examples | :CALC:GSM:PERR:LIM:RMS MIN
 | :calculate:gsm:perror:limit:rms maximum
 | :CALC:GSM:PERR:LIM:RMS?

:CALCulate:GSM:PERRor:LIMit:STATus

Reads if the phase error limit test is applied and returns one element per entry in the data table. A "1" means that a valid limit was applied, "0" means no limit applied. A value of -1 means none of the items had a limit turned on, in which case displays -230,"Data Corrupt or Stale".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,...,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:PERRor:LIMit:STATus?
Examples | :CALC:GSM:PERR:LIM:STAT?
 | :calculate:gsm:perror:limit:status?

:CALCulate:GSM:PERRor:PEAK

Returns peak phase error in %.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | %

 | :CALCulate:GSM:PERRor:PEAK?
Examples | :CALC:GSM:PERR:PEAK?
 | :calculate:gsm:perror:peak?

:CALCulate:GSM:PERRor:PEAK:BIT

Returns the bit number having the peak phase error (may have fractional part).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:PERRor:PEAK:BIT?
Examples | :CALC:GSM:PERR:PEAK:BIT?
 | :calculate:gsm:perror:peak:bit?

:CALCulate:GSM:PERRor:PHASe:DATA:X

Returns the time access, in seconds, associated with the :CALC:GSM:PERR:PHASE:DATA? query.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | seconds

 | :CALCulate:GSM:PERRor:PHASe:DATA:X?
Examples | :CALC:GSM:PERR:PHAS:DATA:X?
 | :calculate:gsm:perror:phase:data:x?

:CALCulate:GSM:PERRor:PHASe:DATA[:Y]

Returns an array of floating point values; the unwrapped measured phase as a function of time. The trace type must be active and you must also send the :DISP:VIEW:GSM:TYPE:MPHASe command to select the correct measurement trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | degrees

 | :CALCulate:GSM:PERRor:PHASe:DATA:Y?
Examples | :CALC:GSM:PERR:PHAS:DATA:Y?
 | :calculate:gsm:perror:phase:data:y?

:CALCulate:GSM:PERRor:PEAK

Returns RMS phase error in %.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | %

 | :CALCulate:GSM:PERRor:RMS?
Examples | :CALC:GSM:PERR:RMS?
 | :calculate:gsm:perror:rms?

:CALCulate:GSM:PERRor:TRACe:DATA:X

Returns an array of floating point values, corresponding to the time axis of the :CALC:GSM:PERR:TRACe:DATA? query.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | seconds

 | :CALCulate:GSM:PERRor:TRACe:DATA:X?
Examples | :CALC:GSM:PERR:TRAC:DATA:X?
 | :calculate:gsm:perror:trace:data:x?

:CALCulate:GSM:PERRor:TRACe:DATA[:Y]

Returns an array of floating point values, the unwrapped measured phase as a function of time.

Note: You must also send the :DISP:VIEW:GSM:TYPE PERRor command to select the correct measurement trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | degrees

 | :CALCulate:GSM:PERRor:TRACe:DATA:Y?
Examples | :CALC:GSM:PERR:TRAC:DATA:Y?
 | :calculate:gsm:perror:trace:data:y?


:CALCulate:GSM:SYMBol:DATA

Select a link to view the command details:

  • :CALCulate:GSM:SYMBol:DATA:X
  • :CALCulate:GSM:SYMBol:DATA[:Y]

:CALCulate:GSM:SYMBol:DATA:X

Returns X axis for plotting results from :CALC:GSM:SYMB:DATA? query.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:SYMBol:DATA:X?
Examples | :CALC:GSM:SYMB:DATA:X?
 | :calculate:gsm:symbol:data:x?

:CALCulate:GSM:SYMBol:DATA[:Y]

Returns a 194 element array (2x148 - 2) with the staircase data symbols trace. Except for the first and last symbol, each value is repeated twice to give a staircase appearance.

Note: The Symbol trace must be selected using the :DISP:VIEW:GSM:TYPE command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | symbol

 | :CALCulate:GSM:SYMBol:DATA:Y?
Examples | :CALC:GSM:SYMB:DATA:Y?
 | :calculate:gsm:symbol:data:y?


:CALCulate:GSM:TMASk

Select a link to view the command details:

  • :CALCulate:GSM:TMASk:DATA:X
  • :CALCulate:GSM:TMASk:DATA[:Y]
  • :CALCulate:GSM:TMASk:LIMit
  • :CALCulate:GSM:TMASk:LIMit:FAIL
  • :CALCulate:GSM:TMASk:LIMit:FCOunt
  • :CALCulate:GSM:TMASk:LIMit:MARGin
  • :CALCulate:GSM:TMASk:LIMit:STATus

:CALCulate:GSM:TMASk:DATA:X

Returns an array of floating point values, the time values corresponding to the time mask.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | seconds

 | :CALCulate:GSM:TMASk:DATA:X?
Examples | :CALC:GSM:TMAS:DATA:X?
 | :calculate:gsm:tmask:data:x?

:CALCulate:GSM:TMASk:DATA[:Y]

Returns array of floating point values, the time mask in dBm.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ascii | hexadecimal | octal | binary | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:GSM:TMASk:DATA:Y?
Examples | :CALC:GSM:TMAS:DATA:Y?
 | :calculate:gsm:tmask:data:y?

:CALCulate:GSM:TMASk:LIMit

Queries or sets a time mask limit table as a comma-separated list. It specifies a 2-D file to load and sets the filename and path for the selected file. You can optionally specify the file extension (*.csv). The file is in the following form: time, max dBc, max dBm, min dBc,..., time, max dBc, max dBm, min dBc.

Note: The GSM standard specifies both relative (dBc) and absolute (dBm) limits. You should use absolute limits with caution because the GSM standard states that the device will pass a limit test even if it only meets one of the limits specified (absolute or relative). For example, if you enter an absolute limit without accounting for the fixture loss, devices that do not meet the specification will appear to pass the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | none | n/a | n/a | n/a | various

 | :CALCulate:GSM:TMASk:LIMit
Examples | :CALC:GSM:TMAS:LIM
 | :calculate:gsm:tmask:limit
 | :CALCulate:GSM:TMASk:LIMit?

:CALCulate:GSM:TMASk:LIMit:FAIL

Reads the time mask limit test and returns an array of three elements that correspond to rising, middle and falling portions of the time mask. A "1" means fail or no limit, "0" means pass, and a value of -1 means none of the items had a limit turned on, in this case a -230,"Data Corrupt or Stale" error is generated.

Note: You must also query the status of the limit test to separate an actual failure from the situation of no limit being applied during the test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,Boolean data.,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:TMASk:LIMit:FAIL?
Examples | :CALC:GSM:TMAS:LIM:FAIL?
 | :calculate:gsm:tmask:limit:fail?

:CALCulate:GSM:TMASk:LIMit:FCOunt

Returns an integer, indicating how many of the three parts of the time mask failed. A "0" indicates pass, a "-1" indicates no limit applied.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:TMASk:LIMit:FCOunt?
Examples | :CALC:GSM:TMAS:LIM:FCO?
 | :calculate:gsm:tmask:limit:fcount?

:CALCulate:GSM:TMASk:LIMit:MARGin

Reads the time mask limit test and returns the measured worst case for rising, middle and falling values. The worst case margin between upper dBc and lower dBc limit and upper dBm limit is returned. A negative margin indicates a fail.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | various

 | :CALCulate:GSM:TMASk:LIMit:MARGin?
Examples | :CALC:GSM:TMAS:LIM:MARG?
 | :calculate:gsm:tmask:limit:margin?

:CALCulate:GSM:TMASk:LIMit:STATus

Reads if the time mask limit test is applied to the rising, middle and falling parts of the bursts. A value of "1" means a valid limit was applied. A value of -1 means none of the items had a limit turned on, in which case a -230,"Data Corrupt or Stale" error is generated.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data.,Boolean data.,Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:GSM:TMASk:LIMit:STATus?
Examples | :CALC:GSM:TMAS:LIM:STAT?
 | :calculate:gsm:tmask:limit:status?


:CALCulate:MARKer

Select a link to view the command details:

  • :CALCulate:MARKer:EXCursion[:DECibel]
  • :CALCulate:MARKer:THReshold[:DECibel]
  • :CALCulate:MARKer:EXCursion:DEGRees
  • :CALCulate:MARKer:THReshold:DEGRees
  • :CALCulate:MARKer:EXCursion:HZ
  • :CALCulate:MARKer:THReshold:HZ
  • :CALCulate:MARKer:EXCursion:PERCent
  • :CALCulate:MARKer:THReshold:PERCent
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:DELTa:ZERO
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:DELTa[:STATe]
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:CENTer
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:REFerence
  • :CALCulate:MARKer1|Marker2|Marker3|Marker4:MINimum
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:X
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:X:DELTa
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y:DELTa
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4[:STATe]

:CALCulate:MARKer:EXCursion[:DECibel]

Queries or sets the excursion factor used for marker peak searches on traces with units of dB. The difference in amplitude between the peak and a data point on each side of the peak must be greater than or equal to the excursion factor. DECibel is optional for backward compatibility.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 3 | 0.1 | 100 | dB

 | :CALCulate:MARKer:EXCursion:DECibel MINimum
Examples | :CALC:MARK:EXC MAX
 | :calculate:marker:excursion:decibel 6
 | :CALC:MARK:EXC?

:CALCulate:MARKer:THReshold[:DECibel]

Sets or queries the threshold used for marker peak searches on traces with units of dB. The amplitude at a peak must be greater than or equal to the threshold. DECibel is optional for backward compatibility.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -85 | -170 | 40 | dBm

 | :CALCulate:MARKer:THReshold:DECibel MINimum
Examples | :CALC:MARK:THR MAX
 | :calculate:marker:threshold:decibel -50
 | :CALC:MARK:THR?

:CALCulate:MARKer:EXCursion:DEGRees

Queries or sets the excursion factor used for marker peak searches on traces with units of degrees. The difference in amplitude between the peak and a data point on each side of the peak must be greater than or equal to the excursion factor.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 360 | degrees

 | :CALCulate:MARKer:EXCursion:DEGRees MINimum
Examples | :CALC:MARK:EXC:DEGR MAX
 | :calculate:marker:excursion:degrees 6
 | :CALC:MARK:EXC:DEGR?

:CALCulate:MARKer:THReshold:DEGRees

Sets or queries the threshold used for marker peak searches on traces with units of degrees. The amplitude at a peak must be greater than or equal to the threshold.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 360 | degrees

 | :CALCulate:MARKer:THReshold:DEGRees MINimum
Examples | :CALC:MARK:THR:DEGR MAX
 | :calculate:marker:threshold:degrees 30
 | :CALC:MARK:THR:DEGR?

:CALCulate:MARKer:EXCursion:HZ

Queries or sets the excursion factor used for marker peak searches on traces with units of Hz. The difference in amplitude between the peak and a data point on each side of the peak must be greater than or equal to the excursion factor.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000 | 0.1 | 1.00E+11 | Hz

 | :CALCulate:MARKer:EXCursion:HZ MINimum
Examples | :CALC:MARK:EXC:HZ MAX
 | :calculate:marker:excursion:hz 25000
 | :CALC:MARK:EXC:HZ?

:CALCulate:MARKer:THReshold:HZ

Sets or queries the threshold used for marker peak searches on traces with units of Hz. The amplitude at a peak must be greater than or equal to the threshold.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 1.00E+11 | Hz

 | :CALCulate:MARKer:THReshold:HZ MINimum
Examples | :CALC:MARK:THR:HZ MAX
 | :calculate:marker:threshold:hz 30
 | :CALC:MARK:THR:HZ?

:CALCulate:MARKer:EXCursion:PERCent

Queries or sets the excursion factor used for marker peak searches on traces with units of percent. The difference in amplitude between the peak and a data point on each side of the peak must be greater than or equal to the excursion factor.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | percent

 | :CALCulate:MARKer:EXCursion:PERCent MINimum
Examples | :CALC:MARK:EXC:PERC MAX
 | :calculate:marker:excursion:percent 50
 | :CALC:MARK:EXC:PERC?

:CALCulate:MARKer:THReshold:PERCent

Sets or queries the threshold used for marker peak searches on traces with units of percent. The amplitude at a peak must be greater than or equal to the threshold.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 100 | percent

 | :CALCulate:MARKer:THReshold:PERCent MINimum
Examples | :CALC:MARK:THR:PERC MAX
 | :calculate:marker:threshold:percent 30
 | :CALC:MARK:THR:PERC?

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:DELTa:ZERO

Sets specified marker and the associated delta marker to the same X/Y location.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:MARKer1:DELTa:ZERO
Examples | :CALC:MARK1:DELT:ZERO
 | :calculate:marker1:delta:zero

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:DELTa[:STATe]

Queries or sets the state of the delta marker associated with the specified marker.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | OFF | TRAC | FPO | Yes | OFF | TRACking | FPOint | DEFault | OFF | n/a | n/a | none

 | :CALCulate:MARKer1:DELTa:STATe TRACking
Examples | :CALC:MARK1:DELT TRAC
 | :calculate:marker1:delta:state:tracking
 | :CALC:MARK1:DELT?

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:CENTer

Sets the center frequency to the X-axis value of the specified marker.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:MARKer1:FUNCtion:CENTer
Examples | :CALC:MARK1:FUNC:CENT
 | :calculate:marker1:function:center

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:FUNCtion:REFerence

Sets the reference level to the Y-axis value of the specified marker.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:MARKer1:FUNCtion:REFerence
Examples | :CALC:MARK1:FUNC:REF
 | :calculate:marker1:function:reference


:CALCulate:MARKer1 | Marker 2 | Marker 3 | Marker 4:MINimum

Sets the specified marker to the minimum value position on the trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:MARKer2:MINimum
Examples | :CALC:MARK2:MIN
 | :calculate:marker2:minimum


:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum

Select a link to view the command details:

  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:LEFT
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:NEXT
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:PREVious
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:RIGHt
  • :CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum[:PEAK]

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:LEFT

Sets the specified marker to the top of the nearest peak that is left of the marker's current X-axis position.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:MARKer1:MAXimum:LEFT
Examples | :CALC:MARK1:MAX:LEFT
 | :calculate:marker1:maximum:left

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:NEXT

Sets the specified marker to the top of the next largest peak below the marker's current Y-axis value.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:MARKer1:MAXimum:NEXT
Examples | :CALC:MARK1:MAX:NEXT
 | :calculate:marker1:maximum:next

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:PREVious

Sets the specified marker to the top of the smallest peak above the marker's current Y-axis value.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:MARKer1:MAXimum:PREVious
Examples | :CALC:MARK1:MAX:PREV
 | :calculate:marker1:maximum:previous

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum:RIGHt

Sets the specified marker to the top of the nearest peak that is right of the marker's current X-axis position.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:MARKer1:MAXimum:RIGHt
Examples | :CALC:MARK1:MAX:RIGH
 | :calculate:marker1:maximum:right

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:MAXimum[:PEAK]

Sets the specified marker to the position of the maximum value on the displayed measurement trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:MARKer1:MAXimum:PEAK
Examples | :CALC:MARK1:MAX
 | :calculate:marker1:maximum:peak


:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:X

Sets or queries the X-axis position of the specified marker. The units depend on the graph type. For example, Hz for SPEC, seconds for ZSP, and so on.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000000 | 400000000 | 2500000000 | various

 | :CALCulate:MARKer1:X MAXimum
Examples | :CALC:MARK1:X MAX
 | :calculate:marker1:x minimum
 | :CALC:MARK1:X?

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:X:DELTa

Sets or queries the X-axis delta value between the specified marker and its associated delta marker.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -600000000 | 1500000000 | various

 | :CALCulate:MARKer1:X:DELTa MAXimum
Examples | :CALC:MARK1:X:DELT MAX
 | :calculate:marker1:x:delta minimum
 | :CALC:MARK1:X:DELT?


:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y

Reads the Y-axis value of the specified marker.

Note: If a marker is positioned outside the current measurement data range, or if there is no measurement data, the marker query returns a special value (9.91e37) to indicate non data is available. This value 9.91e37 happens to be "Not a Number" (NaN) for 32-bit floating point values.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:MARKer1:Y?
Examples | :CALC:MARK1:Y?
 | :calculate:marker1:y?

:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4:Y:DELTa

Reads the Y-axis value of the delta marker relative to the associated marker.

Note: If a marker is positioned outside the current measurement data range, or if there is no measurement data, the marker query returns a special value (9.91e37) to indicate non data is available. This value 9.91e37 happens to be "Not a Number" (NaN) for 32-bit floating point values.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:MARKer1:Y:DELTa?
Examples | :CALC:MARK1:Y:DELT?
 | :calculate:marker1:y:delta?


:CALCulate:MARKer1|MARKer2|MARKer3|MARKer4[:STATe]

Queries or switches the specified marker on and off. The off state also applies to the delta marker associated with the specified marker.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:MARKer1:STATe ON
Examples | :CALC:MARK1 ON
 | :calculate:marker1:state on
 | :CALC:MARK1?


:CALCulate:PSK

Select a link to view the command details:

  • :CALCulate:PSK:ADRoop
  • :CALCulate:PSK:CFEedthru
  • :CALCulate:PSK:COFFset
  • :CALCulate:PSK:EVM:ENSemble
  • :CALCulate:PSK:EVM:PEAK
  • :CALCulate:PSK:EVM:PEAK:OFFSet
  • :CALCulate:PSK:EVM[:RMS]
  • :CALCulate:PSK:FDRift
  • :CALCulate:PSK:IOFFset
  • :CALCulate:PSK:IQRatio
  • :CALCulate:PSK:LEVel[:RMS]
  • :CALCulate:PSK:LEVel:SYMBol
  • :CALCulate:PSK:NSYMbols
  • :CALCulate:PSK:ORATio
  • :CALCulate:PSK:QOFFset
  • :CALCulate:PSK:SRATe

:CALCulate:PSK:ADRoop

Returns amplitude droop for the PSK format.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | dB

 | :CALCulate:PSK:ADRoop?
Examples | :CALC:PSK:ADR?
 | :calculate:psk:adroop?

:CALCulate:PSK:CFEedthru

Returns the scalar version of I-Offset and Q-Offset combined. Value = 20*log10(sqrt(IOFF^2 + QOFF^2)).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | dBc

 | :CALCulate:PSK:CFEedthru?
Examples | :CALC:PSK:CFE?
 | :calculate:psk:cfeedthru?

:CALCulate:PSK:COFFset

Returns the carrier offset for PSK.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | Hz

 | :CALCulate:PSK:COFFset?
Examples | :CALC:PSK:COFF?
 | :calculate:psk:coffset?

:CALCulate:PSK:EVM:ENSemble

Returns the ensemble error vector magnitude for PSK.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | % of sym

 | :CALCulate:PSK:EVM:ENSemble?
Examples | :CALC:PSK:EVM:ENS?
 | :calculate:psk:evm:ensemble?

:CALCulate:PSK:EVM:PEAK

Returns error vector magnitude (peak) for PSK.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | % of sym

 | :CALCulate:PSK:EVM:PEAK?
Examples | :CALC:PSK:EVM:PEAK?
 | :calculate:psk:evm:peak?

:CALCulate:PSK:EVM:PEAK:OFFSet

Returns the location of the peak EVM.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | symbols

 | :CALCulate:PSK:EVM:PEAK:OFFSet?
Examples | :CALC:PSK:EVM:PEAK:OFFS?
 | :calculate:psk:evm:peak:offset?

:CALCulate:PSK:EVM:RMS

Returns symbol error vector magnitude (rms) for PSK.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | % of sym

 | :CALCulate:PSK:EVM:RMS?
Examples | :CALC:PSK:EVM:RMS?
 | :calculate:psk:evm:rms?

:CALCulate:PSK:FDRift

Returns the frequency drift for PSK.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | Hz / usec

 | :CALCulate:PSK:FDRift?
Examples | :CALC:PSK:FDR?
 | :calculate:psk:fdrift?

:CALCulate:PSK:IOFFset

Returns the offset of the in-phase component.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | % of carrier amplitude

 | :CALCulate:PSK:IOFFset?
Examples | :CALC:PSK:IOFF?
 | :calculate:psk:ioffset?

:CALCulate:PSK:IQRatio

Returns the ratio of the in-phase component to the quadrature component.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:PSK:IQRatio?
Examples | :CALC:PSK:IOR?
 | :calculate:psk:iqratio?

:CALCulate:PSK:LEVel[:RMS]

Returns the signal level of the PSK signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:PSK:LEVel:RMS?
Examples | :CALC:PSK:LEV?
 | :calculate:psk:level:rms?

:CALCulate:PSK:LEVel:SYMBol

Returns the symbol level of the PSK signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :CALCulate:PSK:LEVel:SYMBol?
Examples | :CALC:PSK:LEV:SYMB?
 | :calculate:psk:level:symbol?

:CALCulate:PSK:NSYMbols

Returns the number of symbols used to perform demodulation.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:PSK:NSYMbols?
Examples | :CALC:PSK:NSYM?
 | :calculate:psk:nsymbols?

:CALCulate:PSK:ORATio

Returns the PSK oversample ratio.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:PSK:ORATio?
Examples | :CALC:PSK:ORAT?
 | :calculate:psk:oratio?

:CALCulate:PSK:QOFFset

Returns the offset of the quadrature component.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | % of carrier amplitude

 | :CALCulate:PSK:QOFFset?
Examples | :CALC:PSK:QOFF?
 | :calculate:psk:qoffset?

:CALCulate:PSK:SRATe

Returns the sample rate of the PSK signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | samples / sec

 | :CALCulate:PSK:SRATe?
Examples | :CALC:PSK:SRAT?
 | :calculate:psk:srate?


:CALCulate:WCDMa:DOWNlink

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:ACHannels
  • :CALCulate:WCDMa:DOWNlink:ACLR:LIMIT
  • :CALCulate:WCDMa:DOWNlink:EVM
  • :CALCulate:WCDMa:DOWNlink:FERRor
  • :CALCulate:WCDMa:DOWNlink:IOFFset
  • :CALCulate:WCDMa:DOWNlink:IQOFfset
  • :CALCulate:WCDMa:DOWNlink:QOFFset
  • :CALCulate:WCDMa:DOWNlink:MARker
  • :CALCulate:WCDMa:DOWNlink:OBWidth
  • :CALCulate:WCDMa:DOWNlink:PCDE
  • :CALCulate:WCDMa:DOWNlink:SEMask
  • :CALCulate:WCDMa:DOWNlink:TPOWer

:CALCulate:WCDMa:DOWNlink:ACHannels

Queries data for active channels. Return format is no,<channel data for each of the N active channels>. Channel data is {I|Q},<SpreadFactor>,<CodeNumber>,<ChannelAmplitude>.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit.(,Digits with an explicit decimal point and an exponent., Digits with an explicit decimal point and an exponent.,Digits with an explicit decimal point and an exponent.)+ | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:ACHannels?
Examples | :CALC:WCDM:DOWN:ACH?
 | :calculate:wcdma:downlink:achannels?


:CALCulate:WCDMa:DOWNlink:ACLR:LIMIT

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:ACLR:LIMit:FAIL
  • :CALCulate:WCDMa:DOWNlink:ACLR:LIMit:FAIL:CHANnels
  • :CALCulate:WCDMa:DOWNlink:ACLR:LIMit:MARGin
  • :CALCulate:WCDMa:DOWNlink:ACLR:LIMit[:STATe]

:CALCulate:WCDMa:DOWNlink:ACLR:LIMit:FAIL

Queries the fail status of the ACLR measurement. A 1 is returned if there is no valid data, if no limit test is turned on, or if any channel with limit test turned on has failed. A 0 is returned if at least one channel has limit test turned on and all channels with limit test turned on have passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:ACLR:LIMit:FAIL?
Examples | :CALC:WCDM:DOWN:ACLR:LIM:FAIl?
 | :calculate:wcdma:downlink:aclr:limit:fail?

:CALCulate:WCDMa:DOWNlink:ACLR:LIMit:FAIL:CHANnels

Queries the fail status of each adjacent channel.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit.,Boolean data.,…, Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:ACLR:LIMit:FAIL:CHANnels?
Examples | :CALC:WCDM:DOWN:ACLR:LIM:FAIL:CHAN?
 | :calculate:wcdma:downlink:aclr:limit:fail:channels?

:CALCulate:WCDMa:DOWNlink:ACLR:LIMit:MARGin

Sets or queries the margin for limit test. The margin is added to the default limit value for each adjacent channel.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 50 | dB

 | :CALCulate:WCDMa:DOWNlink:ACLR:LIMit:MARGin MAXimum
Examples | :CALC:WCDM:DOWN:ACLR:LIM:MARG MAX
 | :calculate:wcdma:downlink:aclr:limit:margin maximum
 | :CALC:WCDM:DOWN:ACLR:MARG?

:CALCulate:WCDMa:DOWNlink:ACLR:LIMit[:STATe]

Queries or switches on/off limit testing. This applies to all adjacent channels.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:ACLR:LIMit:STATe OFF
Examples | :CALC:WCDM:DOWN:ACLR:LIM OFF
 | :calculate:wcdma:downlink:aclr:limit:state off
 | :CALC:WCDM:DOWN:ACLR:LIM?


:CALCulate:WCDMa:DOWNlink:EVM

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:EVM:PEAK
  • :CALCulate:WCDMa:DOWNlink:EVM:RMS
  • :CALCulate:WCDMa:DOWNlink:EVM:SYMBol


:CALCulate:WCDMa:DOWNlink:EVM:PEAK

Queries EVM peak value for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:EVM:PEAK?
Examples | :CALC:WCDM:DOWN:EVM:PEAK?
 | :calculate:wcdma:downlink:evm:peak?

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit:FAIL
  • :CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit[:STATe]
  • :CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit:UPPer

:CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit:FAIL

Queries fail status of EVM peak limit test. A 1 indicates failure; 0 indicates no failure.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit:FAIL?
Examples | :CALC:WCDM:DOWN:EVM:PEAK:LIM:FAIL?
 | :calculate:wcdma:downlink:evm:peak:limit:fail?

:CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit[:STATe]

Queries or switches limit test on/off for EVM peak.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit:STATe 0
Examples | :CALC:WCDM:DOWN:EVM:PEAK:LIM OFF
 | :calculate:wcdma:downlink:evm:peak:limit:state off
 | :CALC:WCDM:DOWN:EVM:PEAK:LIM?

:CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit:UPPer

Sets or queries the limit for EVM peak.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100 | 0 | 200 | percent

 | :CALCulate:WCDMa:DOWNlink:EVM:PEAK:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:DOWN:EVM:PEAK:LIM:UPP MAX
 | :calculate:wcdma:downlink:evm:peak:limit:upper maximum
 | :CALC:WCDM:DOWN:EVM:PEAK:LIM:UPP?

:CALCulate:WCDMa:DOWNlink:EVM:RMS

Queries the EVM RMS value for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:EVM:RMS?
Examples | :CALC:WCDM:DOWN:EVM:RMS?
 | :calculate:wcdma:downlink:evm:rms?

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit:FAIL
  • :CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit[:STATe]
  • :CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit:UPPer

:CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit:FAIL

Queries fail status of EVM RMS limit test. A 1 indicates failure; 0 indicates no failure.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit:FAIL?
Examples | :CALC:WCDM:DOWN:EVM:RMS:LIM:FAIL?
 | :calculate:wcdma:downlink:evm:rms:limit:fail?

:CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit[:STATe]

Queries or switches the limit test on/off for EVM RMS.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit:STATe 0
Examples | :CALC:WCDM:DOWN:EVM:RMS:LIM OFF
 | :calculate:wcdma:downlink:evm:rms:limit:state off
 | :CALC:WCDM:DOWN:EVM:RMS:LIM?

:CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit:UPPer

Sets or queries the limit for EVM RMS.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100 | 0 | 200 | percent

 | :CALCulate:WCDMa:DOWNlink:EVM:RMS:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:DOWN:EVM:RMS:LIM:UPP MAX
 | :calculate:wcdma:downlink:evm:rms:limit:upper maximum
 | :CALC:WCDM:DOWN:EVM:RMS:LIM:UPP?

:CALCulate:WCDMa:DOWNlink:EVM:SYMBol

Queries the symbol EVM value for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:EVM:SYMBol?
Examples | :CALC:WCDM:DOWN:EVM:SYMB?
 | :calculate:wcdma:downlink:evm:symbol?

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit:FAIL
  • :CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit[:STATe]
  • :CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit:UPPer

:CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit:FAIL

Queries the fail status of the EVM symbol limit test. A 1 indicates the limit test failed or that limit is disabled. A 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit:FAIL?
Examples | :CALC:WCDM:DOWN:EVM:SYMB:LIM:FAIL?
 | :calculate:wcdma:downlink:evm:symbol:limit:fail?

:CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit:UPPer

Sets or queries the limit for EVM symbol.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 17.5 | 0 | 100 | percent

 | :CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:DOWN:EVM:SYMB:LIM:UPP MAX
 | :calculate:wcdma:downlink:evm:symbol:limit:upper maximum
 | :CALC:WCDM:DOWN:EVM:SYMB:LIM:UPP?

:CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit[:STATe]

Queries or switches the limit test on/off for EVM RMS.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:EVM:SYMBol:LIMit:STATe On
Examples | :CALC:WCDM:DOWN:EVM:SYMBol:LIM ON
 | :calculate:wcdma:downlink:evm:symbol:limit:state on
 | :CALC:WCDM:DOWN:EVM:SYMB:LIM?

:CALCulate:WCDMa:DOWNlink:FERRor

Queries the frequency error value for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:FERRor?
Examples | :CALC:WCDM:DOWN:FERR?
 | :calculate:wcdma:downlink:ferror?

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:FERRor:LIMit:FAIL
  • :CALCulate:WCDMa:DOWNlink:FERRor:LIMit[:STATe]
  • :CALCulate:WCDMa:DOWNlink:FERRor:LIMit:UPPer

:CALCulate:WCDMa:DOWNlink:FERRor:LIMit:FAIL

Queries the fail status of frequency error limit test. A 1 indicates the limit test failed, or the limit is disabled. A 0 indicates that the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:FERRor:LIMit:FAIL?
Examples | :CALC:WCDM:DOWN:FERR:LIM:FAIL?
 | :calculate:wcdma:downlink:ferror:limit:fail?

:CALCulate:WCDMa:DOWNlink:FERRor:LIMit[:STATe]

Queries or switches the limit test on/off for frequency error.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:FERRor:LIMit:STATe 0
Examples | :CALC:WCDM:DOWN:FERR:LIM OFF
 | :calculate:wcdma:downlink:ferror:limit:state off
 | :CALC:WCDM:DOWN:FERR:LIM?

:CALCulate:WCDMa:DOWNlink:FERRor:LIMit:UPPer

Sets or queries the limit for frequency error.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100 | 0 | 500 | Hz

 | :CALCulate:WCDMa:DOWNlink:FERRor:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:DOWN:FERR:LIM:UPP MAX
 | :calculate:wcdma:downlink:ferror:limit:upper maximum
 | :CALC:WCDM:DOWN:FERR:LIM:UPP?

:CALCulate:WCDMa:DOWNlink:IOFFset

Queries the I Offset value for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:IOFFset?
Examples | :CALC:WCDM:DOWN:IOFF?
 | :calculate:wcdma:downlink:ioffset?

:CALCulate:WCDMa:DOWNlink:IQOFfset

Queries the IQ Offset value for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:IQOFfset?
Examples | :CALC:WCDM:DOWN:IQOF?
 | :calculate:wcdma:downlink:iqoffset?

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit:FAIL
  • :CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit[:STATe]
  • :CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit:UPPer

:CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit:FAIL

Queries the fail status of the I/Q offset limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit:FAIL?
Examples | :CALC:WCDM:DOWN:IQOF:LIM:FAIL?
 | :calculate:wcdma:downlink:iqoffset:limit:fail?

:CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit[:STATe]

Queries or switches the limit test on/off for I/Q offset.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit:STATe 1
Examples | :CALC:WCDM:DOWN:IQOF:LIM ON
 | :calculate:wcdma:downlink:iqoffset:limit:state on
 | :CALC:WCDM:DOWN:IQOF:LIM?

:CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit:UPPer

Sets or queries the limit for I/Q offset.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -40 | -100 | 0 | dB

 | :CALCulate:WCDMa:DOWNlink:IQOFfset:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:DOWN:IQOF:LIM:UPP MAX
 | :calculate:wcdma:downlink:iqoffset:limit:upper maximum
 | :CALC:WCDM:DOWN:IQOF:LIM:UPP?

:CALCulate:WCDMa:DOWNlink:QOFFset

Queries the Q Offset value for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:QOFFset?
Examples | :CALC:WCDM:DOWN:QOFF?
 | :calculate:wcdma:downlink:qoffset?


:CALCulate:WCDMa:DOWNlink:MARker

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:MARKer:CHANnel
  • :CALCulate:WCDMa:DOWNlink:MARKer:CNUMber
  • :CALCulate:WCDMa:DOWNlink:MARKer:FUNCtion:SANalysis
  • :CALCulate:WCDMa:DOWNlink:MARKer:SFACtor
  • :CALCulate:WCDMa:DOWNlink:MARKer[:STATe]
  • :CALCulate:WCDMa:DOWNlink:MARKer:STYPe
  • :CALCulate:WCDMa:DOWNlink:MARKer:X
  • :CALCulate:WCDMa:DOWNlink:MARKer:Y

:CALCulate:WCDMa:DOWNlink:MARKer:CHANnel

Sets the marker to Spread Factor, Code Number. SF = {4 | 8 | 16 | 32 | 64 | 128 | 256 | 512}, 0 <= CN <= SF-1

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:MARKer:CHANnel 128,4
Examples | :CALC:WCDM:DOWN:MARK:CHAN 256,8
 | :calculate:wcdma:downlink:marker:channel 32,4

:CALCulate:WCDMa:DOWNlink:MARKer:CNUMber

Queries the code number at the X-axis position of the marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | -1 | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:MARKer:CNUMber?
Examples | :CALC:WCDM:DOWN:MARK:CNUM?
 | :calculate:wcdma:downlink:marker:cnumber?

:CALCulate:WCDMa:DOWNlink:MARKer:FUNCtion:SANalysis

Sets the symbol analysis parameters to the Code Level and Code Number at the current marker position.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:MARKer:FUNCtion:SANalysis
Examples | :CALC:WCDM:DOWN:MARK:FUNC:SAN
 | :calculate:wcdma:downlink:marker:function:sanalysis

:CALCulate:WCDMa:DOWNlink:MARKer:SFACtor

Queries the spread factor at the X-axis position of the marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | 0 | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:MARKer:SFACtor?
Examples | :CALC:WCDM:DOWN:MARK:SFAC?
 | :calculate:wcdma:downlink:marker:sfactor?

:CALCulate:WCDMa:DOWNlink:MARKer[:STATe]

Queries or switches on/off the marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:MARKer:STATe 1
Examples | :CALC:WCDM:DOWN:MARK ON
 | :calculate:wcdma:downlink:marker:state on
 | :CALC:WCDM:DOWN:MARK?

:CALCulate:WCDMa:DOWNlink:MARKer:STYPe

Queries the signal type at the marker. QAM16 is one format used by HSDPA, and will only be returned if the HSDPA license is installed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | OFF | QPSK | QAM16 | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:MARKer:STYPe?
Examples | :CALC:WCDM:DOWN:MARK:STYP?
 | :calculate:wcdma:downlink:marker:stype?

:CALCulate:WCDMa:DOWNlink:MARKer:X

Sets or queries the X-axis position (channel) of the marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 511 | none

 | :CALCulate:WCDMa:DOWNlink:MARKer:X MAXimum
Examples | :CALC:WCDM:DOWN:MARK:X MAX
 | :calculate:wcdma:downlink:marker:x maximum
 | :CALC:WCDM:DOWN:MARK:X?

:CALCulate:WCDMa:DOWNlink:MARKer:Y

Queries the Y-axis power value of the marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:MARKer:Y?
Examples | :CALC:WCDM:DOWN:MARK:Y?
 | :calculate:wcdma:downlink:marker:y?

:CALCulate:WCDMa:DOWNlink:OBWidth

Queries the measured occupied bandwidth value, that is, the bandwidth that contains 99% of the total power measured.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:OBWidth?
Examples | :CALC:WCDM:DOWN:OBW?
 | :calculate:wcdma:downlink:obwidth?

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:FAIL
  • :CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:MARGin
  • :CALCulate:WCDMa:DOWNlink:OBWidth:LIMit[:STATe]
  • :CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:UPPer
  • :CALCulate:WCDMa:DOWNlink:OBWidth:RANGe
  • :CALCulate:WCDMa:DOWNlink:OBWidth:TPOWer

:CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:FAIL

Queries the fail status of the occupied bandwidth limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:FAIL?
Examples | :CALC:WCDM:DOWN:OBW:LIM:FAIL?
 | :calculate:wcdma:downlink:obwidth:limit:fail?

:CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:MARGin

Sets or queries the margin for the limit test. The margin is added to the default upper bandwidth limit of 1.48 MHz.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -1000000 | 1000000 | Hz

 | :CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:MARGin MAXimum
Examples | :CALC:WCDM:DOWN:OBW:LIM:MARG MAX
 | :calculate:wcdma:downlink:obwidth:limit:margin maximum
 | :CALC:WCDM:DOWN:OBW:LIM:MARG?

:CALCulate:WCDMa:DOWNlink:OBWidth:LIMit[:STATe]

Queries or switches on/off the limit test for occupied bandwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:STATe Off
Examples | :CALC:WCDM:DOWN:OBW:LIM OFF
 | :calculate:wcdma:downlink:obwidth:limit:state off
 | :CALC:WCDM:DOWN:OBW:LIM?

:CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:UPPer

Queries the limit for the occupied bandwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:OBWidth:LIMit:UPPer?
Examples | :CALC:WCDM:DOWN:OBW:LIM:UPP?
 | :calculate:wcdma:downlink:obwidth:limit:upper?

:CALCulate:WCDMa:DOWNlink:OBWidth:RANGe

Queries the lower and upper frequencies that define the occupied bandwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:OBWidth:RANGe?
Examples | :CALC:WCDM:DOWN:OBW:RANG?
 | :calculate:wcdma:downlink:obwidth:range?

:CALCulate:WCDMa:DOWNlink:OBWidth:TPOWer

Queries the total power used to determine the occupied bandwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:OBWidth:TPOWer?
Examples | :CALC:WCDM:DOWN:OBW:TPOW?
 | :calculate:wcdma:downlink:obwidth:tpower?


:CALCulate:WCDMa:DOWNlink:PCDE

Queries the PCDE value for a W-CDMA measurement. It returns three comma-separated values: PCDE, Spread factor of peak active CDE, and Code number of peak active CDE.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent.,Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:PCDE?
Examples | :CALC:WCDM:DOWN:PCDE?
 | :calculate:wcdma:downlink:pcde?

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:PCDE:LIMit:FAIL
  • :CALCulate:WCDMa:DOWNlink:PCDE:LIMit[:STATe]
  • :CALCulate:WCDMa:DOWNlink:PCDE:LIMit:UPPer

:CALCulate:WCDMa:DOWNlink:PCDE:LIMit:FAIL

Queries the fail status of the PCDE limit test. A 1 indicates the limit test failed and a 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:PCDE:LIMit:FAIL?
Examples | :CALC:WCDM:DOWN:PCDE:LIM:FAIL?
 | :calculate:wcdma:downlink:pcde:limit:fail?

:CALCulate:WCDMa:DOWNlink:PCDE:LIMit[:STATe]

Queries or switches on/off the limit test for PCDE.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:PCDE:LIMit:STATe Off
Examples | :CALC:WCDM:DOWN:PCDE:LIM OFF
 | :calculate:wcdma:downlink:pcde:limit:state 0
 | :CALC:WCDM:DOWN:PCDE:LIM?

:CALCulate:WCDMa:DOWNlink:PCDE:LIMit:UPPer

Sets or queries the limit for PCDE.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -32 | -100 | 0 | dB

 | :CALCulate:WCDMa:DOWNlink:PCDE:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:DOWN:PCDE:LIM:UPP MAX
 | :calculate:wcdma:downlink:pcde:limit:upper maximum
 | :CALC:WCDM:DOWN:PCDE:LIM:UPP?


:CALCulate:WCDMa:DOWNlink:SEMask

Select a link to view the command details:

  • :CALCulate:WCDMa:DOWNlink:SEMask:BSMPower
  • :CALCulate:WCDMa:DOWNlink:SEMask:CPOWer
  • :CALCulate:WCDMa:DOWNlink:SEMask:LIMit:FAIL
  • :CALCulate:WCDMa:DOWNlink:SEMask:LIMit:MARGin
  • :CALCulate:WCDMa:DOWNlink:SEMask:LIMit[:STATe]

:CALCulate:WCDMa:DOWNlink:SEMask:BSMPower

Sets or queries the BS (base station) maximum output power value used to set limits for the spectrum emission mask measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 43 | 0 | 50 | dBm

 | :CALCulate:WCDMa:DOWNlink:SEMask:BSMPower MAXimum
Examples | :CALC:WCDM:DOWN:SEM:BSMP MAX
 | :calculate:wcdma:downlink:semask:bsmpower maximum
 | :CALC:WCDM:DOWN:SEM:BSMP?

:CALCulate:WCDMa:DOWNlink:SEMask:CPOWer

Query the In-Channel Power of the spectrum emission mask measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:SEMask:CPOWer?
Examples | :CALC:WCDM:DOWN:SEM:CPOW?
 | :calculate:wcdma:downlink:semask:cpower?

:CALCulate:WCDMa:DOWNlink:SEMask:LIMit:FAIL

Queries the fail status of the spectrum emission mask measurement. A 1 indicates that the data is tested and failed, or there is no data, or the limit state is off. A 0 indicates that the data is tested and passed the limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:SEMask:LIMit:FAIL?
Examples | :CALC:WCDM:DOWN:SEM:LIM:FAIL?
 | :calculate:wcdma:downlink:semask:limit:fail?

:CALCulate:WCDMa:DOWNlink:SEMask:LIMit:MARGin

Sets the margin for a limit test. The margin is added to the default limit values for each frequency as derived from the W-CDMA standard.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 50 | dB

 | :CALCulate:WCDMa:DOWNlink:SEMask:LIMit:MARGin MAXimum
Examples | :CALC:WCDM:DOWN:SEM:LIM:MARG MAX
 | :calculate:wcdma:downlink:semask:limit:margin maximum
 | :CALC:WCDM:DOWN:SEM:LIM:MARG?

:CALCulate:WCDMa:DOWNlink:SEMask:LIMit[:STATe]

Queries or switches on/off the limit test for the spectrum emission mask measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:SEMask:LIMit:STATe Off
Examples | :CALC:WCDM:DOWN:SEM:LIM OFF
 | :calculate:wcdma:downlink:semask:limit:state off
 | :CALC:WCDM:DOWN:SEM:LIM?


:CALCulate:WCDMa:DOWNlink:TPOWer

Queries the total power value for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:DOWNlink:TPOWer?
Examples | :CALC:WCDM:DOWN:TPOW?
 | :calculate:wcdma:downlink:tpower?


:CALCulate:WCDMa:UPLink

Select a link to view the command details:

  • :CALCulate:WCDMa:UPLink:ACHannels
  • :CALCulate:WCDMa:UPLink:ACLR:LIMIT
  • :CALCulate:WCDMa:UPLink:EVM
  • :CALCulate:WCDMa:UPLink:FERRor
  • :CALCulate:WCDMa:UPLink:IMARker
  • :CALCulate:WCDMa:UPLink:IOFfset
  • :CALCulate:WCDMa:UPLink:IQOFfset
  • :CALCulate:WCDMa:UPLink:OBWidth
  • :CALCulate:WCDMa:UPLink:PCDE
  • :CALCulate:WCDMa:UPLink:QMARker
  • :CALCulate:WCDMa:UPLink:SEMask:CPOWer
  • :CALCulate:WCDMa:UPLink:SEMask:LIMit
  • :CALCulate:WCDMa:UPLink:TPOWer


:CALCulate:WCDMa:UPLink:ACHannels

Reads the data for the active channels. The return format is no, <channel data for each of the N active channels>.

The channel data is {I|Q}, <SpreadFactor>, <CodeNumber>, <ChannelAmplitude>.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:ACHannels?
Examples | :CALC:WCDM:UPL:ACH?
 | :calculate:wcdma:uplink:achannels?


:CALCulate:WCDMa:UPLink:ACLR:LIMIT

Select a link to view the command details:

  • :CALCulate:WCDMa:UPLink:ACLR:LIMit:FAIL
  • :CALCulate:WCDMa:UPLink:ACLR:LIMit:FAIL:CHANnels
  • :CALCulate:WCDMa:UPLink:ACLR:LIMIT:FAIL:MARGIN
  • :CALCulate:WCDMa:UPLink:ACLR:LIMIT[:STATe]

:CALCulate:WCDMa:UPLink:ACLR:LIMit:FAIL

Reads the fail status of the ACLR measurement. The query returns a 1 if there is no valid data, or if no limit test is turned on, or if any channel with limit test turned on has failed. It returns a 0 if at least one channel has limit test turned on and all channels with limit test turned on have passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:ACLR:LIMit:FAIL?
Examples | :CALC:WCDM:UPL:ACLR:LIM:FAIl?
 | :calculate:wcdma:uplink:aclr:limit:fail?

:CALCulate:WCDMa:UPLink:ACLR:LIMit:FAIL:CHANnels

Queries the fail status of each adjacent channel. The query returns: no,<fail status of low-side 1st adjacent channel>,<fail status of high-side 1st adjacent channel>, and so on. "n" is the number of status values, <fail status …> is 0 or 1, 0 indicates the data was tested with no failure, and 1 indicates a failure, or no data, or test is off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit.,Boolean data.,…, Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:ACLR:LIMit:FAIL:CHANnels?
Examples | :CALC:WCDM:UPL:ACLR:LIM:FAIL:CHAN?
 | :calculate:wcdma:uplink:aclr:limit:fail:channels?

:CALCulate:WCDMa:UPLink:ACLR:LIMIT:MARGIN

Sets or queries the margin for the adjacent channel power limit test. Adding a positive value makes the limit more stringent. Adding a negative value makes the limit less stringent.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 50 | dB

 | :CALCulate:WCDMa:UPLink:ACLR:LIMit:MARGin MAXimum
Examples | :CALC:WCDM:UPL:ACLR:MARG MAX
 | :calculate:wcdma:uplink:aclr:limit:margin maximum
 | :CALC:WCDM:UPL:ACLR:MARG?

:CALCulate:WCDMa:UPLink:ACLR:LIMIT[:STATe]

Enables, disables, or queries the limit testing for the ACLR measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:ACLR:LIMit:STATe OFF
Examples | :CALC:WCDM:UPL:ACLR:LIM OFF
 | :calculate:wcdma:uplink:aclr:limit:state off
 | :CALC:WCDM:UPL:ACLR:LIM?


:CALCulate:WCDMa:UPLink:EVM

Select a link to view the command details:

  • :CALCulate:WCDMa:UPLink:EVM:PEAK
  • :CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit:FAIL
  • :CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit[:STATe]
  • :CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit:UPPer
  • :CALCulate:WCDMa:UPLink:EVM:RMS
  • :CALCulate:WCDMa:UPLink:EVM:RMS:LIMit:FAIL
  • :CALCulate:WCDMa:UPLink:EVM:RMS:LIMit[:STATe]
  • :CALCulate:WCDMa:UPLink:EVM:RMS:LIMit:UPPer
  • :CALCulate:WCDMa:UPLink:EVM:SYMBol:LIMit:FAIL
  • :CALCulate:WCDMa:UPLink:EVM:SYMBol:LIMit:UPPer
  • :CALCulate:WCDMa:UPLink:EVM:SYMBol:LIMit[:STATe]

:CALCulate:WCDMa:UPLink:EVM:PEAK

Reads the EVM peak value for the W-CDMA measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:EVM:PEAK?
Examples | :CALC:WCDM:UPL:EVM:PEAK?
 | :calculate:wcdma:uplink:evm:peak?

:CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit:FAIL

Reads the fail status of the limit test on the EVM peak measurement. A 1 indicates a failure or the limit is disabled, and a 0 indicates passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit:FAIL?
Examples | :CALC:WCDM:UPL:EVM:PEAK:LIM:FAIL?
 | :calculate:wcdma:UPlink:evm:peak:limit:fail:channels?

:CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit[:STATe]

Enables and disables the limit test on an EVM peak measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit:STATe OFF
Examples | :CALC:WCDM:UPL:EVM:PEAK:LIM OFF
 | :calculate:wcdma:uplink:evm:peak:limit:state off
 | :CALC:WCDM:UPL:EVM:PEAK:LIM?

:CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit:UPPer

Sets or queries the limits for the EVM peak measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100 | 0 | 200 | percent

 | :CALCulate:WCDMa:UPLink:EVM:PEAK:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:UPL:EVM:PEAK:LIM:UPP MAX
 | :calculate:wcdma:uplink:evm:peak:limit:upper maximum
 | :CALC:WCDM:UPL:EVM:PEAK:LIM:UPP?

:CALCulate:WCDMa:UPLink:EVM:RMS

Reads the EVM RMS value for the W-CDMA measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:EVM:RMS?
Examples | :CALC:WCDM:UPL:EVM:RMS?
 | :calculate:wcdma:uplink:evm:rms?

:CALCulate:WCDMa:UPLink:EVM:RMS:LIMit:FAIL

Reads the fail status of the limit test on the EVM rms measurement. A 1 indicates a failure; 0 indicates no failure.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:EVM:RMS:LIMit:FAIL?
Examples | :CALC:WCDM:UPL:EVM:RMS:LIM:FAIL?
 | :calculate:wcdma:uplink:evm:rms:limit:fail?

:CALCulate:WCDMa:UPLink:EVM:RMS:LIMit:UPPer

Sets or queries the limits for the EVM peak measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 17.5 | 0 | 100 | percent

 | :CALCulate:WCDMa:UPLink:EVM:RMS:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:UPL:EVM:RMS:LIM:UPP MAX
 | :calculate:wcdma:uplink:evm:rms:limit:upper maximum
 | :CALC:WCDM:UPL:EVM:RMS:LIM:UPP?

:CALCulate:WCDMa:UPLink:EVM:SYMBol:LIMit:FAIL

Reads the fail status of the EVM Symbol limit test. A "1" indicates a failure or that limit is disabled; "0" indicates passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:EVM:SYMBol:LIMit:FAIL?
Examples | :CALC:WCDM:UPL:EVM:SYMB:LIM:FAIL?
 | :calculate:wcdma:uplink:evm:symbol:limit:fail?

:CALCulate:WCDMa:UPLink:EVM:SYMBol:LIMit:UPPer

Set the limit for EVM Symbol.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum, MINimum, DEFault | 17.5 | 0 | 100 | %

 | :CALCulate:WCDMa:UPLink:EVM:SYMBol:LIMit:UPPer MINimum
Examples | :CALC:WCDM:UPL:EVM:SYMB:LIM:UPP MIN
 | :calculate:wcdma:uplink:evm:symbol:limit:upper minimum
 | :CALC:WCDM:UPL:EVM:SYMB:LIM:UPP?

:CALCulate:WCDMa:UPLink:EVM:SYMBol:LIMit[:STATe]

Enables and disables the limit test on an EVM Symbol measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:EVM:SYMBol:LIMit:STATe OFF
Examples | :CALC:WCDM:UPL:EVM:SYMB:LIM OFF
 | :calculate:wcdma:uplink:evm:symbol:limit:state off
 | :CALC:WCDM:UPL:EVM:SYMB:LIM?


:CALCulate:WCDMa:UPLink:FERRor

Reads the frequency error value for the W-CDMA measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:FERRor?
Examples | :CALC:WCDM:UPL:FERR?
 | :calculate:wcdma:uplink:ferror?

Select a link to view the command details:

  • :CALCulate:WCDMa:UPLink:FERRor:LIMit:FAIL
  • :CALCulate:WCDMa:UPLink:FERRor:LIMit[:STATe]
  • :CALCulate:WCDMa:UPLink:FERRor:LIMit:UPPer

:CALCulate:WCDMa:UPLink:FERRor:LIMit:FAIL

Reads the fail status of the limit test on the frequency error measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:FERRor:LIMit:FAIL?
Examples | :CALC:WCDM:UPL:FERR:LIM:FAIL?
 | :calculate:wcdma:uplink:ferror:limit:fail?

:CALCulate:WCDMa:UPLink:FERRor:LIMit[:STATe]

Queries or switches on/off the limit test on a frequency error measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:FERRor:LIMit:STATe OFF
Examples | :CALC:WCDM:UPL:FERR:LIM OFF
 | :calculate:wcdma:uplink:ferror:limit:state off
 | :CALC:WCDM:UPL:FERR:LIM?

:CALCulate:WCDMa:UPLink:FERRor:LIMit:UPPer

Sets or queries the limits for the frequency error measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100 | 0 | 500 | Hz

 | :CALCulate:WCDMa:UPLink:FERRor:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:UPL:FERR:LIM:UPP MAX
 | :calculate:wcdma:uplink:ferror:limit:upper maximum
 | :CALC:WCDM:UPL:FERR:LIM:UPP?


:CALCulate:WCDMa:UPLink:IMARker

Select a link to view the command details:

  • :CALCulate:WCDMa:UPLink:IMARker:CNUMber
  • :CALCulate:WCDMa:UPLink:IMARker:FUNCtion:SANalysis
  • :CALCulate:WCDMa:UPLink:IMARker:SFACtor
  • :CALCulate:WCDMa:UPLink:IMARker:STYPe
  • :CALCulate:WCDMa:UPLink:IMARker[:STATe]
  • :CALCulate:WCDMa:UPLink:IMARker:X
  • :CALCulate:WCDMa:UPLink:IMARker:Y

:CALCulate:WCDMa:UPLink:IMARker:CNUMber

Reads the code number at the X-axis position of the I marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | -1 | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:IMARker:CNUMber?
Examples | :CALC:WCDM:UPL:IMAR:CNUM?
 | :calculate:wcdma:uplink:imarker:cnumber?

:CALCulate:WCDMa:UPLink:IMARker:FUNCtion:SANalysis

Sets the symbol analysis parameters to the Code Level and Code Number at the current I marker position.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:IMARker:FUNCtion:SANalysis
Examples | :CALC:WCDM:UPL:IMAR:FUNC:SAN
 | :calculate:wcdma:uplink:imarker:function:sanalysis

:CALCulate:WCDMa:UPLink:IMARker:SFACtor

Reads the spread factor at the X-axis position of the I marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | 0 | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:IMARker:SFACtor?
Examples | :CALC:WCDM:UPL:IMAR:SFAC?
 | :calculate:wcdma:uplink:imarker:sfactor?

:CALCulate:WCDMa:UPLink:EVM:RMS:LIMit[:STATe]

Enables and disables the limit test on an EVM peak measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:EVM:RMS:LIMit:STATe OFF
Examples | :CALC:WCDM:UPL:EVM:RMS:LIM OFF
 | :calculate:wcdma:uplink:evm:rms:limit:state off
 | :CALC:WCDM:UPL:EVM:RMS:LIM?

:CALCulate:WCDMa:UPLink:IMARker[:STATe]

Queries or switches on/off the I marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:IMARker:STATe ON
Examples | :CALC:WCDM:UPL:IMAR OFF
 | :calculate:wcdma:uplink:imarker:state off
 | :CALC:WCDM:UPL:IMAR?

:CALCulate:WCDMa:UPLink:IMARker:STYPe

Queries the signal type at the marker.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | OFF | QPSK | QAM16 | QAM64 | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:IMARker:STYPe?
Examples | :CALC:WCDM:UPL:IMAR:STYP?
 | :calculate:wcdma:uplink:imarker:stype?

:CALCulate:WCDMa:UPLink:IMARker:X

Sets or queries the X-axis position, that is, the channel of the I marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 255 | none

 | :CALCulate:WCDMa:UPLink:IMARker:X MAXimum
Examples | :CALC:WCDM:UPL:IMAR:X MAX
 | :calculate:wcdma:uplink:imarker:x maximum
 | :CALC:WCDM:UPL:IMAR:X?

:CALCulate:WCDMa:UPLink:IMARker:Y

Reads the Y-axis power value of the I marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:IMARker:Y?
Examples | :CALC:WCDM:UPL:IMAR:Y?
 | :calculate:wcdma:uplink:imarker:y?


:CALCulate:WCDMa:UPLink:IOFFset

Queries I offset value for W-CDMA uplink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:IOFFset
Examples | :CALC:WCDM:UPL:IOFF
 | :calculate:wcdma:uplink:ioffset


:CALCulate:WCDMa:UPLink:IQOFfset

Queries the IQ offset value for a W-CDMA uplink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:IQOFfset
Examples | :CALC:WCDM:UPL:IQOF
 | :calculate:wcdma:uplink:iqoffset

Select a link to view the command details:

  • :CALCulate:WCDMa:UPLink:IQOFfset:LIMit:FAIL
  • :CALCulate:WCDMa:UPLink:IQOFfset:LIMit[:STATe]
  • :CALCulate:WCDMa:UPLink:IQOFfset:LIMit:UPPer

:CALCulate:WCDMa:UPLink:IQOFfset:LIMit:FAIL

Reads the fail status of the limit test on the I/Q offset measurement. A 1 indicates a failure; 0 indicates no failure.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:IQOFfset:LIMit:FAIL?
Examples | :CALC:WCDM:UPL:IQOF:LIM:FAIL?
 | :calculate:wcdma:uplink:iqoffset:limit:fail?

:CALCulate:WCDMa:UPLink:IQOFfset:LIMit[:STATe]

Queries or switches on/off the limit test for an I/Q offset measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:IQOFfset:LIMit:STATe ON
Examples | :CALC:WCDM:UPL:IQOF:LIM OFF
 | :calculate:wcdma:uplink:iqoffset:limit:state off
 | :CALC:WCDM:UPL:IQOF:LIM?

:CALCulate:WCDMa:UPLink:IQOFfset:LIMit:UPPer

Sets or queries the limits for the I/Q offset measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -40 | -100 | 0 | dB

 | :CALCulate:WCDMa:UPLink:IQOFfset:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:UPL:IQOF:LIM:UPP MAX
 | :calculate:wcdma:uplink:iqoffset:limit:upper maximum
 | :CALC:WCDM:UPL:IQOF:LIM:UPP?


:CALCulate:WCDMa:UPLink:OBWidth

Reads the measured occupied bandwidth value, that is, the bandwidth that contains 99% of the total power measured.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:OBWidth?
Examples | :CALC:WCDM:UPL:OBW?
 | :calculate:wcdma:uplink:obwidth?

Select a link to view the command details:

  • :CALCulate:WCDMa:UPLink:OBWidth:LIMit:FAIL
  • :CALCulate:WCDMa:UPLink:OBWidth:LIMit[:STATe]
  • :CALCulate:WCDMa:UPLink:OBWidth:LIMit:MARGin
  • :CALCulate:WCDMa:UPLink:OBWidth:LIMit:UPPer
  • :CALCulate:WCDMa:UPLink:OBWidth:RANGe
  • :CALCulate:WCDMa:UPLink:OBWidth:TPOWer

:CALCulate:WCDMa:UPLink:OBWidth:LIMit:FAIL

Reads the occupied bandwidth limit test failure status. A 1 indicates a failure; 0 indicates no failure.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:OBWidth:LIMit:FAIL?
Examples | :CALC:WCDM:UPL:OBW:LIM:FAIL?
 | :calculate:wcdma:uplink:obwidth:limit:fail?

:CALCulate:WCDMa:UPLink:OBWidth:LIMit[:STATe]

Queries or switches on/off the limit testing for an occupied bandwidth measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:OBWidth:LIMit:STATe ON
Examples | :CALC:WCDM:UPL:OBW:LIM OFF
 | :calculate:wcdma:uplink:obwidth:limit:state off
 | :CALC:WCDM:UPL:OBW:LIM?

:CALCulate:WCDMa:UPLink:OBWidth:LIMit:MARGin

Sets the margin for an occupied bandwidth limit test. This margin is added to the default upper bandwidth limit of 1.48 MHz.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -1000000 | 1000000 | Hz

 | :CALCulate:WCDMa:UPLink:OBWidth:LIMit:MARGin MAXimum
Examples | :CALC:WCDM:UPL:OBW:LIM:MARG MAX
 | :calculate:wcdma:uplink:obwidth:limit:margin maximum
 | :CALC:WCDM:UPL:OBW:LIM:MAR?

:CALCulate:WCDMa:UPLink:OBWidth:LIMit:UPPer

Queries the occupied bandwidth upper limit.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:OBWidth:LIMit:UPPer?
Examples | :CALC:WCDM:UPL:OBW:LIM:UPP?
 | :calculate:wcdma:uplink:obwidth:limit:upper?

:CALCulate:WCDMa:UPLink:OBWidth:RANGe

Reads the lower and upper frequencies that define the occupied bandwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:OBWidth:RANGe?
Examples | :CALC:WCDM:UPL:OBW:RANG?
 | :calculate:wcdma:uplink:obwidth:range?

:CALCulate:WCDMa:UPLink:OBWidth:TPOWer

Reads the total power used to determine the occupied bandwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:OBWidth:TPOWer?
Examples | :CALC:WCDM:UPL:OBW:TPOWer?
 | :calculate:wcdma:uplink:obwidth:tpower?


:CALCulate:WCDMa:UPLink:PCDE

Queries the PCDE value for a W-CDMA measurement. The query returns three comma-separated values: PCDE, Spread factor of peak active CDE, and Code number of peak active CDE

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent.,Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:PCDE?
Examples | :CALC:WCDM:UPL:PCDE?
 | :calculate:wcdma:uplink:pcde?

Select a link to view the command details:

  • :CALCulate:WCDMa:UPLink:PCDE:LIMit:FAIL
  • :CALCulate:WCDMa:UPLink:PCDE:LIMit[:STATe]
  • :CALCulate:WCDMa:UPLink:PCDE:LIMit:UPPer

:CALCulate:WCDMa:UPLink:PCDE:LIMit:FAIL

Reads the fail status of the limit test on the PCDE measurement. A 1 indicates failure; 0 indicates no failure.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:PCDE:LIMit:FAIL?
Examples | :CALC:WCDM:UPL:PCDE:LIM:FAIL?
 | :calculate:wcdma:uplink:pcde:limit:fail?

:CALCulate:WCDMa:UPLink:PCDE:LIMit[:STATe]

Queries or switches on/off the limit test for a PCDE measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:PCDE:LIMit:STATe ON
Examples | :CALC:WCDM:UPL:PCDE:LIM OFF
 | :calculate:wcdma:uplink:pcde:limit:state off
 | :CALC:WCDM:UPL:PCDE:LIM?

:CALCulate:WCDMa:UPLink:PCDE:LIMit:UPPer

Sets or queries the limits for the PCDE measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -15 | -100 | 0 | dB

 | :CALCulate:WCDMa:UPLink:PCDE:LIMit:UPPer MAXimum
Examples | :CALC:WCDM:UPL:PCDE:LIM:UPP MAX
 | :calculate:wcdma:uplink:pcde:limit:upper maximum
 | :CALC:WCDM:UPL:PCDE:LIM:UPP?


:CALCulate:WCDMa:UPLink:QMARker

Select a link to view the command details:

  • :CALCulate:WCDMa:UPLink:QMARker:CNUMber
  • :CALCulate:WCDMa:UPLink:QMARker:FUNCtion:SANalysis
  • :CALCulate:WCDMa:UPLink:QMARker:SFACtor
  • :CALculate:WCDMa:UPLink:QMARker:STYPe
  • :CALCulate:WCDMa:UPLink:QMARker[:STATe]
  • :CALCulate:WCDMa:UPLink:QMARker:X
  • :CALCulate:WCDMa:UPLink:QMARker:Y

:CALCulate:WCDMa:UPLink:QMARker:CNUMber

Reads the code number at the X-axis position of the Q marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | -1 | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:QMARker:CNUMber?
Examples | :CALC:WCDM:UPL:QMAR:CNUM?
 | :calculate:wcdma:uplink:qmarker:cnumber?

:CALCulate:WCDMa:UPLink:QMARker:FUNCtion:SANalysis

Sets the symbol analysis parameters to the Code Level and Code Number at the current Q marker position.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:QMARker:FUNCtion:SANalysis
Examples | :CALC:WCDM:UPL:QMAR:FUNC:SAN
 | :calculate:wcdma:uplink:qmarker:function:sanalysis

:CALCulate:WCDMa:UPLink:QMARker:SFACtor

Reads the spread factor at the X-axis position of the Q marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | 0 | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:QMARker:SFACtor?
Examples | :CALC:WCDM:UPL:QMAR:SFAC?
 | :calculate:wcdma:uplink:qmarker:sfactor?

:CALCulate:WCDMa:UPLink:QMARker[:STATe]

Queries or switches on/off the Q marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:QMARker:STATe ON
Examples | :CALC:WCDM:UPL:QMAR OFF
 | :calculate:wcdma:uplink:qmarker:state off
 | :CALC:WCDM:UPL:QMAR?

:CALculate:WCDMa:UPLink:QMARker:STYPe

Queries the signal type at the marker. QAM16 is one format used by HSUPA, and will only be returned if the HSUPA license is installed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | OFF | QPSK | QAM16 | QAM64 | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:QMARker:STYPe?
Examples | :CALC:WCDM:UPL:QMAR:STYP?
 | :calculate:wcdma:uplink:qmarker:stype
 | :CALC:WCDM:UPL:QMAR:STYP?

:CALCulate:WCDMa:UPLink:QMARker:X

Sets or queries the X-axis position, that is, the channel of the Q marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 255 | none

 | :CALCulate:WCDMa:UPLink:QMARker:X MAXimum
Examples | :CALC:WCDM:UPL:QMAR:X MAX
 | :calculate:wcdma:uplink:qmarker:x maximum
 | :CALC:WCDM:UPL:QMAR:X?

:CALCulate:WCDMa:UPLink:QMARker:Y

Reads the Y-axis power value of the Q marker on the code domain power graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:QMARker:Y?
Examples | :CALC:WCDM:UPL:QMAR:Y?
 | :calculate:wcdma:uplink:qmarker:y?


:CALCulate:WCDMa:UPLink:SEMask:CPOWer

Query the In-Channel Power of the spectrum emission mask measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:SEMask:CPOWer?
Examples | :CALC:WCDM:UPL:SEM:CPOW?
 | :calculate:wcdma:uplink:semask:cpower?


:CALCulate:WCDMa:UPLink:SEMask:LIMit

Select a link to view the command details:

  • :CALCulate:WCDMa:UPLink:SEMask:LIMit:FAIL
  • :CALCulate:WCDMa:UPLink:SEMask:LIMit:MARGin
  • :CALCulate:WCDMa:UPLink:SEMask:LIMit[:STATe]

:CALCulate:WCDMa:UPLink:SEMask:LIMit:FAIL

Reads the fail status of the spectrum emission mask measurement. A 1 indicates that data is tested and failed, or there is no data, or the limit state is off. 0 indicates that data is tested and passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:SEMask:LIMit:FAIL?
Examples | :CALC:WCDM:UPL:SEM:LIM:FAIL?
 | :calculate:wcdma:uplink:semask:limit:fail?

:CALCulate:WCDMa:UPLink:SEMask:LIMit:MARGin

Sets or queries the margin for the spectrum emission limit test. This margin is added to the default limit values for each frequency as derived from the W-CDMA standard.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 50 | dB

 | :CALCulate:WCDMa:UPLink:SEMask:LIMit:MARGin MAXimum
Examples | :CALC:WCDM:UPL:SEM:LIM:MARG MAX
 | :calculate:wcdma:uplink:semask:limit:margin maximum
 | :CALC:WCDM:UPL:SEM:LIM:MAR?

:CALCulate:WCDMa:UPLink:SEMask:LIMit[:STATe]

Enables and disables the spectrum emission mask limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:SEMask:LIMit:STATe Off
Examples | :CALC:WCDM:UPL:SEM:LIM ON
 | :calculate:wcdma:uplink:semask:limit:state on
 | :CALC:WCDM:UPL:SEM:LIM?


:CALCulate:WCDMa:UPLink:TPOWer

Queries the total power value for a W-CDMA Uplink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WCDMa:UPLink:TPOWer?
Examples | :CALC:WCDM:UPL:TPOW?
 | :calculate:wcdma:uplink:tpower?


:CALCulate:WIMax

Select a link to view the command details:

  • :CALCulate:WIMax:CFEedthru
  • :CALCulate:WIMax:CFERror
  • :CALCulate:WIMax:CONStellation:SYMBol:TYPE
  • :CALCulate:WIMax:CPOWer
  • :CALCulate:WIMax:DOWNlink:DSYMbols
  • :CALCulate:WIMax:FMARgin
  • :CALCulate:WIMax:MASDifference
  • :CALCulate:WIMax:MFLatness
  • :CALCulate:WIMax:PAPRatio
  • :CALCulate:WIMax:RCE
  • :CALCulate:WIMax:UPLink:DSYMbols


:CALCulate:WIMax:CFEedthru

Queries the WiMAX Carrier Feedthrough Relative to Total Power (dBr).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:CFEedthru?
Examples | :CALC:WIM:CFE?
 | :calculate:wimax:cfeedthru?

______

Note icon For SignalMeister™ measurements, the return parameter is Carrier Feedthrough Relative to Average Power (dBr).

______

Select a link to view the command details:

  • :CALCulate:WIMax:CFEedthru:LIMit:UPPer
  • :CALCulate:WIMax:CFEedthru:LIMit[:STATe]
  • :CALCulate:WIMax:CFEedthru:LIMit:UPPer

:CALCulate:WIMax:CFEedthru:LIMit:FAIL

Queries the fail status for the WiMAX Carrier Feedthru limit test. A "1" indicates failed; "0" indicates passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:CFEedthru:LIMit:FAIL?
Examples | :CALC:WIM:CFE:LIM:FAIL?
 | :calculate:wimax:cfeedthru:limit:fail?

:CALCulate:WIMax:CFEedthru:LIMit[:STATe]

Queries or switches on/off the WiMAX carrier feed-through limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WIMax:CFEedthru:LIMit:STATe On
Examples | :CALC:WIM:CFE:LIM ON
 | :calculate:wimax:cfeedthru:limit:state on
 | :CALC:WIM:CFE:LIM?

:CALCulate:WIMax:CFEedthru:LIMit:UPPer

Queries or sets the upper limit for WiMAX Carrier Feedthru.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -20 | -50 | 0 | dB

 | :CALCulate:WIMax:CFEedthru:LIMit:UPPer MAXimum
Examples | :CALC:WIM:CFE:LIM:UPP MAX
 | :calculate:wimax:cfeedthru:limit:upper maximum
 | :CALC:WIM:CFE:LIM:UPP?


:CALCulate:WIMax:CFERror

Queries the WiMAX Carrier Frequency Error.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:CFERror?
Examples | :CALC:WIM:CFER?
 | :calculate:wimax:cferror?

Select a link to view the command details:

  • :CALCulate:WIMax:CFERror:LIMit:FAIL
  • :CALCulate:WIMax:CFERror:LIMit[:STATe]
  • :CALCulate:WIMax:CFERror:LIMit:UPPer

:CALCulate:WIMax:CFERror:LIMit:FAIL

Queries the fail status of WiMAX Carrier Frequency Error limit test. A 1 indicates the limit failed; 0 indicates the limit passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:CFERror:LIMit:FAIL?
Examples | :CALC:WIM:CFER:LIM:FAIL?
 | :calculate:wimax:cferror:limit:fail?

:CALCulate:WIMax:CFERror:LIMit[:STATe]

Queries or switches on/off the WiMAX Carrier Frequency Error limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WIMax:CFERror:LIMit:STATe Off
Examples | :CALC:WIM:CFER:LIM OFF
 | :calculate:wimax:cferror:limit:state off
 | :CALC:WIM:CFER:LIM?

:CALCulate:WIMax:CFERror:LIMit:UPPer

Queries or sets the upper limit (+/-) for the WiMAX Carrier Frequency Error. The limit is set as parts-per-million (ppm) of the carrier frequency. The measurement result is displayed in the GUI with ppm converted to frequency (Hz).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 2 | 0.1 | 10 | PPM

 | :CALCulate:WIMax:CFERror:LIMit:UPPer MAXimum
Examples | :CALC:WIM:CFER:LIM:UPP MAX
 | :calculate:wimax:cferror:limit:upper maximum
 | :CALC:WIM:CFER:LIM:UPP?


:CALCulate:WIMax:CONStellation:SYMBol:TYPE

Sets the type of symbols for the WiMax constellation data.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ALL | BURS | PIL | Yes | ALL | BURSts | PILots | DEFault | BURS | n/a | n/a | none

 | :CALCulate:WIMax:CONStellation:SYMBol:TYPE PILots
Examples | :CALC:WIM:CONS:SYMB:TYPE PIL
 | :calculate:wimax:constellation:symbol:type pilots
 | :CALC:WIM:CONS:SYMB:TYPE?


:CALCulate:WIMax:CPOWer

Queries the WiMAX Channel Power.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:CPOWer?
Examples | :CALC:WIM:CPOW?
 | :calculate:wimax:cpower?

Select a link to view the command details:

  • :CALCulate:WIMax:CPOWer:LIMit:FAIL
  • :CALCulate:WIMax:CPOWer:LIMit[:STATe]
  • :CALCulate:WIMax:CPOWer:LIMit:UPPer

:CALCulate:WIMax:CPOWer:LIMit:FAIL

Queries the fail status of WiMAX Channel Power limit test. A 1 indicates the limit failed; a 0 indicates the limit passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:CPOWer:LIMit:FAIL?
Examples | :CALC:WIM:CPOW:LIM:FAIL?
 | :calculate:wimax:cpower:limit:fail?

:CALCulate:WIMax:CPOWer:LIMit[:STATe]

Queries or switches on/off the WiMAX Channel Power limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WIMax:CPOWer:LIMit:STATe On
Examples | :CALC:WIM:CPOW:LIM ON
 | :calculate:wimax:cpower:limit:state on
 | :CALC:WIM:CPOW:LIM?

:CALCulate:WIMax:CPOWer:LIMit:UPPer

Queries or sets the upper limit for WiMAX Channel Power.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -10 | -100 | 10 | dB

 | :CALCulate:WIMax:CPOWer:LIMit:UPPer MAXimum
Examples | :CALC:WIM:CPOW:LIM:UPP MAX
 | :calculate:wimax:cpower:limit:upper maximum
 | :CALC:WIM:CPOW:LIM:UPP?


:CALCulate:WIMax:DOWNlink:DSYMbols

Queries the number of demodulation symbols in a WiMAX Downlink subframe. This is the number of symbols that the analyzer will attempt to demodulate. It is less than or equal to the number of symbols defined within zones in the subframe. The number of defined symbols is less than or equal to the total number of symbols periods within the subframe duration..

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:DOWNlink:DSYMbols?
Examples | :CALC:WIM:DOWN:DSYM?
 | :calculate:wimax:downlink:dsymbols?


:CALCulate:WIMax:FMARgin

Queries the WiMAX magnitude flatness margin.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:FMARgin?
Examples | :CALC:WIM:FMAR?
 | :calculate:wimax:fmargin?

Select a link to view the command details:

  • :CALCulate:WIMax:FMARgin:LIMit:FAIL
  • :CALCulate:WIMax:FMARgin:LIMit[:STATe]
  • :CALCulate:WIMax:FMARgin:LIMit:UPPer

:CALCulate:WIMax:FMARgin:LIMit:FAIL

Queries the fail status of WiMAX flatness margin limit test. A 1 indicates the limit failed; a 0 indicates the limit passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:FMARgin:LIMit:FAIL?
Examples | :CALC:WIM:FMAR:LIM:FAIL?
 | :calculate:wimax:fmargin:limit:fail?

:CALCulate:WIMax:FMARgin:LIMit[:STATe]

Queries or switches on/off the WiMAX magnitude flatness margin limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WIMax:FMARgin:LIMit:STATe On
Examples | :CALC:WIM:FMAR:LIM ON
 | :calculate:wimax:fmargin:limit:state on
 | :CALC:WIM:FMAR:LIM?

:CALCulate:WIMax:FMARgin:LIMit:UPPer

Queries or sets the upper limit for the WiMAX magnitude flatness margin.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 50 | dB

 | :CALCulate:WIMax:FMARgin:LIMit:UPPer MAXimum
Examples | :CALC:WIM:FMAR:LIM:UPP MAX
 | :calculate:wimax:fmargin:limit:upper maximum
 | :CALC:WIM:FMAR:LIM:UPP?


:CALCulate:WIMax:MASDifference

Queries the WiMAX Maximum Adjacent Subcarrier Difference.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:MASDifference?
Examples | :CALC:WIM:MASD?
 | :calculate:wimax:masdifference?

Select a link to view the command details:

  • :CALCulate:WIMax:MASDifference:LIMit:FAIL
  • :CALCulate:WIMax:MASDifference:LIMit[:STATe]
  • :CALCulate:WIMax:MASDifference:LIMit:UPPer

:CALCulate:WIMax:MASDifference:LIMit:FAIL

Queries the fail status of the WiMAX Maximum Adjacent Subcarrier Difference limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:MASDifference:LIMit:FAIL?
Examples | :CALC:WIM:MASD:LIM:FAIL?
 | :calculate:wimax:masdifference:limit:fail?

:CALCulate:WIMax:MASDifference:LIMit[:STATe]

Queries or switches on/off the WiMAX Maximum Adjacent Subcarrier Difference limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WIMax:MASDifference:LIMit:STATe Off
Examples | :CALC:WIM:MASD:LIM OFF
 | :calculate:wimax:masdifference:limit:state off
 | :CALC:WIM:MASD:LIM?

:CALCulate:WIMax:MASDifference:LIMit:UPPer

Queries or sets the upper limit for the WiMAX Maximum Adjacent Subcarrier Difference.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.1 | 0.01 | 1 | dB

 | :CALCulate:WIMax:MASDifference:LIMit:UPPer MAXimum
Examples | :CALC:WIM:MASD:LIM:UPP MAX
 | :calculate:wimax:masdifference:limit:upper maximum
 | :CALC:WIM:MASD:LIM:UPP?


:CALCulate:WIMax:MFLatness

Select a link to view the command details:

  • :CALCulate:WIMax:MFLatness:MARGins
  • :CALCulate:WIMax:MFLatness:PTPeak

:CALCulate:WIMax:MFLatness:MARGins

Queries the WiMAX minimum margins for the magnitude flatness limit test. The query requires two parameters, each a subcarrier number. The query returns the minimum upper margin values between the two subcarrier numbers, inclusive.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent.,Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an explicit decimal point and an exponent.,Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:MFLatness:MARGins?
Examples | :CALC:WIM:MFL:MARG?
 | :calculate:wimax:mflatness:margins?

:CALCulate:WIMax:MFLatness:PTPeak

Queries the WiMAX magnitude flatness peak-to-peak.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent.,Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an explicit decimal point and an exponent.,Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:MFLatness:PTPeak?
Examples | :CALC:WIM:MFL:PTP?
 | :calculate:wimax:mflatness:ptpeak?


:CALCulate:WIMax:PAPRatio

Queries the WiMAX Peak-to-Average Power Ratio.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:PAPRatio?
Examples | :CALC:WIM:PAPR?
 | :calculate:wimax:papratio?

Select a link to view the command details:

  • :CALCulate:WIMax:PAPRatio:LIMit:FAIL
  • :CALCulate:WIMax:PAPRatio:LIMit[:STATe]
  • :CALCulate:WIMax:PAPRatio:LIMit:UPPer

:CALCulate:WIMax:PAPRatio:LIMit:FAIL

Queries the fail status of the WiMAX Peak-to-Average Power Ratio limit test. A 1 indicates the limit failed; a 0 indicates the limit passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:PAPRatio:LIMit:FAIL?
Examples | :CALC:WIM:PAPR:LIM:FAIL?
 | :calculate:wimax:papratio:limit:fail?

:CALCulate:WIMax:PAPRatio:LIMit[:STATe]

Queries or switches on/off the WiMAX Peak-to-Average Power Ratio limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WIMax:PAPRatio:LIMit:STATe On
Examples | :CALC:WIM:PAPR:LIM ON
 | :calculate:wimax:papratio:limit:state on
 | :CALC:WIM:PAPR:LIM?

:CALCulate:WIMax:PAPRatio:LIMit:UPPer

Queries or sets the upper limit for the WiMAX Peak-to-Average Power Ratio.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 20 | 0 | 50 | dB

 | :CALCulate:WIMax:PAPRatio:LIMit:UPPer MAXimum
Examples | :CALC:WIM:PAPR:LIM:UPP MAX
 | :calculate:wimax:papratio:limit:upper maximum
 | :CALC:WIM:PAPR:LIM:UPP?


:CALCulate:WIMax:RCE

Select a link to view the command details:

  • :CALCulate:WIMax:RCE:BURSts
  • :CALCulate:WIMax:RCE:PILot
  • :CALCulate:WIMax:RCE[:SUBFrame][:RMS]
  • :CALCulate:WIMax:RCE:UNIT


:CALCulate:WIMax:RCE:BURSts

Select a link to view the command details:

  • :CALCulate:WIMax:RCE:BURSts:PEAK
  • :CALCulate:WIMax:RCE:BURSts:PEAK:LIMit:FAIL
  • :CALCulate:WIMax:RCE:BURSts:PEAK:LIMit[:STATe]
  • :CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit:UPPer
  • :CALCulate:WIMax:RCE:BURSts:PEAK:SUBCarrier
  • :CALCulate:WIMax:RCE:BURSts:PEAK:SYMBol
  • :CALCulate:WIMax:RCE:BURSts[:RMS]
  • :CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit:FAIL
  • :CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit[:STATe]
  • :CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit:UPPer

:CALCulate:WIMax:RCE:BURSts:PEAK

Queries the WiMAX data bursts RCE peak.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:BURSts:PEAK?
Examples | :CALC:WIM:RCE:BURS:PEAK?
 | :calculate:wimax:rce:bursts:peak?

Select a link to view the command details:

  • :CALCulate:WIMax:RCE:BURSts:PEAK:LIMit:FAIL
  • :CALCulate:WIMax:RCE:BURSts:PEAK:LIMit[:STATe]
  • :CALCulate:WIMax:RCE:BURSts:PEAK:LIMit:UPPer

:CALCulate:WIMax:RCE:BURSts:PEAK:LIMit:FAIL

Queries the fail status of the WiMAX data bursts RCE peak limit test. A 1 indicates that the limit test failed and a 0 indicates that the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:BURSts:PEAK:LIMit:FAIL?
Examples | :CALC:WIM:RCE:BURS:PEAK:LIM:FAIL?
 | :calculate:wimax:rce:bursts:peak:limit:fail?

:CALCulate:WIMax:RCE:BURSts:PEAK:LIMit[:STATe]

Queries or switches on/off the WiMAX data bursts RCE peak limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WIMax:RCE:BURSts:PEAK:LIMit[:STATe] On
Examples | :CALC:WIM:RCE:BURS:PEAK:LIM ON
 | :calculate:wimax:rce:bursts:peak:limit:state on
 | :CALC:WIM:RCE:BURS:PEAK:LIM?

:CALCulate:WIMax:RCE:BURSts:PEAK:LIMit:UPPer

Set upper limit for WiMAX data bursts RCE peak.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -16.4 | -100 | 0 | dB/PCT

 | :CALCulate:WIMax:RCE:BURSts:PEAK:LIMit:UPPer MAXimum
Examples | :CALC:WIM:RCE:BURS:PEAK:LIM:UPP MAX
 | :calculate:wimax:rce:bursts:peak:limit:upper maximum
 | :CALC:WIM:RCE:BURS:PEAK:LIM:UPP?

:CALCulate:WIMax:RCE:BURSts:PEAK:SUBCarrier

Queries the subcarrier where the WiMAX data bursts RCE peak occurs.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:BURSts:PEAK:SUBCarrier?
Examples | :CALC:WIM:RCE:BURS:PEAK:SUBC?
 | :calculate:wimax:rce:bursts:peak:subcarrier?

:CALCulate:WIMax:RCE:BURSts:PEAK:SYMBol

Queries the symbol where the WiMAX data bursts RCE peak occurs.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:BURSts:PEAK:SYMBol?
Examples | :CALC:WIM:RCE:BURS:PEAK:SYMB?
 | :calculate:wimax:rce:bursts:peak:symbol?

:CALCulate:WIMax:RCE:BURSts[:RMS]

Queries the WiMAX data bursts RCE rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:BURSts[:RMS]?
Examples | :CALC:WIM:RCE:BURS?
 | :calculate:wimax:rce:bursts:rms?

Select a link to view the command details:

  • :CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit:FAIL
  • :CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit[:STATe]
  • :CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit:UPPer

:CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit:FAIL

Queries the fail status of the WiMAX data bursts RCE rms limit test. A 1 indicates the limit failed; a 0 indicates the limit passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit:FAIL?
Examples | :CALC:WIM:RCE:BURS:LIM:FAIL?
 | :calculate:wimax:rce:bursts:rms:limit:fail?

:CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit[:STATe]

Queries or switches on/off the WiMAX data bursts RCE rms limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit[:STATe] On
Examples | :CALC:WIM:RCE:BURS:LIM ON
 | :calculate:wimax:rce:bursts:rms:limit:state on
 | :CALC:WIM:RCE:BURS:LIM?

:CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit:UPPer

Queries or sets the upper limit for WiMAX data bursts RCE rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -16.4 | -100 | 0 | dB/PCT

 | :CALCulate:WIMax:RCE:BURSts[:RMS]:LIMit:UPPer MAXimum
Examples | :CALC:WIM:RCE:BURS:LIM:UPP MAX
 | :calculate:wimax:rce:bursts:rms:limit:upper maximum
 | :CALC:WIM:RCE:BURS:LIM:UPP?


:CALCulate:WIMax:RCE:PILot

Select a link to view the command details:

  • :CALCulate:WIMax:RCE:PILot:PEAK
  • :CALCulate:WIMax:RCE:PILot:PEAK:LIMit:FAIL
  • :CALCulate:WIMax:RCE:PILot:PEAK:LIMit[:STATe]
  • :CALCulate:WIMax:RCE:PILot[:RMS]:LIMit:UPPer
  • :CALCulate:WIMax:RCE:PILot:PEAK:SUBCarrier
  • :CALCulate:WIMax:RCE:PILot:PEAK:SYMBol
  • :CALCulate:WIMax:RCE:PILot[:RMS]

:CALCulate:WIMax:RCE:PILot:PEAK

Queries the WiMAX Pilot RCE peak.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:PILot:PEAK?
Examples | :CALC:WIM:RCE:PIL:PEAK?
 | :calculate:wimax:rce:pilot:peak?

Select a link to view the command details:

  • :CALCulate:WIMax:RCE:PILot:PEAK:LIMit:FAIL
  • :CALCulate:WIMax:RCE:PILot:PEAK:LIMit[:STATe]
  • :CALCulate:WIMax:RCE:PILot[:RMS]:LIMit:UPPer

:CALCulate:WIMax:RCE:PILot:PEAK:LIMit:FAIL

Queries the fail status for the WiMAX Pilot RCE peak limit test. A 1 indicates the limit test failed; a 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:PILot:PEAK:LIMit:FAIL?
Examples | :CALC:WIM:RCE:PIL:PEAK:LIM:FAIL?
 | :calculate:wimax:rce:pilot:peak:limit:fail?

:CALCulate:WIMax:RCE:PILot:PEAK:LIMit[:STATe]

Queries or switches on/off the WiMAX RCE Pilot RCE peak limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WIMax:RCE:PILot:PEAK:LIMit[:STATe] On
Examples | :CALC:WIM:RCE:PIL:PEAK:LIM ON
 | :calculate:wimax:rce:pilot:peak:limit:state on
 | :CALC:WIM:RCE:PIL:PEAK:LIM?

:CALCulate:WIMax:RCE:PILot:PEAK:LIMit:UPPer

Queries or sets the upper limit for the WiMAX Pilot RCE rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -6.4 | -100 | 0 | dB/PCT

 | :CALCulate:WIMax:RCE:PILot:PEAK:LIMit:UPPer MAXimum
Examples | :CALC:WIM:RCE:PIL:PEAK:LIM:UPP MAX
 | :calculate:wimax:rce:pilot:peak:limit:upper maximum
 | :CALC:WIM:RCE:PIL:PEAK:LIM:UPP?

:CALCulate:WIMax:RCE:PILot:PEAK:SUBCarrier

Queries the subcarrier where the WiMAX Pilot RCE peak occurs.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:PILot:PEAK:SUBCarrier?
Examples | :CALC:WIM:RCE:PIL:PEAK:SUBC?
 | :calculate:wimax:rce:pilot:peak:subcarrier?

:CALCulate:WIMax:RCE:PILot:PEAK:SYMBol

Queries the symbol where the WiMAX Pilot RCE peak occurs.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:PILot:PEAK:SYMBol?
Examples | :CALC:WIM:RCE:PIL:PEAK:SYMB?
 | :calculate:wimax:rce:pilot:peak:symbol?

:CALCulate:WIMax:RCE:PILot[:RMS]

Queries the WiMAX Pilot RCE rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:PILot[:RMS]?
Examples | :CALC:WIM:RCE:PIL?
 | :calculate:wimax:rce:pilot:rms?

Select a link to view the command details:

  • :CALCulate:WIMax:RCE:PILot[:RMS]:LIMit:FAIL
  • :CALCulate:WIMax:RCE:PILot[:RMS]:LIMit[:STATe]
  • :CALCulate:WIMax:RCE:PILot[:RMS]:LIMit:UPPer

:CALCulate:WIMax:RCE:PILot[:RMS]:LIMit:FAIL

Queries the fail status of the WiMAX Pilot RCE rms limit test. A 1 indicates the limit test failed; a 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:PILot[:RMS]:LIMit:FAIL?
Examples | :CALC:WIM:RCE:PIL:LIM:FAIL?
 | :calculate:wimax:rce:pilot:rms:limit:fail?

:CALCulate:WIMax:RCE:PILot[:RMS]:LIMit[:STATe]

Queries or sets on/off the WiMAX Pilot RCE rms limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WIMax:RCE:PILot[:RMS]:LIMit[:STATe] Off
Examples | :CALC:WIM:RCE:PIL:LIM OFF
 | :calculate:wimax:rce:pilot:rms:limit:state off
 | :CALC:WIM:RCE:PIL:LIM?

:CALCulate:WIMax:RCE:PILot[:RMS]:LIMit:UPPer

Queries or set the upper limit for the WiMAX Pilot RCE rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -6.4 | -100 | 0 | dB/PCT

 | :CALCulate:WIMax:RCE:PILot[:RMS]:LIMit:UPPer MAXimum
Examples | :CALC:WIM:RCE:PIL:LIM:UPP MAX
 | :calculate:wimax:rce:pilot:rms:limit:upper maximum
 | :CALC:WIM:RCE:PIL:LIM:UPP?


:CALCulate:WIMax:RCE[:SUBFrame][:RMS]

Queries the WiMAX Subframe RCE rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:SUBFrame:RMS?
Examples | :CALC:WIM:RCE?
 | :calculate:wimax:rce:subframe:rms?

Select a link to view further command details:

  • :CALCulate:WIMax:RCE[:SUBFrame][:RMS]:LIMit:FAIL
  • :CALCulate:WIMax:RCE[:SUBFrame][:RMS]:LIMit[:STATe]
  • :CALCulate:WIMax:RCE[:SUBFrame][:RMS]:LIMit:UPPer

:CALCulate:WIMax:RCE[:SUBFrame][:RMS]:LIMit:FAIL

Queries the fail status of a WiMAX Subframe RCE rms limit test. A 1 indicates the limit test failed; 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:RCE:SUBFrame:RMS:LIMit:FAIL?
Examples | :CALC:WIM:RCE:LIM:FAIL?
 | :calculate:wimax:rce:subframe:rms:limit:fail?

:CALCulate:WIMax:RCE[:SUBFrame][:RMS]:LIMit[:STATe]

Queries or sets on/off the WiMAX Subframe RCE rms limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WIMax:RCE:SUBFrame:RMS:LIMit:STATe Off
Examples | :CALC:WIM:RCE:LIM OFF
 | :calculate:wimax:rce:subframe:rms:limit:state off
 | :CALC:WIM:RCE:LIM?

:CALCulate:WIMax:RCE[:SUBFrame][:RMS]:LIMit:UPPer

Queries or sets the upper limit for the WiMAX Subframe RCE rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -16.4 | -100 | 0 | dB/PCT

 | :CALCulate:WIMax:RCE:SUBFrame:RMS:LIMit:UPPer MAXimum
Examples | :CALC:WIM:RCE:LIM:UPP MAX
 | :calculate:wimax:rce:subframe:rms:limit:upper maximum
 | :CALC:WIM:RCE:LIM:UPP?

:CALCulate:WIMax:RCE:UNIT

Set units for RCE values in the WiMAX data table.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | DB|PCT | Yes | DB | PCT | DEFault | DB | n/a | n/a | none

 | :CALCulate:WIMax:RCE:UNIT PCT
Examples | :CALC:WIM:RCE:UNIT PCT
 | :calculate:wimax:rce:unit pct
 | :CALC:WIM:RCE:UNIT?


:CALCulate:WIMax:UPLink:DSYMbols

Queries the number of demodulation symbols in WiMAX Uplink subframe. This is the number of symbols that the analyzer will attempt to demodulate. It is less than or equal to the number of symbols defined within zones in the subframe. The number of defined symbols is less than or equal to the total number of symbols periods within the subframe duration.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WIMax:UPLink:DSYMbols
Examples | :CALC:WIM:UPL:DSYM
 | :calculate:wimax:uplink:dsymbols
 | :CALC:WIM:UPL:DSYM?


:CALCulate:WLAN

Select a link to view the command details:

  • :CALCulate:WLAN:BANDwidth
  • :CALCulate:WLAN:BWIDth
  • :CALCulate:WLAN:CFEedthru
  • :CALCulate:WLAN:CFERror
  • :CALCulate:WLAN:CONStellation
  • :CALCulate:WLAN:CPOWer
  • :CALCulate:WLAN:DRATe
  • :CALCulate:WLAN:EVCHannel
  • :CALCulate:WLAN:EVM
  • :CALCulate:WLAN:FMARgin
  • :CALCulate:WLAN:GCOMpression:FACTor
  • :CALCulate:WLAN:HEADer
  • :CALCulate:WLAN:MFLatness:PTPeak
  • :CALCulate:WLAN:NSYMbols
  • :CALCulate:WLAN:PDRamp
  • :CALCulate:WLAN:PERRor
  • :CALCulate:WLAN:PFLatness:PTPeak
  • :CALCulate:WLAN:PILot:EVM:PEAK
  • :CALCulate:WLAN:PILot:EVM[:RMS]
  • :CALCulate:WLAN:PORamp
  • :CALCulate:WLAN:SCERror
  • :CALCulate:WLAN:SEMask
  • :CALCulate:WLAN:SIGNal

:CALCulate:WLAN:BANDwidth

Queries the nominal bandwidth of the WLAN OFDM signal as Hz. For example, returns a value such as 10Hz, 20MHz, 40MHz.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | <Hz>

 | :CALCulate:WLAN:BANDwidth?
Examples | :CALC:WLAN:BAND?
 | :calculate:wlan:bandwidth?

:CALCulate:WLAN:BWIDth

Queries the nominal bandwidth of the WLAN OFDM signal as Hz. For example, returns a value such as 10Hz, 20MHz, 40MHz.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | <Hz>

 | :CALCulate:WLAN:BWIDth?
Examples | :CALC:WLAN:BWID?
 | :calculate:wlan:bandwidth?


:CALCulate:WLAN:CFEedthru

Queries carrier feedthrough error for a WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:CFEedthru?
Examples | :CALC:WLAN:CFE?
 | :calculate:wlan:cfeedthru?

______

Note icon For Series V2800 measurements, the return parameter is Carrier Feedthrough Relative to Total Power (dBr).

______

Note icon For SignalMeister™ measurements, the return parameter is Carrier Feedthrough Relative to Average Power (dBr)

______

Select a link to view the command details:

  • :CALCulate:WLAN:CFEedthru:LIMit:FAIL
  • :CALCulate:WLAN:CFEedthru:LIMit[:STATe]
  • :CALCulate:WLAN:CFEedthru:LIMit:UPPer

:CALCulate:WLAN:CFEedthru:LIMit:FAIL

Query fail status of carrier feedthrough limit test. A "1" indicates the limit test failed; a "0" indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:CFEedthru:LIMit:FAIL?
Examples | :CALC:WLAN:CFE:LIM:FAIL?
 | :calculate:wlan:cfeedthru:limit:fail?

:CALCulate:WLAN:CFEedthru:LIMit[:STATe]

Queries or turns on/off the limit test for WLAN carrier feedthrough.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WLAN:CFEedthru:LIMit:STATe 1
Examples | :CALC:WLAN:CFE:LIM 0
 | :calculate:wlan:cfeedthru:limit:state 0
 | :CALCulate:WLAN:CFEedthru:LIMit?

:CALCulate:WLAN:CFEedthru:LIMit:UPPer

Queries or sets the upper limit for a WLAN carrier feedthrough measurement. The measurement is Carrier Feedthrough relative to Total Power (dBr)

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -20 | -50 | 0 | dBr

 | :CALCulate:WLAN:CFEedthru:LIMit:UPPer 20
Examples | :CALC:WLAN:CFE:LIMit:UPP 0
 | :calculate:wlan:cfeedthru:limit:upper 20
 | :CALCulate:WLAN:CFEedthru:LIMit:UPPer?


:CALCulate:WLAN:CFERror

Queries carrier frequency error for the WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:CFERror?
Examples | :CALC:WLAN:CFER?
 | :calculate:wlan:cferror?

Select a link to view the command details:

  • :CALCulate:WLAN:CFERror:LIMit:FAIL
  • :CALCulate:WLAN:CFERror:LIMit[:STATe]
  • :CALCulate:WLAN:CFERror:LIMit:UPPer

:CALCulate:WLAN:CFERror:LIMit:FAIL

Queries fail status of carrier frequency error limit test. A 1 indicates the limit test failed; 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:CFERror:LIMit:FAIL?
Examples | :CALC:WLAN:CFER:LIM:FAIL?
 | :calculate:wlan:cferror:limit:fail?

:CALCulate:WLAN:CFERror:LIMit[:STATe]

Queries or turns on/off the limit test for WLAN carrier frequency error.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WLAN:CFERror:LIMit:STATe
Examples | :CALC:WLAN:CFER:LIM 1
 | :calculate:wlan:cferror:limit:state 0
 | :CALCulate:WLAN:CFERror:LIMit:STATe?

:CALCulate:WLAN:CFERror:LIMit:UPPer

Queries or sets the upper limit for a WLAN carrier frequency error measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 60000 | 0 | 1000000 | Hz

 | :CALCulate:WLAN:CFERror:LIMit:UPPer 60000
Examples | :CALC:WLAN:CFER:LIM:UPP 0
 | :calculate:wlan:cferror:limit:upper 0
 | :CALCulate:WLAN:CFERror:LIMit:UPPer?


:CALCulate:WLAN:CONStellation

Queries the constellation type of a WLAN OFDM signal. The return value matches the parameter for the :SENSe:WLAN:CONStellation command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BPSK,QPSK,QAM16 ,QAM64 | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:CONStellation?
Examples | :CALC:WLAN:CONS?
 | :calculate:wlan:constellation?


:CALCulate:WLAN:CPOWer

Queries the channel power for a WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:CPOWer?
Examples | :CALC:WLAN:CPOW?
 | :calculate:wlan:cpower?

Select a link to view the command details:

  • :CALCulate:WLAN:CPOWer:LIMit:FAIL
  • :CALCulate:WLAN:CPOWer:LIMit[:STATe]
  • :CALCulate:WLAN:CPOWer:LIMit:UPPer

CALCulate:WLAN:CPOWer:LIMit:FAIL

Queries the fail status of a channel power error limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:CPOWer:LIMit:FAIL?
Examples | :CALC:WLAN:CPOW:LIM:FAIL?
 | :calculate:wlan:cpower:limit:fail?

:CALCulate:WLAN:CPOWer:LIMit[:STATe]

Queries or turns on/off the limit test for WLAN channel power.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WLAN:CPOWer:LIMit:STATe On
Examples | :CALC:WLAN:CPOW:LIM 1
 | :calculate:wlan:cpower:limit:state 0
 | :CALC:WLAN:CPOW:LIM?

:CALCulate:WLAN:CPOWer:LIMit:UPPer

Queries or sets the upper limit for WLAN channel power.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | n/a | -10 | -100 | 10 | dBm

 | :CALCulate:WLAN:CPOWer:LIMit:UPPer -100
Examples | :CALC:WLAN:CPOW:LIM:UPP -10
 | :calculate:wlan:cpower:limit:upper 10
 | :CALCulate:WLAN:CPOWer:LIMit:UPPer?


:CALCulate:WLAN:DRATe

Queries the data rate of a WLAN DSSS/CCK signal as bits/second.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:DRATe?
Examples | :CALC:WLAN:DRAT?
 | :calculate:wlan:drate?


:CALCulate:WLAN:EVCHannel

Select a link to view the command details:

  • :CALCulate:WLAN:EVCHannel:CMAXimum
  • :CALCulate:WLAN:EVCHannel:MAXimum

:CALCulate:WLAN:EVCHannel:CMAXimum

Queries the channel at which maximum EVM occurs in a WLAN EVM versus Channel trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:EVCHannel:CMAXimum?
Examples | :CALC:WLAN:EVCH:CMAX?
 | :calculate:wlan:evchannel:cmaximum?

:CALCulate:WLAN:EVCHannel:MAXimum

Queries the maximum EVM in a WLAN EVM versus Channel trace measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point./Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:EVCHannel:MAXimum?
Examples | :CALC:WLAN:EVCH:MAX?
 | :calculate:wlan:evchannel:maximum?


:CALCulate:WLAN:EVM

Select a link to view the command details:

  • :CALCulate:WLAN:EVM:PEAK
  • :CALCulate:WLAN:EVM[:RMS]

:CALCulate:WLAN:EVM:PEAK

Queries the EVM peak for a WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PILot:EVM:PEAK?
Examples | :CALC:WLAN:PIL:EVM:PEAK?
 | :calculate:wlan:pilot:evm:peak?

Select a link to view further command details:

  • :CALCulate:WLAN:EVM:PEAK:LIMit:FAIL
  • :CALCulate:WLAN:EVM:PEAK:LIMit[:STATe]
  • :CALCulate:WLAN:EVM:PEAK:LIMit:UPPer

:CALCulate:WLAN:EVM:PEAK:LIMit:FAIL

Queries the fail status of a EVM peak limit test. A 0 indicates the limit test failed. A 1 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:EVM:PEAK:LIMit:FAIL?
Examples | :CALC:WLAN:EVM:PEAK:LIM:FAIL?
 | :calculate:wlan:evm:peak:limit:fail?

:CALCulate:WLAN:EVM:PEAK:LIMit[:STATe]

Queries or turns on/off the limit test for a WLAN EVM peak.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WLAN:EVM:PEAK:LIMit[:STATe]?
Examples | :CALC:WLAN:EVM:PEAK:LIM?
 | :calculate:wlan:evm:peak:limit[:state]?

:CALCulate:WLAN:EVM:PEAK:LIMit:UPPer

Queries or sets the upper limit for a WLAN Pilot EVM rms measurement. If the units are not specified, the value is given by the units specified by :CALC:WLAN:EVM:UNIT.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | n/a | -14 | -100 | 0 | dB/%

 | :CALCulate:WLAN:EVM:PEAK:LIMit:UPPer 0
Examples | :CALC:WLAN:EVM:PEAK:LIM:UPP -100
 | :calculate:wlan:evm:peak:limit:upper 0
 | :CALCulate:WLAN:EVM:PEAK:LIMit:UPPer?


:CALCulate:WLAN:EVM[:RMS]

Queries the Pilot EVM rms for a WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:EVM:RMS?
Examples | :CALC:WLAN:EVM?
 | :calculate:wlan:evm:rms?

Select a link to view the command details:

  • :CALCulate:WLAN:EVM:RMS:LIMit:FAIL
  • :CALCulate:WLAN:EVM:RMS:LIMit[:STATe]
  • :CALCulate:WLAN:EVM:RMS:LIMit:UPPer

:CALCulate:WLAN:EVM:RMS:LIMit:FAIL

Queries the fail status of EVM RMS limit test. A 1 indicates that the limit test failed. A 0 indicates that the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:EVM:RMS:LIMit:FAIL?
Examples | :CALC:WLAN:EVM:RMS:LIM:FAIL?
 | :calculate:wlan:evm:rms:limit:fail?

:CALCulate:WLAN:EVM:RMS:LIMit[:STATe]

Queries or turns on/off the limit test for a WLAN EVM RMS measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WLAN:EVM:RMS:LIMit:STATe 0
Examples | :CALC:WLAN:EVM:RMS:LIM 0
 | :calculate:wlan:evm:rms:limit:state
 | :CALCulate:WLAN:EVM:RMS:LIMit:STATe?

:CALCulate:WLAN:EVM:RMS:LIMit:UPPer

Queries or sets the upper limit for a WLAN EVM RMS measurement. If the units are not specified the value is given by the units specified by :CALC:WLAN:EVM:UNIT.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -20 | -100 | 0 | dB/%

 | :CALCulate:WLAN:EVM:RMS:LIMit:UPPer 0
Examples | :CALC:WLAN:EVM:RMS:LIM:UPP -100
 | :calculate:wlan:evm:rms:limit:upper -20
 | :CALCulate:WLAN:EVM:RMS:LIMit:UPPer?

:CALCulate:WLAN:EVM:UNIT

Sets or queries the measurement units for EVM values in the WLAN data table.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | DB | PCT | Yes | DB | PCT | DEFault | DB | n/a | n/a | none

The example below shows the measurement unit for the WLAN EVM measurement has been set to DB (decibels), and that the query returns that parameter.

 | :CALCULATE:WLAN:EVM:DB
Examples | :CALCulate:WLAN:EVM:UNIT? DB
 | :calculate:wlan:evm:db


:CALCulate:WLAN:FMARgin

Queries the channel flatness margin for a WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:FMARgin?
Examples | :CALC:WLAN:FMAR?
 | :calculate:wlan:fmargin?

Select a link to view the command details:

  • :CALCulate:WLAN:FMARgin:LIMit:FAIL
  • :CALCulate:WLAN:FMARgin:LIMit[:STATe]
  • :CALCulate:WLAN:FMARgin:LIMit:UPPer

:CALCulate:WLAN:FMARgin:LIMit:FAIL

Queries the fail status of a channel flatness limit test. A 1 indicates the limit test failed; A 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:FMARgin:LIMit:FAIL?
Examples | :CALC:WLAN:FMAR:LIM:FAIL?
 | :calculate:wlan:fmargin:limit:fail?

:CALCulate:WLAN:FMARgin:LIMit[:STATe]

Queries or turns on/off the limit test for channel flatness.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WLAN:FMARgin:LIMit:STATe 1
Examples | :CALC:WLAN:FMAR:LIM:STAT 0
 | :calculate:wlan:fmargin:limit:state 1
 | :CALCulate:WLAN:FMARgin:LIMit:STATe?

:CALCulate:WLAN:FMARgin:LIMit:UPPer

Queries or sets the upper limit for channel flatness margin.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 50 | dB

 | :CALCulate:WLAN:FMARgin:LIMit:UPPer MAX
Examples | :CALC:WLAN:FMAR:LIM:UPP MIN
 | :calculate:wlan:fmargin:limit:upper 0
 | :CALCulate:WLAN:FMARgin:LIMit:UPPer?


:CALCulate:WLAN:GCOMpression:FACTor

Queries the gain compression factor in a WLAN Gain Compression trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point./Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:GCOMpression:FACTor?
Examples | :CALC:WLAN:GCOM:FACT?
 | :calculate:wlan:gcompression:factor?


:CALCulate:WLAN:HEADer

Queries the header data for a 802.11n signal. Header decode must be enabled. If header decode is enabled, the following are returned:

  • Modulation/Coding Scheme
  • Nss
  • Modulation
  • Rate
  • Data Bits/Symbol
  • Bandwidth
  • HT Length
  • STBC
  • Short GI
  • Num Ext HT-LTF
  • Data Symbols/Packet

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:HEADer?
Examples | :CALC:WLAN:HEAD?
 | :calculate:wlan:header?


:CALCulate:WLAN:MFLatness:PTPeak

Queries the peak-to-peak flatness on a WLAN Magnitude Flatness trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point./Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:MFLatness:PTPeak?
Examples | :CALC:WLAN:MFL:PTP?
 | :calculate:wlan:mflatness:ptpeak?


:CALCulate:WLAN:NSYMbols

Queries the number of symbols decoded by a WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:NSYMbols?
Examples | :CALC:WLAN:NSYM?
 | :calculate:wlan:nsymbols?


:CALCulate:WLAN:PDRamp

Queries Power-Down Ramp for a WLAN 802.11b measurement. The value is returned in seconds.

Note: A value of 99.99 µs means that there was insufficient data to calculate the ramp time. Try increasing the acquisition time or use Optimize Setup.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PDRamp?
Examples | :CALC:WLAN:PDR?
 | :calculate:wlan:pdramp?

Select a link to view further command details:

  • :CALCulate:WLAN:PDRamp:LIMit:FAIL
  • :CALCulate:WLAN:PDRamp:LIMit[:STATe]
  • :CALCulate:WLAN:PDRamp:LIMit:UPPer

:CALCulate:WLAN:PDRamp:LIMit:FAIL

Queries the fail status of the Power-Down Ramp limit test. A 1 indicates the limit test failed. A 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PDRamp:LIMit:FAIL?
Examples | :CALC:WLAN:PDR:LIM:FAIL?
 | :calculate:wlan:pdramp:limit:fail?

:CALCulate:WLAN:PDRamp:LIMit[:STATe]

Queries or turns on/off the limit test for Power-Down Ramp.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WLAN:PDRamp:LIMit:STATe 0
Examples | :CALC:WLAN:PDR:LIM 1
 | :calculate:wlan:pdramp:limit:state 1
 | :CALCulate:WLAN:PDRamp:LIMit?

:CALCulate:WLAN:PDRamp:LIMit:UPPer

Queries or sets the upper limit for a Power-Down Ramp.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.000002 | 0.00000001 | 0.00002 | seconds

 | :CALCulate:WLAN:PDRamp:LIMit:UPPer MAX
Examples | :CALC:WLAN:PDR:LIM:UPP MIN
 | :calculate:wlan:pdramp:limit:upper minimum
 | :CALCulate:WLAN:PDRamp:LIMit:UPPer?


:CALCulate:WLAN:PERRor

Queries the mean phase error in a Phase Compression trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point./Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PERRor?
Examples | :CALC:WLAN:PERR?
 | :calculate:wlan:perror?


:CALCulate:WLAN:PFLatness:PTPeak

Queries the peak-to-peak flatness on a WLAN Phase Flatness trace.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point./Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PFLatness:PTPeak?
Examples | :CALC:WLAN:PFL:PTP?
 | :calculate:wlan:pflatness:ptpeak?


:CALCulate:WLAN:PILot:EVM:PEAK

Queries the EVM peak for a WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PILot:EVM:PEAK?
Examples | :CALC:WLAN:PIL:EVM:PEAK?
 | :calculate:wlan:pilot:evm:peak?

Select a link to view further command details:

  • :CALCulate:WLAN:PILot:EVM:PEAK:LIMit:FAIL
  • :CALCulate:WLAN:PILot:EVM:PEAK:LIMit[:STATe]
  • :CALCulate:WLAN:PILot:EVM:PEAK:LIMit:UPPer

:CALCulate:WLAN:PILot:EVM:PEAK:LIMit:FAIL

Queries the fail status of a EVM peak limit test. A 1 indicates the limit test failed. A 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PILot:EVM:PEAK:LIMit:FAIL?
Examples | :CALC:WLAN:PIL:EVM:PEAK:LIM:FAIL?
 | :calculate:wlan:pilot:evm:peak:limit:fail?

:CALCulate:WLAN:PILot:EVM:PEAK:LIMit[:STATe]

Queries or turns on/off the limit test for WLAN Pilot EVM rms.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WLAN:PILot:EVM:PEAK:LIMit:STATe 0
Examples | :CALC:WLAN:PIL:EVM:PEAK:LIM 1
 | :calculate:wlan:pilot:evm:peak:limit:state 1
 | :CALCulate:WLAN:PILot:EVM:PEAK:LIMit:STATe?

:CALCulate:WLAN:PILot:EVM:PEAK:LIMit:UPPer

Queries or sets the upper limit for WLAN Pilot EVM rms. If the units are not specified, the value is specified by :CALC:WLAN:EVM:UNIT.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | n/a | -14 | -100 | 0 | dB/%

 | :CALCulate:WLAN:PILot:EVM:PEAK:LIMit:UPPer 0
Examples | :CALC:WLAN:PIL:EVM:PEAK:LIM:UPP MIN
 | :calculate:wlan:pilot:evm:peak:limit:upper 0
 | :CALCulate:WLAN:PILot:EVM:PEAK:LIMit:UPPer?


:CALCulate:WLAN:PILot:EVM[:RMS]

Queries the Pilot EVM rms for a WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PILot:EVM:RMS?
Examples | :CALC:WLAN:PIL:EVM?
 | :calculate:wlan:pilot:evm:rms?

Select a link to view further command details:

  • :CALCulate:WLAN:PILot:EVM:RMS:LIMit:FAIL
  • :CALCulate:WLAN:PILot:EVM:RMS:LIMit[:STATe]
  • :CALCulate:WLAN:PILot:EVM:RMS:LIMit:UPPer

:CALCulate:WLAN:PILot:EVM:RMS:LIMit:FAIL

Queries the fail status of a Pilot EVM rms limit test. A 1 indicates the limit test failed. A 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PILot:EVM:RMS:LIMit:FAIL?
Examples | :CALC:WLAN:PIL:EVM:RMS:LIM:FAIL?
 | :calculate:wlan:pilot:evm:rms:limit:fail?

:CALCulate:WLAN:PILot:EVM:RMS:LIMit[:STATe]

Queries or turns on/off the limit test for WLAN Pilot EVM RMS.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :CALCulate:WLAN:PILot:EVM:RMS:LIMit:STATe 1
Examples | :CALC:WLAN:PIL:EVM:RMS:LIM 0
 | :calculate:wlan:pilot:evm:rms:limit:state 1
 | :CALCulate:WLAN:PILot:EVM:RMS:LIMit:STATe?

:CALCulate:WLAN:PILot:EVM:RMS:LIMit:UPPer

Queries or sets the upper limit for WLAN Pilot EVM RMS.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -20 | -100 | 0 | dB/%

 | :CALCulate:WLAN:PILot:EVM:RMS:LIMit:UPPer 0
Examples | :CALC:WLAN:PIL:EVM:RMS:LIM:UPP DEF
 | :calculate:wlan:pilot:evm:rms:limit:upper minimum
 | :CALCulate:WLAN:PILot:EVM:RMS:LIMit:UPPer?


:CALCulate:WLAN:PORamp

Queries the fail status of Power-On Ramp for a WLAN 802.11b measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PORamp?
Examples | :CALC:WLAN:POR?
 | :calculate:wlan:poramp?

Select a link to view the command details:

  • :CALCulate:WLAN:PORamp
  • :CALCulate:WLAN:PORamp:LIMit:FAIL
  • :CALCulate:WLAN:PORamp:LIMit[:STATe]
  • :CALCulate:WLAN:PORamp:LIMit:UPPer

:CALCulate:WLAN:PORamp:LIMit:FAIL

Queries the fail status of Power-On Ramp limit test. A 1 indicates the limit test failed, a 0 indicates the limit test passed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:PORamp:LIMit:FAIL?
Examples | :CALC:WLAN:POR:LIM:FAIL?
 | :calculate:wlan:poramp:limit:fail?

:CALCulate:WLAN:PORamp:LIMit[:STATe]

Queries or switches on/off the limit test for the Power-On Ramp.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WLAN:PORamp:LIMit:STATe Off
Examples | :CALC:WLAN:POR:LIM OFF
 | :calculate:wlan:poramp:limit:state off
 | :CALC:WLAN:POR:LIM?

:CALCulate:WLAN:PORamp:LIMit:UPPer

Queries or sets the upper limit for the Power-On Ramp.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.000002 | 0.00000001 | 0.00002 | seconds

 | :CALCulate:WLAN:PORamp:LIMit:UPPer MAXimum
Examples | :CALC:WLAN:POR:LIM:UPP MAX
 | :calculate:wlan:poramp:limit:upper maximum
 | :CALC:WLAN:POR:LIM:UPP?


:CALCulate:WLAN:SCERror

Queries the symbol clock error for a WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:SCERror?
Examples | :CALC:WLAN:SCER?
 | :calculate:wlan:scerror?

Select a link to view the command details:

  • :CALCulate:WLAN:SCERror
  • :CALCulate:WLAN:SCERror:LIMit:FAIL
  • :CALCulate:WLAN:SCERror:LIMit[:STATe]
  • :CALCulate:WLAN:SCERror:LIMit:UPPer

:CALCulate:WLAN:SCERror

Queries the symbol clock error for a WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:SCERror?
Examples | :CALC:WLAN:SCER?
 | :calculate:wlan:scerror?

:CALCulate:WLAN:SCERror:LIMit:FAIL

Queries the failed status of a symbol clock error limit test.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:SCERror:LIMit:FAIL?
Examples | :CALC:WLAN:SCER:LIM:FAIL?
 | :calculate:wlan:scerror:limit:fail?

:CALCulate:WLAN:SCERror:LIMit[:STATe]

Queries or switches on/off the limit test for a WLAN symbol clock error.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WLAN:SCERor:LIMit:STATe Off
Examples | :CALC:WLAN:SCER:LIM OFF
 | :calculate:wlan:scerror:limit:state off
 | :CALC:WLAN:SCER:LIM?

:CALCulate:WLAN:SCERror:LIMit:UPPer

Queries or sets the upper limit for a WLAN symbol clock error.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 25 | 0 | 50 | none

 | :CALCulate:WLAN:SCERror:LIMit:UPPer MAXimum
Examples | :CALC:WLAN:SCER:LIM:UPP MAX
 | :calculate:wlan:scerror:limit:upper maximum
 | :CALC:WLAN:SCER:LIM:UPP?


:CALCulate:WLAN:SEMask

Select a link to view the command details:

  • :CALCulate:WLAN:SEMask:LIMit:FAIL
  • :CALCulate:WLAN:SEMask:LIMit:MARGin
  • :CALCulate:WLAN:SEMask:LIMit:RANGes
  • :CALCulate:WLAN:SEMask:LIMit[:STATe]
  • :CALCulate:WLAN:SEMask:LIMit:UPPer
  • :CALCulate:WLAN:SEMask:PSD

:CALCulate:WLAN:SEMask:LIMit:FAIL

Queries the fail status of the spectrum emission mask measurement. A 1 indicates that data is tested and failed, or no data, or the limit state is off. 0 indicates that the data was tested and passed the limit.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:SEMask:LIMit:FAIL? 0
Examples | :CALC:WLAN:SEM:LIM:FAIL? 0
 | :calculate:wlan:semask:limit:fail? 0

:CALCulate:WLAN:SEMask:LIMit:MARGin

Queries or sets the margin for a limit test. The margin is added to the default limit values for each frequency as derived from the 802.11 standard.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 50 | dB

 | :CALCulate:WLAN:SEMask:LIMit:MARGin MAXimum
Examples | :CALC:WLAN:SEM:LIM:MARG MAX
 | :calculate:wlan:semask:limit:margin? -50
 | :CALC:WLAN:SEM:LIM:MARG? -50

:CALCulate:WLAN:SEMask:LIMit:RANGes

Queries the results for each offset range, that is, the data in the table. The first value returned is the number of valid ranges, n. Four values are returned for each range: minimum frequency offset, maximum frequency offset, minimum margin and frequency at minimum margin. If there is no valid range data then zero is returned for n and no range data is returned.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit., <Range#1 info>,…, <Range#n info> | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:SEMask:LIMit:RANGes?
Examples | :CALC:WLAN:SEM:LIM:RANG?
 | :calculate:wlan:semask:limit:ranges?

:CALCulate:WLAN:SEMask:LIMit[:STATe]

Queries or switches on/off the limit test for a spectrum emission mask.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :CALCulate:WLAN:SEMask:LIMit:STATe Off
Examples | :CALC:WLAN:SEM:LIM OFF
 | :calculate:wlan:semask:limit:state off
 | :CALC:WLAN:SEM:LIM?

:CALCulate:WLAN:SEMask:LIMit:UPPer

Queries the upper limit values for each data point. Data format is set by :FORMat[:DATA] command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.…Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:SEMask:LIMit:UPPer?
Examples | :CALC:WLAN:SEM:LIM:UPP?
 | :calculate:wlan:semask:limit:upper?

:CALCulate:WLAN:SEMask:PSD

Queries the peak PSD.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:SEMask:PSD?
Examples | :CALC:WLAN:SEM:PSD?
 | :calculate:wlan:semask:psd


:CALCulate:WLAN:SIGNal

Queries the WLAN signal type. The return value matches the parameter type of :SENSe:WLAN:SIGNal command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | AG | BG | J | NDR | No | n/a | n/a | n/a | n/a | n/a | none

 | :CALCulate:WLAN:SIGNal?
Examples | :CALC:WLAN:SIGN?
 | :calculate:wlan:signal?


:CALibration[:ALL]

Performs an RF hardware calibration.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :CALibration:ALL
Examples | :CAL
 | :calibration:all


:DIAGnostic

Select a link to view the command details:

  • :DIAGnostic:FREQuency:EXTend[:STATe]
  • :DIAGnostic:INFormation:OPTions
  • :DIAGnostic:REMote:CLEar:LOG
  • :DIAGnostic:REMote:CLEar:OUTPut
  • :DIAGnostic:REMote:ERRor:OUTPut[:STATe]
  • :DIAGnostic:REMote:LOG:OUTPut[:STATe]
  • :DIAGnostic:REMote:OUTPut[:STATe]
  • :DIAGnostic:REMote:QUERy:OUTPut[:STATe]
  • :DIAGnostic:REMote:SAVE

:DIAGnostic:FREQuency:EXTend[:STATe]

Queries or switches on/off the extended frequency mode.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :DIAGnostic:FREQuency:EXTend:STATe ON
Examples | :DIAG:FREQ:EXT
 | :diagnostic:frequency:extend 0
 | :DIAG:FREQ:EXT?

:DIAGnostic:INFormation:OPTions

Returns a string representing the installed options (comma delimited).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | No | n/a | n/a | n/a | n/a | n/a | none

 | :DIAGnostic:INFormation:OPTions?
Examples | :DIAG:INF:OPT?
 | :diagnostic:information:options?

:DIAGnostic:REMote:CLEar:LOG

Clears the diagnostic output log contents.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | n/a | n/a | n/a | n/a | n/a | none

 | :DIAGnostic:REMote:CLEar:LOG
Examples | :DIAG:REM:CLE:LOG
 | :diagnostic:remote:clear:log

:DIAGnostic:REMote:CLEar:OUTPut

Clears the diagnostic output on the screen display list.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | n/a | n/a | n/a | n/a | n/a | none

 | :DIAGnostic:REMote:CLEar:OUTPut
Examples | :DIAG:REM:CLE:OUTP
 | :diagnostic:remote:clear:output

:DIAGnostic:REMote:ERRor:OUTPut[:STATe]

Queries or switches on/off the remote command diagnostic output.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :DIAGnostic:REMote:ERRor:OUTPut:STATe ON
Examples | :DIAG:REM:ERR:OUTP
 | :diagnostic:remote:error:output:state 0
 | :DIAG:REM:ERR:OUTP?

:DIAGnostic:REMote:LOG:OUTPut[:STATe]

Queries or turns on/off logging the diagnostic output.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | O or Off | n/a | n/a | none

 | :DIAGnostic:REMote:LOG:OUTPut:STATe ON
Examples | :DIAG:REM:LOG:OUTP
 | :diagnostic:remote:log:output:state 0
 | :DIAG:REM:LOG:OUTP?

:DIAGnostic:REMote:OUTPut[:STATe]

Queries or switches on/off the remote error diagnostic output.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :DIAGnostic:REMote:OUTPut:STATe ON
Examples | :DIAG:REM:OUTP:STAT
 | :diagnostic:remote:output 0
 | :DIAG:REM:OUTP:STAT?

:DIAGnostic:REMote:QUERy:OUTPut[:STATe]

Queries or switches on/off the remote query diagnostic output.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :DIAGnostic:REMote:QUERy:OUTPut:STATe ON
Examples | :DIAG:REM:QUER:OUTP:STAT
 | :diagnostic:remote:query:output:state 0
 | :DIAG:REM:QUER:OUTP:STAT?

:DIAGnostic:REMote:SAVE

Saves the diagnostic log to the specified file. Use :MMEMory:DATA? to retrieve file.

NOTE: Only SCPI captured since :DIAGnostic:REMote:LOG:OUTPut:STATe ON is saved to the file.

The general context/process of using the :DIAG:REM:SAVE command is as follows:

  1. :DIAGnostic:REMote:LOG:OUTPut:STATe ON # Turn on file logging.
  2. :DIAGnostic:REMote:OUTPut:STATe ON # turn on SCPI debug/capture.
  3. ... send scpi commands ...
  4. :DIAGnostic:REMote:SAVE filename # save captured scpi to log file (only if LOG was turned on!)
  5. :MMEMory:DATA? user\filename # retrieve SCPI

__

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | string | Yes | filename | n/a | n/a | n/a | n/a | none

 | :DIAGnostic:REMote:SAVE
Examples | :DIAG:REM:SAVE
 | :diagnostic:remote:save


:DISPlay

Select a link to view the command details:

  • :DISPlay:CAPTure
  • :DISPlay:DMODulation
  • :DISPlay:ENABle
  • :DISPlay:VIEW
  • :DISPlay:WIMax
  • :DISPlay:WINDow:TRACe:Y[:SCALe]
  • :DISPlay:WLAN

:DISPlay:CAPTure

Captures the current instrument screen and writes a *.bmp to the specified file. This command will overwrite existing files with the same file name.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | (filename) | none | n/a | n/a | n/a | none

 | DISPlay:CAPTure PATH/FILENAME.BMP
Examples | DISP:CAPT PATH/FILENAME.BMP
 | :display:capture path/filename.bmp


:DISPlay:DMODulation

Select a link to view the command details:

  • :DISPlay:DMODulation:PERSistence:CLEar
  • :DISPlay:DMODulation:PERSistence[:STATe]
  • :DISPlay:DMODulation:TARGets:SIZE
  • :DISPlay:DMODulation:TARGets[:STATe]
  • :DISPlay:DMODulation:TRACe
  • :DISPlay:DMODulation:TRAJectories[:STATe]
  • :DISPlay:DMODulation:VIEW

:DISPlay:DMODulation:PERSistence:CLEar

Clears persisted data from the display.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | No | n/a | n/a | n/a | n/a | n/a | none

 | :DISPay:DMODulation:PERSistance:CLEar
Examples | :DISP:DMOD:PERS:CLE
 | :display:dmodulation:persistence clear
 | :DISP:DMOD:PERS:CLE?

:DISPlay:DMODulation:PERSistence[:STATe]

Queries or switches on/off the display persistence for all digital demodulation measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :DISPlay:DMODulation:PERSistence:ON
Examples | :DISP:DMOD:PERS:ON
 | :display:dmodulation:persistence 0
 | :DISP:DMOD:PERS?

:DISPlay:DMODulation:TARGets:SIZE

Queries or sets the size of the targets on the constellation display.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 5 | 0 | 25 | percent

 | :DISPlay:DMODulation:TARGets:SIZE
Examples | :DISP:DMOD:TARG:SIZE
 | :display:dmodulation:targets size
 | :DISP:DMOD:TARG SIZE?

:DISPlay:DMODulation:TARGets[:STATe]

Queries or switches on/off display targets for constellation diagrams.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :DISPlay:DMODulation:TARGets:STATe on
Examples | :DISP:DMOD:TARG 1
 | :display:dmodulation:targets 1
 | :DISP:DMOD:TARG?

:DISPlay:DMODulation:TRACe

Queries or sets which trace is displayed in the digital demodulation mode's eye and time diagrams.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | IQ | I | Q | Yes | IQ | I | Q | DEFault | IQ | n/a | n/a | none

 | :DISPlay:DMODulation:TRACe IQ
Examples | :DISP:DMOD:TRAC IQ
 | :display:dmodulation:trace q
 | :DISP:DMOD:TRAC:?

:DISPlay:DMODulation:TRAJectories[:STATe]

Enables or disables the display of trajectories in constellation diagrams.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :DISPlay:DMODulation:TRAJectories:STATe ON
Examples | :DISP:DMOD:TRAJ ON
 | :display:dmodulation:trajectories 1
 | :DISP:DMOD:TRAJ?

:DISPlay:DMODulation:VIEW

Queries or sets view type for digital demodulation measurements.

Parameters

  • CONStellation selects constellation for the graph type (default).
  • TIME selects the time for the graph type.
  • EYE selects eye for the graph type.
  • DEM selects demodulation for the graph type.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | CONS | TIME | EYE | DEM | Yes | CONStellation | TIME | EYE | DEModulate | DEFault | CONS | n/a | n/a | none

 | :DISPlay:DMODulation:VIEW EYE
Examples | :DISP:DMOD:VIEW TIME
 | :display:dmodulation:view default
 | :DISP:DMOD:VIEW?


:DISPlay:ENABle[:STATe]

Queries or switches on/off the instrument front panel display circuitry, which controls the backlight and all updating of the display. When the display is disabled, the instrument operates at a higher speed. This maximizes throughput when using the remote interface.

Normal display operation can be resumed by using the :ENABle command to enable the display or by putting the instrument into local mode (press Local). All front panel controls (except Local) are disabled.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | Default | 1 or On | n/a | n/a | none

 | :DISPlay:ENABle:STATe 0
Examples | :DISP:ENAB ON
 | :display:enable 0
 | :DISP:ENAB?


:DISPlay:VIEW

Select a link to view the command details:

  • :DISPlay:VIEW:CDMA
  • :DISPlay:VIEW:EDGE
  • :DISPlay:VIEW:EDGE:TYPE
  • :DISPlay:VIEW:GSM
  • :DISPlay:VIEW:GSM:TYPE
  • :DISPlay:VIEW:WCDMa:DOWNlink
  • :DISPlay:VIEW:WCDMa:DOWNlink:CONStellation
  • :DISPlay:VIEW:WCDMa:DOWNlink:TYPE
  • :DISPlay:VIEW:WCDMa[:UPLink]
  • :DISPlay:VIEW:WCDMa:UPLink:CONStellation
  • :DISPlay:VIEW:WCDMa:UPLink:TYPE
  • :DISPlay:VIEW:WIMax
  • :DISPlay:VIEW:WIMAX:TYPE
  • :DISPlay:VIEW:WLAN
  • :DISPlay:VIEW:WLAN:TYPE
  • :DISPlay:VIEW:ZSPan:TYPE

:DISPlay:VIEW:CDMA

Queries or sets the data view for a CDMA2000 measurement.

Parameters

  • GRAPh selects the graph for the data view.
  • TABLe selects the table for the data view.
  • BOTH selects a split screen that shows both the graph and table data views.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GRAP | TABL | BOTH | Yes | GRAPh | TABLe | BOTH | Default | BOTH | n/a | n/a | none

 | :DISPlay:VIEW:CDMA TABLe
Examples | :DISP:VIEW:CDMA TABL
 | :display:view:cdma table
 | :DISP:VIEW:CDMA?

:DISPlay:VIEW:EDGE

Queries or sets the data view for an EDGE measurement.

Parameters

  • GRAPh selects the graph for the data view.
  • TABLe selects the table for the data view.
  • BOTH selects a split screen that shows both the graph and table data views.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GRAP | TABL | BOTH | Yes | GRAPh | TABLe | BOTH | Default | BOTH | n/a | n/a | none

 | :DISPlay:VIEW:EDGE TABLe
Examples | :DISP:VIEW:EDGE TABL
 | :display:view:edge table
 | :DISP:VIEW:EDGE?

:DISPlay:VIEW:EDGE:TYPE

Queries or sets the displayed trace type for an EDGE measurement.

Parameters

  • NONE sets the displayed trace to none.
  • TMASK sets the displayed trace to entire time mask.
  • RISing sets the displayed trace to the rising edge of the time mask.
  • FALLing sets the displayed trace to the falling edge of the time mask.
  • TOP sets the displayed trace to the top of the time mask.
  • OMOD sets the displayed trace to the ORFS due to modulation.
  • OSWI sets the displayed trace to the ORFS due to switching.
  • EVCTRS sets the displayed trace to the error vector centers.
  • SYMB sets the displayed trace to the symbols.
  • CONStellation sets the displayed trace to the constellation view.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NONE | TMASK | RIS | FALL | TOP | OMOD | OSWI | EVCTRS | SYMB | CONS | Yes | NONE | TMASK | RISe | FALLing | TOP | OMOD | OSWI | EVCTRS | SYM | SYMBol | CONStellation | CONST | Default | TMASK | n/a | n/a | none

 | :DISPlay:VIEW:EDGE:TYPE TOP
Examples | :DISP:VIEW:EDGE:TYPE TOP
 | :display:view:edge:type top
 | :DISP:VIEW:EDGE:TYPE?

:DISPlay:VIEW:GSM

Queries or sets the data view for an GSM measurement.

Parameters

  • GRAPh selects the graph for the data view.
  • TABLe selects the table for the data view.
  • BOTH selects a split screen that shows both the graph and table data views.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GRAP | TABL | BOTH | Yes | GRAPh | TABLe | BOTH | Default | BOTH | n/a | n/a | none

 | :DISPlay:VIEW:GSM TABLe
Examples | :DISP:VIEW:GSM TABL
 | :display:view:gsm table
 | :DISP:VIEW:GSM?

:DISPlay:VIEW:GSM:TYPE

Queries or sets the data view for a GSM measurement.

Parameters

  • NONE sets the displayed trace to none.
  • TMASK sets the displayed trace to the full time mask.
  • RISing sets the displayed trace to the rising edge of the time mask.
  • FALLing sets the displayed trace to the falling edge of the time mask.
  • TOP sets the displayed trace to the top of the time mask.
  • OMOD sets the displayed trace to the ORFS due to modulation.
  • OSWI sets the displayed trace to the ORFS due to switching.
  • PERRor sets the displayed trace to the phase error.
  • MPHASe sets the displayed trace to the measured phase.
  • SYMB sets the displayed trace to the symbols.
  • DEFault sets the displayed trace to the default.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NONE | TMASK | RIS | FALL | TOP | OMOD | OSWI | PERR | MPHAS | SYMB | Yes | NONE | TMASK | RISe | FALLing | TOP | OMOD | OSWI | PERRor | MPHASe | SYM | SYMBol | Default | TMASK | n/a | n/a | none

 | :DISPlay:VIEW:GSM:TYPE
Examples | :DISP:VIEW:GSM:TYPE
 | :display:view:gsm:type
 | :DISP:VIEW:GSM:TYPE?

:DISPlay:VIEW:WCDMa:DOWNlink

Queries or sets the data view for a W-CDMA downlink measurement.

Parameters

  • GRAPh selects the graph for the data view.
  • TABLe selects the table for the data view.
  • BOTH selects a split screen that shows both the graph and table data views.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GRAP | TABL | BOTH | Yes | GRAPh | TABLe | BOTH | Default | BOTH | n/a | n/a | none

 | :DISPlay:VIEW:WCDMa:DOWNink TABLe
Examples | :DISP:VIEW:WCDM:DOWN TABL
 | :display:view:wcdma:downlink table
 | :DISP:VIEW:WCDM:DOWN?

:DISPlay:VIEW:WCDMa:DOWNlink:CONStellation

Queries or sets the data set for W-CDMA constellation trace type: composite or code channel.

Parameters

  • COMPosite selects a composite trace view.
  • CCHannel selects a code channel trace view.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | COMP | CCH | Yes | COMPosite | CCHannel | Default | COMP | n/a | n/a | none

 | :DISPlay:VIEW:WCDMa:DOWNink:CONStellation COMPosite
Examples | :DISP:VIEW:WCDM:DOWN:CONS COMP
 | :display:view:wcdma:downlink:constellation composite
 | :DISP:VIEW:WCDM:DOWN:CONS?

:DISPlay:VIEW:WCDMa:DOWNlink:TYPE

Queries or sets the trace type for the W-CDMA downlink measurement.

Parameters

  • NONE disables this view.
  • CONStellation sets the trace type view to constellation.
  • CDOMain sets the trace type view to code domain.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NONE | CONS | CDOM | Yes | NONE | CONStellation | CDOMain | Default | CDOM | n/a | n/a | none

 | :DISPlay:VIEW:WCDMa:DOWNink:TYPE CONStellation
Examples | :DISP:VIEW:WCDM:DOWN:TYPE CONS
 | :display:view:wcdma:downlink:type constellation
 | :DISP:VIEW:WCDM:DOWN:TYPE?

:DISPlay:VIEW:WCDMa[:UPLink]

Queries or sets the data view for a W-CDMA uplink measurement.

Parameters

  • GRAPh selects the graph for the data view.
  • TABLe selects the table for the data view.
  • BOTH selects a split screen that shows both the graph and table data views.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GRAP | TABL | BOTH | Yes | GRAPh | TABLe | BOTH | Default | BOTH | n/a | n/a | none

 | :DISPlay:VIEW:WCDMa:UPLink TABLe
Examples | :DISP:VIEW:WCDM TABL
 | :display:view:wcdma table
 | :DISP:VIEW:WCDM?

:DISPlay:VIEW:WCDMa:UPLink:CONStellation

Queries or sets the data set for W-CDMA constellation trace type: composite or code channel.

Parameters

  • COMPosite selects a composite trace type.
  • CCHannel selects a code channel trace type.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | COMP | CCH | Yes | COMPosite | CCHannel | Default | COMP | n/a | n/a | none

 | :DISPlay:VIEW:WCDMa:UPLink:CONStellation COMPosite
Examples | :DISP:VIEW:WCDM:UPL:CONS COMP
 | :display:view:wcdma:uplink:constellation composite
 | :DISP:VIEW:WCDM:UPL:CONS?

:DISPlay:VIEW:WCDMa:UPLink:TYPE

Queries or sets the trace type for the W-CDMA uplink measurement.

  • CONStellation sets the trace type view to constellation.
  • CDOMain sets the trace type view to code domain..
  • NONE
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NONE | CONS | CDOM | Yes | NONE | CONStellation | CDOMain | Default | CDOM | n/a | n/a | none

 | :DISPlay:VIEW:WCDMa:UPLink:TYPE CONStellation?
Examples | :display:view:wcdma:uplink:type constellation
 | :DISP:VIEW:WCDM:UPL:TYPE CONS?

:DISPlay:VIEW:WIMax

Queries or sets the view of the data for WiMAX measurement.

Parameters

  • GRAPh selects the graph for the data view.
  • TABLe selects the table for the data view.
  • BOTH selects a split screen that shows both the graph and table data views.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GRAP | TABL | BOTH | Yes | GRAPh | TABLe | BOTH | Default | BOTH | n/a | n/a | none

 | :DISPlay:VIEW:WIMax TABLe
Examples | :DISP:VIEW:WIM TABL
 | :display:view:wimax table
 | :DISP:VIEW:WIMax?

:DISPlay:VIEW:WIMax:TYPE

Queries or sets the trace type for a WiMAX measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NONE | CONS | RVS | RVSY | RHIS | MFL | GCOM | PCOM | Yes | NONE | CONStellation | RVSubcarrier | RVSYmbol | RHIStory | MFLatness | GCOMpression | PCOMpression | Default | CONS | n/a | n/a | none

 | :DISPlay:VIEW:WIMax:TYPE GCOM
Examples | :DISP:VIEW:WIM:TYPE RHIS
 | :display:view:wimax:type mflatness
 | :DISP:VIEW:WIMax:TYPE?

:DISPlay:VIEW:WLAN

Queries or sets the view of the data for a WLAN measurement.

Parameters

  • GRAPh selects the graph for the data view.
  • TABLe selects the table for the data view.
  • BOTH selects a split screen that shows both the graph and table data views.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GRAP | TABL | BOTH | Yes | GRAPh | TABLe | BOTH | Default | BOTH | n/a | n/a | none

 | :DISPlay:VIEW:WLAN TABLe
Examples | :DISP:VIEW:WLAN TABL
 | :display:view:wlan table
 | :DISP:VIEW:WLAN?

:DISPlay:VIEW:WLAN:TYPE

Queries or sets the displayed trace type for a WLAN measurement.

Parameters

  • NONE sets the displayed trace to none.
  • CONStellation sets the displayed trace to constellation.
  • EVCHannel
  • EVSYmbol
  • EHIStory
  • GCOMpression
  • PCOMpression
  • CCDF
  • MFLatness
  • PFLatness
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NONE | CONS | EVCH | EVSY | EHIS | GCOM | PCOM | CCDF | MFL | PFL | Yes | NONE | CONStellation | EVCHannel | EVSYmbol | EHIStory | GCOMpression | PCOMpression | CCDF | MFLatness | PFLatness | Default | CONS | n/a | n/a | none

 | :DISPlay:VIEW:WLAN:TYPE
Examples | :DISP:VIEW:WLAN:TYPE
 | :display:view:wlan:type
 | :DISP:VIEW:TYPE?

:DISPlay:VIEW:ZSPan:TYPE

Queries or sets the Zero Span trace type to Log Magnitude or Frequency.

Parameters

  • LMAG sets the displayed trace to Log Magnitude.
  • FREQ sets the displayed trace to Frequency.
  • DEFault sets the displayed trace to the default (LMAG).
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | LMAG | FREQ | Yes | LMAGnitude | FREQuency | Default | LMAG | n/a | n/a | none

 | :DISPlay:VIEW:ZSPan:TYPE FREQ
Examples | :DISP:VIEW:ZSP:TYPE LMAG
 | :display:view:zspan:type frequency
 | :DISP:VIEW:ZSP:TYPE?


:DISPlay:WIMax

Select a link to view the command details:

  • :DISPlay:WIMax:GCOMpression:Y[:SCALe]:PDIVision
  • :DISPlay:WIMax:GCOMpression:Y[:SCALe]:RPOSition
  • :DISPlay:WIMax:MFLatness:Y[:SCALe]:PDIVision
  • :DISPlay:WIMax:PCOMpression:Y[:SCALe]:PDIVision
  • :DISPlay:WIMax:PCOMpression:Y[:SCALe]:RPOSition
  • :DISPlay:WIMax:RHIStory:Y[:SCALe]:PDIVision
  • :DISPlay:WIMax:RHIStory:Y[:SCALe]:TOP
  • :DISPlay:WIMax:RVSubcarrier:Y[:SCALe]:PDIVision
  • :DISPlay:WIMax:RVSubcarrier:Y[:SCALe]:TOP
  • :DISPlay:WIMax:RVSYmbol:Y[:SCALe]:PDIVision
  • :DISPlay:WIMax:RVSYmbol:Y[:SCALe]:TOP

:DISPlay:WIMax:GCOMpression:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of WiMAX Gain Compression graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | dB

 | :DISPlay:WIMax:GCOMpression:Y:SCALe:PDIVision MAX
Examples | :DISP:WIM:GCOM:Y:PDIV MAX
 | :display:wimax:gcompression:y:scale:pdivision maximum
 | :DISP:WIM:GCOM:Y:PDIV?

:DISPlay:WIMax:GCOMpression:Y[:SCALe]:RPOSition

Queries or sets the Y-Axis reference position of WIMax Phase Compression graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 9 | 0 | 10 | dB

 | :DISPlay:WIMax:GCOMpression:Y:SCALe:RPOSition MAX
Examples | :DISP:WIM:GCOM:Y:SCAL:RPOS MAX
 | :display:wimax:gcompression:y:scale:rposition maximum
 | :DISP:WIM:GCOM:Y:RPOS?

:DISPlay:WIMax:MFLatness:Y[:SCALe]:PDIVision

Sets or queries the Y-Axis scale of WiMAX Magnitude Flatness graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 0.1 | 10 | dB

 | :DISPlay:WIMax:MFLatness:Y:SCALe:PDIVision MAX
Examples | :DISP:WIM:MFL:Y:PDIV MAX
 | :display:wimax:mflatness:y:scale:pdivision maximum
 | :DISP:WIM:MFL:Y:PDIV?

:DISPlay:WIMax:PCOMpression:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of the WiMAX Phase Compression graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | dB

 | :DISPlay:WIMax:PCOMpression:Y:SCALe:PDIVision MAX
Examples | :DISP:WIM:PCOM:Y:PDIV MAX
 | :display:wimax:pcompression:y:scale:pdivision maximum
 | :DISP:WIM:PCOM:Y:PDIV?

:DISPlay:WIMax:PCOMpression:Y[:SCALe]:RPOSition

Queries or sets the Y-Axis reference position of the WiMAX Phase Compression graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 9 | 0 | 10 | dB

 | :DISPlay:WIMax:PCOMpression:Y:SCALe:RPOSition MAX
Examples | :DISP:WIM:PCOM:Y:SCAL:RPOS MAX
 | :display:wimax:pcompression:y:scale:rposition maximum
 | :DISP:WIM:PCOM:Y:SCALe:rposition?

:DISPlay:WIMax:RHIStory:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of the WiMAX RCE History graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | dB

 | :DISPlay:WIMax:RHIStory:Y:SCALe:PDIVision MAX
Examples | :DISP:WIM:RHIS:Y:PDIV MAX
 | :display:wimax:rhistory:y:scale:pdivision maximum
 | :DISP:WIM:RHIS:Y:PDIV?

:DISPlay:WIMax:RHIStory:Y[:SCALe]:TOP

Queries or sets the Y-Axis top value of the WiMAX RCE History graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 0 | dB

 | :DISPlay:WIMax:RHIStory:Y:SCALe:TOP MAX
Examples | :DISP:WIM:RHIS:Y:TOP MAX
 | :display:wimax:rhistory:y:scale:top maximum
 | :DISP:WIM:RHIS:Y:TOP?

:DISPlay:WIMax:RVSubcarrier:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of the WiMAX RCE vs Subcarrier graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | dB

 | :DISPlay:WIMax:RVSubcarrier:Y:SCALe:PDIVision MAX
Examples | :DISP:WIM:RVS:Y:PDIV MAX
 | :display:wimax:rvsubcarrier:y:scale:pdivision
 | :DISP:WIM:RVS:Y:PDIV?

:DISPlay:WIMax:RVSubcarrier:Y[:SCALe]:TOP

Queries or sets the Y-Axis top value of the WiMAX RCE vs Subcarrier graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 0 | dB

 | :DISPlay:WIMax:RVSubcarrier:Y:SCALe:TOP MAX
Examples | :DISP:WIM:RVS:Y:TOP MAX
 | :display:wimax:rvsubcarrier:y:scale:top maximum
 | :DISP:WIM:RVS:TOP?

:DISPlay:WIMax:RVSYmbol:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of the WiMAX RCE vs Symbol graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | dB

 | :DISPlay:WIMax:RVSYmbol:Y:SCALe:PDIVision MAX
Examples | :DISP:WIM:RVSY:Y:PDIV MAX
 | :display:wimax:rvsymbol:y:scale:pdivision maximum
 | :DISP:WIM:RVSY:Y:PDIV?

:DISPlay:WIMax:RVSYmbol:Y[:SCALe]:TOP

Queries or sets the Y-Axis top value of WiMAX RCE vs Symbol graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 0 | dB

 | :DISPlay:WIMax:RVSYmbol:Y:SCALe:TOP MAX
Examples | :DISP:WIM:RVSY:TOP MAX
 | :display:wimax:rvsymbol:y:scale:top maximum
 | :DISP:WIM:RVSY:TOP?


:DISPlay:WINDow:TRACe:Y[:SCALe]

Select a link to view the command details:

  • :DISPlay:WINDow:TRACe:Y[:SCALe]:PDIVision
  • :DISPlay:WINDow:TRACe:Y[:SCALe]:PDIVision:ZSPan:FREQuency
  • :DISPlay:WINDow:TRACe:Y[:SCALe]:RLEVel

:DISPlay:WINDow:TRACe:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale per division.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 40 | dB

 | :DISPlay:WINDow:TRACe:Y:SCALe:PDIVision MAX
Examples | :DISP:WIND:TRAC:Y:PDIV MAX
 | :display:window:trace:y:scale:pdivision maximum
 | :DISP:WIND:TRAC:Y:PDIV?

:DISPlay:WINDow:TRACe:Y[:SCALe]:PDIVision:ZSPan:FREQuency

Queries or sets the scale per division for Zero Span frequency mode.

NOTE: The set value is limited to a 1-digit resolution via truncation. For example, 39000 Hz will be truncated to 30000 Hz, and 1100000 Hz will be truncated to 1000000 Hz.

__

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100000 | 0.1 | 5000000 | Hz

 | :DISPlay:WINDow:TRACe:Y:SCALe:PDIVision:ZSPan:FREQuency MAX
Examples | :DISP:WIND:TRAC:Y:PDIV:ZSP:FREQ MAX
 | :display:window:trace:y:scale:pdivision:zspan:frequency maximum
 | :DISP:WIND:TRAC:Y:PDIV:ZSP:FREQ?

:DISPlay:WINDow:TRACe:Y[:SCALe]:RLEVel

Queries or sets the displayed reference level. The value is coupled to expected power.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -170 | 40 | dBm

 | :DISPlay:WINDow:TRACe:Y:SCALe:RLEVel MAX
Examples | :DISP:WIND:TRAC:Y:RLEV MAX
 | :display:window:trace:y:scale:rlevel maximum
 | :DISP:WIND:TRAC:Y:RLEV?


:DISPlay:WLAN

Select a link to view the command details:

  • :DISPlay:WLAN:CCDF:X[:SCALe]:PDIVision
  • :DISPlay:WLAN:EVCHannel:Y[:SCALe]:PDIVision
  • :DISPlay:WLAN:EVCHannel:Y[:SCALe]:TOP
  • :DISPlay:WLAN:EHIStory:Y[:SCALe]:PDIVision
  • :DISPlay:WLAN:EHIStory:Y[:SCALe]:TOP
  • :DISPlay:WLAN:EVSYmbol:Y[:SCALe]:PDIVision
  • :DISPlay:WLAN:EVSYmbol:Y[:SCALe]:TOP
  • :DISPlay:WLAN:GCOMpression:Y[:SCALe]:PDIVision
  • :DISPlay:WLAN:GCOMpression:Y[:SCALe]:RPOSition
  • :DISPlay:WLAN:MFLatness:Y[:SCALe]:PDIVision
  • :DISPlay:WLAN:PCOMpression:Y[:SCALe]:PDIVision
  • :DISPlay:WLAN:PCOMpression:Y[:SCALe]:RPOSition
  • :DISPlay:WLAN:PFLatness:Y[:SCALe]:PDIVision

:DISPlay:WLAN:CCDF:X[:SCALe]:PDIVision

Queries or sets the X-Axis scale of WLAN CCDF graph. Select .5, 1.0, 1.5, or 2.0 dB/div.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 2 | 0 | 2 | dB

 | :DISPlay:WLAN:CCDF:X:SCALe:PDIVision MAXimum
Examples | :DISP:WLAN:CCDF:X:PDIV MAX
 | :display:wlan:ccdf:x:scale:pdivision maximum
 | :DISP:WLAN:CCDF:X:PDIV?

:DISPlay:WLAN:EVCHannel:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of WLAN EVM vs Channel graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | dB

 | :DISPlay:WLAN:EVCHannel:Y:SCALe:PDIVision MAXimum
Examples | :DISP:WLAN:EVCH:Y:PDIV MAX
 | :display:wlan:evchannel:y:scale:pdivision maximum
 | :DISP:WLAN:EVCH:Y:PDIV?

:DISPlay:WLAN:EVCHannel:Y[:SCALe]:TOP

Queries or sets the Y-Axis top value of WLAN EVM vs Channel graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 0 | dB

 | :DISPlay:WLAN:EVCHannel:Y:SCALe:TOP MAXimum
Examples | :DISP:WLAN:EVCH:Y:TOP MAX
 | :display:wlan:evchannel:y:scale:top maximum
 | :DISP:WLAN:EVCH:Y:TOP?

:DISPlay:WLAN:EHIStory:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of WLAN EVM History graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | dB

 | :DISPlay:WLAN:EHIStory:Y:SCALe:PDIVision MAX
Examples | :DISP:WLAN:EHIS:Y:PDIV MAX
 | :display:wlan:ehistory:y:scale:pdivision maximum
 | :DISP:WLAN:EHIS:Y:PDIV?

:DISPlay:WLAN:EHIStory:Y[:SCALe]:TOP

Queries or sets the Y-Axis top value of WLAN EVM History graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 0 | dB

 | :DISPlay:WLAN:EHIStory:Y:SCALe:TOP MAX
Examples | :DISP:WLAN:EHIS:Y:TOP MAX
 | :display:wlan:ehistory:y:scale:top maximum
 | :DISP:WLAN:EHIS:Y:TOP?

:DISPlay:WLAN:EVSYmbol:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of WLAN EVM vs Symbol graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | dB

 | :DISPlay:WLAN:EVSYmbol:Y:SCALe:PDIVision MAX
Examples | :DISP:WLAN:EVSY:Y:PDIV MAX
 | :display:wlan:evsymbol:y:scale:pdivision maximum
 | :DISP:WLAN:EVSY:Y:PDIV?

:DISPlay:WLAN:EVSYmbol:Y[:SCALe]:TOP

Queries or sets the Y-Axis top value of WLAN EVM vs Symbol graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -50 | 0 | dB

 | :DISPlay:WLAN:EVSYmbol:Y:SCALe:TOP MAXimum
Examples | :DISP:WLAN:EVSY:Y:TOP MAX
 | :display:wlan:evsymbol:y:scale:top maximum
 | :DISP:WLAN:EVSY:Y:TOP?

:DISPlay:WLAN:GCOMpression:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of WLAN Gain Compression graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | dB

 | :DISPlay:WLAN:GCOMpression:Y:SCALe:PDIVision MAXimum
Examples | :DISP:WLAN:GCOM:Y:PDIV MAX
 | :display:wlan:gcompression:y:scale:pdivision maximum
 | :DISP:WLAN:GCOM:Y:PDIV?

:DISPlay:WLAN:GCOMpression:Y[:SCALe]:RPOSition

Queries or sets the Y-Axis reference position of WLAN Gain Compression graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 9 | 0 | 10 | dB

 | :DISPlay:WLAN:GCOMpression:Y:SCALe:RPOSition MAXimum
Examples | :DISP:WLAN:GCOM:Y:RPOS MAX
 | :display:wlan:gcompression:y:scale:rposition maximum
 | :DISP:WLAN:GCOM:Y:RPOS?

:DISPlay:WLAN:MFLatness:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of WLAN Magnitude Flatness graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 0.1 | 10 | dB

 | :DISPlay:WLAN:MFLatness:Y:SCALe:PDIVision MAXimum
Examples | :DISP:WLAN:MFL:Y:PDIV MAX
 | :display:wlan:mflatness:y:scale:pdivision maximum
 | :DISP:WLAN:MFL:Y:PDIV?

:DISPlay:WLAN:PCOMpression:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of WLAN Phase Compression graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 100 | dB

 | :DISPlay:WLAN:PCOMpression:Y:SCALe:PDIVision MAXimum
Examples | :DISP:WLAN:PCOM:Y:PDIV MAX
 | :display:wlan:pcompression:y:scale:pdivision maximum
 | :DISP:WLAN:PCOM:Y:PDIV?

:DISPlay:WLAN:PCOMpression:Y[:SCALe]:RPOSition

Queries or sets the Y-Axis reference position of WLAN Phase Compression graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 9 | 0 | 10 | dB

 | :DISPlay:WLAN:PCOMpression:Y:SCALe:RPOSition MAXimum
Examples | :DISP:WLAN:PCOM:Y:RPOS MAX
 | :display:wlan:pcompression:y:scale:rposition maximum
 | :DISP:WLAN:PCOM:Y:RPOS?

:DISPlay:WLAN:PFLatness:Y[:SCALe]:PDIVision

Queries or sets the Y-Axis scale of WLAN Phase Flatness graph.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 40 | dB

 | :DISPlay:WLAN:PFLatness:Y:SCALe:PDIVision MAXimum
Examples | :DISP:WLAN:PFL:Y:PDIV MAX
 | :display:wlan:pflatness:y:scale:pdivision maximum
 | :DISP:WLAN:PFL:Y:PDIV?


:FORMat

Select a link to view the command details:

  • :FORMat[:DATA]
  • :FORMat:SREGister

:FORMat[:DATA]

Queries or sets the format of the data that is returned from the :CALCulate:DATA? query. The parameters are sent as <type>[,<length>].

Parameters

  • ASCII returns the queried data as an ASCII comma-separated list of numeric values. The <length> value is optional and specifies the number of significant values to be returned. The default value of 0 for the <length>, indicates that the device selects the number of digits. For the analyzer, the value of 0 is the only valid length value.
  • REAL returns the queried data as a definite-length binary block. Each value is an IEEE 754 floating-point value. The <length> value is optional and specifies the number of bits in each floating-point value. Valid values of <length> are 32 and 64. The default is 64.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ASC | REAL,32 | REAL,64 | Yes | ASCii[,0] | REAL[,32|64] | Default | ASC,0 | n/a | n/a | none

 | :FORMat:DATA ASC
Examples | :FORM ASC
 | :format:data octal
 | :FORM?


:FORMat:SREGister

Queries or sets the numeric format of query results for status registers and enable registers. See Status structure.

Parameters

The return parameters are a string that contains the capital letters from the currently set parameter:

  • ASCii sets the numeric format to ascii = 0 to 32767.
  • HEXadecimal sets the numeric format to hexadecimal = (x = 0 to 7FFF) = #Hx.
  • BINary sets the numeric format to binary = (each x = 1 or 0) = #Bxx...x.
  • OCTal sets the numeric format to octal = (x = 77777) =#Qx.
  • DEFault returns to the default (preset) mode.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ASC | HEX | BIN | OCT | DEF | Yes | ascii | hexadecimal | binary | octal | Default | ASC | n/a | n/a | none

 | :FORMat:SREGister ASC
Examples | :FORM:SREG ASC
 | :format:sregister octal
 | :FORM:SREG?


:INITiate

Select a link to view the command details:

  • :INITiate:CONTinuous[:STATe]
  • INITiate[:IMMediate][ALL]

:INITiate:CONTinuous[:STATe]

Queries the setting or switches between continuous sweep and single sweep.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :INITiate:CONTinuous:STATe ON
Examples | :INIT:CONT ON
 | :initiate:continuous:state ON
 | :INIT:CONT?

:INITiate[:IMMediate]

Initiate a single sweep or list, depending on mode. See :TRIGger.

When using this command to trigger a single sweep (or list), the command must be used in a single-string programming message that includes *OPC?, followed by a new-line character. When the source completes the sweep, the instrument responds with a "1."

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :INITiate:IMMediate
Examples | :INIT
 | :initiate:immediate

NOTE: Sending :INITiate while the instrument is performing a measurement will cause error -213 (init ignored).


:MASTer

Select a link to view the command details:

  • :MASTer:SYNC[:STATe]

_____
For more detail see Master Sync.

:MASTer:SYNC[:STATe]

Queries or switches MIMO master sync on/off.

For more detail see Master Sync.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :MASTer:SYNC:STATe ON
Examples | :MAST:SYNC ON
 | :master:sync:state 0
 | :MAST:SYNC?

Master Sync

Caution: This control is not typically used during normal operation.

_____
Master Sync makes the unit the master in charge of controlling the MIMO synchronization signals. This selection allows for manual control when debugging with the assistance of an <company application engineer.

Related SCPI command:

  • :MASTer:SYNC[:STATe]


:MBOX:COMMand

Queries or sets the specified commands to RF test accessories (for example, the V2891A Upconverter or other V2891A accessory products) to the VSA, and returns responses to queries. See the V2891A product documentation for information about the relevant pass-through commands/queries.

See V2891A SCPI command pass-through

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | Yes | <V2981A command> | none | n/a | n/a | n/a | n/a

 | :MBOX:COMMand *RST
Examples | :MBOX:COMM *RST
 | :mbox:command *rst
 | :MBOX:COMM?


:MEASure

Select a link to view the command details:

  • :MEASure:IQ
  • :MEASure:IQ:CFACtor
  • :MEASure[:SELect]
  • :MEASure:IQ:CFACtor note

:MEASure:IQ

Initiates a single sweep measurement that returns IQ values as 16-bit integers. Before you send the :MEAS:IQ command, you must send commands to set up the following conditions:

  • Zero span measurement
  • Single sweep

    Note: Make sure to setup the above conditions before sending the :MEAS:IQ? command, otherwise the instrument will generate a settings conflict error.

Refer to Extracting IQ Data for a programming example.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | arb length binary | No | n/a | n/a | n/a | n/a | n/a | none

 | :MEASure:IQ?
Examples | :MEAS:IQ?
 | :measure:iq?

:MEASure:IQ:CFACtor

Returns the Calibration Factor for the data from the :MEASure:IQ command.

To learn more, see :MEASure:IQ:CFACtor? note

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | No | n/a | n/a | n/a | n/a | n/a | dBm

 | :MEASure:IQ:CFACtor?
Examples | :MEAS:IQ:CFAC?
 | :measure:iq:cfactor?

:MEASure[:SELect]

Selects or queries the measurement category.

Parameters

  • SPECtrum sets the General Purpose > Spectrum measurement.
  • ZSPan sets the General Purpose > Zero Span measurement.
  • ACPR sets the General Purpose > ACPR measurement.
  • CPL sets the General Purpose > Channel Power List measurement.
  • GPSEM sets the General Purpose > Spectrum Emission Mask measurement.
  • GSM sets the GSM measurement.
  • EDGE sets the EDGE measurement.
  • FSK sets the FSK demodulation measurement.
  • CDMA sets the cdma2000 measurement.
  • CRACPR sets the cdma2000 ACPR measurement.
  • CRDemodulate sets the cdma200 reverse link demodulation measurement.
  • CRSEM sets the cdma2000 Spectrum Emission Mask measurement.
  • CROBW sets the cdma2000 Occupied Bandwidth measurement.
  • WDDemodulate sets the W-CDMA Downlink Demodulate measurement.
  • WDACLR sets the W-CDMA Downlink ACLR measurement.
  • WDOBW sets the W-CDMA Downlink Occupied Bandwidth measurement.
  • WDSEM sets the W-CDMA Downlink Spectrum Emission Mask measurement.
  • WUACLR sets the W-CDMA Uplink ACLR measurement.
  • WUDemodulate sets the W-CDMA Uplink Demodulate measurement.
  • WUSEM sets the W-CDMA Uplink Spectrum Emission Mask measurement.
  • WUOBW sets the W-CDMA Uplink Occupied Bandwidth measurement.
  • WIMAX sets the WiMAX measurement.
  • WLAN sets the WLAN Demodulation measurement.
  • WLSEM sets the WLAN Spectrum Emission measurement.
  • DEFault returns to the default (Preset) mode (SPEC).
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | SPEC | ZSP | ACPR | CPL | GPSEM | GSM | EDGE | WUD | WDD | CRD | WUACLR | WUSEM | WUOBW | CRACPR | CRSEM | CROBW | FSK | WLAN | WLSEM | WDACLR | WDSEM | WDOBW | WIMAX | Yes | SPECtrum | ZSPan | ACPR | CPL | GPSEM | GSM | EDGE | { WUDemodulate | WCDMa} | WDDemodulate | WDACLR | WDOBW | WDSEM | {CRDemodulate | CDMA} | WUACLR | WUSEM | WUOBW | CRACPR | CRSEM | CROBW | FSK | WLAN | WLSEM | WIMAX | DEFault | SPEC | n/a | n/a | none

 | :MEASure:SELect SPECtrum
Examples | :MEAS SPEC
 | :measure:select spectrum
 | :MEAS?


:MEASure:IQ:CFACtor note

The Calibration (C) Factor is measured in dB.

The MEAS:IQ? measurement returns a real and imaginary array. Each array element is returned as an integer and needs to be scaled in order to be calibrated for correct power levels. After MEAS:IQ? is issued, a second call is made to return a calibration factor. The calibration factor is converted from dB to linear.

The processed calibration factor is then divided into each element of the real and imaginary array.

The C Factor can be obtained by the following procedure:

  1. Make the MEAS:IQ? measurement, transferring data as 16-bit integers.
  2. Data returned is alternate samples of real and imaginary 16-bit integers.
  3. Convert each integer array element to a floating point value and divide by 32768 (that is 2^15).
  4. Make the MEAS:IQ:CFACtor? measurement and read back the results.
  5. Convert the returned value to linear, with linearVal = 10^(dBVal/20).
  6. Divide the real and imaginary values by the linearVal.


:MIMO

The following commands affect the MIMO (multiple in, multiple out) mode configuration:

  • :MIMO:MODE
  • :MIMO:SYNC[:STATe]
  • :MASTer:SYNC[:STATe]
  • [:SOURce]:INTernal:CLOCk[:STATe]
  • [:SOURce]:VCO[:STATe]

____

For further details on the MIMO Mode, see MIMO.

:MIMO:MODE

Queries or sets MIMO mode.

Note icon It is important to keep the center frequency of the master and all slaves the same. If you attempt to change the Center Frequency on a unit that is a Master or a Slave, the unit will respond with the error message "Verify MIMO Master and all MIMO Slaves are tuned to same frequency."

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | OFF | MAST | SLAV | MAN | Yes | OFF | MASTer | SLAVe | MANual | DEFault | OFF | n/a | n/a | none

 | :MIMO:MODE SLAVe
Examples | :MIMO:MODE SLAV
 | :mimo:mode master
 | :MIMO:MODE?

:MIMO:SYNC[:STATe]

Queries or switches on/off MIMO sync state.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or OFF | n/a | n/a | none

 | :MIMO:SYNC:STATe ON
Examples | :MIMO:SYNC ON
 | :mimo:sync:state 0
 | :MIMO:SYNC?


:MMEMory

Select a link to view the command details:

  • :MMEMory:CATalog
  • :MMEMory:DATA
  • :MMEMory:DELete

:MMEMory:CATalog

Queries the contents of the file system, starting at the specified directory root. The parameter is an alias for the physical file path. The response is per SCPI standard for :MMEMory:CATalog? <file name> in the following string: <used bytes>, <available bytes>, [<file name>, <file type>, <file size>...] where the file name, type and size repeats for each file available. The catalog recursively lists all subdirectories, and the file name includes the relative path (relative to the :MMEM:CAT parameter). The file type is left blank and the file sizes are in bytes.

For example, the return to the query MMEM:CAT? WiMAX Map\Reference could be: 76907458560,18242547712,Default.xml, ,1899,Reference\Default.xml,,1899.

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | <used bytes>,<available bytes>,[<file name>,<file type>,<file size>,... | No | (see path shortcut list below) | none | n/a | n/a | n/a | none

______

NOTE: syntax is "MMEMory:CATalog? <directory path>".

______

Path Shortcuts

To simplify the path in the syntax of the :MMEMory:CATalog command, you are encouraged to use the path shortcuts described in the table below.

Path Shortcut * | Directory purpose | Desktop Control Panel absolute path equivalent *
USER\... | Generic use | ...\Agilent Series V2800 Documents\<model>
SETUPS\... | Store instrument saved state files. | ...\Agilent Series V2800 Documents\<model>\Setups
CPL\USER\... | Store channel power list files | ...\Agilent Series V2800 Documents\<model>\List
LIST\USER... | Store channel power list files | ...\Agilent Series V2800 Documents\<model>\List
USER FLATNESS\USER\... | Store user flatness files | ...\Agilent Series V2800 Documents\<model>\User Flatness
EDGE FILTER\USER\... | Store EDGE filter files | ...\Agilent Series V2800 Documents\<model>\Edge Filter
EDGE LIMITS\USER\... | Store EDGE limit files | ...\Agilent Series V2800 Documents\<model>\EDGE Limits
GSM LIMITS\USER\... | Store GSM limit files | ...\Agilent Series V2800 Documents\<model>\GSM Limits
WIMAX MAP\USER\... | Store WiMAX map files | ...\Agilent Series V2800 Documents\<model>\Wimax Map
WIMAX MAP\REFERENCE\... | Store WiMAX default map file | ((restricted))
USB\... | Root directory of the first USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB2\... | Root directory of the second USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB3\... | Root directory of the third USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB4\... | Root directory of the fourth USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)
* If no path is specified, the User\... path shortcut is used. ** <model> is replaced by a string to represent the instrument model. For example, V2820A. All path shortcuts may be preceded by a directory separator ("\"). For example, \user is the same as user.

To see the correlation between each path shortcut and the instrument's absolute directory path, click here.

_
Desktop Control Panel users: The path shortcuts are especially helpful in that they provide far easier path definitions. For example, the :MMEMory:CATalog edge limits\user command requires a much shorter path than its absolute path equivalent, :MMEMory:CATalog C:\Documents and Settings\All Users\Documents\Agilent Series V2800 Documents\V2820A\EDGE Limits. NOTE: You must specify the path to the file using either the exact path shortcut or exact absolute path. Otherwise, the command will fail with an undefined header error (error -113). Be aware that absolute file paths for the Desktop Control Panel application depend on the operating system and whether or not file sharing is enabled. Typically...

  • For Windows XP with file sharing enabled, the files are located in C:\Documents and Settings\All users\Shared Documents\Agilent Series V2800 Documents\V2820A (equivalent to C:\Documents and Settings\All Users\Documents\Agilent Series V2800 Documents\V2820A).
  • For Windows XP with file sharing disabled, the files are located in C:\Documents and Settings\Authorized\Agilent Series V2800 Documents\V2820A.

_____

 | :MMEMory:CATalog?
Examples | :MMEM:CAT?
 | :mmemory:catalog?
Examples | The following command queries the contents of the Edge Limits directory stored in the memory of the Series V2800 instrument. :mmem:cat? edge limits\user\
Examples | The following command queries the contents of the USB2 memory device. (USB2 is the second USB memory device that is inserted in the instrument's USB connectors). :MMEM:CAT? USB2\USER\SETUPS\USER\
Examples | The following command queries the contents of the User Flatness directory on the computer hard drive when using the Desktop Control Panel software. :MMEM:CAT? USER FLATNESS\USER\

_
See also:

  • Save an instrument setup file
  • File management operations

:MMEMory:DATA

Queries or creates a file in the location specified and copies the information in the programming message into the file. You can use the programming command :MMEM:DATA to create a file (with specified contents) in a directory in the Series V2800 instrument or a USB memory device connected to the Series V2800 instrument, or on the computer running the Desktop Control Panel application. See also: File management operations.

___________

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | #<number of digits representing the number of characters in the string in the file><number of characters in text string in the file>string | Yes | <path\filename>, #<number of digits representing the number of characters in the string in the file><number of characters in text string in the file>string | none | n/a | n/a | n/a | none

___________

Path Shortcuts

To simplify the path in the syntax of the :MMEMory:DATA command, you are encouraged to use the path shortcuts described in the table below.

Path Shortcut * | Directory purpose | Desktop Control Panel absolute path equivalent *
USER\... | Generic use | ...\Agilent Series V2800 Documents\<model>
SETUPS\... | Store instrument saved state files. | ...\Agilent Series V2800 Documents\<model>\Setups
CPL\USER\... | Store channel power list files | ...\Agilent Series V2800 Documents\<model>\List
LIST\USER... | Store channel power list files | ...\Agilent Series V2800 Documents\<model>\List
USER FLATNESS\USER\... | Store user flatness files | ...\Agilent Series V2800 Documents\<model>\User Flatness
EDGE FILTER\USER\... | Store EDGE filter files | ...\Agilent Series V2800 Documents\<model>\Edge Filter
EDGE LIMITS\USER\... | Store EDGE limit files | ...\Agilent Series V2800 Documents\<model>\EDGE Limits
GSM LIMITS\USER\... | Store GSM limit files | ...\Agilent Series V2800 Documents\<model>\GSM Limits
WIMAX MAP\USER\... | Store WiMAX map files | ...\Agilent Series V2800 Documents\<model>\Wimax Map
WIMAX MAP\REFERENCE\... | Store WiMAX default map file | ((restricted))
USB\... | Root directory of the first USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB2\... | Root directory of the second USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB3\... | Root directory of the third USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB4\... | Root directory of the fourth USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)
* If no path is specified, the User\... path shortcut is used. ** <model> is replaced by a string to represent the instrument model. For example, V2820A. All path shortcuts may be preceded by a directory separator ("\"). For example, \user is the same as user.

To see the correlation between each path shortcut and the instrument's absolute directory path, click here.

_
Desktop Control Panel users: The path shortcuts are especially helpful in that they provide far easier path definitions. For example, the :MMEMory:CATalog edge limits\user command requires a much shorter path than its absolute path equivalent, :MMEMory:CATalog C:\Documents and Settings\All Users\Documents\Agilent Series V2800 Documents\V2820A\EDGE Limits. NOTE: You must specify the path to the file using either the exact path shortcut or exact absolute path. Otherwise, the command will fail with an undefined header error (error -113). Be aware that absolute file paths for the Desktop Control Panel application depend on the operating system and whether or not file sharing is enabled. Typically...

  • For Windows XP with file sharing enabled, the files are located in C:\Documents and Settings\All users\Shared Documents\Agilent Series V2800 Documents\V2820A (equivalent to C:\Documents and Settings\All Users\Documents\Agilent Series V2800 Documents\V2820A).
  • For Windows XP with file sharing disabled, the files are located in C:\Documents and Settings\Authorized\Agilent Series V2800 Documents\V2820A.

_____

:MMEMory:DATA user\example.txt, #211Hello world

Examples

:MMEM:DATA user\example.txt, #211Hello world

:mmemory:data user\example.txt, #211Hello world

:MMEM:DATA? user\example.txt

Examples

The following command creates a file named "example1.txt" on the second USB memory device that is inserted in the instrument's USB connectors.

:MMEM:DATA \USB2\example1.txt, #257Hello! This is example content for the example text file.

  • The # indicates the start of a binary transmission.
  • The 2 indicates that the next two digits specify the length of the transmission.
  • The 57 indicates that the transmission is 57 bytes. This number includes characters, spaces, and line breaks.
  • The text is the content of the file "example1.txt."

Examples

The following command creates a file named "data.txt" on the computer hard drive when using the Desktop Control Panel software.

:MMEM:DATA User\data.txt, #257Hello! This is example content for the example text file.

  • The # indicates the start of a binary transmission.
  • The 2 indicates that the next two digits specify the length of the transmission.
  • The 57 indicates that the transmission is 57 bytes. This number includes characters, spaces, and line breaks.
  • The text is the content of the file "data.txt."

:MMEMory:DELete

Deletes a file or directory. The parameter is an alias for the physical file path. The root of the file path is one of the enumerated names. See also: File management operations.
______

NOTE: syntax is ":MMEMory:DELete <directory name[\subdirectory...]>".

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | <path> | none | n/a | n/a | n/a | none

______

Path Shortcuts

To simplify the path in the syntax of the :MMEMory:DELete command, you are encouraged to use the path shortcuts described in the table below.

Path Shortcut * | Directory purpose | Desktop Control Panel absolute path equivalent *
USER\... | Generic use | ...\Agilent Series V2800 Documents\<model>
SETUPS\... | Store instrument saved state files. | ...\Agilent Series V2800 Documents\<model>\Setups
CPL\USER\... | Store channel power list files | ...\Agilent Series V2800 Documents\<model>\List
LIST\USER... | Store channel power list files | ...\Agilent Series V2800 Documents\<model>\List
USER FLATNESS\USER\... | Store user flatness files | ...\Agilent Series V2800 Documents\<model>\User Flatness
EDGE FILTER\USER\... | Store EDGE filter files | ...\Agilent Series V2800 Documents\<model>\Edge Filter
EDGE LIMITS\USER\... | Store EDGE limit files | ...\Agilent Series V2800 Documents\<model>\EDGE Limits
GSM LIMITS\USER\... | Store GSM limit files | ...\Agilent Series V2800 Documents\<model>\GSM Limits
WIMAX MAP\USER\... | Store WiMAX map files | ...\Agilent Series V2800 Documents\<model>\Wimax Map
USB\... | Root directory of the first USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB2\... | Root directory of the second USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB3\... | Root directory of the third USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB4\... | Root directory of the fourth USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)
* If no path is specified, the User\... path shortcut is used. ** <model> is replaced by a string to represent the instrument model. For example, V2820A. All path shortcuts may be preceded by a directory separator ("\"). For example, \user is the same as user.

To see the correlation between each path shortcut and the instrument's absolute directory path, click here.

_
Desktop Control Panel users: The path shortcuts are especially helpful in that they provide far easier path definitions. For example, the :MMEMory:CATalog edge limits\user command requires a much shorter path than its absolute path equivalent, :MMEMory:CATalog C:\Documents and Settings\All Users\Documents\Agilent Series V2800 Documents\V2820A\EDGE Limits. NOTE: You must specify the path to the file using either the exact path shortcut or exact absolute path. Otherwise, the command will fail with an undefined header error (error -113). Be aware that absolute file paths for the Desktop Control Panel application depend on the operating system and whether or not file sharing is enabled. Typically...

  • For Windows XP with file sharing enabled, the files are located in C:\Documents and Settings\All users\Shared Documents\Agilent Series V2800 Documents\V2820A (equivalent to C:\Documents and Settings\All Users\Documents\Agilent Series V2800 Documents\V2820A).
  • For Windows XP with file sharing disabled, the files are located in C:\Documents and Settings\Authorized\Agilent Series V2800 Documents\V2820A.

______

 | :MMEMory:DELete user\example.txt
Examples | :MMEM:DEL user\example.txt
 | :mmemory:delete user\example.txt
Examples | The following command deletes a file named "example1.txt" on a USB memory device that is the first USB device inserted in the analyzer. :MMEM:DEL \USB\example1.txt
Examples | The following command deletes a file named "data.txt" from the "User" directory. :MMEM:DEL USER\data.txt


Instrument directories

When using :MMEMory commands, you are encouraged to use the path shortcuts. If you wish, however, you may use the absolute path for the instrument directories as noted in the table below. To access the instrument directories, use the Remote File Browser, accessed from the LXI web interface.

Path Shortcut | Directory purpose | Instrument absolute path equivalent
USER\... | Generic use | \Storage Card\User\...
SETUPS\... | Store instrument saved state files. | \Storage Card\User\Setups\User\...
CPL\USER\... | Store channel power list files | \Storage Card\User\List\User\...
LIST\USER... | Store channel power list files | \Storage Card\User\List\User\...
USER FLATNESS\USER\... | Store user flatness files | \Storage Card\User\User Flatness\User\...
EDGE FILTER\USER\... | Store EDGE filter files | \Storage Card\User\Edge Filter\User\...
EDGE LIMITS\USER\... | Store EDGE limit files | \Storage Card\User\Edge Limits\User\...
GSM LIMITS\USER\... | Store GSM limit files | \Storage Card\User\GSM Limits\User\...
WIMAX MAP\USER\... | Store WiMAX map files | \Storage Card\Wimax Map\User\User\...
WIMAX MAP\REFERENCE\... | Store WiMAX default map file | ((restricted))
USB\... | Root directory of the first USB device inserted into the instrument | \Hard Disk\...
USB2\... | Root directory of the second USB device inserted into the instrument | \Hard Disk2\...
USB3\... | Root directory of the third USB device inserted into the instrument | \Hard Disk3\...
USB4\... | Root directory of the fourth USB device inserted into the instrument | \Hard Disk4\...
All path shortcuts may be preceded by a directory separator ("\"). For example, \user is the same as user.


:PMETer:COMMand

Queries or sets the specified Agilent V3500A power meter commands. See Power meter SCPI command pass-through.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | power meter command | none | n/a | n/a | n/a | none

 | :PMETer:COMMand
Examples | :PMET:COMM
 | :pmeter:command
 | :pmeter:command?


[:SCALe]

Select a link to view the command details:

  • [:SCALe]:PDIVision
  • [:SCALe]:RLEVel

[:SCALe]:PDIVision

Queries or sets the scale per division.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0.1 | 40 | dB

 | :SCALe:PDIVision
Examples | :SCALe:PDIV
 | :scale:pdivision
 | :SCALe:PDIVision?

[:SCALe]:RLEVel

Queries or sets the reference level.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -170 | 40 | dBm

 | :SCALe:RLEVel
Examples | :SCALe:RLEV
 | :scale:rlevel
 | :SCALe:RLEVel?


[:SENSe]:ACPR

Select a link to view the command details:

  • [:SENSe]:ACPR:ADJacent1|ADJacent2
  • [:SENSe]:ACPR:AVERage
  • [:SENSe]:ACPR:BANDwidth[:RESolution]:TYPE
  • [:SENSe]:ACPR:BWIDth[:RESolution]:TYPE
  • [:SENSe]:ACPR:CENTer
  • [:SENSe]:ACPR:FAST[:STATe]
  • [:SENSe]:ACPR:NCORrection[:STATe]


[:SENSe]:ACPR:ADJacent1|ADJacent2

Select a link to view the command details:

  • [:SENSe]:ACPR:ADJacent1|ADJacent2:BANDwidth
  • [:SENSe]:ACPR:ADJacent1|ADJacent2:BWIDth
  • [:SENSe]:ACPR:ADJacent1|ADJacent2:OFRequency
  • [:SENSe]:ACPR:ADJacent1|ADJacent2[:STATe]
  • [:SENSe]:ACPR:ADJacent1|ADJacent2:SWEep:TIME

[:SENSe]:ACPR:ADJacent1|ADJacent2:BANDwidth

Queries or sets the bandwidth of the specified adjacent ACPR channel. (This is an alternate form for the BWIDth command.)

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 3840000 | 10 | 40000000 | Hz

 | :SENSe:ACPR:ADJacent1:BANDwidth MAXimum
Examples | :ACPR:ADJ1:BAND MAX
 | :sense:acpr:adjacent1:bandwidth maximum
 | :ACPR:ADJ1:BAND?

[:SENSe]:ACPR:ADJacent1|ADJacent2:BWIDth

Queries or sets the bandwidth of the specified adjacent ACPR channel. (This is an alternate form for the BANDwidth command.)

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 3840000 | 10 | 40000000 | Hz

 | :SENSe:ACPR:ADJacent1:BWIDth MAXimum
Examples | :ACPR:ADJ1:BWID MAX
 | :sense:acpr:adjacent1:bwidth maximum
 | :ACPR:ADJ1:BWIDth?

[:SENSe]:ACPR:ADJacent1|ADJacent2:OFRequency

Queries or sets the frequency offset from the carrier center frequency to the center of the specified adjacent channel.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 5000000 | 0 | 600000000 | Hz

 | :SENSe:ACPR:ADJacent1:OFRequency MAXimum
Examples | :ACPR:ADJ1:OFR MAX
 | :sense:acpr:adjacent1:ofrequency maximum
 | :ACPR:ADJ1:OFR?

[:SENSe]:ACPR:ADJacent1|ADJacent2[:STATe]

Queries or switches the adjacent channel measurement on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:ACPR:ADJacent2:STATe ON
Examples | :ACPR:ADJ2 ON
 | :sense:acpr:adjacent2:state 0
 | :ACPR:ADJ2?

[:SENSe]:ACPR:ADJacent1|ADJacent2:SWEep:TIME

Queries or sets the sweep time for the specified adjacent ACPR channel.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.001 | 0.000001 | 30 | seconds

 | :SENSe:ACPR:ADJacent1:SWEep:TIME MAXimum
Examples | :ACPR:ADJ1:SWE:TIME MAX
 | :sense:acpr:adjacent1:sweep:time maximum
 | :ACPR:ADJ1:SWE:TIME?


[:SENSe]:ACPR:AVERage

Select a link to view the command details:

  • [:SENSe]:ACPR:AVERage:COUNt
  • [:SENSe]:ACPR:AVERage:TYPE
  • [:SENSe]:ACPR:AVERage[:STATe]

[:SENSe]:ACPR:AVERage:COUNt

Queries or sets the number of averages for ACPR/ACLR measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 1000 | none

 | :SENSe:ACPR:AVERage:COUNt MAXimum
Examples | :ACPR:AVER:COUN MAX
 | :sense:acpr:average:count maximum
 | :ACPR:AVER:COUN?

[:SENSe]:ACPR:AVERage:TYPE

Queries or sets the averaging type for ACPR/ACLR measurements.

Parameters

  • LOG sets the Running Log type of measurement averaging.
  • POWer sets the Power Running type of measurement averaging.
  • GLOG sets the Log Group type of measurement averaging.
  • GPOWer sets the Power Group type of measurement averaging.
  • GMAX sets the Max Group type of measurement averaging.
  • GMIN sets the Min Group type of measurement averaging.
  • GMMAX sets the Min/Max Group type of measurement averaging. This choice does not apply for Spectrum > General Purpose > ACPR.
  • DEFault sets the default (or preset) value or POWer.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | LOG | POW | GLOG | GPOW | GMAX | GMIN | Yes | LOG | POWer | GLOG | GPOWer | GMAX | GMIN | DEFault | POW | n/a | n/a | none

 | :SENSe:ACPR:AVERage:TYPE GPOW
Examples | :ACPR:AVER:TYPE GPOW
 | :sense:acpr:average:type gpower
 | :ACPR:AVER:TYPE?

[:SENSe]:ACPR:AVERage[:STATe]

Queries or switches measurement averaging on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:ACPR:AVERage:STATe ON
Examples | :ACPR:AVER ON
 | :sense:acpr:average 0
 | :ACPR:AVER?


[:SENSe]:ACPR:BANDwidth[:RESolution]:TYPE

Queries or sets the bandwidth filter type for ACPR channels. The center channel and adjacent channels share the same setting.

Parameters

  • BRICkwall sets the filter type to Brickwall.
  • FOURstpole sets the filter type to Sync Tuned 4 Pole.
  • FIVEstpole sets the filter type to Sync Tuned 5 Pole.
  • RRC sets the filter type to Raised-Root-Cosine.
  • GAUSsian sets the filter type to True Gaussian.
  • NONE applies no filter.
  • DEFault sets the default (or preset) value of BRICkwall.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BRIC | FOUR | FIVE | RRC | GAUS | NONE | Yes | BRICkwall | FOURstpole | FIVEstpole | RRC | GAUSsian | NONE | DEFault | BRIC | n/a | n/a | none

 | :SENSe:ACPR:BANDwidth:RESolution:TYPE BRICkwall
Examples | :ACPR:BAND:TYPE BRIC
 | :sense:acpr:bandwidth:type brickwall
 | :ACPR:BAND:TYPE?


[:SENSe]:ACPR:BWIDth[:RESolution]:TYPE

Queries or sets the bandwidth filter type for ACPR channels. The center channel and adjacent channels share the same setting. (Alternate form for the bandwidth TYPE command.)

Parameters

  • BRICkwall sets the filter type to Brickwall.
  • FOURstpole sets the filter type to Sync Tuned 4 Pole.
  • FIVEstpole sets the filter type to Sync Tuned 5 Pole.
  • RRC sets the filter type to Raised-Root-Cosine.
  • GAUSsian sets the filter type to True Gaussian.
  • NONE applies no filter.
  • DEFault sets the default (or preset) value of BRICkwall.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BRIC | FOUR | FIVE | RRC | GAUS | NONE | Yes | BRICkwall | FOURstpole | FIVEstpole | RRC | GAUSsian | NONE | DEFault | BRIC | n/a | n/a | none

 | :SENSe:ACPR:BWIDth:RESolution:TYPE BRICkwall
Examples | :ACPR::ACPR:BWID:TYPE BRIC
 | :sense:acpr:bwidth:type brickwall
 | :ACPR:BWID:TYPE?


[:SENSe]:ACPR:CENTer

Select a link to view the command details:

  • [:SENSe]:ACPR:CENTer:BANDwidth
  • [:SENSe]:ACPR:CENTer:BWIDth
  • [:SENSe]:ACPR:CENTer:SWEep:TIME

[:SENSe]:ACPR:CENTer:BANDwidth

Queries or sets the width of the ACPR center (carrier) channel. (This is an alternate for the BWIDth command.)

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 3840000 | 10 | 40000000 | Hz

 | :SENSe:ACPR:CENTer:BANDwidth MAXimum
Examples | :ACPR:CENT:BAND MAX
 | :sense:acpr:center:bandwidth maximum
 | :ACPR:CENT:BAND?

[:SENSe]:ACPR:CENTer:BWIDth

Queries or sets the width of the ACPR center (carrier) channel. (This is an alternate for the BANDwidth command.)

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 3840000 | 10 | 40000000 | Hz

 | :SENSe:ACPR:CENTer:BWIDth MAXimum
Examples | :ACPR:CENT:BWID MAX
 | :sense:acpr:center:bwidth maximum
 | :ACPR:CENT:BWID?

[:SENSe]:ACPR:CENTer:SWEep:TIME

Queries or sets the sweep time for the ACPR center (carrier) channel.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.001 | 0.000001 | 30 | seconds

 | :SENSe:ACPR:CENTer:SWEep:TIME MAXimum
Examples | :ACPR:CENT:SWE:TIME MAX
 | :sense:acpr:center:sweep:time maximum
 | :ACPR:CENT:SWE:TIME?


[:SENSe]:ACPR:FAST[:STATe]

Queries or switches the ACPR fast mode on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:ACPR:FAST:STATe ON
Examples | :ACPR:FAST ON
 | :sense:acpr:fast 0
 | :ACPR:FAST?


[:SENSe]:ACPR:NCORrection[:STATe]

Queries or switches the ACPR noise correction on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:ACPR:NCORrection:STATe ON
Examples | :ACPR:NCOR ON
 | :sense:acpr:ncorrection:state 0
 | :ACPR:NCOR?


[:SENSe]:ADC:DITHer[:STATe]

Queries or switches on/off the acquisition interval on which data will be acquired. This is used primarily for channel power list mode when there is no hardware handshake available.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:ADC:DITHer:STATe ON
Examples | :ADC:DITH ON
 | :sense:adc:dither:state 0
 | :ADC:DITH?


[:SENSe]:AINT

Queries or sets the DSP acquisition interval on which data will be acquired. This is used primarily for list mode when no hardware handshake is available.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 30 | seconds

 | :SENSe:AINT 1
Examples | :AINT OFF
 | :sense:aint 1
 | :AINT?


[:SENSe]:CDMA:REVerse

Select a link to view the command details:

  • [:SENSe]:CDMA:REVerse:ACPR:SWEep:TIME
  • [:SENSe]:CDMA:REVerse:AVERage:COUNt
  • [:SENSe]:CDMA:REVerse:AVERage[:STATe]
  • [:SENSe]:CDMA:REVerse:AVERage:TYPE

[:SENSe]:CDMA:REVerse:ACPR:SWEep:TIME

Queries or sets the sweep time for a cdma2000 reverse ACPR measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.01 | 0.000001 | 30 | seconds

 | :SENSe:CDMA:REVerse:ACPR:SWEep:TIME 0.01
Examples | :CDMA:REV:ACPR:SWE:TIME MAX
 | :sense:cdma:reverse:acpr:sweep:time 30
 | :SENSe:CDMA:REVerse:ACPR:SWEep:TIME?

[:SENSe]:CDMA:REVerse:AVERage:COUNt

Queries or sets the number of averages for a cdma2000 reverse measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 100 | none

 | :SENSe:CDMA:REVerse:AVERage:COUNt 10
Examples | :CDMA:REV:AVER:COUN
 | :sense:cdma:reverse:average:count 25
 | :SENSe:CDMA:REVerse:AVERage:COUNt?

[:SENSe]:CDMA:REVerse:AVERage[:STATe]

Queries or sets whether measurement averaging is applied in the cdma2000 reverse measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:CDMA:REVerse:AVERage:STATe On
Examples | :CDMA:REV:AVER ON
 | :sense:cdma:reverse:average:state on
 | :SENSe:CDMA:REVerse:AVERage?

[:SENSe]:CDMA:REVerse:AVERage:TYPE

Queries or sets the type of averaging for a cdma2000 reverse measurement.

  • GMEan - sets the averaged measurement trace to show the calculated mean of multiple measurements.
  • GMAX - sets the measurement trace to show the average of the maximum power data results from multiple measurements.
  • GMIN - sets the measurement trace to show the average of the minimum power data results from multiple measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GME | GMAX | GMIN | Yes | GMEan | GMAX | GMIN | DEFault | GME | n/a | n/a | none

 | :SENSe:CDMA:REVerse:AVERage:TYPE GMAX
Examples | :CDMA:REV:AVER:TYPE GMAX
 | :sense:cdma:reverse:average:type GMAX
 | :SENSe:CDMA:REVerse:AVERage:TYPE?


[:SENSe]:CPList

Select a link to view the command details:

  • [:SENSe]:CPList:AVERage:COUNt
  • [:SENSe]:CPList:AVERage[:STATe]
  • [:SENSe]:CPList:AVERage:TYPE
  • [:SENSe]:CPList:BANDwidth[:RESolution]:TYPE
  • [:SENSe]:CPList:BWIDth[:RESolution]:TYPE
  • [:SENSe]:CPList:COUNt
  • [:SENSe]:CPList:FAST
  • [:SENSe]:CPList:LOAD
  • [:SENSe]:CPList:NCORrection

[:SENSe]:CPList:AVERage:COUNt

Queries or sets the number of averages for a channel power list measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 1000 | none

 | :SENSe:CPList:AVERage:COUNt 1
Examples | :CPL:AVER:COUN 1
 | :sense:cplist:average:count 1
 | :SENSe:CPList:AVERage:COUNt?

[:SENSe]:CPList:AVERage[:STATe]

Queries or switches measurement averaging on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:CPList:AVERage:STATe 1
Examples | :CPL:AVER 1
 | :sense:cplist:average:state 1
 | :SENSe:CPList:AVERage?

[:SENSe]:CPList:AVERage:TYPE

Queries or sets the average type for a channel power measurement.

  • LOG - sets the Running Log type of measurement averaging.
  • POWer - sets the Power Running type of measurement averaging.
  • GLOG - sets the Log Group type of measurement averaging.
  • GPOWer - sets the Power Group type of measurement averaging.
  • GMAX - sets the Max Group type of measurement averaging.
  • GMIN - sets the Min Group type of measurement averaging.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | LOG | POW | GLOG | GPOW | GMAX | GMIN | Yes | LOG | POWer | GLOG | GPOWer | GMAX | GMIN | DEFault | POW | n/a | n/a | none

 | :SENSe:CPList:AVERage:TYPE GLOG
Examples | :CPL:AVER:TYPE GLOG
 | :sense:cplist:average:type glog
 | :SENSe:CPList:AVERage:TYPE?

[:SENSe]:CPList:BANDwidth[:RESolution]:TYPE

Queries or sets bandwidth filter type for channel power list measurement (alternative form of BWIDth[RESolution]:TYPE) .

  • BRICkwall - sets the filter type to Brickwall.
  • FOURstpole - sets the filter type to Sync Tuned 4 Pole.
  • FIVEstpole - sets the filter type to Sync Tuned 5 Pole.
  • RRC - sets the filter type to Raised-Root-Cosine.
  • GAUSsian - sets the filter type to True Gaussian.
  • NONE - applies no filter
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BRIC | FOUR | FIVE | RRC | GAUS | NONE | Yes | BRICkwall | FOURstpole | FIVEstpole | RRC | GAUSsian | NONE | DEFault | BRIC | n/a | n/a | none

 | :SENSe:CPList:BANDwidth:RESolution:TYPE FOUR
Examples | :CPList:BANDwidth:TYPE FOUR
 | :sense:cplist:bandwidth:resolution:type four
 | :SENSe:CPList:BANDwidth:RESolution:TYPE?

[:SENSe]:CPList:BWIDth[:RESolution]:TYPE

Alternate method for setting bandwidth filter type ([:SENSe]:CPList:BANDwidth[:RESolution]:Type) for channel power list measurement.

  • BRICkwall - sets the filter type to Brickwall.
  • FOURstpole - sets the filter type to Sync Tuned 4 Pole.
  • FIVEstpole - sets the filter type to Sync Tuned 5 Pole.
  • RRC - sets the filter type to Raised-Root-Cosine.
  • GAUSsian - sets the filter type to True Gaussian.
  • NONE - applies no filter
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BRIC | FOUR | FIVE | RRC | GAUS | NONE | Yes | BRICkwall | FOURstpole | FIVEstpole | RRC | GAUSsian | NONE | DEFault | BRIC | n/a | n/a | none

 | :SENSe:CPList:BWIDth:RESolution:TYPE FOUR
Examples | :CPList:BWID:TYPE FOUR
 | :sense:cplist:bwidth:resolution:type four
 | :SENSe:CPList:BWIDth:RESolution:TYPE?

[:SENSe]:CPList:COUNt

Queries and returns the number of points in a channel power list measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :SENSe:CPList:COUNt?
Examples | :CPL:COUN?
 | :sense:cplist:count?

[:SENSe]:CPList:FAST[:STATe]

Queries or switches channel power list fast mode on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:CPList:FAST:STATe 1
Examples | :CPL:FAST 1
 | :sense:cplist:fast:state 1
 | :SENSe:CPList:FAST?

[:SENSe]:CPList:LOAD

Queries or sets the channel power list table from the specified file. The argument sets the filename and path for the selected waveform. You can optionally specify the file extension (*.list). The query returns the CPList file name without the file path or file extension.

You must create the list description file in an external application, such as Excel or Notepad. You must make all modifications to the list file from the application that you used to create it.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string (filename) Default string is " " | Yes | string | DEFault, " " | " " | n/a | n/a | none

 | :SENSe:CPList:LOAD
Examples | :CPL:LOAD
 | :sense:cplist:load
 | :SENSe:CPList:LOAD?

Example channel power list file:

Channel Power List Version 2.0,,,

Begin Table,,,

State, Frequency, RBW, SweepTime,RefLevel,Preamp

1,1.800000e+009,1.000000e+007,1.000000e-004,20,Off

1,1.788500e+009,1.000000e+006,1.000000e-004,10,Off

1,1.793000e+009,1.000000e+006,1.000000e-004,0,off

1,1.794450e+009,1.000000e+005,1.000000e-004,-10,OFF

1,1.805550e+009,1.000000e+005,1.000000e-004,-20,0

1,1.807000e+009,1.000000e+006,1.000000e-004,-30,0

[:SENSe]:CPList:NCORrection[:STATe]

Queries or turns on/off channel power list correction.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:CPList:NCORrection:STATe 1
Examples | :CPL:NCOR 1
 | :sense:cplist:ncorrection:state 1
 | :SENSe:CPList:NCORrection?


[:SENSe]:DETector[:FUNCtion]

Queries or sets the Detector type. When in ZeroSpan Frequency mode, PAV and NCPA are replaced with AVERage.

  • NORMal - sets the detector to normal.
  • MAX - sets both the upper and lower values to the maximum.
  • MIN - sets both the upper and lower values to the minimum.
  • SAMPle - sets both the upper and lower values to the middle span value.
  • PAVerage - sets both the upper and lower values to the average of the signal power.
  • NCPAverage - draws the trace using the result of two separate measurements with power average detection.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NORM | MAX | MIN | SAMP | PAV | NCPA | Yes | NORMal | MAX | MIN | SAMPle | PAVerage | NCPAverage | MAXimum | MINimum | DEFault | NORM | MIN | MAX | none

 | :SENSe:DETector:FUNCtion SAMP
Examples | :DET SAMP
 | :sense:detector:function samp
 | :DETector:FUNCtion?


[:SENSe]:DMODulation:SYMBol:COUNt

Queries or sets the user preference for number of symbols for all demodulation types.

See :CALC:<demod type>:SYM?

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100 | 10 | 3000 | none

 | :SENSe:DMODulation:SYMBol:COUNt 300
Examples | :DMOD:SYMB:COUN 300
 | :dmodulation:symbol:count 300
 | :DMODulation:SYMBol:COUNt?


[:SENSe]:DSP

Select a link to view the command details:

  • [:SENSe]:DSP:RANDomize[:STATe]
  • [:SENSe]:DSP:RANGe[:STATe]

[:SENSe]:DSP:RANDomize[:STATe]

Queries or sets on/off the DSP process of randomly setting the actual start time of a free run trigger. This is done to avoid a repetitive static measurement period.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:DSP:RANDomize:STATe 0
Examples | :DSP:RAND 0
 | :dsp:randomize 0
 | :DSP:RANDomize?

[:SENSe]:DSP:RANGe[:STATe]

Queries or switches on/off the DSP process of checking for an input overload.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:DSP:RANGe:STATe 0
Examples | :DSP:RANG 0
 | :sense:dsp:range:state 0
 | :SENSe:DSP:RANG?


[:SENSe]:EDGE

Select a link to view the command details:

  • [:SENSe]:EDGE:CPOWer
  • [:SENSe]:EDGE:EVM
  • [:SENSe]:EDGE:FILTer
  • [:SENSe]:EDGE:FILTer:LOAD
  • [:SENSe]:EDGE:ORFS:MODulation
  • [:SENSe]:EDGE:ORFS:SWITching
  • [:SENSe]:EDGE:PHASe
  • [:SENSe]:EDGE:PHASe:STATe
  • [:SENSe]:EDGE:SLOT:TYPE
  • [:SENSe]:EDGE:SYMBol:RATE
  • [:SENSe]:EDGE:SYNC
  • [:SENSe]:EDGE:TMASk
  • [:SENse]:EDGE:TSEQuence
  • [:SENSe]:EDGE:TSLot


[:SENSe]:EDGE:CPOWer

Select a link to view the command details:

  • [:SENSe]:EDGE:CPOWer:AVERage:COUNt
  • [:SENSe]:EDGE:CPOWer:AVERage:TYPE

[:SENSe]:EDGE:CPOWer:AVERage:COUNt

Queries or sets the number of averages for an EDGE channel power measurement. Bursts are acquired in a block. Set to 1 or On to turn averaging off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 1 | 1001 | none

 | :SENSe:EDGE:CPOWer:AVERage:COUNt 50
Examples | :EDGE:CPOW:AVER:COUN 50
 | :sense:edge:cpower:average:count 50
 | :SENSe:EDGE:CPOWer:AVERage:COUNt?

[:SENSe]:EDGE:CPOWer:AVERage:TYPE

Over the block of data acquired for averaging, calculates the max, min or mean.

  • MEAN - tracks the mean value of the channel power.
  • MAXimum - tracks the maximum value of the channel power.
  • MINimum - sets the minimum value of the channel power.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MEAN | MAX | MIN | Yes | MEAN | MAX | MIN | MAXimum | MINimum | DEFault | MEAN | MIN | MAX | none

 | :SENSe:EDGE:CPOWer:AVERage:TYPE MAX
Examples | :EDGE:CPOW:AVER:TYPE
 | :sense:edge:cpower:average:type minimum
 | :SENSe:EDGE:CPOWer:AVERage:TYPE?


[:SENSe]:EDGE:EVM

Select a link to view the command details:

  • [:SENSe]:EDGE:EVM:AVERage:COUNt
  • [:SENSe]:EDGE:EVM:AVERage:TYPE
  • [:SENSe]:EDGE:EVM[:STATe]

[:SENSe]:EDGE:EVM:AVERage:COUNt

Queries or sets the number of averages for the EDGE EVM measurement. Bursts are acquired in a block. Set to 1 or On to turn averaging off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 1 | 1001 | none

 | :SENSe:EDGE:EVM:AVERage:COUNt 50
Examples | :EDGE:EVM:AVER:COUN 50
 | :sense:edge:evm:average:count 50
 | :SENSe:EDGE:EVM:AVERage:COUNt?

[:SENSe]:EDGE:EVM:AVERage:TYPE

Queries or sets the tracking when averaging is applied. Over the block of data acquired for averaging, calculates the max, min or mean.

  • MEAN - tracks the mean value of the channel power.
  • MAXimum - tracks the maximum value of the channel power.
  • MINimum - sets the minimum value of the channel power.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MEAN | MAX | MIN | Yes | MEAN | MAX | MIN | MAXimum | MINimum | DEFault | MEAN | MIN | MAX | none

 | :SENSe:EDGE:EVM:AVERage:TYPE MAX
Examples | :EDGE:EVM:AVER:TYPE
 | :sense:edge:EVM:average:type minimum
 | :SENSe:EDGE:EVM:AVERage:TYPE?

[:SENSe]:EDGE:EVM[:STATe]

Queries or sets the EDGE EVM measurement on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:EDGE:EVM:STATe 0
Examples | :EDGE:EVM 0
 | :sense:EDGE:EVM:state 0
 | :SENSe:EDGE:EVM?


[:SENSe]:EDGE:FILTer

Queries or sets the filter type for an EDGE 2.0 measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NORM | WID | USER | Yes | NORM | WID | USER | DEFault | NORM | n/a | n/a | none

 | :SENSe:EDGE:FILTer USER
Examples | :EDGE:FILT USER
 | :sense:edge:filter wideband
 | :SENSe:EDGE:FILTer?


[:SENSe]:EDGE:FILTer:LOAD

Loads the User filter table from the EDGE user filter directory, or queries the User filter table.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string (filename) Default string is " " | Yes | (filename) | DEFault, " " | " " | n/a | n/a | none

 | :SENSe:EDGE:FILTer:LOAD FILTER.csv
Examples | :EDGE:FILT:LOAD filter.csv
 | :sense:edge:filter:load filter.csv
 | :SENSe:EDGE:FILTer:LOAD?


[:SENSe]:EDGE:ORFS:MODulation

Select a link to view the command details:

  • [:SENSe]:EDGE:ORFS:MODulation:AVERage:COUNt
  • [:SENSe]:EDGE:ORFS:MODulation:AVERage:TYPE
  • [:SENSe]:EDGE:ORFS:MODulation:AVERage:UNIT
  • [:SENSe]:EDGE:ORFS:MODulation:DETector[:FUNCtion]
  • [:SENSe]:EDGE:ORFS:MODulation:FLIMits
  • [:SENSe]:EDGE:ORFS:MODulation:FLIMits:LOAD
  • [:SENSe]:EDGE:ORFS:MODulation:NCORrection[:STATe]
  • [:SENSe]:EDGE:ORFS:MODulation[:STATe]
  • [:SENSe]:EDGE:ORFS:MODulation:VBW[:STATe]

[:SENSe]:EDGE:ORFS:MODulation:AVERage:COUNt

Queries or sets the number of averages for the EDGE ORFS due to modulation measurement. Bursts are acquired in a block. Set to 1 to turn averaging off.

  • The MIN is 1.
  • The MAX is 1001.
  • The DEF is 21.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 21 | 1 | 1001 | none

 | :SENSe:EDGE:ORFS:MODulation:AVERage:COUNt 50
Examples | :EDGE:ORFS:MOD:AVER:COUN 50
 | :sense:edge:orfs:modulation:average:count 50
 | :SENSe:EDGE:ORFS:MODulation:AVERage:COUNt?

[:SENSe]:EDGE:ORFS:MODulation:AVERage:TYPE

Queries or sets the tracking when averaging is applied. Over the block of data acquired for averaging, calculates the max, min or mean.

  • MEAN - tracks the mean value of the channel power.
  • MAXimum - tracks the maximum value of the channel power.
  • MINimum - sets the minimum value of the channel power.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MEAN | MAX | MIN | Yes | MEAN | MAX | MIN | MAXimum | MINimum | DEFault | MEAN | MIN | MAX | none

 | :SENSe:EDGE:ORFS:MODulation:AVERage:TYPE MAX
Examples | :EDGE:ORFS:MOD:AVER:TYPE
 | :sense:edge:orfs:modulation:average:type minimum
 | :SENSe:EDGE:ORFS:MODulation:AVERage:TYPE?

[:SENSe]:EDGE:ORFS:MODulation:AVERage:UNIT

Queries or sets the Averaging units. Averaging data type is much like the detector function. Some analyzers detect the data in one mode, integrate across a portion of the pulse, then save that result in another mode. When averaging is then applied burst-to-burst, you get statistical variation depending on the averaging data type.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | WATTS | DB | VMAG | Yes | WATTS | DB | VMAG | DEFault | WATTS | n/a | n/a | none

 | :SENSe:EDGE:ORFS:MODulation:AVERage:UNIT DB
Examples | :EDGE:ORFS:MOD:AVER:UNIT DB
 | :sense:edge:orfs:modulation:average:unit db
 | :SENSe:EDGE:ORFS:MODulation:AVERage:UNIT?

[:SENSe]:EDGE:ORFS:MODulation:DETector[:FUNCtion]

Queries or sets the detector function for ORFS, which is important when the power inside the burst is integrated. The default mode is to average the results in WATTS. Some analyzers only average after the logger, so DB is allowed. Some analyzers average the square root of power, which is denoted as voltage magnitude or VMAG.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | WATTS | DB | VMAG | Yes | WATTS | DB | VMAG | DEFault | WATTS | n/a | n/a | none

 | :SENSe:EDGE:ORFS:MODulation:DETector:FUNCtion DB
Examples | :EDGE:ORFS:MOD:AVER:DET DB
 | :sense:edge:orfs:modulation:detector:function db
 | :SENSe:EDGE:ORFS:MODulation:DET?

[:SENSe]:EDGE:ORFS:MODulation:FLIMits

Queries or sets the limit table as a set of comma-separated values. It progresses from left to right across rows, then down the table. Does not give the column headers and does not separate the rows other than with a comma.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,…,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | <various>

 | :SENSe:EDGE:ORFS:MODulation:FLIMits
Examples | :EDGE:ORFS:MOD:FLIM
 | :sense:edge:orfs:modulation:flimits
 | :SENSe:EDGE:ORFS:MODulation:FLIMits?

[:SENSe]:EDGE:ORFS:MODulation:FLIMits:LOAD

Loads the limit table data from the specified file name.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | none | Yes | <filename> | none | n/a | n/a | n/a | none

 | :SENSe:EDGE:ORFS:MODulation:FLIMits:LOAD limittable.csv
Examples | :EDGE:ORFS:MOD:FLIM:LOAD limits.csv
 | :sense:edge:orfs:modulation:flimits:load limit_table.csv

[:SENSe]:EDGE:ORFS:MODulation:NCORrection[:STATe]

Queries or switches noise correction on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:EDGE:ORFS:MODulation:NCORrection:STATe 0
Examples | :EDGE:ORFS:MOD:NCOR 0
 | :sense:edge:orfs:modulation:ncorrection:state 0
 | :SENSe:EDGE:ORFS:MOD:NCOR?

[:SENSe]:EDGE:ORFS:MODulation[:STATe]

Queries or sets the output RF spectrum due to modulation (ORFS Mod) measurement. When enabled, you get the measurement results for the power in a specific portion of the burst at a specific offset from the carrier.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:EDGE:ORFS:MODulation:STATe 1
Examples | :EDGE:ORFS:MOD ON
 | :sense:edge:orfs:modulation:state 0
 | :SENSe:EDGE:ORFS:MOD?

[:SENSe]:EDGE:ORFS:MODulation:VBW[:STATe]

Queries or sets whether the video bandwidth filter is applied in the ORFS calculation.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:EDGE:ORFS:MODulation:VBW:STATe OFF
Examples | :EDGE:ORFS:MOD:VBW ON
 | :sense:edge:orfs:modulation:vbw:state 0
 | :SENSe:EDGE:ORFS:MOD:VBW?


[:SENSe]:EDGE:ORFS:SWITching

Select a link to view the command details:

  • [:SENSe]:EDGE:ORFS:SWITching:AVERage:COUNt
  • [:SENSe]:EDGE:ORFS:SWITching:AVERage:TYPE
  • [:SENSe]:EDGE:ORFS:SWITching:AVERage:UNIT
  • [:SENSe]:EDGE:ORFS:SWITching:DETector[:FUNCtion]
  • [:SENSe]:EDGE:ORFS:SWITching:FLIMits
  • [:SENSe]:EDGE:ORFS:SWITching:FLIMits:LOAD
  • [:SENSe]:EDGE:ORFS:SWITching:NCORrection[:STATe]
  • [:SENSe]:EDGE:ORFS:SWITching:VBW[:STATe]
  • [:SENSe]:EDGE:ORFS:SWITching[:STATe]

[:SENSe]:EDGE:ORFS:SWITching:AVERage:COUNt

Queries or sets the number of averages for the EDGE ORFS due to switching measurement. Bursts are acquired in a block. Set to 1 to turn averaging off.

  • The MIN is 1
  • The MAX is 1001
  • The DEF is 21
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 21 | 1 | 1001 | none

 | :SENSe:EDGE:ORFS:SWITching:AVERage:COUNt 50
Examples | :EDGE:ORFS:SWIT:AVER:COUN 50
 | :sense:edge:orfs:switching:average:count 50
 | :SENSe:EDGE:ORFS:SWITching:AVERage:COUNt?

[:SENSe]:EDGE:ORFS:SWITching:AVERage:TYPE

Queries or sets the tracking when averaging is applied. Over the block of data acquired for averaging, calculates the max, min or mean.

  • MEAN - tracks the mean value of the measurement.
  • MAXimum - tracks the maximum value of the measurement.
  • MINimum - sets the minimum value of the measurement.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MEAN | MAX | MIN | Yes | MEAN | MAX | MIN | MAXimum | MINimum | DEFault | MEAN | MIN | MAX | none

 | :SENSe:EDGE:ORFS:SWITching:AVERage:TYPE MAX
Examples | :EDGE:ORFS:MOD:SWIT:TYPE
 | :sense:edge:orfs:switching:average:type minimum
 | :SENSe:EDGE:ORFS:SWITching:AVERage:TYPE?

[:SENSe]:EDGE:ORFS:SWITching:AVERage:UNIT

Queries or sets the averaging units. Averaging data type is much like the detector function. Some analyzers detect the data in one mode, integrate across a portion of the pulse, then save that result in another mode. When averaging is then applied burst-to-burst, you get statistical variation depending on the averaging data type.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | WATTS | DB | VMAG | Yes | WATTS | DB | VMAG | DEFault | WATTS | n/a | n/a | none

 | :SENSe:EDGE:ORFS:SWITching:AVERage:UNIT DB
Examples | :EDGE:ORFS:SWIT:AVER:UNIT DB
 | :sense:edge:orfs:switching:average:unit db
 | :SENSe:EDGE:ORFS:SWITching:AVERage:UNIT?

[:SENSe]:EDGE:ORFS:SWITching:DETector[:FUNCtion]

Queries or sets the detector function. Detector function for ORFS is important when the power inside the burst is integrated. The default mode is to average the results in WATTS. Some analyzers only average after the logger, so DB is available. Some analyzers average the square root of power, which is denoted as voltage magnitude or VMAG.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | WATTS | DB | VMAG | Yes | WATTS | DB | VMAG | DEFault | WATTS | n/a | n/a | none

 | :SENSe:EDGE:ORFS:SWITching:DETector:FUNCtion DB
Examples | :EDGE:ORFS:MOD:SWIT:DET DB
 | :sense:edge:orfs:switching:detector:function db
 | :SENSe:EDGE:ORFS:SWITching:DETector?

[:SENSe]:EDGE:ORFS:SWITching:FLIMits

Queries and sets the limit table as a set of comma-separated values. Progresses from left to right across rows, then down the table. Does not give the column headers and separates the rows with a comma.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,…,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | <various>

 | :SENSe:EDGE:ORFS:SWITching:FLIMits
Examples | :EDGE:ORFS:MOD:SWIT
 | :sense:edge:orfs:switching:flimits
 | :SENSe:EDGE:ORFS:SWITching:FLIMits?

[:SENSe]:EDGE:ORFS:SWITching:FLIMits:LOAD

Loads the limit table data from the specified file name.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | none | Yes | <filename> | none | n/a | n/a | n/a | none

 | :SENSe:EDGE:ORFS:SWITching:FLIMits:LOAD limits.csv
Examples | :EDGE:ORFS:SWIT:FLIM:LOAD limits.csv
 | :sense:edge:orfs:switching:flimits:load limits.csv

[:SENSe]:EDGE:ORFS:SWITching:NCORrection[:STATe]

Queries or switches noise correction on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:EDGE:ORFS:SWITching:NCORrection:STATe 0
Examples | :EDGE:ORFS:SWIT:NCOR 0
 | :sense:edge:orfs:switching:ncorrection:state 0
 | :SENSe:EDGE:ORFS:SWIT:NCOR?

[:SENSe]:EDGE:ORFS:SWITching:VBW[:STATe]

Queries or sets the Output RF Spectrum Due to Switching, also known as ORFS switching. The power in a specific portion of the burst at a specific offset from the carrier is measured.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:EDGE:ORFS:SWITching:VBW:STATe 1
Examples | :EDGE:ORFS:SWIT:VBW 1
 | :sense:edge:orfs:switching:vbw:state 1
 | :SENSe:EDGE:ORFS:SWIT:VBW?

[:SENSe]:EDGE:ORFS:SWITching[:STATe]

Queries or sets the output RF spectrum due to switching (ORFS switching). When the ORFS switching is enabled, you get measurement results for the power in a specific portion of the burst. ORFS switching tracks peak power across the burst, assuming the peak is due to the burst transitions at either end.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:EDGE:ORFS:SWITching:STATe 1
Examples | :EDGE:ORFS:SWIT 1
 | :sense:edge:orfs:switching:state 1
 | :SENSe:EDGE:ORFS:SWIT?


[:SENSe]:EDGE:PHASe

Queries or sets the value for non-standard phase rotations.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum, MINimum, DEFault | 1 | '-2*P | '+2*P | radians

 | :SENSe:EDGE:PHASe 1
Examples | :EDGE:PHAS 1
 | :sense:edge:phase 1
 | :SENSe:EDGE:PHASe?


[:SENSe]:EDGE:PHASe:STATe

On indicates using [:SENSe]:EDGE:PHASe for phase rotation. Off means use the standard phase rotation based on format and symbol rate.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:EDGE:PHASe:STATe 1
Examples | :EDGE:PHAS:STAT 1
 | :sense]:edge:phase:state 1
 | :SENSe:EDGE:PHASe:STATe?


[:SENSe]:EDGE:SLOT:TYPE

Queries or sets the slot modulation format.

QPSK, QAM16, and QAM32 can be set only if the V2800A-103 license is installed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | PSK8 | QPSK | QAM16 | QAM32 | Yes | PSK8 | QPSK | QAM16 | QAM32 | DEFault | PSK8 | n/a | n/a | none

 | :SENSe:EDGE:SLOT:TYPE QAM16
Examples | :EDGE:SLOT:TYPE QAM16
 | :edge:slot:type qam16
 | :EDGE:SLOT:TYPE?


[:SENSe]:EDGE:SYMBol:RATE

Queries or sets the slot rate to 270.8333 or 325 ksym/sec (enumerator, not number).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | R270 | R325 | Yes | R270 | R325 | DEFault | R270 | n/a | n/a | none

 | :SENSe:EDGE:SYMBol:RATE R325
Examples | :EDGE:SYMB:RATE R325
 | :sense:edge:symbol:rate r235
 | :EDGE:SYMB:RATE?


[:SENSe]:EDGE:SYNC

Queries or sets Sync mode to timing sequence or burst.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | TSEQ | BURS | Yes | TSEQ | BURSt | DEFault | BURS | n/a | n/a | none

 | :SENSe:EDGE:SYNC TSEQ
Examples | :EDGE:SYNC TSEQ
 | :sense:edge:sync tseq
 | :EDGE:SYNC?


[:SENSe]:EDGE:TMASk

Select a link to view the command details:

  • [:SENSe]:EDGE:TMASk:AVERage:COUNt
  • [:SENSe]:EDGE:TMASk:AVERage:TYPE
  • [:SENSe]:EDGE:TMASk:DEFault
  • [:SENSe]:EDGE:TMASk:LOAD
  • [:SENSe]:EDGE:TMASk[:STATe]

[:SENSe]:EDGE:TMASk:AVERage:COUNt

Queries or sets the number of averages for an EDGE time mask measurement. The bursts are acquired in a block. Set to 1 to turn averaging off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 1 | 1001 | none

 | :SENSe:EDGE:TMASk:AVERage:COUNt 50
Examples | :EDGE:TMAS:AVER:COUN 50
 | :sense:edge:tmask:average:count 50
 | :SENSe:EDGE:TMASk:AVERage:COUNt?

[:SENSe]:EDGE:TMASk:AVERage:TYPE

Queries or sets the block of data acquired for averaging, calculate the max, min or mean.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MEAN | MAX | MIN | Yes | MEAN | MAX | MIN | MAXimum | MINimum | DEFault | MEAN | MIN | MAX | none

 | :SENSe:EDGE:TMASk:AVERage:TYPE MIN
Examples | :EDGE:TMAS:AVER:TYPE MIN
 | :sense:edge:tmask:average:type min
 | :SENSe:EDGE:TMASk:AVERage:TYPE?

[:SENSe]:EDGE:TMASk:DEFault

Loads the default time mask data.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | none | Yes | none | none | n/a | n/a | n/a | none

 | :SENSe:EDGE:TMASk:DEFault
Examples | :EDGE:TMAS:DEF
 | :sense:edge:tmask:default

See Also: Time Mask Limits settings panel

[:SENSe]:EDGE:TMASk:LOAD

Loads the time mask data from the specified file name.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | none | Yes | (filename) | none | n/a | n/a | n/a | none

 | :SENSe:EDGE:TMAS:LOAD timemask.csv
Examples | :EDGE:TMAS:LOAD timemask.csv
 | :sense:edge:tmask:load timemask.csv

[:SENSe]:EDGE:TMASk[:STATe]

Queries or switches the time mask measurement on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:EDGE:TMASk:STATe 1
Examples | :EDGE:TMAS 1
 | :sense:edge:tmask:state 1
 | :SENSe:EDGE:TMASk?


[:SENse]:EDGE:TSEQuence

Queries or sets the training sequence to look for in the selected slot to measure.

Note: If there is only one time slot active, set TSLot:COUNt to 1 and then set this parameter.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 7 | none

 | :SENSe:EDGE:TSEQuence 1
Examples | :EDGE:TSEQ 1
 | :sense:edge:tsequence 1
 | :SENSe:EDGE:TSEQuence?


[:SENSe]:EDGE:TSLot

Select a link to view the command details:

  • [:SENSe]:EDGE:TSLot:COUNt
  • [:SENSe]:EDGE:TSLot:FIRSt
  • [:SENSe]:EDGE:TSLot[:SELect]

[:SENSe]:EDGE:TSLot:COUNt

Queries or sets the number of active time slots in the incoming signal. The time slots must be contiguous and no more than 7 slots.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 1 | 7 | none

 | :SENSe:EDGE:TSLot:COUNt 5
Examples | :EDGE:TSL:COUN 5
 | :sense:edge:tslot:count 5
 | :SENSe:EDGE:TSLot:COUNt?

[:SENSe]:EDGE:TSLot:FIRSt

Queries or sets the first active time slot in the incoming signal. The time slots must be contiguous and no more than 7 slots.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | MAXimum | MINimum | DEFault | 0 | 0 | 7 | none

 | :SENSe:EDGE:TSLot:FIRSt 5
Examples | :EDGE:TSL:FIRS 5
 | :sense:edge:tslot:first 5
 | :SENSe:EDGE:TSLot:FIRSt?

[:SENSe]:EDGE:TSLot[:SELect]

Queries or sets the time slot to measure, 0 to 7. The training sequence is assumed to match the time slot.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 6 | none

 | :SENSe:EDGE:TSLot:SELect 5
Examples | :EDGE:TSL 5
 | :sense:edge:tslot:select 5
 | :SENSe:EDGE:TSLot?


[:SENSe]:EPOWer

Queries or sets the expected channel power. This is similar to the reference level in a spectrum and zero-span measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -170 | 40 | dBm

 | :SENSe:EPOWer 100
Examples | :EPOW 100
 | :sense:epower 100
 | :SENSe:EPOWer?


[:SENSe]:FREQuency

Select a link to view the command details:

  • [:SENSe]:FREQuency:CENTer
  • [:SENSe]:FREQuency:OFFSet
  • [:SENSe]:FREQuency:SPAN
  • [:SENSe]:FREQuency:STARt
  • [:SENSe]:FREQuency:STOP

[:SENSe]:FREQuency:CENTer

Queries or sets the center frequency value.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000000 | 400000100 | 2499999900 | Hz

 | :SENSe:FREQuency:CENTer 1000000000
Examples | :FREQ:CENT 1000000000
 | :sense:frequency:center 1000000000
 | :SENSe:FREQuency:CENTer?

[:SENSe]:FREQuency:OFFSet

Not applicable to the Model 2810.

Queries or sets the carrier center frequency offset. Queries or sets the frequency offset (in increments of 0.1Hz over a range of +/- 40 MHz) applied to all absolute frequency values. This feature enables you to initiate a digitally implemented frequency translation independent of the frequency synthesizer circuitry. This is particularly useful when units are in a multi-channel configuration, sharing a common carrier or local oscillator via the V2895 Synchronization Unit. Adjusting this frequency offset allows independent frequency variation on each channel while still maintaining the precision timing and carrier synchronization of the multi-channel configuration.
_____

See Also:

  • Carrier Offsets

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -400000000 | 400000000 | Hz

 | :SENSe:FREQuency:OFFSet -40
Examples | :FREQ:OFFS 10000
 | :frequency:offset 200000
 | :FREQuency:OFFSet?

[:SENSe]:FREQuency:SPAN

Queries or sets the frequency span.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 50000000 | 200 | 2100000000 | Hz

 | :SENSe:FREQuency:SPAN 60000000
Examples | :FREQ:SPAN 60000000
 | :sense:frequency:span 60000000
 | :SENSe:FREQuency:SPAN?

[:SENSe]:FREQuency:STARt

Queries or sets the start frequency value.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 975000000 | 400000000 | 2499999800 | Hz

 | :SENSe:FREQuency:STARt 400000000
Examples | :FREQ:STAR 400000000
 | :sense:frequency:start 400000000
 | :SENSe:FREQuency:STARt?

[:SENSe]:FREQuency:STOP

Queries or sets the stop frequency value.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1025000000 | 400000200 | 2500000000 | Hz

 | :SENSe:FREQuency:STOP 500000000
Examples | :FREQ:STOP 500000000
 | :sense:frequency:stop 500000000
 | :SENSe:FREQuency:STOP?


[:SENSe]:FSK

Select a link to view the command details:

  • [:SENSe]:FSK:DENCoding[:STATe]
  • [:SENSe]:FSK:FILTer
  • [:SENSe]:FSK:FSEParation
  • [:SENSe]:FSK:ORATio
  • [:SENSe]:FSK:SPS
  • [:SENSe]:FSK:STYPe

[:SENSe]:FSK:DENCoding[:STATe]

Queries or switches differential encoding on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:FSK:DENCoding:STATe 1
Examples | :FSK:DENC 1
 | :sense:fsk:dencoding:state 1
 | :SENSe:FSK:DENCoding?

[:SENSe]:FSK:FILTer

Queries or selects filter type, and optionally the filter factor for FSK Modulation.

  • RECTangular- sets the filter type to rectangular. RECTangular does not have a filter factor.
  • RC - sets the filter type to Root-Cosine. The minimum filter factor is 0.20, The maximum is 1.00, and the default is 0.35.
  • RRC - sets the filter type to Raised-Root-Cosine. The minimum filter factor is 0.20, The maximum is 1.00, and the default is 0.22.
  • GAUSsian - sets the filter type to true Gaussian. The minimum filter factor is 0.20, the maximum is 3.00, and the default is 0.50.
  • NGAussian - sets the filter type to NRZ Gaussian. The minimum filter factor is 0.20, the maximum is 3.00, and the default is 0.50.
  • DEFault - sets the filter type to the default (RECTangular).

See FSK Filter settings for further details.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GAUS,Digits with an explicit decimal point. | RC,Digits with an explicit decimal point. | RRC,Digits with an explicit decimal point. | NGA,Digits with an explicit decimal point. | RECT | Yes | GAUSsian[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | RC[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | RRC[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | NGAussian[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | RECTangular | DEFault | RECT | n/a | n/a | none

 | :SENSe:FSK:FILTer RRC
Examples | :FSK:FILT RRC
 | :sense:fsk:filter rrc
 | :SENSe:FSK:FILTer?

[:SENSe]:FSK:FSEParation

Queries the frequency separation of the FSK signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | n/a | n/a | n/a | Hz

 | :SENSe:FSK:FSEParation
Examples | :FSK:FSEP
 | :sense:fsk:fseparation?

[:SENSe]:FSK:ORATio

Queries or sets the oversampling ratio of the FSK signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 3 | 3 | 4 |

 | :SENSe:FSK:ORATio 3
Examples | :FSK:ORATio 3
 | :sense:fsk:oratio 3
 | :SENSe:FSK:ORAT?

[:SENSe]:FSK:SPS

Queries or sets the symbols per second of the FSK signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100000 | 10000 | 5000000 | Symbols per second

 | :SENSe:FSK:SPS 30000
Examples | :FSK:SPS 30000
 | :sense:fsk:sps 300000
 | :SENSe:FSK:SPS?

[:SENSe]:FSK:STYPe

Queries or sets the symbol type of the FSK signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | FSK2 ? | Yes | FSK2 | DEFault | FSK2 | n/a | n/a | none

 | :SENSe:FSK:STYPe
Examples | :FSK:STYP
 | :sense:fsk:stype
 | :SENSe:FSK:STYPe?


[:SENSe]:GPSEM

Select a link to view the command details:

  • [:SENSe]:GPSEM:AVERage:COUNt
  • [:SENSe]:GPSEM:AVERage[:STATe]
  • [:SENSe]:GPSEM:AVERage:TYPE
  • [:SENSe]:GPSEM:BANDwidth
  • [:SENSe]:GPSEM:BWIDth
  • [:SENSe]:GPSEM:CHANnel:BANDwidth[:RESolution]:TYPE
  • [:SENSe]:GPSEM:CHANnel:BWIDth[:RESolution]:TYPE
  • [:SENSe]:GPSEM:CHANnel:SWEep:TIME
  • [:SENSe]:GPSEM:LOAD
  • [:SENSe]:GPSEM:MASK:REFerence:TYPE
  • [:SENSe]:GPSEM:MEASure:EDGE[:STATe]
  • [:SENSe]:GPSEM:MEASure:MODE
  • [:SENSe]:GPSEM:NCORrection[:STATe]
  • [:SENSe]:GPSEM:OBW:THREshold
  • [:SENSe]:GPSEM:SEGMent:BANDwidth[:RESolution]:TYPE
  • [:SENSe]:GPSEM:SEGMent:BWIDth[:RESolution]:TYPE
  • [:SENSe]:GPSEM:SEGMent:SWEep:TIME
  • [:SENSe]:GPSEM:SPUR:CANCellation[:STATe]

[:SENSe]:GPSEM:AVERage:COUNt

Queries or sets the number of averages for GP SEM measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 1000 | none

 | :SENSe:GPSEM:AVERage:COUNt 100
Examples | :GPSEM:AVER:COUN 100
 | :gpsem:average:count 100
 | :GPSEM:AVERage:COUNt?

[:SENSe]:GPSEM:AVERage[:STATe]

Queries or switches on/off averaging for GP SEM measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:GPSEM:AVERage:STATe 1
Examples | :GPSEM:AVER 1
 | :gpsem:average:state 1
 | :GPSEM:AVERage?

[:SENSe]:GPSEM:AVERage:TYPE

Queries or sets the averaging type for GP SEM.

  • LOG - sets the Running Log type of measurement averaging.
  • POWer - sets the Power Running type of measurement averaging.
  • GLOG - sets the Log Group type of measurement averaging.
  • GPOWer - sets the Power Group type of measurement averaging.
  • GMAX - sets the Max Group type of measurement averaging.
  • GMIN - sets the Min Group type of measurement averaging.
  • DEFault - sets the default value to the Preset value of LOG.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | LOG | POW | GLOG | GPOW | GMAX | GMIN | Yes | LOG | POWer | GLOG | GPOWer | GMAX | GMIN | DEFault | LOG | n/a | n/a | none

 | :SENSe:GPSEM:AVERage:TYPE POWer
Examples | :GPSEM:AVER:TYPE POW
 | :gpsem:average:type power
 | :GPSEM:AVERage:TYPE?

[:SENSe]:GPSEM:BANDwidth

Queries or sets the channel bandwidth for GP SEM.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10000000 | 100 | 40000000 | Hz

 | :SENSe:GPSEM:BANDwidth 500
Examples | :GPSEM:BAND 500
 | :gpsem:bandwidth 500
 | :GPSEM:BANDwidth?

[:SENSe]:GPSEM:BWIDth

Queries or sets the channel bandwidth for GP SEM.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10000000 | 100 | 40000000 | Hz

 | :SENSe:GPSEM:BWIDth 500
Examples | :GPSEM:BWID 500
 | :gpsem:bwidth 500
 | :GPSEM:BWIDth?

[:SENSe]:GPSEM:CHANnel:BANDwidth[:RESolution]:TYPE

Queries or sets the channel bandwidth filter type for the GP SEM measurement.

  • BRICkwall - sets the filter type to Brickwall.
  • RRC - sets the filter type to Raised-Root-Cosine.
  • GAUSsian - sets the filter type to True Gaussian.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BRIC | RRC | GAUS | Yes | BRICkwall | RRC | GAUSsian | DEFault | BRIC | n/a | n/a | none

 | :SENSe:GPSEM:CHANnel:BANDwidth:RESolution:TYPE RRC
Examples | :GPSEM:CHAN:BAND:TYPE RRC
 | :sense:gpsem:channel:bandwidth:resolution:type rrc
 | :GPSEM:CHANnel:BANDwidth:TYPE RRC?

[:SENSe]:GPSEM:CHANnel:BWIDth[:RESolution]:TYPE

Queries or sets the channel bandwidth filter type for the GP SEM measurement.

  • BRICkwall - sets the filter type to Brickwall.
  • RRC - sets the filter type to Raised-Root-Cosine.
  • GAUSsian - sets the filter type to True Gaussian.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BRIC | RRC | GAUS | Yes | BRICkwall | RRC | GAUSsian | DEFault | BRIC | n/a | n/a | none

 | :SENSe:GPSEM:CHANnel:BWIDth:RESolution:TYPE RRC
Examples | :GPSEM:CHAN:BWID:TYPE RRC
 | :sense:gpsem:channel:bwidth:resolution:type rrc
 | :GPSEM:CHANnel:BWIDth:TYPE RRC?

[:SENSe]:GPSEM:CHANnel:SWEep:TIME

Queries or sets channel sweep time (acquisition time) for GP SEM.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.001 | 0.000001 | 30 | seconds

 | :SENSe:GPSEM:CHANnel:SWEep:TIME 10
Examples | :GPSEM:CHAN:SWE:TIME 10
 | :sense:gpsem:channel:sweep:time 10
 | :GPSEM:CHANnel:SWEep:TIME?

[:SENSe]:GPSEM:LOAD

Loads or queries the GP SEM mask table from the specified file.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string - (filename) | Yes | string | none | n/a | n/a | n/a | none

 | :SENSe:GPSEM:LOAD
Examples | :GPSEM:LOAD
 | :sense:gpsem:load
 | :GPSEM:LOAD?

[:SENSe]:GPSEM:MASK:REFerence:TYPE

Queries or sets the reference used for masks with limits expressed in dBc.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | CPOW | PSD | Yes | CPOW | PSD | DEFault | CPOW | n/a | n/a | none

 | :SENSe:GPSEM:MASK:REFerence:TYPE CPOW
Examples | :GPSEM:MASK:REF:TYPE CPOW
 | :sense:gpsem:mask:reference:type cpow
 | :GPSEM:MASK:REFerence:TYPE?

[:SENSe]:GPSEM:MEASure:EDGE[:STATe]

Queries or switches the segment edge measurement mode for GP SEM

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:GPSEM:MEASure:EDGE:STATe 1
Examples | :GPSEM:MEAS:EDGE 0
 | :gpsem:measure:edge:state 0
 | :GPSEM:MEASure:EDGE?

[:SENSe]:GPSEM:MEASure:MODE

Queries or sets the measurement mode for GP SEM.

  • SWEep - sets the measurement mode to sweep. This is the default mode.
  • STEP - sets the measurement mode to step.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | SWE | STEP | Yes | SWEep | STEP | DEFault | SWE | n/a | n/a | none

 | :SENSe:GPSEM:MEASure:MODE STEP
Examples | :GPSEM:MEAS:MODE STEP
 | :gpsem:measure:mode step
 | :GPSEM:MEASure:MODE?

[:SENSe]:GPSEM:NCORrection[:STATe]

Queries or switches noise correction on/off for GP SEM measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:GPSEM:NCORrection:STATe 1
Examples | :GPSEM:NCOR 1
 | :gpsem:ncorrection:state on
 | :GPSEM:NCORrection?

[:SENSe]:GPSEM:OBW:THREshold

Queries or sets the percentage of total power used to calculate the occupied bandwidth of the signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 99 | 1 | 100 | none

 | :SENSe:GPSEM:OBW:THREshold MAXimum
Examples | :SENSe:GPSEM:OBW:THRE MAX
 | :gpsem:obw:threshold maximum
 | :GPSEM:OBW:THREshold?

[:SENSe]:GPSEM:SEGMent:BWIDth[:RESolution]:TYPE

Queries or sets the segment bandwidth filter type for the GP SEM measurement.

  • BRICkwall - sets the filter type to Brickwall.
  • RRC - sets the filter type to Raised-Root-Cosine.
  • GAUSsian - sets the filter type to True Gaussian.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BRIC | RRC | GAUS | Yes | BRICkwall | RRC | GAUSsian | DEFault | BRIC | n/a | n/a | none

 | :SENSe:GPSEM:SEGMent:BWIDth:RESolution:TYPE RRC
Examples | :GPSEM:SEGM:BWID:TYPE RRC
 | :sense:gpsem:segment:bwidth:resolution:type rrc
 | :GPSEM:SEGMent:BWIDth:TYPE RRC?

[:SENSe]:GPSEM:SEGMent:BANDwidth[:RESolution]:TYPE

Queries or sets the segment bandwidth filter type for the GP SEM measurement.

  • BRICkwall - sets the filter type to Brickwall.
  • RRC - sets the filter type to Raised-Root-Cosine.
  • GAUSsian - sets the filter type to True Gaussian.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BRIC | RRC | GAUS | Yes | BRICkwall | RRC | GAUSsian | DEFault | BRIC | n/a | n/a | none

 | :SENSe:GPSEM:SEGMent:BANDwidth:RESolution:TYPE RRC
Examples | :GPSEM:SEGM:BAND:TYPE RRC
 | :sense:gpsem:segment:bandwidth:resolution:type rrc
 | :GPSEM:SEGMent:BANDwidth:TYPE RRC?

[:SENSe]:GPSEM:SEGMent:SWEep:TIME

Queries or sets segment sweep time (acquisition time) for GP SEM.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.000000 | 0.000000 | 30 | seconds

 | :SENSe:GPSEM:SEGMent:SWEep:TIME 10
Examples | :GPSEM:SEGM:SWE:TIME 10
 | :sense:gpsem:segment:sweep:time 10
 | :GPSEM:SEGment:SWEep:TIME?

[:SENSe]:GPSEM:SPUR:CANCellation[:STATe]

Turns on spur cancellation for GP SEM.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:GPSEM:SPUR:CANCellation:STATe 1
Examples | :SENS:GPSEM:SPUR:CANC 0
 | :sense:gpsem:spur:cancellation:state on
 | :sense:gpsem:spur:cancellation?


[:SENSe]:GSM

Select a link to view the command details:

  • [:SENSe]:GSM:CPOWer
  • [:SENSe]:GSM:ORFS:MODulation
  • [:SENSe]:GSM:ORFS:SWITching
  • [:SENSe]:GSM:PERRor
  • [:SENSe]:GSM:SYNC
  • [:SENSe]:GSM:TMASk
  • [:SENSe]:GSM:TSEQuence
  • [:SENSe]:GSM:TSLot


[:SENSe]:GSM:CPOWer

Select a link to view the command details:

  • [:SENSe]:GSM:CPOWer:AVERage:COUNt
  • [:SENSe]:GSM:CPOWer:AVERage:TYPE

[:SENSe]:GSM:CPOWer:AVERage:COUNt

Queries or sets the number of averages for the channel power measurement. Bursts are acquired in a block. The channel power is always available in GSM, there is no on and off control.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 1000 | none

 | :SENSe:GSM:CPOWer:AVERage:COUNt 100
Examples | :GSM:CPOW:AVER:COUN 100
 | :gsm:cpower:average:count 100
 | :GSM:CPOWer:AVERage:COUNt?

[:SENSe]:GSM:CPOWer:AVERage:TYPE

Queries or sets the tracking when averaging is applied. Over the block of data acquired for averaging, calculates the max, min or mean.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MEAN | MAX | MIN | Yes | MEAN | MAX | MIN | MAXimum | MINimum | DEFault | MEAN | MIN | MAX | none

 | :SENSe:GSM:CPOWer:AVERage:TYPE MIN
Examples | :GSM:CPOW:AVER:TYPE MIN
 | :gsm:cpower:average:type min
 | :GSM:CPOWer:AVERage:TYPE?


[:SENSe]:GSM:ORFS:MODulation

Select a link to view the command details:

  • [:SENSe]:GSM:ORFS:MODulation:AVERage:COUNt
  • [:SENSe]:GSM:ORFS:MODulation:AVERage:TYPE
  • [:SENSe]:GSM:ORFS:MODulation:AVERage:UNIT
  • [:SENSe]:GSM:ORFS:MODulation:DETector[:FUNCtion]
  • [:SENSe]:GSM:ORFS:MODulation:FLIMits
  • [:SENSe]:GSM:ORFS:MODulation:FLIMits:LOAD
  • [:SENSe]:GSM:ORFS:MODulation:NCORrection
  • [:SENSe]:GSM:ORFS:MODulation[:STATe]
  • [:SENSe]:GSM:ORFS:MODulation:VBW[:STATe]

[:SENSe]:GSM:ORFS:MODulation:AVERage:COUNt

Queries or sets the number of averages for ORFS modulation measurement. Data is acquired in a block. Set to 1 to turn off averaging.

  • The MIN is 1.
  • The MAX is 1001.
  • The DEF is 21.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 21 | 1 | 1001 | none

 | :SENSe:GSM:ORFS:MODulation:AVERage:COUNt 100
Examples | :GSM::ORFS:MOD:AVER:COUN 100
 | :gsm:orfs:modulation:average:count 100
 | :GSM:ORFS:MODulation:AVERage:COUNt?

[:SENSe]:GSM:ORFS:MODulation:AVERage:TYPE

Queries or sets the averaging type for data acquired in a block.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MEAN | MAX | MIN | Yes | MEAN | MAX | MIN | MAXimum | MINimum | DEFault | MEAN | MIN | MAX | none

 | :SENSe:GSM:ORFS:MODulation:AVERage:TYPE MIN
Examples | :GSM:ORFS:MOD:AVER:TYPE MIN
 | :gsm:orfs:modulation:average:type min
 | :GSM:ORFS:MODulation:AVERage:TYPE?

[:SENSe]:GSM:ORFS:MODulation:AVERage:UNIT

Queries or sets the Averaging Data Type. You can set the analyzer to detect the data in one mode, integrate across a portion of the pulse, then save that result in another mode. When averaging is then applied burst-to-burst, you get statistical variation depending on the averaging data type.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | WATTS | DB | VMAG | Yes | WATTS | DB | VMAG | DEFault | WATTS | n/a | n/a | none

 | :SENSe:GSM:ORFS:MODulation:AVERage:UNIT DB
Examples | :GSM:ORFS:MOD:AVER:UNIT DB
 | :gsm:orfs:modulation:average:unit db
 | :GSM:ORFS:MODulation:AVERage:UNIT?

[:SENSe]:GSM:ORFS:MODulation:DETector[:FUNCtion]

Queries or sets the detector function for ORFS measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | WATTS | DB | VMAG | Yes | WATTS | DB | VMAG | DEFault | WATTS | n/a | n/a | none

 | :SENSe:GSM:ORFS:MODulation:DETector:FUNCtion DB
Examples | :GSM:ORFS:MOD:DET DB
 | :gsm:orfs:modulation:detector:function db
 | :GSM:ORFS:MODulation:DETector?

[:SENSe]:GSM:ORFS:MODulation:FLIMits

Queries and sets the limit table as a set of comma-separated values. Progresses from left to right across rows, then down the table. Does not give the column headers and separates the rows with a comma.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,…,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | various

 | :SENSe:GSM:ORFS:MODulation:FLIMits
Examples | :GSM:ORFS:MOD:FLIM
 | :gsm:orfs:modulation:flimits
 | :GSM:ORFS:MODulation:FLIMits?

[:SENSe]:GSM:ORFS:MODulation:FLIMits:LOAD

Loads the limit table data from the specified file name.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | none | Yes | <filename> | none | n/a | n/a | n/a | none

 | :SENSe:GSM:ORFS:MODulation:FLIMits:LOAD limits.csv
Examples | :GSM:ORFS:MOD:FLIM:LOAD limits.csv
 | :sense:gsm:orfs:modulation:flimits:load limits.csv

[:SENSe]:GSM:ORFS:MODulation:NCORrection

Queries or switches noise correction on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:GSM:ORFS:MODulation:NCORrection 0
Examples | :GSM:ORFS:MOD:NCOR 0
 | :gsm:orfs:modulation:ncorrection 0ff
 | :GSM:ORFS:MODulation:NCORrection?

[:SENSe]:GSM:ORFS:MODulation[:STATe]

Queries or switches on/off the output RF spectrum due to modulation (ORFS Mod). When enabled, you get the measurement results for the power in a specific portion of the burst at a specific offset from the carrier.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:GSM:ORFS:MODulation:STATe 1
Examples | :GSM:ORFS:MOD 0
 | :gsm:orfs:modulation 0
 | :GSM:ORFS:MODulation?

[:SENSe]:GSM:ORFS:MODulation:VBW[:STATe]

Queries or switches on/off whether the video bandwidth filter is applied in the ORFS calculation.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:GSM:ORFS:MODulation:VBW:STATe 1
Examples | :GSM:ORFS:MOD:VBW 0
 | :gsm:orfs:modulation:vbw:state 0
 | :GSM:ORFS:MODulation:VBW?


[:SENSe]:GSM:ORFS:SWITching

Select a link to view the command details:

  • [:SENSe]:GSM:ORFS:SWITching:AVERage:COUNt
  • [:SENSe]:GSM:ORFS:SWITching:AVERage:TYPE
  • [:SENSe]:GSM:ORFS:SWITching:AVERage:UNIT
  • [:SENSe]:GSM:ORFS:SWITching:DETector[:FUNCtion]
  • [:SENSe]:GSM:ORFS:SWITching:FLIMits
  • [:SENSe]:GSM:ORFS:SWITching:FLIMits:LOAD
  • [:SENSe]:GSM:ORFS:SWITching[:STATe]
  • [:SENSe]:GSM:ORFS:SWITching:VBW[:STATe]

[:SENSe]:GSM:ORFS:SWITching:AVERage:COUNt

Queries or sets the number of averages for ORFS switching measurement. Data is acquired in a block. Set to 1 to turn off averaging.

  • The MIN is 1.
  • The MAX is 1001.
  • The DEF is 21.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 21 | 1 | 1001 | none

 | :SENSe:GSM:ORFS:SWITching:AVERage:COUNt 100
Examples | :GSM::ORFS:SWIT:AVER:COUN 100
 | :gsm:orfs:switching:average:count 100
 | :GSM:ORFS:SWITching:AVERage:COUNt?

[:SENSe]:GSM:ORFS:SWITching:AVERage:TYPE

Queries or sets the averaging type for data acquired in a block.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MEAN | MAX | MIN | Yes | MEAN | MAX | MIN | MAXimum | MINimum | DEFault | MEAN | MIN | MAX | none

 | :SENSe:GSM:ORFS:SWITching:AVERage:TYPE MIN
Examples | :GSM:ORFS:SWIT:AVER:TYPE MIN
 | :gsm:orfs:switching:average:type min
 | :GSM:ORFS:SWITching:AVERage:TYPE?

[:SENSe]:GSM:ORFS:SWITching:AVERage:UNIT

Queries or sets the Averaging Data Type. You can set the analyzer to detect the data in one mode, integrate across a portion of the pulse, then save that result in another mode. When averaging is then applied burst-to-burst, you get statistical variation depending on the averaging data type (same choices as detector mode).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | WATTS | DB | VMAG | Yes | WATTS | DB | VMAG | DEFault | WATTS | n/a | n/a | none

 | :SENSe:GSM:ORFS:SWITching:AVERage:UNIT DB
Examples | :GSM:ORFS:SWIT:AVER:UNIT DB
 | :gsm:orfs:switching:average:unit db
 | :GSM:ORFS:SWITching:AVERage:UNIT?

[:SENSe]:GSM:ORFS:SWITching:DETector[:FUNCtion]

Queries or sets the detector function for ORFS measurement. The detector function for ORFS is important when the power inside the burst is integrated. The default mode is to average the results in WATTS. Some analyzers only average after the logger, so DB is included as a parameter. Some analyzers average the square root of power, so Voltage Magnitude or VMAG is also included as a parameter.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | WATTS | DB | VMAG | Yes | WATTS | DB | VMAG | DEFault | WATTS | n/a | n/a | none

 | :SENSe:GSM:ORFS:SWITching:DETector:FUNCtion DB
Examples | :GSM:ORFS:SWIT:DET DB
 | :gsm:orfs:switching:detector:function db
 | :GSM:ORFS:SWITching:DETector?

[:SENSe]:GSM:ORFS:SWITching:FLIMits

Queries and sets the limit table as a set of comma-separated values. Progresses from left to right across rows, then down the table. Does not give the column headers and does not separate the rows other than with a comma.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point.,…,Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,…,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | various

 | :SENSe:GSM:ORFS:SWITching:FLIMits
Examples | :GSM:ORFS:SWIT:FLIM
 | :gsm:orfs:switching:flimits
 | :GSM:ORFS:SWITching:FLIMits?

[:SENSe]:GSM:ORFS:SWITching:FLIMits:LOAD

Loads the limit table data from the specified file name.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | none | Yes | <filename> | none | n/a | n/a | n/a | none

 | :SENSe:GSM:ORFS:SWITching:FLIMits:LOAD limitstable.csv
Examples | :GSM:ORFS:MOD:SWIT:LOAD limitstable.csv
 | :sense:gsm:orfs:switching:flimits:load limitstable.csv

[:SENSe]:GSM:ORFS:SWITching:NCORrection

Queries or switches noise correction on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:GSM:ORFS:SWITching:NCORrection 0
Examples | :GSM:ORFS:SWIT:NCOR 0
 | :gsm:orfs:switching:ncorrection off
 | :GSM:ORFS:SWITching:NCORrection?

[:SENSe]:GSM:ORFS:SWITching[:STATe]

Queries or switches the output RF spectrum due to switching (ORFS Switching). When the ORFS switch is enabled, you get measurement results for the power in a specific portion of the burst. ORFS switch tracks peak power across the burst, assuming the peak is due to the burst transitions at either end.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:GSM:ORFS:SWITching:STATe 1
Examples | :GSM:ORFS:SWIT 0
 | :gsm:orfs:switching 0
 | :GSM:ORFS:SWITching?

[:SENSe]:GSM:ORFS:SWITching:VBW[:STATe]

Queries or switches on/off whether the video bandwidth filter is applied in the ORFS calculation.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:GSM:ORFS:SWITching:VBW:STATe 1
Examples | :GSM:ORFS:SWIT:VBW 0
 | :gsm:orfs:switching:vbw:state 0
 | :GSM:ORFS:SWITching:VBW?


[:SENSe]:GSM:PERRor

Select a link to view the command details:

  • [:SENSe]:GSM:PERRor:AVERage:COUNt
  • [:SENSe]:GSM:PERRor:AVERage:TYPE
  • [:SENSe]:GSM:PERRor:IQIMpair[:STATe]
  • [:SENSe]:GSM:PERRor[:STATe]

[:SENSe]:GSM:PERRor:AVERage:COUNt

Queries or sets the number of averages for the phase error measurement. Bursts are acquired in a block.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 1 | 1001 | none

 | :SENSe:GSM:PERRor:AVERage:COUNt 100
Examples | :GSM:PERR:AVER:COUN 100
 | :gsm:perror:average:count 100
 | :GSM:PERRor:AVERage:COUNt?

[:SENSe]:GSM:PERRor:AVERage:TYPE

Queries or sets the tracking when averaging is applied. Over the block of data acquired for averaging, calculates the max, min or mean.

  • MEAN - tracks the mean value of the phase error.
  • MAXimum - tracks maximum value of the phase error.
  • MINimum - tracks the minimum value of the phase error.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MEAN | MAX | MIN | Yes | MEAN | MAX | MIN | MAXimum | MINimum | DEFault | MEAN | MIN | MAX | none

 | :SENSe:GSM:PERRor:AVERage:TYPE MIN
Examples | :GSM:PERR:AVER:TYPE MIN
 | :gsm:perror:average:type min
 | :GSM:PERRor:AVERage:TYPE?

[:SENSe]:GSM:PERRor:IQIMpair[:STATe]

Queries or switches on/off measurement of IQ impairments: Carrier feedthrough, IQ imbalance, and bit number of the peak phase error.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:GSM:PERRor:IQIMpair:STATe 0
Examples | :GSM:PERR:IQIM 0
 | :gsm:perror:iqimpair:state 0
 | :GSM:PERRor:IQIMpair?

[:SENSe]:GSM:PERRor[:STATe]

Queries or switches the phase error measurement on/off. When the measurement is enabled, you will get results for rms phase error, peak phase error, and carrier frequency.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:GSM:PERRor:STATe 0
Examples | :GSM:PERR 0
 | :gsm:perror:state 0
 | :GSM:PERRor?


[:SENSe]:GSM:SYNC

Queries or sets Sync mode to timing sequence or burst.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | TSEQ | BURS | Yes | TSEQ | BURSt | DEFault | BURS | n/a | n/a | none

 | :SENSe:GSM:SYNC TSEQ
Examples | :GSM:SYNC TSEQ
 | :gsm:sync tseq
 | :GSM:SYNC?


[:SENSe]:GSM:TMASk

Select a link to view the command details:

  • [:SENSe]:GSM:TMASk:AVERage:COUNt
  • [:SENSe]:GSM:TMASk:AVERage:TYPE
  • [:SENSe]:GSM:TMASk:DEFault
  • [:SENSe]:GSM:TMASk:LOAD
  • [:SENSe]:GSM:TMASk[:STATe]

[:SENSe]:GSM:TMASk:AVERage:COUNt

Queries or sets the number of averages for measurement data acquired in a block. Set to 1 to turn off averaging.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 1 | 1001 | none

 | :SENSe:GSM:TMASk:AVERage:COUNt 100
Examples | :GSM:TMAS:AVER:COUN 100
 | :sense:gsm:tmask:average:count 100
 | :GSM:TMASk:AVERage:COUNt?

[:SENSe]:GSM:TMASk:AVERage:TYPE

Queries or sets the tracking for a time mask measurement when averaging is applied. Over the block of data acquired for averaging, calculates the max, min or mean.

  • MEAN - tracks the mean value of the phase error.
  • MAXimum - tracks maximum value of the phase error.
  • MINimum - tracks the minimum value of the phase error.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | MEAN | MAX | MIN | Yes | MEAN | MAX | MIN | MAXimum | MINimum | DEFault | MEAN | MIN | MAX | none

 | :SENSe:GSM:TMASk:AVERage:TYPE MIN
Examples | :GSM:TMAS:AVER:TYPE MIN
 | :sense:gsm:tmask:average:type min
 | :GSM:TMAS:AVERage:TYPE?

[:SENSe]:GSM:TMASk:DEFault

Loads the default time mask data.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | none | Yes | none | none | n/a | n/a | n/a | none

 | :SENSe:GSM:TMAS:DEFault
Examples | :GSM:TMAS:DEF
 | :sense:gsm:tmask:default

See Also: Time Mask Limits settings panel

[:SENSe]:GSM:TMASk:LOAD

Loads the time mask data from the specified file name.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | none | Yes | <filename> | none | n/a | n/a | n/a | none

 | :SENSe:GSM:TMAS:LOAD maskdata.csv
Examples | :GSM:TMAS:LOAD maskdata.csv
 | :sense:gsm:tmask:load maskdata.csv

[:SENSe]:GSM:TMASk[:STATe]

Queries or switches the time mask measurement on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:GSM:TMASk:STATe 0
Examples | :GSM:TMAS 0
 | :sense:gsm:tmask:state 0
 | :GSM:TMASk?


[:SENSe]:GSM:TSEQuence

Sets the training sequence to look for in the selected slot to measure. Note that if there is only one time slot active, set TSLot:COUNt to 1 and then all you have to set is this parameter. The training sequence is embedded in the transmitted sequence, and you need to know what was embedded.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 7 | none

 | :SENSe:GSM:TSEQuence 4
Examples | :GSM:TSEQ 4
 | :sense:gsm:tsequence 4
 | :GSM:TSEQ?


[:SENSe]:GSM:TSLot

Select a link to view the command details:

  • [:SENSe]:GSM:TSLot:COUNt
  • [:SENSe]:GSM:TSLot:FIRSt
  • [:SENSe]:GSM:TSLot[:SELect]

[:SENSe]:GSM:TSLot:COUNt

Queries or sets the number of active time slots in the incoming signal. The number of time slots must be contiguous and no more than 7 slots.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 1 | 7 | none

 | :SENSe:GSM:TSLot:COUNt 5
Examples | :GSM:TSL:COUN 5
 | :sense:gsm:tslot:count 5
 | :GSM:TSLot:COUNt?

[:SENSe]:GSM:TSLot:FIRSt

Queries or sets the first slot that is active. Index of first slot that is active. Not always the same as TSLot, since more than one slot can be active.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 7 | none

 | :SENSe:GSM:TSLot:FIRst 5
Examples | :GSM:TSL:FIRS 5
 | :sense:gsm:tslot:first 5
 | :GSM:TSLot:FIRSt?

[:SENSe]:GSM:TSLot[:SELect]

Queries or sets the time slot to measure, 0 to 7. The training sequence is assumed to match the time slot.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 7 | none

 | :SENSe:GSM:TSLot:SELect 2
Examples | :GSM:TSL 2
 | :sense:gsm:tslot:select 2
 | :GSM:TSLot?


[:SENSe]:IQCache:ADDRess

Select a link to view the command details:

  • [:SENSe]:IQCache:ADDRess:INCRement
  • [:SENSe]:IQCache:ADDRess:STARt

See also:

  • [:SENSe]:IQCache:DSOurce
  • IQ Cache

[:SENSe]:IQCache:ADDRess:STARt

Set or query the IQ Cache start address. Applied only when data source is IQ Cache with Increment. Value may be set as decimal or hexadecimal. Value returned by query is hexadecimal in the form #Hddddd, where d is a hexadecimal digit.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | #H50000000 | #H50000000 | #H52FFFFFF | none

 | :SENSe:IQCache:ADDRess:STARt #H50000000
Examples | :IQC:ADDR:STAR #H50000000
 | :sense:iqcache:address:start #H50000000
 | :IQCache:ADDRess:STARt?


[:SENSe]:IQCache:DSOurce

Sets the IQ Cache data source.

Note icon Please consult with an Agilent Applications Engineer to implement this mode.

_
The VSA IQ Cache function allows the analyzer to perform measurements on data that was previously captured and stored in the analyzer DSP memory.

IQ cache Data Source has 3 modes:

  • NORMal (Normal): In this mode, as measured data is captured, it is stored in the IQ Cache. Each capture is stored as a separate data block, which includes a pointer to the beginning of the next block.
  • AUTO (Automatic): Data is read from the IQ Cache for measurements, instead of the measurements acquiring new data from the RF hardware. In automatic mode, the pointer information included with the data is used to calculate the next position in the data cache.
  • INCRement (Increment): Data from the IQ Cache is used for measurement calculation, as with the auto mode. However, in this mode,
    _

    Note icon Certain measurements may require additional data collection based on measurement settings. These settings may be incompatible with using the IQ Cache. In the case of GSM and EDGE, the ORFS noise correction is automatically disabled when analyzing data from the IQ Cache.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NORM | AUTO | INCR | Yes | NORMal | AUTO | INCRement | DEFault | NORM | N/A | N/A | none

 | :SENSe:IQCache:DSOurce NORM
Examples | :IQC:DSO NORM
 | :sense:iqcache:dsource normal
 | :IQCache:DSOurce?

_
Related commands:

  • [:SENSe]:IQCache:ADDRess:INCRement
  • [:SENSe]:IQCache:ADDRess:STARt

_
See Also:

  • IQ Cache overview


[:SENSe]:LPNoise[:STATe]

This feature is available only for the Model 2820A instrument with the UPN option (2820A-UPN).

Queries or switches Low Phase Noise on/off.

If your instrument is equipped with the -UPN option, enabling Low Phase Noise invokes the following performance improvements:

  • Improved phase noise: < -140 dBc/Hz phase noise at a 300kHz offset with a 2 GHz carrier
  • Improved EVM performance for WLAN signal (WLAN 802.11n EVM floor as low as -48 dBc)
  • Improved ORFS performance for GSM and EDGE signals
  • Typical frequency switching time of 1 ms (with the Low Phase Noise setting disabled, the frequency switching time is 250 µs)

_

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:LPNoise:STATe 0
Examples | :LPN 0
 | :sense:lpn:state 0
 | :SENSe:LPN?


[:SENSe]:OBWidth:AVERage

Select a link to view the command details:

  • [:SENSe]:OBWidth:AVERage:COUNt
  • [:SENSe]:OBWidth:AVERage[:STATe]
  • [:SENSe]:OBWidth:AVERage:TYPE

[:SENSe]:OBWidth:AVERage:COUNt

Queries or sets the averaging state for occupied bandwidth measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 100 | none

 | :SENSe:OBWidth:AVERage:COUNt 5
Examples | :OBW:AVER:COUN 5
 | :sense:obwidth:average:count 5
 | :OBWidth:AVERage:COUNt?

[:SENSe]:OBWidth:AVERage[:STATe]

Queries or switches averaging for occupied bandwidth measurements on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:OBWidth:AVERage:STATe 0
Examples | :GSM:OBW:AVER 0
 | :sense:obwidth:average:state 0
 | :GSM:OBWidth:AVERage?

[:SENSe]:OBWidth:AVERage:TYPE

Queries or sets the average type for occupied bandwidth measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | POW | GPOW | Yes | POWer | GPOWer | DEFault | POW | n/a | n/a | none

 | :SENSe:OBWidth:AVERage:TYPE GPOWer
Examples | :GSM:OBW:AVER:TYPE GPOW
 | :sense:obwidth:average:type gpower
 | :GSM:OBWidth:AVERage:TYPE?


[:SENSe]:PHASe:ADJust

Not applicable to the Model 2810.

Queries or adjusts carrier phase.

  • MAXimum sets the maximum allowable value of 180.
  • MINimum sets the minimum allowable value of -179.
  • DEFault sets the default (or Preset) value of 0.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -179 | 180 | degrees

 | :SENSe:PHASe:ADJust MAX
Examples | :PHAS:ADJ MAX
 | :sense:phase:adjust maximum
 | :SENS:PHAS:ADJ?


[:SENSe]:POWer

Select a link to view the command details:

  • [:SENSe]:POWer[:RF]:ATTenuation
  • [:SENSe]:POWer[:RF]:ATTenuation:AUTO[:STATe]
  • [:SENSe]:POWer[:RF]:GAIN[:STATe]

[:SENSe]:POWer[:RF]:ATTenuation

Queries or sets the RF (input) attenuator. When set, the AUTO state is disabled; therefore, [:SENSe]:POWer[:RF]:ATTenuation:AUTO? returns 0.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 0 | 30 | dB

 | :SENSe:POWer:RF:ATTenuation 20
Examples | :POW:ATT 20
 | :sense:power:rf:attenuation 20
 | :SENS:POWer:ATT?

[:SENSe]:POWer[:RF]:ATTenuation:AUTO[:STATe]

Queries or switches the automatic mode of the power attenuation on/off. When on, the RF attenuator setting is automatically determined. When OFF the user setting is maintained.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | [:SENSe]:POWer[:RF]:ATTenuation:AUTO[:STATe] 0
Examples | :POW:ATT:AUTO 0
 | [:sense]:power:rf:attenuation:auto:state 0
 | :POWer:ATTenuation:AUTO?

[:SENSe]:POWer[:RF]:GAIN[:STATe]

Queries or switches the power (preamp) gain on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:POWer:RF:GAIN:STATe 1
Examples | :POW:GAIN ON
 | :sense:power:rf:gain:state 1
 | :POWer:GAIN?

[:SENSe]:IQCache:ADDRess:INCRement

Queries or sets the IQ Cache address increment. Applied only when the data source is IQ Cache with Increment. Value may be set as decimal or hexadecimal. Value returned by query is hexadecimal in the form #Hddddd, where d is a hexadecimal digit.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0x0 | 0x0 | 0x10004 | none

 | :SENSe:IQCache:ADDRess:INCRement 0xFF
Examples | :IQC:ADDR:INCR 0xFF
 | :sense:iqcache:address:increment 0xFF
 | :IQCache:ADDRess:INCRement?


[:SENSe]:PSK

Select a link to view the command details:

  • [:SENSe]:PSK:DENCoding
  • [:SENSe]:PSK:FILTer
  • [:SENSe]:PSK:SPS
  • [:SENSe]:PSK:STYPe

[:SENSe]:PSK:DENCoding

Queries or switches differential encoding for PSK modulation on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:PSK:DENCoding 1
Examples | :PSK:DENC ON
 | :sense:psk:dencoding 1
 | :PSK:DENCoding?

[:SENSe]:PSK:FILTer

Queries or sets the filter type, and optionally the filter factor for PSK modulation. NRZ and WIDeband do not have filter factors.

  • NRZ - sets the filter type to non-return-to-zero.
  • RC - sets the filter type to Root-Cosine. The minimum filter factor is 0.20, the maximum is 1.0, and the default is 0.35.
  • RRC - sets the filter type to Raised-Root-Cosine. The minimum filter factor is 0.20, the maximum is 1.00, and the default is 0.22.
  • GAUSsian - sets the filter type to true Gaussian. The minimum filter factor is 0.30 when :PSK:STYP:BPSK and the minimum filter factor is 0.60 when :PSK:STYP:{PSQ | PSK8 | QPSK | TPFG}. The maximum is 3.00, and the default is 1.00.
  • NGAussian - sets the filter type to NRZ Gaussian. The minimum filter factor is 0.30, the maximum is 3.00, and the default is 1.00.
  • WIDeband- sets the filter type to wideband.
  • DEFault - sets the filter type NRZ.

See PSK filter settings for further details.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GAUS,Digits with an explicit decimal point. | NGA,Digits with an explicit decimal point. | NRZ | RC,Digits with an explicit decimal point. | RRC,Digits with an explicit decimal point. | WID | Yes | GAUSsian [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | NGAussian [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | NRZ | RC[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | RRC[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | WIDeband | DEFault | NRZ | n/a | n/a | none

 | :SENSe:PSK:FILTer RC
Examples | :PSK:FILT RC
 | :sense:psk:filter rc
 | :PSK:FILT?

[:SENSe]:PSK:SPS

Queries or sets the symbol per second for PSK modulation.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100000 | 10000 | 5000000 | symbols/sec

 | :SENSe:PSK:SPS 20000
Examples | :PSK:SPS 20000
 | :sense:psk:sps 20000
 | :PSK:SPS?

[:SENSe]:PSK:STYPe

Queries or sets symbol type for PSK modulation.

  • BPSK- sets the symbol type to binary phase-shift-keying.
  • QPSK - sets the symbol type to quadriphase phase-shift-keying.
  • PSK8 - sets the symbol type to 8 phase-shift-keying.
  • PFQ - sets the symbol type to P/4-QPSK.
  • TPFQ - sets the symbol type to 3P/4-QPSK.
  • DEFault - sets the symbol type to the default (or preset value of PSK8).
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BPSK | QPSK | PSK8 | PFQ | TPFQ | Yes | BPSK | QPSK | PSK8 | PFQpsk | TPFQpsk | DEFault | BPSK | n/a | n/a | none

 | :SENSe:PSK:STYPe QPSK
Examples | :PSK:STYP QPSK
 | :sense:psk:stype qpsk
 | :PSK:STYPe?


[:SENse]:SEMask

Select a link to view the command details:

  • [:SENSe]:SEMask:AVERage:COUNt
  • [:SENSe]:SEMask:AVERage[:STATe]
  • [:SENSe]:SEMask:AVERage:TYPE
  • [:SENSe]:SEMask:DETector[:FUNCtion]

[:SENSe]:SEMask:AVERage:COUNt

Queries or sets the averaging state for spectrum emission mask measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 100 | none

 | :SENSe:SEMask:AVERage:COUNt 15
Examples | :SEM:AVER:COUN 15
 | :sense:semask:average:count 15
 | :SEMask:AVERage:COUNt?

[:SENSe]:SEMask:AVERage[:STATe]

Queries or switches averaging for spectrum emission mask measurements on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:SEMask:AVERage:STATe 1
Examples | :SEM:AVER ON
 | :sense:semask:average:state 1
 | :SEM:AVERage?

[:SENSe]:SEMask:AVERage:TYPE

Queries or sets averaging type for spectrum emission mask measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GLOG | GPOW | GMAX | GMIN | GMM | Yes | GLOG | GPOWer | GMAX | GMIN | GMMax | DEFault | GLOG | n/a | n/a | none

 | :SENSe:SEMask:AVERage:TYPE GPOWer
Examples | :GSM:SEM:AVER:TYPE GPOW
 | :sense:semask:average:type gpower
 | :GSM:SEMask:AVERage:TYPE?

[:SENSe]:SEMask:DETector[:FUNCtion]

Queries or sets the detection type for spectrum emission mask measurements.

  • NORMal - sets the detector to normal.
  • MAX - sets both the upper and lower values to the maximum.
  • MIN - sets both the upper and lower values to the minimum.
  • SAMPle - sets both the upper and lower values to the middle span value.
  • PAVerage - sets both the upper and lower values to the average of the signal power.
  • NCPAverage - draws the trace using the result of two separate measurements with power average detection.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NORM | MAX | MIN | SAMP | PAV | NCPA | Yes | NORMal | MAX | MIN | SAMPle | PAVerage | NCPAverage | MAXimum | MINimum | DEFault | MAX | MIN | MAX | none

 | :SENSe:SEMask:DETector:FUNCtion NORMal
Examples | :GSM:SEM:DET NORM
 | :sense:semask:detector:function normal
 | :GSM:SEMask:DETector?


[:SENSe]:SPECtrum

Select a link to view the command details:

  • [:SENSe]:SPECtrum:AVERage:COUNt
  • [:SENSe]:SPECtrum:AVERage[:STATe]
  • [:SENSe]:SPECtrum:AVERage:TYPE
  • [:SENSe]:SPECtrum:BANDwidth:AUTO[:STATe]
  • [:SENSe]:SPECtrum:BANDwidth[:RESolution]
  • [:SENSe]:SPECtrum:BWIDth:AUTO[:STATe]
  • [:SENSe]:SPECtrum:BWIDth[:RESolution]
  • [:SENSe]:SPECtrum:SPUR:CANCellation[:STATe]
  • [:SENSe]:SPECtrum:SWEep:TIME
  • [:SENSe]:SPECtrum:SWEep:TIME:AUTO[:STATe]

[:SENSe]:SPECtrum:AVERage:COUNt

Queries or sets the number of averages for spectrum measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 1000 | none

 | :SENSe:SPECtrum:AVERage:COUNt 15
Examples | :SPEC:AVER:COUN 15
 | :sense:spectrum:average:count 15
 | :SPECtrum:AVERage:COUNt?

[:SENSe]:SPECtrum:AVERage[:STATe]

Queries or switches averaging for spectrum measurements on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:SPEctrum:AVERage:STATe 1
Examples | :SPEC:AVER 1
 | :sense:spectrum:average:state 1
 | :SPECtrum:AVERage?

[:SENSe]:SPECtrum:AVERage:TYPE

Queries or sets the average type for spectrum measurements.

  • LOG - sets the Running Log type of measurement averaging.
  • POWer - sets the Power Running type of measurement averaging.
  • GLOG - sets the Log Group type of measurement averaging.
  • GPOWer - sets the Power Group type of measurement averaging.
  • GMAX - sets the Max Group type of measurement averaging.
  • GMIN - sets the Min Group type of measurement averaging.
  • GMMAX - sets the Min/Max Group type of measurement averaging. This choice does not apply for Spectrum > General Purpose > ACPR.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | LOG | POW | GLOG | GPOW | GMAX | GMIN | GMM | Yes | LOG | POWer | GLOG | GPOWer | GMAX | GMIN | GMMax | DEFault | LOG | n/a | n/a | none

 | :SENSe:SPECtrum:AVERage:TYPE GPOWer
Examples | SPEC:AVER:TYPE GPOW
 | :sense:spectrum:average:type gpower
 | :SPECtrum:AVERage:TYPE?

[:SENSe]:SPECtrum:BANDwidth:AUTO[:STATe]

Queries or switches the resolution bandwidth on/off. When ON, the resolution bandwidth setting is automatically determined. When OFF the user setting is maintained.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:SPECtrum:BANDwidth:AUTO:STATe 0
Examples | :SPEC:BAND:AUTO 0
 | :sense:spectrum:bandwidth:auto:state 0
 | :SPECtrum:BANDwidth:AUTO?

[:SENSe]:SPECtrum:BANDwidth[:RESolution]

Queries or sets the resolution bandwidth directly. Doing so disables the AUTO state so :SPEC:BAND:AUTO? returns "0".

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10000 | 1 | 3000000 | Hz

 | :SENSe:SPECtrum:BANDwidth:RESolution 50000
Examples | :SPEC:BAND 50000
 | :sense:spectrum:bandwidth:resolution 50000
 | :SPECtrum:BANDwidth?

[:SENSe]:SPECtrum:BWIDth:AUTO[:STATe]

Queries or switches the resolution bandwidth on/off. When ON, the resolution bandwidth setting is automatically determined. When OFF the user setting is maintained. This is the alias for [:SENSe]:SPECtrum:BANDwidth:AUTO[:STATe]

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENse:SPECtrum:BWIDth:AUTO:STATe 0
Examples | :SPEC:BWID:AUTO 0
 | :sense:spectrum:bwidth:auto:state 0
 | :SPECtrum:BWIDth:AUTO?

[:SENSe]:SPECtrum:BWIDth[:RESolution]

Queries or sets the resolution bandwidth directly. Doing so disables the AUTO state so :SPEC:BAND:AUTO? returns "0". An alternate command to BANDwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10000 | 1 | 3000000 | Hz

 | :SENSe:SPECtrum:BWIDth:RESolution 50000
Examples | :SPEC:BWID 50000
 | :sense:spectrum:bwidth:resolution 50000
 | :SPECtrum:BWIDth?

HorizontalRuleLong

HorizontalRuleLong

[:SENSe]:SPECtrum:SPUR:CANCellation[:STATe]

Queries or switches the spur cancellation operation on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:SPECtrum:SPUR:CANCellation:STATe 0
Examples | :SPEC:SPUR:CANC 0
 | :sense:spectrum:spur:cancellation:state 0
 | :SPECtrum:SPUR:CANCellation?

[:SENSe]:SPECtrum:SWEep:TIME

Queries or sets the sweep time for the spectrum measurement. Since the measurement is not actually swept, this controls the acquisition time. If the time is greater than the minimum required for the FFT, multiple overlapping FFTs will be performed and the results combined to yield the frequency that results in covering the specified time range.

CAUTION: Setting the sweep greater than the minimum will proportionally increase the measurement time.

___

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.000004 | 0.0000003 | 1 | Seconds

 | :SENSe:SPECtrum:SWEep:TIME 0.00055
Examples | :SPEC:SWE:TIME 0.0001
 | :spectrum:sweep:time 0.0001
 | :SPECtrum:SWEep:TIME?

[:SENSe]:SPECtrum:SWEep:TIME:AUTO[:STATe]

Queries or enables/disables auto-coupling the sweep time to the resolution bandwidth. When enabled, the sweep time is approximately 1.0 / RBW.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or ON | n/a | n/a | none

 | :SENSe:SPECtrum:SWEep:TIME:AUTO:STATe 0
Examples | :SPEC:SWE:TIME:AUTO:STAT OFF
 | :spectrum:sweep:time:auto:state 0
 | :SPECtrum:SWEep:TIME:AUTO?


[:SENSe]:UFLatness

Select a link to view the command details:

  • [:SENSe]:UFLatness:LOAD
  • [:SENSe]:UFLatness[:STATe]

[:SENSe]:UFLatness:LOAD

Queries or loads the User Flatness table from the specified file. DEFault is clear list and turn off if on.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string (filename) | Yes | (filename) | DEFault, " " | " " | n/a | n/a | none

 | :SENSe:UFLatness:LOAD
Examples | :SPEC:UFL:LOAD
 | :sense:uflatness:load
 | :SPECtrum:UFLatness:LOAD?

Example:

You can use the programming command [:SENSe]:UFLatness:LOAD to load a file from a directory in the analyzer, a USB memory stick inserted into the Series V2800, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
User Flatness User | filename or \User\filename | ...\Agilent\ Series V2800 \ Documents\<model>\ User Flatness
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2820A.

[:SENSe]:UFLatness[:STATe]

Queries or switches User Flatness on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:UFLatness:STATe 1
Examples | :SPEC:UFL 1
 | :sense:uflatness:state 1
 | :UFLatness?


[:SENSe]:WCDMa:DOWNlink

Select a link to view the command details:

  • [:SENSe]:WCDMa:DOWNlink:ACLR:SWEep:TIME
  • [:SENSe]:WCDMa:DOWNlink:AVERage
  • [:SENSe]:WCDMa:DOWNlink:CODE
  • [:SENSe]:WCDMa:DOWNlink:EVM:SYMBol
  • [:SENSe]:WCDMa:DOWNlink:MULTicarrier[:STATe]
  • [:SENSe]:WCDMa:DOWNlink:HSDPa[:STATe]

[:SENSe]:WCDMa:DOWNlink:ACLR:SWEep:TIME

Queries or sets sweep time for a W-CDMA Downlink ACLR measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.01 | 0.000001 | 30 | Seconds

 | :SENSe:WCDMa:DOWNlink:ACLR:SWEep:TIME 0.005
Examples | :WCDM:DOWN:ACLR:SWE:TIME 0.005
 | :sense:wcdma:downlink:aclr:sweep:time 0.005
 | :WCDMa:DOWNlink:ACLR:SWEep:TIME?


[:SENSe]:WCDMa:DOWNlink:AVERage

Select a link to view the command details:

  • [:SENSe]:WCDMa:DOWNlink:AVERage:COUNt
  • [:SENSe]:WCDMa:DOWNlink:AVERage[:STATe]
  • [:SENSe]:WCDMa:DOWNlink:AVERage:TYPE

[:SENSe]:WCDMa:DOWNlink:AVERage:COUNt

Queries or sets averaging count for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 100 | none

 | :SENSe:WCDMa:DOWNlink:AVERage:COUNt 5
Examples | :WCDM:DOWN:AVER:COUN 5
 | :sense:wcdma:downlink:average:count 5
 | :WCDMa:DOWNlink:AVERage:COUNt?

[:SENSe]:WCDMa:DOWNlink:AVERage[:STATe]

Queries or switches averaging for a W-CDMA Downlink measurement on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WCDMa:DOWNlink:AVERage:STATe 1
Examples | :WCDM:DOWN:AVER 1
 | :sense:wcdma:downlink:average:state 1
 | :WCDMa:DOWNlink:AVERage?

[:SENSe]:WCDMa:DOWNlink:AVERage:TYPE

Queries or sets averaging type for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GME | GMAX | GMIN | Yes | GMEan | GMAX | GMIN | DEFault | GME | n/a | n/a | none

 | :SENSe:WCDMa:DOWNlink:AVERage:TYPE GMAX
Examples | :WCDM:DOWN:AVER:TYPE GMAX
 | :sense:wcdma:downlink:average:TYPE GMAX
 | :WCDMa:DOWNlink:AVERage:TYPE?


[:SENSe]:WCDMa:DOWNlink:CODE

Select a link to view the command details:

  • [:SENSe]:WCDMa:DOWNlink:CODE:SCRamble
  • [:SENSe]:WCDMa:DOWNlink:CODE:STYPe

[:SENSe]:WCDMa:DOWNlink:CODE:SCRamble

Queries or sets the scramble code for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 511 | none

 | :SENSe:WCDMa:DOWNlink:CODE:SCRamble 5
Examples | :WCDM:DOWN:CODE:SCR 5
 | :sense:wcdma:downlink:code:scramble 5
 | :WCDMa:DOWNlink:CODE:SCRamble?

[:SENSe]:WCDMa:DOWNlink:CODE:STYPe

Queries or sets sync type for a W-CDMA Downlink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | CPICH | Yes | CPICH | DEFault | CPICH | n/a | n/a | none

 | :SENSe:WCDMa:DOWNlink:CODE:STYPe
Examples | :WCDM:DOWN:CODE:STYP
 | :sense:wcdma:downlink:code:stype
 | :WCDMa:DOWNlink:CODE:STYPe?


[:SENSe]:WCDMa:DOWNlink:EVM:SYMBol

Select a link to view the command details:

  • [:SENSe]:WCDMa:DOWNlink:EVM:SYMBol:CNUMber
  • [:SENSe]:WCDMa:DOWNlink:EVM:SYMBol:SFACtor

[:SENSe]:WCDMa:DOWNlink:EVM:SYMBol:CNUMber

Queries or sets the code number for a W-CDMA Downlink Symbol EVM measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 255 | none

 | :SENSe:WCDMa:DOWNlink:EVM:SYMBol:CNUMber 200
Examples | :WCDM:DOWN:EVM:SYMB:CNUM 200
 | :sense:wcdma:downlink:evm:symbol:cnumber 200
 | :WCDMa:DOWNlink:EVM:SYMBol:CNUMber?

[:SENSe]:WCDMa:DOWNlink:EVM:SYMBol:SFACtor

Queries or sets the spread factor for a W-CDMA Downlink Symbol EVM measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | DEFault | 256 | n/a | n/a | none

 | :SENSe:WCDMa:DOWNlink:EVM:SYMBol:SFACtor
Examples | :WCDM:DOWN:EVM:SYMB:SFAC
 | :sense:wcdma:downlink:evm:symbol:sfactor
 | :WCDMa:DOWNlink:EVM:SYMBol:SFACtor?


[:SENSe]:WCDMa:DOWNlink:MULTicarrier[:STATe]

Queries or switches multi-carrier demodulation on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WCDMa:DOWNlink:MULTicarrier:STATe 1
Examples | :WCDM:DOWN:MULTI 1
 | :sense:wcdma:downlink:multicarrier:state 1
 | :WCDMa:DOWNlink:MULTicarrier?


[:SENSe]:WCDMa:DOWNlink:HSDPa[:STATe]

Queries or switches detection of HSDPA channels on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WCDMa:DOWNlink:HSDPa:STATe 1
Examples | :WCDM:DOWN:HSDP 1
 | :sense:wcdma:downlink:hsdpa:state 1
 | :WCDMa:DOWNlink:HSDPa?


[:SENSe]:WCDMa:UPLink

Select a link to view the command details:

  • [:SENse]:WCDMa:UPLink:ACLR:SWEep:TIME
  • [:SENSe]:WCDMa:AVERage
  • [:SENSe]:WCDMa:UPLink:CODE

[:SENse]:WCDMa:UPLink:ACLR:SWEep:TIME

Queries or sets sweep time for a W-CDMA Uplink ACLR measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.01 | 0.000001 | 30 | seconds

 | :SENSe:WCDMa:UPLink:ACLR:SWEep:TIME 0.02
Examples | :WCDM:UPL:ACLR:SWE:TIME 0.02
 | :sense:wcdma:uplink:aclr:sweep:time 0.02
 | :WCDMa:UPLink:ACLR:SWEep:TIME?


[:SENSe]:WCDMa:UPLink:AVERage

Select a link to view the command details:

  • [:SENSe]:WCDMa:UPLink:AVERage:COUNt
  • [:SENSe]:WCDMa:UPLink:AVERage[:STATe]
  • [:SENSe]:WCDMa:UPLink:AVERage:TYPE

[:SENSe]:WCDMa:UPLink:AVERage:COUNt

Queries or sets the number of averages for a W-CDMA Uplink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 100 | none

 | :SENSe:WCDMa:UPLink:AVERage:COUNt 5
Examples | :WCDM:UPL:AVER:COUN 5
 | :sense:wcdma:uplink:average:count 5
 | :WCDMa:UPLink:AVERage:COUNt?

[:SENSe]:WCDMa:UPLink:AVERage[:STATe]

Queries or switches measurement averaging for a W-CDMA Uplink measurement on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WCDMa:UPLink:AVERage:STATe 1
Examples | :WCDM:UPL:AVER 1
 | :sense:wcdma:uplink:average:state 1
 | :WCDMa:UPLink:AVERage?

[:SENSe]:WCDMa:UPLink:AVERage:TYPE

Queries or sets the average type for a W-CDMA Uplink measurement.

  • GMAX - sets the Max Group type of measurement averaging.
  • GMIN - sets the Min Group type of measurement averaging.
  • GME - sets the Mean Group type of measurement averaging.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GME | GMAX | GMIN | Yes | GMEan | GMAX | GMIN | DEFault | GME | n/a | n/a | none

 | :SENSe:WCDMa:UPLink:AVERage:TYPE GMAX
Examples | :WCDM:UPL:AVER:TYPE GMAX
 | :sense:wcdma:uplink:average:type gmax
 | :WCDMa:UPLink:AVERage:TYPE?


[:SENSe]:WCDMa:UPLink:CODE

Select a link to view the command details:

  • [:SENSe]:WCDMa:UPLink:CODE:SCRamble
  • [:SENSe]:WCDMa:UPLink:CODE:SFORmat
  • [:SENSe]:WCDMa:UPLink:CODE:STYPe

[:SENSe]:WCDMa:UPLink:CODE:SCRamble

Queries or sets the scramble code for a W-CDMA uplink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 16777215 | none

 | :SENSe:WCDMa:UPLink:CODE:SCRamble 1600
Examples | :WCDM:UPL:CODE:SCR 1600
 | :sense:wcdma:uplink:code:scramble 1600
 | :WCDMa:UPLink:CODE:SCRamble?

[:SENSe]:WCDMa:UPLink:CODE:SFORmat

Queries or sets the slot format for a W-CDMA uplink measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 5 | none

 | :SENSe:WCDMa:UPLink:CODE:SFORmat 3
Examples | :WCDM:UPL:CODE:SFOR 3
 | :sense:wcdma:uplink:code:sformat 3
 | :WCDMa:UPLink:CODE:SFORmat?

[:SENSe]:WCDMa:UPLink:CODE:STYPe

Queries or sets the sync type for a W-CDMA uplink measurement. DPCCH - sets the Dedicated Physical Control Channel value.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | DPCCH | Yes | DPCCH | DEFault | DPCCH | n/a | n/a | none

 | :SENSe:WCDMa:UPLink:CODE:STYPe
Examples | :WCDM:UPL:CODE:STYP
 | :sense:wcdma:uplink:code:stype
 | :WCDMa:UPLink:CODE:STYPe?


[:SENSe]:WCDMa:UPLink[:EVM]:Symbol

Select a link to view the command details:

  • [:SENSe]:WCDMa:UPLink[:EVM]:SYMBol:CNUMber
  • [:SENSe]:WCDMa:UPLink[:EVM]:SYMBol:IQBRanch
  • [:SENSe]:WCDMa:UPLink[:EVM]:SYMBol:SFACtor

[:SENSe]:WCDMa:UPLink[:EVM]:SYMBol:CNUMber

Queries or sets the code number for W-CDMA Uplink Symbol EVM measurement and for Code Channel constellation diagrams.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 255 | none

 | :SENSe:WCDMa:UPLink:EVM:SYMBol:CNUMber 200
Examples | :WCDM:UPL:EVM:SYMB:CNUM 200
 | :sense:wcdma:uplink:evm:symbol:cnumber 200
 | :WCDMa:UPLink:EVM:SYMBol:CNUMber?

[:SENSe]:WCDMa:UPLink[:EVM]:SYMBol:IQBRanch

Set or query the I/Q branch (I or Q) for W-CDMA Uplink Symbol EVM measurement and for Code Channel constellation diagrams.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | I | Q | Yes | I | Q | DEFault | I | n/a | n/a | none

 | :SENSe:WCDMa:UPLink:EVM:SYMBol:IQBRanch Q
Examples | :WCDM:UPL:EVM:SYMB:IQBR Q
 | :sense:wcdma:uplink:evm:symbol:iqbranch q
 | :WCDMa:UPLink:EVM:SYMBol:IQBRanch?

[:SENSe]:WCDMa:UPLink[:EVM]:SYMBol:SFACtor

Queries or sets the spread factor for a W-CDMA Uplink Symbol EVM measurement and for Code Channel constellation diagrams.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | DEFault | 256 | n/a | n/a | none

 | :SENSe:WCDMa:UPLink:EVM:SYMBol:SFACtor 4
Examples | :WCDM:UPL:EVM:SYMB:SFAC 4
 | :sense:wcdma:uplink:evm:symbol:sfactor 4
 | :WCDMa:UPLink:EVM:SYMBol:SFACtor?


[:SENSe]:WCDMa:UPLink:HSUPa[:STATe]

Queries or switches detection of HSUPA channels on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WCDMa:UPLink:HSUPa:STATe 1
Examples | :WCDM:UPL:HSUP 1
 | :sense:wcdma:uplink:hsupa:state 1
 | :WCDMa:UPLink:HSUPa?


[:SENSe]:WIMax

Select a link to view the command details:

  • [:SENSe]:WIMax:AVERage:COUNT
  • [:SENSe]:WIMax:AVERage[:STATe]
  • [:SENSe]:WIMax:EQUalizer
  • [:SENSe]:WIMax:GAIN[:STATe]
  • [:SENSe]:WIMax:MAP
  • [:SENSe]:WIMax:RHIStory:CLEar
  • [:SENSe]:WIMax:RHIStory:LENGth
  • [:SENSe]:WIMax:SIGNal
  • [:SENSe]:WIMax:TAMPlitude
  • [:SENSe]:WIMax:TCLock
  • [:SENSe]:WIMax:TPHase

[:SENSe]:WIMax:AVERage:COUNT

Queries or sets averaging count for a WiMAX measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 100 | none

 | :SENSe:WIMax:AVERage:COUNt 5
Examples | :WIM:AVER:COUN 5
 | :sense:wimax:average:count 5
 | :WIMax:AVERage:COUNt?

[:SENSe]:WIMax:AVERage[:STATe]

Queries or switches averaging for a WiMAX measurement on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WIMax:AVERage:STATe 1
Examples | :WIM:AVER 1
 | :sense:wimax:average:state 1
 | :WIMax:AVERage?

[:SENSe]:WIMax:EQUalizer

Queries or sets the equalizer method for WiMAX measurements.

  • CESequence - sets the equalizer method to Chan Est Seq.
  • PPILots - sets the equalizer method to Chan Est Seq plus Pilots.
  • PDATa - sets the equalizer method to Chan Est Seq plus Data.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | CES | PDAT | PPIL | Yes | CESequence | PPILots | PDATa | DEFault | PPIL | n/a | n/a | none

 | :SENSe:WIMax:EQUalizer PDATa
Examples | :WIM:EQU PDAT
 | :sense:wimax:equalizer pdata
 | :WIMax:EQUalizer?

[:SENSe]:WIMax:GAIN[:STATe]

Queries or switches on/off WiMAX Gain Compression and Phase Compression trace types.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WIMax:GAIN:STATe 1
Examples | :WIM:GAIN 1
 | :sense:wimax:gain:state 1
 | :WIMax:GAIN?


[:SENSe]:WIMax:MAP

Select a link to view the command details:

  • [:SENSe]:WIMax:MAP:EDIT:BANDwidth
  • [:SENSe]:WIMax:MAP:EDIT:BWIDth
  • [:SENSe]:WIMax:MAP:EDIT:CANCel
  • [:SENSe]:WIMax:MAP:EDIT:DOWNlink
  • [:SENSe]:WIMax:MAP:EDIT:FDURation
  • [:SENSe]:WIMax:MAP:EDIT:FFTSize
  • [:SENSe]:WIMax:MAP:EDIT:GINTerval
  • [:SENSe]:WIMax:MAP:EDIT:LOAD
  • [:SENSe]:WIMax:MAP:EDIT:PINDex
  • [:SENSe]:WIMax:MAP:EDIT:SEGMent
  • [:SENSe]:WIMax:MAP:EDIT:SGRoup
  • [:SENSe]:WIMax:MAP:EDIT:SUBFrame
  • [:SENSe]:WIMax:MAP:EDIT:UPLink
  • [:SENSe]:WIMax:MAP:LOAD
  • [:SENSe]:WIMax:MAP:SAVE
  • [:SENSe]:WIMax:RHIStory:CLEar
  • [:SENSe]:WIMax:RHIStory:LENGth
  • [:SENSe]:WIMax:TAMPlitude
  • [:SENSe]:WIMax:TCLock
  • [:SENSe]:WIMax:TPHase
[:SENSe]:WIMax:MAP:EDIT:BANDwidth

Queries or sets bandwidth of WiMAX input signal. The alternative form is BWIDth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10000000 | 2000000 | 28000000 | Hz

 | :SENSe:WIMax:MAP:EDIT:BANDwidth MAXimum
Examples | :WIMax:MAP:EDIT:BAND MAX
 | :sense:wimax:map:edit:bandwidth maximum
 | :WIM:MAP:EDIT:BANDwidth?

[:SENSe]:WIMax:MAP:EDIT:BWIDth

Queries or sets bandwidth of WiMAX input signal. The alternative form is BANDwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10000000 | 2000000 | 28000000 | Hz

 | :SENSe:WIMax:MAP:EDIT:BWIDth MAXimum
Examples | :WIMax:MAP:EDIT:BWID MAX
 | :sense:wimax:map:edit:bwidth maximum
 | :WIM:MAP:EDIT:BWIDth?

[:SENSe]:WIMax:MAP:EDIT:CANCel

Cancels WiMAX editing. WiMAX enters Edit mode when a map edit command is executed. Continuous sweeps are turned off in Edit mode. Edit mode exits when the :EDIT:LOAD command is executed, a sweep is triggered or the :EDIT:CANCel command is executed. When editing is cancelled the edit map is restored to the settings that existed when last loaded to the DSP. Continuous sweeping is restored when you exit Edit mode.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:CANCel
Examples | :WIMax:MAP:EDIT:CANC
 | :sense:wimax:map:edit:cancel


[:SENSe]:WIMax:MAP:EDIT:DOWNlink

Select a link to view the command details:

  • [:SENSe]:WIMax:MAP:EDIT:DOWNlink:BURSt
  • [:SENSe]:WIMax:MAP:EDIT:DOWNlink:BURSt:ADD
  • [:SENSe]:WIMax:MAP:EDIT:DOWNlink:SBURst
  • [:SENSe]:WIMax:MAP:EDIT:DOWNlink:SYMBol:COUnt
  • [:SENSe]:WIMax:MAP:EDIT:DOWNlink:SZONe
  • [:SENSe]:WIMax:MAP:EDIT:DOWNlink:ZONE
  • [:SENSe]:WIMax:MAP:EDIT:DOWNlink:ZONE:ADD

[:SENSe]:WIMax:MAP:EDIT:DOWNlink:BURSt

Queries burst parameters for the selected burst: startSymbol, startSubchannel, width[symbols], height[subchannels], modulation/code rate, or repetition.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit., QPSKR1BY2 |QPSKR3BY4 |QAM16R1BY2| QAM16R3BY4| QAM64R1BY2| QAM64R2BY3| QAM64R3BY4, NONE|R2|R4|R6 | No | none | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:DOWNlink:BURSt?
Examples | :WIMax:MAP:EDIT:DOWN:BURS?
 | :sense:wimax:map:edit:downlink:burst?

[:SENSe]:WIMax:MAP:EDIT:DOWNlink:BURSt:ADD

Adds a new burst to the specified zone in the WiMAX Downlink subframe. The parameters are: startSymbol, startSubchannel, width[symbols], height[subchannels], modulation, and repetition. Bursts in PUSC type zones must start on an even symbol and have an even width.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6)., Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6)., QPSKR1BY2| QPSKR3BY4| QAM16R1BY2| QAM16R3BY4| QAM64R1BY2| QAM64R2BY3| QAM64R3BY4, NONE|R2|R4|R6 | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:DOWNlink:BURSt:ADD
Examples | :WIMax:MAP:EDIT:DOWN:BURS:ADD
 | :sense:wimax:map:edit:downlink:burst:add

[:SENSe]:WIMax:MAP:EDIT:DOWNlink:SBURst

Queries or sets the active burst within the active zone in the Downlink subframe.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 0 | 0 | 63 | none

 | :SENSe:WIMax:MAP:EDIT:DOWNlink:SBURst 40
Examples | :WIM:MAP:EDIT:DOWN:SBURst 40
 | :sense:wimax:map:edit:downlink:sburst 40
 | :WIMax:MAP:EDIT:DOWNlink:SBURst?

[:SENSe]:WIMax:MAP:EDIT:DOWNlink:SYMBol:COUNt

Queries or sets the number of symbols in the WiMAX Downlink subframe.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 11 | 1 | 300 | symbols

 | :SENSe:WIMax:MAP:EDIT:DOWNlink:SYMBol:COUNt 40
Examples | :WIM:MAP:EDIT:DOWN:SYMB:COUN 40
 | :sense:wimax:map:edit:downlink:symbol:count 40
 | :WIMax:MAP:EDIT:DOWNlink:SYMBols:COUNt?

[:SENSe]:WIMax:MAP:EDIT:DOWNlink:SZONe

Queries or sets the active zone in the Downlink subframe.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 0 | 0 | 8 | none

 | :SENSe:WIMax:MAP:EDIT:DOWNlink:SZONe 4
Examples | :WIMax:MAP:EDIT:DOWN:SZON 4
 | :sense:wimax:map:edit:downlink:szone 4
 | :WIMax:MAP:EDIT:DOWNlink:SZONe?

[:SENSe]:WIMax:MAP:EDIT:DOWNlink:ZONE

Queries zone type, zone length, permutationBase and PRBS_ID for the currently selected zone.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | FUSC|PUSC,Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit. | No | none | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:DOWNlink:ZONe?
Examples | :WIMax:MAP:EDIT:DOWN:ZON?
 | :sense:wimax:map:edit:downlink:zone?

[:SENSe]:WIMax:MAP:EDIT:DOWNlink:ZONE:ADD

Adds a new zone to the WiMAX Downlink subframe. The parameters are: zoneType, zoneLength[symbols], permutationBase, and PRBS_ID. PUSC type zones must have a width that is a multiple of two. FUSC type zones can be any width. PRBS_ID is optional, since it was not in the initial release. If not specified, a value of zero is used. PRBS_ID is always zero for Zone 0.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | FUSC|PUSC,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:DOWNlink:ZONE:ADD PUSC
Examples | :WIMax:MAP:EDIT:DOWN:ZONE:ADD PUSC
 | :sense:wimax:map:edit:downlink:zone:add pusc
 | :WIMax:MAP:EDIT:DOWN:ZONE:ADD?


[:SENSe]:WIMax:MAP:EDIT:FDURation

Queries or sets the frame duration of the WiMAX signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.01 | 0.002 | 0.02 | seconds

 | :SENSe:WIMax:MAP:EDIT:FDURation 0.015
Examples | :WIM:MAP:EDIT:FDUR 0.015
 | :sense:wimax:map:edit:fduration 0.015
 | :WIMax:MAP:EDIT:FDURation?


[:SENSe]:WIMax:MAP:EDIT:FFTSize

Queries or sets the FFT size of the WiMAX signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1024 | 128 | 2048 | none

 | :SENSe:WIMax:MAP:EDIT:FFTSize MAXimum
Examples | :WIM:MAP:EDIT:FFTS MAX
 | :sense:wimax:map:edit:fftsize maximum
 | :WIMax:MAP:EDIT:FFTSize?


[:SENSe]:WIMax:MAP:EDIT:GINTerval

Queries or sets the guard interval of the WiMAX signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | R1BY32 | R1BY16 | R1BY8 | R1BY4 | Yes | R1BY32 | R1BY16 | R1BY8 | R1BY4 | DEFault | R1BY8 | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:GINTerval R1B4
Examples | :WIM:MAP:EDIT:GINT R1B4
 | :sense:wimax:map:edit:ginterval r1b4
 | :WIMax:MAP:EDIT:GINTerval?


[:SENSe]:WIMax:MAP:EDIT:LOAD

Loads the edit version of the WiMAX signal map to the DSP. None of the parameters set by the other :SENSe:WIMax:MAP:EDIT commands are applied to the measurement until this :LOAD command is executed.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:LOAD
Examples | :WIM:MAP:EDIT:LOAD
 | :sense:wimax:map:edit:load


[:SENSe]:WIMax:MAP:EDIT:PINDex

Queries or sets the preamble index of the WiMAX signal. Currently applied to only Downlink PUSC zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 113 | none

 | :SENSe:WIMax:MAP:EDIT:PINDex MAX
Examples | :WIM:MAP:EDIT::PIND MAX
 | :sense:wimax:map:edit:pindex max
 | :WIMax:MAP:EDIT:PINDex?


[:SENSe]:WIMax:MAP:EDIT:SEGMent

Queries or sets the segment of the WiMAX signal. Only applied to Downlink PUSC zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | SEGM0 | SEGM1 | SEGM2 | Yes | SEGMent0 | SEGMent1 | SEGMent2 | DEFault | SEGM0 | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:SEGMent SEGM1
Examples | :WIM:MAP:EDIT:SEGM SEGM1
 | :sense:wimax:map:edit:segment segm1
 | :WIMax:MAP:EDIT:SEGMent?


[:SENSe]:WIMax:MAP:EDIT:SGRoup

Select a link to view the command details:

  • [:SENSe]:WIMax:MAP:EDIT:SGRoup0
  • [:SENSe]:WIMax:MAP:EDIT:SGRoup1
  • [:SENSe]:WIMax:MAP:EDIT:SGRoup2
  • [:SENSe]:WIMax:MAP:EDIT:SGRoup3
  • [:SENSe]:WIMax:MAP:EDIT:SGRoup4
  • [:SENSe]:WIMax:MAP:EDIT:SGRoup5

[:SENSe]:WIMax:MAP:EDIT:SGRoup0

Queries or switches on/off WiMAX Subchannel Group 0. Currently applied to only Downlink PUSC zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:SGRoup0 Off
Examples | :WIM:MAP:EDIT:SGR0 Off
 | :sense:wimax:map:edit:sgroup0 off
 | :WIMax:MAP:EDIT:SGRoup0?

[:SENSe]:WIMax:MAP:EDIT:SGRoup1

Queries or switches on/off WiMAX Subchannel Group 1. Currently applied to only Downlink PUSC zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:SGRoup1 Off
Examples | :WIM:MAP:EDIT:SGR1 Off
 | :sense:wimax:map:edit:sgroup1 off
 | :WIMax:MAP:EDIT:SGRoup1?

[:SENSe]:WIMax:MAP:EDIT:SGRoup2

Queries or switches on/off WiMAX Subchannel Group 2. Currently applied to only Downlink PUSC zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:SGRoup2 Off
Examples | :WIM:MAP:EDIT:SGR2 Off
 | :sense:wimax:map:edit:sgroup2 off
 | :WIMax:MAP:EDIT:SGRoup2?

[:SENSe]:WIMax:MAP:EDIT:SGRoup3

Queries or switches on/off WiMAX Subchannel Group 3. Currently applied to only Downlink PUSC zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:SGRoup3 Off
Examples | :WIM:MAP:EDIT:SGR3 Off
 | :sense:wimax:map:edit:sgroup3 off
 | :WIMax:MAP:EDIT:SGRoup3?

[:SENSe]:WIMax:MAP:EDIT:SGRoup4

Queries or switches on/off WiMAX Subchannel Group 4. Currently applied to only Downlink PUSC zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:SGRoup4 Off
Examples | :WIM:MAP:EDIT:SGR4 Off
 | :sense:wimax:map:edit:sgroup4 off
 | :WIMax:MAP:EDIT:SGRoup4?

[:SENSe]:WIMax:MAP:EDIT:SGRoup5

Queries or switches on/off WiMAX Subchannel Group 5. Currently applied to only Downlink PUSC zones.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:SGRoup5 Off
Examples | :WIM:MAP:EDIT:SGR5 Off
 | :sense:wimax:map:edit:sgroup5 off
 | :WIMax:MAP:EDIT:SGRoup5?


[:SENSe]:WIMax:MAP:EDIT:SUBFrame

Queries or sets the WiMAX subframe type to analyze.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | DOWN|UPL | Yes | DOWNlink | UPLink | DEFault | UPL | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:SUBFrame DOWN
Examples | :WIM:MAP:EDIT:SUBF DOWN
 | :sense:wimax:map:edit:subframe down
 | :WIMax:MAP:EDIT:SUBFrame?


[:SENSe]:WIMax:MAP:EDIT:UPLink

Select a link to view the command details:

  • [:SENSe]:WIMax:MAP:EDIT:UPLink:BURSt
  • [:SENSe]:WIMax:MAP:EDIT:UPLink:BURSt:ADD
  • [:SENSe]:WIMax:MAP:EDIT:UPLink:SBURst
  • [:SENSe]:WIMax:MAP:EDIT:UPLink:SYMBol:COUNt
  • [:SENSe]:WIMax:MAP:EDIT:UPLink:SZONe
  • [:SENSe]:WIMax:MAP:EDIT:UPLink:ZONE
  • [:SENSe]:WIMax:MAP:EDIT:UPLink:ZONE:ADD

[:SENSe]:WIMax:MAP:EDIT:UPLink:BURSt

Query burst parameters for the selected burst: startSymbol, startSubchannel, length[slots],modulation/code rate, and repetition.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit.,Digits with an implied decimal point assumed at the right of the least-significant digit., QPSKR1BY2 | QPSKR3BY4 | QAM16R1BY2 | QAM16R3BY4 | QAM64R1BY2 | QAM64R2BY3 | QAM64R3BY4, NONE | R2 | R4 | R6 | No | none | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:UPLink:BURSt?
Examples | :WIMax:MAP:EDIT:UPL:BURS?
 | :sense:wimax:map:edit:uplink:burst?

[:SENSe]:WIMax:MAP:EDIT:UPLink:BURSt:ADD

Adds a new burst to the specified zone in the WiMAX Uplink subframe. The parameters are: startSymbol, startSubchannel, length[symbols], modulation, and repetition. Bursts in PUSC type zones must start on a slot boundary and have a length that is a multiple of three.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6)., Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6)., QPSKR1BY2 | QPSKR3BY4 | QAM16R1BY2 | QAM16R3BY4 | QAM64R1BY2 | QAM64R2BY3 | QAM64R3BY4, NONE | R2 | R4 | R6 | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:UPLink:BURSt:ADD
Examples | :WIMax:MAP:EDIT:UPL:BURS:ADD
 | :sense:wimax:map:edit:uplink:burst:add

[:SENSe]:WIMax:MAP:EDIT:UPLink:SBURst

Queries or sets the active burst within the active zone in the Uplink subframe.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 0 | 0 | 63 | none

 | :SENSe:WIMax:MAP:EDIT:UPLink:SBURst 40
Examples | :WIM:MAP:EDIT:UPL:SBURst 40
 | :sense:wimax:map:edit:uplink:sburst 40
 | :WIMax:MAP:EDIT:UPLink:SBURst?

[:SENSe]:WIMax:MAP:EDIT:UPLink:SYMBol:COUNt

Queries or sets the number of symbols in the WiMAX Uplink subframe.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 11 | 1 | 300 | symbols

 | :SENSe:WIMax:MAP:EDIT:UPLink:SYMBol:COUnt 40
Examples | :WIM:MAP:EDIT:UPL:SYMB:COU 40
 | :sense:wimax:map:edit:uplink:symbol:count 40
 | :WIMax:MAP:EDIT:UPLink:SYMBol:COUnt?

[:SENSe]:WIMax:MAP:EDIT:UPLink:SZONe

Queries or sets the active zone in the Uplink subframe

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 0 | 0 | 63 | none

 | :SENSe:WIMax:MAP:EDIT:UPLink:SZONe 4
Examples | :WIMax:MAP:EDIT:UPL:SZON 4
 | :sense:wimax:map:edit:uplink:szone 4
 | :WIMax:MAP:EDIT:UPLink:SZONe?

[:SENSe]:WIMax:MAP:EDIT:UPLink:ZONE

Queries zone type, zone length, and permutationBase for the currently selected zone.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | FUSC | PUSC, Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit. | No | none | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:UPLink:ZONe?
Examples | :WIMax:MAP:EDIT:UPL:ZON?
 | :sense:wimax:map:edit:uplink:zone?

[:SENSe]:WIMax:MAP:EDIT:UPLink:ZONE:ADD

Adds a new zone to the WiMAX Uplink subframe. The parameters are: zoneType, zoneLength[symbols], and permutationBase. PUSC type zones must have a width that is a multiple of two. FUSC type zones can be any width.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | FUSC|PUSC, Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:EDIT:UPLink:ZONE:ADD PUSC
Examples | :WIMax:MAP:EDIT:UPL:ZONE:ADD PUSC
 | :sense:wimax:map:edit:uplink:zone:add pusc
 | :WIMax:MAP:EDIT:UPLink:ZONE:ADD?


[:SENSe]:WIMax:MAP:LOAD

Queries or opens a WiMAX map files and loads it to the DSP. The map is reset if the filename string is empty. All general map parameters are set to default values and all zones/bursts are deleted.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | Yes | string | DEFault | DEF | n/a | n/a | none

 | :SENSe:WIMax:MAP:LOAD
Examples | :WIM:MAP:LOAD
 | :sense:wimax:map:load
 | :SENSe:WIMax:MAP:LOAD?


[:SENSe]:WIMax:MAP:SAVE

Saves the WiMAX map as an xml file. The default path is the WiMAX/User folder.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | string | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:MAP:SAVE
Examples | :WIMax:MAP:SAVE
 | :sense:wimax:map:save


[:SENSe]:WIMax:RHIStory:CLEar

Clears the accumulated WiMAX RCE history data.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :SENSe:WIMax:RHIStory:CLEar
Examples | :WIMax:RHIS:CLE
 | :sense:wimax:rhistory:clear


[:SENSe]:WIMax:RHIStory:LENGth

Queries or sets the length of WiMAX RCE history data for display.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | L11 | L26 | L51 | L101 | L251 | L501 | Yes | L11 | L26 | L51 | L101 | L251 | L501 | DEFault | L501 | n/a | n/a | none

 | :SENSe:WIMax:RHIStory:LENGth L11
Examples | :WIM:RHIS:LENG L11
 | :sense:wimax:rhistory:length l11
 | :SENSe:WIMax:RHIStory:LENGth?


[:SENSe]:WIMax:SIGNal

Queries or sets the signal type for a WiMAX (802.16x) measurement. Currently, 802.16e-OFDMA is the only available signal type.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | EOFDMA | Yes | EOFDMA | DEFault | EOFDMA | n/a | n/a | none

 | :SENSe:WIMax:SIGNal EOFDMA
Examples | :WIM:RHIS:SIGN
 | :sense:wimax:signal
 | :SENSe:WIMax:SIGNal?


[:SENSe]:WIMax:TAMPlitude

Queries or switches on/off WiMAX amplitude tracking.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WIMax:TAMPlitude 1
Examples | :WIM:TAMP 1
 | :sense:wimax:tamplitude 1
 | :WIMax:TAMPlitude?


[:SENSe]:WIMax:TCLock

Queries or switches on/off WiMAX clock tracking.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WIMax:TCLock 0
Examples | :WIM:TCL OFF
 | :sense:wimax:tclock 0
 | :WIMax:TCLock?


[:SENSe]:WIMax:TPHase

Queries or switches on/off WiMAX phase tracking.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WIMax:TPHase 0
Examples | :WIM:TPH OFF
 | :sense:wimax:tphase 0
 | :WIMax:TPHase?


[:SENSe]:WLAN

Select a link to view the command details:

  • [:SENSe]:WLAN:ATIMe
  • [:SENSe]:WLAN:AVERage
  • [:SENSe]:WLAN:CCDF
  • [:SENSe]:WLAN:CCK
  • [:SENSe]:WLAN:CONStellation
  • [:SENSe]:WLAN:EHIStory
  • [:SENSe]:WLAN:EMAGnify
  • [:SENSe]:WLAN:GAIN[:STATe]
  • [:SENSe]:WLAN:HDECode[:STATe]
  • [:SENSe]:WLAN:OFDM:COUNt
  • [:SENSe]:WLAN:OPTimize
  • [:SENSe]:WLAN:SEMask
  • [:SENSe]:WLAN:SIGNal

[:SENSe]:WLAN:ATIMe

Queries or sets acquisition time for WLAN measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.002 | 0.00005 | 0.04 | seconds

 | :SENSe:WLAN:ATIMe 0.0001
Examples | :WLAN:ATIM 0.0001
 | :sense:wlan:atime 0.0001
 | :WLAN:ATIMe?


[:SENSe]:WLAN:AVERage

Select a link to view the command details:

  • [:SENSe]:WLAN:AVERage:COUNt
  • [:SENSe]:WLAN:AVERage[:STATe]

[:SENSe]:WLAN:AVERage:COUNt

Queries or sets averaging count for WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 100 | none

 | :SENSe:WLAN:AVERaging:COUNt 50
Examples | :WLAN:AVER:COUN MAX
 | :sense:wlan:averaging:count 50
 | :WLAN:AVERaging:COUNt?

[:SENSe]:WLAN:AVERage[:STATe]

Queries or switches on/off averaging for WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WLAN:AVERaging:STATe 1
Examples | :WLAN:AVER 1
 | :sense:wlan:averaging:state 1
 | :WLAN:AVERaging?


[:SENSe]:WLAN:CCDF

Select a link to view command details:

  • [:SENSe]:WLAN:CCDF:ACCumulate[:STATe]
  • [:SENSe]:WLAN:CCDF:RESTart

[:SENSe]:WLAN:CCDF:ACCumulate[:STATe]

Queries or switches on/off data accumulation for WLAN CCDF measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WLAN:CCDF:ACCumulate:STATe Off
Examples | :WLAN:CCDF:ACC 0
 | :sense:wlan:ccdf:accumulate:state off
 | :WLAN:CCDF:ACCumulate?

[:SENSe]:WLAN:CCDF:RESTart

Restarts data accumulation for WLAN CCDF measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :SENSe:WLAN:CCDF:RESTart
Examples | :WLAN:CCDF:REST
 | :sense:wlan:ccdf:restart


[:SENSe]:WLAN:CCK

Select a link to view command details:

  • [:SENSe]:WLAN:CCK:DCOFfset[:STATe]
  • [:SENSe]:WLAN:CCK:EQUalizer[:STATe]
  • [:SENSe]:WLAN:CCK:FILTer

[:SENSe]:WLAN:CCK:DCOFfset[:STATe]

Queries or switches on/off dc offset for 802.11b/g signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WLAN:CCK:DCOFfset:STATe Off
Examples | :WLAN:CCK:DCOF 0
 | :sense:wlan:cck:dcoffset:state off
 | :WLAN:CCK:DCOFfset?

[:SENSe]:WLAN:CCK:EQUalizer[:STATe]

Queries or switches equalizer for 802.11b/g signal on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WLAN:CCK:EQUalizer:STATe On
Examples | :WLAN:CCK:EQU 1
 | :sense:wlan:cck:equalizer:state on
 | :WLAN:CCK:EQUalizer?

[:SENSe]:WLAN:CCK:FILTer

Queries or sets the filter type for 802.11b/g signal.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BART | BLAC | GAUS| HAMM | HANN | NONE | RC | RRC | Yes | BARTlett | BLACkman | GAUSsian | HAMMing | HANN | NONE | RC | RRC | DEFault | none | n/a | n/a | none

 | :SENSe:WLAN:CCK:FILTer RRC
Examples | :WLAN:CCK:FILT RRC
 | :sense:wlan:cck:filter rrc
 | :WLAN:CCK:FILTer?


[:SENSe]:WLAN:CONStellation

Queries or sets constellation type for WLAN measurement.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | AUT | BPSK | QPSK | QAM16 | QAM64 | Yes | AUTodetect | BPSK | QPSK | QAM16 | QAM64 | DEFault | AUT | n/a | n/a | none

 | :SENSe:WLAN:CONStellation QPSK
Examples | :WLAN:CONS QPSK
 | :sense:wlan:constellation qpsk
 | :WLAN:CONStellation?


[:SENSe]:WLAN:EHIStory

Select a link to view command details:

  • [:SENSe]:WLAN:EHIStory:CLEar
  • [:SENSe]:WLAN:EHIStory:LENGth

[:SENSe]:WLAN:EHIStory:CLEar

Clears accumulated EVM history data.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :SENSe:WLAN:EHIStory:CLEar
Examples | :WLAN:EHIS:CLE
 | :sense:wlan:ehistory:clear
 | :WLAN:EHIS:CLE?

[:SENSe]:WLAN:EHIStory:LENGth

Queries or sets the length of EVM history data for display and remote query.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | L11 | L26 | L51 | L101 | L251 | L501 | Yes | L11 | L26 | L51 | L101 | L251 | L501 | DEFault | L501 | n/a | n/a | none

 | :SENSe:WLAN:EHIStory:LENGth L11
Examples | :WLAN:EHIS:LENG L11
 | :sense:wlan:ehistory:length l11
 | :WLAN:EHIS:LENGth?


[:SENSe]:WLAN:EMAGnify

Queries or sets error magnify value for WLAN constellation trace type.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 0.1 | 10 | none

 | :SENSe:WLAN:EMAGnify 3
Examples | :WLAN:EMAG 3
 | :sense:wlan:emagnify 3
 | :WLAN:EMAGnify?


[:SENSe]:WLAN:GAIN[:STATe]

Queries or switches on/off WLAN gain compression, phase compression, and CCDF trace types.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WLAN:GAIN:STATe On
Examples | :WLAN:GAIN 1
 | :sense:wlan:gain on
 | :WLAN:GAIN?


[:SENSe]:WLAN:HDECode[:STATe]

Queries or switches 802.11n header decode on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WLAN:HDECode:STATe On
Examples | :WLAN:HDEC 1
 | :sense]:wlan:hdecode on
 | :WLAN:HDECode?


[:SENSe]:WLAN:OFDM:COUNt

Queries or sets maximum symbol count for WLAN measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 400 | 4 | 400 | none

 | :SENSe:WLAN:OFDM:COUNt 100
Examples | :WLAN:OFDM:COUN 100
 | :sense:wlan:ofdm:count 100
 | :WLAN:OFDM:COUNt?


[:SENSe]:WLAN:OPTimize

Optimizes WLAN measurement setup. Sets signal type, constellation type, acquisition time, max symbol count and trigger settings.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :SENSe:WLAN:OPTimize
Examples | :WLAN:OPT
 | :sense:wlan:optimize


[:SENSe]:WLAN:SEMask

Select a link to view command details:

  • [:SENSe]:WLAN:SEMask:AVERage:COUNt
  • [:SENSe]:WLAN:SEMask:AVERage[:STATe]
  • [:SENSe]:WLAN:SEMask:AVERage:TYPE
  • [:SENSe]:WLAN:SEMask:DETector[:FUNCtion]
  • [:SENSe]:WLAN:SEMask:SIGNal
  • [:SENSE]:WLAN:SEMask:SPUR:CANCellation[:STATe]

[:SENSe]:WLAN:SEMask:AVERage:COUNt

Queries or sets averaging state for WLAN spectrum emission mask measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 20 | 1 | 100 | none

 | :SENSe:WLAN:SEMask:AVERage:COUNt 15
Examples | :WLAN:SEM:AVER:COUN 15
 | :sense:wlan:semask:average:count 15
 | :WLAN:SEMask:AVERage:COUNt?

[:SENSe]:WLAN:SEMask:AVERage[:STATe]

Queries or switches on/off averaging for WLAN spectrum emission mask measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:WLAN:SEMask:AVERage:STATe 0
Examples | :WLAN:SEM:AVER 0
 | :sense:wlan:semask:average:state off
 | :WLAN:SEMask:AVERage?

[:SENSe]:WLAN:SEMask:AVERage:TYPE

Queries or sets averaging type for WLAN spectrum emission mask measurements.

  • GLOG - sets the Log Group type of measurement averaging.
  • GPOWer - sets the Power Group type of measurement averaging.
  • GMAX - sets the Max Group type of measurement averaging.
  • GMIN - sets the Min Group type of measurement averaging.
  • GMMax - sets the Min/Max Group type of measurement averaging. This choice does not apply for Spectrum > General Purpose > ACPR.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | GLOG | GPOW | GMAX | GMIN | GMM | Yes | GLOG | GPOWer | GMAX | GMIN | GMMax | DEFault | GMAX | n/a | n/a | none

 | :SENSe:WLAN:SEMask:AVERage:TYPE GLOG
Examples | :WLAN:SEM:AVER:TYPE GLOG
 | :sense:wlan:semask:average:type glog
 | :WLAN:SEMask:AVERage:TYPE?

[:SENSe]:WLAN:SEMask:DETector[:FUNCtion]

Queries or sets the detection type for WLAN spectrum emission mask measurements

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NORM | MAX | MIN | SAMP | PAV | NCPA | Yes | NORMal | MAX | MIN | SAMPle | PAVerage | NCPAverage | MAXimum | MINimum | DEFault | PAV | MIN | MAX | none

 | :SENSe:WLAN:SEMask:DETector:FUNCtion NORM
Examples | :WLAN:SEM:DET NORM
 | :sense:wlan:semask:detector:function normal
 | :WLAN:SEMask:DETector?

[:SENSe]:WLAN:SEMask:SIGNal

Queries or sets signal type for WLAN spectrum emission mask measurements

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | AG | BG | J | N20 | N40 | Yes | AG | BG | J | N20 | N40 | DEFault | AG | n/a | n/a | none

 | :SENSe:WLAN:SEMask:SIGNal AG
Examples | :WLAN:SEM:SIGN AG
 | :sense:wlan:semask:signal ag
 | :SENSe:WLAN:SEMask:SIGNal?


[:SENSE]:WLAN:SEMask:SPUR:CANCellation[:STATe]

Queries or sets the spur cancellation for WLAN SEM (Spectrum Emissions Mask)

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | OFF | 1 | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:WLAN:SEMask:SPUR:CANCellation:STATe 0
Examples | :WLAN:SEM:SPUR:CANC 0
 | :sense:wlan:semask:spur:cancellation off
 | :SENSe:WLAN:SEMask:SIGNal?


[:SENSe]:WLAN:SIGNal

Queries or sets the signal type for WLAN measurement. Default is autodetect.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | AUT | BG | AG | J | NDR | Yes | AUT | BG | AG | J | NDR | DEFault | Aut | n/a | n/a | none

 | :SENSe:WLAN:SIGNal BG
Examples | :WLAN:SIGN BG
 | :sense:wlan:signal bg
 | :WLAN:SIGNal?


[:SENSe]:ZSPan

Select a link to view the command details:

  • [:SENSe]:ZSPan:AVERage:COUNt
  • [:SENSe]:ZSPan:AVERage[:STATe]
  • [:SENSe]:ZSPan:AVERage:TYPE
  • [:SENSe]:ZSPan:AVERage:TYPE:FREQuency
  • [:SENSe]:ZSPan:BANDwidth[:RESolution]
  • [:SENSe]:ZSPan:BANDwidth[:RESolution]:TYPE
  • [:SENSe]:ZSPan:BANDwidth:VIDeo
  • [:SENSe]:ZSPan:BANDwidth:VIDeo:AUTO[:STATe]
  • [:SENSe]:ZSPan:BWIDth[:RESolution]
  • [:SENSe]:ZSPan:BWIDth[:RESolution]:TYPE
  • [:SENSe]:ZSPan:BWIDth:VIDeo
  • [:SENSe]:ZSPan:BWIDth:VIDeo:AUTO[:STATe]
  • [:SENSe]:ZSPan:SWEep:TIME

[:SENSe]:ZSPan:AVERage:COUNt

Queries or sets the number of averages for zero-span measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10 | 1 | 1000 | none

 | :SENSe:ZSPan:AVERage:COUNt 15
Examples | :ZSP:AVER:COUN 15
 | :sense:zspan:average:count 15
 | :ZSPan:AVERage:COUNt?

[:SENSe]:ZSPan:AVERage[:STATe]

Queries or switches on/off measurement averaging for zero-span measurements.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SENSe:ZSPan:AVERage:STATe 1
Examples | :ZSP:AVER 1
 | :sense:zspan:average:state on
 | :ZSPan:AVERage?

[:SENSe]:ZSPan:AVERage:TYPE

Queries or sets the average type for zero-span measurements, when displaying the frequency.

  • LOG - sets the Running Log type of measurement averaging.
  • POWer - sets the Power Running type of measurement averaging.
  • GLOG - sets the Log Group type of measurement averaging.
  • GPOWer - sets the Power Group type of measurement averaging.
  • GMAX - sets the Max Group type of measurement averaging.
  • GMIN - sets the Min Group type of measurement averaging.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | LOG |POW | GLOG | GPOW | GMAX | GMIN | Yes | LOG | POWer | GLOG | GPOWer | GMAX | GMIN | DEFault | POW | n/a | n/a | none

 | :SENSe:ZSPan:AVERage:TYPE GLOG
Examples | :ZSP:AVER:TYPE GLOG
 | :sense:zspan:average:type glog
 | :ZSPan:AVERage:TYPE?

[:SENSe]:ZSPan:AVERage:TYPE:FREQuency

Queries or sets averaging type for Zero Span when in displaying the frequency trace.

  • FREQ - sets the frequency type of measurement averaging. This is the default type.
  • FGR - sets the frequency group type of measurement averaging.
  • GMAX - sets the max group type of measurement averaging.
  • GMIN - sets the min group type of measurement averaging.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | FREQ | FGR | GMAX | GMIN | Yes | FREQuency | FGRoup | GMAX | GMIN | DEFault | FREQ | n/a | n/a | none

 | :SENSe:ZSPan:AVERage:TYPE:FREQuency GMAX
Examples | :ZSP:AVER:TYPE:FREQ GMAX
 | :sense:zspan:average:type:frequency gmax
 | :ZSPan:AVERage:TYPE:FREQuency?

[:SENSe]:ZSPan:BANDwidth[:RESolution]

Queries or sets the zero span bandwidth resolution. This is an alternate command to BWIDth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000 | 1 | 40000000 | Hz

 | :SENSe:ZSPan:BANDwidth[:RESolution] 200000
Examples | :ZSP:BAND 200000
 | :sense:zspan:bandwidth:resolution 200000
 | :ZSPan:BANDwidth?

[:SENSe]:ZSPan:BANDwidth[:RESolution]:TYPE

Queries or sets the bandwidth filter type. This is an alternate command to BWIDth.

  • BRICkwall - sets the filter type to Brickwall.
  • FOURstpole - sets the filter type to Sync Tuned 4 Pole.
  • FIVEstpole - sets the filter type to Sync Tuned 5 Pole.
  • RRC - sets the filter type to Raised-Root-Cosine.
  • GAUSsian - sets the filter type to true Gaussian.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BRIC | FOUR | FIVE | RRC | GAUS | Yes | BRICkwall | FOURstpole | FIVEstpole | RRC | GAUSsian | DEFault | BRIC | n/a | n/a | none

 | :SENSe:ZSPan:BANDwidth:RESolution:TYPE FOUR
Examples | :ZSP:BAND:TYPE FOUR
 | :sense:zspan:bandwidth:type fourstpole
 | :ZSPan:BANDwidth:TYPE?

[:SENSe]:ZSPan:BANDwidth:VIDeo

Queries or sets the bandwidth of zero span measurement's video filter. This is an alternate command to BWIDth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000 | 10 | 40000000 | Hz

 | :SENSe:ZSPan:BANDwidth:VIDeo 200000
Examples | :ZSP:BAND:VID 200000
 | :sense:zspan:bandwidth:video 200000
 | :ZSPan:BANDwidth:VIDeo?

[:SENSe]:ZSPan:BANDwidth:VIDeo:AUTO[:STATe]

If ON, video bandwidth tracks resolution bandwidth, if OFF, they are separately controllable. This is an alternate command to BWIDth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:ZSPan:BANDwidth:VIDeo:AUTO:STATe 0
Examples | :ZSP:BAND:VID:AUTO 0
 | :sense:zspan:bandwidth:video:auto:state 0
 | :ZSPan:BANDwidth:VIDeo:AUTO?

[:SENSe]:ZSPan:BWIDth[:RESolution]

Queries or sets the zero span bandwidth resolution. This is an alternate command to BANDwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000 | 1 | 40000000 | Hz

 | :SENSe:ZSPan:BWIDth:RESolution 200000
Examples | :ZSP:BWID 200000
 | :sense:zspan:bwidth:resolution 200000
 | :ZSPan:BWIDth?

[:SENSe]:ZSPan:BWIDth[:RESolution]:TYPE

.Queries or sets the bandwidth filter type. This is an alternate command to BANDwidth.

  • BRICkwall - sets the filter type to Brickwall.
  • FOURstpole - sets the filter type to Sync Tuned 4 Pole.
  • FIVEstpole - sets the filter type to Sync Tuned 5 Pole.
  • RRC - sets the filter type to Raised-Root-Cosine.
  • GAUSsian - sets the filter type to true Gaussian.
Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BRIC | FOUR | FIVE | RRC | GAUS | Yes | BRICkwall | FOURstpole | FIVEstpole | RRC | GAUSsian | DEFault | BRIC | n/a | n/a | none

 | :SENSe:ZSPan:BWIDth:RESolution:TYPE FOUR
Examples | :ZSP:BWID:TYPE FOUR
 | :sense:zspan:bwidth:type fourstpole
 | :ZSPan:BWIDth:TYPE?

[:SENSe]:ZSPan:BWIDth:VIDeo

Queries or sets the bandwidth of zero span measurement's video filter. This is an alternate command to BANDwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000 | 10 | 40000000 | Hz

 | :SENSe:ZSPan:BWIDth:VIDeo 200000
Examples | :ZSP:BWID:VID 200000
 | :sense:zspan:bwidth:video 200000
 | :ZSPan:BWIDth:VIDeo?

[:SENSe]:ZSPan:BWIDth:VIDeo:AUTO[:STATe]

If ON, video bandwidth tracks resolution bandwidth, if OFF, they are separately controllable. This is an alternate command to BANDwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none

 | :SENSe:ZSPan:BWIDth:VIDeo:AUTO:STATe 0
Examples | :ZSP:BWID:VID:AUTO 0
 | :sense:zspan:bwidth:video:auto:state 0
 | :ZSPan:BWIDth:VIDeo:AUTO?

[:SENSe]:ZSPan:SWEep:TIME

Queries or sets sweep time (acquisition time) for Zero Span.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.001 | 0.000001 | 60 | seconds

 | :SENSe:ZSPan:SWEep:TIME 0.05
Examples | :ZSP:SWE:TIME 0.05
 | :sense:zspan:sweep:time 0.05
 | :ZSPan:SWEep:TIME?


[:SOURce]

Select a link to view the command details:

  • :SOURce:DWELl
  • :SOURce:EEVensecond
  • :SOURce:FREQuency
  • [:SOURce]:INTernal:CLOCk[:STATe]
  • :SOURce:POINts
  • [:SOURce]:ROSCillator:EXTernal:FREQuency
  • [:SOURce]:ROSCillator:SOURce
  • :SOURce[:STATe]
  • [:SOURce]:TTL:INPut
  • [:SOURce]:TTL[:LEVel]
  • [:SOURce]:UPN[:STATe]
  • [:SOURce]:VCO[:STATe]

:SOURce:DWELl

Queries or sets the TG out (tracking generator) dwell time per measurement point.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.001 | 0 | 1 | seconds

 | :SOURce:DWELl MAX
Examples | :SOUR:DWEL MIN
 | :source:dwell minimum
 | :SOURce:DWELl?


:SOURce:EEVensecond

Select a link to view the command details:

  • :SOURce:EEVensecond:POLarity
  • :SOURce:EEVensecond:POLarity:IN
  • : SOURce:EEVensecond:POLarity:OUT

:SOURce:EEVensecond:POLarity

Queries or sets the polarity of the even second output (for backward compatibility).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | RIS | FALL | Yes | RISing | FALLing | DEFault | RIS | n/a | n/a | none

 | :SOURce:EEVensecond:POLarity RISing
Examples | :SOUR:EEV:POL RIS
 | :source:eevensecond:polarity rising
 | :SOUR:EEV:POL?

:SOURce:EEVensecond:POLarity:IN

Queries or sets the polarity of the even second input.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | RIS | FALL | Yes | RISing | FALLing | DEFault | RIS | n/a | n/a | none

 | :SOURce:EEVensecond:POLarity:IN RISing
Examples | :SOUR:EEV:POL:IN RIS
 | :source:eevensecond:polarity:in rising
 | :SOUR:EEV:POL:IN?

:SOURce:EEVensecond:POLarity:OUT

Queries or sets the polarity of the even second output. OFF means inactive and high. The value persists through Preset and power cycles.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | RIS | FALL | OFF | Yes | RISing | FALLing | OFF | DEFault | OFF | n/a | n/a | none

 | :SOURce:EEVensecond:POLarity:OUT RISing
Examples | :SOUR:EEV:POL:OUT RIS
 | :source:eevensecond:polarity:out rising
 | :SOUR:EEV:POL:OUT?


:SOURce:FREQuency

Select a link to view the command details:

  • :SOURce:FREQuency:CENTer
  • :SOURce:FREQuency:SPAN
  • :SOURce:FREQuency[:STARt]
  • :SOURce:FREQuency:STOP
:SOURce:FREQuency:CENTer

Queries or sets the TG Out (tracking generator) center frequency.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000000 | 400000000 | 2500000000 | Hz

 | :SOURce:FREQuency:CENTer MAXimum
Examples | :SOUR:FREQ:CENT MIN
 | :source:frequency:center minimum
 | :SOURce:FREQuency:CENTer?

:SOURce:FREQuency:SPAN

Queries or sets the TG Out (tracking generator) frequency span.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 2100000000 | 0 | 2100000000 | Hz

 | :SOURce:FREQuency:SPAN MAXimum
Examples | :SOUR:FREQ:SPAN MIN
 | :source:frequency:span minimum
 | :SOURce:FREQuency:SPAN?

:SOURce:FREQuency[:STARt]

Queries or sets the TG Out (tracking generator) start frequency.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 400000000 | 400000000 | 2500000000 | Hz

 | :SOURce:FREQuency:STARt MAXimum
Examples | :SOUR:FREQ MIN
 | :source:frequency:start minimum
 | :SOURce:FREQuency?

:SOURce:FREQuency:STOP

Queries or sets the TG Out (tracking generator) stop frequency.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 2500000000 | 400000000 | 2500000000 | Hz

 | :SOURce:FREQuency:STOP MAXimum
Examples | :SOUR:FREQ:STOP MIN
 | :source:frequency:stop minimum
 | :SOURce:FREQuency:STOP?


[:SOURce]:INTernal:CLOCk[:STATe]

Queries or switches the internal clock oscillator on/off.

NOTE: In the instrument power-up default state, the MIMO Mode (:MIMO:MODE) is OFF and the [:SOURce]:INTernal:CLOCk[:STATe] command has no effect.

See Also:

  • :MIMO:MODE
  • MIMO configuration dialog

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 1 or ON | n/a | n/a | none

 | :SOURce:INTernal:CLOCk:STATe 1
Examples | :SOUR:INT:CLOC OFF
 | :source:internal:clock on
 | :SOURce:INTernal:CLOCk?


:SOURce:POINts

Queries or sets the TG Out (tracking generator) number of points.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 501 | 1 | 501 | none

 | :SOURce:POINts MAXimum
Examples | :SOUR:POIN MIN
 | :source:points minimum
 | :SOURce:POINts?


[:SOURce]:ROSCillator:EXTernal:FREQuency

Queries or sets the reference oscillator frequency.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10000000 | 1000000 | 20000000 | Hz

 | :SOURce:ROSCillator:EXTernal:FREQuency MAXimum
Examples | :SOUR:ROSC:EXT:FREQ MIN
 | :source:roscillator:external:frequency minimum
 | :SOURce:ROSCillator:EXTernal:FREQuency?


[:SOURce]:ROSCillator:SOURce

Queries or sets the reference oscillator source.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | INT | EXT | EEV | Yes | INTernal | EXTernal | EEVensecond | DEFault | INT | n/a | n/a | none

 | :SOURce:ROSCillator:SOURce EXTernal
Examples | :SOUR:ROSC:SOUR EXT
 | :source:roscillator:source external
 | :SOURce:ROSCillator:SOURce?


:SOURce[:STATe]

Queries or switches the TG Out (tracking generator) on/off.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SOURce:STATe 1
Examples | :SOUR 1
 | :source:state 1
 | :SOURce?


[:SOURce]:TTL:INPut

Reads the digital I/O input.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :SOURce:TTL:INPut?
Examples | :SOUR:TTL:INP?
 | :source:ttl:input?


[:SOURce]:TTL[:LEVel]

Queries or sets the digital I/O output.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 15 | none

 | :SOURce:TTL:LEVel MAXimum
Examples | :SOUR:TTL MAX
 | :source:ttl:level maximum
 | :SOURce:TTL?


[:SOURce]:VCO[:STATe]

Queries or switches the VCO (voltage-controlled oscillator) on/off.

NOTE: In the instrument power-up default state, the MIMO Mode (:MIMO:MODE) is OFF and the [:SOURce]:VCO[:STATe] command has no effect.

See Also:

  • :MIMO:MODE
  • MIMO configuration dialog

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEfault | 1 or On | n/a | n/a | none

 | :SOURCE:VCO:STATe 1
Examples | :VCO:STAT OFF
 | :source:vco:state off
 | :VCO:STATe?


:SOUTput

Select a link to view the command details:

  • :SOUTput:IMMediate
  • :SOUTput:MODE
  • :SOUTput:POLarity

:SOUTput:IMMediate

When set, immediately generates a sync out pulse. See Sync out.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SOUTput:IMMediate
Examples |  | :SOUT:IMM
 |  | :soutput:immediate

:SOUTput:MODE

Queries or sets the sync out pulse to coincide with the specified event.

  • OFF switches off the sync pulse.
  • BSWEep sends a pulse at the beginning the channel power list.
  • PRETune sends a pulse each time the analyzer tunes to a new frequency.
  • POSTtune sends a pulse when the analyzer is ready to acquire data. This is independent of the Acquisition Interval setting.
  • BACQuire sends as pulse each time the analyzer starts acquiring data.
  • EACQuire sends a pulse each time the analyzer finishes acquiring data.
  • ESWEep sends a pulse when the analyzer has reached the end of the list.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | OFF | BSWE | PRET | POST | BACQ | EACQ | ESWE |  | Yes | OFF | BSWEep | PRETune | POSTtune | BACQuire | EACQuire | ESWEep | DEFault | OFF | n/a | n/a | none
 |  | :SOUTput:MODE BSWEep
Examples |  | :SOUT:MODE BSWE
 |  | :soutput:mode bsweep
 |  | :SOUTput:MODE?

:SOUTput:POLarity

Queries or sets the polarity of the sync pulse.

  • RISing sets the sync pulse polarity to rising.
  • FALLing sets the sync pulse polarity to falling.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | RIS | FALL |  | Yes | RISing | FALLing | DEFault | RIS | n/a | n/a | none
 |  | :SOUTput:POLarity FALLing
Examples |  | :SOUT:POL FALL
 |  | :soutput:polarity falling
 |  | :SOUTput:POLarity?


:STATus

Select a link to view the command details:

  • :STATus:MEASurement
  • :STATus:OPERation
  • :STATus:PRESet
  • :STATus:QUEStionable
  • :STATus:QUEue:CLEar


:STATus:MEASurement

Select a link to view the command details:

  • :STATus:MEASurement:CONDition
  • :STATus:MEASurement:ENABle
  • :STATus:MEASurement[:EVENt]
  • :STATus:MEASurement:NTRansition
  • :STATus:MEASurement:PRTansition

:STATus:MEASurement:CONDition

Reads the measurement condition register. Each status register set (except the standard event register set) has a condition register. A condition register is a real-time, read-only register that constantly updates to reflect the present operating conditions of the instrument. See Measurement event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :STATus:MEASurement:CONDition?
Examples | :STAT:MEAS:COND?
 | :status:measurement:condition?

:STATus:MEASurement:ENABle

Programs the measurement event enable register. When used as a query, it reads the enable register. Each status register set has an enable register. Each event register bit is logically ANDed (&) to a corresponding enable bit of an enable register. When an event bit is set and the corresponding enable bit is set (programmed by a user), the output (summary) of the register will set to 1, which in turn sets the summary bit of the status byte register. See Measurement event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. the STATus:PRESet command has no effect.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | none
 |  | :STATus:MEASurement:ENABle
Examples |  | :STAT:MEAS:ENAB
 |  | :status:measurement:enable
 |  | :STAT:MEAS:ENAB?

:STATus:MEASurement[:EVENt]

Queries the Measurement Event Register. See Measurement event register.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STATus:MEASurement:EVENt
 |  | :STAT:MEAS:EVEN
Examples |  | :status:measurement:event
 |  | :STAT:MEAS:EVEN?

:STATus:MEASurement:NTRansition

Programs the measurement negative transition filter. When used as a query, it reads the negative transition filter. Each status register set has a negative transition filter. When a bit in the condition register (STATus:MEASurement:CONDition?) is zero and the corresponding bit in the negative transition filter is one, the corresponding bit in the event register (STATus:MEASurement:EVENt?) will bet set.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the transition filter to 0. *RST has no effect.

See Also: Measurement event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 0 | 0 | 32767 | none

 | :STATus:MEASurement:NTRansition 500
Examples | :STAT:MEAS:NTR 500
 | :status:measurement:ntransition 500
 | :STATus:MEASurement:NTRansition?

:STATus:MEASurement:PTRansition

Programs the measurement positive transition filter. When used as a query, it reads the positive transition filter. Each status register set has a positive transition filter. When a bit in the condition register (STATus:MEASurement:CONDition?) is one and the corresponding bit in the positive transition filter is one, the corresponding bit in the event register (STATus:MEASurement:EVENt?) will bet set.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the positive transition filter to 32767 (0x7fff). *RST has no effect.

See Also: Measurement event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 32767 | 0 | 32767 | none

 | :STATus:MEASurement:PTRansition 500
Examples | :STAT:MEAS:PTR 500
 | :status:measurement:ptransition 500
 | :STATus:MEASurement:PTRansition?


:STATus:OPERation

Select a link to view the command details:

  • :STATus:OPERation:CONDition
  • :STATus:OPERation:ENABle
  • :STATus:OPERation[:EVENt]
  • :STATus:OPERation:NTRansition
  • :STATus:OPERation:PTRansition

:STATus:OPERation:CONDition

Reads the operation condition register. Each status register set (except the standard event register set) has a condition register. A condition register is a real-time, read-only register that constantly updates to reflect the present operating conditions of the instrument. For example, while the instrument is in the idle state, bit B10 (Idle) of the operation condition register will be set. When the instrument is taken out of idle, bit B10 clears. See Operation event register.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STATus:OPERation:CONDition?
Examples |  | :STAT:OPER:COND?
 |  | :status:operation:condition?

:STATus:OPERation:ENABle

Programs the operation event enable register. When used as a query, it reads the enable register. Each status register set has an enable register. Each event register bit is logically ANDed (&) to a corresponding enable bit of an enable register. When an event bit is set and the corresponding enable bit is set (programmed by a user), the output (summary) of the register will set to 1, which is turn sets the summary bit of the status byte register. See Operation event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. The STATus:PRESet command has no effect.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | none
 |  | :STATus:OPERation:ENABle
Examples |  | :STAT:OPER:ENAB
 |  | :status:operation:enable
 |  | :STATus:OPERation:ENABle?

:STATus:OPERation[:EVENt]

Reads the operation event register. Each status register has an event register. When an event occurs, the appropriate event register bit sets to 1. The bit remains latched to 1 until the register is reset. Reading an event register clears the bits of that register. *CLS resets all four event registers. See Operation event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. The STATus:PRESet command has no effect.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STATus:OPERation:EVENt?
Examples |  | :STAT:OPER?
 |  | :status:operation:event?

:STATus:OPERation:NTRansition

Programs the operation negative transition filter. When used as a query, it reads the negative transition filter. Each status register set has a negative transition filter. When a bit in the condition register (STATus:OPERation:CONDition?) is zero and the corresponding bit in the negative transition filter is one, the corresponding bit in the event register (STATus:OPERation:EVENt?) will bet set.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the transition filter to 0. *RST has no effect.

See Also: Operation event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 0 | 0 | 32767 | none

 | :STATus:OPERation:NTRansition 500
Examples | :STAT:OPER:NTR 500
 | :status:operation:ntransition 500
 | :STATus:OPERation:NTRansition?

:STATus:OPERation:PTRansition

Programs the operation positive transition filter. When used as a query, it reads the positive transition filter. Each status register set has a positive transition filter. When a bit in the condition register (STATus:OPERation:CONDition?) is one and the corresponding bit in the positive transition filter is one, the corresponding bit in the event register (STATus:OPERation:EVENt?) will bet set

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the positive transition filter to 32767 (0x7fff). *RST has no effect.

See Also: Operation event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 32767 | 0 | 32767 | none

 | :STATus:OPERation:PTRansition 500
Examples | :STAT:OPER:PTR 500
 | :status:operation:ptransition 500
 | :STATus:OPERation:PTRansition?


:STATus:PRESet

Sets the following registers to the specified values:

  • measurement event enable (STATus:MEASurement:ENABle) = 0
  • measurement negative transition filter (STATus:MEASurement:NTRansition) = 0
  • measurement positive transition filter (STATus:MEASurement:PTRansition) = 32767 (0x7fff)
    __
  • operation event enable (STATus:OPERation:ENABle) = 0
  • operation negative transition filter (STATus:OPERation:NTRansition) = 0
  • operation positive transition filter (STATus:OPERation:PTRansition) = 32767 (0x7fff)
    __
  • questionable event enable (STATus:QUEStionable:ENABle) = 0
  • questionable negative transition filter (STATus:QUEStionable:NTRansition) = 0
  • questionable positive transition filter (STATus:QUEStionable:PTRansition) = 32767 (0x7fff)

_
See also:

  • Series V2800 Preset button
  • Series V2900 Preset button
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :STATus:PRESet
Examples |  | :STAT:PRES
 |  | :status:preset


:STATus:QUEStionable

Select a link to view the command details:

  • :STATus:QUEStionable:CONDition
  • :STATus:QUEStionable:ENABle
  • :STATus:QUEStionable[:EVENt]
  • :STATus:QUEStionable:NTRansition
  • :STATus:QUEStionable:PTRansition

:STATus:QUEStionable:CONDition

Reads the questionable condition register. Each status register set (except the standard event register set) has a condition register. A condition register is a real-time, read-only register that constantly updates to reflect the present operating conditions of the instrument. See Questionable event register.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STATus:QUEStionable:CONDition?
Examples |  | :STAT:QUES:COND?
 |  | :status:questionable:condition?

:STATus:QUEStionable:ENABle

Programs the questionable event enable register. When used as a query, it reads the enable register. Each status register set has an enable register. Each event register bit is logically ANDed (&) to a corresponding enable bit of an enable register. When an event bit is set and the corresponding enable bit is set (programmed by a user), the output (summary) of the register will set to 1, which is turn sets the summary bit of the status byte register. See Questionable event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. The STATus:PRESet command has no effect.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | none
 |  | :STATus:QUEStionable:ENABle
Examples |  | :STAT:QUES:ENAB
 |  | :status:questionable:enable
 |  | :STAT:QUES:ENAB?

:STATus:QUEStionable[:EVENt]

Reads the questionable event register. Each status register has an event register. When an event occurs, the appropriate event register bit sets to 1. The bit remains latched to 1 until the register is reset. Reading an event register clears the bits of that register. *CLS resets all four event registers. See Questionable event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. The STATus:PRESet command has no effect.

See Operation event register.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STAT:QUEStionable:EVENt?
Examples |  | :STAT:QUES?
 |  | :status:questionable:event?

:STATus:QUEStionable:NTRansition

Programs the questionable negative transition filter. When used as a query, it reads the negative transition filter. Each status register set has a negative transition filter. When a bit in the condition register (STATus:QUEStionable:CONDition?) is zero and the corresponding bit in the negative transition filter is one, the corresponding bit in the event register (STATus:QUEStionable:EVENt?) will bet set.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the transition filter to 0. *RST has no effect.

See Also: Questionable event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 0 | 0 | 32767 | none

 | :STATus:QUEStionable:NTRansition 500
Examples | :STAT:QUES:NTR 500
 | :status:questionable:ntransition 500
 | :STATus:QUEStionable:NTRansition?

:STATus:QUEStionable:PTRansition

Programs the questionable positive transition filter. When used as a query, it reads the positive transition filter. Each status register set has a positive transition filter. When a bit in the condition register (STATus:QUEStionable:CONDition?) is one and the corresponding bit in the positive transition filter is one, the corresponding bit in the event register (STATus:QUEStionable:EVENt?) will bet set.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the positive transition filter to 32767 (0x7fff). *RST has no effect.

See Also: Questionable event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 32767 | 0 | 32767 | none

 | :STATus:QUEStionable:PTRansition 500
Examples | :STAT:QUES:PTR 500
 | :status:questionable:ptransition 500
 | :STATus:QUEStionable:PTRansition?


:STATus:QUEue:CLEar

Clears the status (error) queue. See Error queue.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :STATus:QUEue:CLEar
Examples |  | :STAT:QUE:CLE
 |  | :status:queue:clear


:SYStem

Select a link to view the command details:

  • :SYStem:CLEar
  • :SYStem:COMMunicate:GPIB:ADDRess
  • :SYStem:DATE
  • :SYStem:ERRor
  • :SYSTem:KLOCk[:STATe]
  • :SYStem:LOCal
  • :SYStem:PRESet
  • :SYStem:REMote
  • :SYStem:SSAVer
  • :SYStem:TIME


:SYSTem:CLEar

Clears all codes and messages from the error queue. See Error queue.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:CLEar
Examples |  | :SYST:CLE
 |  | :system:clear


:SYSTem:COMMunicate:GPIB:ADDRess

Queries or sets the GPIB address. See System Setup for Remote Control.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | none
 |  | :SYSTem:COMMunicate:GPIB:ADDRess 13
 |  | :SYST:COMM:GPIB:ADDR 13
Examples |  | :system:communicate:gpib:address 13
 |  | :SYST:COMM:GPIB:ADDR?


:SYSTem:DATE

Queries or sets the system clock date. See Time and date.

Query

Return parameters

Set

Set parameters

Special parameters

DEF

MIN

MAX

Units

Yes

Digits with an implied decimal point assumed at the right of the least-significant digit.,
Digits with an implied decimal point assumed at the right of the least-significant digit.,

Digits with an implied decimal point assumed at the right of the least-significant digit.
(year, month, day)

Yes

Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).
,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).

(year, month, day)

none

n/a

n/a

n/a

none

:SYSTem:DATE 08, 10, 03

:SYST:DATE 08, 10, 03

Examples

:system:date 08, 10, 03

:SYST:DATE?


:SYSTem:ERRor

Select a link to view the command details:

  • :SYSTem:ERRor:ALL
  • :SYSTem:ERRor:CLEar
  • :SYSTem:ERRor:CODE:ALL
  • :SYSTem:ERRor:CODE:[NEXT]
  • :SYSTem:ERRor:COUNt
  • :SYSTem:ERRor:ENABle:ADD
  • :SYSTem:ERRor:ENABle:DELete
  • :SYSTem:ERRor:ENABle[:LIST ]
  • :SYSTem:ERRor:[NEXT]

:SYSTem:ERRor:ALL

Reads all errors in the error queue. This query command is similar to the :SYSTem:ERRor:NEXT? command, except that all messages in the error queue are sent to the computer when the instrument is addressed to talk. All codes and messages are removed from the queue.

Return format:

__

<number>,"error description[; optional error details]",<number>,"error description[; optional error details]" ...
(sequence repeats to report every error in the queue)

If there are no errors in the queue, the return is 0,"No Error". If an error is present, the return is a list of errors.

Example return:

__

-100,"Command Error",-200,"Execute Error;Optimize Failed"

_____
See also:

  • Error queue for Series V2800 and Series V2900 instruments
  • Error queue for SignalMeister™

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | No | n/a | n/a | n/a | n/a | n/a | none

 | :SYSTem:ERRor:ALL?
Examples | :SYST:ERR:ALL?
 | :system:error:all?

:SYSTem:ERRor:CLEar

Clears the error queue.

_____
See also:

  • Error queue for Series V2800 and Series V2900 instruments
  • Error queue for SignalMeister™

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:CLEar
Examples |  | :SYST:ERR:CLE
 |  | :system:error:clear

:SYSTem:ERRor:CODE:ALL

Reads all errors by error code in the error queue. See Error queue.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NR1,…, [image] NR1 Digits with an implied decimal point assumed at the right of the least-significant digit. Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:CODE:ALL?
Examples |  | :SYST:ERR:CODE:ALL?
 |  | :system:error:code:all?

:SYSTem:ERRor:CODE:[NEXT]

Reads the next error-by-error code in the error queue. See Error queue.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:CODE:NEXT?
Examples |  | :SYST:ERR:CODE:NEXT?
 |  | :system:error:code?

:SYSTem:ERRor:COUNt

Reads the count of the number of errors in the error queue. See Error queue.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NR1 Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:COUNt?
Examples |  | :SYST:ERR:COUN?
 |  | :system:error:count?

:SYSTem:ERRor:ENABle:ADD

Adds the specific errors to enable in the error queue. See Error queue. When you enable messages, the messages not specified in the list are disabled. When you disable messages, each listed message is removed from the enabled list.

Parameters

  • Single message (-110)
  • Range of messages (-110:-222 = -110 through -222)
  • Range entry and single entry (separated by a comma -110:-222, -220)
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | list | none | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:ENABle:ADD
Examples |  | :SYST:ERR:ENAB:ADD
 |  | :system:error:enable:add

:SYSTem:ERRor:ENABle:DELete

Deletes the specific errors to enable the error queue. See Error queue. When you enable messages, the messages not specified in the list are disabled. When you disable messages, each listed message is removed from the enabled list.

Parameters

  • Single message (-110)
  • Range of messages (-110:-222 = -110 through -222)
  • Range entry and single entry (separated by a comma -110:-222, -220)
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | list | none | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:ENABle:DELete
Examples |  | :SYST:ERR:ENAB:DEL
 |  | :system:error:enable:delete

:SYSTem:ERRor:ENABle[:LIST]

Sets or queries the specific errors in the error queue. When you enable messages, the messages not specified in the list are disabled. When you disable messages, each listed message is removed from the enabled list. See Error queue.

Parameters

  • Single message (-110)
  • Range of messages (-110:-222 = -110 through -222)
  • Range entry and single entry (separated by a comma -110:-222, -220)
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | list |  | Yes | list | none | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:ENABle:LIST
Examples |  | :SYST:ERR:ENAB:LIST
 |  | :system:error:enable:list
 |  | :SYST:ERR:ENAB:LIST?

:SYSTem:ERRor[:NEXT]

Reads the next error in the queue. As error and status messages occur, they are placed in the error queue. The error queue is a first-in first-out (FIFO) register that can hold up to 10 messages. After sending this command and addressing the instrument to talk, the oldest code and message is sent to the computer and is then removed from the queue.

Return format:

__

<number>,"error description[; optional error details]"

If there are no errors in the queue, the return is 0,"No Error".

Example return:

__

-200,"Execute Error;Optimize Failed"

Returns a "0" (zero) if no errors are in the queue, otherwise it returns the latest error on the stack, last-in-first-out (LIFO).

_____
See also:

  • Error queue for Series V2800 and Series V2900 instruments
  • Error queue for SignalMeister™

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:NEXT?
Examples |  | :SYST:ERR?
 |  | :system:error?


:SYSTem:KLOCk[:STATe]

Locks out the instrument front panel Local and Preset key when in the Remote mode. Sending the command, *RST, switches off the lock. A query returns the state of the front panel Local and Preset key. See the Local and Preset topics for more information.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SYSTem:KLOCk:STATe ON
Examples |  | :SYST:KLOC ON
 |  | :system:klock 0
 |  | :SYST:KLOC?


:SYSTem:LOCal

Puts the instrument in the local mode. See Local button.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:LOCal
Examples |  | :SYST:LOC
 |  | :system:local


:SYSTem:PRESet

Restores the instrument settings to the preset state determined by SYSTem:PRESet:TYPE. If TYPE is set to FACTory, the preset state is the factory default. If TYPE is set to USER, the preset state is the state saved by SYSTem:PRESet:SAVE.
_

Series V2800 only -- see also:

  • Preset button
  • Series V2800 Preset conditions
  • Preset Type
  • Preset Save

Series V2900 only -- see also:

  • Preset button
  • Series V2900 Preset conditions
  • Preset Type
  • Preset Save

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:PRESet
Examples |  | :SYST:PRES
 |  | :system:preset

:SYSTem:PRESet:SAVE

Saves the current instrument state as a user-defined preset. This state is recalled if the SYSTem:PRESet:TYPE is set to USER when the:

  • Instrument is powered on
  • Front-panel Preset button is pressed
  • SYSTem:PRESet command is used

See Preset and Preset Type.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:PRESet:SAVE
Examples |  | :SYST:PRES:SAVE
 |  | :system:preset:save

:SYSTem:PRESet:TYPE

Set or query the type of preset that is performed when:

  • The Preset button is used
  • The instrument is powered on
  • The SYSTem:PRESet command is used

If the Preset Type is FACTory, the instrument is set to the factory default state. If the Preset Type is USER, the instrument is set to the state saved by SYSTem:PRESet:SAVE (which is initially the factory default values shown in Series V2800 preset conditions ). See also, Preset and Preset Type.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string |  | Yes | FACTory | USER | DEFault | FACTory | n/a | n/a | none
 |  | :SYSTem:PRESet:TYPE USER
Examples |  | :SYST:PRES:TYPE USER
 |  | :system:preset:type user
 |  | :SYSTem:PRESet:TYPE?


:SYSTem:REMote

Puts the instrument in the remote mode. See Remote and local operation differences.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:REMote
Examples |  | :SYST:REM
 |  | :system:remote


:SYSTem:SSAVer

Select a link to view the command details:

  • :SYSTem:SSAVer:DELay
  • :SYSTem:SSAVer[:STATe]

:SYSTem:SSAVer:DELay

Queries or sets the delay of the screen saver, in minutes. See Screen saver.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | minutes
 |  | :SYSTem:SSAVer:DELay 2
Examples |  | :SYST:SSAV:DEL 2
 |  | :system:ssaver:delay 2
 |  | :SYST:SSAV:DEL?

:SYSTem:SSAVer[:STATe]

Queries or switches the state of the screen saver on/off. See Screen saver.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SYSTem:SSAVer:STATe ON
Examples |  | :SYST:SSAV ON
 |  | :system:ssaver:state 0
 |  | :SYST:SSAV?


:SYSTem:TIME

Sets or queries the system time. See Time and date. Hour, minute, second -- numeric representation format. This parameter is a number that can be expressed as an integer (for example, 8).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit., Digits with an implied decimal point assumed at the right of the least-significant digit. (hour, minute, second) |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). ,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). (hour, minute, second) | none | n/a | n/a | n/a | none
 |  | :SYSTem:TIME 08, 10, 03
Examples |  | :SYST:TIME 08, 10, 03
 |  | :system:time 08, 10, 03
 |  | :SYST:TIME?


:TRACe

Select a link to view the command details:

  • :TRACe:ACPR:HOLD
  • :TRACe:CPList:HOLD
  • :TRACe:HOLD

:TRACe:ACPR:HOLD

Sets or queries the trace hold for ACPR/ACLR measurements. Holds the measurement trace in a persistent state, visually adding the results of subsequent measurements. This allows you to analyze the data in a steady state.

  • NORMal shows the current positions of the measurement points, with no visual persistence.
  • MAXimum shows and holds the maximum values for the measurement points.
  • MINimum shows and holds the minimum values for the measurement points.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NORM | MAX | MIN |  | Yes | NORMal | MAX | MIN | MAXimum | MINimum | DEFault | NORM | MIN | MAX | none
 |  | :TRACe:ACPR:HOLD MIN
Examples |  | :TRAC:ACPR:HOLD MIN
 |  | :trace:acpr:hold min
 |  | :TRACe:ACPR:HOLD?

:TRACe:CPList:HOLD

Sets or queries trace hold for channel power list measurement. Holds the measurement trace in a persistent state, visually adding the results of subsequent measurements. This allows you to analyze the data in a steady state.

  • NORMal shows the current positions of the measurement points, with no visual persistence.
  • MAXimum shows and holds the maximum values for the measurement points.
  • MINimum shows and holds the minimum values for the measurement points.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NORM | MAX | MIN |  | Yes | NORMal | MAX | MIN | MAXimum | MINimum | DEFault | NORM | MIN | MAX | none
 |  | :TRACe:CPList:HOLD MIN
Examples |  | :TRAC:CPL:HOLD MIN
 |  | :trace:cplist:hold min
 |  | :TRACe:CPList:HOLD?

:TRACe:HOLD

Holds or queries the measurement trace in a persistent state, visually adding the results of subsequent measurements. This allows you to analyze the data in a steady state.

  • NORMal shows the current positions of the measurement points, with no visual persistence.
  • MAXimum shows and holds the maximum values for the measurement points.
  • MINimum shows and holds the minimum values for the measurement points.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NORM | MAX | MIN |  | Yes | NORMal | MAX | MIN | MAXimum | MINimum | DEFault | NORM | MIN | MAX | none
 |  | :TRACe:HOLD MIN
Examples |  | :TRAC:HOLD MIN
 |  | :trace:hold min
 |  | :TRACe:HOLD?


TRIGger

Select a link to view the command details:

  • :TRIGger[:SEQuence]:AUTO[:STATe]
  • :TRIGger[:SEQuence]:AUTO:TIMeout
  • :TRIGger[:SEQuence]:DELay
  • :TRIGger[:SEQuence]:EXTernal:SLOPe
  • :TRIGger[:SEQuence]:HYSTeresis[:LEVel]
  • :TRIGger[:SEQuence]:HYSTeresis:WINDow
  • :TRIGger[:SEQuence]:LEVel
  • :TRIGger[:SEQuence]:MODE
  • :TRIGger[:SEQuence]:PREQual[:LEVel]
  • :TRIGger[:SEQuence]:PREQual:WINDow
  • :TRIGger[:SEQuence]:SOURce
  • :TRIGger[:SEQuence]:TYPE
  • :TRIGger[:SEQuence]:VIDeo:BANDwidth
  • :TRIGger[:SEQuence]:VIDeo:BWIDth
  • :TRIGger[:SEQuence]:VIDeo:SLOPe

:TRIGger[:SEQuence]:AUTO[:STATe]

Queries or switches the trigger timeout on/off. If the timeout is enabled, a timeout is forced on any trigger type that is not free run. See TRIGger:AUTO:TIMeout.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :TRIGger:SEQuence:AUTO:STATe 1
Examples |  | :TRIG:AUTO 1
 |  | :trigger:sequence:auto:state 1
 |  | :TRIGger:AUTO?

:TRIGger[:SEQuence]:AUTO:TIMeout

Queries or sets the time to wait, in seconds, for a trigger before automatically providing an internal trigger to acquire a measurement. When on and the wait for trigger exceeds this timeout value, an internal trigger will be provided and a measurement acquired. The next acquisition will wait for the specified trigger source.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.1 | 0 | 30 | seconds
 |  | :TRIGger:SEQuence:AUTO:TIMeout 1
Examples |  | :TRIG:AUTO:TIM 1
 |  | :trigger:sequence:auto:timeout 1
 |  | :TRIGger:AUTO:TIMeout?

:TRIGger[:SEQuence]:DELay

Sets or queries a delay between a trigger event and the instrument response.

When the trigger delay is set to zero, the center point of the data window is where the trigger occurred. Changing the trigger delay value allows you to see measurement trace events that occurred before or after the trigger. The trigger delay value is the point at the center of the data acquisition window. See Trigger.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.0000000 | -30 | 30 | seconds
 |  | :TRIGger:SEQuence:DELay MAXimum
Examples |  | :TRIG:DEL MAX
 |  | :trigger:delay maximum
 |  | :TRIG:DEL?

:TRIGger[:SEQuence]:EXTernal:SLOPe

Queries or sets the external trigger slope.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | POS | NEG |  | Yes | POSitive | NEGative | DEFault | POS | n/a | n/a | none
 |  | :TRIGger:SEQuence:EXTernal:SLOPe NEGative
Examples |  | :TRIG:EXT:SLOP NEG
 |  | :trigger:sequence:external:slope negative
 |  | :TRIGger:EXTernal:SLOPe?

:TRIGger[:SEQuence]:HYSTeresis[:LEVel]

Queries or sets the trigger hysteresis level. Once a video trigger level is recognized by the DSP, the input signal must excur by this offset amount before the trigger will again be recognized. If the polarity of the signal is rising, the excursion must be negative and vice-versa.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 32 | dB
 |  | :TRIGger:SEQuence:HYSTeresis:LEVel 5
Examples |  | :TRIG:HYST 5
 |  | :trigger:sequence:hysteresis:level 5
 |  | :TRIGger:HYSTeresis?

:TRIGger[:SEQuence]:HYSTeresis:WINDow

Queries or sets the trigger hysteresis window. The window specifies a time adjacent to the last trigger indication in which no trigger will be recognized by the DSP.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 30 | seconds
 |  | :TRIGger:SEQuence:HYSTeresis:WINDow 5
Examples |  | :TRIG:HYST:WIND 5
 |  | :trigger:sequence:hysteresis:window 5
 |  | :TRIGger:HYSTeresis:WINDow?

:TRIGger[:SEQuence]:LEVel

Queries or sets the power level that the incoming RF signal must reach to cause a trigger event.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -20 | -170 | 40 | dBm
 |  | :TRIGger:SEQuence:LEVel 3
Examples |  | :TRIG:LEV 3
 |  | :trigger:sequence:level 3
 |  | :TRIGger:LEVel?

:TRIGger[:SEQuence]:MODE

Queries or sets the effect the trigger has on the analyzer.

  • MEASurement sets the trigger mode to On Measurement.
  • ACQuire sets the trigger mode to On Acquire.
  • DEFault sets the default (or preset) value of ACQuire.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | ACQ | MEAS |  | Yes | ACQuire | MEASurement | DEFault | ACQ | n/a | n/a | none
 |  | :TRIGger:SEQuence:MODE MEASurement
Examples |  | :TRIG:MODE MEAS
 |  | :trigger:sequence:mode measurement
 |  | :TRIGger:MODE?

:TRIGger[:SEQuence]:PREQual[:LEVel]

Queries or sets the offset before the trigger will be recognized. Once a video trigger level is recognized by the instrument, the input signal must reach this offset amount before the trigger will again be recognized.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 32 | dB
 |  | :TRIGger:SEQuence:PREQual:LEVel 1
Examples |  | :TRIG:PREQ 1
 |  | :trigger:sequence:prequal:level 1
 |  | :TRIGger:PREQual?

:TRIGger[:SEQuence]:PREQual:WINDow

When the trigger source is set to Video or Ext Arm/Video Trig, this command sets a window area in seconds adjacent to the leading edge of a bursted RF signal that is to be cause of the trigger event. The RF signal must not fall within this window area to qualify as a trigger event.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 30 | seconds
 |  | :TRIGger:SEQuence:PREQual:WINDow 3
Examples |  | :TRIG:PREQ:WIND 3
 |  | :trigger:sequence:prequal:window 1
 |  | :TRIGger:PREQual:WINDow?

:TRIGger[:SEQuence]:SOURce

Queries or sets the source of the trigger signal(s).

  • IMMediate sets the instrument to a continuous trigger mode.
  • EXTernal sets the instrument to receive a trigger from the rear panel TRIG IN connector.
  • ELATched sets the instrument to receive a trigger if the external input has sent an active edge since the last latch reset.
  • VIDeo sets the instrument to receive a trigger when the input signal reaches a specified level in dBm.
  • EVIDeo sets the instrument to receive a trigger from a combination of sources: an external pulse to arm the trigger, and a video signal to perform the trigger.
  • BUS sets the instrument to receive a trigger from a *TRG command.
  • BEXTernal sets the instrument to receive a trigger from a combination of sources: a bus *TRG to arm the trigger, and an external signal to perform the trigger.
  • BVIDeo sets the instrument to receive a trigger from a combination of sources: a bus *TRG to arm the trigger, and a video signal to perform the trigger.
  • DEFault sets the default (or preset) value or IMMediate.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | IMM | EXT | VID | EVID | BUS | BEXT | BVID | ELAT |  | Yes | IMMediate | EXTernal | VIDeo | EVIDeo BUS | BEXTernal | BVIDeo | ELATched | DEFault | IMM | n/a | n/a | none
 |  | :TRIGger:SEQuence:SOURce EXTernal
Examples |  | :TRIG:SOUR EXT
 |  | :trigger:sequence:source external
 |  | :TRIGger:SOURce?

:TRIGger[:SEQuence]:TYPE

Sets or queries the type of event that triggers the analyzer.

  • EDGE sets the video trigger type to edge.
  • LEVel sets the video trigger type to level.
  • DEFault sets the default (or preset) value of EDGE.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | EDGE | LEV |  | Yes | EDGE | LEVel | DEFault | EDGE | n/a | n/a | none
 |  | :TRIGger:SEQuence:TYPE LEVel
Examples |  | :TRIG:TYPE LEV
 |  | :trigger:sequence:type level
 |  | :TRIGger:TYPE?

:TRIGger[:SEQuence]:VIDeo:BANDwidth

Queries or sets the video trigger bandwidth. Alternate form:BWIDth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100 | 1 | 100 | %

 | :TRIGger:SEQuence:VIDeo:BANDwidth 1
Examples | :TRIG:SEQ:VID:BAND MAX
 | :trigger:sequence:video:bandwidth min
 | :TRIGger:SEQuence:VIDeo:BANDwidth?

:TRIGger[:SEQuence]:VIDeo:BWIDth

Queries or sets the video trigger bandwidth. Alternate form:BANDwidth.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100 | 1 | 100 | %

 | :TRIGger:SEQuence:VIDeo:BWIDth 1
Examples | :TRIG:SEQ:VID:BWID MAX
 | :trigger:sequence:video:bwidth min
 | :TRIGger:SEQuence:VIDeo:BWIDth?

:TRIGger[:SEQuence]:VIDeo:SLOPe

Sets or queries the video trigger slope.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | POS | NEG |  | Yes | POSitive | NEGative | DEFault | POS | n/a | n/a | none
 |  | :TRIGger:SEQuence:VIDeo:SLOPe NEGative
Examples |  | :TRIG:VID:SLOP NEG
 |  | :trigger:sequence:video:slope negative
 |  | :TRIGger:VIDeo:SLOPe?


Series V2800 SCPI command error messages

Series V2800 SCPI error message strings
-430 | Query deadlocked
-420 | Query unterminated
-410 | Query interrupted
-360 | Communication error
-350 | Queue overflow
-258 | .Media protected
-257 | File name error
-256 | File name not found
-256 | File name not found; the system cannot find the path specified
-256 | File name not found; the filename, directory name or volume label syntax is incorrect
-256 | File name not found; the network path was not found
-256 | File name not found; the network name cannot be found
-254 | Media full
-253 | Corrupt media
-252 | Missing media
-251 | Missing mass storage
-250 | Mass storage error
-250 | Mass storage error; the system cannot open the file
-250 | Mass storage error; No more connections can be made to this remote computer at this time
-250 | Mass storage error; the system cannot find the drive specified
-250 | Mass storage error; the directory or file cannot be created
-240 | Hardware error
-240 | Hardware error; read
-240 | Hardware error; write
-230 | Data corrupt or stale
-225 | Out of memory
-224 | Illegal parameter value
-222 | Data out of range
-221 | Settings conflict
-220 | Parameter error
-213 | Init ignored
-161 | Invalid block data
-151 | Invalid string data
-138 | Suffix not allowed
-131 | Invalid suffix
-121 | Invalid character in number
-120 | Numeric data error
-115 | Unexpected number of parameters
-113 | Undefined header
-110 | Command header error
-109 | Missing parameter
-102 | Syntax error
-101 | Invalid character
-100 | Command error
0 | No error
1 | Input overflow
10 | USB error
11 | USB cable not connected
12 | Active measurement does not support the command
13 | The required license is not installed
15 | Extended frequency range cannot be turned off while in use;<list> (where <list> is a list of the features using extended frequencies)
Shared DSP error messages
20 | Bad run checksum
21 | Run sector erased
22 | Bad FPGA checksum
23 | FPGA sector erased
24 | Bad Parms checksum
25 | Bad XParms checksum
26 | Bad basic Dsp command
27 | Bad DUC FS
28 | Task already on queue
29 | Bad cal table
30 | Flash not erasing
31 | Flash not programming
32 | Bad loader size
33 | Bad boot size
34 | Bad run size
35 | Checksum mismatch
36 | Bad DSP command
37 | Reached breakpoint
38 | Resource not locked
39 | FATAL CRASH!
40 | Debug not available
41 | Unrecognized DSP error
42 | Missing task killed message
43 | Missing acknowledged message
44 | FPGA program failure
45 | Bad receiver bandwidth
46 | FPGA DCM not locked
47 | DAC PLL not locked
48 | Bad XXParms checksum
49 | Bad license checksum
65 | DSP disabled by previous error
66 | DSP communication error
900 | Internal system error
Shared file and table loading error messages
70 | FILE ERROR: Cannot open
71 | FILE ERROR: Invalid file header
72 | FILE ERROR: Incorrect type
73 | FILE ERROR: Version not compatible
74 | FILE ERROR: Column header invalid
75 | FILE ERROR: "Begin Table" keyword not found
76 | FILE ERROR: Missing name/value pairs
77 | FILE ERROR: Number of data rows exceeds maximum
78 | Table not loaded, bad input format
79 | Table not loaded, bad value
80 | ERROR: Bad checksum
81 | ERROR: Contents are corrupted
Instrument specific DSP error messages
90 | Delta marker is off
91 | Bus trigger ignored
92 | Channel power list is empty
93 | Channel power list file error
94 | The recalled measurement type is not installed
95 | The recalled measurement type is not licensed
GSM/EDGE measurement error messages
200 | Invalid user filter
Power meter error messages
100 | Power meter not connected
101 | Power meter hardware error
102 | Power meter, bad command
Multibox error messages
110 | Multibox; not connected
111 | Multibox; hardware error
112 | Multibox; bad command
Pass through error messages
116 | Pass through mode required
120 | Pass through mode error
WiMAX measurement error messages
240 | Setting not allowed, subchannels in use by a burst may not be removed
241 | Setting not allowed, symbols in use by a zone may not be removed
242 | Setting not allowed, symbols in use by a burst may not be removed
243 | Subframe is full
244 | Invalid zone size
245 | Invalid burst location
246 | Invalid burst size
247 | Zone is full
248 | Location conflicts with an existing burst
249 | Required subchannel group is off
250 | Subchannel group is required for preamble index/segment
251 | Load failed, invalid map file
252 | Setting not allowed, sample time exceeds frame duration
253 | Setting not allowed, required samples exceed the maximum limit
User flatness error messages
270 | User Flatness data file error
271 | User Flatness file frequency rounded
272 | Waveform file error
802.11x measurement error
280 | Optimize setup failed, unknown signal type


Series V2900 SCPI command locator

Find commands in the category of instrument operation.

Basic Operation

:OUTPut

:FREQuency

:FREQuency:STARt

:FREQuency:STOP

:POWer

:POWer:STARt

:POWer:STOP

*RST

:STATus:PRESet

:SYSTem:PRESet

:SYSTem:PRESet:SAVE

:SYSTem:PRESet:TYPE

Modulations

GSM

:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:GSM:LOAD

cdma2000

:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:CDMA:LOAD

W-CDMA

:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:WCDMa:LOAD

:RADio:WCDMa:STATe

GPS

:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:GPS:CACode

:RADio:GPS:DSHift

:RADio:GPS:PATTern

:RADio:GPS:PATTern:OPEN

:RADio:GPS:STATe

ASK Digital

:ASK:DENCoding

:ASK:FILTer

:ASK:LOAD

:ASK:PATTern

:ASK:PATTern:COUNt

:ASK:PATTern:INVert

:ASK:SPS

:ASK:STATe

:ASK:STYPe

:FREQuency

:OUTPut

:OUTPut:MODulation

FSK Digital

:FREQuency

:FSK:DENCoding

:FSK:FILTer

:FSK:FSEParation

:FSK:LOAD

:FSK:PATTern

:FSK:PATTern:COUNt

:FSK:PATTern:INVert

:FSK:SPS

:FSK:STATe

:FSK:STYPe

:OUTPut

:OUTPut:MODulation

PSK Digital

:FREQuency

:OUTPut

:OUTPut:MODulation

:PSK:DENCoding

:PSK:FILTer

:PSK:LOAD

:PSK:PATTern

:PSK:PATTern:COUNt

:PSK:PATTern:INVert

:PSK:SPS

:PSK:STATe

:PSK:STYPe

QAM Digital

:FREQuency

:OUTPut

:OUTPut:MODulation

:QAM:DENCoding

:QAM:FILTer

:QAM:LOAD

:QAM:PATTern

:QAM:PATTern:COUNt

:QAM:PATTern:INVert

:QAM:SPS

:QAM:STATe

:QAM:STYPe

Analog

:AM:INTernal:FREQuency

:AM:INTernal:WAVeform

:AM:STATe

:AM[:DEPTh]

:FM[:DEViation]

:FM:INTernal:FREQuency

:FM:INTernal:WAVeform

:FM:STATe

:FREQuency

:NOISE

:NOISE:STATe

:PM[:DEViation]

:PM:INTernal:FREQuency

:PM:STATe

:PULM

:PULM:INTernal:FREQuency

:PULM:STATe

:TTONe:FREQuency:SPAN

:TTONe:STATe

:OUTPut

:OUTPut:MODulation

Arbitrary Waveforms

:OUTPut

:OUTPut:MODulation

:RADio:ARB:COPY

:RADio:ARB:DELete

:RADio:ARB:EIQ

:RADio:ARB:LIST

:RADio:ARB:LIST2

:RADio:ARB:LIST3

:RADio:ARB:MEM?

:RADio:ARB:OPEN

:RADio:ARB:PBLank

:RADio:ARB:PFACtor

:RADio:ARB:PLAY

:RADio:ARB:ROW

:RADio:ARB:SEQuence:AROW

:RADio:ARB:SEQuence:DELete

:RADio:ARB:SEQuence:FREQuency

:RADio:ARB:SEQuence:OPEN

:RADio:ARB:SEQuence:POWer

:RADio:ARB:SEQuence:RUNNing

:RADio:ARB:SEQuence:STARt

:RADio:ARB:SEQuence:STATe

:RADio:ARB:SEQuence:STOP

:RADio:ARB:SEQuence:SWEep

:RADio:ARB:SEQuence:TRIGger:MODE

:RADio:ARB:SRATe

:RADio:ARB:STATe

IQ

:MODulation:IGAin

:MODulation:IOFFset

:MODulation:QGAin

:MODulation:IQGain

:MODulation:QOFFset

:MODulation:QPHase

:OUTPut:IQ

Corrections

:UFLatness:LOAD

:UFLatness:STATe

Sweep

:OUTPut

:FREQuency

:FREQuency:STARt

:FREQuency:STOP

:POWer

:POWer:STARt

:POWer:STOP

:SWEep:DWELl

:SWEep:SETTle?

:SWEep:STEP

:SWEep:STATe

:UFLatness:LOAD

:UFLatness:STATe

List mode

:LIST:LOAD

:LIST:SETTle

:LIST

:OUTPut

Trigger/Synchronization

:ABORt

*TRG

*WAI

*OPC

*OPC?

:TRIGger:DELay

:TRIGger:DELay:ACTual

:TRIGger:MODE

:TRIGger:SOURce

:INITiate

Sync out

:SOUTput:IMMediate

:SOUTput:MODe

:SOUTput:POLarity

:SOUTput:OFFSet

ALC

:POWer:ALC:BOTune[:STATe]

:POWer:ALC:CWAVE[:STATe]

:POWer:ALC:CWAVe:TYPE

:POWer:ALC:CWAVE

:POWer:ALC:MODulation:TYPE

:POWer:ALC:MODulation[:STATe]

:POWer:ALC:SHOLd:REFResh

Frequency reference

:FREQuency:OFFSet

:IEVensecond:POLarity

:PHASe:ADJust

:ROSCillator:EEVensecond:POLarity

:ROSCillator:EXTernal:FREQuency

:ROSCillator:SOURce

MIMO (not applicable to Model 2910)

:MIMO:MODE

:MIMO:SYNC[:STATe]

:MASTer:SYNC[:STATe]

[:SOURce]:INTernal:CLOCk

[:SOURce]:VCO[:STATe]

[:SOURce]:PHASe:ADJust

Digital I/O

:TTL:INPut?

:TTL

External oscillator

:EEVensecond:POLarity

:IEVensecond:POLarity

:ROSCillator:EEVensecond:POLarity

:ROSCillator:EXTernal:FREQuency

:ROSCillator:SOURce

File management

*SAV

*RCL

:ASK:LOAD

:FSK:LOAD

:LIST:LOAD

:MMEMory:CATalog?

:MMEMory:DATA

:MMEMory:DELete

:PSK:LOAD

:QAM:LOAD

:RADio:ARB:COPY

:RADio:ARB:DELete

:RADio:ARB:EIQ

:RADio:ARB:LIST

:RADio:ARB:LIST2

:RADio:ARB:LIST3

:RADio:ARB:MEM?

:RADio:ARB:OPEN

:RADio:ARB:PBLank

:RADio:ARB:PFACtor

:RADio:ARB:PLAY

:RADio:ARB:ROW

:RADio:ARB:SEQuence:AROW

:RADio:ARB:SEQuence:DELete

:RADio:ARB:SEQuence:FREQuency

:RADio:ARB:SEQuence:OPEN

:RADio:ARB:SEQuence:POWer

:RADio:ARB:SEQuence:RUNNing

:RADio:ARB:SEQuence:STARt

:RADio:ARB:SEQuence:STATe

:RADio:ARB:SEQuence:STOP

:RADio:ARB:SEQuence:SWEep

:RADio:ARB:SEQuence:TRIGger:MODE

:RADio:ARB:SRATe

:RADio:ARB:STATe

:RADio:CDMa:LOAD

:RADio:GPS:PATTern:OPEN

:RADio:GSM:LOAD

:RADio:WCDMa:LOAD

:UFLatness:LOAD

Display

:DISPlay:CAPTure

:DISPlay:ENABle

:SYSTem:SSAVer:DELay

:SYSTem:SSAVer

Diagnostic/Errors

:DIAGnostic:FREQuency:EXTend

:DIAGnostic:INFormation:OPTions

:DIAGnostic:REMote:CLEar:LOG

:DIAGnostic:REMote:CLEar:OUTput

:DIAGnostic:REMote:ERRor:OUTPut

:DIAGnostic:REMote:LOG:OUTPut

:DIAGnostic:REMote:OUTPut

:DIAGnostic:REMote:QUERy:OUTPut

:DIAGnostic:REMote:SAVE

:STATus:QUEue:CLEar

:SYSTEM:CLEar

:SYSTem:ERRor?

:SYSTem:ERRor:ALL?

:SYSTem:ERRor:CLEar

:SYSTem:ERRor:CODE?

:SYSTem:ERRor:CODE:ALL?

:SYSTem:ERRor:COUNt?

:SYSTem:ERRor:ENABle

:SYSTem:ERRor:ENABle:ADD

:SYSTem:ERRor:ENABle:DELete

:SYSTem:ERRor:ENABle[:LIST]

:SYSTem:ERRor:[NEXT]

Status registers

*CLS

*ESE

*ESE?

*ESR?

*OPC

*OPC?

*SRE

*SRE?

*STB?

:FORMat:SREGister

:STATus:MEASurement?

:STATus:MEASurement:CONDition?

:STATus:MEASurement:ENABle

:STATus:MEASurement:EVENt

:STATus:MEASurement:NTRansition

:STATus:MEASurement:PTRansition

:STATus:OPERation?

:STATus:OPERation:CONDition?

:STATus:OPERation:ENABle

:STATus:PRESet

:STATus:QUEStionable?

:STATus:QUEStionable:CONDition?

:STATus:QUEStionable:ENABle

:STATus:QUEStionable:EVENt

:STATus:QUEStionable:NTRansition

:STATus:QUEStionable:PTRansition

:STATus:OPERation:EVENt

:STATus:OPERation:NTRansition

:STATus:OPERation:PTRansition

:STATus:QUEue:CLEar

:SYSTEM:CLEar

:SYSTem:ERRor?

:SYSTem:ERRor:ALL?

:SYSTem:ERRor:CLEar

:SYSTem:ERRor:CODE?

:SYSTem:ERRor:CODE:ALL?

:SYSTem:ERRor:COUNt?

:SYSTem:ERRor:ENABle

:SYSTem:ERRor:ENABle:ADD

:SYSTem:ERRor:ENABle:DELete

:SYSTem:ERRor:ENABle[:LIST]

Time and date

:SYSTem:TIME

:SYSTem:DATE

Preset

:ABORt

*RST

*SAV

*RCL

:STATus:PRESet

:SYSTem:PRESet

:SYSTem:PRESet:SAVE

:SYSTem:PRESet:TYPE

Remote and local operation

*IDN?

:MBOX:COMMand

:PMETer:COMMand

:SYSTem:COMMunicate:GPIB:ADDRess

:SYSTem:KLOCk

:SYSTem:LOCal

:SYSTem:PRESet

:SYSTem:REMote

Performance

:LPNoise[:STATe]

RF test accessory SCPI command pass-through

:MBOX:COMMand

:PMETer:COMMand

(Pass-through overview)


Series V2900 SCPI command tree

IEEE- 488.2 common commands
:ABORt
:DIAGnostic
:DISPlay
:FORMat
:INITiate[:IMMediate]
:MASTer
:MIMO
:MMEMory
:OUTPut
:PMETer:COMMand
:SOURce
 | :AM
 | :ASK
 | :FM
 | :FREQuency
 | :FSK
 | :IEVensecond:POLarity
 | :INTernal:CLOCk[:STATe]
 | :LIST
 | :LPNoise
 | :MODulation
 | :NOISe
 | :PHASe:ADJust
 | :PM
 | :POWer
 | :POWer:ALC
 | :PSK
 | :PULM
 | :QAM
 | :RADio:ARB
 | :RADio:CDMA
 | :RADio:GPS
 | :RADio:GSM
 | :RADio:WCDMa
 | :ROSCillator
 | :SWEep
 | :TTL
 | :TTONe
 | :UFLatness
 | :VCO[:STATe]
:SOUTput
:STATus
 | :MEASurement
 | :OPERation
 | :PRESet
 | :QUEStionable
 | :QUEue
:SYSTem
 | :CLEar
 | :COMMunicate
 | :DATE
 | :ERRor
 | :KLOCk[:STATe]
 | :LOCal
 | :PREset
 | :REMote
 | :SSAVer
 | :TIME
:TRIGger


:ABORt

The ABORt command resets the trigger system and places all trigger sequences in the IDLE state. Any actions related to the trigger system that are in progress are aborted as quickly as possible.

This command is an event and has no associated *RST condition or query form.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :ABORt
Examples | :ABOR
 | :abort


:DIAGnostic

Controls remote command diagnostics.

Select a link to view the command details:

  • :DIAGnostic:FREQuency:EXTend[:STATe]
  • :DIAGnostic:INFormation:OPTions
  • :DIAGnostic:REMote:CLEar:LOG
  • :DIAGnostic:REMote:CLEar:OUTput
  • :DIAGnostic:REMote:ERRor:OUTPut[:STATe]
  • :DIAGnostic:REMote:LOG:OUTPut[:STATe]
  • :DIAGnostic:REMote:OUTPut[:STATe]
  • :DIAGnostic:REMote:QUERy:OUTPut[:STATe]
  • :DIAGnostic:REMote:SAVE

:DIAGnostic:FREQuency:EXTend[:STATe]

Queries or switches on/off the Extend Frequency feature.

Not applicable to the Model 2910 instruments.

___

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | Default | 0 or Off | n/a | n/a | none

 | :DIAGnostic:FREQuency:EXTend[:STATe] 1
Examples | :DIAG:FREQ:EXT DEF
 | :diagnostic:frequency:extend default
 | :DIAGnostic:FREQuency:EXTend?

:DIAGnostic:INFormation:OPTions

Returns a string representing the installed options (comma delimited).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | No | n/a | n/a | n/a | n/a | n/a | none

 | :DIAGnostic:INFormation:OPTions?
Examples | :DIAG:INF:OPT?
 | :diagnostic:information:options?

:DIAGnostic:REMote:CLEar:LOG

Clears the diagnostic output log contents

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | n/a | n/a | n/a | n/a | n/a | none

 | :DIAGnostic:REMote:CLEar:LOG
Examples | :DIAG:REM:CLE:LOG
 | :diagnostic:remote:clear:log

:DIAGnostic:REMote:CLEar:OUTput

Clears the diagnostic output on-screen display list.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | n/a | n/a | n/a | n/a | n/a | none

 | :DIAGnostic:REMote:CLEar:OUTput
Examples | :DIAG:REM:CLE:OUT
 | :diagnostic:remote:clear:output

:DIAGnostic:REMote:ERRor:OUTPut[:STATe]

Queries or switches on/off the remote error diagnostic output.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | Default | 1 or On | n/a | n/a | none

 | :DIAGnostic:REMote:ERRor:OUTPut:STATe DEFault
Examples | :DIAG:REM:ERR:OUTP DEF
 | :diagnostic:remote:error:output default
 | :DIAGnostic:REMote:ERRor:OUTPut?

:DIAGnostic:REMote:LOG:OUTPut[:STATe]

Queries or switches on/off logging the diagnostic output.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | Default | 0 or Off | n/a | n/a | none

 | :DIAGnostic:REMote:LOG:OUTPut:STATe DEFault
Examples | :DIAG:REM:LOG:OUTP DEF
 | :diagnostic:remote:log:output default
 | :DIAGnostic:REMote:LOG:OUTput?

:DIAGnostic:REMote:OUTPut[:STATe]

Queries or switches on/off the remote command diagnostic output.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | Default | 0 or OFF | n/a | n/a | none

 | :DIAGnostic:REMote:OUTput:STATe DEFault
Examples | :DIAG:REM:OUT:DEF
 | :diagnostic:remote:output default
 | :DIAGNOSTIC:REMOTE:OUTPUT?

:DIAGnostic:REMote:QUERy:OUTPut[:STATe]

Queries or switches on/off the remote query diagnostic output.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | Default | 1 or On | n/a | n/a | none

 | :DIAGnostic:REMote:QUERy:OUTPut:STATe DEFault
Examples | :DIAG:REM:QUER:OUTP DEF
 | :diagnostic:remote:query:output default
 | :DIAGnostic:REMote:QUERy:OUTPut?

:DIAGnostic:REMote:SAVE

Saves the diagnostic log to the specified file name. Use :MMEMory:DATA? to retrieve file.

NOTE: Only SCPI captured since :DIAGnostic:REMote:LOG:OUTPut:STATe ON is saved to the file.

The general context/process of using the :DIAG:REM:SAVE command is as follows:

  1. :DIAGnostic:REMote:LOG:OUTPut:STATe ON # Turn on file logging.
  2. :DIAGnostic:REMote:OUTPut:STATe ON # turn on SCPI debug/capture.
  3. ... send scpi commands ...
  4. :DIAGnostic:REMote:SAVE filename # save captured scpi to log file (only if LOG was turned on!)
  5. :MMEMory:DATA? user\filename # retrieve SCPI

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | string | Yes | filename | none | n/a | n/a | n/a | none

 | :DIAGnostic:REMote:SAVE
Examples | :DIAG:REM:SAVE
 | :diagnostic:remote:save


:DISPlay

Controls the screen display.

Select a link to view the command details:

  • :DISPlay:CAPTure
  • :DISPlay:ENABle[:STATe]

:DISPlay:CAPTure

Captures the contents shown on the display and puts them in the specified file. See LXI web interface.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | filename | none | n/a | n/a | n/a | none

 | :DISPlay:CAPTure
Examples | DISP:CAPT
 | DISP:CAPT


:INITiate[:IMMediate]

Initiates a single sweep or list, depending on mode. See Trigger.

When using this command to trigger a single sweep (or list), the command must be used in a single-string programming message that includes *OPC?, followed by a new-line character. When the source completes the sweep, the instrument responds with a "1."

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :INIT
Examples | :INIT:IMM
 | :initiate:immediate

NOTE: Sending :INITiate while the instrument is performing an measurement will cause error -213 (init ignored).


:MMEMory

Controls the file system.

Select a link to view the command details:

  • :MMEMory:CATalog
  • :MMEMory:DATA
  • :MMEMory:DELete

:MMEMory:CATalog

Queries the contents of the file system, starting at the specified directory root. The parameter is an alias for the physical file path. The contents of all subdirectories are included in the response. The response is per SCPI standard for :MMEMory:CATalog?. The file type is left blank. See File management operations.

Note: Syntax is ":MMEMory:Catalog? <directory path>".

___

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | No | (see path shortcut list below) | none | n/a | n/a | n/a | none

___

Path Shortcuts

To simplify the path in the syntax of the :MMEMory:CATalog command, you are encouraged to use the path shortcuts described in the table below.

Path Shortcut * | Directory purpose | Desktop Control Panel absolute path equivalent **
USER | Generic use | ...\Agilent Series V2900 Documents\<model>
SETUPS | Store instrument saved state files. | ...\Agilent Series V2900 Documents\<model>\Setups
CDMA2000 FORWARD LINK\USER | Store cdma2000 forward link waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\cdma2000\Forward Link
CDMA2000 FORWARD LINK\REFERENCE | Store default cdma2000 forward link waveform file | ((restricted, read-only))
W-CDMA 3GPP DOWNLINK\USER | Store W-CDMA downlink waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\W-CDMA\Down Link
W-CDMA 3GPP DOWNLINK\REFERENCE | Store default W-CDMA downlink waveform file | ((restricted, read-only))
GSM EDGE\USER | Store GSM EDGE waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\GSM EDGE
GSM EDGE\REFERENCE | Store default GSM EDGE waveform file | ((restricted, read-only))
GPS\USER | Store GPS waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\GPS
ASK\USER | Store ASK waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\ASK
FSK\USER | Store FSK waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\FSK
PSK\USER | Store PSK waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\PSK
QAM\USER | Store QAM waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\QAM
ARB WAVEFORM\USER | Store arbitrary waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\ARB
ARB SEQUENCE\USER | Store arbitrary waveform sequence files | ...\Agilent Series V2900 Documents\<model>\Sequence
LIST\USER | Store List Mode (frequency, power, and dwell parameters) files | ...\Agilent Series V2900 Documents\<model>\List
USER FLATNESS\USER | Store user flatness files | ...\Agilent Series V2900 Documents\<model>\User Flatness
USB | Root directory of the first USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB2 | Root directory of the second USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB3 | Root directory of the third USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB4 | Root directory of the fourth USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)
* If no path is specified, the User path shortcut is used. ** <model> is replaced by a string to represent the instrument model. For example, V2920A. All path shortcuts may be preceded by a directory separator ("\"). For example, \user is the same as user.

To see the correlation between each path shortcut and the instrument's absolute directory path, click here.

_____

Desktop Control Panel users: The path shortcuts are especially helpful in that they provide far easier path definitions. For example, the :MMEMory:CATalog ask\user command requires a much shorter path than its absolute path equivalent, :MMEMory:CATalog C:\Documents and Settings\All Users\Documents\Agilent Series V2900 Documents\V2920A\ASK. NOTE: You must specify the path to the file using either the exact path shortcut or exact absolute path. Otherwise, the command will fail with an undefined header error (error -113). Be aware that absolute file paths for the Desktop Control Panel application depend on the operating system and whether or not file sharing is enabled. Typically...

  • For Windows XP with file sharing enabled, the files are located in C:\Shared Documents\Agilent Series V2900 Documents\<model> (equivalent to C:\Documents and Settings\All Users\Documents\Agilent Series V2900 Documents\<model>).
  • For Windows XP with file sharing disabled, the files are located in C:\Documents and Settings\<user>\Agilent Series V2900 Documents\<model>.

_____

 | :MMEMory:CATalog? LIST\USER
Examples | :MMEM:CAT? LIST\USER
 | :mmemory:catalog? list\user

:MMEMory:DATA

Queries or creates a file in the location specified and copies the information in the programming message into the file. You can use the programming command :MMEM:DATA to create a file (with specified contents) in a directory in the Series V2900 instrument or a USB memory device connected to the Series V2900 instrument, or on the computer running the Desktop Control Panel application. See File management operations.

___________

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | #<number of digits representing the number of characters in the string in the file><number of characters in text string in the file>string | Yes | <path\filename>, #<number of digits representing the number of characters in the string in the file><number of characters in text string in the file>string | none | n/a | n/a | n/a | none

___________

Path Shortcuts

To simplify the path in the syntax of the :MMEMory:DATA command, you are encouraged to use the path shortcuts described in the table below.

Path Shortcut * | Directory purpose | Desktop Control Panel absolute path equivalent **
USER\... | Generic use | ...\Agilent Series V2900 Documents\<model>
SETUPS\... | Store instrument saved state files. | ...\Agilent Series V2900 Documents\<model>\Setups
CDMA2000 FORWARD LINK\USER\... | Store cdma2000 forward link waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\cdma2000\Forward Link
W-CDMA 3GPP DOWNLINK\USER\... | Store W-CDMA downlink waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\W-CDMA\Down Link
GSM EDGE\USER\... | Store GSM EDGE waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\GSM EDGE
GPS\USER\... | Store GPS waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\GPS
ASK\USER\... | Store ASK waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\ASK
FSK\USER\... | Store FSK waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\FSK
PSK\USER\... | Store PSK waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\PSK
QAM\USER\... | Store QAM waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\QAM
ARB WAVEFORM\USER\... | Store arbitrary waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\ARB
ARB SEQUENCE\USER\... | Store arbitrary waveform sequence files | ...\Agilent Series V2900 Documents\<model>\Sequence
LIST\USER\... | Store List Mode (frequency, power, and dwell parameters) files | ...\Agilent Series V2900 Documents\<model>\List
USER FLATNESS\USER\... | Store user flatness files | ...\Agilent Series V2900 Documents\<model>\User Flatness
USB\... | Root directory of the first USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB2\... | Root directory of the second USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB3\... | Root directory of the third USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB4\... | Root directory of the fourth USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)
* If no path is specified, the User\... path shortcut is used. ** <model> is replaced by a string to represent the instrument model. For example, V2920A. All path shortcuts may be preceded by a directory separator ("\"). For example, \user is the same as user.

To see the correlation between each path shortcut and the instrument's absolute directory path, click here.

_____

Desktop Control Panel users: The path shortcuts are especially helpful in that they provide far easier path definitions. For example, the :MMEMory:CATalog ask\user command requires a much shorter path than its absolute path equivalent, :MMEMory:CATalog C:\Documents and Settings\All Users\Documents\Agilent Series V2900 Documents\V2920A\ASK. NOTE: You must specify the path to the file using either the exact path shortcut or exact absolute path. Otherwise, the command will fail with an undefined header error (error -113). Be aware that absolute file paths for the Desktop Control Panel application depend on the operating system and whether or not file sharing is enabled. Typically...

  • For Windows XP with file sharing enabled, the files are located in C:\Shared Documents\Agilent Series V2900 Documents\<model> (equivalent to C:\Documents and Settings\All Users\Documents\Agilent Series V2900 Documents\<model>).
  • For Windows XP with file sharing disabled, the files are located in C:\Documents and Settings\<user>\Agilent Series V2900 Documents\<model>.

_____

:MMEMory:DATA USER\example.txt, #211Hello world

Examples

:MMEM:DATA USER\example.txt, #211Hello world

:mmemory:data user\example.txt, #211Hello world

:MMEM:DATA? \list\user\listmodesample.txt

Examples

The following command creates a file named "example1.txt" on the second USB memory device that is inserted into the instrument's USB connectors.

:MMEM:DATA \USB2\example1.txt, #257Hello! This is example content for the example text file.

  • The # indicates the start of a binary transmission.
  • The 2 indicates that the next two digits specify the length of the transmission.
  • The 57 indicates that the transmission is 57 bytes. This number includes characters, spaces, and line breaks.
  • The text is the content of the file "example1.txt."

Examples

The following command creates a file named "whatsit.txt" on a USB memory device inserted into one of the computer's USB connectors (identified by the computer as drive "F").

:MMEM:DATA F:\data.txt, #265Hello! This is another example content for the whatsit text file.

  • The # indicates the start of a binary transmission.
  • The 2 indicates that the next two digits specify the length of the transmission.
  • The 65 indicates that the transmission is 65 bytes. This number includes characters, spaces, and line breaks.
  • The text is the content of the file "whatsit.txt."

:MMEMory:DELete

Deletes a file or directory. The parameter is an alias for the physical file path. The root of the file path is one of the enumerated names. See File management operations.

______

NOTE: syntax is ":MMEMory:DELete <directory name[\subdirectory...]>".

______

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | <path> | none | n/a | n/a | n/a | none

___________

Path Shortcuts

To simplify the path in the syntax of the :MMEMory:DElete command, you are encouraged to use the path shortcuts described in the table below.

Path Shortcut * | Directory purpose | Desktop Control Panel absolute path equivalent *
USER\... | Generic use | ...\Agilent Series V2900 Documents\<model>
SETUPS\... | Store instrument saved state files. | ...\Agilent Series V2900 Documents\<model>\Setups
CDMA2000 FORWARD LINK\USER\... | Store cdma2000 forward link waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\cdma2000\Forward Link
W-CDMA 3GPP DOWNLINK\USER\... | Store W-CDMA downlink waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\W-CDMA\Down Link
GSM EDGE\USER\... | Store GSM EDGE waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\GSM EDGE
GPS\USER\... | Store GPS waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\GPS
ASK\USER\... | Store ASK waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\ASK
FSK\USER\... | Store FSK waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\FSK
PSK\USER\... | Store PSK waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\PSK
QAM\USER\... | Store QAM waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\QAM
ARB WAVEFORM\USER\... | Store arbitrary waveform files | ...\Agilent Series V2900 Documents\<model>\ Waveforms\ARB
ARB SEQUENCE\USER\... | Store arbitrary waveform sequence files | ...\Agilent Series V2900Documents\<model>\Sequence
LIST\USER\... | Store List Mode (frequency, power, and dwell parameters) files | ...\Agilent Series V2900 Documents\<model>\List
USER FLATNESS\USER\... | Store user flatness files | ...\Agilent Series V2900 Documents\<model>\User Flatness
USB\... | Root directory of the first USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB2\... | Root directory of the second USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB3\... | Root directory of the third USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB4\... | Root directory of the fourth USB device inserted into the instrument | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)
* If no path is specified, the User\... path shortcut is used. ** <model> is replaced by a string to represent the instrument model. For example, V2920A. All path shortcuts may be preceded by a directory separator ("\"). For example, \user is the same as user.

To see the correlation between each path shortcut and the instrument's absolute directory path, click here.

_____

Desktop Control Panel users: The path shortcuts are especially helpful in that they provide far easier path definitions. For example, the :MMEMory:CATalog ask\user command requires a much shorter path than its absolute path equivalent, :MMEMory:CATalog C:\Documents and Settings\All Users\Documents\Agilent Series V2900 Documents\V2920A\ASK. NOTE: You must specify the path to the file using either the exact path shortcut or exact absolute path. Otherwise, the command will fail with an undefined header error (error -113). Be aware that absolute file paths for the Desktop Control Panel application depend on the operating system and whether or not file sharing is enabled. Typically...

  • For Windows XP with file sharing enabled, the files are located in C:\Shared Documents\Agilent Series V2900 Documents\<model> (equivalent to C:\Documents and Settings\All Users\Documents\Agilent Series V2900 Documents\<model>).
  • For Windows XP with file sharing disabled, the files are located in C:\Documents and Settings\<user>\Agilent Series V2900 Documents\<model>.

_____

 | :MMEMory:DELete SETUPS\SETUP1.TXT
Examples | :MMEM:DEL setups\setup1.txt
 | :mmemory:delete setups\setup1.txt
Examples | The following command deletes a file named "example1.txt" on a USB memory device that is the first USB device inserted in the Series V2900 instrument. :MMEM:DEL \USB\example1.txt


Instrument directories

When using :MMEMory commands, you are encouraged to use the path shortcuts. If you wish, however, you may use the absolute path for the instrument directories as noted in the table below. To access the instrument directories, use the Remote File Browser, accessed from the LXI web interface.

Path Shortcut * | Directory purpose | Instrument absolute path equivalent
USER\... | Generic use | \Storage Card\User\...
SETUPS\... | Store instrument saved state files. | \Storage Card\SETUPS\...
CDMA2000 FORWARD LINK\USER\... | Store cdma2000 forward link waveform files | \Storage Card\CDMA2000 FORWARD LINK\USER\...
W-CDMA 3GPP DOWNLINK\USER\... | Store W-CDMA downlink waveform files | \Storage Card\W-CDMA 3GPP DOWNLINK\USER\...
GSM EDGE\USER\... | Store GSM EDGE waveform files | \Storage Card\GSM EDGE\USER\...
GPS\USER\... | Store GPS waveform files | \Storage Card\GPS\USER\...
ASK\USER\... | Store ASK waveform files | \Storage Card\ASK\USER\...
FSK\USER\... | Store FSK waveform files | \Storage Card\FSK\USER\...
PSK\USER\... | Store PSK waveform files | \Storage Card\PSK\USER\...
QAM\USER\... | Store QAM waveform files | \Storage Card\QAM\USER\...
ARB WAVEFORM\USER\... | Store arbitrary waveform files | \Storage Card\ARB WAVEFORM\USER\...
ARB SEQUENCE\USER\... | Store arbitrary waveform sequence files | \Storage Card\ARB SEQUENCE\USER\...
LIST\USER\... | Store List Mode (frequency, power, and dwell parameters) files | \Storage Card\LIST\USER\...
USER FLATNESS\USER\... | Store user flatness files | \Storage Card\USER FLATNESS\USER\...
USB\... | Root directory of the first USB device inserted into the instrument | \Hard Disk\...
USB2\... | Root directory of the second USB device inserted into the instrument | \Hard Disk2\...
USB3\... | Root directory of the third USB device inserted into the instrument | \Hard Disk3\...
USB4\... | Root directory of the fourth USB device inserted into the instrument | \Hard Disk4\...
All path shortcuts may be preceded by a directory separator ("\"). For example, \user is the same as user.


:OUTPut

Controls the source output.

Select a link to view the command details:

  • :OUTPut[:STATe]
  • :OUTPut:IQ[:STATe]
  • :OUTPut:MODulation[:STATe]

Also see RF Out connector.

:OUTPut[:STATe]

Queries or switches RF output on/off. See RF On button.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :OUTPut:STATe ON
Examples | :OUTP:STAT ON
 | :output:state on
 | :OUTPut?

:OUTPut:IQ[:STATe]

Turns external IQ outputs on/off. RF output must be on for the signal to be routed to the IQ outputs.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :OUTPut:IQ:STATe 0
Examples | :OUTP:IQ:STAT 1
 | :output:iq:state
 | :output:iq ?

:OUTPut:MODulation[:STATe]

Queries or switches modulation on/off. See Modulation On button.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :OUTPut:MODulation:STATe DEFault
Examples | :OUTP:MOD DEF
 | :output:modulation:state on
 | :OUTPut:MODulation?


[:SOURce]:AM

Controls the source amplitude modulation.

Select a link to view the command details:

  • [:SOURce]:AM[:DEPTh]
  • [:SOURce]:AM:INTernal:FREQuency
  • [:SOURce]:AM:INTernal:WAVeform
  • [:SOURce]:AM:STATe

Also see Amplitude modulation (AM).

[:SOURce]:AM[:DEPTh]

Queries or sets the amplitude modulation depth. See Amplitude modulation (AM).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 50.0 | 0.0 | 100.0 | percent

 | :SOURce:AM:DEPTh MAXimum
Examples | :AM 15
 | :am:depth maximum
 | :AM:DEPTh?

[:SOURce]:AM:INTernal:FREQuency

Queries or sets the amplitude modulation frequency. See Amplitude modulation (AM).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000 | 1 | 100000 | Hz

 | :SOURce:AM:INTernal:FREQuency MAXimum
Examples | :AM:INT:FREQ MAX
 | :am:internal:frequency
 | :AM:INTernal:FREQuency?

[:SOURce]:AM:INTernal:WAVeform

Queries or sets the amplitude modulation waveform. See Amplitude modulation (AM).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | SINE | DRAM | URAM | TRI | Yes | SINE | DRAMp | URAMp | TRIangle | DEFault | SINE | n/a | n/a | none

 | :SOURce:AM:INTernal:WAVeform TRIangle
Examples | :AM:INT:WAV TRI
 | :am:internal:waveform triangle
 | :AM:INTernal:WAVeform?

[:SOURce]:AM:STATe

Queries or switches the amplitude modulation on/off. See Amplitude modulation (AM).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SOURce:AM:STATE ON
Examples | :AM:STAT ON
 | :am:state 0
 | :AM:STATE?


[:SOURce]:ASK

Controls the ASK (amplitude-shift-keying) digital modulation.

Select a link to view the command details:

  • [:SOURce]:ASK:DENCoding
  • [:SOURce]:ASK:FILTer
  • [:SOURce]:ASK:LOAD
  • [:SOURce]:ASK:PATTern
  • [:SOURce]:ASK:PATTern:COUNt
  • [:SOURce]:ASK:PATTern:INVert[:STATe]
  • [:SOURce]:ASK:SPS
  • [:SOURce]:ASK[:STATe]
  • [:SOURce]:ASK:STYPe

_____
Also see: ASK (amplitude-shift-keying)

[:SOURce]:ASK:DENCoding

Queries or switches on/off the ASK (amplitude-shift-keying) modulation differential encoding, a technique that provides unambiguous signal reception for some types of modulation. See ASK (amplitude-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SOURce:ASK:DENCoding ON
Examples | :ASK:DENC 1
 | :ask:dencoding 1
 | :ASK:DENCoding?

[:SOURce]:ASK:FILTer

Queries or sets the filter type, and optionally the filter factor, for ASK modulation. NRZ and WIDeband do not have filter factors.

This command does not affect the instrument until after the corresponding LOAD command is sent.

_
Parameters

  • NRZ selects the non-return-to-zero filter shape.
  • RC selects the raised cosine filter shape. Optionally, you can also set the alpha factor. Otherwise, the alpha factor value will retain the current setting.
  • RRC selects the root-raised cosine filter shape. Optionally, you can also set the alpha factor. Otherwise, the alpha factor value will retain the current setting.
  • GAUSsian selects the Gaussian filter shape. Optionally, you can also set the BT (3 dB bandwidth * symbol time) product. Otherwise, the BT product value retains the current setting.
  • WIDeband applies no filter.
  • DEFault returns to the default (preset) mode.
  • MINimum sets the minimum value for the filter factor. NRZ and WIDeband do not have a filter factors.
  • MAXimum sets the maximum value for the filter factor. NRZ and WIDeband do not have a filter factors.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NRZ | RC,Digits with an explicit decimal point. | RRC,Digits with an explicit decimal point. | GAUS,Digits with an explicit decimal point. | NGA,Digits with an explicit decimal point. | WID |  | Yes | NRZ | RC [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | RRC [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] |GAUSsian [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] |NGAussian [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] |WIDeband | DEFault[,{MAXimum|MINimum|DEFault}] | NRZ | RC,0.35 | RRC,0.22 | GAUS,1.00 | NGA,1.00 | RC,0.20 | RRC,0.20 | GAUS,0.10 | NGA,0.10 | RC,1.00 | RRC,1.00 | GAUS,3.00 | NGA,3.00 | none
 |  | :SOURce:ASK:FILTer
Examples |  | :ASK:FILT
 |  | :ask:filter
 |  | :ask:filter?

[:SOURce]:ASK:LOAD

Queries or sets the ASK waveform to load. If no filename is specified then the current ASK parameter settings are loaded. Query returns the filename if ASK is enabled; returns null if no ASK file is loaded. See ASK (amplitude-shift-keying).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | stringfilename | none | Yes | stringfilename | none | DEFault | Ask Default | n/a | n/a | none

 | :SOURce:ASK:LOAD ASKmod 1.csv
Examples | :ASK:LOAD ASKmod 1
 | :ask:load askmod 1
 | ASK:LOAD?

Example:

You can use the programming command [:SOURce]:ASK:LOAD to load a file from a directory in the Series V2900, a USB memory device inserted into the Series V2900, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
ASK User | \User\filename | ...\Agilent Series V2900 Documents\<model>\ Waveforms\ASK
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

[:SOURce]:ASK:PATTern

Queries or sets the pattern type, and optionally the pattern length, for ASK modulation. For ALTernating pattern the length is the number of alternating 1s and 0s. For example, Length=1 is 1010101. COUNt does not have a user-selectable length. See ASK (amplitude-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

_
Parameters

  • PRBS [,PN5|PN9|PN11|PN15] selects the pseudo-random bit sequence of specified length: PN5, PN9, PN11, PN15. If no length is specified, the pattern is set to the current length setting.
  • COUNt sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram.
  • ALTernating [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).|MINimum|MAXimum] sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state. If no value is specified, the pattern is set to the current value setting.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | PRBS,PN5 | PRBS,PN9 | PRBS,PN11 | PRBS,PN15 | COUN | ALT,Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | PRBS[,{PN5 | PN9 | PN11 | PN15}] | COUNt | ALTernating[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | PRBS: DEFault[,DEFault] COUNT: none ALTernating: ALTernating [,{MAXimum, MINimum, DEFault}] | PRBS,PN9 | ALT,1 | ALT,1 | ALT,16 | none

 | :SOURce:ASK:PATTern
Examples | :ASK:PATT
 | :ask:pattern
 | :ASK:PATT?

[:SOURce]:ASK:PATTern:COUNt

Queries the length of the Count pattern, which is the number of constellation points determined by [:SOURce]:ASK:STYPe.

___
See also: ASK (amplitude-shift-keying)

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | none | none | n/a | n/a | n/a | none

 | :SOURce:ASK:PATTern:COUNt?
Examples | :ASK:PATTERN:COUNT?
 | :ask:pattern:count?

[:SOURce]:ASK:PATTern:INVert[:STATe]

Queries or switches pattern inversion on/off for ASK modulation.

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SOURce:ASK:PATTern:INVert:STATe ON
Examples | :ASK:PATT:INV 1
 | :ask:pattern:invert 1
 | :ASK:PATTern:INVert?

[:SOURce]:ASK:SPS

Queries or sets the speed at which data symbols are transmitted for ASK (amplitude-shift-keying) modulation. See ASK (amplitude-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100000 | 500 | 4000000 | Hz
 |  | :SOURce:ASK:SPS MINimum
Examples |  | :ASK:SPS MIN
 |  | :ask:sps minimum
 |  | :SOURce:ASK:SPS?

[:SOURce]:ASK[:STATe]

Queries or switches ASK modulation on/off.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 | n/a | n/a | none
 |  | :SOURCE:ASK:STATe ON
Examples |  | :ASK:STAT ON
 |  | ask:state 0
 |  | :ASK:STATe?

[:SOURce]:ASK:STYPe

Queries or sets the symbol type for ASK modulation.

This command does not affect the instrument until after the corresponding LOAD command is sent.

_
Parameters

  • OOK is a special case of general ASK that operates as a switch, using the presence of a carrier wave to indicate a binary '1' and its absence to indicate a binary '0.'
  • ASK4 sets the symbol type to amplitude-shift-keying4 that represents data in groups using additional amplitude levels. A four-level encoding scheme represents two bits with each shift in amplitude.
  • SASK2 sets the symbol type to signed amplitude-shift-keying2 that uses an additional amplitude level to represent data.
  • SASK4 sets the symbol type to signed amplitude-shift-keying4 that represents data in groups using additional amplitude levels. A four-level encoding scheme represents two bits with each shift in amplitude.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | OOK | ASK4 | SASK2 | SASK4 | Yes | OOK | ASK4 | SASK2 | SASK4 | DEFault | OOK | n/a | n/a | none

Examples | :SOURce:ASK:STYPe ASK2
 | :ASK:STYP DEF :ask:stype ook
 | :ASK:STYPe?


[:SOURce]:FM

Controls the source frequency modulation.

Select a link to view the command details:

  • [:SOURce]:FM[:DEViation]
  • [:SOURce]:FM:INTernal:FREQuency
  • [:SOURce]:FM:INTernal:WAVeform
  • [:SOURce]:FM:STATe

Also see Frequency modulation (FM).

[:SOURce]:FM[:DEViation]

Queries or sets the frequency modulation deviation. See Frequency modulation (FM).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10000 | 0 | 1000000 | Hz
 |  | :SOURce:FM:DEViation MAXimum
Examples |  | :FM DEF
 |  | :fm:deviation max
 |  | :FM?

[:SOURce]:FM:INTernal:FREQuency

Queries or sets the FM rate (frequency). See Frequency modulation (FM).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000 | 1 | 100000 | Hz
 |  | :SOURce:FM:INTernal:FREQuency MAXimum
Examples |  | :FM:INT:FREQ MAX
 |  | :fm:internal:frequency default
 |  | :FM:INTernal:FREQuency?

[:SOURce]:FM:INTernal:WAVeform

Queries or sets the frequency modulation (FM) waveform. See Frequency modulation (FM).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | SINE | DRAM | URAM | TRI |  | Yes | SINE | DRAMp | URAMp | TRIangle | DEFault | SINE | n/a | n/a | none
 |  | :SOURce:FM:INTernal:WAVeform TRIangle
Examples |  | :FM:INT:WAV TRI
 |  | :fm:internal:waveform triangle
 |  | :FM:INTernal:WAVeform?

[:SOURce]:FM:STATe

Queries or switches FM on/off. See Frequency modulation (FM).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:FM:STATe ON
Examples |  | :FM:STAT ON
 |  | :source:fm:state 0
 |  | :FM:STATE?


[:SOURce]:FREQuency

Controls the source frequency.

Select a link to view the command details:

  • [:SOURce]:FREQuency[:CW]
  • [:SOURce]:FREQuency[:FIXed]
  • [:SOURce]:FREQuency:OFFSet
  • [:SOURce]:FREQuency:STARt
  • [:SOURce]:FREQuency:STOP

_
Also see Sweep and signal generation and Sweep and signal operations.

[:SOURce]:FREQuency[:CW]

Queries or sets the carrier frequency value. See Sweep and signal generation and Sweep and signal operations.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000000 | 10000000 | 6000000000 | Hz

Note: For details see About the Model 2910 or About the Model 2920.

 | :SOURce:FREQuency:CW 10000000
Examples | :FREQ MAX
 | :frequency default
 | :FREQuency?

[:SOURce]:FREQuency[:CW]|[:FIXed]

Queries or sets the carrier frequency value. See Sweep and signal generation and Sweep and signal operations.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000000 | 10000000 | 6000000000 | Hz

Note: For details see About the Model 2910 or About the Model 2920.

 | :SOURce:FREQuency:FIXed 10000000
Examples | :FREQ MAX
 | :frequency default
 | :FREQuency?

[:SOURce]:FREQuency:OFFSet

Not applicable to the Model 2910.

Queries or sets the carrier frequency offset (in increments of 0.1Hz over a range of +/- 40 MHz) applied to all absolute frequency values. This feature enables you to initiate a digitally implemented frequency translation independent of the frequency synthesizer circuitry. This is particularly useful when units are in a multi-channel configuration, sharing a common carrier or local oscillator via the Model V2895 Synchronization Unit. Adjusting this frequency offset allows independent frequency variation on each channel while still maintaining the precision timing and carrier synchronization of the multi-channel configuration.
_____

See Also:

  • Carrier Offsets
  • Sweep and signal generation

_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -400000000 | 400000000 | Hz

 | :SOURce:FREQuency:OFFSet -40
Examples | :FREQ:OFFS 10000
 | :frequency:offset 200000
 | :FREQuency:OFFSet?

[:SOURce]:FREQuency:STARt

Queries or sets the start frequency for frequency sweep. See Sweep and signal generation and Sweep and signal operations.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10000000 | 10000000 | 6000000000 | Hz

Note: For details see About the Model 2910 or About the Model 2920.

 | :SOURce:FREQuency:STARt MINimum
Examples | :FREQ:STAR DEF
 | :frequency:start maximum
 | :FREQuency:STARt?

[:SOURce]:FREQuency:STOP

Queries or sets the stop frequency for frequency sweep. See Sweep and signal generation and Sweep and signal operations.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 6000000000 | 10000000 | 6000000000 | Hz

Note: For details see About the Model 2910 or About the Model 2920.

 | :SOURce:FREQuency:STOP MINimum
Examples | :FREQ:STOP DEF
 | :frequency:stop maximum
 | :FREQuency:STOP?


[:SOURce]:FSK

Controls the FSK (frequency-shift-keying) digital modulation.

Select a link to view the command details:

  • [:SOURce]:FSK:DENCoding[:STATe]
  • [:SOURce]:FSK:FILTer
  • [:SOURce]:FSK:FSEParation
  • [:SOURce]:FSK:LOAD
  • [:SOURce]:FSK:PATTern
  • [:SOURce]:FSK:PATTern:COUNt
  • [:SOURce]:FSK:PATTern:INVert[:STATe]
  • [:SOURce]:FSK:SPS
  • [:SOURce]:FSK[:STATe]
  • [:SOURce]:FSK:STYPe

Also see FSK (frequency-shift-keying).

[:SOURce]:FSK:DENCoding[:STATe]

Queries or switches on/off the FSK (frequency-shift-keying) modulation differential encoding, a technique that provides unambiguous signal reception for some types of modulation. See FSK (frequency-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:FSK:DENCoding:STATe ON
Examples |  | :FSK:DENC 1
 |  | :fsk:dencoding 1
 |  | :FSK:DENCoding?

[:SOURce]:FSK:FILTer

Queries or sets the filter type, and optionally the filter factor, for FSK modulation. RECTangular does not have a filter factor.

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | RECT | RC,Digits with an explicit decimal point. | RRC,Digits with an explicit decimal point. | NGA,Digits with an explicit decimal point. | GAUS,Digits with an explicit decimal point. |  | Yes | RECTangular | RC[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | RRC[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | NGAussian[, Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | GAUSsian[, Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | DEFault [,{MAXimum| MINimum|DEFault}] | RECT | RC,0.35 | RRC,0.22 | NGA, 1.00 | GAUS,1.00 | RC,0.20 | RRC, 0.20 | NGA, 0.10 | GAUS, 0.10 | RC,1.00 | RRC,1.00 | NGA, 3.00 | GAUS,3.00 | none
 |  | :SOURce:FSK:FILTer RC
Examples |  | :FSK:FILT NGAussian,MIN
 |  | :fsk:filter gaussian,minimum
 |  | :FSK:FILTer?

[:SOURce]:FSK:FSEParation

Queries or sets the value for the frequency separation for FSK (frequency-shift-keying) modulation. See FSK (frequency-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100000 | 0 | 8000000 | Hz
 |  | :SOURce:FSK:FSEParation MINimum
Examples |  | :FSK:FSEP MIN
 |  | :fsk:fseparation minimum
 |  | :FSK:FSEParation?

[:SOURce]:FSK:LOAD

Sets the FSK waveform to load (full path filename). If no filename is specified then the current FSK parameter settings are loaded. Query returns the filename if FSK is enabled.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string(filename) | none |  | Yes | string(filename) | none | DEFault | Fsk Default | n/a | n/a | none
 |  | :SOURce:FSK:LOAD FSKmod1.csv
Examples |  | :FSK:LOAD FSKmod1
 |  | :fsk:load fskmod1
 |  | :FSK:LOAD?

Example:

You can use the programming command [:SOURce]:FSK:LOAD to load a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900 USB port, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
FSK User | \User\filename | ...\Agilent Series V2900 Documents\<model>\ Waveforms\FSK
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

[:SOURce]:FSK:PATTern

Queries or sets the pattern type, and optionally the pattern length, for FSK modulation. For ALTernating pattern the length is the number of alternating 1s and 0s. For example, Length=1 is 1010101. COUNt does not have a user-selectable length. See FSK (frequency-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

_
Parameters

  • PRBS [,PN5|PN9|PN11|PN15] selects the pseudo-random bit sequence of specified length: PN5, PN9, PN11, PN15. If no length is specified, the pattern is set to the current length setting.
  • COUNt sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram.
  • ALTernating [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).|MINimum|MAXimum] sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state. If no value is specified, the pattern is set to the current value setting.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | PRBS,PN5 | PRBS,PN9 | PRBS,PN11 | PRBS,PN15 | COUN | ALT,Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | PRBS[,{PN5 | PN9 | PN11 | PN15}] | COUNt | ALTernating[, Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | PRBS: DEFault[,DEFault] COUNT: none ALTernating: ALTernating[, {MAXimum, MINimum, DEFault}] | PRBS,PN9 | ALT,1 | ALT,1 | ALT,16 | none

 | :SOURce:FSK:PATTern
Examples | :FSK:PATT
 | :fsk:pattern
 | :FSK:FSK:PATT?

[:SOURce]:FSK:PATTern:COUNt

Queries the length of the Count pattern, which is the number of constellation points determined by [:SOURce]:FSK:STYPe.

___
See also: FSK (frequency-shift-keying)

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | none | none | n/a | n/a | n/a | none

 | :SOURce:FSK:PATTern:COUNt?
Examples | :FSK:PATTERN:COUNT?
 | :fsk:pattern:count?

[:SOURce]:FSK:PATTern:INVert[:STATe]

Queries or switches on/off the FSK (frequency-shift-keying) modulation data pattern inversion. See FSK (frequency-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 | n/a | n/a | none
 |  | :SOURce:FSK:PATTern:INVert:STATe ON
Examples |  | :FSK:PATT:INV 1
 |  | :fsk:pattern:invert 1
 |  | :FSK:PATTern:INVert?

[:SOURce]:FSK:SPS

Queries or sets the speed at which data symbols are transmitted for FSK (frequency-shift-keying) modulation. See FSK (frequency-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100000 | 500 | 400000 | Hz
 |  | :SOURce:FSK:SPS MINimum
Examples |  | :FSK:SPS MIN
 |  | :fsk:sps minimum
 |  | :FSK:SPS?

[:SOURce]:FSK[:STATe]

Queries or switches FSK modulation on/off.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 | n/a | n/a | none
 |  | :SOURCE:FSK:STATe ON
Examples |  | :FSK:STAT ON
 |  | :source:fsk:state 0
 |  | :FSK:STATe?

[:SOURce]:FSK:STYPe

Queries or sets the symbol type for FSK (frequency-shift-keying) modulation. See FSK (frequency-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | FSK2 |  | Yes | FSK2 | DEFault | FSK2 | n/a | n/a | none
 |  | :SOURce:FSK:STYPe FSK2
Examples |  | :FSK:STYP DEF
 |  | :fsk:styp def
 |  | :FSK:STYPe?


[:SOURce]:IEVensecond:POLarity

Queries or sets the polarity of the internal even second reference.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | RIS | FALL |  | Yes | RISing | FALLing | DEFault | RIS | n/a | n/a | none
 |  | :SOURce:IEVensecond:POLarity RISing
Examples |  | :IEV:POL RIS
 |  | :ievensecond:polarity falling
 |  | :IEVensecond:POLarity?


[:SOURce]:LIST

Controls the list sweep. Select a link to view the command details:

  • [:SOURce]:LIST:LOAD
  • [:SOURce]:LIST:SETTle
  • [:SOURce]:LIST[:STATE]

Also see the following topics:

Sweep/list description and use

Sweep/list triggering description and use

Sweep/list dwell description and uses

To set up a list mode

[:SOURce]:LIST:LOAD

Queries or loads the file that describes the list frequency, power, and dwell-time vectors for a list mode sweep. See the following topics:

  • Sweep/list description and use
  • Sweep/list triggering description and use
  • Sweep/list dwell description and uses
  • To set up a list mode

_____

NOTE: The power settings in the file are affected by user flatness. If user flatness is on, regardless of the user flatness file contents, the power limits become -230 dBm to +113 dBm (Models 2910, and 2920 and the V2920A with the -LAR option) or -210 dBm to +113 dBm (Model 2920 and the V2920A without the -LAR option). If user flatness is off, the power limits are at the -130/-110 dBm to +13 dBm range. Affected power settings are: [:SOURce]:POWer commands and [:SOURce]:RADio:ARB:SEQuence:POWer.

_____

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string (filename) | none |  | Yes | string (filename) | none | n/a | n/a | n/a | none
 |  | :SOURce:LIST:LOAD
Examples |  | :SOUR:LIST:LOAD
 |  | :source:list:load
 |  | :SOURce:LIST?

Example:

You can use the programming command LIST:LOAD to load a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
List User (default) | filename | ...\Agilent Series V2900 Documents\<model>\List
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

[:SOURce]:LIST:SETTle

Queries back an ascii list of comma separated values in seconds. (The actual per point settle time.)

  • Sweep/list description and use
  • Sweep/list triggering description and use
  • Sweep/list dwell description and uses
  • To set up a list mode
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | "" | csv List |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SOURce:LIST:SETTle?
Examples |  | :LIST:SETT?
 |  | :list:settle?

[:SOURce]:LIST[:STATE]

Queries or switches list playback on/off. See the following topics:

  • Sweep/list description and use
  • Sweep/list triggering description and use
  • Sweep/list dwell description and uses
  • To set up a list mode
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:LIST:STATe ON
Examples |  | :LIST 1
 |  | :list:state on
 |  | :LIST ON?


[:SOURce]:LPNoise[:STATe]

This feature is available only for the Model 2920A instrument with the UPN option (2920A-UPN) and the V2920A with UPN option (V2920A-UPN.

_
Queries or switches Low Phase Noise on/off.

If your instrument is equipped with the -UPN option, enabling Low Phase Noise invokes the following performance improvements:

  • Improved phase noise: < -140 dBc/Hz phase noise at a 300kHz offset with a 2 GHz carrier
  • Improved EVM performance for WLAN signal (WLAN 802.11n EVM floor as low as -48 dBc)
  • Improved ORFS performance for GSM and EDGE signals

_

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SOURce:LPNoise:STATe 1
Examples | :LPN ON
 | :lpn:state 0
 | :LPN?


[:SOURce]:MODulation

Controls source modulation IQ offset, gain and phase.

Select a link to view the command details:

  • :SOURce:MODulation:IGAin
  • :SOURce:MODulation:IOFFset
  • :SOURce:MODulation:IQGain
  • :SOURce:MODulation:QGAin
  • :SOURce:MODulation:QOFFset
  • :SOURce:MODulation:QPHase

[:SOURce]:MODulation:IGAin

Queries or sets the I channel Gain Adjustment (DAC value).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 or Off | -128 | 127 | none
 |  | :SOURce:MODulation:IGAin 0
Examples |  | :MOD:IGA MAX
 |  | :modulation:igain minimum
 |  | :MOD:IGA?

[:SOURce]:MODulation:IOFFset

Queries or sets the I channel DC Offset Adjustment (DAC value).

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 or Off | -4096 | 4095 | none

 | :SOURce:MODulation:IOFFset
Examples | :MOD:IOFF ON
 | :modulation:ioffset 2500
 | :MOD:IOFF?

[:SOURce]:MODulation:QGAin

Queries or sets the Q channel Gain Adjustment (DAC value).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 or Off | -128 | 127 | none
 |  | :SOURce:MODulation:QGAin 75
Examples |  | :MOD:QGA 100
 |  | :modulation:qgain 1
 |  | :MOD:QGA?

[:SOURce]:MODulation:IQGain

Queries or sets the I and Q Coarse channel Gain Adjustments (DAC value).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 or Off | 0 | 15 | none
 |  | :SOURce:MODulation:IQGain 0
Examples |  | :MOD:IQG 15
 |  | :modulation:iqgain
 |  | :MOD:IQG?

[:SOURce]:MODulation:QOFFset

Queries or sets the Q channel DC Offset Adjustment (DAC value).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 or Off | -4096 | 4095 | none
 |  | :SOURce:MODulation:QOFFset MAX
Examples |  | :MOD:QOFF 1
 |  | :modulation:qoffset minimum
 |  | :MOD:QOFF?

[:SOURce]:MODulation:QPHase

Queries or sets the IQ phase adjustment.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.00 | -10.00 | 10.00 | degrees
 |  | :SOURce:MODulation:QPHase MAX
Examples |  | :MOD:QPH 5
 |  | :modulation:qphase minimum
 |  | :MOD:QPH?


[:SOURce]:NOISe

Controls the noise modulation.

Select a link to view the command details:

  • [:SOURce]:NOISe[:BWIDth]
  • [:SOURce]:NOISe:STATe

Also see Noise modulation.

[:SOURce]:NOISe[:BWIDth]

Queries or sets the noise modulation bandwidth. See Noise modulation.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000 | 1000 | 2500000 | Hz
 |  | :SOURce:NOISe:BWIDth MAXimum
Examples |  | :NOIS MAX
 |  | :source:noise:bwidth maximum
 |  | :NOISe[:BWIDth]?

[:SOURce]:NOISe:STATe

Queries or switches noise modulation on/off. See Noise modulation.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:NOISe:STATe ON
Examples |  | :NOIS:STAT ON
 |  | :source:noise:state 0
 |  | :NOISe:STATe?


[:SOURce]:PHASe:ADJust

NOTE: This feature is not available on the Model 2910.

Queries or sets carrier phase. This feature enables you to initiate a carrier phase shift of 0.0 degrees to ±180 degrees in relation to the frequency reference source. With two sources using a common external reference, this feature allows phase adjustment of the output of one source in relation to the phase of the other source. This capability is useful in beamforming applications where you need to steer antenna patterns.

See Also: Carrier Offsets (Menu > Global Settings > Carrier Offsets).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.000 | -179.999 | 180.000 | degrees
 |  | :SOURce:PHASe:ADJust
Examples |  | :PHAS:ADJ
 |  | :source:phase:adjust 90
 |  | :PHAS:ADJ?


[:SOURce]:PM

Controls the source phase modulation. Also see Phase modulation (PM).

Select a link to view the command details:

  • [:SOURce]:PM[:DEViation]
  • [:SOURce]:PM:INTernal:FREQuency
  • [:SOURce]:PM:STATe

[:SOURce]:PM[:DEViation]

Queries or sets the phase modulation deviation. See Phase modulation (PM).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.00 | 0.00 | 100.00 | radians
 |  | :SOURce:PM:DEViation MAXimum
Examples |  | :PM MAX
 |  | :pm maximum
 |  | :PM:DEViation MAXimum?

[:SOURce]:PM:INTernal:FREQuency

Queries or sets the phase modulation rate (frequency). See Phase modulation (PM).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000 | 1 | 100000 | Hz
 |  | :SOURce:PM:INTernal:FREQuency MAXimum
Examples |  | :PM:INT:FREQ MAX
 |  | :pm:internal:frequency maximum
 |  | :PM:INTernal:FREQuency?

[:SOURce]:PM:STATe

Queries or switches the phase modulation on/off. See Phase modulation (PM).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEfault | 0 or Off | n/a | n/a | none
 |  | :SOURce:PM:STATe ON
Examples |  | :PM:STAT ON
 |  | :source:pm:state 0
 |  | :PM:STATe?


[:SOURce]:POWer

Controls the source power.

Select a link to view the command details:

  • [:SOURce]:POWer[:LEVel][:IMMediate][:AMPLitude]
  • [:SOURce]:POWer:STARt
  • [:SOURce]:POWer:STOP
  • [:SOURce]:POWer:ALC

Also see To set up a frequency or power sweep.

[:SOURce]:POWer[:LEVel][:IMMediate][:AMPLitude]

Queries or sets the power value for non-swept power.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | -10.00 | see below * | see below * | dBm

_____

* Range depends on instrument version and options:

  • -130 dBm to +13.0 dBm for Models 2910 and 2920 and the V2920A with the LAR (low amplitude range) option.
  • -110 dBm to +13.0 dBm for Model 2920 and the V2920A without the LAR option.

__

NOTE: If user flatness is on, regardless of the user flatness file contents, the limits become -230 dBm to +113 dBm (Models 2910, and 2920 and the V2920A with the -LAR option) or -210 dBm to +113 dBm (Model 2920 and the V2920A without the -LAR option). If an effective amplitude (that is, user flatness @ frequency + amplitude setting) is outside the supported range, the instrument reports the following error: 53, "Amplitude set too high for this modulation waveform".

_____

 | :SOURce:POWer:LEVel:IMMediate:AMPLitude 3
Examples | :POW MAX
 | :power default
 | :POWer?

[:SOURce]:POWer:STARt

Queries or sets the start power value for a power sweep. See To set up a frequency or power sweep.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.00 | see below * | see below * | dBm

_____

* Range depends on instrument version and options:

  • -130 dBm to +13.0 dBm for Models 2910 and 2920 and the V2920A with the LAR (low amplitude range) option.
  • -110 dBm to +13.0 dBm for Model 2920 and the V2920A without the LAR option.

__

NOTE: If user flatness is on, regardless of the user flatness file contents, the limits become -230 dBm to +113 dBm (Models 2910, and 2920 and the V2920A with the -LAR option) or -210 dBm to +113 dBm (Model 2920 and the V2920A without the -LAR option). If an effective amplitude (that is, user flatness @ frequency + amplitude setting) is outside the supported range, the instrument reports the following error: 53, "Amplitude set too high for this modulation waveform".

_____

 | :SOURce:POWer:STARt MAXimum
Examples | :POW:STAR MIN
 | :power:start minimum
 | :SOURce:POWer:STARt?

[:SOURce]:POWer:STOP

Queries or sets the stop power value for a power sweep. See To set up a frequency or power sweep.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.00 | see below * | see below * | dBm

_____

* Range depends on instrument version and options:

  • -130 dBm to +13.0 dBm for Models 2910 and 2920 and the V2920A with the LAR (low amplitude range) option.
  • -110 dBm to +13.0 dBm for Model 2920 and the V2920A without the LAR option.

__

NOTE: If user flatness is on, regardless of the user flatness file contents, the limits become -230 dBm to +113 dBm (Models 2910, and 2920 and the V2920A with the -LAR option) or -210 dBm to +113 dBm (Model 2920 and the V2920A without the -LAR option). If an effective amplitude (that is, user flatness @ frequency + amplitude setting) is outside the supported range, the instrument reports the following error: 53, "Amplitude set too high for this modulation waveform".

_____

 | :SOURce:POWer:STOP MAXimum
Examples | :POW:STOP MIN
 | :power:stop minimum
 | :POWer:STOP?


[:SOURce]:POWer:ALC

Controls the source power automatic leveling control (ALC).

Select a link to view the command details:

  • [:SOURce]:POWer:ALC:BOTune[:STATe]
  • [:SOURce]:POWer:ALC:CWAVe[:STATe]
  • [:SOURce]:POWer:ALC:CWAVe:TYPE
  • [:SOURce]:POWer:ALC:MODulation[:STATe]
  • [:SOURce]:POWer:ALC:MODulation:TYPE
  • [:SOURce]:POWer:ALC:SHOLd:REFResh

Also see ALC (automatic leveling control).

[:SOURce]:POWer:ALC:BOTune[:STATe]

Queries or sets the Blank On Tune attenuation during tuning. When ON, the maximum attenuation will be switched in while the system is tuning. When OFF, no changes in attenuation are made during tuning.

_____
See Also:

  • ALC (automatic leveling control).
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 (Off) | n/a | n.a | none
 |  | :SOURce:POWer:ALC:BOTune:STATe ON
Examples |  | :POW:ALC:BOT 1
 |  | :power:alc:botune on
 |  | :POWer:ALC:BOTune?

[:SOURce]:POWer:ALC:CWAVe[:STATe]

Queries or switches the ALC on/off when the RF output is a CW signal (Modulation OFF). See ALC (automatic leveling control).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none
 |  | :SOURce:POWer:ALC:CWAVe ON
Examples |  | :POW:ALC:CWAV ON
 |  | :source:power:alc:cwave off
 |  | :SOURce:POWer:ALC:CWAVe?

[:SOURce]:POWer:ALC:CWAVe:TYPE

Sets the automatic leveling control (ALC) type when the RF output is a CW signal (Modulation OFF). See ALC (automatic leveling control).

Parameters

  • SHOLd activates the sample-and-hold ALC. Whenever the frequency or amplitude changes, the level control is activated. The amplitude settles. Then the level control is deactivated.
  • FAST sets a wide bandwidth (1000 Hz). A wider bandwidth creates a quicker response (10x faster than medium) to changes in amplitude, providing faster settling. Yet, this also creates a slightly higher output level variability.
  • MEDium set a medium bandwidth (100 Hz). A medium bandwidth creates a response that is 10x faster than the slow setting.
  • SLOW sets a narrow bandwidth (10 Hz).
  • AUTO sets the automatic mode.
  • MPOWer sets the maximum power mode.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | SHOL | FAST | MED | SLOW | AUTO | MPOW |  | Yes | SHOLd | FAST | MEDium | SLOW | AUTO | MPOWer | DEFault | AUTO | n/a | n/a | none
 |  | :SOURce:POWer:ALC:CWAVe:TYPE MEDium
Examples |  | :POW:ALC:CWAV:TYPE DEF
 |  | :power:alc:cwave:type medium
 |  | :POWer:ALC:CWAVe:TYPE?

[:SOURce]:POWer:ALC:MODulation[:STATe]

Queries or switches the ALC on/off when the RF output is a modulated waveform (Modulation ON). See ALC (automatic leveling control).

For the Model 2910 only, ALC is turned off when in Arb playback, including Sequence Mode.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 1 or On | n/a | n/a | none
 |  | :SOURce:POWer:ALC:MODulation ON
Examples |  | :POW:ALC:MOD DEF
 |  | :power:alc:modulation off
 |  | :POWer:ALC:MODulation?

[:SOURce]:POWer:ALC:MODulation:TYPE

Queries or sets the automatic leveling control (ALC) type when the RF output signal is a modulated waveform (Modulation ON). See ALC (automatic leveling control).

Parameters

  • SHOLd activates the sample-and-hold ALC. Whenever the frequency or amplitude changes, the level control is activated. The amplitude settles. Then the level control is deactivated.
  • AUTO sets the automatic mode. The Series V2900 uses the sample-and-hold setting, with the following exception:
    For the Model 2910 only, ALC is turned off when in Arb playback, including Sequence Mode.
  • DEFault sets the default mode, which is the AUTO (sample-and-hold) mode.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | SHOL | AUTO |  | Yes | SHOLd | AUTO | DEFault | AUTO | n/a | n/a | none
 |  | :SOURce:POWer:ALC:MODulation:TYPE SHOLd
Examples |  | :POW:ALC:MOD:TYPE SHOL
 |  | :power:alc:modulation:type auto
 |  | :POWer:ALC:MODulation:TYPE?

[:SOURce]:POWer:ALC:SHOLd:REFResh

Refreshes the sample-and-hold mode, if enabled. See ALC (automatic leveling control).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SOURce:POWer:ALC:SHOLd:REFResh
Examples |  | :POW:ALC:SHOL:REFR
 |  | :power:alc:shold:refresh


[:SOURce]:PSK

Controls the PSK (phase-shift-keying) digital modulation.

Select a link to view the command details:

  • [:SOURce]:PSK:DENCoding[:STATe]
  • [:SOURce]:PSK:FILTer
  • [:SOURce]:PSK:LOAD
  • [:SOURce]:PSK:PATTern
  • [:SOURce]:PSK:PATTern:COUNt
  • [:SOURce]:PSK:PATTern:INVert[:STATe]
  • [:SOURce]:PSK:SPS
  • [:SOURce]:PSK[:STATe]
  • [:SOURce]:PSK:STYPe

Also see PSK (phase-shift-keying).

[:SOURce]:PSK:DENCoding[:STATe]

Queries or switches on/off the PSK (phase-shift-keying) modulation differential encoding, a technique that provides unambiguous signal reception for some types of modulation. See PSK (phase-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:PSK:DENCoding ON
Examples |  | :PSK:DEN 1
 |  | :psk:dencoding 1
 |  | :PSK:DENCoding?

[:SOURce]:PSK:FILTer

Queries or sets the filter type for PSK (phase-shift-keying) modulation, and optionally the filter factor for PSK modulation. NRZ and WIDeband do not have a filter factor.

This command does not affect the instrument until after the corresponding LOAD command is sent.

_
Parameters

  • NRZ selects the non-return-to-zero filter shape.
  • RC selects the raised cosine filter shape. Optionally, you can also set the alpha factor. Otherwise, the alpha factor value will retain the current setting.
  • RRC selects the root-raised cosine filter shape. Optionally, you can also set the alpha factor. Otherwise, the alpha factor value will retain the current setting.
  • GAUSsian selects the Gaussian filter shape. Optionally, you can also set the BT (3 dB bandwidth * symbol time) product. Otherwise, the BT product value retains the current setting.
  • WIDeband applies no filter.
  • DEFault returns to the default (preset) mode.
  • MINimum sets the minimum value for the filter factor. NRZ and WIDeband do not have a filter factors.
  • MAXimum sets the maximum value for the filter factor. NRZ and WIDeband do not have a filter factors.

_
See Also:

  • PSK (phase-shift-keying).
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NRZ | RC,Digits with an explicit decimal point. | RRC,Digits with an explicit decimal point. | GAUS,Digits with an explicit decimal point. | NGA,Digits with an explicit decimal point. | WID |  | Yes | NRZ | RC[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | RRC[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | GAUSsian[, Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | NGAussian[, Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | WIDeband | DEFault[,{MAXimum|MINimum|DEFault}] | NRZ | RC,0.35 | RRC, 0.22 | GAUS, 1.00 | NGA,1.00 | RC,0.20 | RRC, 0.20 | GAUS, 0.10 | NGA,0.10 | RC,1.00 | RRC,1.00 | GAUS,3.00 | NGA,3.00 | none
 |  | :SOURce:PSK:FILTer RC
Examples |  | :PSK:FILT GAUS,MIN
 |  | :psk:filter gaussian,minimum
 |  | :PSK:FILTer?

[:SOURce]:PSK:LOAD

Loads the PSK (phase-shift-keying) modulation waveform in the instrument (full path filename). If no filename is specified, the current PSK parameter settings are loaded. A query returns the filename, if the PSK modulation is enabled. See PSK (phase-shift-keying).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string(filename) | none |  | Yes | string(filename) | none | DEFault | Psk Default | n/a | n/a | none
 |  | :SOURce:PSK:LOAD FSKmod1.csv
Examples |  | :PSK:LOAD FSKmod1
 |  | :psk:load fskmod1
 |  | :PSK:LOAD?

Example:

You can use the programming command [:SOURce]:PSK:LOAD to load a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
PSK User | \User\filename | ...\Agilent Series V2900 Documents\<model>\ Waveforms\PSK
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

[:SOURce]:PSK:PATTern

Queries or sets the data pattern for the PSK (phase-shift-keying) modulation bit sequence. See PSK (phase-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

_
Parameters

  • PRBS [,PN5|PN9|PN11|PN15] selects the pseudo-random bit sequence of specified length: PN5, PN9, PN11, PN15. If no length is specified, the pattern is set to the current length setting.
  • COUNt sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram.
  • ALTernating [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).|MINimum|MAXimum] sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state. If no value is specified, the pattern is set to the current value setting.
  • [:SOURce]:PSK:PATTern DEFault sets the pattern type to PRBS and keeps the current length setting.
  • [:SOURce]:PSK:PATTern DEFault,DEFault sets the pattern type to PRBS and the length to PN9.
  • [:SOURce]:PSK:PATTern COUNt sets the pattern type to count and the value is set to the number of symbols in the constellation diagram.
  • [:SOURce]:PSK:PATTern ALTernating,DEFault set the pattern type to alternating and the pattern length to 1 (101010...).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | PRBS,PN5 | PRBS,PN9 | PRBS,PN11 | PRBS,PN15 | COUN | ALT,Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | PRBS[,{PN5 | PN9 | PN11 | PN15}] | COUNt | ALTernating [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | PRBS: DEFault[,DEFault] COUNT: none ALTernating: ALTernating [,{MAXimum, MINimum, DEFault}] | PRBS, PN9 | ALT,1 | ALT,1 | ALT,16 | none
 |  | :SOURce:PSK:PATTern
Examples |  | :PSK:PATT
 |  | :psk:pattern
 |  | :PSK:PATTern?

[:SOURce]:PSK:PATTern:COUNt

Queries the length of the Count pattern, which is the number of constellation points determined by [:SOURce]:PSK:STYPe.

___
See also: PSK (phase-shift-keying)

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | none | none | n/a | n/a | n/a | none

 | :SOURce:PSK:PATTern:COUNt?
Examples | :PSK:PATTERN:COUNT?
 | :psk:pattern:count?

[:SOURce]:PSK:PATTern:INVert[:STATe]

Queries or switches on/off the PSK (phase-shift-keying) modulation data pattern inversion. See PSK (phase-shift-key).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:PSK:PATTern:INVert ON
Examples |  | :PSK:PATT:INV 1
 |  | :psk:pattern:invert 1
 |  | :PSK:PATTern:INVert?

[:SOURce]:PSK:SPS

Queries or sets the speed at which data symbols are transmitted for PSK (phase-shift-keying) modulation. See PSK (phase-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100000 | 500 | 4000000 | Hz
 |  | :SOURce:PSK:SPS MINimum
Examples |  | :PSK:SPS MIN
 |  | :psk:sps minimum
 |  | :PSK:SPS?

[:SOURce]:PSK[:STATe]

Queries or switches PSK modulation on/off.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 | n/a | n/a | none
 |  | :SOURCE:PSK:STATe ON
Examples |  | :PSK:STAT ON
 |  | :source:psk:state 0
 |  | :PSK:STATe?

[:SOURce]:PSK:STYPe

Queries or sets the symbol type for PSK (phase-shift-keying) modulation. See PSK (phase-shift-keying).

This command does not affect the instrument until after the corresponding LOAD command is sent.

_
Parameters

  • BPSK sets the symbol type to binary phase-shift-keying (BPSK) that uses two phases which are separated by 180°.
  • QPSK sets the symbol type to quaternary or quadriphase phase-shift-keying (QPSK) that uses four phases or points on the constellation diagram, equally spaced around a circle.
  • OQPSK sets the symbol type to offset quaternary or quadriphase phase-shift-keying (OQPSK) that delays one of the two symbol components (in-phase and quadrature) by the duration of half a symbol (one bit).
  • PFQPsk sets the symbol type to a version of QPSK that uses two identical constellations which are rotated by 45° (? /4 radians) with respect to one another.
  • TPFQsk sets the symbol type to a version of QPSK that uses two identical constellations which are rotated by 135° (3? /4 radians) with respect to one another.
  • PSK8 sets the symbol type to eight phase-shift-keying (8PSK) that uses eight phases or points on the constellation diagram, equally spaced around a circle.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BPSK | QPSK | OQPSK | PFQP | TPFQ | PSK8 |  | Yes | BPSK | QPSK | OQPSK | PFQP | TPFQ | PSK8 | DEFault | BPSK | n/a | n/a | none
 |  | :SOURce:PSK:STYPe PSK8
Examples |  | :PSK:STYP DEF
 |  | :psk:stype pfqpsk
 |  | :PSK:STYPe?


[:SOURce]:PULM

Controls the pulse modulation.

Select a link to view the command details:

  • [:SOURce]:PULM[:DCYCle]
  • [:SOURce]:PULM:INTernal:FREQuency
  • [:SOURce]:PULM:STATe

Also see Pulse modulation.

[:SOURce]:PULM[:DCYCle]

Queries or sets the pulse modulation duty cycle. See Pulse modulation.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 50.0 | 0.0 | 100.0 | percent
 |  | :SOURce:PULM:DCYCle MINimum
Examples |  | :PULM MAX
 |  | :pulm default
 |  | :SOURce:PULM:DCYCle?

[:SOURce]:PULM:INTernal:FREQuency

Queries or sets the pulse modulation frequency (rate). See Pulse modulation.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000 | 1 | 100000 | Hz
 |  | :SOURce:PULM:INTernal:FREQuency DEFault
Examples |  | :PULM:INT:FREQ MAX
 |  | :pulm:internal:frequency default
 |  | :PULM:INT:FREQ MAX?

[:SOURce]:PULM:STATe

Queries or switches the pulse modulation on/off. See Pulse modulation.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURCE:PULM:STATe ON
Examples |  | :PULM:STAT ON
 |  | :source:pulm:state 0
 |  | :PULM:STATe?


[:SOURce]:QAM

Controls the QAM (quadrature-amplitude-modulation) digital modulation. Select a link to view the command details:

  • [:SOURce]:QAM:DENCoding
  • [:SOURce]:QAM:FILTer
  • [:SOURce]:QAM:LOAD
  • [:SOURce]:QAM:PATTern
  • [:SOURce]:QAM:PATTern:COUNt
  • [:SOURce]:QAM:PATTern:INVert
  • [:SOURce]:QAM:SPS
  • [:SOURce]:QAM:STATe
  • [:SOURce]:QAM:STYPe

_____
Also see: QAM (quadrature-amplitude-modulation)

[:SOURce]:QAM:DENCoding[:STATe]

Queries or switches on/off the QAM (quadrature-amplitude-modulation) modulation differential encoding, a technique that provides unambiguous signal reception for some types of modulation. See QAM (quadrature-amplitude-modulation).

This command does not affect the instrument until after the corresponding LOAD command is sent.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:QAM:DENCoding:STATe ON
Examples |  | :QAM:DENC 1
 |  | :qam:dencoding 1
 |  | :QAM:DENCoding?

[:SOURce]:QAM:FILTer

Queries or sets the filter type for QAM (quadrature-amplitude-modulation) digital modulation, and optionally the filter factor for QAM modulation. NRZ and WIDeband do not have filter factors.

This command does not affect the instrument until after the corresponding LOAD command is sent.

_
Parameters

  • NRZ selects the non-return-to-zero filter shape.
  • RC selects the raised cosine filter shape. Optionally, you can also set the alpha factor. Otherwise, the alpha factor value will retain the current setting.
  • RRC selects the root-raised cosine filter shape. Optionally, you can also set the alpha factor. Otherwise, the alpha factor value will retain the current setting.
  • GAUSsian selects the Gaussian filter shape. Optionally, you can also set the BT (3 dB bandwidth * symbol time) product. Otherwise, the BT product value retains the current setting.
  • WIDeband applies no filter.

_
See Also:

  • QAM (quadrature-amplitude-modulation)

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NRZ | RC,Digits with an explicit decimal point. | RRC,Digits with an explicit decimal point. | GAUS,Digits with an explicit decimal point. | NGA,Digits with an explicit decimal point. | WID |  | Yes | NRZ | RC[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | RRC[,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | GAUSsian[, Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | NGAussian[, Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | WIDeband | DEFault[,{MAXimum|MINimum|DEFault}] | NRZ | RC,0.35 | RRC, 0.22 | GAUS, 1.00 | NGA,1.00 | RC,0.20 | RRC, 0.20 | GAUS, 0.10 | NGA,0.10 | RC,1.00 | RRC,1.00 | GAUS,3.00 | NGA,3.00 | none
 |  | :SOURce:QAM:FILTer RC
Examples |  | :QAM:FILT GAUS,MIN
 |  | :qam:filter gaussian,minimum
 |  | :QAM:FILTer RC,MINimum?

[:SOURce]:QAM:LOAD

Loads the QAM (quadrature-amplitude-modulation) modulation waveform in the instrument, If no filename is specified, the current QAM parameter settings are loaded. A query returns the filename, if the QAM modulation is enabled. See QAM (quadrature-amplitude-modulation).

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string(filename) | none |  | Yes | string(filename) | none | DEFault | QAM Default | n/a | n/a | none
 |  | :SOURce:QAM:LOAD QAMmod1.csv
Examples |  | :QAM:LOAD QAMmod1
 |  | :qam:load qammod1
 |  | :QAM:LOAD?

Example:

You can use the programming command [:SOURce]:QAM:LOAD to load a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
QAMUser | \User\filename | ...\Agilent Series V2900 Documents\<model>\ Waveforms\QAM
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

[:SOURce]:QAM:PATTern

Queries or sets the data pattern for the QAM (quadrature-amplitude-modulation) modulation bit sequence. See QAM (quadrature-amplitude-modulation).

This command does not affect the instrument until after the corresponding LOAD command is sent.

_
Parameters

  • PRBS [,PN5|PN9|PN11|PN15] selects the pseudo-random bit sequence of specified length: PN5, PN9, PN11, PN15. If no length is specified, the pattern is set to the current length setting.
  • COUNt sets the bits in the data pattern to a sequence of binary numbers (symbols) that count through the modulation alphabet up to the number of symbols in the constellation diagram.
  • ALTernating [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).|MINimum|MAXimum] sets the bits in the data pattern to a sequence of repeating 1s and 0s. The selected value (1–16) determines the number of 1s or 0s in the pattern before alternating to the opposite binary state. If no value is specified, the pattern is set to the current value setting.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | PRBS,PN5 | PRBS,PN9 | PRBS,PN11 | PRBS,PN15 | COUN | ALT,Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | PRBS[,{PN5 | PN9 | PN11 | PN15}] | COUNt | ALTernating [,Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6).] | PRBS: DEFault[,DEFault] COUNT: none ALTernating: ALTernating [,{MAXimum, MINimum, DEFault}] | PRBS, PN9 | ALT,1 | ALT,1 | ALT,16 | none
 |  | :SOURce:QAM:PATTern PRBS
Examples |  | :QAM:PATT ALT
 |  | :qam:pattern count
 |  | :QAM:PATTern?

[:SOURce]:QAM:PATTern:COUNt

Queries the length of the Count pattern, which is the number of constellation points determined by [:SOURce]:QAM:STYPe.

___
See also: QAM (quadrature-amplitude-modulation)

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | none | none | n/a | n/a | n/a | none

 | :SOURce:QAM:PATTern:COUNt?
Examples | :QAM:PATTERN:COUNT?
 | :qam:pattern:count?

[:SOURce]:QAM:PATTern:INVert[:STATe]

Queries or switches on/off the QAM (quadrature-amplitude-modulation) modulation data pattern inversion. See QAM (quadrature-amplitude-modulation).

This command does not affect the instrument until after the corresponding LOAD command is sent.

_

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:QAM:PATTern:INVert ON
Examples |  | :QAM:PATT:INV 1
 |  | :qam:pattern:invert 1
 |  | :QAM:PATTern:INVert?

[:SOURce]:QAM:SPS

Queries or sets the speed at which data symbols are transmitted for QAM (quadrature-amplitude-modulation) modulation. See QAM (quadrature-amplitude-modulation).

This command does not affect the instrument until after the corresponding LOAD command is sent.

_

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 100000 | 500 | 4000000 | Hz
 |  | :SOURce:QAM:SPS MINimum
Examples |  | :QAM:SPS MIN
 |  | :qam:sps minimum
 |  | :QAM:SPS?

[:SOURce]:QAM[:STATe]

Queries or switches QAM modulation on/off.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:QAM 1
Examples |  | :QAM:SPS OFF
 |  | :qam:sps on
 |  | :SOURce:QAM?

[:SOURce]:QAM:STYPe

Queries or sets the symbol type for QAM (quadrature-amplitude-modulation) modulation. See QAM (quadrature-amplitude-modulation).

This command does not affect the instrument until after the corresponding LOAD command is sent.

_
_
Parameters

  • QAM16 sets the symbol type to quadrature amplitude modulation (QAM) that uses 16 phase/amplitude points on the constellation diagram, arranged in a square grid with equal vertical and horizontal spacing.
  • QAM32 sets the symbol type to quadrature amplitude modulation (QAM) that uses 32 phase/amplitude points on the constellation diagram, arranged in a grid with equal vertical and horizontal spacing.
  • QAM64 sets the symbol type to quadrature amplitude modulation (QAM) that uses 64 phase/amplitude points on the constellation diagram, arranged in a square grid with equal vertical and horizontal spacing.
  • QAM128 sets the symbol type to quadrature amplitude modulation (QAM) that uses 128 phase/amplitude points on the constellation diagram, arranged in a grid with equal vertical and horizontal spacing.
  • QAM256 quadrature amplitude modulation (QAM) uses 256 phase/amplitude points on the constellation diagram, arranged in a square grid with equal vertical and horizontal spacing.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | QAM16 | QAM32 | QAM64 | QAM128 | QAM256 |  | Yes | QAM16 | QAM32 | QAM64 | QAM128 | QAM256 | DEFault | QAM16 | n/a | n/a | none
 |  | :SOURce:QAM:STYPe QAM16
Examples |  | :QAM:STYP DEF
 |  | :qam:stype qam256
 |  | :QAM:STYPe?


[:SOURce]:RADio:ARB

Controls the arbitrary waveform settings.

Select a link to view the command details:

  • [:SOURce]:RADio:ARB:COPY
  • [:SOURce]:RADio:ARB:DELete
  • [:SOURce]:RADio:ARB:EIQ[:STATe]
  • [:SOURce]:RADio:ARB:LIST
  • [:SOURce]:RADio:ARB:LIST2
  • [:SOURce]:RADio:ARB:LIST3
  • [:SOURce]:RADio:ARB:MEMory
  • [:SOURce]:RADio:ARB:OPEN
  • [:SOURce]:RADio:ARB:PBLank[:STATe]
  • [:SOURce]:RADio:ARB:PFACtor
  • [:SOURce]:RADio:ARB:PLAY
  • [:SOURce]:RADio:ARB:ROW
  • [:SOURce]:RADio:ARB:SEQuence:AROW
  • [:SOURce]:RADio:ARB:SEQuence:DELete
  • [:SOURce]:RADio:ARB:SEQuence:FREQuency
  • [:SOURce]:RADio:ARB:SEQuence:OPEN
  • [:SOURce]:RADio:ARB:SEQuence:POWer
  • [:SOURce]:RADio:ARB:SEQuence:RUNNing
  • [:SOURce]:RADio:ARB:SEQuence:STARt
  • [:SOURce]:RADio:ARB:SEQuence[:STATe]
  • [:SOURce]:RADio:ARB:SEQuence:STOP
  • [:SOURce]:RADio:ARB:SEQuence:SWEep
  • [:SOURce]:RADio:ARB:SEQuence:TRIGger:MODE
  • [:SOURce]:RADio:ARB:SRATe
  • [:SOURce]:RADio:ARB[:STATe]

_
See Also:

  • Programming example
  • Arbitrary waveforms

[:SOURce]:RADio:ARB:COPY

Queries or sets the currently playing digital modulation from/to the arbitrary modulation table. See Arbitrary waveform procedures.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SOURce:RADio:ARB:COPY
Examples |  | :RAD:ARB:COPY
 |  | :radio:arb:copy

[:SOURce]:RADio:ARB:DELete

Specifies the arbitrary waveform to delete. When you delete a waveform from the table, all the remaining waveform files below the deleted file move up a row in the table to fill the empty row. See Arbitrary waveform procedures.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | string | integer row number, ALL | n/a | n/a | n/a | none
  • Row number deletes the arbitrary waveform file in the modulation table row specified.
  • ALL deletes all waveforms from arbitrary waveform memory.

-

NOTES:

(A) You cannot delete an arbitrary waveform file while it is loaded or while it is playing. You must first stop the arbitrary waveform playback (using the :RADio:ARB: command), and then execute the :RADio:ARB:DELete command to delete the file.

(B) The RF is turned off during the deletion, and turned back on once the deletion is complete.

-

 | :SOURce:RADio:ARB:DELete 1
Examples | :RAD:ARB:DEL ALL
 | :radio:arb:delete 1

[:SOURce]:RADio:ARB:EIQ[:STATe]

Queries or switches on/off the external IQ input modulation.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | Boolean data. | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none

 | :SOURce:RADio:ARB:EIQ 1
Examples | :RAD:ARB:EIQ ON
 | :radio:arb:eiq off

[:SOURce]:RADio:ARB:LIST

Queries the arbitrary modulation table and returns a list of the entire table contents as comma separated values. The values returned for each entry in the table are: row number, arb name, sample rate, and number of samples. These are the values that were in the table for Version 1.0 of the firmware.

See also: Arbitrary waveform procedures

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | "" | <csv List> |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SOURce:RADio:ARB:LIST?
Examples |  | :RAD:ARB:LIST?
 |  | :radio:arb:list?

[:SOURce]:RADio:ARB:LIST2

Queries the arbitrary modulation table and returns a list of the entire table contents as comma separated values. The values returned for each entry in the table are: row number, arb name, sample rate, number of samples, and power factor. These are the values that were in the table for Version 2.0 of the firmware.

See also: Arbitrary waveform procedures

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | "" | <csv List> |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SOURce:RADio:ARB:LIST2?
Examples |  | :RAD:ARB:LIST2?
 |  | :radio:arb:list2?

[:SOURce]:RADio:ARB:LIST3

Queries the arbitrary modulation table and returns a list of the entire table contents as comma separated values. The values returned for each entry in the table are: row number, arb name, sample rate, number of samples, power factor, and pulsed arb blanking state (1=on; 0=off). These are the values that are in the table for the current Version 3.0 of the firmware.

See also: Arbitrary waveform procedures

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | "" | <csv List> |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SOURce:RADio:ARB:LIST3?
Examples |  | :RAD:ARB:LIST3?
 |  | :radio:arb:list3?

[:SOURce]:RADio:ARB:MEMory

Queries how many arbitrary samples are currently available. See Arbitrary waveform procedures.

HorizontalRuleSm
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | n/a |  | No | n/a | n/a | n/a | n/a | n/a | samples
 |  | :SOURce:RADio:ARB:MEMory?
Examples |  | :RAD:ARB:MEM?
 |  | :radio:arb:memory?

[:SOURce]:RADio:ARB:OPEN

Copies the specified waveform file into arbitrary memory. However, this command does not playback the waveform. See Arbitrary waveform procedures.

HorizontalRuleSm
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | string (filename) | none | n/a | n/a | n/a | none
 |  | :SOURce:RADio:ARB:OPEN
Examples |  | :RAD:ARB:OPEN
 |  | :radio:arb:open

Example:

You can use the programming command RADio:ARB:OPEN to open a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900 USB port, or a directory on a computer. To open a file from one of the available directories, use the following paths in the programming message:

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
Arbitrary User (default) | filename | ...\Agilent Series V2900 Documents\<model>\ Waveforms\ARB
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

[:SOURce]:RADio:ARB:PBLank[:STATe]

Queries or switches Pulsed Arb Blanking on/off in context to the waveform's location (row) in the arb waveform playback table, as selected with [:SOURce]:RADio:ARB:ROW. For example, the following commands turn on Pulsed Arb Blanking for the waveform in the third row of the waveform playback table:

:RAD:ARB:ROW 3

:RAD:ARB:PBL ON
___

NOTE: The command setting affects the arb waveform whether or not it is loaded.

_____

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | (ON | 1 | OFF | 0) | DEFault | 1 or on | n/a | n/a | none
 |  | :SOURce:RADio:ARB:PBLank:STATe 1
Examples |  | :RAD:ARB:PBL ON
 |  | radio:arb:pblank off
 |  | RADio:ARB:PBLank:STATe?

[:SOURce]:RADio:ARB:PFACtor

Queries or sets the power factor for the selected arbitrary waveform file, for the row selected with [:SOURce]:RADio:ARB:ROW. See Arbitrary waveform procedures.

NOTE: The command setting affects the arb waveform whether or not it is loaded.

_____

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.00 | 0.00 | 30.00 | none
 |  | :SOURce:RADio:ARB:PFACtor MAXimum
Examples |  | :RAD:ARB:PFAC MIN
 |  | :radio:arb:pfactor minimum
 |  | :SOURce:RADio:ARB:PFACtor?

[:SOURce]:RADio:ARB:PLAY

Queries or sets to playback the arbitrary waveform file. You can specify the arb waveform file by its filename, or by its location (row) in the arb waveform playback table. See Arbitrary waveform procedures.

NOTE: To stop and unload the waveform file playback, use the [:SOURce]:RADio:ARB:[STATe] command (for example: :RAD:ARB:STAT OFF stops playback and unloads the waveform).

_

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string (filename) |  | Yes | string | integer row number, filename | n/a | n/a | n/a | none
 |  | :SOURce:RADio:ARB:PLAY 3
Examples |  | :RAD:ARB:PLAY 80211b.arb
 |  | :radio:arb:play 3
 |  | :RADio:ARB:PLAY?

[:SOURce]:RADio:ARB:ROW

Queries or sets the indicated row in the arbitrary modulation table active. This is useful for changing the sample rate, power factor, or enabling/disabling Pulsed Arb Blanking after the waveform is loaded. See Arbitrary waveform procedures.

Note: Row numbering starts with 1, not 0. Row 1 is the top most row.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | "" | csv List |  | Yes | "" | Digits with an implied decimal point assumed at the right of the least-significant digit. (integer row number) | none | n/a | n/a | n/a | none
 |  | :SOURce:RADio:ARB:ROW 4
Examples |  | :RAD:ARB:ROW 4
 |  | :radio:arb:row 4
 |  | :RADio:ARB:PLAY?

[:SOURce]:RADio:ARB:SEQuence:AROW

Queries the arbitrary sequence active row.

If a sequence has not been started, or if it is completed in Single mode, -1 is returned. If no row is active then -1 is returned.

If a sequence is started and waiting for a trigger, 0 is returned. This is also annotated on the instrument screen with the phrase "Waiting for trigger".

__
See Also: Arbitrary waveform procedures.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SOURce:RADio:ARB:SEQuence:AROW?
Examples |  | :RAD:ARB:SEQ:AROW?
 |  | :radio:arb:sequence:arow??

[:SOURce]:RADio:ARB:SEQuence:DELete

Deletes a row from the sequence file that is loaded in the Series V2900 arbitrary sequence memory. You can delete one row or delete ALL rows. If you delete one row, the remaining rows move up in the sequence file (their row numbers decreasing by 1). The first row is row 1 ("1").

See also: Arbitrary waveform procedures.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/s |  | Yes | string | integer row number, ALL | n/a | n/a | n/a | none
 |  | :SOURce:RADio:SEQuence:DELete 2
Examples |  | :RAD:ARB:SEQ:DEL ALL
 |  | :radio:arb:sequence:delete 1

[:SOURce]:RADio:ARB:SEQuence:FREQuency

Sets overriding current Arb Seq frequency.

See also: To playback a sequence of arbitrary waveforms

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000000000 | 400000000 | 6000000000 | Hz
 |  | :SOURce:RADio:ARB:SEQuence:FREQuency MAX
Examples |  | :RAD:ARB:SEQ:FREQ:MIN
 |  | :radio:arb:sequence:frequency

[:SOURce]:RADio:ARB:SEQuence:OPEN

Queries the specified sequence file and reads it from the Series V2900 arbitrary sequence memory, or loads the specified sequence file in the Series V2900 arbitrary sequence memory. See Arbitrary waveform procedures.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string (filename) |  | Yes | string (filename) | none | n/a | n/a | n/a | none
 |  | :SOURce:RADio:ARB:SEQuence:OPEN TRIALMOD1.CSV
Examples |  | :RAD:ARB:SEQ:OPEN TRIALMOD1
 |  | :radio:arb:sequence:open trialmod1
 |  | :RAD:ARB:SEQ:OPEN?

_
Example:

You can use the programming command [:SOURce]:RADio:ARB:SEQuence:OPEN to open and load a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900 USB port, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
ARB User | \User\filename | ...\Agilent Series V2900 Documents\<model>\ Waveforms\ARB
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

[:SOURce]:RADio:ARB:SEQuence:POWer

Sets current Arb Sequence power.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.00 | see below * | see below * | dBm

_____

* Range depends on instrument version and options:

  • -130 dBm to +13.0 dBm for Model 2910, and for Models 2920 and 2920A with the LAR (low amplitude range) option.
  • -110 dBm to +13.0 dBm for Models 2920 and 2920A without the LAR option.

__

NOTE: If user flatness is on, regardless of the user flatness file contents, the limits become -230 dBm to +113 dBm (Models 2910, and 2920 and the V2920A with the -LAR option) or -210 dBm to +113 dBm (Model 2920 and the V2920A without the -LAR option). If an effective amplitude (that is, user flatness @ frequency + amplitude setting) is outside the supported range, the instrument reports the following error: 53, "Amplitude set too high for this modulation waveform".

_____

 | :SOURce:RADio:ARB:SEQuence:POWer MAX
Examples | :SOUR:RAD:ARB:SEQ:POW MAX
 | :radio:arb:sequence:power max

[:SOURce]:RADio:ARB:SEQuence:RUNNing

Queries the running state of the Arb Sequence File.

_____
See also: Arbitrary waveform procedures
_____

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. | No | none | none | n/a | n/a | n/a | none

 | :SOURce:RADio:ARB:SEQuence:RUNNing?
Examples | :RADIO:ARB:SEQUENCE:RUNNING?
 | :radio:arb:sequence:running?

[:SOURce]:RADio:ARB:SEQuence:STARt

Starts to playback the sequence file that is loaded in the Series 2900 arbitrary sequence memory. See Arbitrary waveform procedures.

To ascertain if a sequence is being played back, use the [:SOURce]:RADio:ARB:SEQuence:RUNNing command.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :SOURce:RADio:ARB:SEQuence:STARt
Examples | :RAD:ARB:SEQ:STAR
 | :radio:arb:sequence:start

[:SOURce]:RADio:ARB:SEQuence[:STATe]

Queries or switches the arbitrary sequence playback on/off. (It also loads/unloads the arb file.) See Arbitrary waveform procedures.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or off | n/a | n/a | none
 |  | :SOURce:RADio:ARB:SEQuence:STATe ON
Examples |  | :RAD:ARB:SEQ:STAT 1
 |  | :radio:arb:sequence:state 1
 |  | :SOURce:RADio:ARB:SEQuence:STATe?

[:SOURce]:RADio:ARB:SEQuence:STOP

Stops the sequence file that is playing back. See Arbitrary waveform procedures.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a | Yes | none | none | n/a | n/a | n/a | none

 | :SOURce:RADio:ARB:SEQuence:STOP
Examples | :RAD:ARB:SEQ:STOP
 | :radio:arb:sequence:stop

[:SOURce]:RADio:ARB:SEQuence:SWEep

Queries or sets whether the arbitrary waveform sequence file plays once or continuously. See Arbitrary waveform procedures.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | SING | CONT | ARES |  | Yes | SINGle | CONTinuous | AREStart | DEFault | CONT | n/a | n/a | none
 |  | :SOURce:RADio:ARB:SEQuence:SWEep SINGle
Examples |  | :RAD:ARB:SEQ:SWE CONT
 |  | :radio:arb:sequence:sweep continuous
 |  | :RADio:ARB:SEQuence:SWEep?

[:SOURce]:RADio:ARB:SEQuence:TRIGger:MODE

Selects whether a trigger is required to start the arbitrary waveform sequence file and/or to proceed to the next step in the sequence, or queries the trigger mode. See Arbitrary waveform procedures.

Parameters

  • STEP requires a trigger to proceed to the next step in the sequence.
  • SSTep requires a trigger to start the sequence file and to proceed to the next step in the sequence.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | STEP | SST |  | Yes | STEP | SSTep | DEFault | STEP | n/a | n/a | none
 |  | :SOURce:RADio:ARB:SEQuence:TRIGger:MODE SSTep
Examples |  | :RAD:ARB:SEQ:TRIG:MODE DEF
 |  | :radio:arb:sequence:trigger:mode default
 |  | :SOURce:RADio:ARB:SEQuence:TRIGger:MODE?

[:SOURce]:RADio:ARB:SRATe

Queries or sets the sample rate for the arbitrary waveform file in the current row (selected with [:SOURce]:RADio:ARB:ROW). Changes to the sample rate take effect immediately. See Arbitrary waveform procedures. The command setting affects the arb waveform whether or not it is loaded.

NOTE: The maximum sample rate value for the Model 2910 is 50 MHz. The maximum sample rate value for the Model 2920 and the V2920A is 100 MHz.

_____

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 5000000 | 50000 | 100000000 | Hz
 |  | :SOURce:RADio:ARB:SRATe MIN
Examples |  | :RAD:ARB:SRAT MAX
 |  | :radio:arb:srate default
 |  | :RADio:ARB:SRATe?

[:SOURce]:RADio:ARB[:STATe]

Queries or switches the arbitrary waveform playback on/off. Switching playback off also unloads the waveform.

See Also: Arbitrary waveform procedures.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:RADio:ARB:STATe 1
Examples |  | :RAD:ARB:STAT ON
 |  | :radio:arb:state off
 |  | :RADio:ARB:STATe?


[:SOURce]:RADio:CDMA

  • [:SOURce]:RADio:CDMa:LOAD


[:SOURce]:RADio:CDMA:LOAD

Queries the CDMA waveform that is loaded in the instrument, or sets the CDMA waveform to load into the instrument. See cdma2000 forward link.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string(filename) | none |  | Yes | string (filename) | DEFault | cdma2000 Forward Pilot | n/a | n/a | none
 |  | :SOURce:RADio:CDMA:LOAD
Examples |  | :RAD:CDMA:LOAD
 |  | :radio:cdma:load
 |  | :RADio:CDMA:LOAD?

Example:

You can use the programming command RADio:CDMA:LOAD to load a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900 USB port, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
cdma2000 Reference (default) | filename | ((restricted, read-only))
cdma2000 User | \User\filename | ...\Agilent Series V2900 Documents\<model>\ Waveforms\cdma2000\Forward Link
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

Note: All modulation waveform Reference directories in the Series V2900 are read-only.


[:SOURce]:RADio:GPS

Controls the global positioning system (GPS) settings.

Select a link to view the command details:

  • [:SOURce]:RADio:GPS:CACode
  • [:SOURce]:RADio:GPS:DSHift
  • [:SOURce]:RADio:GPS:PATTern
  • [:SOURce]:RADio:GPS:PATTern:OPEN
  • [:SOURce]:RADio:GPS:STATe

Also see GPS.

[:SOURce]:RADio:GPS:CACode

Queries or sets the GPS C/A code. The range is from 1 to 37. For details on GPS modulation, seeGPS .

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 1 | 37 | none
 |  | :SOURce:RADio:GPS:CACode MAXimum
Examples |  | :RAD:GPS:CAD 20
 |  | :radio:gps:cacode maximum
 |  | :RADio:GPS:CACode?

[:SOURce]:RADio:GPS:DSHift

Queries or sets the value of the GPS Doppler shift. The range is ±10 kHz. For details on GPS modulation, see GPS.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.0 | -10000 | 10000 | Hz
 |  | :SOURce:RADio:GPS:DSHift MINimum
Examples |  | :RAD:GPS:DSH MIN
 |  | :radio:gps:dshift 500
 |  | :RADio:GPS:DSHift?

[:SOURce]:RADio:GPS:PATTern

Queries or sets the data pattern for the GPS (global positioning system) modulation. For details on GPS modulation, see GPS.

Parameters

  • AONes sets the data pattern to be all binary 1s.
  • AZERos sets the data pattern to be all binary 0s.
  • PN9 sets the data pattern to be a PN9 pseudo-random binary sequence.
  • PN15 sets the data pattern to be a PN15 pseudo-random binary sequence.
  • SQuare1 sets the data pattern to 01.
  • SQuare2 sets the data pattern to 0011.
  • SQuare4 sets the data pattern to 00001111.
  • SQuare8 sets the data pattern to 0000000011111111.
  • SQuare16 sets the data pattern to 0000000000000000111111111111.
  • USER sets the data pattern to the contents of a user-provided file. User is valid only if a user pattern has been opened.
  • DEFault returns to the default (preset) data pattern of PN9.

Query

Return parameters

Set

Set parameters

Special parameters

DEF

MIN

MAX

Units

Yes

AON | AZER | PN9 | PN15 | SQ1 | SQ2 | SQ4 | SQ8 | SQ16 | USER

Yes

AONes | AZERos |
PN9 | PN15 |
SQuare1 | SQuare2 |

SQuare4 | SQuare8 | SQuare16 | USER

DEFault

PN9

n/a

n/a

none

:SOURce:RADio:GPS:PATTern AONes

Examples

:RAD:GPS:PATT SQ2

:radio:gps:pattern square16

:RADio:GPS:PATTern?

[:SOURce]:RADio:GPS:PATTern:OPEN

Queries or sets the user-provided data pattern file for the GPS (global positioning system) modulation that gets loaded into the instrument. The default file extension is '.csv. A query returns the filename, if the GPS modulation is enabled. Sending this command without a filename will generate a "missing parameter" error. For details on GPS modulation, see GPS.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string (filename) | none |  | Yes | string (filename) | none | n/a | n/a | n/a | none
 |  | :SOURce:RADio:GPS:PATTern:OPEN GPSmod1.csv
Examples |  | :RAD:GPS:PATT:OPEN GPSmod1
 |  | :radio:gps:pattern:open gpsmod1
 |  | :RADio:GPS:PATTern:OPEN?

Example:

You can use the programming command [:SOURce]:RADio:GPS:PATTern:OPEN to load a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900 USB port, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
GPS User | \User\filename | ...\Agilent Series V2900 Documents\<model>\ Waveforms\GPS
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

[:SOURce]:RADio:GPS[:STATe]

Queries or switches the global positioning system (GPS) modulation on/off. For details on GPS modulation, see GPS.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:RADio:GPS:STATe ON
Examples |  | :RAD:GPS:STAT 1
 |  | :radio:gps:state 1
 |  | :RADio:GPS:STATe?


[:SOURce]:RADio:GSM

  • [:SOURce]:RADio:GSM:LOAD

Also see GSM / EDGE.

[:SOURce]:RADio:GSM:LOAD

Sets the GSM waveform to load in the instrument, or queries the GSM waveform that is loaded in the instrument. See GSM / EDGE.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string (filename) | none |  | Yes | string (filename) | DEFault | GSM Data Timeslot 0 | n/a | n/a | none
 |  | :SOURce:RADio:GSM:LOAD GSM Data Timeslot 0.csv
Examples |  | :RAD:GSM:LOAD Timeslot 0
 |  | :radio:gsm:load timeslot 0
 |  | :RADio:GSM:LOAD?

Example:

You can use the programming command RADio:GSM:LOAD to load a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900 USB port, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
GSM / EDGE Reference (default) | filename | ((restricted, read-only))
GSM / EDGE User | \User\filename | ...\Agilent Series V2900 Documents\<model>\ Waveforms\GSM EDGE
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

Note: All modulation waveform Reference directories in the Series V2900 are read-only.


[:SOURce]:RADio:WCDMa

Controls WCDMA waveforms and modulation.

Select a link to view the command details:

  • [:SOURce]:RADio:WCDMa:LOAD
  • [:SOURce]:RADio:WCDMa:STATe


[:SOURce]:RADio:WCDMa:LOAD

Sets the WCDMA waveform to load in the instrument, or queries the WCDMA waveform that is loaded in the instrument. See cdma2000® forward link.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string (filename) | none |  | Yes | string (filename) | DEFault | CPICH | n/a | n/a | none
 |  | :SOURce:RADio:WCDMa:LOAD
Examples |  | :RAD:WCDM:LOAD
 |  | :radio:wcdma:load
 |  | :RADio:WCDMa:LOAD?

Example:

You can use the programming command RADio:WCDMa:LOAD to load a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900 USB port, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
W-CDMA Reference (default) | filename | ((restricted, read-only))
W-CDMA User | \User\filename | ...\Agilent Series V2900 Documents\<model>\ Waveforms\W-CDMA\Down Link
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

Note: All modulation waveform Reference directories in the Series V2900 are read-only.

[:SOURce]:RADio:WCDMa:STATe

Queries or switches WCDMA modulation on/off.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:RADio:WCDMa:STATe ON
Examples |  | :RAD:WCDM:STAT 1
 |  | :radio:wcdma:state 1
 |  | :RADio:WCDM:STATe?


[:SOURce]:ROSCillator

Controls the reference oscillator settings.

Select a link to view the command details:

  • [:SOURce]:ROSCillator:EEVensecond:POLarity
  • [:SOURce]:ROSCillator:EXTernal:FREQuency
  • [:SOURce]:ROSCillator:SOURce

Also see REF IN and OUT connectors.

[:SOURce]:ROSCillator:EEVensecond:POLarity

Queries or sets the polarity of the external even second reference.

Parameters

  • RISing sets the even second polarity to rising.
  • FALLing sets the even second polarity to falling.
  • DEFault returns to the default (preset) mode or RISing.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | RIS | FALL |  | Yes | RISing | FALLing | DEFault | RIS | n/a | n/a | none
 |  | :SOURce:ROSCillator:EEVensecond:POLarity RISing
Examples |  | :ROSC:EEV:POL FALL
 |  | roscillator:eevensecond:polarity rising
 |  | ROSCillator:EEVensecond:POLarity?

[:SOURce]:ROSCillator:EXTernal:FREQuency

Queries or sets the external reference oscillator frequency. See REF IN and OUT connectors.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 10000000 | 1000000 | 20000000 | Hz
 |  | :SOURce:ROSCillator:EXTernal:FREQuency
Examples |  | :ROSC:EXT:FREQ MIN
 |  | :roscillator:external:frequency maximum
 |  | :ROSCillator:EXTernal:FREQuency?

[:SOURce]:ROSCillator:SOURce

Queries or sets the source for the reference oscillator. See REF IN and OUT connectors.

Parameters

  • INTernal selects the internal oscillator for the reference oscillator.
  • EXTernal selects the External Reference Input as the reference oscillator.
  • EEVensecond selects the GPS clock input as the reference oscillator.
  • DEFault returns to the default (preset) mode, which is INTernal.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | INT | EXT | EEV |  | Yes | INTernal | EXTernal | EEVensecond | DEFault | INT | n/a | n/a | none
 |  | :SOURce:ROSCillator:SOURce EXTernal
Examples |  | :ROSC:SOUR EXT
 |  | :roscillator:source external
 |  | :ROSCillator:SOURce?


[:SOURce]:SWEep

Controls the stepped sweep settings.

Select a link to view the command details:

  • [:SOURce]:SWEep:DWELl
  • [:SOURce]:SWEep:SETTle
  • [:SOURce]:SWEep:STATe
  • [:SOURce]:SWEep:STEP

Also see Sweep and signal generation and Sweep and signal operations.

[:SOURce]:SWEep:DWELl

Queries or sets the dwell time for each step in a stepped sweep or list mode sweep. See Sweep and signal generation and Sweep and signal operations.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.0000 | 0.0000 | 999.9990 | Seconds
 |  | :SOURce:SWEep:DWELl MAXimum
Examples |  | :SWE:DWEL MAX
 |  | :sweep:dwell maximum
 |  | :SWEep:DWELl?

[:SOURce]:SWEep:SETTle

Queries for the longest settle time over the last sweep. See Sweep and signal generation and Sweep and signal operations.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SOURce:SWEep:SETTle?
Examples |  | :SWE:SETT?
 |  | :sweep:settle?

[:SOURce]:SWEep:[STATe]

Queries or switches the source in a repetitive sweep mode on/off. When off (or 0), use a trigger to cause a single sweep. See Sweep and signal generation and Sweep and signal operations.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:SWEep:STATe 1
Examples |  | :SWE:STAT ON
 |  | :sweep:state off
 |  | :SWEep:STATe?

[:SOURce]:SWEep:STEP

Queries or sets the number of steps in a stepped sweep. See Sweep and signal generation and Sweep and signal operations.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 201 | 2 | 2000 | none
 |  | :SOURce:SWEep:STEP MAXimum
Examples |  | :SWE:STEP MAX
 |  | :sweep:step maximum
 |  | :SWEep:STEP?


[:SOURce]:TTL

Controls the digital I/O settings.

Select a link to view the command details:

  • [:SOURce]:TTL:INPut
  • [:SOURce]:TTL[:LEVel]

Also see Digital I/O.

[:SOURce]:TTL:INPut

Reads the digital I/O input. See Digital I/O.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SOURce:TTL:INPut?
Examples |  | :TTL:INP?
 |  | :ttl:input?

[:SOURce]:TTL[:LEVel]

Queries or sets the digital I/O output. See Digital I/O.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | 0 | 15 | none
 |  | :SOURce:TTL:LEVel MAXimum
Examples |  | :TTL MAX
 |  | :ttl maximum
 |  | :TTL?


[:SOURce]:TTONe

Controls the two-tone modulation settings.

Select a link to view the command details:

  • [:SOURce]:TTONe:FREQuency:SPAN
  • [:SOURce]:TTONe:STATe

Also see 2 Tone modulation.

[:SOURce]:TTONe:FREQuency:SPAN

Queries or sets the span (or spacing) of the two CW tones in the two-tone application. See 2 Tone modulation.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1000 | 2 | 2000000 | Hz
 |  | :SOURce:TTONe:FREQuency:SPAN MINimum
Examples |  | :TTON:FREQ:SPAN MIN
 |  | :ttone:frequency:span minimum
 |  | :TTONe:FREQuency:SPAN?

[:SOURce]:TTONe[:STATe]

Queries or switches the two-tone application on/off. See 2 Tone modulation.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SOURce:TTONe:STATe 1
Examples |  | :TTON 1
 |  | :ttone:state on
 |  | :TTONe:STATe?


[:SOURce]:UFLatness

Controls the user-flatness settings.

Select a link to view the command details:

  • [:SOURce]:UFLatness:LOAD
  • [:SOURce]:UFLatness:STATe

Also see User flatness

[:SOURce]:UFLatness:LOAD

Selects the user flatness data file that gets loaded in the instrument. Sending this command without a filename will generate a "missing parameter" error. A query returns the filename, if the user flatness is enabled. See User flatness.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string (filename) | none |  | Yes | string (filename) | none | n/a | n/a | n/a | none
 |  | :SOURce:UFLatness:LOAD TUESDAY1.csv
Examples |  | :UFL:LOAD TUESDAY1
 |  | :uflatness:load tuesday1
 |  | :SOUR:UFL:LOAD?

Example:

You can use the programming command [:SOURce]:UFLatness:LOAD to load a file from a directory in the Series V2900, a USB memory device inserted in the Series V2900 USB port, or another computer directory. To load a file from one of the available directories, use the following paths in the programming message.

Directory | Directory path in programming message
 | Instrument | Desktop Control Panel *
User Flatness User | filename or \User\filename | ...\Agilent Series V2900 Documents\<model>\User Flatness
another computer directory | \\UNC\directory\filename |
USB (connected first) | \USB | For a USB device connected to the computer, you must use the absolute path (for example, F:\...)
USB (connected second) | \USB2 | For a USB device connected to the computer, you must use the absolute path (for example, G:\...)
USB (connected third) | \USB3 | For a USB device connected to the computer, you must use the absolute path (for example, H:\...)
USB (connected fourth) | \USB4 | For a USB device connected to the computer, you must use the absolute path (for example, I:\...)

* <model> is replaced by a string to represent the instrument model. For example, V2920A.

[:SOURce]:UFLatness[:STATe]

Queries or switches the user flatness operation on/off. See User flatness.
_____

NOTE: If user flatness is on, regardless of the user flatness file contents, the power limits become -230 dBm to +113 dBm (Model 2910, and Model 2920 and the V2920A with the -LAR option) or -210 dBm to +113 dBm (Model 2920 and the V2920A without the -LAR option). If user flatness is off, the power limits are at the -130/-110 dBm to +13 dBm range. Affected power settings are: [:SOURce]:POWer commands and [:SOURce]:RADio:ARB:SEQuence:POWer.

_____

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEfault | 0 or Off | n/a | n/a | none
 |  | :SOURce:UFLatness:STATe ON
Examples |  | :UFL ON
 |  | :source:uflatness:state 0
 |  | :UFL?


:SOUTput

Controls the sync output settings.

Select a link to view the command details:

  • :SOUTput:IMMediate
  • :SOUTput:MODe
  • :SOUTput:POLarity
  • :SOUTput:OFFSet
  • :SOUTput:WRAPs

_____
See Also: Sync Output

:SOUTput:MODE

Queries or sets when a sync output pulse is generated. Sync output can be off, at a wrap point of an arb waveform, as each step in list or sweep settles, at the start of sweep/list, or at the end of sweep/list. See Sync out.

Parameters

  • OFF switches off the sync output.
  • WRAP sets the sync output at the wrap point of the arbitrary waveform playback.
  • STEP sets the sync output as each step in the sweep, list mode, or sequence settles.
  • STARt sets the sync output at the start of the sweep, list mode, or sequence.
  • STOP sets the sync output at the end of the sweep, list mode, or sequence.
  • DWELl sets the sync output at the end of a dwell time at each step in a stepped sweep, list mode or arb file sequence.
  • DEFault sets the sync output to the default (WRAP) mode.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | OFF | WRAP | STEP | STAR | STOP | DWEL |  | Yes | OFF | WRAP | STEP | STARt | STOP | DWELl | DEfault | WRAP | n/a | n/a | none
 |  | :SOUTput:MODE WRAP
Examples |  | :SOUT:MODE OFF
 |  | :soutput:mode start
 |  | :SOUTput:MODE?

:SOUTput:IMMediate

When set, immediately generates a sync out pulse. See Sync out.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SOUTput:IMMediate
Examples |  | :SOUT:IMM
 |  | :soutput:immediate

:SOUTput:POLarity

Queries or sets the sync output pulse. Sync output is a short TTL pulse. Normally, it is a rising pulse. If you select FALLing, the output is normally high and pulses off, providing a falling edge as the sync event. See Sync out.

Parameters

  • RISing sets the sync output to a TTL low and the sync event as a rising edge pulse.
  • FALLing sets the sync output to a TTL high and the sync event as a falling edge pulse.
  • DEFault sets the sync output to the default (Preset) setting or RISing.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | RIS | FALL | Yes | RISing | FALLing | DEfault | RIS | n/a | n/a | none

 | :SOUTput:POLarity RISing
Examples | :SOUT:POL RIS
 | :soutput:polarity rising
 | :SOUTput:POLarity?

:SOUTput:OFFSet

Queries or sets the offset of the sync out relative to the ARB wrap as a percentage of the ARB waveform duration. This value is only used if :SOUTput:MODE is WRAP.

The Series V2900 allows entries for Sync Offset (from ARB Wrap) to extend to slightly below -100%. An entry of -100% positions the first sync at the nominal start of the arb playback at the RF output. Entries slightly more negative allow the sync output to occur after playback initiation, but before the waveform has fully propagated through it's signal generation circuitry and reached the RF output.

_____
See also: Sync out

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0 | -101 | 100 | Percent

 | :SOUTput:OFFSet 5.3
Examples | :SOUT:OFFS 9.2
 | :soutput:offset 5.3
 | :SOUTput:OFFSet?

:SOUTput:WRAPs

Queries or sets the number of ARB waveform repetition wrap points that must occur before a sync output pulse is generated. This value is only used if :SOUTput:MODE is WRAP

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 1 | 1 | 1000 | none

 | :SOUTput:WRAPs 150
Examples | :SOUT:WRAP 12
 | :soutput:wraps 85
 | :SOUTput:WRAPs?

See also: Sync Output


:STATus:MEASurement

Controls the measurement event status.

Select a link to view the command details:

  • :STATus:MEASurement:CONDition
  • :STATus:MEASurement:ENABle
  • :STATus:MEASurement[:EVENt]
  • :STATus:MEASurement:NTRansition
  • :STATus:MEASurement:PTRansition

_
See Also:

  • Measurement event register

:STATus:MEASurement:CONDition

Reads the measurement condition register. Each status register set (except the standard event register set) has a condition register. A condition register is a real-time, read-only register that constantly updates to reflect the present operating conditions of the instrument. See Measurement event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | No | n/a | n/a | n/a | n/a | n/a | none

 | :STATus:MEASurement:CONDition?
Examples | :STAT:MEAS:COND?
 | :status:measurement:condition?

:STATus:MEASurement:ENABle

Programs the measurement event enable register. When used as a query, it reads the enable register. Each status register set has an enable register. Each event register bit is logically ANDed (&) to a corresponding enable bit of an enable register. When an event bit is set and the corresponding enable bit is set (programmed by a user), the output (summary) of the register will set to 1, which in turn sets the summary bit of the status byte register. See Measurement event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. the STATus:PRESet command has no effect.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | none
 |  | :STATus:MEASurement:ENABle
Examples |  | :STAT:MEAS:ENAB
 |  | :status:measurement:enable
 |  | :STAT:MEAS:ENAB?

:STATus:MEASurement[:EVENt]

Queries the Measurement Event Register. See Measurement event register.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STATus:MEASurement:EVENt
 |  | :STAT:MEAS:EVEN
Examples |  | :status:measurement:event
 |  | :STAT:MEAS:EVEN?

:STATus:MEASurement:NTRansition

Programs the measurement negative transition filter. When used as a query, it reads the negative transition filter. Each status register set has a negative transition filter. When a bit in the condition register (STATus:MEASurement:CONDition?) is zero and the corresponding bit in the negative transition filter is one, the corresponding bit in the event register (STATus:MEASurement:EVENt?) will bet set.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the transition filter to 0. *RST has no effect.

See Also: Measurement event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 0 | 0 | 32767 | none

 | :STATus:MEASurement:NTRansition 500
Examples | :STAT:MEAS:NTR 500
 | :status:measurement:ntransition 500
 | :STATus:MEASurement:NTRansition?

:STATus:MEASurement:PTRansition

Programs the measurement positive transition filter. When used as a query, it reads the positive transition filter. Each status register set has a positive transition filter. When a bit in the condition register (STATus:MEASurement:CONDition?) is one and the corresponding bit in the positive transition filter is one, the corresponding bit in the event register (STATus:MEASurement:EVENt?) will bet set.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the positive transition filter to 32767 (0x7fff). *RST has no effect.

See Also: Measurement event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 32767 | 0 | 32767 | none

 | :STATus:MEASurement:PTRansition 500
Examples | :STAT:MEAS:PTR 500
 | :status:measurement:ptransition 500
 | :STATus:MEASurement:PTRansition?


:STATus:OPERation

Controls the operation event status.

Select a link to view the command details:

  • :STATus:OPERation:ARB:ENABle
  • :STATus:OPERation:ARB[:EVENt]
  • :STATus:OPERation:CONDition
  • :STATus:OPERation:ENABle
  • :STATus:OPERation[:EVENt]
  • :STATus:OPERation:NTRansition
  • :STATus:OPERation:PTRansition

_
See Also:

  • Operation event register

:STATus:OPERation:ARB:ENABle

Sets or queries the Arb Enable Register. Bit 1 of the Arb Event Register is set when an arb sequence, in single sweep mode, completes.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. The STATus:PRESet command has no effect.

See Operation event register.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | 0 | 32767 | none
 |  | :STATus:OPERation:ARB:ENABle 22222
Examples |  | :STAT:OPER:ARB:ENAB 0
 |  | :status:operation:arb:enable 32767
 |  | :STAT:OPER:ARB:ENAB?

:STATus:OPERation:ARB[:EVENt]

Queries the Arb Event Register. Bit 1 is set when an Arb Sequence, in single sweep mode, completes. The Arb Event Register is summarized in Bit 9 of the operation event status register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. The STATus:PRESet command has no effect.

See Operation event register.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STATus:OPERation:ARB:EVENt?
Examples |  | :STAT:OPER:ARB:EVEN?
 |  | :status:operation:arb:event?

:STATus:OPERation:CONDition

Reads the operation condition register. Each status register set (except the standard event register set) has a condition register. A condition register is a real-time, read-only register that constantly updates to reflect the present operating conditions of the instrument. For example, while the instrument is in the idle state, bit B10 (Idle) of the operation condition register will be set. When the instrument is taken out of idle, bit B10 clears. See Operation event register.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STATus:OPERation:CONDition?
Examples |  | :STAT:OPER:COND?
 |  | :status:operation:condition?

:STATus:OPERation:ENABle

Programs the operation event enable register. When used as a query, it reads the enable register. Each status register set has an enable register. Each event register bit is logically ANDed (&) to a corresponding enable bit of an enable register. When an event bit is set and the corresponding enable bit is set (programmed by a user), the output (summary) of the register will set to 1, which is turn sets the summary bit of the status byte register. See Operation event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. The STATus:PRESet command has no effect.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | none
 |  | :STATus:OPERation:ENABle
Examples |  | :STAT:OPER:ENAB
 |  | :status:operation:enable
 |  | :STATus:OPERation:ENABle?

:STATus:OPERation[:EVENt]

Reads the operation event register. Each status register has an event register. When an event occurs, the appropriate event register bit sets to 1. The bit remains latched to 1 until the register is reset. Reading an event register clears the bits of that register. *CLS resets all four event registers. See Operation event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. The STATus:PRESet command has no effect.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STATus:OPERation:EVENt?
Examples |  | :STAT:OPER?
 |  | :status:operation:event?

:STATus:OPERation:NTRansition

Programs the operation negative transition filter. When used as a query, it reads the negative transition filter. Each status register set has a negative transition filter. When a bit in the condition register (STATus:OPERation:CONDition?) is zero and the corresponding bit in the negative transition filter is one, the corresponding bit in the event register (STATus:OPERation:EVENt?) will bet set.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the transition filter to 0. *RST has no effect.

See Also: Operation event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 0 | 0 | 32767 | none

 | :STATus:OPERation:NTRansition 500
Examples | :STAT:OPER:NTR 500
 | :status:operation:ntransition 500
 | :STATus:OPERation:NTRansition?

:STATus:OPERation:PTRansition

Programs the operation positive transition filter. When used as a query, it reads the positive transition filter. Each status register set has a positive transition filter. When a bit in the condition register (STATus:OPERation:CONDition?) is one and the corresponding bit in the positive transition filter is one, the corresponding bit in the event register (STATus:OPERation:EVENt?) will bet set

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the positive transition filter to 32767 (0x7fff). *RST has no effect.

See Also: Operation event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 32767 | 0 | 32767 | none

 | :STATus:OPERation:PTRansition 500
Examples | :STAT:OPER:PTR 500
 | :status:operation:ptransition 500
 | :STATus:OPERation:PTRansition?


:STATus:QUEStionable

Controls the questionable event status.

Select a link to view the command details:

  • :STATus:QUEStionable:CONDition
  • :STATus:QUEStionable:ENABle
  • :STATus:QUEStionable[:EVENt]
  • :STATus:QUEStionable:NTRansition
  • :STATus:QUEStionable:PTRansition

_
See Also:

  • Questionable event register

:STATus:QUEStionable:CONDition

Reads the questionable condition register. Each status register set (except the standard event register set) has a condition register. A condition register is a real-time, read-only register that constantly updates to reflect the present operating conditions of the instrument. See Questionable event register.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STATus:QUEStionable:CONDition?
Examples |  | :STAT:QUES:COND?
 |  | :status:questionable:condition?

:STATus:QUEStionable:ENABle

Programs the questionable event enable register. When used as a query, it reads the enable register. Each status register set has an enable register. Each event register bit is logically ANDed (&) to a corresponding enable bit of an enable register. When an event bit is set and the corresponding enable bit is set (programmed by a user), the output (summary) of the register will set to 1, which is turn sets the summary bit of the status byte register. See Questionable event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. The STATus:PRESet command has no effect.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | none
 |  | :STATus:QUEStionable:ENABle
Examples |  | :STAT:QUES:ENAB
 |  | :status:questionable:enable
 |  | :STAT:QUES:ENAB?

:STATus:QUEStionable[:EVENt]

Reads the questionable event register. Each status register has an event register. When an event occurs, the appropriate event register bit sets to 1. The bit remains latched to 1 until the register is reset. Reading an event register clears the bits of that register. *CLS resets all four event registers. See Questionable event register.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and *CLS resets all bits of all event registers to 0. The STATus:PRESet command has no effect.

See Operation event register.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :STAT:QUEStionable:EVENt?
Examples |  | :STAT:QUES?
 |  | :status:questionable:event?

:STATus:QUEStionable:NTRansition

Programs the questionable negative transition filter. When used as a query, it reads the negative transition filter. Each status register set has a negative transition filter. When a bit in the condition register (STATus:QUEStionable:CONDition?) is zero and the corresponding bit in the negative transition filter is one, the corresponding bit in the event register (STATus:QUEStionable:EVENt?) will bet set.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the transition filter to 0. *RST has no effect.

See Also: Questionable event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 0 | 0 | 32767 | none

 | :STATus:QUEStionable:NTRansition 500
Examples | :STAT:QUES:NTR 500
 | :status:questionable:ntransition 500
 | :STATus:QUEStionable:NTRansition?

:STATus:QUEStionable:PTRansition

Programs the questionable positive transition filter. When used as a query, it reads the positive transition filter. Each status register set has a positive transition filter. When a bit in the condition register (STATus:QUEStionable:CONDition?) is one and the corresponding bit in the positive transition filter is one, the corresponding bit in the event register (STATus:QUEStionable:EVENt?) will bet set.

The format of the response message for the query is set by the FORMat:SREGister command.

Power-up and STATus:PREset set the positive transition filter to 32767 (0x7fff). *RST has no effect.

See Also: Questionable event register.

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | 32767 | 0 | 32767 | none

 | :STATus:QUEStionable:PTRansition 500
Examples | :STAT:QUES:PTR 500
 | :status:questionable:ptransition 500
 | :STATus:QUEStionable:PTRansition?


:SYSTem:ERRor

Controls the error queue.

Select a link to view the command details:

  • :SYSTem:ERRor:ALL
  • :SYSTem:ERRor:CLEar
  • :SYSTem:ERRor:CODE:ALL
  • :SYSTem:ERRor:CODE:[NEXT]
  • :SYSTem:ERRor:COUNt
  • :SYSTem:ERRor:ENABle:ADD
  • :SYSTem:ERRor:ENABle:DELete
  • :SYSTem:ERRor:ENABle[:LIST]
  • :SYSTem:ERRor:[NEXT]

_____
Also see: Error queue

:SYSTem:ERRor:ALL

Reads all errors in the error queue. This query command is similar to the :SYSTem:ERRor:NEXT? command, except that all messages in the error queue are sent to the computer when the instrument is addressed to talk. All codes and messages are removed from the queue.

Return format:

__

<number>,"error description[; optional error details]",<number>,"error description[; optional error details]" ...
(sequence repeats to report every error in the queue)

If there are no errors in the queue, the return is 0,"No Error". If an error is present, the return is a list of errors.

Example return:

__

-100,"Command Error",-200,"Execute Error;Optimize Failed"

_____
See also:

  • Error queue for Series V2800 and Series V2900 instruments
  • Error queue for SignalMeister™

Query | Return parameters | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string | No | n/a | n/a | n/a | n/a | n/a | none

 | :SYSTem:ERRor:ALL?
Examples | :SYST:ERR:ALL?
 | :system:error:all?

:SYSTem:ERRor:CLEar

Clears the error queue.

_____
See also:

  • Error queue for Series V2800 and Series V2900 instruments
  • Error queue for SignalMeister™

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:CLEar
Examples |  | :SYST:ERR:CLE
 |  | :system:error:clear

:SYSTem:ERRor:CODE:ALL

Reads all errors by error code in the error queue. See Error queue.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | NR1,…, [image] NR1 Digits with an implied decimal point assumed at the right of the least-significant digit. Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:CODE:ALL?
Examples |  | :SYST:ERR:CODE:ALL?
 |  | :system:error:code:all?

:SYSTem:ERRor:CODE:[NEXT]

Reads the next error-by-error code in the error queue. See Error queue.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:CODE:NEXT?
Examples |  | :SYST:ERR:CODE:NEXT?
 |  | :system:error:code?

:SYSTem:ERRor:COUNt

Reads the number of errors in the Error Queue. See Error queue.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:COUNt?
Examples |  | :SYST:ERR:COUN?
 |  | :system:error:count?

:SYSTem:ERRor:ENABle:ADD

Adds the specific errors to enable in the error queue. See Error queue. When you enable messages, the messages not specified in the list are disabled. When you disable messages, each listed message is removed from the enabled list.

Parameters

  • Single message (-110)
  • Range of messages (-110:-222 = -110 through -222)
  • Range entry and single entry (separated by a comma -110:-222, -220)
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | list | none | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:ENABle:ADD
Examples |  | :SYST:ERR:ENAB:ADD
 |  | :system:error:enable:add

:SYSTem:ERRor:ENABle:DELete

Deletes the specific errors to enable the error queue. See Error queue. When you enable messages, the messages not specified in the list are disabled. When you disable messages, each listed message is removed from the enabled list.

Parameters

  • Single message (-110)
  • Range of messages (-110:-222 = -110 through -222)
  • Range entry and single entry (separated by a comma -110:-222, -220)
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | list | none | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:ENABle:DELete
Examples |  | :SYST:ERR:ENAB:DEL
 |  | :system:error:enable:delete

:SYSTem:ERRor:ENABle[:LIST]

Sets or queries the specific errors in the error queue. When you enable messages, the messages not specified in the list are disabled. When you disable messages, each listed message is removed from the enabled list. See Error queue.

Parameters

  • Single message (-110)
  • Range of messages (-110:-222 = -110 through -222)
  • Range entry and single entry (separated by a comma -110:-222, -220)
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | list |  | Yes | list | none | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:ENABle:LIST
Examples |  | :SYST:ERR:ENAB:LIST
 |  | :system:error:enable:list
 |  | :SYST:ERR:ENAB:LIST?

:SYSTem:ERRor[:NEXT]

Reads the next error in the queue. As error and status messages occur, they are placed in the error queue. The error queue is a first-in first-out (FIFO) register that can hold up to 10 messages. After sending this command and addressing the instrument to talk, the oldest code and message is sent to the computer and is then removed from the queue.

Return format:

__

<number>,"error description[; optional error details]"

If there are no errors in the queue, the return is 0,"No Error".

Example return:

__

-200,"Execute Error;Optimize Failed"

Returns a "0" (zero) if no errors are in the queue, otherwise it returns the latest error on the stack, last-in-first-out (LIFO).

_____
See also:

  • Error queue for Series V2800 and Series V2900 instruments
  • Error queue for SignalMeister™

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string |  | No | n/a | n/a | n/a | n/a | n/a | none
 |  | :SYSTem:ERRor:NEXT?
Examples |  | :SYST:ERR?
 |  | :system:error?


:SYSTem:PRESet

Restores the instrument settings to the preset state determined by SYSTem:PRESet:TYPE. If TYPE is set to FACTory, the preset state is the factory default. If TYPE is set to USER, the preset state is the state saved by SYSTem:PRESet:SAVE.
_

Series V2800 only -- see also:

  • Preset button
  • Series V2800 Preset conditions
  • Preset Type
  • Preset Save

Series V2900 only -- see also:

  • Preset button
  • Series V2900 Preset conditions
  • Preset Type
  • Preset Save

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:PRESet
Examples |  | :SYST:PRES
 |  | :system:preset

:SYSTem:PRESet:SAVE

Saves the current instrument state as a user-defined preset. This state is recalled if the SYSTem:PRESet:TYPE is set to USER when the:

  • Instrument is powered on
  • Front-panel Preset button is pressed
  • SYSTem:PRESet command is used

_____
See Preset and Preset Type.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
No | n/a |  | Yes | none | none | n/a | n/a | n/a | none
 |  | :SYSTem:PRESet:SAVE
Examples |  | :SYST:PRES:SAVE
 |  | :system:preset:save

:SYSTem:PRESet:TYPE

Set or query the type of preset that is performed when:

  • The Preset button is used
  • The instrument is powered on
  • The SYSTem:PRESet command is used

If the Preset Type is FACTory, the instrument is set to the factory default state. If the Preset Type is USER, the instrument is set to the state saved by SYSTem:PRESet:SAVE (which is initially the factory default values shown in Preset conditions). See also, Preset and Preset Type.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | string |  | Yes | FACTory | USER | DEFault | FACTory | n/a | n/a | none
 |  | :SYSTem:PRESet:TYPE USER
Examples |  | :SYST:PRES:TYPE USER
 |  | :system:preset:type user
 |  | :SYSTem:PRESet:TYPE?


:SYSTem:SSAVer

Controls the screen saver.

Select a link to view the command details:

  • :SYSTem:SSAVer:DELay
  • :SYSTem:SSAVer[:STATe]

Also see Screen saver.

:SYSTem:SSAVer:DELay

Queries or sets the delay of the screen saver, in minutes. See Screen saver.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an implied decimal point assumed at the right of the least-significant digit. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | none | n/a | n/a | n/a | minutes
 |  | :SYSTem:SSAVer:DELay 2
Examples |  | :SYST:SSAV:DEL 2
 |  | :system:ssaver:delay 2
 |  | :SYST:SSAV:DEL?

:SYSTem:SSAVer[:STATe]

Queries or switches the state of the screen saver on/off. See Screen saver.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Boolean data. |  | Yes | ON | 1 | OFF | 0 | DEFault | 0 or Off | n/a | n/a | none
 |  | :SYSTem:SSAVer:STATe ON
Examples |  | :SYST:SSAV ON
 |  | :system:ssaver:state 0
 |  | :SYST:SSAV?


:TRIGger

Controls the trigger functions.

Select a link to view the command details:

  • :TRIGger:DELay
  • :TRIGger:DELay:ACTual
  • :TRIGger:MODE
  • :TRIGger:SOURce

    _____
    NOTE: The trigger commands take effect immediately upon execution.

_____
See Also:

  • Trigger settings
  • *TRG

:TRIGger:DELay

Sets or queries a delay between a trigger event and the instrument response.

When the trigger delay is set to zero, the center point of the data window is where the trigger occurred. Changing the trigger delay value allows you to see measurement trace events that occurred before or after the trigger. The trigger delay value is the point at the center of the data acquisition window. See Trigger.

_____
NOTE: The trigger commands take effect immediately upon execution.

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point. |  | Yes | Numeric representation format -- This parameter is a number that can be expressed as an integer (e.g., 8), a real number (e.g., 23.6), or an exponent (2.3E6). | MAXimum | MINimum | DEFault | 0.0000000 | -30 | 30 | seconds
 |  | :TRIGger:DELay MAXimum
Examples |  | :TRIG:DEL MAX
 |  | :trigger:delay maximum
 |  | :TRIG:DEL?

:TRIGger:MODE

Queries or sets the Input Trigger mode that only affects lists and sweeps. You can choose to start each step or start an entire list/sweep. See Trigger.

NOTE: The trigger commands take effect immediately upon execution.

_____
Parameters

  • OFF switches off the trigger mode.
  • TUNE changes to the next step (frequency/power values) in a stepped sweep.
  • STARt starts a stepped sweep or list sweep.
  • ARB starts an arbitrary waveform playback.
  • ASTep starts arbitrary waveform playback, and triggers the change to the next step (frequency/power values) in a stepped sweep. Note that on the first trigger, the arbitrary waveform playback will begin, and the frequency and power will tune to the first step in the stepped sweep. On subsequent triggers, arbitrary waveform playback will continue uninterrupted, and the instrument will tune to the next step in the sweep or list.
  • DEFault sets the trigger mode to the default.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | OFF | TUNE | STAR | ARB | AST |  | Yes | OFF | TUNE | STARt | ARB | AST | DEFault | Off | n/a | n/a | none
 |  | :TRIGger:MODE STARt
Examples |  | :TRIG:MODE STAR
 |  | :trigger:mode start
 |  | :trigger:mode start?

:TRIGger:DELay:ACTual

Queries the actual trigger delay. This value may be greater than the desired trigger delay. If an arb sequence is loaded this is the nominal delay value, as displayed on the trigger dialog. Each arb waveform may have a different trigger delay as a function of the sample rate. The nominal delay is the maximum delay for the waveforms in the sequence.

_____
See Also: Trigger

Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | Digits with an explicit decimal point and an exponent. |  | No | n/a | n/a | n/a | n/a | n/a | seconds
 |  | :TRIGger:DELay:ACTual?
Examples |  | :trigger:delay:actual?
 |  | :TRIG:DEL:ACT?

:TRIGger:SOURce

Queries or sets the source of the trigger signal. See Trigger.

NOTE: The trigger commands take effect immediately upon execution.

_____
Parameters

  • BUS sets the instrument to receive a software trigger from either the front panel Trigger Now button or the *TRG command.
  • RISing sets the instrument to receive a trigger event as a rising edge TTL input signal on the rear panel TRIG IN connector.
  • FALLing sets the instrument to receive a trigger event as a falling edge TTL input signal on the rear panel TRIG IN connector.
  • DEFault sets the default value.
Query | Return parameters |  | Set | Set parameters | Special parameters | DEF | MIN | MAX | Units
Yes | BUS | RIS | FALL |  | Yes | BUS | RISing | FALLing | DEFault | BUS | n/a | n/a | none
 |  | :TRIGger:SOURce BUS
Examples |  | :TRIG:SOUR RIS
 |  | :trigger:source falling
 |  | :trigger:source falling?


Series V2900 SCPI command error messages

Series V2900 SCPI error message strings
-430 | Query deadlocked
-420 | Query unterminated
-410 | Query interrupted
-360 | Communication error
-350 | Queue overflow
-258 | .Media protected
-257 | File name error
-256 | File name not found
-256 | File name not found; the system cannot find the path specified
-256 | File name not found; the filename, directory name or volume label syntax is incorrect
-256 | File name not found; the network path was not found
-256 | File name not found; the network name cannot be found
-254 | Media full
-253 | Corrupt media
-252 | Missing media
-251 | Missing mass storage
-250 | Mass storage error
-250 | Mass storage error; the system cannot open the file
-250 | Mass storage error; No more connections can be made to this remote computer at this time
-250 | Mass storage error; the system cannot find the drive specified
-250 | Mass storage error; the directory or file cannot be created
-240 | Hardware error
-230 | Data corrupt or stale
-225 | Out of memory
-224 | Illegal parameter value
-222 | Data out of range
-221 | Settings conflict
-220 | Parameter error
-213 | Init ignored
-161 | Invalid block data
-151 | Invalid string data
-138 | Suffix not allowed
-131 | Invalid suffix
-121 | Invalid character in number
-120 | Numeric data error
-115 | Unexpected number of parameters
-113 | Undefined header
-110 | Command header error
-109 | Missing parameter
-102 | Syntax error
-101 | Invalid character
-100 | Command error
0 | No error
10 | USB error
11 | USB cable not connected
12 | Active measurement does not support the command
15 | Extended frequency range cannot be turned off while in use;<list> ... where <list> is a list of the features using extended frequencies.
16 | Extended frequency range is required
Shared DSP error messages
20 | Bad run checksum
21 | Run sector erased
22 | Bad FPGA checksum
23 | FPGA sector erased
24 | Bad parms checksum
25 | Bad XParms checksum
26 | Bad basic Dsp command
27 | Bad DUC FS
28 | Task already on queue
29 | Bad cal table
30 | Flash not erasing
31 | Flash not programming
32 | Bad loader size
33 | Bad boot size
34 | Bad run size
35 | Checksum mismatch
36 | Bad USB command
37 | Reached breakpoint
38 | Resource not locked
39 | FATAL CRASH!
40 | Debug not available
41 | Unrecognized DSP error
42 | Missing task killed message
43 | Missing acknowledged message
44 | FPGA program failure
45 | Bad receiver bandwidth
46 | FPGA DCM not locked
47 | DAC PLL not locked
900 | Internal system error
Instrument specific DSP error messages
51 | Invalid change flag
52 | Invalid setting
53 | Amplitude set too high for this modulation waveform
54 | Missing "Source settled" message
55 | Missing "Single sweep complete" message
56 | Minimum power has been limited
Shared file and table loading error messages
70 | FILE ERROR: Cannot open
71 | FILE ERROR:Invalid file header
72 | FILE ERROR: Incorrect type
73 | FILE ERROR: Version not compatible
74 | FILE ERROR: Column header invalid
75 | FILE ERROR: "Begin Table" keyword not found
76 | FILE ERROR: Missing name/value pairs(s)
77 | FILE ERROR: Number of data rows exceeds maximum
78 | Table not loaded, bad input format
79 | Table not loaded, bad value
80 | ERROR: Bad checksum
81 | ERROR: Contents are corrupted
User data pattern file message
90 | No user data pattern file open
Power meter error messages
100 | Power meter not connected
101 | Power meter hardware error
102 | Power meter, bad command
Sweep list/trigger messages
200 | Sweep aborted
Arb messages
219 | Arb file error: Must have even number of samples, load aborted
220 | Operation failed because no digital modulation active
221 | Operation failed because no matching Arb record found
222 | File header error: invalid sample rate, load aborted
223 | File header error: invalid power factor, load aborted
224 | File error: Must contain an even number of 32 bit words, load aborted
225 | File error: An error occurred when reading the file
226 | File error: A write error occurred while storing the data
227 | File error: Out of Arb memory
228 | File error: License for Arb file type not installed
229 | Error: RF output and modulation must be on
List error messages
230 | At least one frequency in list limited
231 | At least one power in list limited
232 | At least one dwell in list limited
233 | Too many list points, list limited to 1000 points
234 | List file error
235 | At least one frequency in list limited because extended frequency range is off
Arb sequence and additional Arb messages
240 | Sequence file error
241 | Arb file has non-standard rate. Cannot load while Arb sequence is on
242 | Arb file error: Sample rate exceeded maximum licensed rate, load aborted
243 | Power factor cannot be changed while arb sequence is on
GPS messages
250 | Operation not allowed: Pattern length is greater than 32
Digital modulation message
260 | Data pattern is truncated: Increase symbols/second or select shorter pattern
User flatness error messages
270 | User flatness data file error
271 | User flatness file frequency rounded
272 | Waveform file error


MIMO Application Guide

This Agilent multiple-in multiple-out (MIMO) Application Guide introduces you to the concepts of MIMO technology with the associated topics: OFDMA, WLAN, and WiMAX.

It also describes how you can configure these Agilent products for a complete measurement solution:

  • Series V2800 RF Vector Signal Analyzer
  • Series V2900 RF Vector Signal Generator
  • V2895A MIMO Synchronization Unit
  • V2901A SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit

_____
MIMO Application Guide Contents

  • Concept overview material:
    • SISO to MIMO
    • Orthogonal Frequency Division Multiplexing
    • Beam Forming
  • V2895A MIMO Synchronization Unit overview
  • MIMO system manual test procedure
  • MIMO troubleshooting tips
  • SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit: Overview and usage for MIMO signal generation and analysis


Preface

This Agilent multiple-in multiple-out (MIMO) Application Guide introduces you to the concepts of MIMO technology with the associated topics: OFDMA, WLAN, and WiMAX.

It also describes how you can configure these Agilent products for a complete measurement solution:

  • Series V2800 RF Vector Signal Analyzer
  • Series V2900 RF Vector Signal Generator
  • V2895A MIMO Synchronization Unit
  • V2901A SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit

_____
MIMO Application Guide Contents

  • Concept overview material:
    • SISO to MIMO
    • Orthogonal Frequency Division Multiplexing
    • Beam Forming
  • V2895A MIMO Synchronization Unit overview
  • MIMO system manual test procedure
  • MIMO troubleshooting tips
  • SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit: Overview and usage for MIMO signal generation and analysis


SISO to MIMO

Commercial radio technology has reached a turning point where the move is from single carrier technologies (single-input single-output, SISO) where one digital symbol is transmitted at a time, to a new paradigm, where potentially hundreds of symbols are transmitted simultaneously (multiple-input multiple-output, MIMO). The change has been driven by customer demand for more mobile services, and the decreasing cost of the digital signal processing technology required to deploy high-bandwidth broadband wireless systems. The technology can now be used in a variety of commercial communications devices. For example, phones, PDAs, and the laptops on which we have become so dependent.

The technology of choice for this broadband connection is based on a modulation scheme called orthogonal frequency division multiplexing (OFDM). OFDM has very good spectral efficiency and is quite tolerant of the ever-present interference in the bands where it is used. One of the key reasons for this is that it transmits hundreds of symbols simultaneously, yet at a low rate per symbol.

SISO: Single-Input Single-Output

The figure below shows a typical SISO radio with one transmitter and one receiver with information sent over a single data channel. This configuration is used in almost all radio products today. While there may be an extra antenna for spatial diversity (constantly switched for the best signal path), there is a single upconverter and a single downconverter, a single demodulator/modulator in the radio, and a single data stream in the higher levels of the product's communications stack.

MIMO to SISO 1

Multi-Path

Multi-path architecture adds complexity to the SISO transmission. The figure below shows a Bluetooth signal with a symbol rate of 1M symbols per second. That means that the receiver will expect a specific symbol within a period of one microsecond. If the multi-path architecture delays the signal by more than one microsecond, the receiver will receive the symbol in the next symbol period, causing a significant symbol error.

MIMO to SISO 2

If the difference in path length between direct and reflected paths exceeds 1 ms, the receiver will receive the symbol in the next symbol period.

MIMO: Multiple-Input Multiple-Output

MIMO is the most significant change to radio architecture in radio history. The principle is simple: If you have one transmitter, you can transmit some data from point A to point B; If you have four transmitters (or four carriers) the data is four times more likely to get to its destination, but the transmission would take up four times as much bandwidth. MIMO aligns those four independently modulated OFDM carriers on top of each other resulting in four separate transmissions, sharing a single frequency. It can carry up to 3.5 times as much information in the same bandwidth as a single carrier (see the figure below). The most complex part of this operation is getting the transmission back to four independent radio signals at the receiver. The principle is not new, but the cost of the technology has decreased such that it is now commercially viable.

MIMO 4times BW

By using somewhere between two and four carriers to transmit the data, and having two and four receivers, the likelihood of receiving everything is much better, so the spectral efficiency rises dramatically, although that efficiency comes with a higher level of complexity.

MIMO Spectral efficiency2

MIMO Radio Configuration

The figure below shows some typical MIMO configurations. A 2×2 system contains two transmitters and two receivers; A 4×4 system has four transmitters and four receivers. Many commercial WLAN devices today employ a 3×2 configuration of three transmitters and two receivers.

MIMO Radio Configuration

Multiple paths degrade the signal quality on SISO systems, but are necessary for MIMO systems. If there are two unknown transmitted signals and two measurements at the receivers, and the two measurements are sufficiently independent, it is possible to identify the transmitted symbols. For example, if a MIMO transmitter transmits two signals on the same frequency, each signal takes a slightly different path to the receiver and each signal's characteristics diverge from the originally transmitted signals (mainly due to multi-path distortion). Both receivers receive a mixture of both the original signals. As the two receivers are independent, you can use simultaneous equations on the two received signals and identify the transmitted symbols.

Spectral Efficiency: SISO Versus MIMO

MIMO allows the same bandwidth to be used multiple times, allowing a higher spectral efficiency. You can see that when you compare the efficiency of 802.11a/g wireless LAN signals without MIMO to the 802.11n wireless LAN signals with MIMO.

Hardware

To transmit multiple signals you must synchronize the phase and sampling alignment on multiple channels. This can easily be achieved by using two Series V2900 Vector Signal Generators (VSGs) with the < company> V2895A MIMO Synchronization Unit. Conversely, to independently receive MIMO signals, it is necessary to synchronize two Series V2800 Vector Signal Analyzers (VSAs). In such a test setup, all Series V2800s and Series V2900s are identical standard units. The system also provides the flexibility to use Series V2900 VSGs as standalone generators.

When configured as a system, all the analyzers share common local oscillator and clock signals. The master provides the LO, a 100 MHz digital clock and trigger synchronization to the MIMO Synchronization Unit. The latter unit distributes those signals to all the other units. Signal sampling should be aligned within ±1 ns.

The Agilent second generation MIMO systems are:

  • Precise and stable relative to carrier phase
    • Up to ±60 degrees fixed phase offset. This varies with the instrument configuration.
    • <1 degree peak-peak relative phase jitter
  • Precise and stable ARB alignment
    • Up to ±1 ns fixed time offset
    • <1 ns peak-peak jitter between the ARB waveforms
  • ~60 ns burst rise and fall times (10% to 90%)
  • <-90 dBc on-off power ratio between bursts

MIMO 2b2 Meas example

This figure shows three MIMO measurements on a two-channel system. The upper measurement is an error vector magnitude (EVM) measurement across the OFDM subcarriers on each channel (shown by the yellow and red plots). Underneath that you can see the channel frequency response over 60 subcarriers. Finally, you see the constellation of a channel.

These scope screen shots show that the modulation from all of the RF sources are closely synchronized.

The Long-Term Evolution of Wireless

The Long Term Evolution of wireless (LTE), also known as Ultra Mobile Broadband (UMB) for cellular devices (see the figure below), is the migration from 3G technology to 4G technology. Fourth generation technology of radios, cellular phones, cellular data devices, or cellular terminals will be based on OFDM technology and MIMO radio configurations. Right now the commercial application is wireless LAN, which has moved to 4G. When choosing test equipment for testing today's radio standards, it is important to consider the evolution of wireless technology and to ensure that your purchases are forward compatible.


Orthogonal Frequency Division Multiplexing

Orthogonal frequency division multiplexing (OFDM) is a form of digital modulation used in a wide array of communications systems. The following topic will explain what OFDM is, why it is important, where it is used, and what test instrumentation is required to maintain it.

  • OFDM is spectrally efficient, carrying more data per unit of bandwidth than such services as GSM and W-CDMA. The figure below shows a comparison of the spectral efficiency of the leading cellular technologies and how they compare to WLAN and WiMAX. Fourth Generation technology, often referred to as the Long Term Evolution of wireless (LTE) and Ultra Mobile Broadband (UMB) for cellular devices, plans to use OFDM or OFDMA.

MIMO Spectral efficiency

  • OFDM tolerates environments with high RF interference. Some services that use OFDM, such as WLAN, operate in the unregulated Industrial Scientific Medical (ISM) bands, where they must coexist with many unregulated devices, including analog cordless phones (900 MHz), microwave ovens (2.45 GHz), Bluetooth devices (2.45 GHz), digital cordless phones (2.45 GHz or 5.8 GHz) and Wireless LAN (2.45 GHz or 5.8 GHz).

Digital Modulation Overview

Most forms of digital transmission involve modulating a pair of summed sine waves that differ in phase by 90°. The modulation signal can be represented by the vector sum of the in-phase (I) and quadrature (Q) components, as shown in the figure below.

MIMO Dig Mod

There are many ways to encode digital information. If you change the phase relationships between the two sine waves, the result is called phase shift keying (PSK). A common type of PSK is quadrature phase shift keying (QPSK), which uses four phases; if eight phases are used, the result is 8PSK.

If you vary both the amplitude and phase of the two sine waves, the result is quadrature amplitude modulation (QAM).

The best way to analyze the resulting signals is with a vector signal analyzer (VSA), for example, the Series V2800, that processes all of its data as quadrature pairs in a constellation diagram. The figure below shows constellation diagrams for three types of modulations: QPSK, 8PSK, and 16QAM.

MIMO EVM Key measurement2

Modulation Quality Analysis

A good measurement of the quality of a received digital signal is error vector magnitude (EVM). This is the ratio of the received signal's amplitude and phase compared to its ideal amplitude and phase. Mathematically, EVM is determined by:

______

______

NOTE: Cellular technology specifications are usually stated in percent, while the Wireless LAN industry tends to specify EVM using decibels.

______

MIMO EVM Key measurement1

The OFDM Radio

Many conventional instruments lack the signal processing capability to perform MIMO measurements quickly. As shown in the figure below, Agilent' DSP enhanced architecture makes it possible to perform the analysis very quickly.

MIMO OFDM radio block diagram

This block diagram shows the digital circuit in the Series V2800 Vector Signal Analyzer and the Series V2900 Vector Signal Generator.

OFDM is simple in concept, even though its implementation is complex. Mathematically, it can be implemented by using an Inverse fast Fourier transform (IFFT) in the transmitter and conversely an FFT in the receiver. The figure below shows the parallel symbols being converted to the two modulated sine waves in the output, as if the IFFT is a specialized multiplexer.

MIMO Symbol to Waveform2

In order to keep things synchronized, an OFDM signal includes several subcarriers (see the figure below) designated as pilot carriers. The pilot carriers are used as reference for phase and amplitude for synchronizing the receiver as it demodulates the data in the other subcarriers.

MIMO Pilot carriers

Key Measurements: Constellation and EVM

The figure below shows the constellation of a WLAN signal conforming to the 802.11j standard. Note that even though the signal has been transmitted using many carriers, it is still essentially a QAM signal. There are also two extra symbols, representing the information modulated on the pilot carriers.

MIMO EVM Key measurement

OFDM is very pervasive, as shown in Table 1.

Table 1: Communication services using OFDM

Wireless | Wireline
IEEE 802.11a, g, n (WiFi) Wireless LANs | ADSL and VDSL broadband access via POTS copper wiring
IEEE 802.15.3a Ultra Wideband (UWB) Wireless PAN | MoCA (Multi-media over Coax Alliance) home networking
IEEE 802.16d, e (WiMAX), WiBro, and HiperMAN Wireless MANs | PLC (Power Line Communication)
IEEE 802.20 Mobile Broadband Wireless Access (MBWA)
DVB (Digital Video Broadcast) terrestrial TV systems: DVB-T, DVB-H, T-DMB, and ISDB-T
DAB (Digital Audio Broadcast) systems: EUREKA 147, Digital Radio Mondiale, HD Radio, T-DMB, and ISDB-TSB
Flash OFDM cellular systems
3GPP UMTS and 3GPP@ LTE (Long Term Evolution) and 4G

WLAN

WLAN is defined by the IEEE 802.11 standard, of which there are several variations, a through g, as shown in Table 2 below. Within a 16.25 MHz bandwidth are 52 carriers, numbered -26 to +26, spaced 312.5 kHz apart. Carriers 7 and 21 (-21, -7, +7 and +21) are the pilots. The packet structure is Preamble - Header - Data Block, and the subcarrier modulation types are BPSK, QPSK, 16-QAM, or 64-QAM.

MIMO Subcarrier spacing

Each carrier within the modulation scheme is referred to as a subcarrier. The subcarriers are spaced at regular intervals called the subcarrier frequency spacing (DF). The subcarrier frequency relative to the center frequency is kDF, where k is the subcarrier number.

Table 2: WLAN Summary

802.11

Description

a

54 Mbps OFDM, 5.9 GHz Band, 20 MHz channels

b

11 Mbps CCK, 2.4 GHz (Legacy, not OFDM)

g

54 Mbps, 2.4GHz

j

Japanese version of g that uses half the sample rate

n
  • Not finished yet, expected to finalize in November 2009
  • Like g, but up to 600 Mbps
  • OFDM
  • MIMO
  • 20 and 40 MHz channels

The original WLAN standard is 802.11b, which is not based on OFDM. "a" and "g" are basically the same: "a" works in the 5 GHz ISM band and "g" works in the 2.4 GHz ISM band. "j" is a slower symbol rate version of "g" for the Japanese market, and "n" is based on MIMO technology.

Several organizations are involved with WLAN: WiFi is an industry consortium that defines a required subset of 802.11 to ensure better operation between different vendors' equipment, while EWC is an industry consortium that took the unfinished "n" standard, agreed upon a version, and is attempting to field solutions prior to 802.11N ratification.

Test Equipment Requirements for WLAN

Test equipment for WLAN must have a frequency range up to 6 GHz and be able to modulate or demodulate OFDM signals with a bandwidth of up to 16.25 MHz for all types except for 802.11n, which has a maximum bandwidth of 40 MHz.

WiMAX

The Worldwide Interoperability for Microwave Access (WiMAX) is very similar in concept to 802.11, but the demands of multiple simultaneous users make the implementation much more complex.

There are two major variations of WiMAX: fixed and mobile. The mobile version, 802.16e-2005 (often called 802.16e), facilitates the link between mobile devices. It uses Scalable OFDM Multiple Access (SOFDMA), which interoperates with OFDMA but requires new equipment. 802.16e also adds MIMO.

The fixed version of WiMAX, 802.16-2004 (often called 802.16d), uses OFDMA and operates from 2 GHz to 11 GHz (there is no regulatory approval above 5.9 GHz); it delivers a practical data rate of 10 Mbps over 2 km.

The differences are summarized in Table 3.

Table 3: Fixed and mobile WiMAX

802.16 | Description
802.16-2004 (also know as 802.16d) | Fielded system for fixed-point access (to the home or office)
 | OFDMA (OFDM multiple access) 2–11 GHz (no regulatory approval above 5.9 GHz) Practical rate: 10 Mbps over 2 km
802.16e-2005 | The current version of the standard, upgraded to include mobile wireless
 | SOFDMA interoperates with OFDMA, but requires new equipment. It Adds MIMOs

Fixed WiMAX is similar in some respects to WLAN, that is, it has an OFDM physical layer. Mobile WiMAX is based on an OFDMA physical layer. It uses both frequency division multiplex and time division multiplex. Groups of subcarriers (see figure below) represent individual data streams. Each group of subcarriers also has a frame structure.

Time division characteristics are shown in the figure below. The frame structure equates to a packet. There is a timing gap between the uplink and downlink called the transition gap.

Mobile WiMAX is a dynamic system. The amount of data transferred is a function of the modulation type and symbol rate on each set of subcarriers. If the link quality is good, a high throughput modulation type such as QAM is used, and most of the bandwidth is consumed, thus limiting the number of users on the system. As a user moves further away from the base station, the signal quality decreases, and with it the ability to maintain a high throughput. A lower throughput modulation scheme such as QPSK would then be employed. This does not require a large group of subcarriers, so the system can support more users.

The figures below show the V2901A SignalMeister 802.16e WiMAX waveform generation and analysis features. You can see (Waveform Setup Example) a packet structure containing downlink and uplink data, DL and UL, each separated by a transition gap. The WiMAX analysis (Analysis Example) shows some of the measurements that can be made for a demodulated waveform.

NOTE: One software application (SignalMeister) includes both the signal generation and analysis, and allows you to easy add signal impairments.

MIMO WiMAX Waveform Setup Example
Waveform Setup Example

MIMO WiMAX Analysis Example
Analysis Example


Beam Forming

Beam Forming is a signal processing technique used in sensor arrays for directional signal transmission or reception. This spatial selectivity is achieved by using adaptive or fixed receive/transmit beam patterns. The improvement compared with an omni-directional reception and transmission is known as the receive and transmit gain (or loss).

One of the key benefits of the Series V2800 Vector Signal Analyzers and Series V2900 Vector Signal Generators is their ability to align RF energy to specific uses by adjusting the phase and amplitude of each coherent transmitter or receiver for beam forming. Beam forming research today is based around developing higher configurations of radios within devices to maximize the amount of services that can be delivered to a customer. Radio configurations of 8×8 and higher are leading the way in broadband radio research. Agilent offers the industry's only phase-coherent measurement- grade 8×8 system.

MIMO Beam forming


V2895A MIMO Synchronization Unit

The Agilent V2895A MIMO Synchronization Unit provides synchronized signals to MIMO system instruments. This gives the MIMO system a highly precise and stable alignment between up to four signal analyzers or signal generators. The V2895A is designed to be used with Agilents Series V2800 Vector Signal Analyzers (VSA) and Series V2900 Vector Signal Generators (VSG).

Key features and benefits

  • Synchronization unit creates a MIMO system using standard MIMO-ready Agilent VSAs or VSGs
  • Two, three, or four channel configurations
  • Very wide bandwidth
  • Does not degrade instrument EVM measurements
  • Ideal for 802.11 n WLAN and 802.16e WiMAX Wave 2
  • Same synchronization unit works with both sources (VSGs) and receivers (VSAs)
  • Powerful MIMO signal-analysis software package option

V2895A Specifications

To view the latest version of V2895 specifications, go to www.agilent.com/find/V2895A.

Setting up the V2895A

To set up the MIMO system:

1. Connect the system equipment, using the cable configuration shown in the figure below.

  • 100 MHz clock
  • LO signal
  • Sync In signal received from each instrument
  • Sync Out signal sent to each instrument

MIMO 2895 wiring diagram

One instrument acts as the leader (or master), and provides all of the instruments in a MIMO system with a local oscillator (LO) signal. This instrument is identified as the master LO instrument. The MIMO synchronization unit takes the LO signal from the master instrument and distributes it to all the instruments in the group (the slaves).

2. The MIMO system instruments can be powered up at the same time if desired, or individually.

NOTE: If you power up the instruments individually, power them up in the following order:

  1. V2895A Synchronization Unit(s); these units supply the clock signals for the other instruments
  2. All master instruments
  3. All slave instruments

3. On each VSG, set the following parameters:

  1. Select RF: On.
  2. For the master instrument, select Menu > Global Settings > MIMO > Mode > Master > Close.
  3. For each of the slave instruments, select Menu > Global Settings > MIMO > Mode > Slave > Close.
  4. For master and slave instruments, select Menu > Global Settings > Trigger > Trigger Mode > Trigger start of Arb waveform > Close.

4. On each VSA, set the following parameters:

  1. Select Spectrum > General Purpose > Zero Span.
  2. Select Sweep Single.
  3. For the master instrument, select Menu > Global Settings > MIMO > Mode > Master > Close.
  4. For each of the slave instruments, select Menu > Global Settings > MIMO > Mode > Slave > Close.

To Load ARB Waveforms and Synchronize the VSGs

1. Starting with the master VSG, load the same arbitrary waveform file into each instrument's waveform playback table:

Choose Select Modulation > Arb > Add Arb > Add Arb File.

  1. Locate and load the *.arb file:
    • If the file is in the User directory, select the filename and then select Open > Load.
    • If you do not see the file that you want in the User directory, open the Look in: drop-down menu and select the directory where the file is located. Select the filename and then select Open.

2. On each VSG, clear Modulation On to turn off the modulation.

3. Select Modulation On to turn on the modulation for each of the slave VSGs.

4. Select Modulation On to turn on the modulation for the master VSG.

5. Select Menu > Global Settings > Trigger > Trigger Now on each slave VSG to create a trigger event.

6. Select Menu > Global Settings > Trigger > Trigger Mode > Trigger start of ARB waveform > Close on the master VSG.

To Center the Burst Across the VSA Display

On the master VSA, select the following parameters:

  1. Select Menu > Global Settings > Trigger > Trigger Source > Video > Close.
  2. Clear the BW Auto check box, then double-click Bandwidth > Set to Max.

Adjust the master VSA to view a complete burst on the VSA display

  1. Select Sweep Time and adjust the value to see a burst on the VSA display.
  2. Visually measure the width of the burst on the screen by counting the number of vertical divisions across the displayed burst.
  3. Multiply the number of divisions you counted by the scale per division. Then, set the master VSA sweep time to the value calculated in the previous step.
  4. Select Menu > Global Settings > Trigger > Trigger Delay and adjust the delay value to view the entire burst on the display.
  5. Select Close.
  6. Select Sweep Single to take a measurement sweep and see if the entire burst is centered on the VSA display. If necessary, adjust the sweep time and trigger delay values.
  7. Set the slave VSA's trigger source, sweep time, and trigger delay settings to the same values that you used for the master in the previous steps.


5x5 to 8x8 MIMO Systems

Systems larger than 4x4 need more ports than one V2895A MIMO Synchronization Unit can supply. So, larger systems daisy-chain three synchronization units together. The wiring diagrams for these systems are also different as shown in the following diagrams. Two special length SMB cables are used for the center synchronization unit's Sync In and Sync Out connectors. These cables are identified in purple on the Sync & Trigger Signal Distribution diagram below.

8x8 MIMO System Components

mimo system componets

LO Distribution

100 MHz Clock Distribution

Sync and Trigger Signal Distribution

Full Connectivity Diagram

full connectivity diagram


MIMO System Manual Test Procedure

For testing purposes, there are three types of MIMO configurations:

  • Series V2900 VSG Only Systems
  • Series V2800 VSA Only Systems
  • Series V2900 VSG and Series V2800 VSA Systems

_____

NOTE: Since a defective cable, an incorrectly wired connection, or an incorrect setting could prevent a MIMO system from working, it is best to perform a manual system functionality check.

_____

Series V2900 VSG Only Systems

Use a oscilloscope to check the RF signals and signal alignment. For a basic functionality check, a 400 MHz or better oscilloscope is sufficient.

  1. Connect the VSG RF outputs to the oscilloscope inputs as shown.
  2. Turn on all of the oscilloscope channels that are being used.
  3. Perform the tests as follows. If any of the tests fail, refer to Troubleshooting Tips.

mimo source only test

VSG Only Systems Step 1

  1. Power cycle all instruments.
  2. Check that there are no error messages on the VSG displays.
  3. Press the RF On button on each VSG.
  4. Verify that every VSG is generating a signal.
  5. If any problems are found, go to Troubleshooting Tips for VSG Systems Step 1.

VSG Only Systems Step 2

On each unit create a distinctive waveform so that the signal alignment can be displayed.

  1. On the VSG select Modulation > Digital > ASK > Load.

    If ASK is not available you can use Analog > Pulse. You can also use ARB to load a waveform and then set the highest possible sample or pulse rate.

  2. Select Edit > Symbols/s > Press the Middle Puck Button to open the number pad > Set to Max > Load > Close.

All VSGs should be generating waveforms that are out of synchronization with each other. If not, go to Troubleshooting Tips for VSG Systems Step 2.

VSG Only Systems Step 3

Perform the following sequence on each VSG.

  1. Select Menu > Global Settings > MIMO.
  2. Set the master LO VSG to Master and the other VSGs to Slave and then select Close.
  3. Select Menu > Global Settings > Trigger > Trigger Mode > Trigger start of arb waveform to setup the trigger state.
  4. Turn Modulation to off by clearing the checkbox and then select the checkbox to turn Modulation back On again.
  5. Once steps 1 through 4 have been done for each VSG, select Trigger Now on each unit.

All VSGs should start generating waveforms that are in synchronized with each other as shown on the oscilloscope. If not go to Troubleshooting Tips for VSG Systems Step 3.

Series V2800 VSA Only Systems

A VSG with an RF splitter can be used to create identical RF signals that are fed to each of the VSAs.

Note: A 1 x 4 splitter is shown in the diagram. If you only have a 1 x 2 splitter available, you can verify two units at one time.

  1. Connect the VSG RF Out to the RF Splitter In.
  2. Connect the RF Splitter outputs to the VSAs as shown.
  3. Perform the following tests.
  4. If any of the tests fail, refer to Troubleshooting Tips.

reciever only tests

VSA Only Systems Step 1

  1. Power cycle all VSAs
  2. Check that there are no error messages on the VSA displays.
  3. Set the source to generate a signal where the alignment can be easily measured. For example,
    1. Set RF On.
    2. Select Modulation > Digital > ASK > Load.
    3. Select Edit > Press the Middle Puck Button to open the numeric keypad > Symbols/s > Set to Max > Load > Close.
  4. Check that each VSA is receiving the VSG signal.
  5. If any problems are found go to Troubleshooting Tips for VSA Systems Step 1.

VSA Only Systems Step 2

  1. Select Spectrum > General Purpose > Zero Span. To set all of the VSAs to zero span.
  2. Enter a sweep time of 4 ms.
  3. Set the maximum bandwidth (40 MHz).
  4. Select Single Sweep.

All VSAs should see pulses in the ASK signal, however, the displayed waveforms probably will not be aligned. If a problem is encountered, go to Troubleshooting Tips for VSA Systems Step 2.

VSA Only Systems Step 3

On each unit:

  1. Select Menu > Global Settings > MIMO.
    • for the master LO VSA, select Master.
    • for all other VSAs select Slave.
  2. Select Close.
  3. Set all units to Sweep Cont.
  4. On the master VSA only, select Single Sweep.

Every time you press the master's Single Sweep button you should see the exact same waveform on all the VSAs. If the units freeze or are not synchronized, go to Troubleshooting Tips for VSA Systems Step 3.

VSA Only Systems Step 4

  1. Enable triggered measurements on all VSAs by selecting Trigger > Trigger Source > Video > Close.

    With all of the slave instruments set to Sweep Cont., every press of the master's Sweep Single button should cause all of the units to take a new triggered trace.

  2. Verify that all waveforms display the exact waveform with identical alignment. If not, go to Troubleshooting Tips for VSA Systems Step 4.

Series V2900 VSG and Series V2800 VSA Systems

A Combination VSG and VSA system use the VSAs to view the waveforms to verify if both sides of the MIMO system are properly aligned.

  1. Connect each VSG to one of the VSAs. The order does not matter.
  2. Go to Series V2900 VSG Only Systems test procedure to set up the VSGs
  3. Go to Series V2800 VSA Only Systems to setup the VSAs.

source and receiver test

After performing both the VSG only and VSA only setup procedure, all VSAs should display the exact waveform with identical alignment. If you experience problems, go to Troubleshooting Tips.


MIMO Troubleshooting Tips

  • Troubleshooting Tips for VSG Systems Step 1
  • Troubleshooting Tips for VSG Systems Step 2
  • Troubleshooting Tips for VSG Systems Step 3
  • Troubleshooting Tips for VSA Systems Step 1
  • Troubleshooting Tips for VSA Systems Step 2
  • Troubleshooting Tips for VSA Systems Step 3
  • Troubleshooting Tips for VSA Systems Step 4
  • Generating WiMAX MIMO Signals and Analyzing Them on a VSA
  • MIMO Debugging for Control Software
  • MIMO Signal Descriptions and Troubleshooting Tips

Troubleshooting Tips for VSG Systems Step 1

Problem

Possible Causes

Possible Solutions

At power up the VSG reports "Could not init RF Hardware".
  • The VSG's rear panel 100 MHz clock is not properly connected to the V2895A Synchronization unit.
  • Check the cable connections.
  • The V2895A is not turned on.
  • Check the power light.
  • The V2895A was turned on later (after instruments were turned on.
  • The sync unit should be powered on before or at the same time as the instruments. The instruments need the 100 MHz clock supplied from the V2895A to be already running when they are powered-on. If the V2895A is turned on after the instruments are turned on the instruments will not start up correctly.
  • The VSG's 100 MHz input/outputs are swapped or mislabeled.
  • Check the cable connections.
  • There is a bad 100 MHz cable.
  • Replace with a known good cable.

No signal appears at the VSA output when MIMO sync is not turned on.
  • The VSG LO In is missing.
  • Make sure the VSAs rear panel LO In signal is properly connected to one of the V2895A LO Out connectors. Note: On the bottom of the MIMO menu, a LO power indicator is displayed to detect when the LO power is too low.
  • The master VSG LO Out is missing.
  • Make sure the master's VSG rear panel LO Out signal is properly connected to the 2895 LO In connector.
  • The V2895A is not turned on.
  • Check the power light.
  • The VSG LO inputs/outputs are swapped or mislabeled.
  • Check the cable connections.

Troubleshooting Tips for VSG Systems Step 2

Problem

Possible Causes

Possible Solutions

The VSG RF output or modulation does not start up as expected when MIMO is enabled.
  • The Front Panel RF button must be On.
  • For modulation, the Modulation button must be On.
  • One of the VSGs is waiting for one of the other VSGs to be triggered.
  • Trigger all instruments. (That is, if Trigger Source is set to "SCPI or front Panel Trigger") select Trigger Now on each VSG then enable Trigger start of arb waveform.
  • One of the VSGs does not have MIMO Sync turned on.
  • Select Menu > Global Settings > MIMO. Set each instrument to either master or slave. Then turn RF modulation on and trigger all instruments.
  • One of the V2895As Sync Out lines might not be properly connected.
  • Make sure all of the VSGs have EVEN Sync In connected to the V2895A Sync Out.
  • One of the V2895As Sync In lines might not be properly connected.
  • Make sure all of the VSGs have EVEN Sync Out connected to the V2895A Sync In.
  • One of the Sync cables might be bad or shorted.
  • Swapping the Sync cables with a known good cable is an option. Another option is removing all of the slave units Even Sec Out to Sync In cable connections; this will disconnect the slave units from the handshaking chain and prevent them from holding up a sweep. Then the master can be run to see if it will sweep correctly by itself. If it works, then add the slave units back in one by one. This can determine if one of these units or its cables is causing the problem.

Troubleshooting Tips for VSG Systems Step 3

Problem

Possible Causes

Possible Solutions

The VSG outputs are not synchronized.
  • The VSGs might have different firmware revisions.
  • Load identical firmware into all instruments.
  • MIMO sync might not be enabled.
  • Select Menu > Global Settings > MIMO. Set each VSG to either master or slave as applicable.
  • Triggering might not be turned on.
  • Select Menu > Global Settings > Trigger > Trigger start of arb waveform. Trigger each VSG to start synchronize the outputs.

Troubleshooting Tips for VSA Systems Step 1

Problem

Possible Causes

Possible Solutions

At power up the VSA reports "Could not init RF Hardware".
  • The VSA's rear panel 100 MHz clock is not properly connected to the V2895A Synchronization unit.
  • Check the cable connections.
  • The V2895A is not turned on.
  • Check the power light.
  • The V2895A was turned on later (after instruments were turned on.
  • The V2895A should be powered on before or at the same time as the other instruments. The VSAs need the 100 MHz clock supplied from the V2895A to be already running when they are powered-on. If the V2895A is turned on after the VSAs are turned on they will not start up correctly.
  • The VSA's 100 MHz input/outputs are swapped or mislabeled.
  • Check the cable connections.
  • There is a bad 100 MHz cable.
  • Replace with a known good cable.

No signal appears on the VSA display.
  • The VSA LO In is missing.
  • Make sure the VSAs rear panel LO In signal is properly connected to one of the V2895A LO Out connectors. Note: On the bottom of the MIMO menu, a LO power indicator is displayed to detect when the LO power is too low.
  • The master VSA LO Out is missing.
  • Make sure the master's VSA rear panel LO Out signal is properly connected to the V2895A LO In connector.
  • VSA LO inputs/outputs are swapped or mislabeled.
  • Check the cable connections.
  • There is a bad 100 MHz cable.
  • Replace with a known good cable.

Troubleshooting Tips for VSA Systems Step 2

Problem

Possible Causes

Possible Solutions

The VSAs hang up and do not sweep.
  • One of the V2895A Sync Out lines might not be properly aligned.
  • Make sure all of the V2895A "Sync Out" connectors are properly connected to each VSA EVEN SEC In connectors.
  • One of the V2895A Sync In lines might not be properly aligned.
  • Make sure all of the VSAs have the "Sync Out" connector properly connected to each V2895A "EVEN SEC In" connectors.
  • The VSA might be waiting for the master to trigger with either a video or external trigger.
  • Check if either external or video trigger is set on the master. If it is set to external trigger, verify that an external trigger is being provided. If it is set to video trigger, verify that the video trigger level is set properly, or if an input signal that would provide a trigger is being input.
  • One of the VSAs might not have MIMO Sync enabled.
  • Select Menu > Global Settings > MIMO. Set the VSA to either master or slave as applicable.
  • The VSA setup might not be correct.
  • Try switching the master VSA out of MIMO mode to see if it will operate and trigger on its own. When the setup is corrected go back into MIMO mode.
  • One of the Sync cables might be bad or shorted.
  • Swapping the Sync cables with a known good cable is an option. Another option is removing all of the slave unit's Even Sec Out to Sync In cable connections; this will disconnect the slave units from the handshaking chain and prevent them from holding up a sweep. Then the master can be run to see if it will sweep correctly by itself. If this works, the slave units can be added back in one by one. This can be done to determine if one of these units or cables is causing the problem.

Troubleshooting Tips for VSA Systems Step 3

Problem

Possible Causes

Possible Solutions

The instruments are not synchronized.
  • The instruments might have different firmware revisions.
  • Load identical firmware into all instruments.
  • MIMO sync might not be enabled.
  • Turn on under Menu > Global Settings > MIMO. While all instruments are in "hold" (not sweeping), set to either master or slave as applicable.
  • Triggering might not be set to the exact same mode on all instruments.
  • Set all instruments to the same triggering mode. Select Menu > Global Settings > Trigger. Note that instruments configured as a slave will ignore this setting and obtain their triggering from the master, but this trigger setting still needs to be set to the same selection on all instruments.
  • One of the V2895A sync units "Sync Out" lines might not be properly connected.
  • Make sure all of the V2895A Sync Out connectors are properly connected to each receivers EVEN SEC IN connectors.
  • MIMO mode might have been enabled when the receivers were in different states.
  • Switching receivers in MIMO mode while some receivers are sweeping or in different instrument states may put the instrument out of synchronization with each other. To fix this, place all of the instruments in hold (Sweep Single). Next, place all of the receivers into the same instrument state, then switch all receivers into MIMO mode.

Troubleshooting Tips for VSA Systems Step 4

Problem

Possible Causes

Possible Solutions

The instruments are not synchronized.
  • Triggering might not be set to the exact same mode on all instruments.
  • Set all instruments to the same triggering mode. Select Menu > Global Settings > Trigger. Note that instruments configured as a slave will ignore this setting and obtain their triggering from the master, but this trigger setting still needs to be set to the same selection on all instruments.

MIMO Debugging for Control Software

Problem

Possible Causes

Possible Solutions

One or more instruments do not respond to remote commands.
  • Instrument address is incorrect
  • With multiple instruments it is easy to have one instrument address wrong. Use the instrument front panels to bring up the addresses and make sure they match the addresses entered into the control software.
  • Cables are not properly connected
  • Ensure that all communications cables are present, fully inserted, and latched or fastened.
  • Bad cable
  • Try swapping cables with an instrument that is able to communicate to see if the cable is defective.
  • Instruments do not respond
  • Cycle the power on all instruments.

MIMO decoding software cannot detect all of the MIMO channels.
  • The sources are transmitting a non-MIMO arb file.
  • A MIMO arb file contains channel information for each source/antenna, but that information is missing from a non-MIMO arb file.
  • Some sources have been loaded with the same MIMO arb file.
  • To emulate multiple MIMO transmit channels, or antennas, it is necessary to use unique arb files in each source. MIMO arb files contain channel information and each source must use an arb file that broadcasts different channel information.

MIMO Signal Descriptions and Troubleshooting Tips

Signal Descriptions

Troubleshooting Tips

The 100 MHz clock is used to run the instrument's internal hardware. This is provided so the clocks in every instrument in a MIMO group will run in synchronization.

Since this clock runs the instrument's internal hardware, if this signal is not connected to the instrument (or if the V2985A is turned off) the instrument will not run and display the error "Could Not Init RF Hardware".

The common LO Carrier signal is provided by the "master LO" instrument, and is distributed back to all instruments so every instrument's carrier phase is synchronized exactly and does not deviate or jitter.

If this signal is not correctly connected, an instrument will not generate a signal at its RF output port.

On the V2895A menu, a LO power indicator is displayed to detect when the LO power is missing.

Since the LO signal is common to all of the instruments, "slave" instruments must be set to the identical instrument configuration settings as the "master" instrument, or "slave" instruments will not use this LO signal correctly.

The V2895A's "Sync In" input signal informs the V2895A when an instrument is ready to proceed. The signal runs from an instrument's "Even Sec Out" port to one of the V2895A's "Sync In" ports.

If an instrument is not in MIMO mode, or if the instrument is not programmed correctly, then this "ready to proceed" signal might be in the wrong state, which could prevent the MIMO group from starting.

The V2985A's "Sync Out" signal tells the instruments when to start generating signals (for VSGs), or when to start or end measurements (for VSAs). It connects to the instrument's "Even Sec In" port.

An instrument might freeze and refuse to trigger in MIMO mode if this signal is not properly connected.


SignalMeister

The Agilent V2901A SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit is a PC-based software tool that allows you to easily create and analyze complex signals used in advanced wireless transmission protocols.

SignalMeister™ software works seamlessly with Agilent's Series V2900 Vector Signal Generators, Series V2800 Vector Signal Analyzers, and MIMO test systems.

Using a waveform file created with SignalMeister software requires one or more Series V2900 VSGs equipped with an arbitrary waveform generator (ARB) option and a SignalMeister license option that matches the waveform signal standard of the file being used.

Analyzing the signals created by the waveform files requires a Series V2800 VSA equipped with the appropriate license options, or a SignalMeister Signal Analysis license. There are two SignalMeister signal analysis software licenses available: The WLAN Analysis license (V2901A-WLN) and the WiMAX Analysis License (V2901A-WMX).

SignalMeister supports these wireless transmission formats

WLAN | 802.11a/g/j/p 802.11b 802.11n MIMO 802.11n SISO
WiMAX® | 802.16e OFDMA
3GPP | W-CDMA HSDPA HSUPA HSPA+
3GPP2 | cdma2000® cdmaOne® 1xEV-DV
DVB | DVB-T DVB-H

Note: All Agilent Series V2900 vector signal generators require firmware revision 3.11 or later to be compatible with the Agilent V2901A SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit.

Learn about SignalMeister™

  • Application Interface Overview
  • Managing Licenses
  • Basic SignalMeister Tasks
  • Signal Generation (for MIMO and SISO systems)
  • Signal Analysis (for MIMO and SISO systems)

_____

To learn more detail about using the SignalMeister™ software, refer to the SignalMeister™ help system.

_____


Application Interface Overview

When the Agilent V2901A SignalMeister™ Integrated RF Signal Analysis and Generation Toolkit is first launched, the user interface displays the default docking layout shown below:

SignalMeister application initial view

Each of the windows has a docking menu allowing each of the windows to be docked in a new location, hidden from view, or "floating" allowing them to be moved to any convenient location on the screen.

Window docking menu

_____

NOTE: To restore the default docking layout to the application interface, select View > Restore Docking Layout from the Menu Bar. You can also restore the layout for individual windows from the View menu.

_____

The illustration below identifies each of the areas of the user interface.

______

main window with callouts

You can also refer to the following topics to learn more about the SignalMeister™ user interface:

Menu bar

Toolbars

Toolbox

Projects

Status window

Pan and Zoom

Options

_______

NOTE: SignalMeister's analysis features cannot be operated using remote computer access tools (for example, Desktop Control Panel).

_______


Glossary of Terms

16 Quadrature Amplitude Modulation (16QAM)

QAM is a modulation scheme which conveys data by changing (modulating) the amplitude of two carrier waves. These two waves, usually sinusoids, are out of phase with each other by 90° and are thus called quadrature carriers—hence the name of the scheme.

Absolute Radio Frequency Channel Number (ARFCN)

ARFCN specifies a certain radio frequency used for transmission and reception within wireless networks. Different frequencies, also known as ARFCNs, are used for the frequency based component of GSMs multiple access scheme (FDMA Frequency Division Multiple Access).

Access Point (AP)

Wireless devices can connect to a wired LAN through a hardware device called an access point. See Hot spot...

Acquisition Indicator Channel (AICH)

The AICH is a fixed rate physical channel with a spreading factor of 256, and is used to carry acquisition indicators that correspond to signatures on the physical random access channel (PRACH).

Adaptive Modulation and Coding Scheme (AMC)

Link adaptation, or adaptive modulation and coding (AMC), is a term used in wireless communications to denote the matching of the modulation, coding, and other signal and protocol parameters to the conditions on the radio link (for example, the path loss, the interference due to signals coming from other transmitters, the sensitivity of the receiver, the available transmitter power margin, and so on.). For example, EDGE uses a rate adaptation algorithm that adapts the modulation and coding scheme (MCS) according to the quality of the radio channel, and thus the bit rate and robustness of data transmission. The process of link adaptation is a dynamic one and the signal and protocol parameters change as the radio link conditions change -- for example in HSDPA in UMTS this can take place every 2 ms.

Adaptive modulation systems invariably require some channel information at the transmitter. This could be acquired in time division duplex systems by assuming the channel from the transmitter to the receiver is approximately the same as the channel from the receiver to the transmitter. Alternatively, the channel knowledge can also be directly measured at the receiver, and fed back to the transmitter. Adaptive modulation systems improve rate of transmission, and/or bit error rates, by exploiting the channel information that is present at the transmitter. Especially over fading channels which model wireless propagation environments, adaptive modulation systems exhibit great performance enhancements compared to systems that do not exploit channel knowledge at the transmitter.

Additive White Gaussian Noise (AWGN)

In communications, the additive white Gaussian noise (AWGN) channel model is one in which the information is given a single impairment: a linear addition of wideband or white noise with a constant spectral density (expressed as watts per hertz of bandwidth), and a Gaussian distribution of amplitude. The model does not account for the phenomena of fading, frequency selectivity, interference, nonlinearity, or dispersion. However, it produces simple and tractable mathematical models which are useful for gaining insight into the underlying behavior of a system before these other phenomena are considered.

Wideband Gaussian noise comes from many natural sources, such as the thermal vibrations of atoms in antennas (referred to as thermal noise or Johnson-Nyquist noise), shot noise, black body radiation from the earth and other warm objects, and from celestial sources such as the Sun.

The AWGN channel is a good model for many satellite and deep space communication links. It is not a good model for most terrestrial links because of multipath, terrain blocking, interference, and so on. However for terrestrial path modeling, AWGN is commonly used to simulate background noise of the channel under study, in addition to multipath, terrain blocking, interference, ground clutter, and self-interference that modern radio systems encounter in terrestrial operation.

Adjacent Channel Power Ratio (ACPR)

ACPR is a measurement of how much signal energy is introduced from one channel to the next, adjacent channel.

Advanced Mobile Phone Service (AMPS)

AMPS is an analog cellular radio standard that represents the first generation of wireless networks.

Air Interface

This is the wireless network's operating system that enables communication between a cellular phone and its carrier. Examples are CDMA, TDMA, GSM, and OFDM. See Carrier.

Alternating Current (AC)

An alternating current is an electric current whose direction reverses cyclically, as opposed to direct current (DC), whose direction remains constant. The usual waveform of an AC power circuit is a sine wave, as this results in the most efficient transmission of energy. However in certain applications different waveforms are used, such as triangular or square waves.

Used generically, AC refers to the form in which electricity is delivered to businesses and residences. However, audio and radio signals carried on electrical wires are also examples of alternating current. In these applications, an important goal is often the recovery of information encoded (or modulated) onto the AC signal.

American National Standards Institute (ANSI)

ANSI art is a computer art form that was widely used at one time on bulletin board systems (BBS). It is similar to ASCII art, but constructed from a larger set of 256 letters, numbers, and symbols — all codes found in IBM code page 437, often referred to as extended ASCII and used in MS-DOS environments. ANSI art also contains special ANSI escape sequences that color text with the 16 foreground and 8 background colors offered by ANSI.SYS, an MS-DOS device driver loosely based upon the ANSI X3.64 standard for text terminals. Some ANSI artists take advantage of the cursor control sequences within ANSI X3.64 in order to create animations, commonly referred to as ANSImations. ANSI art and text files which incorporate ANSI codes carry the concerning the fact .ANS file extension.

Amplitude Modulation (AM)

AM is a transmission technique where the amplitude of a carrier signal is modulated by the amplitude of a base band signal.

Analog

Analog is a technology which utilizes a continuous "wave" of signal to carry information over radio channels. Analog is an inefficient use of system bandwidth.

Antenna

An antenna is a physical device for sending or receiving radio signals. Antennas come in a variety of shapes and sizes. The size and shape of an antenna is carefully designed and tuned to the type of radio wave being transmitted and received.

Antenna Gain

This describes an antenna's transmission power as a ratio of its output signal strength to its input signal strength. It is usually expressed in dBi; a higher dBi means a stronger antenna.

Attenuation

Attenuation is the loss or weakening of a signal through a transmission line, transmission component, or signal path. This loss is typically measured in decibels.

Attenuator

An attenuator is a component that reduces the magnitude of current, voltage, or power of a signal in transmission between points.

Bandpass Filter

This is a signal filter designed to pass a particular range of frequencies, while attenuating frequencies that are outside that range.

Bandwidth

Bandwidth is the width or capacity of a communications channel or transmission path. It can apply to any analog and digital circuit or system through which data flows.

  • Analog bandwidth is measured in Hertz (Hz) or cycles per second. The actual bandwidth size is the difference between the lowest and highest frequency which can be transmitted at once.
  • Digital bandwidth is the amount or volume of data that may be sent through a channel, without distortion, measured in bits per second. An example of a low-bandwidth connection would be a 56 Kbps dial-up modem. High-bandwidth (broadband) connections deliver more information at a much faster speed, capable of delivering full-screen, full-motion video.

Base Station (BS or Tower)

A fixed station used for communicating with mobile stations (phones). It often consists of a cabinet or small building containing electronic equipment and associated antennas. See Cell site.

Base Transceiver Station (BTS)

A cellular base station.

Baseband Generator (BBG)
Baud

The number of signal level changes per second. Each signal level contains one or more bits of information.

Bias-T

This is an in-line device that couples DC power onto an RF circuit.

Binary

Is a number system that is base-two, meaning each position must be either "0" or "1." In digital communications systems, it is important to realize that "0" and "1" are states and not necessarily 0 volts and another voltage.

Binary Phase-Shift Keying (BPSK)

BPSK (also sometimes called PRK, phase reversal keying) is the simplest form of PSK. It uses two phases which are separated by 180° and so can also be termed 2-PSK. It does not particularly matter exactly where the constellation points are positioned, and in this figure they are shown on the real axis, at 0° and 180°. This modulation is the most robust of all the PSKs because it takes severe distortion to make the demodulator reach an incorrect decision. It is, however, only able to modulate at 1 bit/symbol and is unsuitable for high data-rate applications when bandwidth is limited.

Bit

Bit is an abbreviation for binary digit. A bit is a binary unit, represented by either a "0" or a "1." In digital communications, more than one state can be described by using more than one bit. For example two bits are capable of describing four states: 00, 01, 10 and 11.

Bit Error Ratio (BER)

The ratio between the number of incorrect bits transmitted to the total number of bits.

Bits Per Second (Bps)

Bits per second, a measure of how fast binary digits can be sent through a channel.

Bluetooth

This is a wireless personal area network specification that connects phones, computers, and other devices over short distances by using low-power radio frequencies.

Broadband

A broadband system can transmit more data at a higher speed than narrowband systems. In analog systems, broadband can be described as having a bandwidth of more than 3 MHz. In digital systems, broadband is associated with high-speed data transmission. Examples are high-speed Internet access and streaming video.

Broadcast Channel (BCH)

The BCH is a downlink UMTS transport channel that is used to broadcast cell and system information. The BCCH (Broadcast Control Channel) maps into the BCH transport channel, which in turn maps into the P-CCPCH (Primary Common Control Physical Channel) at the physical layer.

Broadcast Control Channel (BCCH)

The BCCH is a downlink channel with specific parameters needed by an MS (mobile station) so it can identify and gain access to the network. Typical information includes the LAC (Location Area Code) and RAC (Routing Area Code), the MNC (Mobile Network Code) and BA (BCCH Allocation) list.

Byte

A byte is a sequence of 8 adjacent bits. A byte can describe 256 unique states, ranging from 00000000 (0) to 11111111 (255).

Carrier
  1. Wireless carriers, also called service providers or operators, are the companies that operate the wireless networks and sell use of those networks (the service).
  2. Technical radio term for the radio wave that carries voice or data.

Carrier-to-Noise Ratio (C/N)

In telecommunications, the carrier-to-noise ratio, often written CNR or C/N, is the signal-to-noise ratio (SNR) of a modulated signal. The CNR is the quotient between the average received modulated carrier power C and the average received noise power N after the receiver filters. The aim of the term is to distinguish the CNR of the radio frequency passband signal from the SNR of an analogue base band message signal after demodulation, for example an audio frequency analogue message signal. If this distinction is not necessary, the term SNR is often used instead of CNR, with the same definition.

cdma2000

cdma2000® defines the third-generation (3G) version of CDMA technology. It supports high-speed data transmission, always-on data service and improved voice network capacity over CDMA. cdma2000® is in competition with WCDMA and will be deployed in at least three phases - 1xRTT, 1xEV-DO and 1xEV-DV.

  • cdma2000® 1xRTT, supports up to 144 Kbps packet data speeds. It also doubles voice capacity over previous CDMA networks (IS-95).
  • cdma2000® 1xEV-DO, stands for 1x Evolution Data Only and will support data rates up to 2.4Mbps.

cdma2000® 1xEV-DV stands for 1x Evolution Data Voice and supports circuit and packet data rates up to 3-5Mbps. It fully integrates with 1xRTT voice networks and supports wireless Voice over IP (VoIP) services.

See also the following GSM measurement definitions:

  • Channel Power
  • Code Domain Power
  • Conducted Spurious Emissions
  • Frequency Error
  • Occupied Bandwidth
  • Rho

cdmaOne (2G)

Interim Standard 95 (IS-95), is the first CDMA-based digital cellular standard pioneered by Qualcomm. The brand name for IS-95 is cdmaOne. IS-95 is also known as TIA-EIA-95.

Cell

The cell is the basic geographic unit of a cellular system. A geographic area is divided into smaller "cells," each of which is equipped with a low-powered radio transmitter/receiver.

Cell Phone

A cell phone is a wireless telephone that sends and receives messages using the radio frequency (RF) spectrum.

Cell Site

This is the location where the wireless antenna and network communications equipment is placed. A cell site consists of a transmitter/receiver, antenna tower, transmission radios and radio controllers. A cell site is operated by a wireless service provider (WSP).

Cellular

Cellular is the name given to wireless communications network architecture that employs cells or modular coverage areas. The area is normally serviced by a cell site and usually provides hand-off capability between cells for roaming devices.

Cellular Base Station

This is the transmission and reception equipment, including the base station antenna that connects a cellular phone to the network. This is also called a cell site.

Cellular Telecommunications Industry Association (CTIA)

Originally known as the Cellular Telephone Industries Association, CTIA is an international industry trade group representing all wireless communication sectors including cellular, personal communication services and enhanced specialized mobile radio. Founded in 1984, they are primarily involved in lobbying the US government and were instrumental in the passage of both the Electronic Communications Privacy Act and the Telecommunications Disclosure & Dispute Resolution Act.

The CTIA primarily represents the interests of wireless telecommunications companies. Their board is a mix of service providers, manufacturers and wireless data companies, as well as other contributors to the wireless industry. CTIA operates the industry's leading trade shows, and provides equipment testing and hardware certification programs.

The organization is now known as CTIA - The Wireless Association. The name was changed to better represent the expanding wireless industry. CTIA is now a orphan acronym, it no longer stands for anything and cannot be officially expanded.

Channel

A channel is an electrical, electromagnetic, or optical path for communication between two points.

Channel Power

The power (transmitted or received) in a bandwidth of at least (1+a) times the chip rate at the specified carrier frequency.

Channel Power (EDGE)

The measure, with sufficient accuracy, is equivalent to the long-term average of the power when taken over the useful part of the burst for random data at a specific carrier frequency.

Channel Power (GSM)

The measure of power when averaged over the useful part of the burst at a specific carrier frequency.

China Academy of Telecommunication Technology (CATT)
China Mobile Association Committee (CMAC)
China Wireless Telecommunication Standards Group (CWTS)
Chip

In spread spectrum, a chip is the time it takes to transmit a bit or single symbol of a PN code.

Circuit Switched Data (CSD)

Circuit switched data (CSD) is the original form of data transmission developed for the time division multiple access (TDMA)-based mobile phone systems like GSM. CSD uses a single radio time slot to deliver 9.6 Kbps data transmission to the GSM network and switching subsystem where it could be connected through the equivalent of a normal modem to the public switched telephone network (PSTN) allowing direct calls to any dial-up service.

Prior to CSD, data transmission over mobile phone systems was done by using a modem, either built into the phone or attached to it. Such systems were limited by the quality of the audio signal to 2.4 Kbps or less. With the introduction of digital transmission in TDMA-based systems like GSM, CSD provided almost direct access to the underlying digital signal, allowing for higher speeds. At the same time, the speech oriented audio compression used in GSM actually meant that data rates using a traditional modem connected to the phone would have been even lower than with older analog systems.

A CSD call functions in a very similar way to a normal voice call in a GSM network. A single dedicated radio time slot is allocated between the phone and the base station. A dedicated "sub-time slot" (16 Kbps) is allocated from the base station to the transcoder, and finally another time slot (64 Kbps) is allocated from the transcoder to the mobile switching center (MSC).

At the MSC, it is possible to use a modem to convert to an analog signal, though this will typically actually be encoded as a digital pulse-code modulation (PCM) signal when sent from the MSC. It is also possible to directly use the digital signal as an integrated services digital network (ISDN) data signal and feed it into the equivalent of a remote access server.

Clear to Send (CTS)
Coaxial Cable, Coax

A coaxial cable is a concentric two-conductor cable in which a central conductor is surrounded and shielded by another. The two conductors are separated by dielectric material.

Code

Code is a digital bit stream that has noise-like characteristics. In spread spectrum, code refers to the pseudorandom code used in the modulation technique to spread the carrier.

Code Division Multiple Access (CDMA)

CDMA is a digital spread-spectrum modulation technique. Signals are digitized and associated with a unique frequency code. The data is then scattered across the frequency band in a pseudorandom pattern. The receiving device is instructed to decipher only the data corresponding to a particular code to reconstruct the signal.

CDMA has no hard limit for the number of users who may share one base station (tower). Instead, additional users can connect until the base station determines that call quality would suffer beyond a set limit.

CDMA systems are sometimes referred to as cdmaOne. The next evolutionary step for CDMA to 3G services is cdma2000.

Code Domain Power

The code domain power is a measure of the power in each code channel of a CDMA channel.

Code Group (CG)

A code group is a logical grouping of code that has a membership condition. Any code that meets the membership condition is included in the group.

Common Control Physical Channel (CCPCH)

CCPCH is a broadcast radio channel by which the a mobile phone can decode and determine important system parameters before establishing a dedicated communications link.

In a frequency division duplexing (FDD) UMTS system, there is always exactly one Primary-CCPCH, which has a data rate of 27 kbit/s and is always broadcast using Channelization Code Cch,256,1. This channel can be detected by mobiles due to its fixed channelisation code, slot format and transmission time interval (TTI), as well as being time aligned to the Synchronization Channel which replaces the first 2 bits of
P-CCPCH in every slot. The broadcast control channel transport channel is mapped onto the P-CCPCH, allowing mobiles to decode important system parameters prior to establishing a dedicated connection. One or more Secondary-CCPCHs are also provided to broadcast paging blocks and FACH messages.

The P-CCPCH in a TDD-mode UMTS system also carries pilot bits in (in contract to FDD-mode which provides a distinct pilot channel named CPICH). The pilot bits on the CCPCH can be used for measurements of the signal quality (for example, received signal power (RSCP), Ec/Io, and so on.) and for synchronization and timing reference when decoding other channels from the same transmitter.

Complementary Code Distribution Function (CCDF)
Complementary Code Keying (CCK)

CCK is a modulation scheme used with wireless networks (WLANs) that employ the IEEE 802.11b specification. A complementary code contains a pair of finite bit sequences of equal length, such that the number of pairs of identical elements (1 or 0) with any given separation in one sequence is equal to the number of pairs of unlike elements having the same separation in the other sequence. A network using CCK can transfer more data per unit time for a given signal bandwidth than a network using the previously employed Barker code.

Compression

In RF amplification, an amplifier is said to be "in compression" (distorting) when the output is no longer a linear representation of the input signal. This is typically at the operational limits of the amplifier.

Conducted Spurious Emissions

Emissions at frequencies that are outside the assigned CDMA channel, measured at the mobile station antenna connector. This test measures the spurious emissions during continuous transmission.

Consultative Committee for International Telegraphy and Telephony (CCITT)

The CCITT was superseded by the ITU–T (International Telecommunications Union – Telecommunications Standardization Sector).

Continuous Wave (CW)

CW is an electromagnetic wave of constant amplitude and frequency; and in mathematical analysis, of infinite duration. Continuous wave is also the name given to an early method of radio transmission, in which a carrier wave is switched on and off. Information is carried in the varying duration of the on and off periods of the signal. In radio transmission, CW waves are also known as "undamped waves," to distinguish this method from damped wave transmission.

Convolutional Code

A convolutional code is a type of error-coding code in which each m-bit information symbol to be encoded is transformed into an n-bit symbol, where m/n is the code rate (n ³ m) and (b) the transformation is a function of the last k information symbols, where k is the constraint length of the code.

Coverage Area

Is the name given to a geographic area within which a carrier provides service. It is the area within which a phone will complete calls using a specific carrier's network or partner networks.

Crest Factor (CF)

Peak to average power ratio of the RF envelope.

Crosstalk

Interference caused by the electric or magnetic fields of one signal affecting a signal in another circuit or channel. On wireless networks, crosstalk can sometimes result in your hearing part of a voice conversation from another circuit or channel.

Cyclic Redundancy Check (CRC)

A cyclic redundancy check (CRC) is a type of function that takes as input a data stream of any length, and produces as output a value of a certain space, commonly a 32-bit integer. The term CRC denotes either the function or the function's output. A CRC can be used as a checksum to detect accidental alteration of data during transmission or storage.

Cyclic Shift (CS)
Data Rate

Data rate or data transfer rate is the average number of bits, characters, or blocks (per unit of time), passing between equipment in a data transmission system.

dB

Decibel is a unit of measure used to express the relative difference in power or intensity of sound (ratio in log scale).

dBc

Decibels relative to the main signal power.

dBm

Decibel relative to one milliwatt.

De-spreading

De-spreading is the process used to recover narrowband information from a spread spectrum signal.

Dedicated Channel (DCH)

A Universal Mobile Telecommunications System (UMTS) logical channel allocated to an individual user and typically used to support a speech channel.

Dedicated Control Channel (DCCH)

A Universal Mobile Telecommunications System (UMTS) point to point bidirectional channel that transmits dedicated control information between a UE (user equipment, handset) and the network. The channel is established through the RRC (radio resource control) connection setup procedure.

Dedicated Physical Channel (DPCH)
Dedicated Physical Control Channel (DPCCH)

The dedicated physical control channel is a type of uplink dedicated physical channel. It is an I/Q code, multiplexed within each radio frame. The uplink DPCCH is used to carry the dedicated channel (DCH) transport channel. The uplink DPCCH is used to carry control information generated at Layer 1.

Demodulate

To demodulate is to convert a modulated carrier signal back to the original modulating base band signal.

Differential Binary Phase Shift Keying (DBPSK)
Differential Phase Shift Keying (DPSK)
Differential Quadrature Phase Shift Keying (DQPSK)
Digital Audio Broadcasting (DAB)

DAB, also known as Eureka 147, is a digital radio technology for broadcasting radio stations, used in several countries, particularly in Europe. As of 2006, approximately 1,000 stations worldwide broadcast in the DAB format.

The DAB standard was designed in the 1980s, and receivers have been available in many countries for several years. Proponents claim the standard offers several benefits over existing analogue FM radio, such as higher fidelity audio, more stations in the same broadcast spectrum, and increased resistance to noise, multipath, fading, and co-channel interference. However, listening tests carried out by experts in the field of audio have shown that the audio quality on DAB is lower than on FM in the UK for stationary receivers, due to 98% of stereo stations using a bit rate of 128 kbit/s with the MP2 audio codec, which requires double that amount to achieve perceived CD quality.

An upgraded version of the system was released in February 2007, which is called DAB+. This is not backward-compatible with DAB, which means that DAB-only receivers will not be able to receive DAB+ broadcasts. DAB+ is approximately 2 times more efficient than DAB due to the adoption of the AAC+ audio codec, and DAB+ can provide high quality audio with as low as 64kbit/s. Reception quality will also be more robust on DAB+ than on DAB due to the addition of Reed-Solomon error correction coding.

Italy, Malta, Switzerland have started transmitting DAB+ stations. Hungary is due to launch DAB+ stations in 2008 and Australia and Germany are planning to launch DAB+ in 2009. The radio industry in the United Kingdom (UK) is expecting DAB+ stations to launch between the year2010 - 2013, and podcast services using the DAB+ format will be launched in the UK in 2009.

Digital Modulation

Digital modulation is a method of encoding information using a binary code of 0s and 1s from electrical pulses. The nature of this encoding allows increased data security and system capacity compared to analog modulation.

Digital Signal Processor (DSP)

A DSP is a specialized microprocessor containing hardware features specifically for processing analog signals.

Digital to Analog Converter (DAC)

In electronics, a digital-to-analog converter (DAC or D-to-A) is a device for converting a digital (usually binary) code to an analog signal (current, voltage or electric charge).

Dipole Antenna

A type of antenna commonly used with wireless networking devices. It has a signal range of 360 degrees horizontally and 75 degrees vertically.

Direct Current (DC)

Direct current is the unidirectional flow of electric charge. Direct current is produced by such sources as batteries, thermocouples, solar cells, and commutator-type electric machines of the dynamo type. Direct current may flow in a conductor such as a wire, but can also be through semiconductors, insulators, or even through a vacuum as in electron or ion beams. In direct current, the electric charges flow in a constant direction, distinguishing it from alternating current (AC). A term formerly used for direct current was Galvanic current.

Direct current may be obtained from an alternating current supply by use of a current-switching arrangement called a rectifier, which contains electronic elements (usually) or electromechanical elements (historically) that allow current to flow only in one direction. Direct current may be made into alternating current with an inverter or a motor-generator set.

The first commercial electric power transmission (developed by Thomas Edison in the late nineteenth century) used direct current. Because of the advantage of alternating current over direct current in transforming and transmission, electric power distribution today is nearly all alternating current. For applications requiring direct current, such as third rail power systems, alternating current is distributed to a substation, which utilizes a rectifier to convert the power to direct current. See War of Currents.

Direct current is used to charge batteries, and in nearly all electronic systems as the power supply. Very large quantities of direct-current power are used in production of aluminum and other electrochemical processes. Direct current is used for some railway propulsion, especially in urban areas. High voltage direct current is used to transmit large amounts of power from remote generation sites or to interconnect alternating current power grids.

Direct Digital Synthesizer (DDS)
Direct Sequence (DS)

A technique used in spread spectrum modulation where a pseudorandom code directly modulates the phase of a carrier. This increases the bandwidth of the transmission and results in a signal with a noise-like spectrum. The signal is de-spread by reversing the process using the same pseudorandom code.

Direct Sequence Code Division Multiple Access (DS-CDMA)
Direct Sequence Spread Spectrum (DSSS)

DSSS is a modulation technique. As with other spread-spectrum technologies, the transmitted signal takes up more bandwidth than the information signal that is being modulated. The name 'spread spectrum' comes from the fact that the carrier signals occur over the full bandwidth (spectrum) of a device's transmitting frequency.

Direct Video Broadcasting (DVB)
Direct Video Broadcasting - Cable (DVB-C)
Direct Video Broadcasting - Satellite (DVB-S)
Direct Video Broadcasting - Terrestrial (DVB-T)
Directional Antenna

There are many different types of directional antenna. They commonly redirect the signal received from a transmitter to enhance its strength in a certain direction. This is unlike the omnidirectional antenna.

Discrete Fourier Transform (DFT)

In mathematics, the discrete Fourier transform (DFT) is one of the specific forms of Fourier analysis. It transforms one function into another, which is called the frequency domain representation, or simply the DFT, of the original function (which is often a function in the time domain). But the DFT requires an input function that is discrete and whose non-zero values have a limited (finite) duration. Such inputs are often created by sampling a continuous function, like a person's voice. And unlike the discrete-time Fourier transform (DTFT), it only evaluates enough frequency components to reconstruct the finite segment that was analyzed. Its inverse transform cannot reproduce the entire time domain, unless the input happens to be periodic (forever). Therefore it is often said that the DFT is a transform for Fourier analysis of finite-domain discrete-time functions. The sinusoidal basis functions of the decomposition have the same properties.

Since the input function is a finite sequence of real or complex numbers, the DFT is ideal for processing information stored in computers. In particular, the DFT is widely employed in signal processing and related fields to analyze the frequencies contained in a sampled signal, to solve partial differential equations, and to perform other operations such as convolutions. The DFT can be computed efficiently in practice using a fast Fourier transform (FFT) algorithm.

Since FFT algorithms are so commonly employed to compute the DFT, the two terms are often used interchangeably in colloquial settings, although there is a clear distinction: "DFT" refers to a mathematical transformation, regardless of how it is computed, while "FFT" refers to any one of several efficient algorithms for the DFT. This distinction is further blurred, however, by the synonym finite Fourier transform for the DFT, which apparently predates the term "fast Fourier transform" but has the same initialism.

Discrete Multi-Tone (DMT)

Also known as OFDM.

Diversity

Describes a receiver's ability to select between two receive antennas, often one horizontal and one vertical. Diversity is useful for operating in areas susceptible to the effects of multi-path interference.

DL-MAP

A burst that contains any downlink broadcast messages.

Double Side Band Suppressed Carrier (DSBSC)
Downlink (DL)

The portion of a telecommunications path from a base station or satellite to the ground; also referred to as the forward link.

Droop

Droop is the decline of signal pulse amplitude over time.

Dual Mode

A dual-mode phone can have different meanings around the globe. Common descriptions are:

  • A phone that supports both analog (that is, AMPS) and a digital technology (CDMA or TDMA). In addition, the digital mode could be dual band, operating in either the 800/850 MHz frequency band or the 1900 MHz band.
  • A phone that supports both 2G and 3G technologies, for instance, a GSM/UMTS phone.

Dual-Band

A dual-band digital phone will work in two frequency bands, for example, North American TDMA and CDMA phones. Dual-band indicates that the phone will work in both the 800/850 MHz band and the 1900 MHz band. Note: dual-band phones can also be dual mode, working in both analog and digital modes.

Duplexer

A device allowing simultaneous reception and transmission on one transmission line.

Duty cycle

The percentage of the "on time" (transmitting) versus "off time" (not transmitting). Continuous transmission is referred to as 100% duty cycle.

Dwell Time

A settable value that dictates the minimum time between the Series 2900 starting to change frequency for point N-1 and starting to change frequency for point N. The actual time between the start points can never be less than the hardware settling time.

Effective Radiated Power (ERP)

The product of the transmitter peak envelope power delivered to the antenna and the relative gain of the antenna over that of a half wave dipole antenna.

Electromagnetic Interference / Radio Frequency Interference (EMI/RFI)

Electromagnetic interference (or EMI, also called radio frequency interference or RFI) is an unwanted disturbance that affects an electrical circuit due to electromagnetic radiation emitted from an external source. The disturbance may interrupt, obstruct, or otherwise degrade or limit the effective performance of the circuit. The source may be any object, artificial or natural, that carries rapidly changing electrical currents, such as an electrical circuit, the Sun or the Northern Lights.

EMI can be intentionally used for radio jamming, as in some forms of electronic warfare, or can occur unintentionally, as a result of spurious emissions for example through intermodulation products, and the like. It frequently affects the reception of AM radio in urban areas. It can also affect cell phone, FM radio and television reception, although to a lesser extent.

Electronics Industry Alliance (EIA)

The EIA is a national trade organization that includes the full spectrum of U.S. manufacturers. The Alliance is a partnership of electronic and high-tech associations and companies whose mission is promoting the market development and competitiveness of the U.S. high-tech industry through domestic and international policy efforts. EIA, headquartered in Arlington, Va., comprises nearly 1,300 member companies whose products and services range from the smallest electronic components to the most complex systems used by defense, space and industry, including the full range of consumer electronic products.

Encryption

The process of encoding a message (that is, a digital phone signal) to prevent it from being deciphered.

Energy Per Bit to Noise Ratio (EBNR)
Enhanced data rates for GSM evolution (EDGE)

Enhanced data rates for GSM evolution (EDGE), enhanced GPRS (EGPRS), or international mode telecommunications (IMT) single carrier (IMT-SC) is a backward-compatible digital mobile phone technology that allows improved data transmission rates, besides standard GSM. EDGE can be considered a 3G radio technology and is part of International Telecommunication Union's (ITU) 3G definition, but is most frequently referred to as 2.75G.

EDGE is standardized by 3GPP as part of the GSM family, and it is an upgrade that provides a potential three-fold increase in capacity of GSM/GPRS networks. The specification achieves higher data-rates by switching to more sophisticated methods of coding, within existing GSM timeslots. Introducing 8PSK encoding, EDGE is capable of delivering higher bit-rates per radio channel in good conditions.

EDGE can be used for any packet switched application, such as an Internet connection. High-speed data applications such as video services and other multimedia benefit from EGPRS' increased data capacity.

Evolved EDGE was added in Release 7 of the 3GPP standard. This is a further extension on top of EDGE, providing reduced latency and potential speeds of 1Mbit/s by using even more complex coding functions than the 8PSK originally introduced with EDGE.

See also the following GSM measurement definitions:

  • Channel power
  • Droop
  • Frequency error
  • EVM
  • IQ gain error
  • IQ origin offset
  • Output RF spectrum
  • Time mask

Error Correcting Code (ECC)
Error Vector Magnitude (EVM)

EVM is a measure used to quantify the performance of a digital radio transmitter or receiver. A signal sent by an ideal transmitter or received by a receiver would have all constellation points precisely at the ideal locations, however various imperfections in the implementation (such as carrier leakage, low image rejection ratio, phase noise etc.) cause the actual constellation points to deviate from the ideal locations. Informally, EVM is a measure of how far the points are from the ideal locations.

Ethernet

A standard for connecting computers into a local-area network (LAN). It is also called 10/100BaseT, which denotes a peak transmission speed of 10 Mbps using copper twisted-pair cable.

EVM (EDGE)

The modulation accuracy is defined by the error vector between the vector representing the actual transmitted signal and the vector representing the error-free modulated signal. The magnitude of the error vector is called error vector magnitude (EVM).

Evolved HSPA

Evolved HSPA (also known as: HSPA Evolution, HSPA+, I-HSPA or Internet HSPA) is a wireless broadband standard defined in the 3GPP release 7.

Evolved HSPA provides HSPA data rates up to 42 Mbit/s on the downlink and 22 Mbit/s on the uplink with MIMO technologies and higher order modulation. It also introduces an optional all-IP architecture for the network where base stations are directly connected to the internet. The technology also delivers significant battery life improvements and dramatically quicker start-up-from-idle time - delivering a true always-on connection. Evolved HSPA should not be confused with LTE, which uses a new air interface.

Fast Fourier Transform (FFT)

An FFT is an efficient algorithm to compute the discrete Fourier transform (DFT) and its inverse. There are many distinct FFT algorithms involving a wide range of mathematics, from simple complex-number arithmetic to group theory and number theory; this article gives an overview of the available techniques and some of their general properties, while the specific algorithms are described in subsidiary articles linked below.

A DFT decomposes a sequence of values into components of different frequencies. This operation is useful in many fields (see discrete Fourier transform for properties and applications of the transform) but computing it directly from the definition is often too slow to be practical. An FFT is a way to compute the same result more quickly: computing a DFT of N points in the obvious way, using the definition, takes O(N 2) arithmetical operations, while an FFT can compute the same result in only O(N log N) operations. The difference in speed can be substantial, especially for long data sets where N may be in the thousands or millions—in practice, the computation time can be reduced by several orders of magnitude in such cases, and the improvement is roughly proportional to N/log(N). This huge improvement made many DFT-based algorithms practical; FFTs are of great importance to a wide variety of applications, from digital signal processing and solving partial differential equations to algorithms for quick multiplication of large integers.

Fast Physical Access Channel (FPACH)
Federal Communications Commission (FCC)

The FCC is the government agency responsible for regulating telecommunications in the United States.

Femtocell

A small cellular base station, typically designed for use in a home or small business. It connects to the service provider's network via broadband (such as DSL or cable). Typically supports 2 to 4 active mobile phones in a residential setting. A femtocell allows service providers to extend service coverage indoors, especially where access would otherwise be limited or unavailable. The femtocell incorporates the functionality of a typical base station but extends it to allow a simpler, self-contained deployment. An example is a UMTS femtocell containing a Node B, RNC, and GPRS Support Node (SGSN) with Ethernet for backhaul. Although much attention is focused on UMTS, the concept is applicable to all standards, including GSM, CDMA2000, TD-SCDMA and WiMAX solutions.

Filter

A device used to separate signals at certain frequencies. Common filters are low pass, high pass and band pass. These respectively allow transmission of low, high and a band of frequencies to pass through them.

Finite Impulse Response (FIR)

A finite impulse response filter is a type of a digital filter. The impulse response, the filter's response to a Kronecker delta input, is 'finite' because it settles to zero in a finite number of sample intervals. This is in contrast to infinite impulse response filters which have internal feedback and may continue to respond indefinitely. The impulse response of an Nth order FIR filter lasts for N+1 samples, and then dies to zero.

Forward Access Channel (FACH)

The FACH forms the downlink half of a transport channel pair known as the Random Access Channel (RACH) / Forward Access Channel (FACH) combination. It is used for downlink signaling and small quantities of data.

Forward Common Control Channel (FCCCH)

A control channel used for the transmission of control information from a base station to one or more mobile stations.

Forward Dedicated Control Channel (FDCCH)

A Dedicated Control Channel that is transmitted on the Forward CDMA (Code Division Multiple Access) Channel.

Forward Error Correction (FEC)

In telecommunication and information theory, forward error correction (FEC) is a system of error control for data transmission, whereby the sender adds redundant data to its messages, also known as an error correction code. This allows the receiver to detect and correct errors (within some bound) without the need to ask the sender for additional data. The advantage of forward error correction is that a back-channel is not required, or that retransmission of data can often be avoided, at the cost of higher bandwidth requirements on average. FEC is therefore applied in situations where retransmissions are relatively costly or impossible. In particular, FEC information is usually added to most mass storage devices to protect against damage to the stored data.

FEC devices are often located close to the receiver of an analog signal, in the first stage of digital processing after a signal has been received. That is, FEC circuits are often an integral part of the analog-to-digital conversion process, also involving digital modulation and demodulation, or line coding and decoding. Many FEC coders can also generate a bit-error rate (BER) signal which can be used as feedback to fine-tune the analog receiving electronics. Many FEC detection algorithms, such as the soft Viterbi algorithm, can take (quasi-) analog data in, and generate digital data on output.

The maximum fraction of errors that can be corrected is determined in advance by the design of the code, so different forward error correcting codes are suitable for different conditions.

Forward Link

The forward link is the wireless connection over which information is sent from a cellular base station (tower) to a mobile phone. It is also referred to as the downlink.

Frame Check Sequence (FCS)
Frame Control (FC)
Frame Error Ratio (FER)
Freedom of Mobile Multimedia Access (FOMA)

FOMAä is the brand name for the 3G services being offered by the Japanese mobile phone operator NTT DOCOMO.

FOMA was the world's first W-CDMA 3G service when launched in 2001. FOMA is compatible with standard UMTS, both by means of the radio link as well as by USIM card exchange, and hence provides several alternative options for global roaming: either with or without change of handset.

Frequency

The number of oscillations of radio waves per unit of time, usually expressed in either cycles-per-second or Hertz (Hz).

Frequency Division Duplex (FDD)
Frequency Division Multiplexing (FDM)

FDM is a form of signal multiplexing which involves assigning non-overlapping frequency ranges to different signals or to each "user" of a medium.

Frequency Error

The difference between actual measured carrier frequency and specified carrier frequency.

Frequency Error (GSM and EDGE)

The frequency error is the difference in frequency (after adjustment for the effect of the modulation and phase error) between the RF transmission from the mobile station (MS) and either the:

  • RF transmission from the base station (BS), or
  • Nominal frequency for the ARFCN used.
Frequency Hopping (FH)

FH is a spread spectrum modulation technique where the transmitter frequency hops from channel to channel in a predetermined but pseudorandom manner. The same is done in reverse at the receiver to recover the original signal.

Frequency Hopping Spread Spectrum (FHSS)

FHSS is a type of spread spectrum radio technology where the sender and receiver hop together from one frequency to another to avoid detection or jamming.

Frequency Modulation (FM)

FM is an analog modulation technique that varies the carrier frequency in proportion to the amplitude of the modulating signal.

Frequency Reuse

Frequency reuse is the ability to use the same frequencies repeatedly across a cellular system. Each cell is designed to use radio frequencies only within its boundaries. By design, the same frequencies can be reused in other cells not far away with little potential for interference.

Frequency Shift Keying (FSK)

Frequency-shift keying is a frequency modulation scheme in which digital information is transmitted through discrete frequency changes of a carrier wave. The simplest FSK is binary FSK (BFSK). BFSK literally implies using a couple of discrete frequencies to transmit binary (0s and 1s) information. With this scheme, the "1" is called the mark frequency and the "0" is called the space frequency. The time domain of an FSK modulated carrier is illustrated in the figures to the right.

Full Usage of Sub Channels (FUSC)

FUSC is relative to the WiMAX® air interface downlink and is a technique which allocates all available sub channels to the transmitter.

Full-duplex Transmission

A channel that allows transmission in two directions at the same time, for example, talking and listening.

Gain

The relative increase in power or magnitude of a signal, normally measured in decibels.

Gaussian Minimum Shift Keying (GMSK)
General Packet Radio Service (GPRS)

GPRS is a packet oriented mobile data service available to users of 2G cellular communication systems, as well as 3G systems. In the 2G systems, GPRS provides data rates from 56 up to 114 Kbps.

GPRS data transfer is typically charged per megabyte of traffic transferred, while data communication via traditional circuit switching is billed per minute of connection time, independent of whether the user actually is using the capacity or is in an idle state. GPRS is a best effort packet switch service, as opposed to circuit switching, where a certain quality of service (QoS) is guaranteed during the connection for non-mobile users.

2G cellular systems combined with GPRS are often described as "2.5G", that is, a technology between the second (2G) and third (3G) generations of mobile telephony. It provides moderate speed data transfer, by using unused time division multiple access (TDMA) channels in, for example, the GSM system.

A GPRS connection is established by reference to its access point name (APN). The APN defines the services such as wireless application protocol (WAP) access, short message service (SMS), multimedia messaging service (MMS), and for Internet communications services such as email and the World Wide Web access.

General Purpose Interface Bus (GPIB)

IEEE-488 is a short-range, digital communications bus specification that has been in use for over 30 years. Originally created for use with automated test equipment, the standard is still in wide use for that purpose. IEEE-488 is also commonly known as HP-IB (Hewlett-Packard Instrument Bus) and GPIB (General Purpose Interface Bus).

IEEE-488 allows up to 15 devices to share a single 8-bit parallel electrical bus by daisy chaining connections. The slowest device participates in control and data transfer handshakes to determine the speed of the transaction. The maximum data rate is about one MBps in the original standard, and about 8 MBps with later extensions.

The IEEE-488 connector has 24 pins. The bus employs 16 signal lines — eight bi-directional used for data transfer, three for handshake, and five for bus management — plus eight ground return lines.

Global Positioning System (GPS)

A GPS is a system of satellites for identifying earth locations. By triangulation of signals from three satellites, a receiving unit can pinpoint its current location anywhere on earth to within a few meters.

Global System for Mobile Communications (GSM)

GSM is based on time division multiple access (TDMA). TDMA works by dividing the frequency band up into individual time slots. Each time slot corresponds to an individual communications channel. There are eight time slots in GSM: a cell phone transmits during one time slot, receives in another and stays silent for the remaining six time slots. The GSM signal, therefore, appears as a signal burst in the time domain.

See also the following GSM measurement definitions and related standards:

  • Channel Power (GSM)
  • Circuit Switched Data
  • Frequency Error (GSM and EDGE)
  • General Packet Radio Service (GPRS)
  • High Speed Circuit-Switched Data
  • Output RF spectrum
  • Peak Phase Error
  • Phase Error (GSM)
  • Time Mask (GSM and EDGE)
Green Field (GF)

In software engineering jargon, a greenfield is a project which lacks any constraints imposed by prior work. The analogy is to that of construction on greenfield land where there is no need to remodel or demolish an existing structure. Such projects are often coveted by software engineers for this reason, but in practice, they can be quite rare.

Ground

A ground is a connection between a device or circuit and the earth, or some device serving as the earth.

Guard Interval (GI)

A GI or guard interval is used to ensure that distinct transmissions do not interfere with one another. These transmissions may belong to different users (as in TDMA) or to the same user (as in OFDM). The purpose of the guard interval is to introduce immunity to propagation delays, echoes and reflections, to which digital data is normally very sensitive.

Guard Period (GP)

In telecommunications, guard intervals or periods are used to ensure that distinct transmissions do not interfere with one another. These transmissions may belong to different users (as in TDMA) or to the same user (as in OFDM). The purpose of the guard interval is to introduce immunity to propagation delays, echoes and reflections, to which digital data is normally very sensitive.

Half-duplex transmission (HDX)

An HDX channel allows transmission in only one direction at a time: transmission and receiving cannot occur simultaneously.

Handoff

In wireless mobile phone systems, a "handoff" is the process of transferring a phone call in progress from one base station (tower) to another base station, without interruption (dropping) of the call.

Many phones and networks are also capable of performing handoffs between different technologies. A digital (CDMA or TDMA) call might be handed off to an analog (AMPS) tower in the middle of the call if the digital signal becomes too weak.

Hertz (Hz)

Hertz (cycles per second) is the unit of frequency measurement which equates to one cycle per second. It is abbreviated Hz and named after Heinrich R. Hertz.

High Definition Television (HDTV)

High-definition television is a digital television broadcasting system with higher resolution than traditional television systems (standard-definition TV, or SDTV). HDTV is digitally broadcast; the earliest implementations used analog broadcasting, but today digital television (DTV) signals are used, requiring less bandwidth due to digital video compression.

High Speed Circuit-Switched Data (HSCSD)

High-Speed Circuit-Switched Data (HSCSD), is an enhancement to circuit switched data (CSD), the original data transmission mechanism of the GSM mobile phone system, four times faster than GSM, with data rates up to 38.4 kbit/s.

Like in CSD, channel allocation is done in circuit switched mode. The difference comes from the ability to use different coding methods and multiple time slots to increase data throughput.

One innovation in HSCSD is to allow different error correction methods to be used for data transfer. The original error correction used in GSM was designed to work at the limits of coverage and in the worst case that GSM will handle. This means that a large part of the GSM transmission capacity is taken up with error correction codes. HSCSD provides different levels of possible error correction which can be used according to the quality of the radio link. This means that in the best conditions 14.4 kbit/s can be put through a single time slot that under CSD would only carry 9.6 kbit/s, for a 50% improvement in throughput.

The other innovation in HSCSD is the ability to use multiple time slots at the same time. Using the maximum of four time slots, this can provide an increase in maximum transfer rate of up to 57.6 kbit/s (4 times 14.4 kbit/s) and, even in bad radio conditions where a higher level of error correction needs to be used, can still provide a four times speed increase over CSD (38.4 kbit/s versus 9.6 kbit/s). By combining up to 8 GSM time slots the capacity can be increased to 115 kbit/s.

HSCSD requires the time slots being used to be fully reserved to a single user. It is possible that either at the beginning of the call, or at some point during a call, it will not be possible for the user's full request to be satisfied since the network is often configured to allow normal voice calls to take precedence over additional time slots for HSCSD users.

The user is typically charged for HSCSD at a rate higher than a normal phone call (for example, by the number of time slots allocated) for the total period of time that the user has a connection active. This makes HSCSD relatively expensive in many GSM networks and is one of the reasons that packet-switched GPRS, which typically has lower pricing (based on amount of data transferred rather than the duration of the connection), has become more common than HSCSD.

Apart from the fact that the full allocated bandwidth of the connection is available to the HSCSD user, HSCSD also has an advantage in GSM systems in terms of lower average radio interface latency than GPRS. This is because the user of an HSCSD connection does not have to wait for permission from the network to send a packet.

HSCSD is also an option in EDGE and UMTS systems where packet data transmission rates are much higher. In the UMTS system the advantages of HSCSD over packet data are even lower since the UMTS radio interface has been specifically designed to support high bandwidth, low latency packet connections. This means that the primary reason to use HSCSD in this environment would be access to legacy dial up systems.

High Speed Downlink Packet Access (HSPDA)

HSDPA provides improved theoretical downlink performance of up to 14.4 Mbit/s. Existing deployments provide up to 14.4 Mbit/s in downlink. Uplink performance is a maximum of 384 kbit/s. The Round-trip delay time is around 150 ms.

For operational reasons, service providers may cap this rate to lower rates than the maximum 3.6 Mbit/s that most HSDPA handsets support. Voice calls are usually prioritized over data transfer. The Australian provider, Telstra uses up to 14.4 Mbit/s nationwide. The Croatian VIPnet network supports the speed of 7.2 Mbit/s in down-link as does Rogers Wireless in Canada. In South Korea, a nationwide 7.2 Mbit/s coverage is now established by SK Telecom and KTF. In Hong Kong, PCCW also provide 7.2 Mbit/s coverage. In Portugal all the mobile phone operators support 7.2 Mbit/s HSDPA, and Mobitel Pvt Ltd of Sri Lanka also provides 7.2 Mbit/s in the Asian region.

High Speed Packet Access (HSPA)

HSPA is a collection of mobile telephony protocols that extend and improve the performance of existing UMTS protocols. Two standards, HSDPA and HSUPA, have been established and a further standard, HSPA+ is soon to be released.

See also:

  • High Speed Downlink Packet Access (HSPDA)
  • High Speed Uplink Packet Access (HSUPA)
  • Evolved HSPA
High Speed Uplink Packet Access (HSUPA)

HSUPA provides improved uplink performance of up to 5.76 Mbit/s theoretically.

High-Pass Filter

This is a signal filter that passes frequencies above a certain frequency, and attenuates frequencies below that frequency.

High-Throughput (HT)
Hot Spot

In wireless networking, a hot spot is a specific part of an access point's range in which the general public can walk up and use the network. The service may be available for a fee, the range short to control the physical proximity of the user.

IEEE

A non-profit organization, IEEE is the world's leading professional association for the advancement of technology.

The IEEE name was originally an acronym for the Institute of Electrical and Electronics Engineers, Inc. Today, the organization's scope of interest has expanded into so many related fields, that it is simply referred to by the letters I-E-E-E (pronounced Eye-triple-E).

Impedance

Impedance is made up of a resistive component and a frequency variable component. One common measure of impedance with frequency is the voltage standing wave ratio (VSWR).

Insertion loss

This is the loss in signal strength due to the insertion of a device in the signal path.

Integrated Digital Network (IDN)
Inter-Carrier Interference (ICI)
Inter-Modulation Distortion (IMD)

Intermodulation or intermodulation distortion is the result of two or more signals of different frequencies being mixed together, forming additional signals at frequencies that are not usually at harmonic frequencies (integer multiples) of either.

Intermodulation is caused by non-linear behavior of the signal processing being used. The theoretical outcome of these non-linearities can be calculated by conducting a Volterra series of the characteristic, while the usual approximation of those non-linearities is obtained by conducting a Taylor series.

Intermodulation is not usually desirable in radio or audio processing, as it creates spurious emissions, which can create minor to severe interference to other operations on the signal. Intermodulation should not be confused with general harmonic distortion (which does have widespread use in audio effects processing). Intermodulation specifically creates non-harmonic tones ("off-key" notes, in the audio case) due to unwanted mixing of closely spaced frequencies.

Inter-Symbol Interference (ISI)

Intersymbol interference is a form of distortion of a signal where one symbol interferes with subsequent symbols. This is an unwanted phenomenon as the previous symbols have similar effect as noise, thus making the communication less reliable. ISI is usually caused by multipath propagation and the inherent non-linear frequency response of a channel. ISI occurs because of imperfections in the overall frequency response of the system. The presence of ISI in the system, however, introduces errors in the decision device at the receiver output. Therefore, in the design of the transmitting and receiving filters, the objective is to minimize the effects of ISI, and thereby deliver the digital data to its destination with the smallest error rate possible. Some ways to fight against intersymbol interference include adaptive equalization and error correcting codes.

Interim Standard 95 (IS-95)

Interim Standard 95 (IS-95), is the first CDMA-based digital cellular standard pioneered by Qualcomm. The brand name for IS-95 is cdmaOne. IS-95 is also known as TIA-EIA-95. It is a 2G Mobile Telecommunications Standard that uses CDMA, a multiple access scheme for digital radio, to send voice, data and signaling data (such as a dialed telephone number) between mobile telephones and cell sites.

Intermediate Frequency (IF)

An intermediate frequency (IF) is a frequency to which a carrier frequency is shifted as an intermediate step in transmission or reception. The intermediate frequency is created by mixing the carrier signal with a local oscillator signal in a process called heterodyning, resulting in a signal at the difference or beat frequency. Intermediate frequencies are used in superheterodyne radio receivers, in which an incoming signal is shifted to an IF for amplification before final detection is done. There may be several such stages of intermediate frequency in a superheterodyne, which is called double (or triple) conversion.

Intermodulation (Intermod)

The distortion product of an amplifier, caused by the interaction of different signal products within the amplifier.

International Mobile Telephone Standard 2000 (IMT-2000)

A vision for a single global standard for wireless networks, proposed by the ITU (International Telecommunications Union). It is often perceived as a global 3G system.

International Telecommunication Union (ITU)

The ITU was established by the United Nations in order to determine a set of international telecommunications standards and to allocate radio frequencies for specific uses.

Inverse Fast Fourier Transform (IFFT)
IQ Gain Error (EDGE)

Also called IQ gain imbalance. It is the difference in scaling between the I and Q components of IQ data.

IQ Offset

This is the DC offset of the signal in % or dB.

IQ Origin Offset (EDGE)

Also called carrier feedthrough or DC offset. It is DC that leaks into I/Q path. It is a complex signal impairment that shifts the locus of ideal symbol coordinates off-center in the I/Q plane. A DC offset can be added to the baseband I component, the Q component, or both. The DC offset can be either positive or negative, with the sign indicating direction of the shift. DC offset is expressed as a percentage of full scale, where "full scale" (fs) is the amplitude of the baseband QM waveform.

IQ Signals

Orthogonal components of a signal. In-phase and quadrature phase are two components of a signal that are 90 degrees out of phase with each other.

Isotropic Antenna

This is a theoretical, ideal antenna whose signal range is 360 degrees in all directions. It is used as a baseline for measuring a real antenna's signal strength in dBi, where the "i" stands for Isotropic antenna.

Jamming

This is typically the intentional interference with another radio signal.

Land Line

Traditional, wired phone service providing voice, video and data transmission technology over wires.

Least Significant Bit (LSB)
Linear Amplifier

This is a device that accurately reproduces a radio wave in magnified form. The output signal has a linear relationship to the input signal.

List

An ordered list of frequency, power, and dwell triplets that the instrument plays back in an infinite loop. The sync is available point-by-point or sweep-by-sweep.

Local Oscillator (LO)

A local oscillator is an electronic device used to generate a signal normally for the purpose of converting a signal of interest to a different frequency using a mixer. This process of frequency conversion, also referred to as heterodyning, produces the sum and difference (with the utilization of trigonometric angle sum and difference identities) of the local oscillator and input signal of interest. These are the beat frequencies. Normally the beat frequency is associated with the lower sideband, the difference between the two.

Several local oscillators can be strung in series to form a local oscillator chain (LO chain).

Historically, most applications of local oscillators were widely used in radio physics over frequencies from kHz to GHz. After spreading of nonlinear optics, the same terms and principles apply also to the optical frequencies of order of 1015 Hz.

Local-Area Network (LAN)

A LAN is a short-distance network used to link a group of computers together, usually within a building. Ethernet is the most commonly used type of LAN. A hub serves as the common wiring point, enabling data to be sent from one machine to another over the network.

Long Term Evolution (3GPP LTE)

3GPP LTE is the name given to a project within the Third Generation Partnership Project to improve the UMTS mobile phone standard to cope with future technology evolutions. Goals include improving spectral efficiency, lowering costs, improving services, making use of new spectrum and reframed spectrum opportunities, and better integration with other open standards. Although an evolution of UMTS, the LTE air interface is a completely new system based on OFDMA in the downlink and SC-FDMA (DFTS-FDMA) in the uplink that efficiently supports multi-antenna technologies, Multiple-In Multiple-Out (MIMO). The architecture that will result from this work is called EPS (Evolved Packet System) and comprises E-UTRAN (Evolved UTRAN) on the access side and EPC (Evolved Packet Core) on the core side.

Long Training Field (LTF)
Low Chip Rate (LCR)

This is another version of TD-SCDMA. Compatible with the 3GPP core network.

Low-Noise Amplifier (LNA)

This is typically a precision, small-signal amplifier used in receiver applications.

Low-Pass Filter

This signal filter passes all frequencies below a certain frequency, and attenuates all higher frequencies.

MAC Filtering

A network checks a device's MAC address against a database to see if it is authorized to access the network.

MAC Protocol Data Unit (MPDU)

MPDUs are the fragmented units of MSDU.

See also MAC.

MAC Service Data Unit (MSDU)

The MSDU is that unit of data that is received from the LLC sub-layer which lies above the MAC sub-layer in a protocol stack. The LLC and MAC sub-layers are collectively referred to as the DLL.

Medium Access Control (MAC)

The Media Access Control data communication protocol sub-layer, also known as the Medium Access Control, is a sublayer of the Data Link Layer specified in the seven-layer OSI model (layer 2). It provides addressing and channel access control mechanisms that make it possible for several terminals or network nodes to communicate within a multipoint network, typically a local area network (LAN) or metropolitan area network (MAN). The hardware that implements the MAC is referred to as a Medium Access Controller.

The MAC sub-layer acts as an interface between the Logical Link Control (LLC) sublayer and the network's physical layer. The MAC layer emulates a full-duplex logical communication channel in a multipoint network. This channel may provide unicast, multicast or broadcast communication service.

See also MPDU.

Mega Bits Per Second (Mbps)

Mega bits per second (1 * 1,000,000 bps). A megabit is approximately a million bits of data.

Megahertz (MHz)

Megahertz - 1 * 1,000,000 Hz.

Microwave

Usually refers to the band of frequencies above the radio frequency band and below the millimeter frequency band.

Midamble

Midamble is communication of timing information that is passed between the user equipment with the base station to maintain synchronization between them. Each timeslot in the 5 ms subframe has a midamble that the mobile phone uses to indicate a timing reference. The base station then uses this midamble to determine the timing adjustment information to pass back to the mobile. Each mobile user for a particular cell is assigned a unique phase-shifted version of the midamble.

Mobile Phone

A term often used interchangeably with "cellular phone" or "wireless phone."

Mobile Station (MS)

The mobile station comprises all user equipment and software needed for communication with a wireless telephone network.

Modulate

The characteristics of a base band signal are used to modify the amplitude, frequency or phase of an RF carrier signal. The carrier signal can then be transmitted with the base band signals incorporated in it.

ms

Milliseconds.

MSB

Most significant bit.

Multi-Frame

The term multi-frame is used to describe a set of consecutive frames in which the position of each frame can be identified by reference to a multi-frame alignment signal. Multi-frame is the frame structure pattern for CCPCH.

Multi-Path

The phenomenon of a radio device receiving the same signal multiple times, slightly offset in time. This often happens when a radio signal is received directly from the transmitter, and also reflected off of one or more nearby objects. Because a reflected signal takes a longer path, it is slightly delayed compared to the direct signal. Although many standard formats are degraded by multi-path, CDMA signals can actually benefit from multi-path.

Multi-Path Interference

Signal reflections and delayed signal images interfere with the desired signal. These situations are typically associated with high-rise city buildings and indoor wireless LAN applications.

Multiple Access

A system technique for accommodating many users in the same frequency band.

Multiple-Input Multiple-Output (MIMO)

In radio, multiple-input and multiple-output, or MIMO, is the use of multiple antennas at both the transmitter and receiver to improve communication performance. It is one of several forms of smart antenna technology.

MIMO technology has attracted attention in wireless communications, since it offers significant increases in data throughput and link range without additional bandwidth or transmit power. It achieves this by higher spectral efficiency (more bits per second per hertz of bandwidth) and link reliability or diversity (reduced fading). Because of these properties, MIMO is a current[update] theme of international wireless research.

Multiple-Input Single-Output (MISO)

Multiple-input Single-output (transmitter has multiple antennas, receiver has single antenna).

Multiplexing

Multiple signals are carried in the same frequency band at the same time. In wireless applications, common multiplexing methods include TDMA, FDMA, and CDMA.

Narrowband

A signal where the transmission bandwidth is on the order of its information bandwidth.

Network

A system designed to provide access paths for communication between users at different geographic locations. Networks may be designed for voice, text, data, fax and video. They may feature limited access (private networks) or open access (public networks). The analog or digital switching and transmission technologies used can vary greatly between networks.

Network Address

A unique number associated with a host that identifies it to other hosts during network transactions.

Noise Figure (NF)

Noise figure is a measure of degradation of the signal to noise ratio (SNR), caused by components in the RF signal chain. The noise figure is the ratio of the output noise power of a device to the portion thereof attributable to thermal noise in the input termination at standard noise temperature T0 (usually 290 K). The noise figure is thus the ratio of actual output noise to that which would remain if the device itself did not introduce noise. It is a number by which the performance of a radio receiver can be specified.

Occupied Bandwidth

Occupied bandwidth is a measure of the bandwidth containing 99% of the total integrated power of the transmitted spectrum, centered on the assigned channel frequency. The occupied channel bandwidth shall be less than 5 MHz based on a chip rate of 3.84 Mcps.

Omnidirectional Antenna

This is like a dipole antenna because it radiates its signal 360 degrees horizontally; however because its signal is flatter than a dipole's, it has a higher gain.

Orthogonal Channel Noise Simulator (OCNS)

To ensure that the summed power level of all active channels is equal to the cell power setting, the orthogonal coded noise simulator switches on to simulate additional users if additional power usage is needed

Orthogonal Frequency-Division Multiple Access (OFDMA)

Orthogonal Frequency-Division Multiple Access (OFDMA) is a multi-user version of the popular orthogonal frequency-division multiplexing (OFDM) digital modulation scheme. Multiple access is achieved in OFDMA by assigning subsets of subcarriers to individual users.

Orthogonal Frequency-Division Multiplexing (OFDM)

Orthogonal frequency-division multiplexing (OFDM) — essentially identical to Coded OFDM (COFDM) and Discrete multi-tone modulation (DMT) — is a frequency-division multiplexing (FDM) scheme utilized as a digital multi-carrier modulation method. A large number of closely-spaced orthogonal sub-carriers are used to carry data. The data are divided into several parallel data streams or channels, one for each sub-carrier. Each sub-carrier is modulated with a conventional modulation scheme (such as quadrature amplitude modulation or phase shift keying) at a low symbol rate, maintaining total data rates similar to conventional single-carrier modulation schemes in the same bandwidth.

OFDM has developed into a popular scheme for wideband digital communication, whether wireless or over copper wires, used in applications such as digital television and audio broadcasting, wireless networking and broadband internet access.

The primary advantage of OFDM over single-carrier schemes is its ability to cope with severe channel conditions — for example, attenuation of high frequencies in a long copper wire, narrowband interference and frequency-selective fading due to multipath — without complex equalization filters. Channel equalization is simplified because OFDM may be viewed as using many slowly-modulated narrowband signals rather than one rapidly-modulated wideband signal. The low symbol rate makes the use of a guard interval between symbols affordable, making it possible to handle time-spreading and eliminate intersymbol interference (ISI). This mechanism also facilitates the design of single-frequency networks, where several adjacent transmitters send the same signal simultaneously at the same frequency, as the signals from multiple distant transmitters may be combined constructively, rather than interfering as would typically occur in a traditional single-carrier system.

Oscillator

This is a device which produces a "vibration," or variation in amplitude level at a given frequency.

Output RF Spectrum (GSM and EDGE)

Due to the bursted nature of the signal, the output RF spectrum results from two events:

  • The modulation process.
  • The power ramping up and down (switching transients).

Output RF spectrum is a narrow-band measurement that provides information about the distribution of the mobile station transmitter's out-of-channel spectral energy due to modulation and switching.

Oversampling Ratio (OSR)

In signal processing, oversampling is the process of sampling a signal with a sampling frequency significantly higher than twice the bandwidth or highest frequency of the signal being sampled.

Packet

In data communication, a packet is a sequence of binary digits, including control signals and a small amount of data, which is transmitted and switched as a unit. In network applications a large file can be broken into many packets, which can be sent to the same destination over different network paths and reassembled at the destination.

Packet Binary Convolutional Code (PBCC)
Packet Error Rate (PER)
Packet Switching

The process of routing and transferring data by means of addressed packets. A channel is occupied during the transmission of the packet only. Upon completion of the transmission, the channel is made available for the transfer of other packets or traffic. Due to its nature, packet-switched data is generally faster than circuit-switched data.

Paging Channel (PCH)

This forward link transport channel in UMTS carries the PCCH (paging control channel.) This channel is used to send paging and notification messages in a cell.

Partial Usage of Sub Channels (PUSC)

PUSC is used in the uplink or downlink of the WiMAX air interface. In PUSC, some of the sub channels are allocated to the transmitter, with each sub channel containing its own set of pilot sub carriers.

Path Loss

Path loss is the weakening of a signal over its path of travel due to various factors, such as terrain and environmental conditions.

Peak Code Domain Error (PCDE)

Peak code domain error is a measure of how much cross-talk exists between different channels within the WCDMA signal. In other words, it is an indication of how well the orthogonality between different code channels is maintained.

From 3GPP standard:

The code domain error is computed by projecting the error vector power onto the code domain at a specific spreading factor. The error power for each code is defined as the ratio to the mean power of the reference waveform expressed in dB. The peak code domain error is defined as the maximum value for code domain error.

Peak Phase Error

The peak phase error is the maximum difference between the phase error trajectory and its linear regression on the active part of the time slot.

Peak Reduction Carriers (PRC)
Peak to Average Power Ratio (PAPR)

The crest factor or peak-to-average ratio or peak-to-average power ratio (PAPR) is a measurement of a waveform, calculated from the peak amplitude of the waveform divided by the RMS (time-averaged) value of the waveform.

Personal Communication System (PCS)
Personal Computer (PC)
Personal-Area Network (PAN)

A personal area network is a computer network used for communication among computer devices (including telephones and personal digital assistants) close to one person. The devices may or may not belong to the person in question. The reach of a PAN is typically a few meters. PANs can be used for communication among the personal devices themselves (intrapersonal communication), or for connecting to a higher-level network and the Internet (an uplink).

Personal area networks may be wired with computer buses such as USB and FireWire. A wireless personal area network (WPAN) can also be made possible with network technologies such as IrDA, Bluetooth, UWB, Z-Wave and ZigBee.

Phase Error

For any 148-bits sub-sequence of the 511-bits pseudorandom sequence (defined in CCITT Recommendation O.153 fascicle IV.4) the phase error trajectory on the useful part of the burst (including tail bits) is measured by computing the difference between the phase of the transmitted waveform and the phase of the expected one after adjustment for the effect of the frequency error.

Phase Locked Loop (PLL)

A phase-locked loop or phase lock loop (PLL) is a control system that generates a signal that has a fixed relation to the phase of a "reference" signal. A phase-locked loop circuit responds to both the frequency and the phase of the input signals, automatically raising or lowering the frequency of a controlled oscillator until it is matched to the reference in both frequency and phase. A phase-locked loop is an example of a control system using negative feedback.

In simpler terms, a PLL compares the frequencies of two signals and produces an error signal which is proportional to the difference between the input frequencies. The error signal is then low-pass filtered and used to drive a voltage-controlled oscillator (VCO) which creates an output frequency. The output frequency is fed through a frequency divider back to the input of the system, producing a negative feedback loop. If the output frequency drifts, the error signal will increase, driving the frequency in the opposite direction to reduce the error. Thus the output is locked to the frequency at the other input. This input is called the reference and is often derived from a crystal oscillator, which is very stable in frequency.

Phase-locked loops are widely used in radio, telecommunications, computers and other electronic applications. They may generate stable frequencies, recover a signal from a noisy communication channel, or distribute clock timing pulses in digital logic designs such as microprocessors. Since a single integrated circuit can provide a complete phase-locked-loop building block, the technique is widely used in modern electronic devices, with output frequencies from a fraction of a cycle per second up to many gigahertz.

Phase Modulation (PM)

Phase modulation is a form of modulation that represents information as variations in the instantaneous phase of a carrier wave.

Unlike its more popular counterpart, frequency modulation (FM), PM is not very widely used. This is because it tends to require more complex receiving hardware and there can be ambiguity problems in determining whether, for example, the signal has changed phase by +180° or -180°

Phase Quadruple

Four consecutive phases of the SYNC-DL are used to indicate the presence of the P-CCPCH in the following four sub-frames. In a case where the presence of a P-CCPH is indicated, the next following sub-frame is the first sub-frame of the interleaving period.

Phase Shift Keying (PSK)

Phase-shift keying is a digital modulation scheme that conveys data by changing, or modulating, the phase of a reference signal (the carrier wave). Any digital modulation scheme uses a finite number of distinct signals to represent digital data. PSK uses a finite number of phases, each assigned a unique pattern of binary bits.

Physical Downlink Shared Channel (PDSCH )

In UMTS, the physical downlink shared channel is used to carry the DSCH (downlink shared channel).

Physical Layer (PHY)

The Physical Layer is the first level in the seven-layer OSI model of computer networking. It translates communications requests from the Data Link Layer into hardware-specific operations to effect transmission or reception of electronic signals.

The Physical Layer is a fundamental layer upon which all higher-level functions in a network are based. However, due to the plethora of available hardware technologies with widely varying characteristics, this is perhaps the most complex layer in the OSI architecture. The implementation of this layer is often termed PHY.

The Physical Layer defines the means of transmitting raw bits rather than logical data packets over a physical link connecting network nodes. The bit stream may be grouped into code words or symbols and converted to a physical signal that is transmitted over a hardware transmission medium. The Physical Layer provides an electrical, mechanical, and procedural interface to the transmission medium.

Physical Layer Convergence Protocol (PLCP)

See also PPDU.

Physical Medium Dependent (PMD)

Physical Medium Dependent sublayers or PMDs further help to define physical layer specifications for Fast Ethernet, Gigabit Ethernet and 10 Gigabit Ethernet. These sublayers define physical layer specifications in Gigabit and 10 Gigabit Ethernet transmissions. It is responsible for the transmission and reception of individual bits on a physical medium. These responsibilities encompass bit timing, signal encoding, interacting with the physical medium, and the cable or wire itself.

Point-to-Multipoint

A communications channel that transmits between one point and several other points is referred to as "point-to-multipoint."

Point-to-Point

A communications channel that transmits between one point and another point is referred to as "point-to-point."

Power Meter

A device used to measure radio energy; this is often a broadband instrument.

Primary Common Control Physical Channel (P-CCPCH)
Propagation

Propagation is the travel of a signal through a medium such as air or free space.

Protocol Data Unit (PPDU)

In telecommunications, the term protocol data unit has the following meanings: Information that is delivered as a unit among peer entities of a network and that may contain control information, address information, or data. In layered systems, a unit of data that is specified in a protocol of a given layer and that consists of protocol-control information of the given layer and possibly user data of that layer.

Pseudo Noise (PN)

PSeudo noise a digital signal with noise-like properties.

Pseudo Random Binary Sequence (PRBS)

A PRBS is random in a sense that the value of an element is independent of the values of any of the other elements, similar to real random sequences.

It is "pseudo" because it is deterministic and after N elements it starts to repeat itself, unlike real random sequences, such as sequences generated by radioactive decay or by white noise. The PRBS is more general than the n-sequence, which is a special pseudo-random binary sequence of n bits generated as the output of a linear shift register. An n-sequence always has a 1/2 duty cycle and its number of elements N = 2k - 1. PRBS's are used in telecommunication, encryption, simulation, correlation technique and time-of-flight spectroscopy.

Pseudo Random Sequence (PRS)
Quadrature Amplitude Modulation (QAM)

QAM is a modulation scheme which conveys data by changing (modulating) the amplitude of two carrier waves. These two waves, usually sinusoids, are out of phase with each other by 90° and are thus called quadrature carriers—hence the name of the scheme.

Quadrature Phase Shift Keying (QPSK)

QPSK is a digital frequency modulation technique used for sending data over coaxial cable networks. Since it is both easy to implement and fairly resistant to noise, QPSK is used primarily for sending data from the cable subscriber upstream to the Internet.

Quality of Service (QoS)

Quality of service can be used to describe how a network provider guarantees a service's performance.

Radiation

Electromagnetic energy, such as radio waves projected from a transmitter.

Radio Frequency (RF)

Radio frequency (RF) is a frequency or rate of oscillation within the range of about 3 Hz to 300 GHz. This range corresponds to frequency of alternating current electrical signals used to produce and detect radio waves. Since most of this range is beyond the vibration rate that most mechanical systems can respond to, RF usually refers to oscillations in electrical circuits or electromagnetic radiation.

Radio Wave

A radio wave is a combination of electric and magnetic fields varying at a radio frequency and traveling through space. Radio waves are often described as electromagnetic energy with frequencies in the kHz to 300 GHz portion of the electromagnetic spectrum.

Random Access Channel (RACH)

RACH is used in mobile phones or other wireless devices on a TDMA-based network to get the attention of a base station in order to initially synchronize its transmission with the base station.

Receive Gain

A measure of receive signal boost contributed by an amplifier or antenna system.

Received Signal Code Power (RSCP)

RSCP is an acronym used in UMTS and other CDMA cellular communications systems and stands for Received Signal Code Power.

While RSCP can be defined generally for any CDMA system, it is more specifically used in UMTS. Also, while RSCP can be measured in principle on the downlink (DL) as well as on the uplink (UL), it is usually associated only with the downlink and thus it is presumed to be measured by the UE and reported to the Node B. It is defined by 3GPP as follows:

Definition: the received power on one code after de-spreading measured by the wireless telephone (UE) on the pilot bits on a given channel. The reference point for the RSCP is the antenna connector of the UE. If Tx diversity is applied on the measured channel then the received code power from each antenna is separately measured and summed together in watt to produce a total received code power on the measured channel.

RSCP is used in UMTS as a handover criterion, also in DL and UL open loop power control and for calculation of path loss using the formula:

Path loss = Transmitted channel power [dBm] - RSCP [dBm]

In UMTS FDD-mode RSCP is measured on Primary CPICH, in TDD-mode it is measured on the pilot bits of Primary CCPCH.

In UMTS RSCP is measured in dBm (decibels relative to 1 milliwatt power) within a bandwidth of 3.84 MHz. In UMTS FDD messages RSCP is transmitted as an integer value in the range of -120 dBm to -25 dBm.

Receiver Sensitivity

This is the ability of a receiver to differentiate a signal from the background noise.

Reference Measurement Channel (RMC)

A method for setting up a signal.

Request to Send (RTS)
Reverse Link

The wireless connection over which information is sent from a mobile phone to a cellular base station. It is also referred to as the uplink.

Rho

RHO is the normalized, correlated power between the measured and ideally generated reference signal.

RMS Phase Error

The RMS phase error is the difference between the phase error trajectory and its linear regression on the active part of the time slot.

Roaming

The ability to use a cellular phone outside its usual service area when traveling outside of the home service area (as defined by a service provider).

Root Mean Square (RMS)

In mathematics, the root mean square (abbreviated RMS or rms), also known as the quadratic mean, is a statistical measure of the magnitude of a varying quantity. It is especially useful when variates are positive and negative, for example, sinusoids. It can be calculated for a series of discrete values or for a continuously varying function.

Rx

Receive or receiver.

Safety ground

This is the local earth ground that grounds the neutral return.

Saturation

A term that describes the point at which the amplifier is in an over-driven situation. A device driven to saturation is no longer performing in a linear or distortion-free manner.

Second Generation (2G)

The term 2G is short for second-generation wireless telephone technology. Second generation 2G cellular telecoms networks were commercially launched on the GSM standard in Finland by Radiolinja (now part of Elisa) in 1991. Three primary benefits of 2G networks over their predecessors were that phone conversations were digitally encrypted, 2G systems were significantly more efficient on the spectrum allowing for far greater mobile phone penetration levels; and 2G introduced data services for mobile, starting with SMS text messages.

Segment

Segment is a subdivision of the set of OFDMA subchannels.

Settled (source)

The frequency is within 100 Hz, and the output power has settled according to the current ALC mode. The modulation waveform has been calculated and is being played back.

Short Training Field (STF)
Signal to Interference Ratio (SIR)

The signal-to-interference ratio (S/I or SIR), also known as the carrier-to-interference ratio (C/I, CIR), is the quotient between the average received modulated carrier power S or C and the average received co-channel interference power I, i.e. cross-talk, from other transmitters than the useful signal.

Signal-to-Noise Ratio (SNR)

SNR is the measure of the magnitude of a desired signal relative to the magnitude of an undesired signal or noise.

Single Side Band (SSB)
Single-Input Multiple-Output (SIMO)

Single-input multiple-output (transmitter has a single antenna, receiver has multiple antennas).

Single-Input Single-Output (SISO

SISO is an acronym for single-input and single-output system. In control engineering usually refers to a simple control system with one input and one output. In radio it is the use of only one antenna both in the transmitter and receiver. SISO systems are typically less complex than Multiple-Input Multiple-Output systems.

Slot

A Slot is the minimum possible data allocation unit.

Smart Antenna

A smart antenna system is one that focuses on a desired signal to reduce interference. A wireless network employs smart antennas in an effort to improve call quality and improve channel capacity.

Soft Handoff

In wireless mobile phone systems, a "soft handoff" is the process of transferring a phone call in progress from one base station (tower) to another base station. Both base stations hold on to the call until the handoff is completed (the first cell site does not cut off the conversation until it receives information that the second is maintaining the call).

Space-Time Block Code (STBC)

Space–time block coding is a technique used in wireless communications to transmit multiple copies of a data stream across a number of antennas and to exploit the various received versions of the data to improve the reliability of data-transfer. The fact that the transmitted signal must traverse a potentially difficult environment with scattering, reflection, refraction and so on and may then be further corrupted by thermal noise in the receiver means that some of the received copies of the data will be 'better' than others. This redundancy results in a higher chance of being able to use one or more of the received copies to correctly decode the received signal. In fact, space-time coding combines all the copies of the received signal in an optimal way to extract as much information from each of them as possible.

Spectrum

Spectrum is the range of electromagnetic radio frequencies.

Spectrum Analyzer

This is an instrument which can be used to view signals across a range of frequencies. Some spectrum analyzers can measure a vector, giving amplitude and phase information and decoding complex digital modulation formats.

Spectrum Assignment

Spectrum is assigned or authorized by the Federal Communications Commission (FCC). It specifies the frequencies that can be used at specific geographic locations.

Splitter/Combiner

This is a transmission component that divides or sums power between two or more ports.

Spread Spectrum (SS)

This is a wireless communications technology that scatters data transmissions across the allocated frequency band in a pseudorandom pattern. Spreading the data across the frequency spectrum greatly increases the bandwidth and it also makes the signal resistant to noise, interference, and eavesdropping. At the receive end, the signal is de-spread to recover the original signal.

Spurious Emissions (spurs)

Spurs are unwanted frequency signals that can cause interference in receiver systems.

Subcarrier

A Subcarrier is either data, pilot, or null transmission signals.

Subchannels

Subchannels are subsets of subcarriers.

Super Harvard Architecture (SHARC)

The Super Harvard Architecture Single-Chip Computer (SHARC) is a high performance floating-point and fixed-point DSP from Analog Devices, not to be confused with Hitachi 's SuperH (SH) microprocessor. SHARC is used in a variety of signal processing applications ranging from single-CPU guided artillery shells to 1000-CPU over-the-horizon radar processing computers.

Sweep

A stepped frequency and power sweep. A user specifies start/stop frequency, start/stop power, a dwell and number of points. A sweep can be free running, triggered sweep by sweep, or triggered point by point. A hardware sweep is available at start of sweep, end of sweep, or each point in sweep.

Switch

A switch is a mechanical, electrical or electronic device that opens or closes circuits or paths.

Sync Output

An output from the Series V2900 VSG that tells the outside world that it has completed some task, such as settling to a specific value, started an ARB playback frame, or completed a list sequence. This is a single TTL-level sync output, whose meaning is software configuration.

System Frame Number (SFN)

SFN is used in the UMTS system to identify the framing and timing of a cell on a Node B.

Telecommunications

The transmission of words, sounds, or images (usually over great distances) in the form of electromagnetic energy (for example, by telephone, radio, or television).

Telecommunications Industry Association (TIA)

The Telecommunications Industry Association (TIA) is a global trade association headquartered in the United States that represents about 600 telecommunications companies. TIA helps create universal networking and education standards for the telephony, data networking, and convergence industry. TIA has helped develop networking standards that have been used worldwide.

The Third Generation Partnership Project (3GPP)

The 3rd Generation Partnership Project (3GPP) is a collaboration between groups of telecommunications associations, to make a globally applicable third generation (3G) mobile phone system specification within the scope of the International Mobile Telecommunications-2000 project of the International Telecommunication Union (ITU). 3GPP specifications are based on evolved Global System for Mobile Communications (GSM) specifications. 3GPP standardization encompasses Radio, Core Network and Service architecture.

The groups are the European Telecommunications Standards Institute, Association of Radio Industries and Businesses/Telecommunication Technology Committee (ARIB/TTC) (Japan), China Communications Standards Association, Alliance for Telecommunications Industry Solutions (North America) and Telecommunications Technology Association (South Korea). The project was established in December 1998.

3GPP should not be confused with 3rd Generation Partnership Project 2 (3GPP2), which specifies standards for another 3G technology based on IS-95 (CDMA), commonly known as CDMA2000.

The Third Generation Partnership Project 2 (3GPP2)

The Third Generation Partnership Project 2 (3GPP2) is a collaborative, third generation (3G) telecommunications specifications-setting project, comprised of North American and Asian interests. Their goals include developing global specifications for ANSI/TIA/EIA-41 Cellular Radio telecommunication Intersystem Operations and network evolution to 3G and global specifications for the radio transmission technologies (RTTs) supported by ANSI/TIA/EIA-41. For more information about the 3GPP2 project, go to www.3gpp2.org.

Third Generation (3G)

The third generation of mobile communication systems offer improved services such as video and multimedia. The main 3G technologies include UMTS and CDMA2000®.

Throughput

This describes the volume of data which can be transmitted through a communications system.

Time Division Multiple Access (TDMA)

TDMA is a digital multiplexing technique whereby each signal is sent and received at a fixed time slot in a series of time slots. The transmitter and receiver must be time-synchronized so as to demodulate the signal at the receive end.

Time Division Multiplexing (TDM)

Time-Division Multiplexing (TDM) is a type of digital or (rarely) analog multiplexing in which two or more signals or bit streams are transferred apparently simultaneously as sub-channels in one communication channel, but are physically taking turns on the channel. The time domain is divided into several recurrent timeslots of fixed length, one for each sub-channel.

Time Division-Synchronous Code Division Multiple Access (TD-SCDMA)

Time division synchronous code division multiple access. Mobile radio transmission method that combines SCDMA technique with TD-CDMA.

Time Mask (GSM and EDGE)

The time mask is a structure to test the acquired signal against the modulation standard. If the mobile station's transmitter power falls outside the specified power and timing ranges, the signal fails to comply to this standard.

Time-Division Duplex (TDD)

TDD is the application of time-division multiplexing to separate outward and return signals. It emulates full duplex communication over a half-duplex communication link. Time division duplex has a strong advantage in the case where the asymmetry of the uplink and downlink data speed is variable. As the amount of uplink data increases, more bandwidth can dynamically be allocated to that and as it shrinks it can be taken away. Another advantage is that the uplink and downlink radio paths are likely to be very similar in the case of a slow moving system. This means that techniques such as beamforming work well with TDD systems.

Timeslot (TS)

In a TDMA (time division multiple access) system, the carrier is split into multiple timeslots; the duration is dependent on the technology. Each user is assigned one or more timeslots for communication purposes.

Total Power

The total power of the signal in a certain bandwidth at a carrier frequency; see Channel Power.

Transceiver

A combination of a transmitter and a receiver.

Transmission Time Interval (TTI)

To combat errors due to fading and interference on the radio link, data is divided at the transmitter into blocks and then the bits within a block are encoded and interleaved. The length of time required to transmit one such block determines the TTI.

Transmit Power Control (TPC)

The user equipment and Node B generate the TPC commands to control each others transmit power. This information is sent to the TPC field of the DPCCH (dedicated physical control channel). TPC commands are sent at the rate of 1500 per second.

Transport Format Combination Indicator (TFCI)

This is a representation of the current TFC (transport format combination) being used. The TFCI is transferred across the air interface and allows the receiving of layers to identify the current valid TFC. That is, how to decode, de-multiplex and deliver the received data on the appropriated transport channels.

Traveling Wave Tube Amplifier (TWTA)

A traveling-wave tube is an electronic device used to amplify radio frequency signals to high power, usually in an electronic assembly known as a traveling-wave tube amplifier (TWTA). The bandwidth of a broadband TWT can be as high as three octaves, although tuned (narrowband) versions exist, and operating frequencies range from 300 MHz to 50 GHz.

Trigger

An input to the instrument that causes it to do something. Series 2900 has a single analog, TTL level input for hardware triggers, and will accept a SCPI trigger.

Tx

Transmit or transmitter

UL-MAP

A burst that contains uplink broadcast messages.

Ultra High Frequency (UHF)

Ultra high frequency radio waves are in the 300 MHz to 3,000 MHz frequency range.

Universal Mobile Telecommunications System (UMTS)

UMTS-TDD is a mobile data network standard built upon the UMTS 3G cellular mobile phone standard, using a TD-CDMA, TD-SCDMA, or other 3GPP-approved, air interface that uses time division duplexing to duplex spectrum between the uplink and downlink. While a full implementation of UMTS, it is mainly used to provide Internet access in circumstances similar to those where WiMAX might be used.

See also:

  • TD-SCDMA (Time Division-Synchronous Code Division Multiple Access)
  • 3GPP LTE (Long Term Evolution)
Uplink (UP)

The uplink portion of a telecommunications path is from the ground to the base station or satellite. It is also referred to as the reverse link.

Very High Frequency (VHF)

VHF is in the 30 MHz to 300 MHz frequency range.

Vestigial Side Band (VSB)

A vestigial sideband (in radio communication) is a sideband that has been only partly cut off or suppressed. Television broadcasts (in NTSC, PAL, or SECAM analog video format) use this method if the video is transmitted in AM, due to the large bandwidth used. It may also be used in digital transmission, such as the ATSC standardized 8-VSB. The Milgo 4400/48 modem (circa 1967) used vestigial sideband and phase-shift keying to provide 4800-bit/s transmission over a 1600 Hz channel.

The video baseband signal used in TV in countries that use NTSC or ATSC has a bandwidth of 6 MHz. To conserve bandwidth, SSB would be desirable, but the video signal has significant low frequency content (average brightness) and has rectangular synchronizing pulses. The compromise is vestigial sideband modulation. In vestigial sideband the full upper sideband of bandwidth W2 = 4 MHz is transmitted, but only W1 = 1.25 MHz of the lower sideband is transmitted, along with a carrier. This effectively makes the system AM at low modulation frequencies and SSB at high modulation frequencies. The absence of the lower sideband components at high frequencies must be compensated for, and this is done by the RF and IF filters.

Virtual Private Network (VPN)

A virtual private network is a computer network in which some of the links between nodes are carried by open connections or virtual circuits in some larger network (for example, the Internet) instead of by physical wires. The link-layer protocols of the virtual network are said to be tunneled through the larger network when this is the case.

Voltage Standing Wave Ratio (VSWR)

VSWR is the amount of reflected signal due to impedance mismatch.

Watt (W)

The watt is a measure of energy per unit time, which is one joule per second.

Wavelength

The wavelength is the distance covered by one cycle of a wave.

Wi-Fi Protected Access (WPA )

WPA is a specification for improving the security of Wi-Fi networks. It replaces the weaker WEP (wired equivalent privacy) specification for current and future 802.11 standards.

Wide Area Network (WAN)

If two local-area networks (LANs) are connected, a wide-area network results. The Internet can be considered to be a WAN.

Wide-Band Code Division Multiple Access (W-CDMA)

W-CDMA has been designed for high-speed data services, and more particularly, internet-based packet-data offering up to 2 Mbps in stationary or office environments, and up to 384 Kbps in wide area or mobile environments. It also increases data transmission rates in GSM systems by using CDMA instead of TDMA.

See also the following GSM measurement definitions and related standards:

  • Channel Power
  • Code Domain Power
  • Error Vector Magnitude (EVM)
  • Freedom of Mobile Multimedia Access (FOMA)
  • Frequency Error
  • IQ Offset
  • Occupied Bandwidth
  • Peak Code Domain Error (PCDE)
  • Total Power

Wireless Application Protocol (WAP)

WAP is an open standard for communication between handsets and the Internet. WAP is a wireless communications environment for delivering web data to wireless terminals with minimal screen display.

Wireless Fidelity (Wi-Fi)

Originally referred to the 802.11b specification for wireless LANs, but it is now used to describe any of the 802.11 wireless networking specifications.

Wireless Local Area Network (WLAN)

A WLAN is a short-range computer-to-computer wireless data communications network.

Wireless Personal Area Network (WPAN)

A WPAN is a PAN that uses wireless connections. However, because all current PAN technologies (such as Bluetooth) are wireless, the terms WPAN and PAN are synonymous.

Wireline

Traditional telephone technology that relies upon wires is called a wire line or land line.

Worldwide Interoperability for Microwave Access (WiMAX)

The term WiMAX has become synonymous with the IEEE (Institute of Electrical and Electronic Engineers) 802.16 suite of standards. These define the radio or air interface within two broad radio bands 2GHz to 11 GHz and 10 GHz - 66 GHz.

Zone

A zone is the number of contiguous OFDMA symbols that use the same permutation formula.


*CLS

*ESE

*ESE?

*ESR?

*OPC

*OPC?

*SRE

*SRE?

*STB?

:FORMat:SREGister

:STATus:MEASurement?

:STATus:MEASurement:CONDition?

:STATus:MEASurement:ENABle

:STATus:MEASurement:EVENt

:STATus:MEASurement:NTRansition

:STATus:MEASurement:PTRansition

:STATus:OPERation?

:STATus:OPERation:CONDition?

:STATus:OPERation:ENABle

:STATus:PRESet

:STATus:QUEStionable?

:STATus:QUEStionable:CONDition?

:STATus:QUEStionable:ENABle

:STATus:QUEStionable:EVENt

:STATus:QUEStionable:NTRansition

:STATus:QUEStionable:PTRansition

:STATus:OPERation:EVENt

:STATus:OPERation:NTRansition

:STATus:OPERation:PTRansition

:STATus:QUEue:CLEar

:SYSTEM:CLEar

:SYSTem:ERRor?

:SYSTem:ERRor:ALL?

:SYSTem:ERRor:CLEar

:SYSTem:ERRor:CODE?

:SYSTem:ERRor:CODE:ALL?

:SYSTem:ERRor:COUNt?

:SYSTem:ERRor:ENABle

:SYSTem:ERRor:ENABle:ADD

:SYSTem:ERRor:ENABle:DELete

:SYSTem:ERRor:ENABle[:LIST]


:OUTPut

:FREQuency

:FREQuency:STARt

:FREQuency:STOP

:POWer

:POWer:STARt

:POWer:STOP

:SWEep:DWELl

:SWEep:SETTle?

:SWEep:STEP

:SWEep:STATe

:UFLatness:LOAD

:UFLatness:STATe


:ABORt

*TRG

*WAI

*OPC

*OPC?

:TRIGger:DELay

:TRIGger:DELay:ACTual

:TRIGger:MODE

:TRIGger:SOURce

:INITiate


:SOUTput:IMMediate

:SOUTput:MODe

:SOUTput:POLarity

:SOUTput:OFFSet


:POWer:ALC:BOTune[:STATe]

:POWer:ALC:CWAVE[:STATe]

:POWer:ALC:CWAVe:TYPE

:POWer:ALC:CWAVE

:POWer:ALC:MODulation:TYPE

:POWer:ALC:MODulation[:STATe]

:POWer:ALC:SHOLd:REFResh


:FREQuency:OFFSet

:IEVensecond:POLarity

:PHASe:ADJust

:ROSCillator:EEVensecond:POLarity

:ROSCillator:EXTernal:FREQuency

:ROSCillator:SOURce


GSM

:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:GSM:LOAD

cdma2000

:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:CDMA:LOAD

W-CDMA

:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:WCDMa:LOAD

:RADio:WCDMa:STATe

GPS

:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:GPS:CACode

:RADio:GPS:DSHift

:RADio:GPS:PATTern

:RADio:GPS:PATTern:OPEN

:RADio:GPS:STATe

ASK Digital

:ASK:DENCoding

:ASK:FILTer

:ASK:LOAD

:ASK:PATTern

:ASK:PATTern:COUNt

:ASK:PATTern:INVert

:ASK:SPS

:ASK:STATe

:ASK:STYPe

:FREQuency

:OUTPut

:OUTPut:MODulation

FSK Digital

:FREQuency

:FSK:DENCoding

:FSK:FILTer

:FSK:FSEParation

:FSK:LOAD

:FSK:PATTern

:FSK:PATTern:COUNt

:FSK:PATTern:INVert

:FSK:SPS

:FSK:STATe

:FSK:STYPe

:OUTPut

:OUTPut:MODulation

PSK Digital

:FREQuency

:OUTPut

:OUTPut:MODulation

:PSK:DENCoding

:PSK:FILTer

:PSK:LOAD

:PSK:PATTern

:PSK:PATTern:COUNt

:PSK:PATTern:INVert

:PSK:SPS

:PSK:STATe

:PSK:STYPe

QAM Digital

:FREQuency

:OUTPut

:OUTPut:MODulation

:QAM:DENCoding

:QAM:FILTer

:QAM:LOAD

:QAM:PATTern

:QAM:PATTern:COUNt

:QAM:PATTern:INVert

:QAM:SPS

:QAM:STATe

:QAM:STYPe

Analog

:AM:INTernal:FREQuency

:AM:INTernal:WAVeform

:AM:STATe

:AM[:DEPTh]

:FM[:DEViation]

:FM:INTernal:FREQuency

:FM:INTernal:WAVeform

:FM:STATe

:FREQuency

:NOISE

:NOISE:STATe

:PM[:DEViation]

:PM:INTernal:FREQuency

:PM:STATe

:PULM

:PULM:INTernal:FREQuency

:PULM:STATe

:TTONe:FREQuency:SPAN

:TTONe:STATe

:OUTPut

:OUTPut:MODulation

Arbitrary Waveforms

:OUTPut

:OUTPut:MODulation

:RADio:ARB:COPY

:RADio:ARB:DELete

:RADio:ARB:EIQ

:RADio:ARB:LIST

:RADio:ARB:LIST2

:RADio:ARB:LIST3

:RADio:ARB:MEM?

:RADio:ARB:OPEN

:RADio:ARB:PBLank

:RADio:ARB:PFACtor

:RADio:ARB:PLAY

:RADio:ARB:ROW

:RADio:ARB:SEQuence:AROW

:RADio:ARB:SEQuence:DELete

:RADio:ARB:SEQuence:FREQuency

:RADio:ARB:SEQuence:OPEN

:RADio:ARB:SEQuence:POWer

:RADio:ARB:SEQuence:RUNNing

:RADio:ARB:SEQuence:STARt

:RADio:ARB:SEQuence:STATe

:RADio:ARB:SEQuence:STOP

:RADio:ARB:SEQuence:SWEep

:RADio:ARB:SEQuence:TRIGger:MODE

:RADio:ARB:SRATe

:RADio:ARB:STATe

IQ

:MODulation:IGAin

:MODulation:IOFFset

:MODulation:QGAin

:MODulation:IQGain

:MODulation:QOFFset

:MODulation:QPHase

:OUTPut:IQ


:AM:INTernal:FREQuency

:AM:INTernal:WAVeform

:AM:STATe

:AM[:DEPTh]

:FM[:DEViation]

:FM:INTernal:FREQuency

:FM:INTernal:WAVeform

:FM:STATe

:FREQuency

:NOISE

:NOISE:STATe

:PM[:DEViation]

:PM:INTernal:FREQuency

:PM:STATe

:PULM

:PULM:INTernal:FREQuency

:PULM:STATe

:TTONe:FREQuency:SPAN

:TTONe:STATe

:OUTPut

:OUTPut:MODulation


:OUTPut

:OUTPut:MODulation

:RADio:ARB:COPY

:RADio:ARB:DELete

:RADio:ARB:EIQ

:RADio:ARB:LIST

:RADio:ARB:LIST2

:RADio:ARB:LIST3

:RADio:ARB:MEM?

:RADio:ARB:OPEN

:RADio:ARB:PBLank

:RADio:ARB:PFACtor

:RADio:ARB:PLAY

:RADio:ARB:ROW

:RADio:ARB:SEQuence:AROW

:RADio:ARB:SEQuence:DELete

:RADio:ARB:SEQuence:FREQuency

:RADio:ARB:SEQuence:OPEN

:RADio:ARB:SEQuence:POWer

:RADio:ARB:SEQuence:RUNNing

:RADio:ARB:SEQuence:STARt

:RADio:ARB:SEQuence:STATe

:RADio:ARB:SEQuence:STOP

:RADio:ARB:SEQuence:SWEep

:RADio:ARB:SEQuence:TRIGger:MODE

:RADio:ARB:SRATe

:RADio:ARB:STATe


*SAV

*RCL

:ASK:LOAD

:FSK:LOAD

:LIST:LOAD

:MMEMory:CATalog?

:MMEMory:DATA

:MMEMory:DELete

:PSK:LOAD

:QAM:LOAD

:RADio:ARB:COPY

:RADio:ARB:DELete

:RADio:ARB:EIQ

:RADio:ARB:LIST

:RADio:ARB:LIST2

:RADio:ARB:LIST3

:RADio:ARB:MEM?

:RADio:ARB:OPEN

:RADio:ARB:PBLank

:RADio:ARB:PFACtor

:RADio:ARB:PLAY

:RADio:ARB:ROW

:RADio:ARB:SEQuence:AROW

:RADio:ARB:SEQuence:DELete

:RADio:ARB:SEQuence:FREQuency

:RADio:ARB:SEQuence:OPEN

:RADio:ARB:SEQuence:POWer

:RADio:ARB:SEQuence:RUNNing

:RADio:ARB:SEQuence:STARt

:RADio:ARB:SEQuence:STATe

:RADio:ARB:SEQuence:STOP

:RADio:ARB:SEQuence:SWEep

:RADio:ARB:SEQuence:TRIGger:MODE

:RADio:ARB:SRATe

:RADio:ARB:STATe

:RADio:CDMa:LOAD

:RADio:GPS:PATTern:OPEN

:RADio:GSM:LOAD

:RADio:WCDMa:LOAD

:UFLatness:LOAD


:DISPlay:CAPTure

:DISPlay:ENABle

:SYSTem:SSAVer:DELay

:SYSTem:SSAVer


:ABORt

*RST

*SAV

*RCL

:STATus:PRESet

:SYSTem:PRESet

:SYSTem:PRESet:SAVE

:SYSTem:PRESet:TYPE


*IDN?

:MBOX:COMMand

:PMETer:COMMand

:SYSTem:COMMunicate:GPIB:ADDRess

:SYSTem:KLOCk

:SYSTem:LOCal

:SYSTem:PRESet

:SYSTem:REMote


:EEVensecond:POLarity

:IEVensecond:POLarity

:ROSCillator:EEVensecond:POLarity

:ROSCillator:EXTernal:FREQuency

:ROSCillator:SOURce


:ASK:DENCoding

:ASK:FILTer

:ASK:LOAD

:ASK:PATTern

:ASK:PATTern:COUNt

:ASK:PATTern:INVert

:ASK:SPS

:ASK:STATe

:ASK:STYPe

:FREQuency

:OUTPut

:OUTPut:MODulation


:FREQuency

:FSK:DENCoding

:FSK:FILTer

:FSK:FSEParation

:FSK:LOAD

:FSK:PATTern

:FSK:PATTern:COUNt

:FSK:PATTern:INVert

:FSK:SPS

:FSK:STATe

:FSK:STYPe

:OUTPut

:OUTPut:MODulation


:FREQuency

:OUTPut

:OUTPut:MODulation

:PSK:DENCoding

:PSK:FILTer

:PSK:LOAD

:PSK:PATTern

:PSK:PATTern:COUNt

:PSK:PATTern:INVert

:PSK:SPS

:PSK:STATe

:PSK:STYPe


:FREQuency

:OUTPut

:OUTPut:MODulation

:QAM:DENCoding

:QAM:FILTer

:QAM:LOAD

:QAM:PATTern

:QAM:PATTern:COUNt

:QAM:PATTern:INVert

:QAM:SPS

:QAM:STATe

:QAM:STYPe


:MIMO:MODE

:MIMO:SYNC[:STATe]

:MASTer:SYNC[:STATe]

[:SOURce]:INTernal:CLOCk

[:SOURce]:VCO[:STATe]

[:SOURce]:PHASe:ADJust


SignalMeister Splash Screen

Version 4.0

Build: 2010.04.23.1035

© 2007-2010 Agilent Technologies, Inc. All rights reserved.


:OUTPut

:FREQuency

:FREQuency:STARt

:FREQuency:STOP

:POWer

:POWer:STARt

:POWer:STOP

*RST

:STATus:PRESet

:SYSTem:PRESet

:SYSTem:PRESet:SAVE

:SYSTem:PRESet:TYPE


:DIAGnostic:FREQuency:EXTend

:DIAGnostic:INFormation:OPTions

:DIAGnostic:REMote:CLEar:LOG

:DIAGnostic:REMote:CLEar:OUTput

:DIAGnostic:REMote:ERRor:OUTPut

:DIAGnostic:REMote:LOG:OUTPut

:DIAGnostic:REMote:OUTPut

:DIAGnostic:REMote:QUERy:OUTPut

:DIAGnostic:REMote:SAVE

:STATus:QUEue:CLEar

:SYSTEM:CLEar

:SYSTem:ERRor?

:SYSTem:ERRor:ALL?

:SYSTem:ERRor:CLEar

:SYSTem:ERRor:CODE?

:SYSTem:ERRor:CODE:ALL?

:SYSTem:ERRor:COUNt?

:SYSTem:ERRor:ENABle

:SYSTem:ERRor:ENABle:ADD

:SYSTem:ERRor:ENABle:DELete

:SYSTem:ERRor:ENABle[:LIST]

:SYSTem:ERRor:[NEXT]


:MODulation:IGAin

:MODulation:IOFFset

:MODulation:QGAin

:MODulation:IQGain

:MODulation:QOFFset

:MODulation:QPHase

:OUTPut:IQ


:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:GSM:LOAD


:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:CDMA:LOAD


:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:WCDMa:LOAD

:RADio:WCDMa:STATe


:FREQuency

:OUTPut

:OUTPut:MODulation

:RADio:GPS:CACode

:RADio:GPS:DSHift

:RADio:GPS:PATTern

:RADio:GPS:PATTern:OPEN

:RADio:GPS:STATe


:MBOX:COMMand

:PMETer:COMMand

(Pass-through overview)